/* Do not modify this file.                                                   */
/* It is created automatically by the ASN.1 to Wireshark dissector compiler   */
/* packet-nbap.c                                                              */
/* ../../tools/asn2wrs.py -p nbap -c nbap.cnf -s packet-nbap-template NBPA1031.asn */

/* Input file: packet-nbap-template.c */

#line 1 "packet-nbap-template.c"
/* packet-nbap.c
 * Routines for UMTS Node B Application Part(NBAP) packet dissection
 * Copyright 2005, Anders Broman <anders.broman@ericsson.com>
 *
 * $Id: packet-nbap-template.c 26703 2008-11-05 21:43:05Z wmeier $
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@wireshark.org>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Ref: 3GPP TS 25.433 version 6.6.0 Release 6
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <glib.h>
#include <epan/packet.h>
#include <epan/conversation.h>

#include <stdio.h>
#include <string.h>

#include <epan/asn1.h>

#include "packet-per.h"

#ifdef _MSC_VER
/* disable: "warning C4146: unary minus operator applied to unsigned type, result still unsigned" */
#pragma warning(disable:4146)
#endif

#define PNAME  "UTRAN Iub interface NBAP signalling"
#define PSNAME "NBAP"
#define PFNAME "nbap"


/*--- Included file: packet-nbap-val.h ---*/
#line 1 "packet-nbap-val.h"
#define maxPrivateIEs                  65535
#define maxProtocolExtensions          65535
#define maxProtocolIEs                 65535
#define maxNrOfCodes                   10
#define maxNrOfDLTSs                   15
#define maxNrOfDLTSLCRs                6
#define maxNrOfErrors                  256
#define maxNrOfTFs                     32
#define maxNrOfTFCs                    1024
#define maxNrOfRLs                     16
#define maxNrOfRLs_1                   15
#define maxNrOfRLs_2                   14
#define maxNrOfRLSets                  maxNrOfRLs
#define maxNrOfDPCHs                   240
#define maxNrOfDPCHLCRs                240
#define maxNrOfSCCPCHs                 8
#define maxNrOfCPCHs                   16
#define maxNrOfDCHs                    128
#define maxNrOfDSCHs                   32
#define maxNrOfFACHs                   8
#define maxNrOfCCTrCHs                 16
#define maxNrOfPDSCHs                  256
#define maxNrOfHSPDSCHs                16
#define maxNrOfPUSCHs                  256
#define maxNrOfPDSCHSets               256
#define maxNrOfPRACHLCRs               8
#define maxNrOfPUSCHSets               256
#define maxNrOfSCCPCHLCRs              8
#define maxNrOfSCCPCHsLCRinExt         88
#define maxNrOfULTSs                   15
#define maxNrOfULTSLCRs                6
#define maxNrOfUSCHs                   32
#define maxNrOfSlotFormatsPRACH        8
#define maxCellinNodeB                 256
#define maxCCPinNodeB                  256
#define maxCPCHCell                    maxNrOfCPCHs
#define maxCTFC                        16777215
#define maxLocalCellinNodeB            maxCellinNodeB
#define maxNoofLen                     7
#define maxFPACHCell                   8
#define maxRACHCell                    maxPRACHCell
#define maxPRACHCell                   16
#define maxPCPCHCell                   64
#define maxSCCPCHCell                  32
#define maxSCCPCHCellinExtLCR          64
#define maxSCPICHCell                  32
#define maxTTI_count                   4
#define maxIBSEG                       16
#define maxIB                          64
#define maxFACHCell                    256
#define maxRateMatching                256
#define maxHS_PDSCHCodeNrComp_1        15
#define maxHS_SCCHCodeNrComp_1         127
#define maxNrOfCellSyncBursts          10
#define maxNrOfReceptsPerSyncFrame     16
#define maxNrOfMeasNCell               96
#define maxNrOfMeasNCell_1             95
#define maxNrOfSF                      8
#define maxTGPS                        6
#define maxCommunicationContext        1048575
#define maxNrOfLevels                  256
#define maxNoSat                       16
#define maxNoGPSItems                  8
#define maxFrequencyinCell             12
#define maxFrequencyinCell_1           11
#define maxNrOfHSSCCHs                 256
#define maxNrOfHSSICHs                 4
#define maxNrOfHSSICHs_1               3
#define maxNrOfSyncFramesLCR           512
#define maxNrOfReceptionsperSyncFrameLCR 8
#define maxNrOfSyncDLCodesLCR          32
#define maxNrOfHSSCCHCodes             4
#define maxNrOfMACdFlows               8
#define maxNrOfMACdFlows_1             7
#define maxNrOfMACdPDUIndexes          8
#define maxNrOfMACdPDUIndexes_1        7
#define maxNrOfNIs                     256
#define maxNrOfPriorityQueues          8
#define maxNrOfPriorityQueues_1        7
#define maxNrOfHARQProcesses           8
#define maxNrOfContextsOnUeList        16
#define maxNrOfCellPortionsPerCell     64
#define maxNrOfCellPortionsPerCell_1   63
#define maxNrOfPriorityClasses         16
#define maxNrOfSatAlmanac_maxNoSat     16
#define maxHSDPAFrequency              8
#define maxHSDPAFrequency_1            7

/* enumerated values for ProcedureCode */
#define NBAP_ID_AUDIT   0
#define NBAP_ID_AUDITREQUIRED   1
#define NBAP_ID_BLOCKRESOURCE   2
#define NBAP_ID_CELLDELETION   3
#define NBAP_ID_CELLRECONFIGURATION   4
#define NBAP_ID_CELLSETUP   5
#define NBAP_ID_CELLSYNCHRONISATIONINITIATION  45
#define NBAP_ID_CELLSYNCHRONISATIONRECONFIGURATION  46
#define NBAP_ID_CELLSYNCHRONISATIONREPORTING  47
#define NBAP_ID_CELLSYNCHRONISATIONTERMINATION  48
#define NBAP_ID_CELLSYNCHRONISATIONFAILURE  49
#define NBAP_ID_COMMONMEASUREMENTFAILURE   6
#define NBAP_ID_COMMONMEASUREMENTINITIATION   7
#define NBAP_ID_COMMONMEASUREMENTREPORT   8
#define NBAP_ID_COMMONMEASUREMENTTERMINATION   9
#define NBAP_ID_COMMONTRANSPORTCHANNELDELETE  10
#define NBAP_ID_COMMONTRANSPORTCHANNELRECONFIGURE  11
#define NBAP_ID_COMMONTRANSPORTCHANNELSETUP  12
#define NBAP_ID_COMPRESSEDMODECOMMAND  14
#define NBAP_ID_DEDICATEDMEASUREMENTFAILURE  16
#define NBAP_ID_DEDICATEDMEASUREMENTINITIATION  17
#define NBAP_ID_DEDICATEDMEASUREMENTREPORT  18
#define NBAP_ID_DEDICATEDMEASUREMENTTERMINATION  19
#define NBAP_ID_DOWNLINKPOWERCONTROL  20
#define NBAP_ID_DOWNLINKPOWERTIMESLOTCONTROL  38
#define NBAP_ID_ERRORINDICATIONFORCOMMON  35
#define NBAP_ID_ERRORINDICATIONFORDEDICATED  21
#define NBAP_ID_INFORMATIONEXCHANGEFAILURE  40
#define NBAP_ID_INFORMATIONEXCHANGEINITIATION  41
#define NBAP_ID_INFORMATIONEXCHANGETERMINATION  42
#define NBAP_ID_INFORMATIONREPORTING  43
#define NBAP_ID_BEARERREARRANGEMENT  50
#define NBAP_ID_PHYSICALSHAREDCHANNELRECONFIGURATION  37
#define NBAP_ID_PRIVATEMESSAGEFORCOMMON  36
#define NBAP_ID_PRIVATEMESSAGEFORDEDICATED  22
#define NBAP_ID_RADIOLINKADDITION  23
#define NBAP_ID_RADIOLINKDELETION  24
#define NBAP_ID_RADIOLINKFAILURE  25
#define NBAP_ID_RADIOLINKPREEMPTION  39
#define NBAP_ID_RADIOLINKRESTORATION  26
#define NBAP_ID_RADIOLINKSETUP  27
#define NBAP_ID_RESET  13
#define NBAP_ID_RESOURCESTATUSINDICATION  28
#define NBAP_ID_CELLSYNCHRONISATIONADJUSTMENT  44
#define NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONCANCELLATION  29
#define NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONCOMMIT  30
#define NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONPREPARATION  31
#define NBAP_ID_SYSTEMINFORMATIONUPDATE  32
#define NBAP_ID_UNBLOCKRESOURCE  33
#define NBAP_ID_UNSYNCHRONISEDRADIOLINKRECONFIGURATION  34
#define NBAP_ID_RADIOLINKACTIVATION  51
#define NBAP_ID_RADIOLINKPARAMETERUPDATE  52
#define NBAP_ID_MBMSNOTIFICATIONUPDATE  53

typedef enum _DdMode_enum {
  tdd          =   0,
  fdd          =   1,
  common       =   2
} DdMode_enum;

typedef enum _ProtocolIE_ID_enum {
  id_AICH_Information =   0,
  id_AICH_InformationItem_ResourceStatusInd =   1,
  id_BCH_Information =   7,
  id_BCH_InformationItem_ResourceStatusInd =   8,
  id_BCCH_ModificationTime =   9,
  id_BlockingPriorityIndicator =  10,
  id_Cause     =  13,
  id_CCP_InformationItem_AuditRsp =  14,
  id_CCP_InformationList_AuditRsp =  15,
  id_CCP_InformationItem_ResourceStatusInd =  16,
  id_Cell_InformationItem_AuditRsp =  17,
  id_Cell_InformationItem_ResourceStatusInd =  18,
  id_Cell_InformationList_AuditRsp =  19,
  id_CellParameterID =  23,
  id_CFN       =  24,
  id_C_ID      =  25,
  id_CommonMeasurementAccuracy =  39,
  id_CommonMeasurementObjectType_CM_Rprt =  31,
  id_CommonMeasurementObjectType_CM_Rqst =  32,
  id_CommonMeasurementObjectType_CM_Rsp =  33,
  id_CommonMeasurementType =  34,
  id_CommonPhysicalChannelID =  35,
  id_CommonPhysicalChannelType_CTCH_SetupRqstFDD =  36,
  id_CommonPhysicalChannelType_CTCH_SetupRqstTDD =  37,
  id_CommunicationControlPortID =  40,
  id_ConfigurationGenerationID =  43,
  id_CRNC_CommunicationContextID =  44,
  id_CriticalityDiagnostics =  45,
  id_DCHs_to_Add_FDD =  48,
  id_DCH_AddList_RL_ReconfPrepTDD =  49,
  id_DCHs_to_Add_TDD =  50,
  id_DCH_DeleteList_RL_ReconfPrepFDD =  52,
  id_DCH_DeleteList_RL_ReconfPrepTDD =  53,
  id_DCH_DeleteList_RL_ReconfRqstFDD =  54,
  id_DCH_DeleteList_RL_ReconfRqstTDD =  55,
  id_DCH_FDD_Information =  56,
  id_DCH_TDD_Information =  57,
  id_DCH_InformationResponse =  59,
  id_FDD_DCHs_to_Modify =  62,
  id_TDD_DCHs_to_Modify =  63,
  id_DCH_ModifyList_RL_ReconfRqstTDD =  65,
  id_DCH_RearrangeList_Bearer_RearrangeInd = 135,
  id_DedicatedMeasurementObjectType_DM_Rprt =  67,
  id_DedicatedMeasurementObjectType_DM_Rqst =  68,
  id_DedicatedMeasurementObjectType_DM_Rsp =  69,
  id_DedicatedMeasurementType =  70,
  id_DL_CCTrCH_InformationItem_RL_SetupRqstTDD =  72,
  id_DL_CCTrCH_InformationList_RL_AdditionRqstTDD =  73,
  id_DL_CCTrCH_InformationList_RL_SetupRqstTDD =  76,
  id_DL_DPCH_InformationItem_RL_AdditionRqstTDD =  77,
  id_DL_DPCH_InformationList_RL_SetupRqstTDD =  79,
  id_DL_DPCH_Information_RL_ReconfPrepFDD =  81,
  id_DL_DPCH_Information_RL_ReconfRqstFDD =  82,
  id_DL_DPCH_Information_RL_SetupRqstFDD =  83,
  id_DL_DPCH_TimingAdjustment =  21,
  id_DL_ReferencePowerInformationItem_DL_PC_Rqst =  84,
  id_DLReferencePower =  85,
  id_DLReferencePowerList_DL_PC_Rqst =  86,
  id_Unused_ProtocolIE_ID_87 =  87,
  id_Unused_ProtocolIE_ID_89 =  89,
  id_Unused_ProtocolIE_ID_91 =  91,
  id_Unused_ProtocolIE_ID_93 =  93,
  id_DSCHs_to_Add_TDD =  96,
  id_DSCH_Information_DeleteList_RL_ReconfPrepTDD =  98,
  id_DSCH_Information_ModifyList_RL_ReconfPrepTDD = 100,
  id_DSCH_InformationResponse = 105,
  id_Unused_ProtocolIE_ID_106 = 106,
  id_DSCH_TDD_Information = 107,
  id_Unused_ProtocolIE_ID_108 = 108,
  id_Unused_ProtocolIE_ID_112 = 112,
  id_DSCH_RearrangeList_Bearer_RearrangeInd = 136,
  id_End_Of_Audit_Sequence_Indicator = 113,
  id_FACH_Information = 116,
  id_FACH_InformationItem_ResourceStatusInd = 117,
  id_FACH_ParametersList_CTCH_ReconfRqstTDD = 120,
  id_FACH_ParametersListIE_CTCH_SetupRqstFDD = 121,
  id_FACH_ParametersListIE_CTCH_SetupRqstTDD = 122,
  id_IndicationType_ResourceStatusInd = 123,
  id_Local_Cell_ID = 124,
  id_Local_Cell_Group_InformationItem_AuditRsp =   2,
  id_Local_Cell_Group_InformationItem_ResourceStatusInd =   3,
  id_Local_Cell_Group_InformationItem2_ResourceStatusInd =   4,
  id_Local_Cell_Group_InformationList_AuditRsp =   5,
  id_Local_Cell_InformationItem_AuditRsp = 125,
  id_Local_Cell_InformationItem_ResourceStatusInd = 126,
  id_Local_Cell_InformationItem2_ResourceStatusInd = 127,
  id_Local_Cell_InformationList_AuditRsp = 128,
  id_AdjustmentPeriod = 129,
  id_MaxAdjustmentStep = 130,
  id_MaximumTransmissionPower = 131,
  id_MeasurementFilterCoefficient = 132,
  id_MeasurementID = 133,
  id_MessageStructure = 115,
  id_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst = 134,
  id_NodeB_CommunicationContextID = 143,
  id_NeighbouringCellMeasurementInformation = 455,
  id_P_CCPCH_Information = 144,
  id_P_CCPCH_InformationItem_ResourceStatusInd = 145,
  id_P_CPICH_Information = 146,
  id_P_CPICH_InformationItem_ResourceStatusInd = 147,
  id_P_SCH_Information = 148,
  id_PCCPCH_Information_Cell_ReconfRqstTDD = 150,
  id_PCCPCH_Information_Cell_SetupRqstTDD = 151,
  id_PCH_Parameters_CTCH_ReconfRqstTDD = 155,
  id_PCH_ParametersItem_CTCH_SetupRqstFDD = 156,
  id_PCH_ParametersItem_CTCH_SetupRqstTDD = 157,
  id_PCH_Information = 158,
  id_PDSCH_Information_AddListIE_PSCH_ReconfRqst = 161,
  id_PDSCH_Information_ModifyListIE_PSCH_ReconfRqst = 162,
  id_PDSCHSets_AddList_PSCH_ReconfRqst = 163,
  id_PDSCHSets_DeleteList_PSCH_ReconfRqst = 164,
  id_PDSCHSets_ModifyList_PSCH_ReconfRqst = 165,
  id_PICH_Information = 166,
  id_PICH_Parameters_CTCH_ReconfRqstTDD = 168,
  id_PowerAdjustmentType = 169,
  id_PRACH_Information = 170,
  id_PrimaryCCPCH_Information_Cell_ReconfRqstFDD = 175,
  id_PrimaryCCPCH_Information_Cell_SetupRqstFDD = 176,
  id_PrimaryCPICH_Information_Cell_ReconfRqstFDD = 177,
  id_PrimaryCPICH_Information_Cell_SetupRqstFDD = 178,
  id_PrimarySCH_Information_Cell_ReconfRqstFDD = 179,
  id_PrimarySCH_Information_Cell_SetupRqstFDD = 180,
  id_PrimaryScramblingCode = 181,
  id_SCH_Information_Cell_ReconfRqstTDD = 183,
  id_SCH_Information_Cell_SetupRqstTDD = 184,
  id_PUSCH_Information_AddListIE_PSCH_ReconfRqst = 185,
  id_PUSCH_Information_ModifyListIE_PSCH_ReconfRqst = 186,
  id_PUSCHSets_AddList_PSCH_ReconfRqst = 187,
  id_PUSCHSets_DeleteList_PSCH_ReconfRqst = 188,
  id_PUSCHSets_ModifyList_PSCH_ReconfRqst = 189,
  id_RACH_Information = 190,
  id_RACH_ParametersItem_CTCH_SetupRqstFDD = 196,
  id_RACH_ParameterItem_CTCH_SetupRqstTDD = 197,
  id_ReportCharacteristics = 198,
  id_Reporting_Object_RL_FailureInd = 199,
  id_Reporting_Object_RL_RestoreInd = 200,
  id_RL_InformationItem_DM_Rprt = 202,
  id_RL_InformationItem_DM_Rqst = 203,
  id_RL_InformationItem_DM_Rsp = 204,
  id_RL_InformationItem_RL_AdditionRqstFDD = 205,
  id_RL_informationItem_RL_DeletionRqst = 206,
  id_RL_InformationItem_RL_FailureInd = 207,
  id_RL_InformationItem_RL_PreemptRequiredInd = 286,
  id_RL_InformationItem_RL_ReconfPrepFDD = 208,
  id_RL_InformationItem_RL_ReconfRqstFDD = 209,
  id_RL_InformationItem_RL_RestoreInd = 210,
  id_RL_InformationItem_RL_SetupRqstFDD = 211,
  id_RL_InformationList_RL_AdditionRqstFDD = 212,
  id_RL_informationList_RL_DeletionRqst = 213,
  id_RL_InformationList_RL_PreemptRequiredInd = 237,
  id_RL_InformationList_RL_ReconfPrepFDD = 214,
  id_RL_InformationList_RL_ReconfRqstFDD = 215,
  id_RL_InformationList_RL_SetupRqstFDD = 216,
  id_RL_InformationResponseItem_RL_AdditionRspFDD = 217,
  id_RL_InformationResponseItem_RL_ReconfReady = 218,
  id_RL_InformationResponseItem_RL_ReconfRsp = 219,
  id_RL_InformationResponseItem_RL_SetupRspFDD = 220,
  id_RL_InformationResponseList_RL_AdditionRspFDD = 221,
  id_RL_InformationResponseList_RL_ReconfReady = 222,
  id_RL_InformationResponseList_RL_ReconfRsp = 223,
  id_RL_InformationResponseList_RL_SetupRspFDD = 224,
  id_RL_InformationResponse_RL_AdditionRspTDD = 225,
  id_RL_InformationResponse_RL_SetupRspTDD = 226,
  id_RL_Information_RL_AdditionRqstTDD = 227,
  id_RL_Information_RL_ReconfRqstTDD = 228,
  id_RL_Information_RL_ReconfPrepTDD = 229,
  id_RL_Information_RL_SetupRqstTDD = 230,
  id_RL_ReconfigurationFailureItem_RL_ReconfFailure = 236,
  id_RL_Set_InformationItem_DM_Rprt = 238,
  id_RL_Set_InformationItem_DM_Rsp = 240,
  id_RL_Set_InformationItem_RL_FailureInd = 241,
  id_RL_Set_InformationItem_RL_RestoreInd = 242,
  id_S_CCPCH_Information = 247,
  id_S_CPICH_Information = 249,
  id_SCH_Information = 251,
  id_S_SCH_Information = 253,
  id_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD = 257,
  id_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD = 258,
  id_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD = 259,
  id_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD = 260,
  id_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD = 261,
  id_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD = 262,
  id_SecondaryCPICH_InformationList_Cell_SetupRqstFDD = 263,
  id_SecondarySCH_Information_Cell_ReconfRqstFDD = 264,
  id_SecondarySCH_Information_Cell_SetupRqstFDD = 265,
  id_SegmentInformationListIE_SystemInfoUpdate = 266,
  id_SFN       = 268,
  id_SignallingBearerRequestIndicator = 138,
  id_ShutdownTimer = 269,
  id_Start_Of_Audit_Sequence_Indicator = 114,
  id_Successful_RL_InformationRespItem_RL_AdditionFailureFDD = 270,
  id_Successful_RL_InformationRespItem_RL_SetupFailureFDD = 271,
  id_SyncCase  = 274,
  id_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH = 275,
  id_T_Cell    = 276,
  id_TargetCommunicationControlPortID = 139,
  id_TimeSlotConfigurationList_Cell_ReconfRqstTDD = 277,
  id_TimeSlotConfigurationList_Cell_SetupRqstTDD = 278,
  id_TransmissionDiversityApplied = 279,
  id_TypeOfError = 508,
  id_UARFCNforNt = 280,
  id_UARFCNforNd = 281,
  id_UARFCNforNu = 282,
  id_UL_CCTrCH_InformationItem_RL_SetupRqstTDD = 284,
  id_UL_CCTrCH_InformationList_RL_AdditionRqstTDD = 285,
  id_UL_CCTrCH_InformationList_RL_SetupRqstTDD = 288,
  id_UL_DPCH_InformationItem_RL_AdditionRqstTDD = 289,
  id_UL_DPCH_InformationList_RL_SetupRqstTDD = 291,
  id_UL_DPCH_Information_RL_ReconfPrepFDD = 293,
  id_UL_DPCH_Information_RL_ReconfRqstFDD = 294,
  id_UL_DPCH_Information_RL_SetupRqstFDD = 295,
  id_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD = 296,
  id_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD = 297,
  id_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD = 300,
  id_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD = 301,
  id_USCH_Information_Add = 302,
  id_USCH_Information_DeleteList_RL_ReconfPrepTDD = 304,
  id_USCH_Information_ModifyList_RL_ReconfPrepTDD = 306,
  id_USCH_InformationResponse = 309,
  id_USCH_Information = 310,
  id_USCH_RearrangeList_Bearer_RearrangeInd = 141,
  id_Active_Pattern_Sequence_Information = 315,
  id_AICH_ParametersListIE_CTCH_ReconfRqstFDD = 316,
  id_AdjustmentRatio = 317,
  id_AP_AICH_Information = 320,
  id_Not_Used_322 = 322,
  id_FACH_ParametersListIE_CTCH_ReconfRqstFDD = 323,
  id_CauseLevel_PSCH_ReconfFailure = 324,
  id_CauseLevel_RL_AdditionFailureFDD = 325,
  id_CauseLevel_RL_AdditionFailureTDD = 326,
  id_CauseLevel_RL_ReconfFailure = 327,
  id_CauseLevel_RL_SetupFailureFDD = 328,
  id_CauseLevel_RL_SetupFailureTDD = 329,
  id_CDCA_ICH_Information = 330,
  id_Not_Used_332 = 332,
  id_Closed_Loop_Timing_Adjustment_Mode = 333,
  id_CommonPhysicalChannelType_CTCH_ReconfRqstFDD = 334,
  id_Compressed_Mode_Deactivation_Flag = 335,
  id_CPCH_Information = 336,
  id_Not_Used_342 = 342,
  id_Not_Used_343 = 343,
  id_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD = 346,
  id_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD = 347,
  id_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD = 348,
  id_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD = 349,
  id_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD = 350,
  id_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD = 351,
  id_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = 352,
  id_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD = 353,
  id_DL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD = 355,
  id_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD = 356,
  id_DL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD = 357,
  id_DL_TPC_Pattern01Count = 358,
  id_DPC_Mode  = 450,
  id_DPCHConstant = 359,
  id_Unused_ProtocolIE_ID_94 =  94,
  id_Unused_ProtocolIE_ID_110 = 110,
  id_Unused_ProtocolIE_ID_111 = 111,
  id_FACH_ParametersList_CTCH_SetupRsp = 362,
  id_Limited_power_increase_information_Cell_SetupRqstFDD = 369,
  id_PCH_Parameters_CTCH_SetupRsp = 374,
  id_PCH_ParametersItem_CTCH_ReconfRqstFDD = 375,
  id_PCPCH_Information = 376,
  id_PICH_ParametersItem_CTCH_ReconfRqstFDD = 380,
  id_PRACHConstant = 381,
  id_PRACH_ParametersListIE_CTCH_ReconfRqstFDD = 383,
  id_PUSCHConstant = 384,
  id_RACH_Parameters_CTCH_SetupRsp = 385,
  id_Unused_ProtocolIE_ID_443 = 443,
  id_Synchronisation_Configuration_Cell_ReconfRqst = 393,
  id_Synchronisation_Configuration_Cell_SetupRqst = 394,
  id_Transmission_Gap_Pattern_Sequence_Information = 395,
  id_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD = 396,
  id_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD = 397,
  id_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD = 398,
  id_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD = 399,
  id_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD = 400,
  id_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD = 401,
  id_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = 402,
  id_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD = 403,
  id_UL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD = 405,
  id_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD = 406,
  id_UL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD = 407,
  id_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD = 408,
  id_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD = 409,
  id_CommunicationContextInfoItem_Reset = 412,
  id_CommunicationControlPortInfoItem_Reset = 414,
  id_ResetIndicator = 416,
  id_Unused_ProtocolIE_ID_417 = 417,
  id_Unused_ProtocolIE_ID_418 = 418,
  id_Unused_ProtocolIE_ID_419 = 419,
  id_Unused_ProtocolIE_ID_287 = 142,
  id_TimingAdvanceApplied = 287,
  id_CFNReportingIndicator =   6,
  id_SFNReportingIndicator =  11,
  id_InnerLoopDLPCStatus =  12,
  id_TimeslotISCPInfo = 283,
  id_PICH_ParametersItem_CTCH_SetupRqstTDD = 167,
  id_PRACH_ParametersItem_CTCH_SetupRqstTDD =  20,
  id_CCTrCH_InformationItem_RL_FailureInd =  46,
  id_CCTrCH_InformationItem_RL_RestoreInd =  47,
  id_CauseLevel_SyncAdjustmntFailureTDD = 420,
  id_CellAdjustmentInfo_SyncAdjustmntRqstTDD = 421,
  id_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD = 494,
  id_CellSyncBurstInfoList_CellSyncReconfRqstTDD = 482,
  id_CellSyncBurstTransInit_CellSyncInitiationRqstTDD = 422,
  id_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD = 423,
  id_CellSyncBurstTransReconfiguration_CellSyncReconfRqstTDD = 424,
  id_CellSyncBurstMeasReconfiguration_CellSyncReconfRqstTDD = 425,
  id_CellSyncBurstTransInfoList_CellSyncReconfRqstTDD = 426,
  id_CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD = 427,
  id_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD = 428,
  id_CellSyncInfo_CellSyncReprtTDD = 429,
  id_CSBTransmissionID = 430,
  id_CSBMeasurementID = 431,
  id_IntStdPhCellSyncInfoItem_CellSyncReprtTDD = 432,
  id_NCyclesPerSFNperiod = 433,
  id_NRepetitionsPerCyclePeriod = 434,
  id_SyncFrameNumber = 437,
  id_SynchronisationReportType = 438,
  id_SynchronisationReportCharacteristics = 439,
  id_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD = 440,
  id_LateEntranceCellSyncInfoItem_CellSyncReprtTDD = 119,
  id_ReferenceClockAvailability = 435,
  id_ReferenceSFNoffset = 436,
  id_InformationExchangeID = 444,
  id_InformationExchangeObjectType_InfEx_Rqst = 445,
  id_InformationType = 446,
  id_InformationReportCharacteristics = 447,
  id_InformationExchangeObjectType_InfEx_Rsp = 448,
  id_InformationExchangeObjectType_InfEx_Rprt = 449,
  id_IPDLParameter_Information_Cell_ReconfRqstFDD = 451,
  id_IPDLParameter_Information_Cell_SetupRqstFDD = 452,
  id_IPDLParameter_Information_Cell_ReconfRqstTDD = 453,
  id_IPDLParameter_Information_Cell_SetupRqstTDD = 454,
  id_DL_DPCH_LCR_Information_RL_SetupRqstTDD =  74,
  id_DwPCH_LCR_Information =  78,
  id_DwPCH_LCR_InformationList_AuditRsp =  90,
  id_DwPCH_LCR_Information_Cell_SetupRqstTDD =  97,
  id_DwPCH_LCR_Information_Cell_ReconfRqstTDD =  99,
  id_DwPCH_LCR_Information_ResourceStatusInd = 101,
  id_maxFACH_Power_LCR_CTCH_SetupRqstTDD = 154,
  id_maxFACH_Power_LCR_CTCH_ReconfRqstTDD = 174,
  id_FPACH_LCR_Information = 290,
  id_FPACH_LCR_Information_AuditRsp = 292,
  id_FPACH_LCR_InformationList_AuditRsp =  22,
  id_FPACH_LCR_InformationList_ResourceStatusInd = 311,
  id_FPACH_LCR_Parameters_CTCH_SetupRqstTDD = 312,
  id_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD = 314,
  id_PCCPCH_LCR_Information_Cell_SetupRqstTDD = 456,
  id_PCH_Power_LCR_CTCH_SetupRqstTDD = 457,
  id_PCH_Power_LCR_CTCH_ReconfRqstTDD = 458,
  id_PICH_LCR_Parameters_CTCH_SetupRqstTDD = 459,
  id_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD = 461,
  id_RL_InformationResponse_LCR_RL_SetupRspTDD = 463,
  id_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD = 465,
  id_TimeSlot  = 495,
  id_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD = 466,
  id_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD = 467,
  id_TimeslotISCP_LCR_InfoList_RL_SetupRqstTDD = 468,
  id_TimeSlotLCR_CM_Rqst = 469,
  id_UL_DPCH_LCR_Information_RL_SetupRqstTDD = 470,
  id_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD = 472,
  id_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD = 473,
  id_TimeslotISCP_InformationList_LCR_RL_AdditionRqstTDD = 474,
  id_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD = 475,
  id_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD = 477,
  id_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD = 479,
  id_TimeslotISCPInfoList_LCR_DL_PC_RqstTDD = 480,
  id_UL_DPCH_LCR_InformationAddListIE_RL_ReconfPrepTDD = 481,
  id_UL_DPCH_LCR_InformationModify_AddList = 483,
  id_UL_TimeslotLCR_Information_RL_ReconfPrepTDD = 485,
  id_UL_SIRTarget = 510,
  id_PDSCH_AddInformation_LCR_PSCH_ReconfRqst = 486,
  id_PDSCH_AddInformation_LCR_AddListIE_PSCH_ReconfRqst = 487,
  id_Unused_ProtocolIE_ID_26 =  26,
  id_Unused_ProtocolIE_ID_27 =  27,
  id_PDSCH_ModifyInformation_LCR_PSCH_ReconfRqst = 488,
  id_PDSCH_ModifyInformation_LCR_ModifyListIE_PSCH_ReconfRqst = 489,
  id_PUSCH_AddInformation_LCR_PSCH_ReconfRqst = 490,
  id_PUSCH_AddInformation_LCR_AddListIE_PSCH_ReconfRqst = 491,
  id_PUSCH_ModifyInformation_LCR_PSCH_ReconfRqst = 492,
  id_PUSCH_ModifyInformation_LCR_ModifyListIE_PSCH_ReconfRqst = 493,
  id_timeslotInfo_CellSyncInitiationRqstTDD = 496,
  id_SyncReportType_CellSyncReprtTDD = 497,
  id_Power_Local_Cell_Group_InformationItem_AuditRsp = 498,
  id_Power_Local_Cell_Group_InformationItem_ResourceStatusInd = 499,
  id_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd = 500,
  id_Power_Local_Cell_Group_InformationList_AuditRsp = 501,
  id_Power_Local_Cell_Group_InformationList_ResourceStatusInd = 502,
  id_Power_Local_Cell_Group_InformationList2_ResourceStatusInd = 503,
  id_Power_Local_Cell_Group_ID = 504,
  id_PUSCH_Info_DM_Rqst = 505,
  id_PUSCH_Info_DM_Rsp = 506,
  id_PUSCH_Info_DM_Rprt = 507,
  id_InitDL_Power = 509,
  id_cellSyncBurstRepetitionPeriod = 511,
  id_ReportCharacteristicsType_OnModification = 512,
  id_SFNSFNMeasurementValueInformation = 513,
  id_SFNSFNMeasurementThresholdInformation = 514,
  id_TUTRANGPSMeasurementValueInformation = 515,
  id_TUTRANGPSMeasurementThresholdInformation = 516,
  id_Rx_Timing_Deviation_Value_LCR = 520,
  id_RL_InformationResponse_LCR_RL_AdditionRspTDD =  51,
  id_DL_PowerBalancing_Information =  28,
  id_DL_PowerBalancing_ActivationIndicator =  29,
  id_DL_PowerBalancing_UpdatedIndicator =  30,
  id_CCTrCH_Initial_DL_Power_RL_SetupRqstTDD = 517,
  id_CCTrCH_Initial_DL_Power_RL_AdditionRqstTDD = 518,
  id_CCTrCH_Initial_DL_Power_RL_ReconfPrepTDD = 519,
  id_IPDLParameter_Information_LCR_Cell_SetupRqstTDD =  41,
  id_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD =  42,
  id_HS_PDSCH_HS_SCCH_MaxPower_PSCH_ReconfRqst = 522,
  id_HS_PDSCH_HS_SCCH_ScramblingCode_PSCH_ReconfRqst = 523,
  id_HS_PDSCH_FDD_Code_Information_PSCH_ReconfRqst = 524,
  id_HS_SCCH_FDD_Code_Information_PSCH_ReconfRqst = 525,
  id_HS_PDSCH_TDD_Information_PSCH_ReconfRqst = 526,
  id_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = 527,
  id_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = 528,
  id_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = 529,
  id_bindingID = 102,
  id_RL_Specific_DCH_Info = 103,
  id_transportlayeraddress = 104,
  id_DelayedActivation = 231,
  id_DelayedActivationList_RL_ActivationCmdFDD = 232,
  id_DelayedActivationInformation_RL_ActivationCmdFDD = 233,
  id_DelayedActivationList_RL_ActivationCmdTDD = 234,
  id_DelayedActivationInformation_RL_ActivationCmdTDD = 235,
  id_neighbouringTDDCellMeasurementInformationLCR =  58,
  id_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD = 543,
  id_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD = 544,
  id_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD = 545,
  id_SYNCDlCodeIdMeasReconfigurationLCR_CellSyncReconfRqstTDD = 546,
  id_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD = 547,
  id_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD = 548,
  id_SyncDLCodeIdThreInfoLCR = 549,
  id_NSubCyclesPerCyclePeriod_CellSyncReconfRqstTDD = 550,
  id_DwPCH_Power = 551,
  id_AccumulatedClockupdate_CellSyncReprtTDD = 552,
  id_Angle_Of_Arrival_Value_LCR = 521,
  id_HSDSCH_FDD_Information = 530,
  id_HSDSCH_FDD_Information_Response = 531,
  id_HSDSCH_Information_to_Modify = 534,
  id_HSDSCH_RNTI = 535,
  id_HSDSCH_TDD_Information = 536,
  id_HSDSCH_TDD_Information_Response = 537,
  id_HSPDSCH_RL_ID = 541,
  id_PrimCCPCH_RSCP_DL_PC_RqstTDD = 542,
  id_Unused_ProtocolIE_ID_64 =  64,
  id_PDSCH_RL_ID =  66,
  id_HSDSCH_RearrangeList_Bearer_RearrangeInd = 553,
  id_UL_Synchronisation_Parameters_LCR = 554,
  id_HSDSCH_FDD_Update_Information = 555,
  id_HSDSCH_TDD_Update_Information = 556,
  id_DL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD = 558,
  id_UL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD = 559,
  id_TDD_TPC_UplinkStepSize_LCR_RL_SetupRqstTDD = 560,
  id_TDD_TPC_UplinkStepSize_LCR_RL_AdditionRqstTDD = 561,
  id_TDD_TPC_DownlinkStepSize_RL_AdditionRqstTDD = 562,
  id_TDD_TPC_UplinkStepSize_InformationAdd_LCR_RL_ReconfPrepTDD = 563,
  id_TDD_TPC_UplinkStepSize_InformationModify_LCR_RL_ReconfPrepTDD = 564,
  id_TDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD = 565,
  id_TDD_TPC_DownlinkStepSize_InformationAdd_RL_ReconfPrepTDD = 566,
  id_CCTrCH_Maximum_DL_Power_RL_SetupRqstTDD = 567,
  id_CCTrCH_Minimum_DL_Power_RL_SetupRqstTDD = 568,
  id_CCTrCH_Maximum_DL_Power_RL_AdditionRqstTDD = 569,
  id_CCTrCH_Minimum_DL_Power_RL_AdditionRqstTDD = 570,
  id_CCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD = 571,
  id_CCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD = 572,
  id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD = 573,
  id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD = 574,
  id_Maximum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD = 575,
  id_Minimum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD = 576,
  id_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD = 577,
  id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD = 578,
  id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD = 579,
  id_Initial_DL_Power_TimeslotLCR_InformationItem = 580,
  id_Maximum_DL_Power_TimeslotLCR_InformationItem = 581,
  id_Minimum_DL_Power_TimeslotLCR_InformationItem = 582,
  id_HS_DSCHProvidedBitRateValueInformation = 583,
  id_HS_DSCHRequiredPowerValueInformation = 585,
  id_HS_DSCHRequiredPowerValue = 586,
  id_TransmittedCarrierPowerOfAllCodesNotUsedForHS_PDSCHOrHS_SCCHTransmission = 587,
  id_HS_SICH_Reception_Quality = 588,
  id_HS_SICH_Reception_Quality_Measurement_Value = 589,
  id_HSSICH_Info_DM_Rprt = 590,
  id_HSSICH_Info_DM_Rqst = 591,
  id_HSSICH_Info_DM_Rsp = 592,
  id_Best_Cell_Portions_Value = 593,
  id_Primary_CPICH_Usage_for_Channel_Estimation = 594,
  id_Secondary_CPICH_Information_Change = 595,
  id_NumberOfReportedCellPortions = 596,
  id_TimeslotISCP_LCR_InfoList_RL_ReconfPrepTDD = 599,
  id_Unidirectional_DCH_Indicator = 602,
  id_TimingAdjustmentValueLCR = 603,
  id_multipleRL_dl_DPCH_InformationList = 604,
  id_multipleRL_dl_DPCH_InformationModifyList = 605,
  id_multipleRL_ul_DPCH_InformationList = 606,
  id_multipleRL_ul_DPCH_InformationModifyList = 607,
  id_RL_ID     = 608,
  id_SAT_Info_Almanac_ExtItem = 609,
  id_HSDPA_Capability = 610,
  id_HSDSCH_Resources_Information_AuditRsp = 611,
  id_HSDSCH_Resources_Information_ResourceStatusInd = 612,
  id_HSDSCH_MACdFlows_to_Add = 613,
  id_HSDSCH_MACdFlows_to_Delete = 614,
  id_HSDSCH_Information_to_Modify_Unsynchronised = 615,
  id_TnlQos    = 616,
  id_PrimaryCCPCH_RSCP_Delta = 623,
  id_Tstd_indicator = 627,
  id_multiple_RL_Information_RL_ReconfPrepTDD = 628,
  id_multiple_RL_Information_RL_ReconfRqstTDD = 629,
  id_UpPTSInterferenceValue = 622,
  id_Additional_S_CCPCH_LCR_Parameters_CTCH_ReconfRqstTDD = 635,
  id_Additional_S_CCPCH_LCR_Parameters_CTCH_SetupRqstTDD = 636,
  id_MICH_CFN  = 637,
  id_MICH_Information_AuditRsp = 638,
  id_MICH_Information_ResourceStatusInd = 639,
  id_MICH_Parameters_CTCH_ReconfRqstTDD = 641,
  id_MICH_Parameters_CTCH_SetupRqstTDD = 643,
  id_Modification_Period = 644,
  id_NI_Information_NotifUpdateCmd = 645,
  id_S_CCPCH_LCR_InformationListExt_AuditRsp = 648,
  id_S_CCPCH_LCR_InformationListExt_ResourceStatusInd = 649,
  id_multipleRL_dl_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = 692,
  id_HSSICH_SIRTarget = 709,
  id_multiple_HSSICHMeasurementValueList_TDD_DM_Rsp = 710,
  id_HSSICH_TPC_StepSize = 794,
  id_BroadcastReference = 829,
  id_BroadcastCommonTransportBearerIndication = 830,
  id_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp = 2000,
  id_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp = 2001,
  id_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD = 2002,
  id_URAFCN_Adjustment = 2003,
  id_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd = 2004,
  id_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd = 2005,
  id_UPPCHPositionLCR = 2006,
  id_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD = 2007,
  id_UPPCH_LCR_InformationList_AuditRsp = 2008,
  id_UPPCH_LCR_InformationItem_AuditRsp = 2009,
  id_UPPCH_LCR_InformationList_ResourceStatusInd = 2010,
  id_UPPCH_LCR_InformationItem_ResourceStatusInd = 2011,
  id_multipleFreq_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst = 3000,
  id_number_Of_Supported_Carriers = 3001,
  id_multipleFreq_HSPDSCH_InformationList_ResponseTDDLCR = 3002,
  id_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD = 3003,
  id_multipleFreq_HS_DSCH_Resources_InformationList_AuditRsp = 3004,
  id_multipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd = 3005,
  id_UARFCNSpecificCauseList = 3006,
  id_tSN_Length = 3007,
  id_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst = 3008,
  id_LCRTDD_uplink_Physical_Channel_Capability = 3009,
  id_PowerControlGAP = 3010,
  id_multicarrier_number = 3011,
  id_Additional_failed_HS_SICH = 3012,
  id_Additional_missed_HS_SICH = 3013,
  id_Additional_total_HS_SICH = 3014,
  id_Additional_HS_SICH_Reception_Quality_Measurement_Value = 3015,
  id_Utn_Timeslot = 3501
} ProtocolIE_ID_enum;

/*--- End of included file: packet-nbap-val.h ---*/
#line 53 "packet-nbap-template.c"

/* Initialize the protocol and registered fields */
static int proto_nbap = -1;


/*--- Included file: packet-nbap-hf.c ---*/
#line 1 "packet-nbap-hf.c"
static int hf_nbap_NBAP_PDU_PDU = -1;             /* NBAP_PDU */
static int hf_nbap_CommonTransportChannelSetupRequestFDD_PDU = -1;  /* CommonTransportChannelSetupRequestFDD */
static int hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD_PDU = -1;  /* CommonPhysicalChannelType_CTCH_SetupRqstFDD */
static int hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_PDU = -1;  /* FACH_ParametersListIE_CTCH_SetupRqstFDD */
static int hf_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD_PDU = -1;  /* PCH_ParametersItem_CTCH_SetupRqstFDD */
static int hf_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD_PDU = -1;  /* RACH_ParametersItem_CTCH_SetupRqstFDD */
static int hf_nbap_CommonTransportChannelSetupRequestTDD_PDU = -1;  /* CommonTransportChannelSetupRequestTDD */
static int hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD_PDU = -1;  /* CommonPhysicalChannelType_CTCH_SetupRqstTDD */
static int hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_PDU = -1;  /* Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD */
static int hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_PDU = -1;  /* FACH_ParametersListIE_CTCH_SetupRqstTDD */
static int hf_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD_PDU = -1;  /* PCH_ParametersItem_CTCH_SetupRqstTDD */
static int hf_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD_PDU = -1;  /* PICH_ParametersItem_CTCH_SetupRqstTDD */
static int hf_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD_PDU = -1;  /* PICH_LCR_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_PDU = -1;  /* Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD */
static int hf_nbap_MICH_Parameters_CTCH_SetupRqstTDD_PDU = -1;  /* MICH_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_PDU = -1;  /* Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD */
static int hf_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD_PDU = -1;  /* PRACH_ParametersItem_CTCH_SetupRqstTDD */
static int hf_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD_PDU = -1;  /* RACH_ParameterItem_CTCH_SetupRqstTDD */
static int hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_PDU = -1;  /* PRACH_LCR_ParametersList_CTCH_SetupRqstTDD */
static int hf_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD_PDU = -1;  /* FPACH_LCR_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_CommonTransportChannelSetupResponse_PDU = -1;  /* CommonTransportChannelSetupResponse */
static int hf_nbap_FACH_CommonTransportChannel_InformationResponse_PDU = -1;  /* FACH_CommonTransportChannel_InformationResponse */
static int hf_nbap_CommonTransportChannelSetupFailure_PDU = -1;  /* CommonTransportChannelSetupFailure */
static int hf_nbap_CommonTransportChannelReconfigurationRequestFDD_PDU = -1;  /* CommonTransportChannelReconfigurationRequestFDD */
static int hf_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_PDU = -1;  /* CommonPhysicalChannelType_CTCH_ReconfRqstFDD */
static int hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU = -1;  /* FACH_ParametersListIE_CTCH_ReconfRqstFDD */
static int hf_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD_PDU = -1;  /* PCH_ParametersItem_CTCH_ReconfRqstFDD */
static int hf_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD_PDU = -1;  /* PICH_ParametersItem_CTCH_ReconfRqstFDD */
static int hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU = -1;  /* PRACH_ParametersListIE_CTCH_ReconfRqstFDD */
static int hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_PDU = -1;  /* AICH_ParametersListIE_CTCH_ReconfRqstFDD */
static int hf_nbap_CommonTransportChannelReconfigurationRequestTDD_PDU = -1;  /* CommonTransportChannelReconfigurationRequestTDD */
static int hf_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_PDU = -1;  /* Secondary_CCPCHListIE_CTCH_ReconfRqstTDD */
static int hf_nbap_PICH_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* PICH_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_PDU = -1;  /* FACH_ParametersList_CTCH_ReconfRqstTDD */
static int hf_nbap_PCH_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* PCH_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* FPACH_LCR_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_MICH_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* MICH_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_PDU = -1;  /* Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD */
static int hf_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU = -1;  /* UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD */
static int hf_nbap_CommonTransportChannelReconfigurationResponse_PDU = -1;  /* CommonTransportChannelReconfigurationResponse */
static int hf_nbap_CommonTransportChannelReconfigurationFailure_PDU = -1;  /* CommonTransportChannelReconfigurationFailure */
static int hf_nbap_CommonTransportChannelDeletionRequest_PDU = -1;  /* CommonTransportChannelDeletionRequest */
static int hf_nbap_CommonTransportChannelDeletionResponse_PDU = -1;  /* CommonTransportChannelDeletionResponse */
static int hf_nbap_BlockResourceRequest_PDU = -1;  /* BlockResourceRequest */
static int hf_nbap_BlockResourceResponse_PDU = -1;  /* BlockResourceResponse */
static int hf_nbap_BlockResourceFailure_PDU = -1;  /* BlockResourceFailure */
static int hf_nbap_UnblockResourceIndication_PDU = -1;  /* UnblockResourceIndication */
static int hf_nbap_AuditRequiredIndication_PDU = -1;  /* AuditRequiredIndication */
static int hf_nbap_AuditRequest_PDU = -1;         /* AuditRequest */
static int hf_nbap_AuditResponse_PDU = -1;        /* AuditResponse */
static int hf_nbap_Cell_InformationList_AuditRsp_PDU = -1;  /* Cell_InformationList_AuditRsp */
static int hf_nbap_Cell_InformationItem_AuditRsp_PDU = -1;  /* Cell_InformationItem_AuditRsp */
static int hf_nbap_CCP_InformationList_AuditRsp_PDU = -1;  /* CCP_InformationList_AuditRsp */
static int hf_nbap_CCP_InformationItem_AuditRsp_PDU = -1;  /* CCP_InformationItem_AuditRsp */
static int hf_nbap_FPACH_LCR_InformationList_AuditRsp_PDU = -1;  /* FPACH_LCR_InformationList_AuditRsp */
static int hf_nbap_HS_DSCH_Resources_Information_AuditRsp_PDU = -1;  /* HS_DSCH_Resources_Information_AuditRsp */
static int hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_PDU = -1;  /* Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp */
static int hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_PDU = -1;  /* Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp */
static int hf_nbap_UPPCH_LCR_InformationList_AuditRsp_PDU = -1;  /* UPPCH_LCR_InformationList_AuditRsp */
static int hf_nbap_UPPCH_LCR_InformationItem_AuditRsp_PDU = -1;  /* UPPCH_LCR_InformationItem_AuditRsp */
static int hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_PDU = -1;  /* MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp */
static int hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_PDU = -1;  /* S_CCPCH_LCR_InformationListExt_AuditRsp */
static int hf_nbap_Local_Cell_InformationList_AuditRsp_PDU = -1;  /* Local_Cell_InformationList_AuditRsp */
static int hf_nbap_Local_Cell_InformationItem_AuditRsp_PDU = -1;  /* Local_Cell_InformationItem_AuditRsp */
static int hf_nbap_Local_Cell_Group_InformationList_AuditRsp_PDU = -1;  /* Local_Cell_Group_InformationList_AuditRsp */
static int hf_nbap_Local_Cell_Group_InformationItem_AuditRsp_PDU = -1;  /* Local_Cell_Group_InformationItem_AuditRsp */
static int hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_PDU = -1;  /* Power_Local_Cell_Group_InformationList_AuditRsp */
static int hf_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp_PDU = -1;  /* Power_Local_Cell_Group_InformationItem_AuditRsp */
static int hf_nbap_AuditFailure_PDU = -1;         /* AuditFailure */
static int hf_nbap_CommonMeasurementInitiationRequest_PDU = -1;  /* CommonMeasurementInitiationRequest */
static int hf_nbap_CommonMeasurementObjectType_CM_Rqst_PDU = -1;  /* CommonMeasurementObjectType_CM_Rqst */
static int hf_nbap_CommonMeasurementInitiationResponse_PDU = -1;  /* CommonMeasurementInitiationResponse */
static int hf_nbap_CommonMeasurementObjectType_CM_Rsp_PDU = -1;  /* CommonMeasurementObjectType_CM_Rsp */
static int hf_nbap_CommonMeasurementInitiationFailure_PDU = -1;  /* CommonMeasurementInitiationFailure */
static int hf_nbap_CommonMeasurementReport_PDU = -1;  /* CommonMeasurementReport */
static int hf_nbap_CommonMeasurementObjectType_CM_Rprt_PDU = -1;  /* CommonMeasurementObjectType_CM_Rprt */
static int hf_nbap_CommonMeasurementTerminationRequest_PDU = -1;  /* CommonMeasurementTerminationRequest */
static int hf_nbap_CommonMeasurementFailureIndication_PDU = -1;  /* CommonMeasurementFailureIndication */
static int hf_nbap_CellSetupRequestFDD_PDU = -1;  /* CellSetupRequestFDD */
static int hf_nbap_Synchronisation_Configuration_Cell_SetupRqst_PDU = -1;  /* Synchronisation_Configuration_Cell_SetupRqst */
static int hf_nbap_PrimarySCH_Information_Cell_SetupRqstFDD_PDU = -1;  /* PrimarySCH_Information_Cell_SetupRqstFDD */
static int hf_nbap_SecondarySCH_Information_Cell_SetupRqstFDD_PDU = -1;  /* SecondarySCH_Information_Cell_SetupRqstFDD */
static int hf_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD_PDU = -1;  /* PrimaryCPICH_Information_Cell_SetupRqstFDD */
static int hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_PDU = -1;  /* SecondaryCPICH_InformationList_Cell_SetupRqstFDD */
static int hf_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_PDU = -1;  /* SecondaryCPICH_InformationItem_Cell_SetupRqstFDD */
static int hf_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD_PDU = -1;  /* PrimaryCCPCH_Information_Cell_SetupRqstFDD */
static int hf_nbap_Limited_power_increase_information_Cell_SetupRqstFDD_PDU = -1;  /* Limited_power_increase_information_Cell_SetupRqstFDD */
static int hf_nbap_IPDLParameter_Information_Cell_SetupRqstFDD_PDU = -1;  /* IPDLParameter_Information_Cell_SetupRqstFDD */
static int hf_nbap_CellSetupRequestTDD_PDU = -1;  /* CellSetupRequestTDD */
static int hf_nbap_SCH_Information_Cell_SetupRqstTDD_PDU = -1;  /* SCH_Information_Cell_SetupRqstTDD */
static int hf_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_PDU = -1;  /* SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH */
static int hf_nbap_PCCPCH_Information_Cell_SetupRqstTDD_PDU = -1;  /* PCCPCH_Information_Cell_SetupRqstTDD */
static int hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_PDU = -1;  /* TimeSlotConfigurationList_Cell_SetupRqstTDD */
static int hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_PDU = -1;  /* TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD */
static int hf_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD_PDU = -1;  /* PCCPCH_LCR_Information_Cell_SetupRqstTDD */
static int hf_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD_PDU = -1;  /* DwPCH_LCR_Information_Cell_SetupRqstTDD */
static int hf_nbap_IPDLParameter_Information_Cell_SetupRqstTDD_PDU = -1;  /* IPDLParameter_Information_Cell_SetupRqstTDD */
static int hf_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD_PDU = -1;  /* IPDLParameter_Information_LCR_Cell_SetupRqstTDD */
static int hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_PDU = -1;  /* Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD */
static int hf_nbap_CellSetupResponse_PDU = -1;    /* CellSetupResponse */
static int hf_nbap_CellSetupFailure_PDU = -1;     /* CellSetupFailure */
static int hf_nbap_CellReconfigurationRequestFDD_PDU = -1;  /* CellReconfigurationRequestFDD */
static int hf_nbap_Synchronisation_Configuration_Cell_ReconfRqst_PDU = -1;  /* Synchronisation_Configuration_Cell_ReconfRqst */
static int hf_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD_PDU = -1;  /* PrimarySCH_Information_Cell_ReconfRqstFDD */
static int hf_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD_PDU = -1;  /* SecondarySCH_Information_Cell_ReconfRqstFDD */
static int hf_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD_PDU = -1;  /* PrimaryCPICH_Information_Cell_ReconfRqstFDD */
static int hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_PDU = -1;  /* SecondaryCPICH_InformationList_Cell_ReconfRqstFDD */
static int hf_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_PDU = -1;  /* SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD */
static int hf_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD_PDU = -1;  /* PrimaryCCPCH_Information_Cell_ReconfRqstFDD */
static int hf_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD_PDU = -1;  /* IPDLParameter_Information_Cell_ReconfRqstFDD */
static int hf_nbap_CellReconfigurationRequestTDD_PDU = -1;  /* CellReconfigurationRequestTDD */
static int hf_nbap_SCH_Information_Cell_ReconfRqstTDD_PDU = -1;  /* SCH_Information_Cell_ReconfRqstTDD */
static int hf_nbap_PCCPCH_Information_Cell_ReconfRqstTDD_PDU = -1;  /* PCCPCH_Information_Cell_ReconfRqstTDD */
static int hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_PDU = -1;  /* TimeSlotConfigurationList_Cell_ReconfRqstTDD */
static int hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_PDU = -1;  /* TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD */
static int hf_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD_PDU = -1;  /* DwPCH_LCR_Information_Cell_ReconfRqstTDD */
static int hf_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD_PDU = -1;  /* IPDLParameter_Information_Cell_ReconfRqstTDD */
static int hf_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_PDU = -1;  /* IPDLParameter_Information_LCR_Cell_ReconfRqstTDD */
static int hf_nbap_CellReconfigurationResponse_PDU = -1;  /* CellReconfigurationResponse */
static int hf_nbap_CellReconfigurationFailure_PDU = -1;  /* CellReconfigurationFailure */
static int hf_nbap_CellDeletionRequest_PDU = -1;  /* CellDeletionRequest */
static int hf_nbap_CellDeletionResponse_PDU = -1;  /* CellDeletionResponse */
static int hf_nbap_ResourceStatusIndication_PDU = -1;  /* ResourceStatusIndication */
static int hf_nbap_IndicationType_ResourceStatusInd_PDU = -1;  /* IndicationType_ResourceStatusInd */
static int hf_nbap_Local_Cell_InformationItem_ResourceStatusInd_PDU = -1;  /* Local_Cell_InformationItem_ResourceStatusInd */
static int hf_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU = -1;  /* Local_Cell_Group_InformationItem_ResourceStatusInd */
static int hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_PDU = -1;  /* Power_Local_Cell_Group_InformationList_ResourceStatusInd */
static int hf_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU = -1;  /* Power_Local_Cell_Group_InformationItem_ResourceStatusInd */
static int hf_nbap_Local_Cell_InformationItem2_ResourceStatusInd_PDU = -1;  /* Local_Cell_InformationItem2_ResourceStatusInd */
static int hf_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU = -1;  /* Local_Cell_Group_InformationItem2_ResourceStatusInd */
static int hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_PDU = -1;  /* Power_Local_Cell_Group_InformationList2_ResourceStatusInd */
static int hf_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU = -1;  /* Power_Local_Cell_Group_InformationItem2_ResourceStatusInd */
static int hf_nbap_CCP_InformationItem_ResourceStatusInd_PDU = -1;  /* CCP_InformationItem_ResourceStatusInd */
static int hf_nbap_Cell_InformationItem_ResourceStatusInd_PDU = -1;  /* Cell_InformationItem_ResourceStatusInd */
static int hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_PDU = -1;  /* FPACH_LCR_InformationList_ResourceStatusInd */
static int hf_nbap_DwPCH_LCR_Information_ResourceStatusInd_PDU = -1;  /* DwPCH_LCR_Information_ResourceStatusInd */
static int hf_nbap_HS_DSCH_Resources_Information_ResourceStatusInd_PDU = -1;  /* HS_DSCH_Resources_Information_ResourceStatusInd */
static int hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_PDU = -1;  /* Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd */
static int hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_PDU = -1;  /* Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd */
static int hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_PDU = -1;  /* UPPCH_LCR_InformationList_ResourceStatusInd */
static int hf_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd_PDU = -1;  /* UPPCH_LCR_InformationItem_ResourceStatusInd */
static int hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_PDU = -1;  /* MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd */
static int hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_PDU = -1;  /* S_CCPCH_LCR_InformationListExt_ResourceStatusInd */
static int hf_nbap_SystemInformationUpdateRequest_PDU = -1;  /* SystemInformationUpdateRequest */
static int hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_PDU = -1;  /* MIB_SB_SIB_InformationList_SystemInfoUpdateRqst */
static int hf_nbap_SegmentInformationListIE_SystemInfoUpdate_PDU = -1;  /* SegmentInformationListIE_SystemInfoUpdate */
static int hf_nbap_SystemInformationUpdateResponse_PDU = -1;  /* SystemInformationUpdateResponse */
static int hf_nbap_SystemInformationUpdateFailure_PDU = -1;  /* SystemInformationUpdateFailure */
static int hf_nbap_RadioLinkSetupRequestFDD_PDU = -1;  /* RadioLinkSetupRequestFDD */
static int hf_nbap_UL_DPCH_Information_RL_SetupRqstFDD_PDU = -1;  /* UL_DPCH_Information_RL_SetupRqstFDD */
static int hf_nbap_DL_DPCH_Information_RL_SetupRqstFDD_PDU = -1;  /* DL_DPCH_Information_RL_SetupRqstFDD */
static int hf_nbap_RL_InformationList_RL_SetupRqstFDD_PDU = -1;  /* RL_InformationList_RL_SetupRqstFDD */
static int hf_nbap_RL_InformationItem_RL_SetupRqstFDD_PDU = -1;  /* RL_InformationItem_RL_SetupRqstFDD */
static int hf_nbap_RadioLinkSetupRequestTDD_PDU = -1;  /* RadioLinkSetupRequestTDD */
static int hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationList_RL_SetupRqstTDD */
static int hf_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationItem_RL_SetupRqstTDD */
static int hf_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD_PDU = -1;  /* UL_DPCH_InformationItem_RL_SetupRqstTDD */
static int hf_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU = -1;  /* UL_DPCH_LCR_Information_RL_SetupRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationList_RL_SetupRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationItem_RL_SetupRqstTDD */
static int hf_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD_PDU = -1;  /* DL_DPCH_InformationItem_RL_SetupRqstTDD */
static int hf_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU = -1;  /* DL_DPCH_LCR_Information_RL_SetupRqstTDD */
static int hf_nbap_RL_Information_RL_SetupRqstTDD_PDU = -1;  /* RL_Information_RL_SetupRqstTDD */
static int hf_nbap_RadioLinkSetupResponseFDD_PDU = -1;  /* RadioLinkSetupResponseFDD */
static int hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_PDU = -1;  /* RL_InformationResponseList_RL_SetupRspFDD */
static int hf_nbap_RL_InformationResponseItem_RL_SetupRspFDD_PDU = -1;  /* RL_InformationResponseItem_RL_SetupRspFDD */
static int hf_nbap_RadioLinkSetupResponseTDD_PDU = -1;  /* RadioLinkSetupResponseTDD */
static int hf_nbap_RL_InformationResponse_RL_SetupRspTDD_PDU = -1;  /* RL_InformationResponse_RL_SetupRspTDD */
static int hf_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD_PDU = -1;  /* RL_InformationResponse_LCR_RL_SetupRspTDD */
static int hf_nbap_RadioLinkSetupFailureFDD_PDU = -1;  /* RadioLinkSetupFailureFDD */
static int hf_nbap_CauseLevel_RL_SetupFailureFDD_PDU = -1;  /* CauseLevel_RL_SetupFailureFDD */
static int hf_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_PDU = -1;  /* Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD */
static int hf_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD_PDU = -1;  /* Successful_RL_InformationRespItem_RL_SetupFailureFDD */
static int hf_nbap_RadioLinkSetupFailureTDD_PDU = -1;  /* RadioLinkSetupFailureTDD */
static int hf_nbap_CauseLevel_RL_SetupFailureTDD_PDU = -1;  /* CauseLevel_RL_SetupFailureTDD */
static int hf_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_PDU = -1;  /* Unsuccessful_RL_InformationResp_RL_SetupFailureTDD */
static int hf_nbap_RadioLinkAdditionRequestFDD_PDU = -1;  /* RadioLinkAdditionRequestFDD */
static int hf_nbap_RL_InformationList_RL_AdditionRqstFDD_PDU = -1;  /* RL_InformationList_RL_AdditionRqstFDD */
static int hf_nbap_RL_InformationItem_RL_AdditionRqstFDD_PDU = -1;  /* RL_InformationItem_RL_AdditionRqstFDD */
static int hf_nbap_RadioLinkAdditionRequestTDD_PDU = -1;  /* RadioLinkAdditionRequestTDD */
static int hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationList_RL_AdditionRqstTDD */
static int hf_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU = -1;  /* UL_DPCH_InformationItem_RL_AdditionRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationList_RL_AdditionRqstTDD */
static int hf_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU = -1;  /* DL_DPCH_InformationItem_RL_AdditionRqstTDD */
static int hf_nbap_RL_Information_RL_AdditionRqstTDD_PDU = -1;  /* RL_Information_RL_AdditionRqstTDD */
static int hf_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU = -1;  /* UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD */
static int hf_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU = -1;  /* DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD */
static int hf_nbap_RadioLinkAdditionResponseFDD_PDU = -1;  /* RadioLinkAdditionResponseFDD */
static int hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_PDU = -1;  /* RL_InformationResponseList_RL_AdditionRspFDD */
static int hf_nbap_RL_InformationResponseItem_RL_AdditionRspFDD_PDU = -1;  /* RL_InformationResponseItem_RL_AdditionRspFDD */
static int hf_nbap_RadioLinkAdditionResponseTDD_PDU = -1;  /* RadioLinkAdditionResponseTDD */
static int hf_nbap_RL_InformationResponse_RL_AdditionRspTDD_PDU = -1;  /* RL_InformationResponse_RL_AdditionRspTDD */
static int hf_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD_PDU = -1;  /* RL_InformationResponse_LCR_RL_AdditionRspTDD */
static int hf_nbap_RadioLinkAdditionFailureFDD_PDU = -1;  /* RadioLinkAdditionFailureFDD */
static int hf_nbap_CauseLevel_RL_AdditionFailureFDD_PDU = -1;  /* CauseLevel_RL_AdditionFailureFDD */
static int hf_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU = -1;  /* Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD */
static int hf_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU = -1;  /* Successful_RL_InformationRespItem_RL_AdditionFailureFDD */
static int hf_nbap_RadioLinkAdditionFailureTDD_PDU = -1;  /* RadioLinkAdditionFailureTDD */
static int hf_nbap_CauseLevel_RL_AdditionFailureTDD_PDU = -1;  /* CauseLevel_RL_AdditionFailureTDD */
static int hf_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_PDU = -1;  /* Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD */
static int hf_nbap_RadioLinkReconfigurationPrepareFDD_PDU = -1;  /* RadioLinkReconfigurationPrepareFDD */
static int hf_nbap_UL_DPCH_Information_RL_ReconfPrepFDD_PDU = -1;  /* UL_DPCH_Information_RL_ReconfPrepFDD */
static int hf_nbap_DL_DPCH_Information_RL_ReconfPrepFDD_PDU = -1;  /* DL_DPCH_Information_RL_ReconfPrepFDD */
static int hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_PDU = -1;  /* DCH_DeleteList_RL_ReconfPrepFDD */
static int hf_nbap_RL_InformationList_RL_ReconfPrepFDD_PDU = -1;  /* RL_InformationList_RL_ReconfPrepFDD */
static int hf_nbap_RL_InformationItem_RL_ReconfPrepFDD_PDU = -1;  /* RL_InformationItem_RL_ReconfPrepFDD */
static int hf_nbap_RadioLinkReconfigurationPrepareTDD_PDU = -1;  /* RadioLinkReconfigurationPrepareTDD */
static int hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_InformationAddItem_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU = -1;  /* UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU = -1;  /* MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU = -1;  /* UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU = -1;  /* UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD */
static int hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU = -1;  /* UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD */
static int hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_InformationAddItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU = -1;  /* DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU = -1;  /* MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU = -1;  /* DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU = -1;  /* DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD */
static int hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU = -1;  /* DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD */
static int hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_PDU = -1;  /* DCH_DeleteList_RL_ReconfPrepTDD */
static int hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_PDU = -1;  /* DSCH_Information_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_PDU = -1;  /* DSCH_Information_DeleteList_RL_ReconfPrepTDD */
static int hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_PDU = -1;  /* USCH_Information_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_PDU = -1;  /* USCH_Information_DeleteList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_PDU = -1;  /* MultipleRL_Information_RL_ReconfPrepTDD */
static int hf_nbap_RL_Information_RL_ReconfPrepTDD_PDU = -1;  /* RL_Information_RL_ReconfPrepTDD */
static int hf_nbap_RadioLinkReconfigurationReady_PDU = -1;  /* RadioLinkReconfigurationReady */
static int hf_nbap_RL_InformationResponseList_RL_ReconfReady_PDU = -1;  /* RL_InformationResponseList_RL_ReconfReady */
static int hf_nbap_RL_InformationResponseItem_RL_ReconfReady_PDU = -1;  /* RL_InformationResponseItem_RL_ReconfReady */
static int hf_nbap_RadioLinkReconfigurationFailure_PDU = -1;  /* RadioLinkReconfigurationFailure */
static int hf_nbap_CauseLevel_RL_ReconfFailure_PDU = -1;  /* CauseLevel_RL_ReconfFailure */
static int hf_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure_PDU = -1;  /* RL_ReconfigurationFailureItem_RL_ReconfFailure */
static int hf_nbap_RadioLinkReconfigurationCommit_PDU = -1;  /* RadioLinkReconfigurationCommit */
static int hf_nbap_RadioLinkReconfigurationCancel_PDU = -1;  /* RadioLinkReconfigurationCancel */
static int hf_nbap_RadioLinkReconfigurationRequestFDD_PDU = -1;  /* RadioLinkReconfigurationRequestFDD */
static int hf_nbap_UL_DPCH_Information_RL_ReconfRqstFDD_PDU = -1;  /* UL_DPCH_Information_RL_ReconfRqstFDD */
static int hf_nbap_DL_DPCH_Information_RL_ReconfRqstFDD_PDU = -1;  /* DL_DPCH_Information_RL_ReconfRqstFDD */
static int hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_PDU = -1;  /* DCH_DeleteList_RL_ReconfRqstFDD */
static int hf_nbap_RL_InformationList_RL_ReconfRqstFDD_PDU = -1;  /* RL_InformationList_RL_ReconfRqstFDD */
static int hf_nbap_RL_InformationItem_RL_ReconfRqstFDD_PDU = -1;  /* RL_InformationItem_RL_ReconfRqstFDD */
static int hf_nbap_RadioLinkReconfigurationRequestTDD_PDU = -1;  /* RadioLinkReconfigurationRequestTDD */
static int hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD */
static int hf_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD */
static int hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD */
static int hf_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU = -1;  /* UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD */
static int hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU = -1;  /* MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD */
static int hf_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_PDU = -1;  /* DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU = -1;  /* DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD */
static int hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_PDU = -1;  /* DCH_DeleteList_RL_ReconfRqstTDD */
static int hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_PDU = -1;  /* Multiple_RL_Information_RL_ReconfRqstTDD */
static int hf_nbap_RL_Information_RL_ReconfRqstTDD_PDU = -1;  /* RL_Information_RL_ReconfRqstTDD */
static int hf_nbap_RadioLinkReconfigurationResponse_PDU = -1;  /* RadioLinkReconfigurationResponse */
static int hf_nbap_RL_InformationResponseList_RL_ReconfRsp_PDU = -1;  /* RL_InformationResponseList_RL_ReconfRsp */
static int hf_nbap_RL_InformationResponseItem_RL_ReconfRsp_PDU = -1;  /* RL_InformationResponseItem_RL_ReconfRsp */
static int hf_nbap_RadioLinkDeletionRequest_PDU = -1;  /* RadioLinkDeletionRequest */
static int hf_nbap_RL_informationList_RL_DeletionRqst_PDU = -1;  /* RL_informationList_RL_DeletionRqst */
static int hf_nbap_RL_informationItem_RL_DeletionRqst_PDU = -1;  /* RL_informationItem_RL_DeletionRqst */
static int hf_nbap_RadioLinkDeletionResponse_PDU = -1;  /* RadioLinkDeletionResponse */
static int hf_nbap_DL_PowerControlRequest_PDU = -1;  /* DL_PowerControlRequest */
static int hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_PDU = -1;  /* DL_ReferencePowerInformationList_DL_PC_Rqst */
static int hf_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst_PDU = -1;  /* DL_ReferencePowerInformationItem_DL_PC_Rqst */
static int hf_nbap_DL_PowerTimeslotControlRequest_PDU = -1;  /* DL_PowerTimeslotControlRequest */
static int hf_nbap_DedicatedMeasurementInitiationRequest_PDU = -1;  /* DedicatedMeasurementInitiationRequest */
static int hf_nbap_DedicatedMeasurementObjectType_DM_Rqst_PDU = -1;  /* DedicatedMeasurementObjectType_DM_Rqst */
static int hf_nbap_RL_InformationItem_DM_Rqst_PDU = -1;  /* RL_InformationItem_DM_Rqst */
static int hf_nbap_PUSCH_Info_DM_Rqst_PDU = -1;   /* PUSCH_Info_DM_Rqst */
static int hf_nbap_HSSICH_Info_DM_Rqst_PDU = -1;  /* HSSICH_Info_DM_Rqst */
static int hf_nbap_DedicatedMeasurementInitiationResponse_PDU = -1;  /* DedicatedMeasurementInitiationResponse */
static int hf_nbap_DedicatedMeasurementObjectType_DM_Rsp_PDU = -1;  /* DedicatedMeasurementObjectType_DM_Rsp */
static int hf_nbap_RL_InformationItem_DM_Rsp_PDU = -1;  /* RL_InformationItem_DM_Rsp */
static int hf_nbap_PUSCH_Info_DM_Rsp_PDU = -1;    /* PUSCH_Info_DM_Rsp */
static int hf_nbap_RL_Set_InformationItem_DM_Rsp_PDU = -1;  /* RL_Set_InformationItem_DM_Rsp */
static int hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_PDU = -1;  /* Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp */
static int hf_nbap_DedicatedMeasurementInitiationFailure_PDU = -1;  /* DedicatedMeasurementInitiationFailure */
static int hf_nbap_DedicatedMeasurementReport_PDU = -1;  /* DedicatedMeasurementReport */
static int hf_nbap_DedicatedMeasurementObjectType_DM_Rprt_PDU = -1;  /* DedicatedMeasurementObjectType_DM_Rprt */
static int hf_nbap_RL_InformationItem_DM_Rprt_PDU = -1;  /* RL_InformationItem_DM_Rprt */
static int hf_nbap_PUSCH_Info_DM_Rprt_PDU = -1;   /* PUSCH_Info_DM_Rprt */
static int hf_nbap_RL_Set_InformationItem_DM_Rprt_PDU = -1;  /* RL_Set_InformationItem_DM_Rprt */
static int hf_nbap_DedicatedMeasurementTerminationRequest_PDU = -1;  /* DedicatedMeasurementTerminationRequest */
static int hf_nbap_DedicatedMeasurementFailureIndication_PDU = -1;  /* DedicatedMeasurementFailureIndication */
static int hf_nbap_RadioLinkFailureIndication_PDU = -1;  /* RadioLinkFailureIndication */
static int hf_nbap_Reporting_Object_RL_FailureInd_PDU = -1;  /* Reporting_Object_RL_FailureInd */
static int hf_nbap_RL_InformationItem_RL_FailureInd_PDU = -1;  /* RL_InformationItem_RL_FailureInd */
static int hf_nbap_RL_Set_InformationItem_RL_FailureInd_PDU = -1;  /* RL_Set_InformationItem_RL_FailureInd */
static int hf_nbap_CCTrCH_InformationItem_RL_FailureInd_PDU = -1;  /* CCTrCH_InformationItem_RL_FailureInd */
static int hf_nbap_RadioLinkPreemptionRequiredIndication_PDU = -1;  /* RadioLinkPreemptionRequiredIndication */
static int hf_nbap_RL_InformationList_RL_PreemptRequiredInd_PDU = -1;  /* RL_InformationList_RL_PreemptRequiredInd */
static int hf_nbap_RL_InformationItem_RL_PreemptRequiredInd_PDU = -1;  /* RL_InformationItem_RL_PreemptRequiredInd */
static int hf_nbap_RadioLinkRestoreIndication_PDU = -1;  /* RadioLinkRestoreIndication */
static int hf_nbap_Reporting_Object_RL_RestoreInd_PDU = -1;  /* Reporting_Object_RL_RestoreInd */
static int hf_nbap_RL_InformationItem_RL_RestoreInd_PDU = -1;  /* RL_InformationItem_RL_RestoreInd */
static int hf_nbap_RL_Set_InformationItem_RL_RestoreInd_PDU = -1;  /* RL_Set_InformationItem_RL_RestoreInd */
static int hf_nbap_CCTrCH_InformationItem_RL_RestoreInd_PDU = -1;  /* CCTrCH_InformationItem_RL_RestoreInd */
static int hf_nbap_CompressedModeCommand_PDU = -1;  /* CompressedModeCommand */
static int hf_nbap_ErrorIndication_PDU = -1;      /* ErrorIndication */
static int hf_nbap_PrivateMessage_PDU = -1;       /* PrivateMessage */
static int hf_nbap_PhysicalSharedChannelReconfigurationRequestFDD_PDU = -1;  /* PhysicalSharedChannelReconfigurationRequestFDD */
static int hf_nbap_PhysicalSharedChannelReconfigurationRequestTDD_PDU = -1;  /* PhysicalSharedChannelReconfigurationRequestTDD */
static int hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_PDU = -1;  /* PDSCHSets_AddList_PSCH_ReconfRqst */
static int hf_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst_PDU = -1;  /* PDSCH_Information_AddItem_PSCH_ReconfRqst */
static int hf_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU = -1;  /* PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst */
static int hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_PDU = -1;  /* PDSCHSets_ModifyList_PSCH_ReconfRqst */
static int hf_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU = -1;  /* PDSCH_Information_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU = -1;  /* PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_PDU = -1;  /* PDSCHSets_DeleteList_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_PDU = -1;  /* PUSCHSets_AddList_PSCH_ReconfRqst */
static int hf_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst_PDU = -1;  /* PUSCH_Information_AddItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU = -1;  /* PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_PDU = -1;  /* PUSCHSets_ModifyList_PSCH_ReconfRqst */
static int hf_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU = -1;  /* PUSCH_Information_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU = -1;  /* PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_PDU = -1;  /* PUSCHSets_DeleteList_PSCH_ReconfRqst */
static int hf_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst_PDU = -1;  /* HS_PDSCH_TDD_Information_PSCH_ReconfRqst */
static int hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_PDU = -1;  /* MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst */
static int hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_PDU = -1;  /* MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst */
static int hf_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU = -1;  /* Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst */
static int hf_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU = -1;  /* Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst */
static int hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU = -1;  /* Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst */
static int hf_nbap_PhysicalSharedChannelReconfigurationResponse_PDU = -1;  /* PhysicalSharedChannelReconfigurationResponse */
static int hf_nbap_PhysicalSharedChannelReconfigurationFailure_PDU = -1;  /* PhysicalSharedChannelReconfigurationFailure */
static int hf_nbap_CauseLevel_PSCH_ReconfFailure_PDU = -1;  /* CauseLevel_PSCH_ReconfFailure */
static int hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_PDU = -1;  /* UARFCNSpecificCauseList_PSCH_ReconfFailureTDD */
static int hf_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_PDU = -1;  /* Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD */
static int hf_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_PDU = -1;  /* Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD */
static int hf_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_PDU = -1;  /* Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD */
static int hf_nbap_ResetRequest_PDU = -1;         /* ResetRequest */
static int hf_nbap_ResetIndicator_PDU = -1;       /* ResetIndicator */
static int hf_nbap_CommunicationContextInfoItem_Reset_PDU = -1;  /* CommunicationContextInfoItem_Reset */
static int hf_nbap_CommunicationControlPortInfoItem_Reset_PDU = -1;  /* CommunicationControlPortInfoItem_Reset */
static int hf_nbap_ResetResponse_PDU = -1;        /* ResetResponse */
static int hf_nbap_InformationExchangeInitiationRequest_PDU = -1;  /* InformationExchangeInitiationRequest */
static int hf_nbap_InformationExchangeObjectType_InfEx_Rqst_PDU = -1;  /* InformationExchangeObjectType_InfEx_Rqst */
static int hf_nbap_InformationExchangeInitiationResponse_PDU = -1;  /* InformationExchangeInitiationResponse */
static int hf_nbap_InformationExchangeObjectType_InfEx_Rsp_PDU = -1;  /* InformationExchangeObjectType_InfEx_Rsp */
static int hf_nbap_InformationExchangeInitiationFailure_PDU = -1;  /* InformationExchangeInitiationFailure */
static int hf_nbap_InformationReport_PDU = -1;    /* InformationReport */
static int hf_nbap_InformationExchangeObjectType_InfEx_Rprt_PDU = -1;  /* InformationExchangeObjectType_InfEx_Rprt */
static int hf_nbap_InformationExchangeTerminationRequest_PDU = -1;  /* InformationExchangeTerminationRequest */
static int hf_nbap_InformationExchangeFailureIndication_PDU = -1;  /* InformationExchangeFailureIndication */
static int hf_nbap_CellSynchronisationInitiationRequestTDD_PDU = -1;  /* CellSynchronisationInitiationRequestTDD */
static int hf_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD_PDU = -1;  /* CellSyncBurstTransInit_CellSyncInitiationRqstTDD */
static int hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_PDU = -1;  /* TimeslotInfo_CellSyncInitiationRqstTDD */
static int hf_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_PDU = -1;  /* CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD */
static int hf_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_PDU = -1;  /* SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD */
static int hf_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_PDU = -1;  /* SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD */
static int hf_nbap_CellSynchronisationInitiationResponseTDD_PDU = -1;  /* CellSynchronisationInitiationResponseTDD */
static int hf_nbap_CellSynchronisationInitiationFailureTDD_PDU = -1;  /* CellSynchronisationInitiationFailureTDD */
static int hf_nbap_CellSynchronisationReconfigurationRequestTDD_PDU = -1;  /* CellSynchronisationReconfigurationRequestTDD */
static int hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_PDU = -1;  /* CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD */
static int hf_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_PDU = -1;  /* CellSyncBurstMeasInfo_CellSyncReconfRqstTDD */
static int hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_PDU = -1;  /* CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD */
static int hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_PDU = -1;  /* SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD */
static int hf_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_PDU = -1;  /* SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD */
static int hf_nbap_CellSynchronisationReconfigurationResponseTDD_PDU = -1;  /* CellSynchronisationReconfigurationResponseTDD */
static int hf_nbap_CellSynchronisationReconfigurationFailureTDD_PDU = -1;  /* CellSynchronisationReconfigurationFailureTDD */
static int hf_nbap_CellSynchronisationAdjustmentRequestTDD_PDU = -1;  /* CellSynchronisationAdjustmentRequestTDD */
static int hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_PDU = -1;  /* CellAdjustmentInfo_SyncAdjustmentRqstTDD */
static int hf_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_PDU = -1;  /* CellAdjustmentInfoItem_SyncAdjustmentRqstTDD */
static int hf_nbap_CellSynchronisationAdjustmentResponseTDD_PDU = -1;  /* CellSynchronisationAdjustmentResponseTDD */
static int hf_nbap_CellSynchronisationAdjustmentFailureTDD_PDU = -1;  /* CellSynchronisationAdjustmentFailureTDD */
static int hf_nbap_CauseLevel_SyncAdjustmntFailureTDD_PDU = -1;  /* CauseLevel_SyncAdjustmntFailureTDD */
static int hf_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_PDU = -1;  /* Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD */
static int hf_nbap_CellSynchronisationTerminationRequestTDD_PDU = -1;  /* CellSynchronisationTerminationRequestTDD */
static int hf_nbap_CellSynchronisationFailureIndicationTDD_PDU = -1;  /* CellSynchronisationFailureIndicationTDD */
static int hf_nbap_CellSynchronisationReportTDD_PDU = -1;  /* CellSynchronisationReportTDD */
static int hf_nbap_CellSyncInfo_CellSyncReprtTDD_PDU = -1;  /* CellSyncInfo_CellSyncReprtTDD */
static int hf_nbap_SyncReportType_CellSyncReprtTDD_PDU = -1;  /* SyncReportType_CellSyncReprtTDD */
static int hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_PDU = -1;  /* SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD */
static int hf_nbap_BearerRearrangementIndication_PDU = -1;  /* BearerRearrangementIndication */
static int hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_PDU = -1;  /* DCH_RearrangeList_Bearer_RearrangeInd */
static int hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_PDU = -1;  /* DSCH_RearrangeList_Bearer_RearrangeInd */
static int hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_PDU = -1;  /* USCH_RearrangeList_Bearer_RearrangeInd */
static int hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_PDU = -1;  /* HSDSCH_RearrangeList_Bearer_RearrangeInd */
static int hf_nbap_RadioLinkActivationCommandFDD_PDU = -1;  /* RadioLinkActivationCommandFDD */
static int hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_PDU = -1;  /* DelayedActivationInformationList_RL_ActivationCmdFDD */
static int hf_nbap_DelayedActivationInformation_RL_ActivationCmdFDD_PDU = -1;  /* DelayedActivationInformation_RL_ActivationCmdFDD */
static int hf_nbap_RadioLinkActivationCommandTDD_PDU = -1;  /* RadioLinkActivationCommandTDD */
static int hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_PDU = -1;  /* DelayedActivationInformationList_RL_ActivationCmdTDD */
static int hf_nbap_DelayedActivationInformation_RL_ActivationCmdTDD_PDU = -1;  /* DelayedActivationInformation_RL_ActivationCmdTDD */
static int hf_nbap_RadioLinkParameterUpdateIndicationFDD_PDU = -1;  /* RadioLinkParameterUpdateIndicationFDD */
static int hf_nbap_RadioLinkParameterUpdateIndicationTDD_PDU = -1;  /* RadioLinkParameterUpdateIndicationTDD */
static int hf_nbap_MBMSNotificationUpdateCommand_PDU = -1;  /* MBMSNotificationUpdateCommand */
static int hf_nbap_Active_Pattern_Sequence_Information_PDU = -1;  /* Active_Pattern_Sequence_Information */
static int hf_nbap_Angle_Of_Arrival_Value_LCR_PDU = -1;  /* Angle_Of_Arrival_Value_LCR */
static int hf_nbap_BCCH_ModificationTime_PDU = -1;  /* BCCH_ModificationTime */
static int hf_nbap_Best_Cell_Portions_Value_PDU = -1;  /* Best_Cell_Portions_Value */
static int hf_nbap_BindingID_PDU = -1;            /* BindingID */
static int hf_nbap_BlockingPriorityIndicator_PDU = -1;  /* BlockingPriorityIndicator */
static int hf_nbap_BroadcastCommonTransportBearerIndication_PDU = -1;  /* BroadcastCommonTransportBearerIndication */
static int hf_nbap_BroadcastReference_PDU = -1;   /* BroadcastReference */
static int hf_nbap_Cause_PDU = -1;                /* Cause */
static int hf_nbap_CellParameterID_PDU = -1;      /* CellParameterID */
static int hf_nbap_CellSyncBurstRepetitionPeriod_PDU = -1;  /* CellSyncBurstRepetitionPeriod */
static int hf_nbap_CFN_PDU = -1;                  /* CFN */
static int hf_nbap_C_ID_PDU = -1;                 /* C_ID */
static int hf_nbap_Closedlooptimingadjustmentmode_PDU = -1;  /* Closedlooptimingadjustmentmode */
static int hf_nbap_CommonMeasurementAccuracy_PDU = -1;  /* CommonMeasurementAccuracy */
static int hf_nbap_CommonMeasurementType_PDU = -1;  /* CommonMeasurementType */
static int hf_nbap_CommonPhysicalChannelID_PDU = -1;  /* CommonPhysicalChannelID */
static int hf_nbap_Common_PhysicalChannel_Status_Information_PDU = -1;  /* Common_PhysicalChannel_Status_Information */
static int hf_nbap_CommonTransportChannel_InformationResponse_PDU = -1;  /* CommonTransportChannel_InformationResponse */
static int hf_nbap_Common_TransportChannel_Status_Information_PDU = -1;  /* Common_TransportChannel_Status_Information */
static int hf_nbap_CommunicationControlPortID_PDU = -1;  /* CommunicationControlPortID */
static int hf_nbap_Compressed_Mode_Deactivation_Flag_PDU = -1;  /* Compressed_Mode_Deactivation_Flag */
static int hf_nbap_ConfigurationGenerationID_PDU = -1;  /* ConfigurationGenerationID */
static int hf_nbap_ConstantValue_PDU = -1;        /* ConstantValue */
static int hf_nbap_ControlGAP_PDU = -1;           /* ControlGAP */
static int hf_nbap_CriticalityDiagnostics_PDU = -1;  /* CriticalityDiagnostics */
static int hf_nbap_CRNC_CommunicationContextID_PDU = -1;  /* CRNC_CommunicationContextID */
static int hf_nbap_CSBMeasurementID_PDU = -1;     /* CSBMeasurementID */
static int hf_nbap_CSBTransmissionID_PDU = -1;    /* CSBTransmissionID */
static int hf_nbap_DCH_FDD_Information_PDU = -1;  /* DCH_FDD_Information */
static int hf_nbap_DCH_InformationResponse_PDU = -1;  /* DCH_InformationResponse */
static int hf_nbap_DCH_TDD_Information_PDU = -1;  /* DCH_TDD_Information */
static int hf_nbap_FDD_DCHs_to_Modify_PDU = -1;   /* FDD_DCHs_to_Modify */
static int hf_nbap_TDD_DCHs_to_Modify_PDU = -1;   /* TDD_DCHs_to_Modify */
static int hf_nbap_DedicatedMeasurementType_PDU = -1;  /* DedicatedMeasurementType */
static int hf_nbap_DelayedActivation_PDU = -1;    /* DelayedActivation */
static int hf_nbap_DL_DPCH_TimingAdjustment_PDU = -1;  /* DL_DPCH_TimingAdjustment */
static int hf_nbap_DL_Power_PDU = -1;             /* DL_Power */
static int hf_nbap_DL_PowerBalancing_Information_PDU = -1;  /* DL_PowerBalancing_Information */
static int hf_nbap_DL_PowerBalancing_ActivationIndicator_PDU = -1;  /* DL_PowerBalancing_ActivationIndicator */
static int hf_nbap_DL_PowerBalancing_UpdatedIndicator_PDU = -1;  /* DL_PowerBalancing_UpdatedIndicator */
static int hf_nbap_DL_ScramblingCode_PDU = -1;    /* DL_ScramblingCode */
static int hf_nbap_DL_TimeslotISCPInfo_PDU = -1;  /* DL_TimeslotISCPInfo */
static int hf_nbap_DL_TimeslotISCPInfoLCR_PDU = -1;  /* DL_TimeslotISCPInfoLCR */
static int hf_nbap_DL_TPC_Pattern01Count_PDU = -1;  /* DL_TPC_Pattern01Count */
static int hf_nbap_DPC_Mode_PDU = -1;             /* DPC_Mode */
static int hf_nbap_DSCH_InformationResponse_PDU = -1;  /* DSCH_InformationResponse */
static int hf_nbap_DSCH_TDD_Information_PDU = -1;  /* DSCH_TDD_Information */
static int hf_nbap_DwPCH_Power_PDU = -1;          /* DwPCH_Power */
static int hf_nbap_End_Of_Audit_Sequence_Indicator_PDU = -1;  /* End_Of_Audit_Sequence_Indicator */
static int hf_nbap_FNReportingIndicator_PDU = -1;  /* FNReportingIndicator */
static int hf_nbap_HSDPA_Capability_PDU = -1;     /* HSDPA_Capability */
static int hf_nbap_HS_DSCHProvidedBitRate_PDU = -1;  /* HS_DSCHProvidedBitRate */
static int hf_nbap_HS_DSCHRequiredPower_PDU = -1;  /* HS_DSCHRequiredPower */
static int hf_nbap_HS_DSCHRequiredPowerValue_PDU = -1;  /* HS_DSCHRequiredPowerValue */
static int hf_nbap_HSDSCH_FDD_Information_PDU = -1;  /* HSDSCH_FDD_Information */
static int hf_nbap_HSDSCH_TDD_Information_PDU = -1;  /* HSDSCH_TDD_Information */
static int hf_nbap_HSDSCH_Information_to_Modify_PDU = -1;  /* HSDSCH_Information_to_Modify */
static int hf_nbap_HSDSCH_Information_to_Modify_Unsynchronised_PDU = -1;  /* HSDSCH_Information_to_Modify_Unsynchronised */
static int hf_nbap_HSDSCH_FDD_Information_Response_PDU = -1;  /* HSDSCH_FDD_Information_Response */
static int hf_nbap_HSDSCH_TDD_Information_Response_PDU = -1;  /* HSDSCH_TDD_Information_Response */
static int hf_nbap_Multicarrier_Number_PDU = -1;  /* Multicarrier_Number */
static int hf_nbap_HSDSCH_MACdFlows_Information_PDU = -1;  /* HSDSCH_MACdFlows_Information */
static int hf_nbap_HSDSCH_MACdFlows_to_Delete_PDU = -1;  /* HSDSCH_MACdFlows_to_Delete */
static int hf_nbap_HS_SICH_Reception_Quality_Value_PDU = -1;  /* HS_SICH_Reception_Quality_Value */
static int hf_nbap_HS_SICH_failed_PDU = -1;       /* HS_SICH_failed */
static int hf_nbap_HS_SICH_missed_PDU = -1;       /* HS_SICH_missed */
static int hf_nbap_HS_SICH_total_PDU = -1;        /* HS_SICH_total */
static int hf_nbap_HS_SICH_Reception_Quality_Measurement_Value_PDU = -1;  /* HS_SICH_Reception_Quality_Measurement_Value */
static int hf_nbap_HSDSCH_RNTI_PDU = -1;          /* HSDSCH_RNTI */
static int hf_nbap_HS_PDSCH_FDD_Code_Information_PDU = -1;  /* HS_PDSCH_FDD_Code_Information */
static int hf_nbap_HS_SICH_ID_PDU = -1;           /* HS_SICH_ID */
static int hf_nbap_HS_SCCH_FDD_Code_Information_PDU = -1;  /* HS_SCCH_FDD_Code_Information */
static int hf_nbap_HSDSCH_FDD_Update_Information_PDU = -1;  /* HSDSCH_FDD_Update_Information */
static int hf_nbap_HSDSCH_TDD_Update_Information_PDU = -1;  /* HSDSCH_TDD_Update_Information */
static int hf_nbap_InformationReportCharacteristics_PDU = -1;  /* InformationReportCharacteristics */
static int hf_nbap_InformationExchangeID_PDU = -1;  /* InformationExchangeID */
static int hf_nbap_InformationType_PDU = -1;      /* InformationType */
static int hf_nbap_InnerLoopDLPCStatus_PDU = -1;  /* InnerLoopDLPCStatus */
static int hf_nbap_Local_Cell_ID_PDU = -1;        /* Local_Cell_ID */
static int hf_nbap_LCRTDD_Uplink_Physical_Channel_Capability_PDU = -1;  /* LCRTDD_Uplink_Physical_Channel_Capability */
static int hf_nbap_MaximumTransmissionPower_PDU = -1;  /* MaximumTransmissionPower */
static int hf_nbap_MeasurementFilterCoefficient_PDU = -1;  /* MeasurementFilterCoefficient */
static int hf_nbap_MeasurementID_PDU = -1;        /* MeasurementID */
static int hf_nbap_MessageStructure_PDU = -1;     /* MessageStructure */
static int hf_nbap_MICH_CFN_PDU = -1;             /* MICH_CFN */
static int hf_nbap_Modification_Period_PDU = -1;  /* Modification_Period */
static int hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_PDU = -1;  /* MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR */
static int hf_nbap_NCyclesPerSFNperiod_PDU = -1;  /* NCyclesPerSFNperiod */
static int hf_nbap_NRepetitionsPerCyclePeriod_PDU = -1;  /* NRepetitionsPerCyclePeriod */
static int hf_nbap_NeighbouringCellMeasurementInformation_PDU = -1;  /* NeighbouringCellMeasurementInformation */
static int hf_nbap_NeighbouringTDDCellMeasurementInformationLCR_PDU = -1;  /* NeighbouringTDDCellMeasurementInformationLCR */
static int hf_nbap_NI_Information_PDU = -1;       /* NI_Information */
static int hf_nbap_NodeB_CommunicationContextID_PDU = -1;  /* NodeB_CommunicationContextID */
static int hf_nbap_NumberOfReportedCellPortions_PDU = -1;  /* NumberOfReportedCellPortions */
static int hf_nbap_Number_Of_Supported_Carriers_PDU = -1;  /* Number_Of_Supported_Carriers */
static int hf_nbap_NSubCyclesPerCyclePeriod_PDU = -1;  /* NSubCyclesPerCyclePeriod */
static int hf_nbap_PowerAdjustmentType_PDU = -1;  /* PowerAdjustmentType */
static int hf_nbap_Primary_CPICH_Usage_for_Channel_Estimation_PDU = -1;  /* Primary_CPICH_Usage_for_Channel_Estimation */
static int hf_nbap_PrimaryScramblingCode_PDU = -1;  /* PrimaryScramblingCode */
static int hf_nbap_PrimaryCCPCH_RSCP_PDU = -1;    /* PrimaryCCPCH_RSCP */
static int hf_nbap_PrimaryCCPCH_RSCP_Delta_PDU = -1;  /* PrimaryCCPCH_RSCP_Delta */
static int hf_nbap_RL_Specific_DCH_Info_PDU = -1;  /* RL_Specific_DCH_Info */
static int hf_nbap_ReferenceClockAvailability_PDU = -1;  /* ReferenceClockAvailability */
static int hf_nbap_ReferenceSFNoffset_PDU = -1;   /* ReferenceSFNoffset */
static int hf_nbap_ReportCharacteristics_PDU = -1;  /* ReportCharacteristics */
static int hf_nbap_ReportCharacteristicsType_OnModification_PDU = -1;  /* ReportCharacteristicsType_OnModification */
static int hf_nbap_RL_ID_PDU = -1;                /* RL_ID */
static int hf_nbap_RL_Set_ID_PDU = -1;            /* RL_Set_ID */
static int hf_nbap_Received_total_wide_band_power_Value_IncrDecrThres_PDU = -1;  /* Received_total_wide_band_power_Value_IncrDecrThres */
static int hf_nbap_Rx_Timing_Deviation_Value_LCR_PDU = -1;  /* Rx_Timing_Deviation_Value_LCR */
static int hf_nbap_AdjustmentPeriod_PDU = -1;     /* AdjustmentPeriod */
static int hf_nbap_SAT_Info_Almanac_ExtList_PDU = -1;  /* SAT_Info_Almanac_ExtList */
static int hf_nbap_ScaledAdjustmentRatio_PDU = -1;  /* ScaledAdjustmentRatio */
static int hf_nbap_MaxAdjustmentStep_PDU = -1;    /* MaxAdjustmentStep */
static int hf_nbap_Secondary_CPICH_Information_Change_PDU = -1;  /* Secondary_CPICH_Information_Change */
static int hf_nbap_SFN_PDU = -1;                  /* SFN */
static int hf_nbap_SFNSFNMeasurementThresholdInformation_PDU = -1;  /* SFNSFNMeasurementThresholdInformation */
static int hf_nbap_SFNSFNMeasurementValueInformation_PDU = -1;  /* SFNSFNMeasurementValueInformation */
static int hf_nbap_ShutdownTimer_PDU = -1;        /* ShutdownTimer */
static int hf_nbap_SignallingBearerRequestIndicator_PDU = -1;  /* SignallingBearerRequestIndicator */
static int hf_nbap_Start_Of_Audit_Sequence_Indicator_PDU = -1;  /* Start_Of_Audit_Sequence_Indicator */
static int hf_nbap_SyncCase_PDU = -1;             /* SyncCase */
static int hf_nbap_SynchronisationReportCharacteristics_PDU = -1;  /* SynchronisationReportCharacteristics */
static int hf_nbap_SyncDLCodeIdThreInfoLCR_PDU = -1;  /* SyncDLCodeIdThreInfoLCR */
static int hf_nbap_SynchronisationReportType_PDU = -1;  /* SynchronisationReportType */
static int hf_nbap_T_Cell_PDU = -1;               /* T_Cell */
static int hf_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU = -1;  /* TDD_DL_DPCH_TimeSlotFormat_LCR */
static int hf_nbap_TDD_TPC_DownlinkStepSize_PDU = -1;  /* TDD_TPC_DownlinkStepSize */
static int hf_nbap_TDD_TPC_UplinkStepSize_LCR_PDU = -1;  /* TDD_TPC_UplinkStepSize_LCR */
static int hf_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU = -1;  /* TDD_UL_DPCH_TimeSlotFormat_LCR */
static int hf_nbap_TFCI_Presence_PDU = -1;        /* TFCI_Presence */
static int hf_nbap_TimeSlot_PDU = -1;             /* TimeSlot */
static int hf_nbap_TimeSlotLCR_PDU = -1;          /* TimeSlotLCR */
static int hf_nbap_TimingAdjustmentValue_PDU = -1;  /* TimingAdjustmentValue */
static int hf_nbap_TimingAdjustmentValueLCR_PDU = -1;  /* TimingAdjustmentValueLCR */
static int hf_nbap_TimingAdvanceApplied_PDU = -1;  /* TimingAdvanceApplied */
static int hf_nbap_TnlQos_PDU = -1;               /* TnlQos */
static int hf_nbap_Transmission_Gap_Pattern_Sequence_Information_PDU = -1;  /* Transmission_Gap_Pattern_Sequence_Information */
static int hf_nbap_Transmitted_Carrier_Power_Value_PDU = -1;  /* Transmitted_Carrier_Power_Value */
static int hf_nbap_TransmissionDiversityApplied_PDU = -1;  /* TransmissionDiversityApplied */
static int hf_nbap_TransportLayerAddress_PDU = -1;  /* TransportLayerAddress */
static int hf_nbap_TSTD_Indicator_PDU = -1;       /* TSTD_Indicator */
static int hf_nbap_TSN_Length_PDU = -1;           /* TSN_Length */
static int hf_nbap_TUTRANGPSMeasurementThresholdInformation_PDU = -1;  /* TUTRANGPSMeasurementThresholdInformation */
static int hf_nbap_TUTRANGPSMeasurementValueInformation_PDU = -1;  /* TUTRANGPSMeasurementValueInformation */
static int hf_nbap_TypeOfError_PDU = -1;          /* TypeOfError */
static int hf_nbap_UARFCN_PDU = -1;               /* UARFCN */
static int hf_nbap_UE_Capability_Information_PDU = -1;  /* UE_Capability_Information */
static int hf_nbap_UL_SIR_PDU = -1;               /* UL_SIR */
static int hf_nbap_UL_Synchronisation_Parameters_LCR_PDU = -1;  /* UL_Synchronisation_Parameters_LCR */
static int hf_nbap_UPPCHPositionLCR_PDU = -1;     /* UPPCHPositionLCR */
static int hf_nbap_Unidirectional_DCH_Indicator_PDU = -1;  /* Unidirectional_DCH_Indicator */
static int hf_nbap_UpPTSInterferenceValue_PDU = -1;  /* UpPTSInterferenceValue */
static int hf_nbap_USCH_Information_PDU = -1;     /* USCH_Information */
static int hf_nbap_USCH_InformationResponse_PDU = -1;  /* USCH_InformationResponse */
static int hf_nbap_initiatingMessage = -1;        /* InitiatingMessage */
static int hf_nbap_succesfulOutcome = -1;         /* SuccessfulOutcome */
static int hf_nbap_unsuccesfulOutcome = -1;       /* UnsuccessfulOutcome */
static int hf_nbap_outcome = -1;                  /* Outcome */
static int hf_nbap_procedureID = -1;              /* ProcedureID */
static int hf_nbap_criticality = -1;              /* Criticality */
static int hf_nbap_messageDiscriminator = -1;     /* MessageDiscriminator */
static int hf_nbap_transactionID = -1;            /* TransactionID */
static int hf_nbap_value = -1;                    /* InitiatingMessage_value */
static int hf_nbap_value_01 = -1;                 /* SuccessfulOutcome_value */
static int hf_nbap_value_02 = -1;                 /* UnsuccessfulOutcome_value */
static int hf_nbap_value_03 = -1;                 /* Outcome_value */
static int hf_nbap_protocolIEs = -1;              /* ProtocolIE_Container */
static int hf_nbap_protocolExtensions = -1;       /* ProtocolExtensionContainer */
static int hf_nbap_secondary_CCPCH_parameters = -1;  /* Secondary_CCPCH_CTCH_SetupRqstFDD */
static int hf_nbap_pRACH_parameters = -1;         /* PRACH_CTCH_SetupRqstFDD */
static int hf_nbap_notUsed_pCPCHes_parameters = -1;  /* NULL */
static int hf_nbap_commonPhysicalChannelID = -1;  /* CommonPhysicalChannelID */
static int hf_nbap_fdd_S_CCPCH_Offset = -1;       /* FDD_S_CCPCH_Offset */
static int hf_nbap_dl_ScramblingCode = -1;        /* DL_ScramblingCode */
static int hf_nbap_fdd_DL_ChannelisationCodeNumber = -1;  /* FDD_DL_ChannelisationCodeNumber */
static int hf_nbap_tFCS = -1;                     /* TFCS */
static int hf_nbap_secondary_CCPCH_SlotFormat = -1;  /* SecondaryCCPCH_SlotFormat */
static int hf_nbap_tFCI_Presence = -1;            /* TFCI_Presence */
static int hf_nbap_multiplexingPosition = -1;     /* MultiplexingPosition */
static int hf_nbap_powerOffsetInformation = -1;   /* PowerOffsetInformation_CTCH_SetupRqstFDD */
static int hf_nbap_sTTD_Indicator = -1;           /* STTD_Indicator */
static int hf_nbap_fACH_Parameters = -1;          /* FACH_ParametersList_CTCH_SetupRqstFDD */
static int hf_nbap_pCH_Parameters = -1;           /* PCH_Parameters_CTCH_SetupRqstFDD */
static int hf_nbap_iE_Extensions = -1;            /* ProtocolExtensionContainer */
static int hf_nbap_pO1_ForTFCI_Bits = -1;         /* PowerOffset */
static int hf_nbap_pO3_ForPilotBits = -1;         /* PowerOffset */
static int hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_item = -1;  /* FACH_ParametersItem_CTCH_SetupRqstFDD */
static int hf_nbap_commonTransportChannelID = -1;  /* CommonTransportChannelID */
static int hf_nbap_transportFormatSet = -1;       /* TransportFormatSet */
static int hf_nbap_toAWS = -1;                    /* ToAWS */
static int hf_nbap_toAWE = -1;                    /* ToAWE */
static int hf_nbap_maxFACH_Power = -1;            /* DL_Power */
static int hf_nbap_pCH_Power = -1;                /* DL_Power */
static int hf_nbap_pICH_Parameters = -1;          /* PICH_Parameters_CTCH_SetupRqstFDD */
static int hf_nbap_fdd_dl_ChannelisationCodeNumber = -1;  /* FDD_DL_ChannelisationCodeNumber */
static int hf_nbap_pICH_Power = -1;               /* PICH_Power */
static int hf_nbap_pICH_Mode = -1;                /* PICH_Mode */
static int hf_nbap_scramblingCodeNumber = -1;     /* ScramblingCodeNumber */
static int hf_nbap_preambleSignatures = -1;       /* PreambleSignatures */
static int hf_nbap_allowedSlotFormatInformation = -1;  /* AllowedSlotFormatInformationList_CTCH_SetupRqstFDD */
static int hf_nbap_rACH_SubChannelNumbers = -1;   /* RACH_SubChannelNumbers */
static int hf_nbap_ul_punctureLimit = -1;         /* PunctureLimit */
static int hf_nbap_preambleThreshold = -1;        /* PreambleThreshold */
static int hf_nbap_rACH_Parameters = -1;          /* RACH_Parameters_CTCH_SetupRqstFDD */
static int hf_nbap_aICH_Parameters = -1;          /* AICH_Parameters_CTCH_SetupRqstFDD */
static int hf_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_item = -1;  /* AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD */
static int hf_nbap_rACHSlotFormat = -1;           /* RACH_SlotFormat */
static int hf_nbap_aICH_TransmissionTiming = -1;  /* AICH_TransmissionTiming */
static int hf_nbap_aICH_Power = -1;               /* AICH_Power */
static int hf_nbap_secondary_CCPCH_parameters_01 = -1;  /* Secondary_CCPCH_CTCH_SetupRqstTDD */
static int hf_nbap_pRACH_parameters_01 = -1;      /* PRACH_CTCH_SetupRqstTDD */
static int hf_nbap_sCCPCH_CCTrCH_ID = -1;         /* CCTrCH_ID */
static int hf_nbap_tFCI_Coding = -1;              /* TFCI_Coding */
static int hf_nbap_punctureLimit = -1;            /* PunctureLimit */
static int hf_nbap_secondaryCCPCH_parameterList = -1;  /* Secondary_CCPCH_parameterList_CTCH_SetupRqstTDD */
static int hf_nbap_fACH_ParametersList = -1;      /* FACH_ParametersList_CTCH_SetupRqstTDD */
static int hf_nbap_pCH_Parameters_01 = -1;        /* PCH_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_UTN_Timeslot_item = -1;        /* UTN_TimeslotItem */
static int hf_nbap_timeslotLCR = -1;              /* TimeSlotLCR */
static int hf_nbap_uTN_Time_Slot_Parameter_ID = -1;  /* CellParameterID */
static int hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_item = -1;  /* Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD */
static int hf_nbap_tdd_ChannelisationCode = -1;   /* TDD_ChannelisationCode */
static int hf_nbap_timeslot = -1;                 /* TimeSlot */
static int hf_nbap_midambleShiftandBurstType = -1;  /* MidambleShiftAndBurstType */
static int hf_nbap_tdd_PhysicalChannelOffset = -1;  /* TDD_PhysicalChannelOffset */
static int hf_nbap_repetitionPeriod = -1;         /* RepetitionPeriod */
static int hf_nbap_repetitionLength = -1;         /* RepetitionLength */
static int hf_nbap_s_CCPCH_Power = -1;            /* DL_Power */
static int hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_item = -1;  /* FACH_ParametersItem_CTCH_SetupRqstTDD */
static int hf_nbap_fACH_CCTrCH_ID = -1;           /* CCTrCH_ID */
static int hf_nbap_dl_TransportFormatSet = -1;    /* TransportFormatSet */
static int hf_nbap_pCH_CCTrCH_ID = -1;            /* CCTrCH_ID */
static int hf_nbap_pICH_Parameters_01 = -1;       /* PICH_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_timeSlot = -1;                 /* TimeSlot */
static int hf_nbap_midambleshiftAndBurstType = -1;  /* MidambleShiftAndBurstType */
static int hf_nbap_pagingIndicatorLength = -1;    /* PagingIndicatorLength */
static int hf_nbap_tdd_ChannelisationCodeLCR = -1;  /* TDD_ChannelisationCodeLCR */
static int hf_nbap_timeSlotLCR = -1;              /* TimeSlotLCR */
static int hf_nbap_midambleShiftLCR = -1;         /* MidambleShiftLCR */
static int hf_nbap_second_TDD_ChannelisationCodeLCR = -1;  /* TDD_ChannelisationCodeLCR */
static int hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_item = -1;  /* Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD */
static int hf_nbap_s_CCPCH_TimeSlotFormat_LCR = -1;  /* TDD_DL_DPCH_TimeSlotFormat_LCR */
static int hf_nbap_notificationIndicatorLength = -1;  /* NotificationIndicatorLength */
static int hf_nbap_mICH_Power = -1;               /* PICH_Power */
static int hf_nbap_mICH_TDDOption_Specific_Parameters = -1;  /* MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_hCR_TDD = -1;                  /* MICH_HCR_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_lCR_TDD = -1;                  /* MICH_LCR_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_tSTD_Indicator = -1;           /* TSTD_Indicator */
static int hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_item = -1;  /* Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD */
static int hf_nbap_pRACH_Parameters_CTCH_SetupRqstTDD = -1;  /* PRACH_Parameters_CTCH_SetupRqstTDD */
static int hf_nbap_maxPRACH_MidambleShifts = -1;  /* MaxPRACH_MidambleShifts */
static int hf_nbap_pRACH_Midamble = -1;           /* PRACH_Midamble */
static int hf_nbap_rACH = -1;                     /* RACH_Parameter_CTCH_SetupRqstTDD */
static int hf_nbap_uL_TransportFormatSet = -1;    /* TransportFormatSet */
static int hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_item = -1;  /* PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD */
static int hf_nbap_fPACH_Power = -1;              /* FPACH_Power */
static int hf_nbap_FACH_CommonTransportChannel_InformationResponse_item = -1;  /* CommonTransportChannel_InformationResponse */
static int hf_nbap_secondary_CCPCH_parameters_02 = -1;  /* Secondary_CCPCHList_CTCH_ReconfRqstFDD */
static int hf_nbap_pRACH_parameters_02 = -1;      /* PRACHList_CTCH_ReconfRqstFDD */
static int hf_nbap_notUsed_cPCH_parameters = -1;  /* NULL */
static int hf_nbap_fACH_ParametersList_CTCH_ReconfRqstFDD = -1;  /* FACH_ParametersList_CTCH_ReconfRqstFDD */
static int hf_nbap_pCH_Parameters_CTCH_ReconfRqstFDD = -1;  /* PCH_Parameters_CTCH_ReconfRqstFDD */
static int hf_nbap_pICH_Parameters_CTCH_ReconfRqstFDD = -1;  /* PICH_Parameters_CTCH_ReconfRqstFDD */
static int hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_item = -1;  /* FACH_ParametersItem_CTCH_ReconfRqstFDD */
static int hf_nbap_pRACH_ParametersList_CTCH_ReconfRqstFDD = -1;  /* PRACH_ParametersList_CTCH_ReconfRqstFDD */
static int hf_nbap_aICH_ParametersList_CTCH_ReconfRqstFDD = -1;  /* AICH_ParametersList_CTCH_ReconfRqstFDD */
static int hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_item = -1;  /* PRACH_ParametersItem_CTCH_ReconfRqstFDD */
static int hf_nbap_allowedSlotFormatInformation_01 = -1;  /* AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD */
static int hf_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_item = -1;  /* AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD */
static int hf_nbap_rACH_SlotFormat = -1;          /* RACH_SlotFormat */
static int hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_item = -1;  /* AICH_ParametersItem_CTCH_ReconfRqstFDD */
static int hf_nbap_cCTrCH_ID = -1;                /* CCTrCH_ID */
static int hf_nbap_secondaryCCPCHList = -1;       /* Secondary_CCPCHList_CTCH_ReconfRqstTDD */
static int hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_item = -1;  /* Secondary_CCPCHItem_CTCH_ReconfRqstTDD */
static int hf_nbap_sCCPCH_Power = -1;             /* DL_Power */
static int hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_item = -1;  /* FACH_ParametersItem_CTCH_ReconfRqstTDD */
static int hf_nbap_commonPhysicalChannelId = -1;  /* CommonPhysicalChannelID */
static int hf_nbap_fPACHPower = -1;               /* FPACH_Power */
static int hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_item = -1;  /* Secondary_CCPCHItem_CTCH_ReconfRqstTDD */
static int hf_nbap_uPPCHPositionLCR = -1;         /* UPPCHPositionLCR */
static int hf_nbap_uARFCN = -1;                   /* UARFCN */
static int hf_nbap_Cell_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_c_ID = -1;                     /* C_ID */
static int hf_nbap_configurationGenerationID = -1;  /* ConfigurationGenerationID */
static int hf_nbap_resourceOperationalState = -1;  /* ResourceOperationalState */
static int hf_nbap_availabilityStatus = -1;       /* AvailabilityStatus */
static int hf_nbap_local_Cell_ID = -1;            /* Local_Cell_ID */
static int hf_nbap_primary_SCH_Information = -1;  /* P_SCH_Information_AuditRsp */
static int hf_nbap_secondary_SCH_Information = -1;  /* S_SCH_Information_AuditRsp */
static int hf_nbap_primary_CPICH_Information = -1;  /* P_CPICH_Information_AuditRsp */
static int hf_nbap_secondary_CPICH_InformationList = -1;  /* S_CPICH_InformationList_AuditRsp */
static int hf_nbap_primary_CCPCH_Information = -1;  /* P_CCPCH_Information_AuditRsp */
static int hf_nbap_bCH_Information = -1;          /* BCH_Information_AuditRsp */
static int hf_nbap_secondary_CCPCH_InformationList = -1;  /* S_CCPCH_InformationList_AuditRsp */
static int hf_nbap_pCH_Information = -1;          /* PCH_Information_AuditRsp */
static int hf_nbap_pICH_Information = -1;         /* PICH_Information_AuditRsp */
static int hf_nbap_fACH_InformationList = -1;     /* FACH_InformationList_AuditRsp */
static int hf_nbap_pRACH_InformationList = -1;    /* PRACH_InformationList_AuditRsp */
static int hf_nbap_rACH_InformationList = -1;     /* RACH_InformationList_AuditRsp */
static int hf_nbap_aICH_InformationList = -1;     /* AICH_InformationList_AuditRsp */
static int hf_nbap_pCPCH_InformationList = -1;    /* PCPCH_InformationList_AuditRsp */
static int hf_nbap_cPCH_InformationList = -1;     /* CPCH_InformationList_AuditRsp */
static int hf_nbap_aP_AICH_InformationList = -1;  /* AP_AICH_InformationList_AuditRsp */
static int hf_nbap_cDCA_ICH_InformationList = -1;  /* CDCA_ICH_InformationList_AuditRsp */
static int hf_nbap_sCH_Information = -1;          /* SCH_Information_AuditRsp */
static int hf_nbap_S_CPICH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_S_CCPCH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_FACH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_PRACH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_RACH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_AICH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_PCPCH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_CPCH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_AP_AICH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_CDCA_ICH_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_CCP_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_communicationControlPortID = -1;  /* CommunicationControlPortID */
static int hf_nbap_FPACH_LCR_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_UPPCH_LCR_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Local_Cell_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dl_or_global_capacityCredit = -1;  /* DL_or_Global_CapacityCredit */
static int hf_nbap_ul_capacityCredit = -1;        /* UL_CapacityCredit */
static int hf_nbap_commonChannelsCapacityConsumptionLaw = -1;  /* CommonChannelsCapacityConsumptionLaw */
static int hf_nbap_dedicatedChannelsCapacityConsumptionLaw = -1;  /* DedicatedChannelsCapacityConsumptionLaw */
static int hf_nbap_maximumDL_PowerCapability = -1;  /* MaximumDL_PowerCapability */
static int hf_nbap_minSpreadingFactor = -1;       /* MinSpreadingFactor */
static int hf_nbap_minimumDL_PowerCapability = -1;  /* MinimumDL_PowerCapability */
static int hf_nbap_local_Cell_Group_ID = -1;      /* Local_Cell_ID */
static int hf_nbap_Local_Cell_Group_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_power_Local_Cell_Group_ID = -1;  /* Local_Cell_ID */
static int hf_nbap_cell = -1;                     /* Cell_CM_Rqst */
static int hf_nbap_rACH_01 = -1;                  /* RACH_CM_Rqst */
static int hf_nbap_notUsed_cPCH = -1;             /* NULL */
static int hf_nbap_cell_01 = -1;                  /* Cell_CM_Rsp */
static int hf_nbap_rACH_02 = -1;                  /* RACH_CM_Rsp */
static int hf_nbap_commonMeasurementValue = -1;   /* CommonMeasurementValue */
static int hf_nbap_cell_02 = -1;                  /* Cell_CM_Rprt */
static int hf_nbap_rACH_03 = -1;                  /* RACH_CM_Rprt */
static int hf_nbap_commonMeasurementValueInformation = -1;  /* CommonMeasurementValueInformation */
static int hf_nbap_n_INSYNC_IND = -1;             /* N_INSYNC_IND */
static int hf_nbap_n_OUTSYNC_IND = -1;            /* N_OUTSYNC_IND */
static int hf_nbap_t_RLFAILURE = -1;              /* T_RLFAILURE */
static int hf_nbap_primarySCH_Power = -1;         /* DL_Power */
static int hf_nbap_secondarySCH_Power = -1;       /* DL_Power */
static int hf_nbap_primaryCPICH_Power = -1;       /* PrimaryCPICH_Power */
static int hf_nbap_transmitDiversityIndicator = -1;  /* TransmitDiversityIndicator */
static int hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_fDD_DL_ChannelisationCodeNumber = -1;  /* FDD_DL_ChannelisationCodeNumber */
static int hf_nbap_secondaryCPICH_Power = -1;     /* DL_Power */
static int hf_nbap_bCH_information = -1;          /* BCH_Information_Cell_SetupRqstFDD */
static int hf_nbap_bCH_Power = -1;                /* DL_Power */
static int hf_nbap_powerRaiseLimit = -1;          /* PowerRaiseLimit */
static int hf_nbap_dLPowerAveragingWindowSize = -1;  /* DLPowerAveragingWindowSize */
static int hf_nbap_iPDL_FDD_Parameters = -1;      /* IPDL_FDD_Parameters */
static int hf_nbap_iPDL_Indicator = -1;           /* IPDL_Indicator */
static int hf_nbap_syncCaseIndicator = -1;        /* SyncCaseIndicator_Cell_SetupRqstTDD_PSCH */
static int hf_nbap_sCH_Power = -1;                /* DL_Power */
static int hf_nbap_case1 = -1;                    /* Case1_Cell_SetupRqstTDD */
static int hf_nbap_case2 = -1;                    /* Case2_Cell_SetupRqstTDD */
static int hf_nbap_sCH_TimeSlot = -1;             /* SCH_TimeSlot */
static int hf_nbap_pCCPCH_Power = -1;             /* PCCPCH_Power */
static int hf_nbap_sCTD_Indicator = -1;           /* SCTD_Indicator */
static int hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_item = -1;  /* TimeSlotConfigurationItem_Cell_SetupRqstTDD */
static int hf_nbap_timeSlotStatus = -1;           /* TimeSlotStatus */
static int hf_nbap_timeSlotDirection = -1;        /* TimeSlotDirection */
static int hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_item = -1;  /* TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD */
static int hf_nbap_dwPCH_Power = -1;              /* DwPCH_Power */
static int hf_nbap_iPDL_TDD_Parameters = -1;      /* IPDL_TDD_Parameters */
static int hf_nbap_iPDL_TDD_Parameters_LCR = -1;  /* IPDL_TDD_Parameters_LCR */
static int hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_item = -1;  /* Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD */
static int hf_nbap_timeSlotConfigurationList_LCR_Cell_SetupRqstTDD = -1;  /* TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD */
static int hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_bCH_information_01 = -1;       /* BCH_information_Cell_ReconfRqstFDD */
static int hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_item = -1;  /* TimeSlotConfigurationItem_Cell_ReconfRqstTDD */
static int hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_item = -1;  /* TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD */
static int hf_nbap_cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD = -1;  /* Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD */
static int hf_nbap_cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD = -1;  /* Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD */
static int hf_nbap_cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD = -1;  /* Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD */
static int hf_nbap_timeSlotConfigurationList_LCR_Cell_ReconfRqstTDD = -1;  /* TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD */
static int hf_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_item = -1;  /* Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD */
static int hf_nbap_no_Failure = -1;               /* No_Failure_ResourceStatusInd */
static int hf_nbap_serviceImpacting = -1;         /* ServiceImpacting_ResourceStatusInd */
static int hf_nbap_local_Cell_InformationList = -1;  /* Local_Cell_InformationList_ResourceStatusInd */
static int hf_nbap_local_Cell_Group_InformationList = -1;  /* Local_Cell_Group_InformationList_ResourceStatusInd */
static int hf_nbap_Local_Cell_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_local_CellID = -1;             /* Local_Cell_ID */
static int hf_nbap_addorDeleteIndicator = -1;     /* AddorDeleteIndicator */
static int hf_nbap_Local_Cell_Group_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_local_Cell_InformationList_01 = -1;  /* Local_Cell_InformationList2_ResourceStatusInd */
static int hf_nbap_local_Cell_Group_InformationList_01 = -1;  /* Local_Cell_Group_InformationList2_ResourceStatusInd */
static int hf_nbap_cCP_InformationList = -1;      /* CCP_InformationList_ResourceStatusInd */
static int hf_nbap_cell_InformationList = -1;     /* Cell_InformationList_ResourceStatusInd */
static int hf_nbap_Local_Cell_InformationList2_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_maximum_DL_PowerCapability = -1;  /* MaximumDL_PowerCapability */
static int hf_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_CCP_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Cell_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_primary_SCH_Information_01 = -1;  /* P_SCH_Information_ResourceStatusInd */
static int hf_nbap_secondary_SCH_Information_01 = -1;  /* S_SCH_Information_ResourceStatusInd */
static int hf_nbap_primary_CPICH_Information_01 = -1;  /* P_CPICH_Information_ResourceStatusInd */
static int hf_nbap_secondary_CPICH_Information = -1;  /* S_CPICH_InformationList_ResourceStatusInd */
static int hf_nbap_primary_CCPCH_Information_01 = -1;  /* P_CCPCH_Information_ResourceStatusInd */
static int hf_nbap_bCH_Information_01 = -1;       /* BCH_Information_ResourceStatusInd */
static int hf_nbap_secondary_CCPCH_InformationList_01 = -1;  /* S_CCPCH_InformationList_ResourceStatusInd */
static int hf_nbap_pCH_Information_01 = -1;       /* PCH_Information_ResourceStatusInd */
static int hf_nbap_pICH_Information_01 = -1;      /* PICH_Information_ResourceStatusInd */
static int hf_nbap_fACH_InformationList_01 = -1;  /* FACH_InformationList_ResourceStatusInd */
static int hf_nbap_pRACH_InformationList_01 = -1;  /* PRACH_InformationList_ResourceStatusInd */
static int hf_nbap_rACH_InformationList_01 = -1;  /* RACH_InformationList_ResourceStatusInd */
static int hf_nbap_aICH_InformationList_01 = -1;  /* AICH_InformationList_ResourceStatusInd */
static int hf_nbap_notUsed_1_pCPCH_InformationList = -1;  /* NULL */
static int hf_nbap_notUsed_2_cPCH_InformationList = -1;  /* NULL */
static int hf_nbap_notUsed_3_aP_AICH_InformationList = -1;  /* NULL */
static int hf_nbap_notUsed_4_cDCA_ICH_InformationList = -1;  /* NULL */
static int hf_nbap_sCH_Information_01 = -1;       /* SCH_Information_ResourceStatusInd */
static int hf_nbap_S_CPICH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_S_CCPCH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_FACH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_PRACH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_RACH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_AICH_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_cause = -1;                    /* Cause */
static int hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_item = -1;  /* MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst */
static int hf_nbap_iB_Type = -1;                  /* IB_Type */
static int hf_nbap_iB_OC_ID = -1;                 /* IB_OC_ID */
static int hf_nbap_deletionIndicator = -1;        /* DeletionIndicator_SystemInfoUpdate */
static int hf_nbap_no_Deletion = -1;              /* No_Deletion_SystemInfoUpdate */
static int hf_nbap_yes_Deletion = -1;             /* NULL */
static int hf_nbap_sIB_Originator = -1;           /* SIB_Originator */
static int hf_nbap_iB_SG_REP = -1;                /* IB_SG_REP */
static int hf_nbap_segmentInformationList = -1;   /* SegmentInformationList_SystemInfoUpdate */
static int hf_nbap_SegmentInformationListIE_SystemInfoUpdate_item = -1;  /* SegmentInformationItem_SystemInfoUpdate */
static int hf_nbap_iB_SG_POS = -1;                /* IB_SG_POS */
static int hf_nbap_segment_Type = -1;             /* Segment_Type */
static int hf_nbap_iB_SG_DATA = -1;               /* IB_SG_DATA */
static int hf_nbap_ul_ScramblingCode = -1;        /* UL_ScramblingCode */
static int hf_nbap_minUL_ChannelisationCodeLength = -1;  /* MinUL_ChannelisationCodeLength */
static int hf_nbap_maxNrOfUL_DPDCHs = -1;         /* MaxNrOfUL_DPDCHs */
static int hf_nbap_ul_PunctureLimit = -1;         /* PunctureLimit */
static int hf_nbap_ul_DPCCH_SlotFormat = -1;      /* UL_DPCCH_SlotFormat */
static int hf_nbap_ul_SIR_Target = -1;            /* UL_SIR */
static int hf_nbap_diversityMode = -1;            /* DiversityMode */
static int hf_nbap_not_Used_sSDT_CellID_Length = -1;  /* NULL */
static int hf_nbap_not_Used_s_FieldLength = -1;   /* NULL */
static int hf_nbap_dl_DPCH_SlotFormat = -1;       /* DL_DPCH_SlotFormat */
static int hf_nbap_tFCI_SignallingMode = -1;      /* TFCI_SignallingMode */
static int hf_nbap_not_Used_pDSCH_RL_ID = -1;     /* NULL */
static int hf_nbap_not_Used_pDSCH_CodeMapping = -1;  /* NULL */
static int hf_nbap_powerOffsetInformation_01 = -1;  /* PowerOffsetInformation_RL_SetupRqstFDD */
static int hf_nbap_fdd_TPC_DownlinkStepSize = -1;  /* FDD_TPC_DownlinkStepSize */
static int hf_nbap_limitedPowerIncrease = -1;     /* LimitedPowerIncrease */
static int hf_nbap_innerLoopDLPCStatus = -1;      /* InnerLoopDLPCStatus */
static int hf_nbap_pO2_ForTPC_Bits = -1;          /* PowerOffset */
static int hf_nbap_RL_InformationList_RL_SetupRqstFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_ID = -1;                    /* RL_ID */
static int hf_nbap_firstRLS_indicator = -1;       /* FirstRLS_Indicator */
static int hf_nbap_frameOffset = -1;              /* FrameOffset */
static int hf_nbap_chipOffset = -1;               /* ChipOffset */
static int hf_nbap_propagationDelay = -1;         /* PropagationDelay */
static int hf_nbap_diversityControlField = -1;    /* DiversityControlField */
static int hf_nbap_dl_CodeInformation = -1;       /* FDD_DL_CodeInformation */
static int hf_nbap_initialDL_transmissionPower = -1;  /* DL_Power */
static int hf_nbap_maximumDL_power = -1;          /* DL_Power */
static int hf_nbap_minimumDL_power = -1;          /* DL_Power */
static int hf_nbap_not_Used_sSDT_Cell_Identity = -1;  /* NULL */
static int hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_uL_DPCH_Information = -1;      /* UL_DPCH_Information_RL_SetupRqstTDD */
static int hf_nbap_tdd_DPCHOffset = -1;           /* TDD_DPCHOffset */
static int hf_nbap_uL_Timeslot_Information = -1;  /* UL_Timeslot_Information */
static int hf_nbap_uL_TimeslotLCR_Information = -1;  /* UL_TimeslotLCR_Information */
static int hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_tdd_TPC_DownlinkStepSize = -1;  /* TDD_TPC_DownlinkStepSize */
static int hf_nbap_cCTrCH_TPCList = -1;           /* CCTrCH_TPCList_RL_SetupRqstTDD */
static int hf_nbap_dL_DPCH_Information = -1;      /* DL_DPCH_Information_RL_SetupRqstTDD */
static int hf_nbap_CCTrCH_TPCList_RL_SetupRqstTDD_item = -1;  /* CCTrCH_TPCItem_RL_SetupRqstTDD */
static int hf_nbap_dL_Timeslot_Information = -1;  /* DL_Timeslot_Information */
static int hf_nbap_dL_TimeslotLCR_Information = -1;  /* DL_TimeslotLCR_Information */
static int hf_nbap_tstdIndicator = -1;            /* TSTD_Indicator */
static int hf_nbap_specialBurstScheduling = -1;   /* SpecialBurstScheduling */
static int hf_nbap_dL_TimeSlotISCPInfo = -1;      /* DL_TimeslotISCPInfo */
static int hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_Set_ID = -1;                /* RL_Set_ID */
static int hf_nbap_received_total_wide_band_power = -1;  /* Received_total_wide_band_power_Value */
static int hf_nbap_diversityIndication = -1;      /* DiversityIndication_RL_SetupRspFDD */
static int hf_nbap_not_Used_dSCH_InformationResponseList = -1;  /* NULL */
static int hf_nbap_sSDT_SupportIndicator = -1;    /* SSDT_SupportIndicator */
static int hf_nbap_combining = -1;                /* Combining_RL_SetupRspFDD */
static int hf_nbap_nonCombiningOrFirstRL = -1;    /* NonCombiningOrFirstRL_RL_SetupRspFDD */
static int hf_nbap_dCH_InformationResponse = -1;  /* DCH_InformationResponse */
static int hf_nbap_uL_TimeSlot_ISCP_Info = -1;    /* UL_TimeSlot_ISCP_Info */
static int hf_nbap_ul_PhysCH_SF_Variation = -1;   /* UL_PhysCH_SF_Variation */
static int hf_nbap_dCH_InformationResponseList = -1;  /* DCH_InformationResponseList_RL_SetupRspTDD */
static int hf_nbap_dSCH_InformationResponseList = -1;  /* DSCH_InformationResponseList_RL_SetupRspTDD */
static int hf_nbap_uSCH_InformationResponseList = -1;  /* USCH_InformationResponseList_RL_SetupRspTDD */
static int hf_nbap_uL_TimeSlot_ISCP_LCR_Info = -1;  /* UL_TimeSlot_ISCP_LCR_Info */
static int hf_nbap_generalCause = -1;             /* GeneralCauseList_RL_SetupFailureFDD */
static int hf_nbap_rLSpecificCause = -1;          /* RLSpecificCauseList_RL_SetupFailureFDD */
static int hf_nbap_unsuccessful_RL_InformationRespList_RL_SetupFailureFDD = -1;  /* Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD */
static int hf_nbap_successful_RL_InformationRespList_RL_SetupFailureFDD = -1;  /* Successful_RL_InformationRespList_RL_SetupFailureFDD */
static int hf_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_diversityIndication_01 = -1;   /* DiversityIndication_RL_SetupFailureFDD */
static int hf_nbap_not_Used_tFCI2_BearerInformationResponse = -1;  /* NULL */
static int hf_nbap_combining_01 = -1;             /* Combining_RL_SetupFailureFDD */
static int hf_nbap_nonCombiningOrFirstRL_01 = -1;  /* NonCombiningOrFirstRL_RL_SetupFailureFDD */
static int hf_nbap_generalCause_01 = -1;          /* GeneralCauseList_RL_SetupFailureTDD */
static int hf_nbap_rLSpecificCause_01 = -1;       /* RLSpecificCauseList_RL_SetupFailureTDD */
static int hf_nbap_unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD = -1;  /* Unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD */
static int hf_nbap_RL_InformationList_RL_AdditionRqstFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_initialDL_TransmissionPower = -1;  /* DL_Power */
static int hf_nbap_maximumDL_Power = -1;          /* DL_Power */
static int hf_nbap_minimumDL_Power = -1;          /* DL_Power */
static int hf_nbap_not_Used_sSDT_CellIdentity = -1;  /* NULL */
static int hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_item = -1;  /* UL_CCTrCH_InformationItem_RL_AdditionRqstTDD */
static int hf_nbap_uL_DPCH_Information_01 = -1;   /* UL_DPCH_InformationList_RL_AdditionRqstTDD */
static int hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_item = -1;  /* DL_CCTrCH_InformationItem_RL_AdditionRqstTDD */
static int hf_nbap_dL_DPCH_Information_01 = -1;   /* DL_DPCH_InformationList_RL_AdditionRqstTDD */
static int hf_nbap_initial_DL_Transmission_Power = -1;  /* DL_Power */
static int hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_diversityIndication_02 = -1;   /* DiversityIndication_RL_AdditionRspFDD */
static int hf_nbap_combining_02 = -1;             /* Combining_RL_AdditionRspFDD */
static int hf_nbap_non_combining = -1;            /* Non_Combining_RL_AdditionRspFDD */
static int hf_nbap_dCH_Information = -1;          /* DCH_Information_RL_AdditionRspTDD */
static int hf_nbap_dSCH_InformationResponseList_01 = -1;  /* DSCH_InformationResponseList_RL_AdditionRspTDD */
static int hf_nbap_uSCH_InformationResponseList_01 = -1;  /* USCH_InformationResponseList_RL_AdditionRspTDD */
static int hf_nbap_diversityIndication_03 = -1;   /* DiversityIndication_RL_AdditionRspTDD */
static int hf_nbap_combining_03 = -1;             /* Combining_RL_AdditionRspTDD */
static int hf_nbap_non_Combining = -1;            /* Non_Combining_RL_AdditionRspTDD */
static int hf_nbap_uL_TimeSlot_ISCP_InfoLCR = -1;  /* UL_TimeSlot_ISCP_LCR_Info */
static int hf_nbap_generalCause_02 = -1;          /* GeneralCauseList_RL_AdditionFailureFDD */
static int hf_nbap_rLSpecificCause_02 = -1;       /* RLSpecificCauseList_RL_AdditionFailureFDD */
static int hf_nbap_unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD = -1;  /* Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD */
static int hf_nbap_successful_RL_InformationRespList_RL_AdditionFailureFDD = -1;  /* Successful_RL_InformationRespList_RL_AdditionFailureFDD */
static int hf_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_diversityIndication_04 = -1;   /* DiversityIndication_RL_AdditionFailureFDD */
static int hf_nbap_combining_04 = -1;             /* Combining_RL_AdditionFailureFDD */
static int hf_nbap_non_Combining_01 = -1;         /* Non_Combining_RL_AdditionFailureFDD */
static int hf_nbap_generalCause_03 = -1;          /* GeneralCauseList_RL_AdditionFailureTDD */
static int hf_nbap_rLSpecificCause_03 = -1;       /* RLSpecificCauseList_RL_AdditionFailureTDD */
static int hf_nbap_unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD = -1;  /* Unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD */
static int hf_nbap_not_Used_sSDT_CellIDLength = -1;  /* NULL */
static int hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_item = -1;  /* DCH_DeleteItem_RL_ReconfPrepFDD */
static int hf_nbap_dCH_ID = -1;                   /* DCH_ID */
static int hf_nbap_RL_InformationList_RL_ReconfPrepFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_maxDL_Power = -1;              /* DL_Power */
static int hf_nbap_minDL_Power = -1;              /* DL_Power */
static int hf_nbap_not_Used_sSDT_Indication = -1;  /* NULL */
static int hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item = -1;  /* UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationList = -1;  /* UL_DPCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_item = -1;  /* MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationListLCR = -1;  /* UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_ul_sir_target = -1;            /* UL_SIR */
static int hf_nbap_tDD_TPC_UplinkStepSize_LCR = -1;  /* TDD_TPC_UplinkStepSize_LCR */
static int hf_nbap_uL_Timeslot_InformationLCR = -1;  /* UL_TimeslotLCR_Information */
static int hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item = -1;  /* UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationAddList = -1;  /* UL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationModifyList = -1;  /* UL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationDeleteList = -1;  /* UL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item = -1;  /* MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD */
static int hf_nbap_ul_DPCH_InformationAddListLCR = -1;  /* UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_uL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;  /* UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_midambleShiftAndBurstType = -1;  /* MidambleShiftAndBurstType */
static int hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;  /* UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_dPCH_ID = -1;                  /* DPCH_ID */
static int hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR = -1;  /* UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR */
static int hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_item = -1;  /* UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR */
static int hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item = -1;  /* UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item = -1;  /* UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item = -1;  /* DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD */
static int hf_nbap_cCTrCH_TPCList_01 = -1;        /* CCTrCH_TPCAddList_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationList = -1;  /* DL_DPCH_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_item = -1;  /* MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationListLCR = -1;  /* DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD */
static int hf_nbap_cCTrCH_Initial_DL_Power = -1;  /* DL_Power */
static int hf_nbap_tDD_TPC_DownlinkStepSize = -1;  /* TDD_TPC_DownlinkStepSize */
static int hf_nbap_cCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD = -1;  /* DL_Power */
static int hf_nbap_cCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD = -1;  /* DL_Power */
static int hf_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD_item = -1;  /* CCTrCH_TPCAddItem_RL_ReconfPrepTDD */
static int hf_nbap_dL_Timeslot_InformationLCR = -1;  /* DL_TimeslotLCR_Information */
static int hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item = -1;  /* DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_cCTrCH_TPCList_02 = -1;        /* CCTrCH_TPCModifyList_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationAddList = -1;  /* DL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationModifyList = -1;  /* DL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationDeleteList = -1;  /* DL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item = -1;  /* MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD */
static int hf_nbap_dl_DPCH_InformationAddListLCR = -1;  /* DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD */
static int hf_nbap_tDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD = -1;  /* TDD_TPC_DownlinkStepSize */
static int hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD = -1;  /* DL_Power */
static int hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD = -1;  /* DL_Power */
static int hf_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD_item = -1;  /* CCTrCH_TPCModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_dL_Timeslot_InformationAddModify_ModifyList_RL_ReconfPrepTDD = -1;  /* DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_dL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;  /* DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_dL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;  /* DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD */
static int hf_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item = -1;  /* DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item = -1;  /* DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item = -1;  /* DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_item = -1;  /* DCH_DeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_item = -1;  /* DSCH_Information_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_dSCH_ID = -1;                  /* DSCH_ID */
static int hf_nbap_allocationRetentionPriority = -1;  /* AllocationRetentionPriority */
static int hf_nbap_frameHandlingPriority = -1;    /* FrameHandlingPriority */
static int hf_nbap_transportBearerRequestIndicator = -1;  /* TransportBearerRequestIndicator */
static int hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_item = -1;  /* DSCH_Information_DeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_item = -1;  /* USCH_Information_ModifyItem_RL_ReconfPrepTDD */
static int hf_nbap_uSCH_ID = -1;                  /* USCH_ID */
static int hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_item = -1;  /* USCH_Information_DeleteItem_RL_ReconfPrepTDD */
static int hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_item = -1;  /* RL_Information_RL_ReconfPrepTDD */
static int hf_nbap_RL_InformationResponseList_RL_ReconfReady_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dCH_InformationResponseList_RL_ReconfReady = -1;  /* DCH_InformationResponseList_RL_ReconfReady */
static int hf_nbap_dSCH_InformationResponseList_RL_ReconfReady = -1;  /* DSCH_InformationResponseList_RL_ReconfReady */
static int hf_nbap_uSCH_InformationResponseList_RL_ReconfReady = -1;  /* USCH_InformationResponseList_RL_ReconfReady */
static int hf_nbap_generalCause_04 = -1;          /* GeneralCauseList_RL_ReconfFailure */
static int hf_nbap_rLSpecificCause_04 = -1;       /* RLSpecificCauseList_RL_ReconfFailure */
static int hf_nbap_rL_ReconfigurationFailureList_RL_ReconfFailure = -1;  /* RL_ReconfigurationFailureList_RL_ReconfFailure */
static int hf_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_ul_TFCS = -1;                  /* TFCS */
static int hf_nbap_dl_TFCS = -1;                  /* TFCS */
static int hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_item = -1;  /* DCH_DeleteItem_RL_ReconfRqstFDD */
static int hf_nbap_RL_InformationList_RL_ReconfRqstFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item = -1;  /* MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD */
static int hf_nbap_dl_DPCH_LCR_InformationModifyList = -1;  /* DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD */
static int hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD = -1;  /* DL_Power */
static int hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD = -1;  /* DL_Power */
static int hf_nbap_dL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD = -1;  /* DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD */
static int hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_item = -1;  /* DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD */
static int hf_nbap_maxPowerLCR = -1;              /* DL_Power */
static int hf_nbap_minPowerLCR = -1;              /* DL_Power */
static int hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_item = -1;  /* DCH_DeleteItem_RL_ReconfRqstTDD */
static int hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_item = -1;  /* RL_Information_RL_ReconfRqstTDD */
static int hf_nbap_RL_InformationResponseList_RL_ReconfRsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dCH_InformationResponseList_RL_ReconfRsp = -1;  /* DCH_InformationResponseList_RL_ReconfRsp */
static int hf_nbap_RL_informationList_RL_DeletionRqst_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dl_ReferencePower = -1;        /* DL_Power */
static int hf_nbap_rL = -1;                       /* RL_DM_Rqst */
static int hf_nbap_rLS = -1;                      /* RL_Set_DM_Rqst */
static int hf_nbap_all_RL = -1;                   /* AllRL_DM_Rqst */
static int hf_nbap_all_RLS = -1;                  /* AllRL_Set_DM_Rqst */
static int hf_nbap_rL_InformationList = -1;       /* RL_InformationList_DM_Rqst */
static int hf_nbap_RL_InformationList_DM_Rqst_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_PUSCH_Info_DM_Rqst_item = -1;  /* PUSCH_ID */
static int hf_nbap_HSSICH_Info_DM_Rqst_item = -1;  /* HS_SICH_ID */
static int hf_nbap_rL_Set_InformationList_DM_Rqst = -1;  /* RL_Set_InformationList_DM_Rqst */
static int hf_nbap_RL_Set_InformationList_DM_Rqst_item = -1;  /* RL_Set_InformationItem_DM_Rqst */
static int hf_nbap_rL_01 = -1;                    /* RL_DM_Rsp */
static int hf_nbap_rLS_01 = -1;                   /* RL_Set_DM_Rsp */
static int hf_nbap_all_RL_01 = -1;                /* RL_DM_Rsp */
static int hf_nbap_all_RLS_01 = -1;               /* RL_Set_DM_Rsp */
static int hf_nbap_rL_InformationList_DM_Rsp = -1;  /* RL_InformationList_DM_Rsp */
static int hf_nbap_RL_InformationList_DM_Rsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dedicatedMeasurementValue = -1;  /* DedicatedMeasurementValue */
static int hf_nbap_cFN = -1;                      /* CFN */
static int hf_nbap_PUSCH_Info_DM_Rsp_item = -1;   /* PUSCH_ID */
static int hf_nbap_rL_Set_InformationList_DM_Rsp = -1;  /* RL_Set_InformationList_DM_Rsp */
static int hf_nbap_RL_Set_InformationList_DM_Rsp_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_item = -1;  /* Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp */
static int hf_nbap_hsSICH_ID = -1;                /* HS_SICH_ID */
static int hf_nbap_rL_02 = -1;                    /* RL_DM_Rprt */
static int hf_nbap_rLS_02 = -1;                   /* RL_Set_DM_Rprt */
static int hf_nbap_all_RL_02 = -1;                /* RL_DM_Rprt */
static int hf_nbap_all_RLS_02 = -1;               /* RL_Set_DM_Rprt */
static int hf_nbap_rL_InformationList_DM_Rprt = -1;  /* RL_InformationList_DM_Rprt */
static int hf_nbap_RL_InformationList_DM_Rprt_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_dedicatedMeasurementValueInformation = -1;  /* DedicatedMeasurementValueInformation */
static int hf_nbap_PUSCH_Info_DM_Rprt_item = -1;  /* PUSCH_ID */
static int hf_nbap_rL_Set_InformationList_DM_Rprt = -1;  /* RL_Set_InformationList_DM_Rprt */
static int hf_nbap_RL_Set_InformationList_DM_Rprt_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_03 = -1;                    /* RL_RL_FailureInd */
static int hf_nbap_rL_Set = -1;                   /* RL_Set_RL_FailureInd */
static int hf_nbap_cCTrCH = -1;                   /* CCTrCH_RL_FailureInd */
static int hf_nbap_rL_InformationList_RL_FailureInd = -1;  /* RL_InformationList_RL_FailureInd */
static int hf_nbap_RL_InformationList_RL_FailureInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_Set_InformationList_RL_FailureInd = -1;  /* RL_Set_InformationList_RL_FailureInd */
static int hf_nbap_RL_Set_InformationList_RL_FailureInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_cCTrCH_InformationList_RL_FailureInd = -1;  /* CCTrCH_InformationList_RL_FailureInd */
static int hf_nbap_CCTrCH_InformationList_RL_FailureInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_RL_InformationList_RL_PreemptRequiredInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_04 = -1;                    /* RL_RL_RestoreInd */
static int hf_nbap_rL_Set_01 = -1;                /* RL_Set_RL_RestoreInd */
static int hf_nbap_cCTrCH_01 = -1;                /* CCTrCH_RL_RestoreInd */
static int hf_nbap_rL_InformationList_RL_RestoreInd = -1;  /* RL_InformationList_RL_RestoreInd */
static int hf_nbap_RL_InformationList_RL_RestoreInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_rL_Set_InformationList_RL_RestoreInd = -1;  /* RL_Set_InformationList_RL_RestoreInd */
static int hf_nbap_RL_Set_InformationList_RL_RestoreInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_cCTrCH_InformationList_RL_RestoreInd = -1;  /* CCTrCH_InformationList_RL_RestoreInd */
static int hf_nbap_CCTrCH_InformationList_RL_RestoreInd_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_privateIEs = -1;               /* PrivateIE_Container */
static int hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_item = -1;  /* PDSCHSets_AddItem_PSCH_ReconfRqst */
static int hf_nbap_pDSCHSet_ID = -1;              /* PDSCHSet_ID */
static int hf_nbap_pDSCH_InformationList = -1;    /* PDSCH_Information_AddList_PSCH_ReconfRqst */
static int hf_nbap_dL_Timeslot_InformationAddList_PSCH_ReconfRqst = -1;  /* DL_Timeslot_InformationAddList_PSCH_ReconfRqst */
static int hf_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst_item = -1;  /* DL_Timeslot_InformationAddItem_PSCH_ReconfRqst */
static int hf_nbap_dL_Code_InformationAddList_PSCH_ReconfRqst = -1;  /* DL_Code_InformationAddList_PSCH_ReconfRqst */
static int hf_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst_item = -1;  /* DL_Code_InformationAddItem_PSCH_ReconfRqst */
static int hf_nbap_pDSCH_ID = -1;                 /* PDSCH_ID */
static int hf_nbap_dL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst = -1;  /* DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst */
static int hf_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item = -1;  /* DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_dL_Code_InformationAddList_LCR_PSCH_ReconfRqst = -1;  /* DL_Code_InformationAddList_LCR_PSCH_ReconfRqst */
static int hf_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item = -1;  /* DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_item = -1;  /* PDSCHSets_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_pDSCH_InformationList_01 = -1;  /* PDSCH_Information_ModifyList_PSCH_ReconfRqst */
static int hf_nbap_dL_Timeslot_InformationModifyList_PSCH_ReconfRqst = -1;  /* DL_Timeslot_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_dL_Code_InformationModifyList_PSCH_ReconfRqst = -1;  /* DL_Code_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* DL_Code_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_dL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst = -1;  /* DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_dL_Code_LCR_InformationModifyList_PSCH_ReconfRqst = -1;  /* DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_item = -1;  /* PDSCHSets_DeleteItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_item = -1;  /* PUSCHSets_AddItem_PSCH_ReconfRqst */
static int hf_nbap_pUSCHSet_ID = -1;              /* PUSCHSet_ID */
static int hf_nbap_pUSCH_InformationList = -1;    /* PUSCH_Information_AddList_PSCH_ReconfRqst */
static int hf_nbap_uL_Timeslot_InformationAddList_PSCH_ReconfRqst = -1;  /* UL_Timeslot_InformationAddList_PSCH_ReconfRqst */
static int hf_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst_item = -1;  /* UL_Timeslot_InformationAddItem_PSCH_ReconfRqst */
static int hf_nbap_uL_Code_InformationAddList_PSCH_ReconfRqst = -1;  /* UL_Code_InformationAddList_PSCH_ReconfRqst */
static int hf_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst_item = -1;  /* UL_Code_InformationAddItem_PSCH_ReconfRqst */
static int hf_nbap_pUSCH_ID = -1;                 /* PUSCH_ID */
static int hf_nbap_uL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst = -1;  /* UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst */
static int hf_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item = -1;  /* UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_uL_Code_InformationAddList_LCR_PSCH_ReconfRqst = -1;  /* UL_Code_InformationAddList_LCR_PSCH_ReconfRqst */
static int hf_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item = -1;  /* UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_item = -1;  /* PUSCHSets_ModifyItem_PSCH_ReconfRqst */
static int hf_nbap_pUSCH_InformationList_01 = -1;  /* PUSCH_Information_ModifyList_PSCH_ReconfRqst */
static int hf_nbap_uL_Timeslot_InformationModifyList_PSCH_ReconfRqst = -1;  /* UL_Timeslot_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_uL_Code_InformationModifyList_PSCH_ReconfRqst = -1;  /* UL_Code_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* UL_Code_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_uL_Timeslot_InformationModifyList_LCR_PSCH_ReconfRqst = -1;  /* UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_uL_Code_LCR_InformationModifyList_PSCH_ReconfRqst = -1;  /* UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst */
static int hf_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item = -1;  /* UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_item = -1;  /* PUSCHSets_DeleteItem_PSCH_ReconfRqst */
static int hf_nbap_dL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst = -1;  /* DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst */
static int hf_nbap_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst = -1;  /* DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst */
static int hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_item = -1;  /* DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst */
static int hf_nbap_dl_HS_PDSCH_Codelist_PSCH_ReconfRqst = -1;  /* DL_HS_PDSCH_Codelist_PSCH_ReconfRqst */
static int hf_nbap_maxHSDSCH_HSSCCH_Power = -1;   /* MaximumTransmissionPower */
static int hf_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_item = -1;  /* TDD_ChannelisationCode */
static int hf_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item = -1;  /* DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_midambleShiftAndBurstType_01 = -1;  /* MidambleShiftLCR */
static int hf_nbap_dl_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst = -1;  /* DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst */
static int hf_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_item = -1;  /* TDD_ChannelisationCode */
static int hf_nbap_hS_SCCH_Information_PSCH_ReconfRqst = -1;  /* HS_SCCH_Information_PSCH_ReconfRqst */
static int hf_nbap_hS_SCCH_Information_LCR_PSCH_ReconfRqst = -1;  /* HS_SCCH_Information_LCR_PSCH_ReconfRqst */
static int hf_nbap_HS_SCCH_Information_PSCH_ReconfRqst_item = -1;  /* HS_SCCH_InformationItem_PSCH_ReconfRqst */
static int hf_nbap_hS_SCCH_ID = -1;               /* HS_SCCH_ID */
static int hf_nbap_hS_SCCH_MaxPower = -1;         /* DL_Power */
static int hf_nbap_hS_SICH_Information = -1;      /* HS_SICH_Information_PSCH_ReconfRqst */
static int hf_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst_item = -1;  /* HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_first_TDD_ChannelisationCode = -1;  /* TDD_ChannelisationCode */
static int hf_nbap_second_TDD_ChannelisationCode = -1;  /* TDD_ChannelisationCode */
static int hf_nbap_hS_SICH_Information_LCR = -1;  /* HS_SICH_Information_LCR_PSCH_ReconfRqst */
static int hf_nbap_hS_SCCH_InformationModify_PSCH_ReconfRqst = -1;  /* HS_SCCH_InformationModify_PSCH_ReconfRqst */
static int hf_nbap_hS_SCCH_InformationModify_LCR_PSCH_ReconfRqst = -1;  /* HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst */
static int hf_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst_item = -1;  /* HS_SCCH_InformationModifyItem_PSCH_ReconfRqst */
static int hf_nbap_hS_SICH_Information_01 = -1;   /* HS_SICH_InformationModify_PSCH_ReconfRqst */
static int hf_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_item = -1;  /* HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst */
static int hf_nbap_hS_SICH_Information_LCR_01 = -1;  /* HS_SICH_InformationModify_LCR_PSCH_ReconfRqst */
static int hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_item = -1;  /* Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst */
static int hf_nbap_generalCause_05 = -1;          /* GeneralCauseList_PSCH_ReconfFailure */
static int hf_nbap_setSpecificCause = -1;         /* SetSpecificCauseList_PSCH_ReconfFailureTDD */
static int hf_nbap_extension_CauseLevel_PSCH_ReconfFailure = -1;  /* Extension_CauseLevel_PSCH_ReconfFailure */
static int hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD = -1;  /* Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD */
static int hf_nbap_unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD = -1;  /* Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD */
static int hf_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_communicationContext = -1;     /* CommunicationContextList_Reset */
static int hf_nbap_communicationControlPort = -1;  /* CommunicationControlPortList_Reset */
static int hf_nbap_nodeB = -1;                    /* NULL */
static int hf_nbap_communicationContextInfoList_Reset = -1;  /* CommunicationContextInfoList_Reset */
static int hf_nbap_CommunicationContextInfoList_Reset_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_communicationContextType_Reset = -1;  /* CommunicationContextType_Reset */
static int hf_nbap_cRNC_CommunicationContextID = -1;  /* CRNC_CommunicationContextID */
static int hf_nbap_nodeB_CommunicationContextID = -1;  /* NodeB_CommunicationContextID */
static int hf_nbap_communicationControlPortInfoList_Reset = -1;  /* CommunicationControlPortInfoList_Reset */
static int hf_nbap_CommunicationControlPortInfoList_Reset_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_cell_03 = -1;                  /* Cell_InfEx_Rqst */
static int hf_nbap_cell_04 = -1;                  /* Cell_InfEx_Rsp */
static int hf_nbap_requestedDataValue = -1;       /* RequestedDataValue */
static int hf_nbap_cell_05 = -1;                  /* Cell_Inf_Rprt */
static int hf_nbap_requestedDataValueInformation = -1;  /* RequestedDataValueInformation */
static int hf_nbap_cSBTransmissionID = -1;        /* CSBTransmissionID */
static int hf_nbap_sfn = -1;                      /* SFN */
static int hf_nbap_cellSyncBurstCode = -1;        /* CellSyncBurstCode */
static int hf_nbap_cellSyncBurstCodeShift = -1;   /* CellSyncBurstCodeShift */
static int hf_nbap_initialDLTransPower = -1;      /* DL_Power */
static int hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_item = -1;  /* TimeSlot */
static int hf_nbap_cSBMeasurementID = -1;         /* CSBMeasurementID */
static int hf_nbap_synchronisationReportType = -1;  /* SynchronisationReportType */
static int hf_nbap_synchronisationReportCharacteristics = -1;  /* SynchronisationReportCharacteristics */
static int hf_nbap_sYNCDlCodeId = -1;             /* SYNCDlCodeId */
static int hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_item = -1;  /* CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD */
static int hf_nbap_syncFrameNumberToTransmit = -1;  /* SyncFrameNumber */
static int hf_nbap_dlTransPower = -1;             /* DL_Power */
static int hf_nbap_cellSyncBurstMeasInfoList_CellSyncReconfRqstTDD = -1;  /* CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD */
static int hf_nbap_synchronisationReportType_01 = -1;  /* SynchronisationReportTypeIE */
static int hf_nbap_synchronisationReportCharacteristics_01 = -1;  /* SynchronisationReportCharacteristicsIE */
static int hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_item = -1;  /* CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD */
static int hf_nbap_syncFrameNrToReceive = -1;     /* SyncFrameNumber */
static int hf_nbap_syncBurstInfo = -1;            /* CellSyncBurstInfoList_CellSyncReconfRqstTDD */
static int hf_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD_item = -1;  /* CellSyncBurstInfoItem_CellSyncReconfRqstTDD */
static int hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_item = -1;  /* SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD */
static int hf_nbap_syncFrameNumberforTransmit = -1;  /* SyncFrameNumber */
static int hf_nbap_sYNCDlCodeIdMeasInfoList = -1;  /* SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD */
static int hf_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_item = -1;  /* SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD */
static int hf_nbap_sYNCDlCodeIdInfoLCR = -1;      /* SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD */
static int hf_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_item = -1;  /* SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD */
static int hf_nbap_propagationDelayCompensation = -1;  /* TimingAdjustmentValueLCR */
static int hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_frameAdjustmentValue = -1;     /* FrameAdjustmentValue */
static int hf_nbap_timingAdjustmentValue = -1;    /* TimingAdjustmentValue */
static int hf_nbap_dLTransPower = -1;             /* DL_Power */
static int hf_nbap_generalCause_06 = -1;          /* GeneralCauseList_SyncAdjustmntFailureTDD */
static int hf_nbap_cellSpecificCause = -1;        /* CellSpecificCauseList_SyncAdjustmntFailureTDD */
static int hf_nbap_unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD = -1;  /* Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD */
static int hf_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_CellSyncInfo_CellSyncReprtTDD_item = -1;  /* CellSyncInfoItemIE_CellSyncReprtTDD */
static int hf_nbap_c_ID_CellSyncReprtTDD = -1;    /* C_ID_IE_CellSyncReprtTDD */
static int hf_nbap_syncReportType_CellSyncReprtTDD = -1;  /* SyncReportTypeIE_CellSyncReprtTDD */
static int hf_nbap_intStdPhSyncInfo_CellSyncReprtTDD = -1;  /* IntStdPhCellSyncInfo_CellSyncReprtTDD */
static int hf_nbap_lateEntrantCell = -1;          /* NULL */
static int hf_nbap_frequencyAcquisition = -1;     /* NULL */
static int hf_nbap_cellSyncBurstMeasuredInfo = -1;  /* CellSyncBurstMeasInfoList_CellSyncReprtTDD */
static int hf_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD_item = -1;  /* CellSyncBurstMeasInfoItem_CellSyncReprtTDD */
static int hf_nbap_sFN = -1;                      /* SFN */
static int hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD = -1;  /* SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD */
static int hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD_item = -1;  /* CellSyncBurstInfo_CellSyncReprtTDD */
static int hf_nbap_cellSyncBurstAvailable = -1;   /* CellSyncBurstAvailable_CellSyncReprtTDD */
static int hf_nbap_cellSyncBurstNotAvailable = -1;  /* NULL */
static int hf_nbap_cellSyncBurstTiming = -1;      /* CellSyncBurstTiming */
static int hf_nbap_cellSyncBurstSIR = -1;         /* CellSyncBurstSIR */
static int hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_item = -1;  /* SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD */
static int hf_nbap_syncDLCodeIdInfo_CellSyncReprtTDD = -1;  /* SyncDLCodeIdInfo_CellSyncReprtTDD */
static int hf_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD_item = -1;  /* SyncDLCodeIdItem_CellSyncReprtTDD */
static int hf_nbap_syncDLCodeIdAvailable = -1;    /* SyncDLCodeIdAvailable_CellSyncReprtTDD */
static int hf_nbap_syncDLCodeIDNotAvailable = -1;  /* NULL */
static int hf_nbap_syncDLCodeIdTiming = -1;       /* CellSyncBurstTimingLCR */
static int hf_nbap_syncDLCodeIdSIR = -1;          /* CellSyncBurstSIR */
static int hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_item = -1;  /* DCH_RearrangeItem_Bearer_RearrangeInd */
static int hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_item = -1;  /* DSCH_RearrangeItem_Bearer_RearrangeInd */
static int hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_item = -1;  /* USCH_RearrangeItem_Bearer_RearrangeInd */
static int hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_item = -1;  /* HSDSCH_RearrangeItem_Bearer_RearrangeInd */
static int hf_nbap_hsDSCH_MACdFlow_ID = -1;       /* HSDSCH_MACdFlow_ID */
static int hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_delayed_activation_update = -1;  /* DelayedActivationUpdate */
static int hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_item = -1;  /* ProtocolIE_Single_Container */
static int hf_nbap_cMConfigurationChangeCFN = -1;  /* CFN */
static int hf_nbap_transmission_Gap_Pattern_Sequence_Status = -1;  /* Transmission_Gap_Pattern_Sequence_Status_List */
static int hf_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item = -1;  /* Transmission_Gap_Pattern_Sequence_Status_List_item */
static int hf_nbap_tGPSID = -1;                   /* TGPSID */
static int hf_nbap_tGPRC = -1;                    /* TGPRC */
static int hf_nbap_tGCFN = -1;                    /* CFN */
static int hf_nbap_priorityLevel = -1;            /* PriorityLevel */
static int hf_nbap_pre_emptionCapability = -1;    /* Pre_emptionCapability */
static int hf_nbap_pre_emptionVulnerability = -1;  /* Pre_emptionVulnerability */
static int hf_nbap_aOA_LCR = -1;                  /* AOA_LCR */
static int hf_nbap_aOA_LCR_Accuracy_Class = -1;   /* AOA_LCR_Accuracy_Class */
static int hf_nbap_Best_Cell_Portions_Value_item = -1;  /* Best_Cell_Portions_Item */
static int hf_nbap_cellPortionID = -1;            /* CellPortionID */
static int hf_nbap_sIRValue = -1;                 /* SIR_Value */
static int hf_nbap_cid = -1;                      /* C_ID */
static int hf_nbap_radioNetwork = -1;             /* CauseRadioNetwork */
static int hf_nbap_transport = -1;                /* CauseTransport */
static int hf_nbap_protocol = -1;                 /* CauseProtocol */
static int hf_nbap_misc = -1;                     /* CauseMisc */
static int hf_nbap_initialPhase_0_1048575 = -1;   /* INTEGER_0_1048575_ */
static int hf_nbap_steadyStatePhase = -1;         /* INTEGER_0_255_ */
static int hf_nbap_initialPhase = -1;             /* INTEGER_0_524287_ */
static int hf_nbap_steadyStatePhase_01 = -1;      /* INTEGER_0_127_ */
static int hf_nbap_CommonChannelsCapacityConsumptionLaw_item = -1;  /* CommonChannelsCapacityConsumptionLaw_item */
static int hf_nbap_dl_Cost = -1;                  /* INTEGER_0_65535 */
static int hf_nbap_ul_Cost = -1;                  /* INTEGER_0_65535 */
static int hf_nbap_tUTRANGPSMeasurementAccuracyClass = -1;  /* TUTRANGPSAccuracyClass */
static int hf_nbap_transmitted_carrier_power = -1;  /* Transmitted_Carrier_Power_Value */
static int hf_nbap_acknowledged_prach_preambles = -1;  /* Acknowledged_PRACH_preambles_Value */
static int hf_nbap_uL_TimeslotISCP = -1;          /* UL_TimeslotISCP_Value */
static int hf_nbap_notUsed_1_acknowledged_PCPCH_access_preambles = -1;  /* NULL */
static int hf_nbap_notUsed_2_detected_PCPCH_access_preambles = -1;  /* NULL */
static int hf_nbap_extension_CommonMeasurementValue = -1;  /* Extension_CommonMeasurementValue */
static int hf_nbap_measurementAvailable = -1;     /* CommonMeasurementAvailable */
static int hf_nbap_measurementnotAvailable = -1;  /* CommonMeasurementnotAvailable */
static int hf_nbap_commonmeasurementValue = -1;   /* CommonMeasurementValue */
static int hf_nbap_ie_Extensions = -1;            /* ProtocolExtensionContainer */
static int hf_nbap_bindingID = -1;                /* BindingID */
static int hf_nbap_transportLayerAddress = -1;    /* TransportLayerAddress */
static int hf_nbap_triggeringMessage = -1;        /* TriggeringMessage */
static int hf_nbap_procedureCriticality = -1;     /* Criticality */
static int hf_nbap_iEsCriticalityDiagnostics = -1;  /* CriticalityDiagnostics_IE_List */
static int hf_nbap_CriticalityDiagnostics_IE_List_item = -1;  /* CriticalityDiagnostics_IE_List_item */
static int hf_nbap_iECriticality = -1;            /* Criticality */
static int hf_nbap_iE_ID = -1;                    /* ProtocolIE_ID */
static int hf_nbap_repetitionNumber = -1;         /* RepetitionNumber0 */
static int hf_nbap_DCH_FDD_Information_item = -1;  /* DCH_FDD_InformationItem */
static int hf_nbap_payloadCRC_PresenceIndicator = -1;  /* PayloadCRC_PresenceIndicator */
static int hf_nbap_ul_FP_Mode = -1;               /* UL_FP_Mode */
static int hf_nbap_dCH_SpecificInformationList = -1;  /* DCH_Specific_FDD_InformationList */
static int hf_nbap_DCH_Specific_FDD_InformationList_item = -1;  /* DCH_Specific_FDD_Item */
static int hf_nbap_ul_TransportFormatSet = -1;    /* TransportFormatSet */
static int hf_nbap_qE_Selector = -1;              /* QE_Selector */
static int hf_nbap_DCH_InformationResponse_item = -1;  /* DCH_InformationResponseItem */
static int hf_nbap_DCH_TDD_Information_item = -1;  /* DCH_TDD_InformationItem */
static int hf_nbap_dCH_SpecificInformationList_01 = -1;  /* DCH_Specific_TDD_InformationList */
static int hf_nbap_DCH_Specific_TDD_InformationList_item = -1;  /* DCH_Specific_TDD_Item */
static int hf_nbap_ul_CCTrCH_ID = -1;             /* CCTrCH_ID */
static int hf_nbap_dl_CCTrCH_ID = -1;             /* CCTrCH_ID */
static int hf_nbap_FDD_DCHs_to_Modify_item = -1;  /* FDD_DCHs_to_ModifyItem */
static int hf_nbap_dCH_SpecificInformationList_02 = -1;  /* DCH_ModifySpecificInformation_FDD */
static int hf_nbap_DCH_ModifySpecificInformation_FDD_item = -1;  /* DCH_ModifySpecificItem_FDD */
static int hf_nbap_TDD_DCHs_to_Modify_item = -1;  /* DCH_ModifyItem_TDD */
static int hf_nbap_dCH_SpecificInformationList_03 = -1;  /* DCH_ModifySpecificInformation_TDD */
static int hf_nbap_DCH_ModifySpecificInformation_TDD_item = -1;  /* DCH_ModifySpecificItem_TDD */
static int hf_nbap_DedicatedChannelsCapacityConsumptionLaw_item = -1;  /* DedicatedChannelsCapacityConsumptionLaw_item */
static int hf_nbap_dl_Cost_1 = -1;                /* INTEGER_0_65535 */
static int hf_nbap_dl_Cost_2 = -1;                /* INTEGER_0_65535 */
static int hf_nbap_ul_Cost_1 = -1;                /* INTEGER_0_65535 */
static int hf_nbap_ul_Cost_2 = -1;                /* INTEGER_0_65535 */
static int hf_nbap_sIR_Value = -1;                /* SIR_Value */
static int hf_nbap_sIR_ErrorValue = -1;           /* SIR_Error_Value */
static int hf_nbap_transmittedCodePowerValue = -1;  /* Transmitted_Code_Power_Value */
static int hf_nbap_rSCP = -1;                     /* RSCP_Value */
static int hf_nbap_rxTimingDeviationValue = -1;   /* Rx_Timing_Deviation_Value */
static int hf_nbap_roundTripTime = -1;            /* Round_Trip_Time_Value */
static int hf_nbap_extension_DedicatedMeasurementValue = -1;  /* Extension_DedicatedMeasurementValue */
static int hf_nbap_measurementAvailable_01 = -1;  /* DedicatedMeasurementAvailable */
static int hf_nbap_measurementnotAvailable_01 = -1;  /* DedicatedMeasurementnotAvailable */
static int hf_nbap_dedicatedmeasurementValue = -1;  /* DedicatedMeasurementValue */
static int hf_nbap_cfn = -1;                      /* CFN */
static int hf_nbap_separate_indication = -1;      /* NULL */
static int hf_nbap_activate = -1;                 /* Activate_Info */
static int hf_nbap_deactivate = -1;               /* Deactivate_Info */
static int hf_nbap_activation_type = -1;          /* Execution_Type */
static int hf_nbap_initial_dl_tx_power = -1;      /* DL_Power */
static int hf_nbap_firstRLS_Indicator = -1;       /* FirstRLS_Indicator */
static int hf_nbap_propagation_delay = -1;        /* PropagationDelay */
static int hf_nbap_deactivation_type = -1;        /* Execution_Type */
static int hf_nbap_synchronised = -1;             /* CFN */
static int hf_nbap_unsynchronised = -1;           /* NULL */
static int hf_nbap_gpstow = -1;                   /* GPSTOW */
static int hf_nbap_status_health = -1;            /* GPS_Status_Health */
static int hf_nbap_satelliteinfo = -1;            /* SAT_Info_DGPSCorrections */
static int hf_nbap_prcdeviation = -1;             /* PRCDeviation */
static int hf_nbap_DL_Timeslot_Information_item = -1;  /* DL_Timeslot_InformationItem */
static int hf_nbap_dL_Code_Information = -1;      /* TDD_DL_Code_Information */
static int hf_nbap_DL_TimeslotLCR_Information_item = -1;  /* DL_TimeslotLCR_InformationItem */
static int hf_nbap_dL_Code_LCR_Information = -1;  /* TDD_DL_Code_LCR_Information */
static int hf_nbap_powerAdjustmentType = -1;      /* PowerAdjustmentType */
static int hf_nbap_dLReferencePower = -1;         /* DL_Power */
static int hf_nbap_dLReferencePowerList_DL_PC_Rqst = -1;  /* DL_ReferencePowerInformationList */
static int hf_nbap_maxAdjustmentStep = -1;        /* MaxAdjustmentStep */
static int hf_nbap_adjustmentPeriod = -1;         /* AdjustmentPeriod */
static int hf_nbap_adjustmentRatio = -1;          /* ScaledAdjustmentRatio */
static int hf_nbap_DL_ReferencePowerInformationList_item = -1;  /* DL_ReferencePowerInformationItem */
static int hf_nbap_dl_Reference_Power = -1;       /* DL_Power */
static int hf_nbap_DL_TimeslotISCPInfo_item = -1;  /* DL_TimeslotISCPInfoItem */
static int hf_nbap_dL_TimeslotISCP = -1;          /* DL_TimeslotISCP */
static int hf_nbap_DL_TimeslotISCPInfoLCR_item = -1;  /* DL_TimeslotISCPInfoItemLCR */
static int hf_nbap_DSCH_InformationResponse_item = -1;  /* DSCH_InformationResponseItem */
static int hf_nbap_DSCH_TDD_Information_item = -1;  /* DSCH_TDD_InformationItem */
static int hf_nbap_FDD_DL_CodeInformation_item = -1;  /* FDD_DL_CodeInformationItem */
static int hf_nbap_transmissionGapPatternSequenceCodeInformation = -1;  /* TransmissionGapPatternSequenceCodeInformation */
static int hf_nbap_wna_alm = -1;                  /* BIT_STRING_SIZE_8 */
static int hf_nbap_sat_info_almanac = -1;         /* SAT_Info_Almanac */
static int hf_nbap_sVGlobalHealth_alm = -1;       /* BIT_STRING_SIZE_364 */
static int hf_nbap_alpha_zero_ionos = -1;         /* BIT_STRING_SIZE_8 */
static int hf_nbap_alpha_one_ionos = -1;          /* BIT_STRING_SIZE_8 */
static int hf_nbap_alpha_two_ionos = -1;          /* BIT_STRING_SIZE_8 */
static int hf_nbap_alpha_three_ionos = -1;        /* BIT_STRING_SIZE_8 */
static int hf_nbap_beta_zero_ionos = -1;          /* BIT_STRING_SIZE_8 */
static int hf_nbap_beta_one_ionos = -1;           /* BIT_STRING_SIZE_8 */
static int hf_nbap_beta_two_ionos = -1;           /* BIT_STRING_SIZE_8 */
static int hf_nbap_beta_three_ionos = -1;         /* BIT_STRING_SIZE_8 */
static int hf_nbap_GPS_Information_item = -1;     /* GPS_Information_Item */
static int hf_nbap_bad_satellites = -1;           /* GPSBadSat_Info_RealTime_Integrity */
static int hf_nbap_no_bad_satellites = -1;        /* NULL */
static int hf_nbap_sat_info = -1;                 /* SATInfo_RealTime_Integrity */
static int hf_nbap_GPS_NavigationModel_and_TimeRecovery_item = -1;  /* GPS_NavandRecovery_Item */
static int hf_nbap_tx_tow_nav = -1;               /* INTEGER_0_1048575 */
static int hf_nbap_sat_id_nav = -1;               /* SAT_ID */
static int hf_nbap_tlm_message_nav = -1;          /* BIT_STRING_SIZE_14 */
static int hf_nbap_tlm_revd_c_nav = -1;           /* BIT_STRING_SIZE_2 */
static int hf_nbap_ho_word_nav = -1;              /* BIT_STRING_SIZE_22 */
static int hf_nbap_w_n_nav = -1;                  /* BIT_STRING_SIZE_10 */
static int hf_nbap_ca_or_p_on_l2_nav = -1;        /* BIT_STRING_SIZE_2 */
static int hf_nbap_user_range_accuracy_index_nav = -1;  /* BIT_STRING_SIZE_4 */
static int hf_nbap_sv_health_nav = -1;            /* BIT_STRING_SIZE_6 */
static int hf_nbap_iodc_nav = -1;                 /* BIT_STRING_SIZE_10 */
static int hf_nbap_l2_p_dataflag_nav = -1;        /* BIT_STRING_SIZE_1 */
static int hf_nbap_sf1_reserved_nav = -1;         /* BIT_STRING_SIZE_87 */
static int hf_nbap_t_gd_nav = -1;                 /* BIT_STRING_SIZE_8 */
static int hf_nbap_t_oc_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_a_f_2_nav = -1;                /* BIT_STRING_SIZE_8 */
static int hf_nbap_a_f_1_nav = -1;                /* BIT_STRING_SIZE_16 */
static int hf_nbap_a_f_zero_nav = -1;             /* BIT_STRING_SIZE_22 */
static int hf_nbap_c_rs_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_delta_n_nav = -1;              /* BIT_STRING_SIZE_16 */
static int hf_nbap_m_zero_nav = -1;               /* BIT_STRING_SIZE_32 */
static int hf_nbap_c_uc_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_gps_e_nav = -1;                /* BIT_STRING_SIZE_32 */
static int hf_nbap_c_us_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_a_sqrt_nav = -1;               /* BIT_STRING_SIZE_32 */
static int hf_nbap_t_oe_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_fit_interval_flag_nav = -1;    /* BIT_STRING_SIZE_1 */
static int hf_nbap_aodo_nav = -1;                 /* BIT_STRING_SIZE_5 */
static int hf_nbap_c_ic_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_omega_zero_nav = -1;           /* BIT_STRING_SIZE_32 */
static int hf_nbap_c_is_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_i_zero_nav = -1;               /* BIT_STRING_SIZE_32 */
static int hf_nbap_c_rc_nav = -1;                 /* BIT_STRING_SIZE_16 */
static int hf_nbap_gps_omega_nav = -1;            /* BIT_STRING_SIZE_32 */
static int hf_nbap_omegadot_nav = -1;             /* BIT_STRING_SIZE_24 */
static int hf_nbap_idot_nav = -1;                 /* BIT_STRING_SIZE_14 */
static int hf_nbap_spare_zero_fill = -1;          /* BIT_STRING_SIZE_20 */
static int hf_nbap_latitudeSign = -1;             /* T_latitudeSign */
static int hf_nbap_latitude = -1;                 /* INTEGER_0_8388607 */
static int hf_nbap_longitude = -1;                /* INTEGER_M8388608_8388607 */
static int hf_nbap_directionOfAltitude = -1;      /* T_directionOfAltitude */
static int hf_nbap_altitude = -1;                 /* INTEGER_0_32767 */
static int hf_nbap_a_one_utc = -1;                /* BIT_STRING_SIZE_24 */
static int hf_nbap_a_zero_utc = -1;               /* BIT_STRING_SIZE_32 */
static int hf_nbap_t_ot_utc = -1;                 /* BIT_STRING_SIZE_8 */
static int hf_nbap_delta_t_ls_utc = -1;           /* BIT_STRING_SIZE_8 */
static int hf_nbap_w_n_t_utc = -1;                /* BIT_STRING_SIZE_8 */
static int hf_nbap_w_n_lsf_utc = -1;              /* BIT_STRING_SIZE_8 */
static int hf_nbap_dn_utc = -1;                   /* BIT_STRING_SIZE_8 */
static int hf_nbap_delta_t_lsf_utc = -1;          /* BIT_STRING_SIZE_8 */
static int hf_nbap_implicit = -1;                 /* HARQ_MemoryPartitioning_Implicit */
static int hf_nbap_explicit = -1;                 /* HARQ_MemoryPartitioning_Explicit */
static int hf_nbap_number_of_Processes = -1;      /* INTEGER_1_8_ */
static int hf_nbap_hARQ_MemoryPartitioningList = -1;  /* HARQ_MemoryPartitioningList */
static int hf_nbap_HARQ_MemoryPartitioningList_item = -1;  /* HARQ_MemoryPartitioningItem */
static int hf_nbap_process_Memory_Size = -1;      /* T_process_Memory_Size */
static int hf_nbap_HS_DSCHProvidedBitRate_item = -1;  /* HS_DSCHProvidedBitRate_Item */
static int hf_nbap_schedulingPriorityIndicator = -1;  /* SchedulingPriorityIndicator */
static int hf_nbap_hS_DSCHProvidedBitRateValue = -1;  /* HS_DSCHProvidedBitRateValue */
static int hf_nbap_HS_DSCHRequiredPower_item = -1;  /* HS_DSCHRequiredPower_Item */
static int hf_nbap_hS_DSCHRequiredPowerValue = -1;  /* HS_DSCHRequiredPowerValue */
static int hf_nbap_hS_DSCHRequiredPowerPerUEInformation = -1;  /* HS_DSCHRequiredPowerPerUEInformation */
static int hf_nbap_HS_DSCHRequiredPowerPerUEInformation_item = -1;  /* HS_DSCHRequiredPowerPerUEInformation_Item */
static int hf_nbap_hS_DSCHRequiredPowerPerUEWeight = -1;  /* HS_DSCHRequiredPowerPerUEWeight */
static int hf_nbap_hSDSCH_MACdFlows_Information = -1;  /* HSDSCH_MACdFlows_Information */
static int hf_nbap_ueCapability_Info = -1;        /* UE_Capability_Information */
static int hf_nbap_mAChs_Reordering_Buffer_Size_for_RLC_UM = -1;  /* MAChsReorderingBufferSize_for_RLC_UM */
static int hf_nbap_cqiFeedback_CycleK = -1;       /* CQI_Feedback_Cycle */
static int hf_nbap_cqiRepetitionFactor = -1;      /* CQI_RepetitionFactor */
static int hf_nbap_ackNackRepetitionFactor = -1;  /* AckNack_RepetitionFactor */
static int hf_nbap_cqiPowerOffset = -1;           /* CQI_Power_Offset */
static int hf_nbap_ackPowerOffset = -1;           /* Ack_Power_Offset */
static int hf_nbap_nackPowerOffset = -1;          /* Nack_Power_Offset */
static int hf_nbap_hsscch_PowerOffset = -1;       /* HSSCCH_PowerOffset */
static int hf_nbap_measurement_Power_Offset = -1;  /* Measurement_Power_Offset */
static int hf_nbap_tDD_AckNack_Power_Offset = -1;  /* TDD_AckNack_Power_Offset */
static int hf_nbap_hsDSCH_MACdFlow_Specific_Info_to_Modify = -1;  /* HSDSCH_MACdFlow_Specific_InfoList_to_Modify */
static int hf_nbap_priorityQueueInfotoModify = -1;  /* PriorityQueue_InfoList_to_Modify */
static int hf_nbap_hSSCCHCodeChangeGrant = -1;    /* HSSCCH_Code_Change_Grant */
static int hf_nbap_tDDAckNackPowerOffset = -1;    /* TDD_AckNack_Power_Offset */
static int hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify_item = -1;  /* HSDSCH_MACdFlow_Specific_InfoItem_to_Modify */
static int hf_nbap_priorityQueueInfotoModifyUnsynchronised = -1;  /* PriorityQueue_InfoList_to_Modify_Unsynchronised */
static int hf_nbap_hsDSCH_MACdFlow_Specific_InformationResp = -1;  /* HSDSCH_MACdFlow_Specific_InformationResp */
static int hf_nbap_hsSCCH_Specific_Information_ResponseFDD = -1;  /* HSSCCH_Specific_InformationRespListFDD */
static int hf_nbap_hARQ_MemoryPartitioning = -1;  /* HARQ_MemoryPartitioning */
static int hf_nbap_hsSCCH_Specific_Information_ResponseTDD = -1;  /* HSSCCH_Specific_InformationRespListTDD */
static int hf_nbap_hsSCCH_Specific_Information_ResponseTDDLCR = -1;  /* HSSCCH_Specific_InformationRespListTDDLCR */
static int hf_nbap_HSDSCH_MACdFlow_Specific_InformationResp_item = -1;  /* HSDSCH_MACdFlow_Specific_InformationResp_Item */
static int hf_nbap_hsDSCHMacdFlow_Id = -1;        /* HSDSCH_MACdFlow_ID */
static int hf_nbap_hSDSCH_Initial_Capacity_Allocation = -1;  /* HSDSCH_Initial_Capacity_Allocation */
static int hf_nbap_hSDSCH_MACdFlow_Specific_Info = -1;  /* HSDSCH_MACdFlow_Specific_InfoList */
static int hf_nbap_priorityQueue_Info = -1;       /* PriorityQueue_InfoList */
static int hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_item = -1;  /* HSDSCH_MACdFlow_Specific_InfoItem */
static int hf_nbap_HSDSCH_MACdFlows_to_Delete_item = -1;  /* HSDSCH_MACdFlows_to_Delete_Item */
static int hf_nbap_HSDSCH_Initial_Capacity_Allocation_item = -1;  /* HSDSCH_Initial_Capacity_AllocationItem */
static int hf_nbap_maximum_MACdPDU_Size = -1;     /* MACdPDU_Size */
static int hf_nbap_hSDSCH_InitialWindowSize = -1;  /* HSDSCH_InitialWindowSize */
static int hf_nbap_HSSCCH_Specific_InformationRespListFDD_item = -1;  /* HSSCCH_Codes */
static int hf_nbap_codeNumber = -1;               /* INTEGER_0_127 */
static int hf_nbap_HSSCCH_Specific_InformationRespListTDD_item = -1;  /* HSSCCH_Specific_InformationRespItemTDD */
static int hf_nbap_tDD_ChannelisationCode = -1;   /* TDD_ChannelisationCode */
static int hf_nbap_hSSICH_Info = -1;              /* HSSICH_Info */
static int hf_nbap_HSSCCH_Specific_InformationRespListTDDLCR_item = -1;  /* HSSCCH_Specific_InformationRespItemTDDLCR */
static int hf_nbap_hSSICH_InfoLCR = -1;           /* HSSICH_InfoLCR */
static int hf_nbap_failed_HS_SICH = -1;           /* HS_SICH_failed */
static int hf_nbap_missed_HS_SICH = -1;           /* HS_SICH_missed */
static int hf_nbap_total_HS_SICH = -1;            /* HS_SICH_total */
static int hf_nbap_number_of_HS_PDSCH_codes = -1;  /* INTEGER_0_maxHS_PDSCHCodeNrComp_1 */
static int hf_nbap_hS_PDSCH_Start_code_number = -1;  /* HS_PDSCH_Start_code_number */
static int hf_nbap_replace = -1;                  /* HS_SCCH_FDD_Code_List */
static int hf_nbap_remove = -1;                   /* NULL */
static int hf_nbap_HS_SCCH_FDD_Code_List_item = -1;  /* HS_SCCH_FDD_Code_Information_Item */
static int hf_nbap_hsSCCHCodeChangeIndicator = -1;  /* HSSCCH_CodeChangeIndicator */
static int hf_nbap_onDemand = -1;                 /* NULL */
static int hf_nbap_periodic = -1;                 /* InformationReportCharacteristicsType_ReportPeriodicity */
static int hf_nbap_onModification = -1;           /* InformationReportCharacteristicsType_OnModification */
static int hf_nbap_min = -1;                      /* ReportPeriodicity_Scaledmin */
static int hf_nbap_hours = -1;                    /* ReportPeriodicity_Scaledhour */
static int hf_nbap_information_thresholds = -1;   /* InformationThresholds */
static int hf_nbap_dgps = -1;                     /* DGPSThresholds */
static int hf_nbap_information_Type_Item = -1;    /* Information_Type_Item */
static int hf_nbap_gPSInformation = -1;           /* GPS_Information */
static int hf_nbap_iP_SpacingFDD = -1;            /* T_iP_SpacingFDD */
static int hf_nbap_iP_Length = -1;                /* T_iP_Length */
static int hf_nbap_seed = -1;                     /* INTEGER_0_63 */
static int hf_nbap_burstModeParams = -1;          /* BurstModeParams */
static int hf_nbap_iP_Offset = -1;                /* INTEGER_0_9 */
static int hf_nbap_iP_SpacingTDD = -1;            /* T_iP_SpacingTDD */
static int hf_nbap_iP_Start = -1;                 /* INTEGER_0_4095 */
static int hf_nbap_iP_Slot = -1;                  /* INTEGER_0_14 */
static int hf_nbap_iP_PCCPCH = -1;                /* T_iP_PCCPCH */
static int hf_nbap_iP_SpacingTDD_01 = -1;         /* T_iP_SpacingTDD_01 */
static int hf_nbap_iP_Sub = -1;                   /* T_iP_Sub */
static int hf_nbap_burstStart = -1;               /* INTEGER_0_15 */
static int hf_nbap_burstLength = -1;              /* INTEGER_10_25 */
static int hf_nbap_burstFreq = -1;                /* INTEGER_1_16 */
static int hf_nbap_maxTimeslotsPerSubFrame = -1;  /* INTEGER_1_6 */
static int hf_nbap_maxPhysChPerTimeslot = -1;     /* T_maxPhysChPerTimeslot */
static int hf_nbap_MACdPDU_Size_Indexlist_item = -1;  /* MACdPDU_Size_IndexItem */
static int hf_nbap_sID = -1;                      /* SID */
static int hf_nbap_macdPDU_Size = -1;             /* MACdPDU_Size */
static int hf_nbap_MACdPDU_Size_Indexlist_to_Modify_item = -1;  /* MACdPDU_Size_IndexItem_to_Modify */
static int hf_nbap_MessageStructure_item = -1;    /* MessageStructure_item */
static int hf_nbap_repetitionNumber_01 = -1;      /* RepetitionNumber1 */
static int hf_nbap_type1 = -1;                    /* Type1 */
static int hf_nbap_midambleConfigurationBurstType1And3 = -1;  /* MidambleConfigurationBurstType1And3 */
static int hf_nbap_midambleAllocationMode = -1;   /* MidambleAllocationMode1 */
static int hf_nbap_defaultMidamble = -1;          /* NULL */
static int hf_nbap_commonMidamble = -1;           /* NULL */
static int hf_nbap_ueSpecificMidamble = -1;       /* MidambleShiftLong */
static int hf_nbap_type2 = -1;                    /* Type2 */
static int hf_nbap_midambleConfigurationBurstType2 = -1;  /* MidambleConfigurationBurstType2 */
static int hf_nbap_midambleAllocationMode_01 = -1;  /* MidambleAllocationMode2 */
static int hf_nbap_ueSpecificMidamble_01 = -1;    /* MidambleShiftShort */
static int hf_nbap_type3 = -1;                    /* Type3 */
static int hf_nbap_midambleAllocationMode_02 = -1;  /* MidambleAllocationMode3 */
static int hf_nbap_midambleAllocationMode_03 = -1;  /* MidambleAllocationMode */
static int hf_nbap_midambleShift = -1;            /* MidambleShiftLong */
static int hf_nbap_midambleConfigurationLCR = -1;  /* MidambleConfigurationLCR */
static int hf_nbap_addPriorityQueue = -1;         /* PriorityQueue_InfoItem_to_Add */
static int hf_nbap_modifyPriorityQueue = -1;      /* PriorityQueue_InfoItem_to_Modify */
static int hf_nbap_deletePriorityQueue = -1;      /* PriorityQueue_Id */
static int hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_item = -1;  /* MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR */
static int hf_nbap_NeighbouringCellMeasurementInformation_item = -1;  /* NeighbouringCellMeasurementInformation_item */
static int hf_nbap_neighbouringFDDCellMeasurementInformation = -1;  /* NeighbouringFDDCellMeasurementInformation */
static int hf_nbap_neighbouringTDDCellMeasurementInformation = -1;  /* NeighbouringTDDCellMeasurementInformation */
static int hf_nbap_extension_neighbouringCellMeasurementInformation = -1;  /* Extension_neighbouringCellMeasurementInformation */
static int hf_nbap_uC_Id = -1;                    /* UC_Id */
static int hf_nbap_primaryScramblingCode = -1;    /* PrimaryScramblingCode */
static int hf_nbap_cellParameterID = -1;          /* CellParameterID */
static int hf_nbap_NI_Information_item = -1;      /* Notification_Indicator */
static int hf_nbap_PriorityQueue_InfoList_item = -1;  /* PriorityQueue_InfoItem */
static int hf_nbap_priorityQueueId = -1;          /* PriorityQueue_Id */
static int hf_nbap_associatedHSDSCH_MACdFlow = -1;  /* HSDSCH_MACdFlow_ID */
static int hf_nbap_t1 = -1;                       /* T1 */
static int hf_nbap_discardTimer = -1;             /* DiscardTimer */
static int hf_nbap_mAC_hsWindowSize = -1;         /* MAC_hsWindowSize */
static int hf_nbap_mAChsGuaranteedBitRate = -1;   /* MAChsGuaranteedBitRate */
static int hf_nbap_macdPDU_Size_Index = -1;       /* MACdPDU_Size_Indexlist */
static int hf_nbap_rLC_Mode = -1;                 /* RLC_Mode */
static int hf_nbap_PriorityQueue_InfoList_to_Modify_item = -1;  /* ModifyPriorityQueue */
static int hf_nbap_macdPDU_Size_Index_to_Modify = -1;  /* MACdPDU_Size_Indexlist_to_Modify */
static int hf_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised_item = -1;  /* PriorityQueue_InfoItem_to_Modify_Unsynchronised */
static int hf_nbap_RL_Specific_DCH_Info_item = -1;  /* RL_Specific_DCH_Info_Item */
static int hf_nbap_dCH_id = -1;                   /* DCH_ID */
static int hf_nbap_transportlayeraddress = -1;    /* TransportLayerAddress */
static int hf_nbap_periodic_01 = -1;              /* ReportCharacteristicsType_ReportPeriodicity */
static int hf_nbap_event_a = -1;                  /* ReportCharacteristicsType_EventA */
static int hf_nbap_event_b = -1;                  /* ReportCharacteristicsType_EventB */
static int hf_nbap_event_c = -1;                  /* ReportCharacteristicsType_EventC */
static int hf_nbap_event_d = -1;                  /* ReportCharacteristicsType_EventD */
static int hf_nbap_event_e = -1;                  /* ReportCharacteristicsType_EventE */
static int hf_nbap_event_f = -1;                  /* ReportCharacteristicsType_EventF */
static int hf_nbap_extension_ReportCharacteristics = -1;  /* Extension_ReportCharacteristics */
static int hf_nbap_measurementThreshold = -1;     /* ReportCharacteristicsType_MeasurementThreshold */
static int hf_nbap_measurementHysteresisTime = -1;  /* ReportCharacteristicsType_ScaledMeasurementHysteresisTime */
static int hf_nbap_measurementIncreaseThreshold = -1;  /* ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold */
static int hf_nbap_measurementChangeTime = -1;    /* ReportCharacteristicsType_ScaledMeasurementChangeTime */
static int hf_nbap_measurementDecreaseThreshold = -1;  /* ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold */
static int hf_nbap_measurementThreshold1 = -1;    /* ReportCharacteristicsType_MeasurementThreshold */
static int hf_nbap_measurementThreshold2 = -1;    /* ReportCharacteristicsType_MeasurementThreshold */
static int hf_nbap_reportPeriodicity = -1;        /* ReportCharacteristicsType_ReportPeriodicity */
static int hf_nbap_received_total_wide_band_power_01 = -1;  /* Received_total_wide_band_power_Value_IncrDecrThres */
static int hf_nbap_uL_TimeslotISCP_01 = -1;       /* UL_TimeslotISCP_Value_IncrDecrThres */
static int hf_nbap_sir = -1;                      /* SIR_Value_IncrDecrThres */
static int hf_nbap_sir_error = -1;                /* SIR_Error_Value_IncrDecrThres */
static int hf_nbap_transmitted_code_power = -1;   /* Transmitted_Code_Power_Value_IncrDecrThres */
static int hf_nbap_rscp = -1;                     /* RSCP_Value_IncrDecrThres */
static int hf_nbap_round_trip_time = -1;          /* Round_Trip_Time_IncrDecrThres */
static int hf_nbap_extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold = -1;  /* Extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold */
static int hf_nbap_sir_01 = -1;                   /* SIR_Value */
static int hf_nbap_sir_error_01 = -1;             /* SIR_Error_Value */
static int hf_nbap_transmitted_code_power_01 = -1;  /* Transmitted_Code_Power_Value */
static int hf_nbap_rscp_01 = -1;                  /* RSCP_Value */
static int hf_nbap_rx_timing_deviation = -1;      /* Rx_Timing_Deviation_Value */
static int hf_nbap_round_trip_time_01 = -1;       /* Round_Trip_Time_Value */
static int hf_nbap_extension_ReportCharacteristicsType_MeasurementThreshold = -1;  /* Extension_ReportCharacteristicsType_MeasurementThreshold */
static int hf_nbap_msec = -1;                     /* MeasurementChangeTime_Scaledmsec */
static int hf_nbap_msec_01 = -1;                  /* MeasurementHysteresisTime_Scaledmsec */
static int hf_nbap_msec_02 = -1;                  /* ReportPeriodicity_Scaledmsec */
static int hf_nbap_informationAvailable = -1;     /* InformationAvailable */
static int hf_nbap_informationnotAvailable = -1;  /* InformationnotAvailable */
static int hf_nbap_requesteddataValue = -1;       /* RequestedDataValue */
static int hf_nbap_dgps_corrections = -1;         /* DGPSCorrections */
static int hf_nbap_gps_navandrecovery = -1;       /* GPS_NavigationModel_and_TimeRecovery */
static int hf_nbap_gps_ionos_model = -1;          /* GPS_Ionospheric_Model */
static int hf_nbap_gps_utc_model = -1;            /* GPS_UTC_Model */
static int hf_nbap_gps_almanac = -1;              /* GPS_Almanac */
static int hf_nbap_gps_rt_integrity = -1;         /* GPS_RealTime_Integrity */
static int hf_nbap_gpsrxpos = -1;                 /* GPS_RX_POS */
static int hf_nbap_SAT_Info_Almanac_item = -1;    /* SAT_Info_Almanac_Item */
static int hf_nbap_data_id = -1;                  /* DATA_ID */
static int hf_nbap_sat_id = -1;                   /* SAT_ID */
static int hf_nbap_gps_e_alm = -1;                /* BIT_STRING_SIZE_16 */
static int hf_nbap_gps_toa_alm = -1;              /* BIT_STRING_SIZE_8 */
static int hf_nbap_gps_delta_I_alm = -1;          /* BIT_STRING_SIZE_16 */
static int hf_nbap_omegadot_alm = -1;             /* BIT_STRING_SIZE_16 */
static int hf_nbap_svhealth_alm = -1;             /* BIT_STRING_SIZE_8 */
static int hf_nbap_gps_a_sqrt_alm = -1;           /* BIT_STRING_SIZE_24 */
static int hf_nbap_omegazero_alm = -1;            /* BIT_STRING_SIZE_24 */
static int hf_nbap_m_zero_alm = -1;               /* BIT_STRING_SIZE_24 */
static int hf_nbap_gps_omega_alm = -1;            /* BIT_STRING_SIZE_24 */
static int hf_nbap_gps_af_zero_alm = -1;          /* BIT_STRING_SIZE_11 */
static int hf_nbap_gps_af_one_alm = -1;           /* BIT_STRING_SIZE_11 */
static int hf_nbap_SAT_Info_Almanac_ExtList_item = -1;  /* SAT_Info_Almanac_ExtItem */
static int hf_nbap_SAT_Info_DGPSCorrections_item = -1;  /* SAT_Info_DGPSCorrections_Item */
static int hf_nbap_iode_dgps = -1;                /* BIT_STRING_SIZE_8 */
static int hf_nbap_udre = -1;                     /* UDRE */
static int hf_nbap_prc = -1;                      /* PRC */
static int hf_nbap_range_correction_rate = -1;    /* Range_Correction_Rate */
static int hf_nbap_SATInfo_RealTime_Integrity_item = -1;  /* SAT_Info_RealTime_Integrity_Item */
static int hf_nbap_bad_sat_id = -1;               /* SAT_ID */
static int hf_nbap_new_secondary_CPICH = -1;      /* CommonPhysicalChannelID */
static int hf_nbap_secondary_CPICH_shall_not_be_used = -1;  /* NULL */
static int hf_nbap_sFNSFNChangeLimit = -1;        /* SFNSFNChangeLimit */
static int hf_nbap_predictedSFNSFNDeviationLimit = -1;  /* PredictedSFNSFNDeviationLimit */
static int hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation = -1;  /* T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation */
static int hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item = -1;  /* T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item */
static int hf_nbap_sFNSFNValue = -1;              /* SFNSFNValue */
static int hf_nbap_sFNSFNQuality = -1;            /* SFNSFNQuality */
static int hf_nbap_sFNSFNDriftRate = -1;          /* SFNSFNDriftRate */
static int hf_nbap_sFNSFNDriftRateQuality = -1;   /* SFNSFNDriftRateQuality */
static int hf_nbap_sFNSFNTimeStampInformation = -1;  /* SFNSFNTimeStampInformation */
static int hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation = -1;  /* T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation */
static int hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item = -1;  /* T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item */
static int hf_nbap_sFNSFNTimeStamp_FDD = -1;      /* SFN */
static int hf_nbap_sFNSFNTimeStamp_TDD = -1;      /* SFNSFNTimeStamp_TDD */
static int hf_nbap_sFNSFN_FDD = -1;               /* SFNSFN_FDD */
static int hf_nbap_sFNSFN_TDD = -1;               /* SFNSFN_TDD */
static int hf_nbap_synchronisationReportCharacteristicsType = -1;  /* SynchronisationReportCharacteristicsType */
static int hf_nbap_synchronisationReportCharactThreExc = -1;  /* SynchronisationReportCharactThreExc */
static int hf_nbap_SynchronisationReportCharactThreExc_item = -1;  /* SynchronisationReportCharactThreInfoItem */
static int hf_nbap_syncFrameNumber = -1;          /* SyncFrameNumber */
static int hf_nbap_cellSyncBurstInformation = -1;  /* SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem */
static int hf_nbap_cellSyncBurstInformation_item = -1;  /* SynchronisationReportCharactCellSyncBurstInfoItem */
static int hf_nbap_cellSyncBurstTimingThreshold = -1;  /* CellSyncBurstTimingThreshold */
static int hf_nbap_SyncDLCodeIdThreInfoLCR_item = -1;  /* SyncDLCodeIdThreInfoList */
static int hf_nbap_syncFrameNoToReceive = -1;     /* SyncFrameNumber */
static int hf_nbap_syncDLCodeIdInfoLCR = -1;      /* SyncDLCodeInfoListLCR */
static int hf_nbap_SyncDLCodeInfoListLCR_item = -1;  /* SyncDLCodeInfoItemLCR */
static int hf_nbap_syncDLCodeId = -1;             /* SYNCDlCodeId */
static int hf_nbap_syncDLCodeIdArrivTime = -1;    /* CellSyncBurstTimingLCR */
static int hf_nbap_syncDLCodeIdTimingThre = -1;   /* CellSyncBurstTimingThreshold */
static int hf_nbap_modulation = -1;               /* Modulation */
static int hf_nbap_TDD_DL_Code_Information_item = -1;  /* TDD_DL_Code_InformationItem */
static int hf_nbap_TDD_DL_Code_LCR_Information_item = -1;  /* TDD_DL_Code_LCR_InformationItem */
static int hf_nbap_tdd_DL_DPCH_TimeSlotFormat_LCR = -1;  /* TDD_DL_DPCH_TimeSlotFormat_LCR */
static int hf_nbap_qPSK = -1;                     /* QPSK_DL_DPCH_TimeSlotFormatTDD_LCR */
static int hf_nbap_eightPSK = -1;                 /* EightPSK_DL_DPCH_TimeSlotFormatTDD_LCR */
static int hf_nbap_initialOffset = -1;            /* INTEGER_0_255 */
static int hf_nbap_noinitialOffset = -1;          /* INTEGER_0_63 */
static int hf_nbap_signalledGainFactors = -1;     /* T_signalledGainFactors */
static int hf_nbap_gainFactor = -1;               /* T_gainFactor */
static int hf_nbap_fdd = -1;                      /* T_fdd */
static int hf_nbap_betaC = -1;                    /* BetaCD */
static int hf_nbap_betaD = -1;                    /* BetaCD */
static int hf_nbap_tdd = -1;                      /* BetaCD */
static int hf_nbap_refTFCNumber = -1;             /* RefTFCNumber */
static int hf_nbap_computedGainFactors = -1;      /* RefTFCNumber */
static int hf_nbap_TDD_UL_Code_Information_item = -1;  /* TDD_UL_Code_InformationItem */
static int hf_nbap_TDD_UL_Code_LCR_Information_item = -1;  /* TDD_UL_Code_LCR_InformationItem */
static int hf_nbap_tdd_UL_DPCH_TimeSlotFormat_LCR = -1;  /* TDD_UL_DPCH_TimeSlotFormat_LCR */
static int hf_nbap_qPSK_01 = -1;                  /* QPSK_UL_DPCH_TimeSlotFormatTDD_LCR */
static int hf_nbap_eightPSK_01 = -1;              /* EightPSK_UL_DPCH_TimeSlotFormatTDD_LCR */
static int hf_nbap_tFCI_SignallingOption = -1;    /* TFCI_SignallingMode_TFCI_SignallingOption */
static int hf_nbap_not_Used_splitType = -1;       /* NULL */
static int hf_nbap_not_Used_lengthOfTFCI2 = -1;   /* NULL */
static int hf_nbap_initialPhase_01 = -1;          /* INTEGER_0_1048575_ */
static int hf_nbap_dsField = -1;                  /* DsField */
static int hf_nbap_genericTrafficCategory = -1;   /* GenericTrafficCategory */
static int hf_nbap_Transmission_Gap_Pattern_Sequence_Information_item = -1;  /* Transmission_Gap_Pattern_Sequence_Information_item */
static int hf_nbap_tGSN = -1;                     /* TGSN */
static int hf_nbap_tGL1 = -1;                     /* GapLength */
static int hf_nbap_tGL2 = -1;                     /* GapLength */
static int hf_nbap_tGD = -1;                      /* TGD */
static int hf_nbap_tGPL1 = -1;                    /* GapDuration */
static int hf_nbap_not_to_be_used_1 = -1;         /* GapDuration */
static int hf_nbap_uL_DL_mode = -1;               /* UL_DL_mode */
static int hf_nbap_downlink_Compressed_Mode_Method = -1;  /* Downlink_Compressed_Mode_Method */
static int hf_nbap_uplink_Compressed_Mode_Method = -1;  /* Uplink_Compressed_Mode_Method */
static int hf_nbap_dL_FrameType = -1;             /* DL_FrameType */
static int hf_nbap_delta_SIR1 = -1;               /* DeltaSIR */
static int hf_nbap_delta_SIR_after1 = -1;         /* DeltaSIR */
static int hf_nbap_delta_SIR2 = -1;               /* DeltaSIR */
static int hf_nbap_delta_SIR_after2 = -1;         /* DeltaSIR */
static int hf_nbap_tFCSvalues = -1;               /* T_tFCSvalues */
static int hf_nbap_always_Used_no_Split_in_TFCI = -1;  /* TFCS_TFCSList */
static int hf_nbap_not_Used_split_in_TFCI = -1;   /* NULL */
static int hf_nbap_TFCS_TFCSList_item = -1;       /* TFCS_TFCSList_item */
static int hf_nbap_cTFC = -1;                     /* TFCS_CTFC */
static int hf_nbap_tFC_Beta = -1;                 /* TransportFormatCombination_Beta */
static int hf_nbap_ctfc2bit = -1;                 /* INTEGER_0_3 */
static int hf_nbap_ctfc4bit = -1;                 /* INTEGER_0_15 */
static int hf_nbap_ctfc6bit = -1;                 /* INTEGER_0_63 */
static int hf_nbap_ctfc8bit = -1;                 /* INTEGER_0_255 */
static int hf_nbap_ctfc12bit = -1;                /* INTEGER_0_4095 */
static int hf_nbap_ctfc16bit = -1;                /* INTEGER_0_65535 */
static int hf_nbap_ctfcmaxbit = -1;               /* INTEGER_0_maxCTFC */
static int hf_nbap_dynamicParts = -1;             /* TransportFormatSet_DynamicPartList */
static int hf_nbap_semi_staticPart = -1;          /* TransportFormatSet_Semi_staticPart */
static int hf_nbap_TransportFormatSet_DynamicPartList_item = -1;  /* TransportFormatSet_DynamicPartList_item */
static int hf_nbap_nrOfTransportBlocks = -1;      /* TransportFormatSet_NrOfTransportBlocks */
static int hf_nbap_transportBlockSize = -1;       /* TransportFormatSet_TransportBlockSize */
static int hf_nbap_mode = -1;                     /* TransportFormatSet_ModeDP */
static int hf_nbap_transmissionTimeIntervalInformation = -1;  /* TransmissionTimeIntervalInformation */
static int hf_nbap_TransmissionTimeIntervalInformation_item = -1;  /* TransmissionTimeIntervalInformation_item */
static int hf_nbap_transmissionTimeInterval = -1;  /* TransportFormatSet_TransmissionTimeIntervalDynamic */
static int hf_nbap_transmissionTimeInterval_01 = -1;  /* TransportFormatSet_TransmissionTimeIntervalSemiStatic */
static int hf_nbap_channelCoding = -1;            /* TransportFormatSet_ChannelCodingType */
static int hf_nbap_codingRate = -1;               /* TransportFormatSet_CodingRate */
static int hf_nbap_rateMatchingAttribute = -1;    /* TransportFormatSet_RateMatchingAttribute */
static int hf_nbap_cRC_Size = -1;                 /* TransportFormatSet_CRC_Size */
static int hf_nbap_mode_01 = -1;                  /* TransportFormatSet_ModeSSP */
static int hf_nbap_tdd_01 = -1;                   /* TDD_TransportFormatSet_ModeDP */
static int hf_nbap_notApplicable = -1;            /* NULL */
static int hf_nbap_tdd_02 = -1;                   /* TransportFormatSet_SecondInterleavingMode */
static int hf_nbap_ms_part = -1;                  /* INTEGER_0_16383 */
static int hf_nbap_ls_part = -1;                  /* INTEGER_0_4294967295 */
static int hf_nbap_tUTRANGPSChangeLimit = -1;     /* TUTRANGPSChangeLimit */
static int hf_nbap_predictedTUTRANGPSDeviationLimit = -1;  /* PredictedTUTRANGPSDeviationLimit */
static int hf_nbap_tUTRANGPS = -1;                /* TUTRANGPS */
static int hf_nbap_tUTRANGPSQuality = -1;         /* TUTRANGPSQuality */
static int hf_nbap_tUTRANGPSDriftRate = -1;       /* TUTRANGPSDriftRate */
static int hf_nbap_tUTRANGPSDriftRateQuality = -1;  /* TUTRANGPSDriftRateQuality */
static int hf_nbap_rNC_ID = -1;                   /* RNC_ID */
static int hf_nbap_hSDSCH_Physical_Layer_Category = -1;  /* INTEGER_1_64_ */
static int hf_nbap_UL_Timeslot_Information_item = -1;  /* UL_Timeslot_InformationItem */
static int hf_nbap_uL_Code_InformationList = -1;  /* TDD_UL_Code_Information */
static int hf_nbap_UL_TimeslotLCR_Information_item = -1;  /* UL_TimeslotLCR_InformationItem */
static int hf_nbap_uL_Code_InformationList_01 = -1;  /* TDD_UL_Code_LCR_Information */
static int hf_nbap_uL_ScramblingCodeNumber = -1;  /* UL_ScramblingCodeNumber */
static int hf_nbap_uL_ScramblingCodeLength = -1;  /* UL_ScramblingCodeLength */
static int hf_nbap_uL_Synchronisation_StepSize = -1;  /* UL_Synchronisation_StepSize */
static int hf_nbap_uL_Synchronisation_Frequency = -1;  /* UL_Synchronisation_Frequency */
static int hf_nbap_UL_TimeSlot_ISCP_Info_item = -1;  /* UL_TimeSlot_ISCP_InfoItem */
static int hf_nbap_iSCP = -1;                     /* UL_TimeslotISCP_Value */
static int hf_nbap_UL_TimeSlot_ISCP_LCR_Info_item = -1;  /* UL_TimeSlot_ISCP_LCR_InfoItem */
static int hf_nbap_USCH_Information_item = -1;    /* USCH_InformationItem */
static int hf_nbap_USCH_InformationResponse_item = -1;  /* USCH_InformationResponseItem */
static int hf_nbap_local = -1;                    /* INTEGER_0_maxPrivateIEs */
static int hf_nbap_global = -1;                   /* OBJECT_IDENTIFIER */
static int hf_nbap_procedureCode = -1;            /* ProcedureCode */
static int hf_nbap_ddMode = -1;                   /* DdMode */
static int hf_nbap_shortTransActionId = -1;       /* INTEGER_0_127 */
static int hf_nbap_longTransActionId = -1;        /* INTEGER_0_32767 */
static int hf_nbap_ProtocolIE_Container_item = -1;  /* ProtocolIE_Field */
static int hf_nbap_id = -1;                       /* ProtocolIE_ID */
static int hf_nbap_value_04 = -1;                 /* ProtocolIE_Field_value */
static int hf_nbap_ProtocolExtensionContainer_item = -1;  /* ProtocolExtensionField */
static int hf_nbap_extensionValue = -1;           /* T_extensionValue */
static int hf_nbap_PrivateIE_Container_item = -1;  /* PrivateIE_Field */
static int hf_nbap_id_01 = -1;                    /* PrivateIE_ID */
static int hf_nbap_value_05 = -1;                 /* PrivateIE_Field_value */
/* named bits */
static int hf_nbap_PreambleSignatures_signature15 = -1;
static int hf_nbap_PreambleSignatures_signature14 = -1;
static int hf_nbap_PreambleSignatures_signature13 = -1;
static int hf_nbap_PreambleSignatures_signature12 = -1;
static int hf_nbap_PreambleSignatures_signature11 = -1;
static int hf_nbap_PreambleSignatures_signature10 = -1;
static int hf_nbap_PreambleSignatures_signature9 = -1;
static int hf_nbap_PreambleSignatures_signature8 = -1;
static int hf_nbap_PreambleSignatures_signature7 = -1;
static int hf_nbap_PreambleSignatures_signature6 = -1;
static int hf_nbap_PreambleSignatures_signature5 = -1;
static int hf_nbap_PreambleSignatures_signature4 = -1;
static int hf_nbap_PreambleSignatures_signature3 = -1;
static int hf_nbap_PreambleSignatures_signature2 = -1;
static int hf_nbap_PreambleSignatures_signature1 = -1;
static int hf_nbap_PreambleSignatures_signature0 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh11 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh10 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh9 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh8 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh7 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh6 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh5 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh4 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh3 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh2 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh1 = -1;
static int hf_nbap_RACH_SubChannelNumbers_subCh0 = -1;

/*--- End of included file: packet-nbap-hf.c ---*/
#line 58 "packet-nbap-template.c"

/* Initialize the subtree pointers */
static int ett_nbap = -1;


/*--- Included file: packet-nbap-ett.c ---*/
#line 1 "packet-nbap-ett.c"
static gint ett_nbap_NBAP_PDU = -1;
static gint ett_nbap_InitiatingMessage = -1;
static gint ett_nbap_SuccessfulOutcome = -1;
static gint ett_nbap_UnsuccessfulOutcome = -1;
static gint ett_nbap_Outcome = -1;
static gint ett_nbap_CommonTransportChannelSetupRequestFDD = -1;
static gint ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_Secondary_CCPCH_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_PowerOffsetInformation_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_FACH_ParametersItem_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_PICH_Parameters_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_PRACH_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_AICH_Parameters_CTCH_SetupRqstFDD = -1;
static gint ett_nbap_CommonTransportChannelSetupRequestTDD = -1;
static gint ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_UTN_Timeslot = -1;
static gint ett_nbap_UTN_TimeslotItem = -1;
static gint ett_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_FACH_ParametersItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_MICH_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_MICH_HCR_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_MICH_LCR_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PRACH_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD = -1;
static gint ett_nbap_CommonTransportChannelSetupResponse = -1;
static gint ett_nbap_FACH_CommonTransportChannel_InformationResponse = -1;
static gint ett_nbap_CommonTransportChannelSetupFailure = -1;
static gint ett_nbap_CommonTransportChannelReconfigurationRequestFDD = -1;
static gint ett_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_Secondary_CCPCHList_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_PRACHList_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_PRACH_ParametersItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_AICH_ParametersItem_CTCH_ReconfRqstFDD = -1;
static gint ett_nbap_CommonTransportChannelReconfigurationRequestTDD = -1;
static gint ett_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_PICH_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_PCH_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_MICH_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD = -1;
static gint ett_nbap_CommonTransportChannelReconfigurationResponse = -1;
static gint ett_nbap_CommonTransportChannelReconfigurationFailure = -1;
static gint ett_nbap_CommonTransportChannelDeletionRequest = -1;
static gint ett_nbap_CommonTransportChannelDeletionResponse = -1;
static gint ett_nbap_BlockResourceRequest = -1;
static gint ett_nbap_BlockResourceResponse = -1;
static gint ett_nbap_BlockResourceFailure = -1;
static gint ett_nbap_UnblockResourceIndication = -1;
static gint ett_nbap_AuditRequiredIndication = -1;
static gint ett_nbap_AuditRequest = -1;
static gint ett_nbap_AuditResponse = -1;
static gint ett_nbap_Cell_InformationList_AuditRsp = -1;
static gint ett_nbap_Cell_InformationItem_AuditRsp = -1;
static gint ett_nbap_S_CPICH_InformationList_AuditRsp = -1;
static gint ett_nbap_S_CCPCH_InformationList_AuditRsp = -1;
static gint ett_nbap_FACH_InformationList_AuditRsp = -1;
static gint ett_nbap_PRACH_InformationList_AuditRsp = -1;
static gint ett_nbap_RACH_InformationList_AuditRsp = -1;
static gint ett_nbap_AICH_InformationList_AuditRsp = -1;
static gint ett_nbap_PCPCH_InformationList_AuditRsp = -1;
static gint ett_nbap_CPCH_InformationList_AuditRsp = -1;
static gint ett_nbap_AP_AICH_InformationList_AuditRsp = -1;
static gint ett_nbap_CDCA_ICH_InformationList_AuditRsp = -1;
static gint ett_nbap_CCP_InformationList_AuditRsp = -1;
static gint ett_nbap_CCP_InformationItem_AuditRsp = -1;
static gint ett_nbap_FPACH_LCR_InformationList_AuditRsp = -1;
static gint ett_nbap_HS_DSCH_Resources_Information_AuditRsp = -1;
static gint ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp = -1;
static gint ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp = -1;
static gint ett_nbap_UPPCH_LCR_InformationList_AuditRsp = -1;
static gint ett_nbap_UPPCH_LCR_InformationItem_AuditRsp = -1;
static gint ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp = -1;
static gint ett_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp = -1;
static gint ett_nbap_Local_Cell_InformationList_AuditRsp = -1;
static gint ett_nbap_Local_Cell_InformationItem_AuditRsp = -1;
static gint ett_nbap_Local_Cell_Group_InformationList_AuditRsp = -1;
static gint ett_nbap_Local_Cell_Group_InformationItem_AuditRsp = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationList_AuditRsp = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp = -1;
static gint ett_nbap_AuditFailure = -1;
static gint ett_nbap_CommonMeasurementInitiationRequest = -1;
static gint ett_nbap_CommonMeasurementObjectType_CM_Rqst = -1;
static gint ett_nbap_Cell_CM_Rqst = -1;
static gint ett_nbap_RACH_CM_Rqst = -1;
static gint ett_nbap_CommonMeasurementInitiationResponse = -1;
static gint ett_nbap_CommonMeasurementObjectType_CM_Rsp = -1;
static gint ett_nbap_Cell_CM_Rsp = -1;
static gint ett_nbap_RACH_CM_Rsp = -1;
static gint ett_nbap_CommonMeasurementInitiationFailure = -1;
static gint ett_nbap_CommonMeasurementReport = -1;
static gint ett_nbap_CommonMeasurementObjectType_CM_Rprt = -1;
static gint ett_nbap_Cell_CM_Rprt = -1;
static gint ett_nbap_RACH_CM_Rprt = -1;
static gint ett_nbap_CommonMeasurementTerminationRequest = -1;
static gint ett_nbap_CommonMeasurementFailureIndication = -1;
static gint ett_nbap_CellSetupRequestFDD = -1;
static gint ett_nbap_Synchronisation_Configuration_Cell_SetupRqst = -1;
static gint ett_nbap_PrimarySCH_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_SecondarySCH_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD = -1;
static gint ett_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD = -1;
static gint ett_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_BCH_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_Limited_power_increase_information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_IPDLParameter_Information_Cell_SetupRqstFDD = -1;
static gint ett_nbap_CellSetupRequestTDD = -1;
static gint ett_nbap_SCH_Information_Cell_SetupRqstTDD = -1;
static gint ett_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH = -1;
static gint ett_nbap_Case1_Cell_SetupRqstTDD = -1;
static gint ett_nbap_Case2_Cell_SetupRqstTDD = -1;
static gint ett_nbap_PCCPCH_Information_Cell_SetupRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationItem_Cell_SetupRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD = -1;
static gint ett_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD = -1;
static gint ett_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD = -1;
static gint ett_nbap_IPDLParameter_Information_Cell_SetupRqstTDD = -1;
static gint ett_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD = -1;
static gint ett_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD = -1;
static gint ett_nbap_Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD = -1;
static gint ett_nbap_CellSetupResponse = -1;
static gint ett_nbap_CellSetupFailure = -1;
static gint ett_nbap_CellReconfigurationRequestFDD = -1;
static gint ett_nbap_Synchronisation_Configuration_Cell_ReconfRqst = -1;
static gint ett_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_BCH_information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD = -1;
static gint ett_nbap_CellReconfigurationRequestTDD = -1;
static gint ett_nbap_SCH_Information_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_PCCPCH_Information_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationItem_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_URAFCN_Adjustment = -1;
static gint ett_nbap_Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD = -1;
static gint ett_nbap_CellReconfigurationResponse = -1;
static gint ett_nbap_CellReconfigurationFailure = -1;
static gint ett_nbap_CellDeletionRequest = -1;
static gint ett_nbap_CellDeletionResponse = -1;
static gint ett_nbap_ResourceStatusIndication = -1;
static gint ett_nbap_IndicationType_ResourceStatusInd = -1;
static gint ett_nbap_No_Failure_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_Group_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_ServiceImpacting_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_InformationList2_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_InformationItem2_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd = -1;
static gint ett_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd = -1;
static gint ett_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd = -1;
static gint ett_nbap_CCP_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_CCP_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_Cell_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_Cell_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_S_CPICH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_S_CCPCH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_FACH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_PRACH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_RACH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_AICH_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_FPACH_LCR_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_HS_DSCH_Resources_Information_ResourceStatusInd = -1;
static gint ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd = -1;
static gint ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd = -1;
static gint ett_nbap_UPPCH_LCR_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd = -1;
static gint ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd = -1;
static gint ett_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd = -1;
static gint ett_nbap_SystemInformationUpdateRequest = -1;
static gint ett_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst = -1;
static gint ett_nbap_MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst = -1;
static gint ett_nbap_DeletionIndicator_SystemInfoUpdate = -1;
static gint ett_nbap_No_Deletion_SystemInfoUpdate = -1;
static gint ett_nbap_SegmentInformationListIE_SystemInfoUpdate = -1;
static gint ett_nbap_SegmentInformationItem_SystemInfoUpdate = -1;
static gint ett_nbap_SystemInformationUpdateResponse = -1;
static gint ett_nbap_SystemInformationUpdateFailure = -1;
static gint ett_nbap_RadioLinkSetupRequestFDD = -1;
static gint ett_nbap_UL_DPCH_Information_RL_SetupRqstFDD = -1;
static gint ett_nbap_DL_DPCH_Information_RL_SetupRqstFDD = -1;
static gint ett_nbap_PowerOffsetInformation_RL_SetupRqstFDD = -1;
static gint ett_nbap_RL_InformationList_RL_SetupRqstFDD = -1;
static gint ett_nbap_RL_InformationItem_RL_SetupRqstFDD = -1;
static gint ett_nbap_RadioLinkSetupRequestTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD = -1;
static gint ett_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD = -1;
static gint ett_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD = -1;
static gint ett_nbap_CCTrCH_TPCList_RL_SetupRqstTDD = -1;
static gint ett_nbap_CCTrCH_TPCItem_RL_SetupRqstTDD = -1;
static gint ett_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD = -1;
static gint ett_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD = -1;
static gint ett_nbap_RL_Information_RL_SetupRqstTDD = -1;
static gint ett_nbap_RadioLinkSetupResponseFDD = -1;
static gint ett_nbap_RL_InformationResponseList_RL_SetupRspFDD = -1;
static gint ett_nbap_RL_InformationResponseItem_RL_SetupRspFDD = -1;
static gint ett_nbap_DiversityIndication_RL_SetupRspFDD = -1;
static gint ett_nbap_Combining_RL_SetupRspFDD = -1;
static gint ett_nbap_NonCombiningOrFirstRL_RL_SetupRspFDD = -1;
static gint ett_nbap_RadioLinkSetupResponseTDD = -1;
static gint ett_nbap_RL_InformationResponse_RL_SetupRspTDD = -1;
static gint ett_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD = -1;
static gint ett_nbap_RadioLinkSetupFailureFDD = -1;
static gint ett_nbap_CauseLevel_RL_SetupFailureFDD = -1;
static gint ett_nbap_GeneralCauseList_RL_SetupFailureFDD = -1;
static gint ett_nbap_RLSpecificCauseList_RL_SetupFailureFDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD = -1;
static gint ett_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD = -1;
static gint ett_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD = -1;
static gint ett_nbap_DiversityIndication_RL_SetupFailureFDD = -1;
static gint ett_nbap_Combining_RL_SetupFailureFDD = -1;
static gint ett_nbap_NonCombiningOrFirstRL_RL_SetupFailureFDD = -1;
static gint ett_nbap_RadioLinkSetupFailureTDD = -1;
static gint ett_nbap_CauseLevel_RL_SetupFailureTDD = -1;
static gint ett_nbap_GeneralCauseList_RL_SetupFailureTDD = -1;
static gint ett_nbap_RLSpecificCauseList_RL_SetupFailureTDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD = -1;
static gint ett_nbap_RadioLinkAdditionRequestFDD = -1;
static gint ett_nbap_RL_InformationList_RL_AdditionRqstFDD = -1;
static gint ett_nbap_RL_InformationItem_RL_AdditionRqstFDD = -1;
static gint ett_nbap_RadioLinkAdditionRequestTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationItem_RL_AdditionRqstTDD = -1;
static gint ett_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationItem_RL_AdditionRqstTDD = -1;
static gint ett_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD = -1;
static gint ett_nbap_RL_Information_RL_AdditionRqstTDD = -1;
static gint ett_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD = -1;
static gint ett_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD = -1;
static gint ett_nbap_RadioLinkAdditionResponseFDD = -1;
static gint ett_nbap_RL_InformationResponseList_RL_AdditionRspFDD = -1;
static gint ett_nbap_RL_InformationResponseItem_RL_AdditionRspFDD = -1;
static gint ett_nbap_DiversityIndication_RL_AdditionRspFDD = -1;
static gint ett_nbap_Combining_RL_AdditionRspFDD = -1;
static gint ett_nbap_Non_Combining_RL_AdditionRspFDD = -1;
static gint ett_nbap_RadioLinkAdditionResponseTDD = -1;
static gint ett_nbap_RL_InformationResponse_RL_AdditionRspTDD = -1;
static gint ett_nbap_DCH_Information_RL_AdditionRspTDD = -1;
static gint ett_nbap_DiversityIndication_RL_AdditionRspTDD = -1;
static gint ett_nbap_Combining_RL_AdditionRspTDD = -1;
static gint ett_nbap_Non_Combining_RL_AdditionRspTDD = -1;
static gint ett_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD = -1;
static gint ett_nbap_RadioLinkAdditionFailureFDD = -1;
static gint ett_nbap_CauseLevel_RL_AdditionFailureFDD = -1;
static gint ett_nbap_GeneralCauseList_RL_AdditionFailureFDD = -1;
static gint ett_nbap_RLSpecificCauseList_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD = -1;
static gint ett_nbap_DiversityIndication_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Combining_RL_AdditionFailureFDD = -1;
static gint ett_nbap_Non_Combining_RL_AdditionFailureFDD = -1;
static gint ett_nbap_RadioLinkAdditionFailureTDD = -1;
static gint ett_nbap_CauseLevel_RL_AdditionFailureTDD = -1;
static gint ett_nbap_GeneralCauseList_RL_AdditionFailureTDD = -1;
static gint ett_nbap_RLSpecificCauseList_RL_AdditionFailureTDD = -1;
static gint ett_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD = -1;
static gint ett_nbap_RadioLinkReconfigurationPrepareFDD = -1;
static gint ett_nbap_UL_DPCH_Information_RL_ReconfPrepFDD = -1;
static gint ett_nbap_DL_DPCH_Information_RL_ReconfPrepFDD = -1;
static gint ett_nbap_DCH_DeleteList_RL_ReconfPrepFDD = -1;
static gint ett_nbap_DCH_DeleteItem_RL_ReconfPrepFDD = -1;
static gint ett_nbap_RL_InformationList_RL_ReconfPrepFDD = -1;
static gint ett_nbap_RL_InformationItem_RL_ReconfPrepFDD = -1;
static gint ett_nbap_RadioLinkReconfigurationPrepareTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR = -1;
static gint ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR = -1;
static gint ett_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_CCTrCH_TPCAddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_CCTrCH_TPCModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DCH_DeleteList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DCH_DeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DSCH_Information_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_DSCH_Information_DeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_USCH_Information_ModifyItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD = -1;
static gint ett_nbap_USCH_Information_DeleteItem_RL_ReconfPrepTDD = -1;
static gint ett_nbap_MultipleRL_Information_RL_ReconfPrepTDD = -1;
static gint ett_nbap_RL_Information_RL_ReconfPrepTDD = -1;
static gint ett_nbap_RadioLinkReconfigurationReady = -1;
static gint ett_nbap_RL_InformationResponseList_RL_ReconfReady = -1;
static gint ett_nbap_RL_InformationResponseItem_RL_ReconfReady = -1;
static gint ett_nbap_RadioLinkReconfigurationFailure = -1;
static gint ett_nbap_CauseLevel_RL_ReconfFailure = -1;
static gint ett_nbap_GeneralCauseList_RL_ReconfFailure = -1;
static gint ett_nbap_RLSpecificCauseList_RL_ReconfFailure = -1;
static gint ett_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure = -1;
static gint ett_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure = -1;
static gint ett_nbap_RadioLinkReconfigurationCommit = -1;
static gint ett_nbap_RadioLinkReconfigurationCancel = -1;
static gint ett_nbap_RadioLinkReconfigurationRequestFDD = -1;
static gint ett_nbap_UL_DPCH_Information_RL_ReconfRqstFDD = -1;
static gint ett_nbap_DL_DPCH_Information_RL_ReconfRqstFDD = -1;
static gint ett_nbap_DCH_DeleteList_RL_ReconfRqstFDD = -1;
static gint ett_nbap_DCH_DeleteItem_RL_ReconfRqstFDD = -1;
static gint ett_nbap_RL_InformationList_RL_ReconfRqstFDD = -1;
static gint ett_nbap_RL_InformationItem_RL_ReconfRqstFDD = -1;
static gint ett_nbap_RadioLinkReconfigurationRequestTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DCH_DeleteList_RL_ReconfRqstTDD = -1;
static gint ett_nbap_DCH_DeleteItem_RL_ReconfRqstTDD = -1;
static gint ett_nbap_Multiple_RL_Information_RL_ReconfRqstTDD = -1;
static gint ett_nbap_RL_Information_RL_ReconfRqstTDD = -1;
static gint ett_nbap_RadioLinkReconfigurationResponse = -1;
static gint ett_nbap_RL_InformationResponseList_RL_ReconfRsp = -1;
static gint ett_nbap_RL_InformationResponseItem_RL_ReconfRsp = -1;
static gint ett_nbap_RadioLinkDeletionRequest = -1;
static gint ett_nbap_RL_informationList_RL_DeletionRqst = -1;
static gint ett_nbap_RL_informationItem_RL_DeletionRqst = -1;
static gint ett_nbap_RadioLinkDeletionResponse = -1;
static gint ett_nbap_DL_PowerControlRequest = -1;
static gint ett_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst = -1;
static gint ett_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst = -1;
static gint ett_nbap_DL_PowerTimeslotControlRequest = -1;
static gint ett_nbap_DedicatedMeasurementInitiationRequest = -1;
static gint ett_nbap_DedicatedMeasurementObjectType_DM_Rqst = -1;
static gint ett_nbap_RL_DM_Rqst = -1;
static gint ett_nbap_RL_InformationList_DM_Rqst = -1;
static gint ett_nbap_RL_InformationItem_DM_Rqst = -1;
static gint ett_nbap_PUSCH_Info_DM_Rqst = -1;
static gint ett_nbap_HSSICH_Info_DM_Rqst = -1;
static gint ett_nbap_RL_Set_DM_Rqst = -1;
static gint ett_nbap_RL_Set_InformationList_DM_Rqst = -1;
static gint ett_nbap_RL_Set_InformationItem_DM_Rqst = -1;
static gint ett_nbap_DedicatedMeasurementInitiationResponse = -1;
static gint ett_nbap_DedicatedMeasurementObjectType_DM_Rsp = -1;
static gint ett_nbap_RL_DM_Rsp = -1;
static gint ett_nbap_RL_InformationList_DM_Rsp = -1;
static gint ett_nbap_RL_InformationItem_DM_Rsp = -1;
static gint ett_nbap_PUSCH_Info_DM_Rsp = -1;
static gint ett_nbap_RL_Set_DM_Rsp = -1;
static gint ett_nbap_RL_Set_InformationList_DM_Rsp = -1;
static gint ett_nbap_RL_Set_InformationItem_DM_Rsp = -1;
static gint ett_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp = -1;
static gint ett_nbap_Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp = -1;
static gint ett_nbap_DedicatedMeasurementInitiationFailure = -1;
static gint ett_nbap_DedicatedMeasurementReport = -1;
static gint ett_nbap_DedicatedMeasurementObjectType_DM_Rprt = -1;
static gint ett_nbap_RL_DM_Rprt = -1;
static gint ett_nbap_RL_InformationList_DM_Rprt = -1;
static gint ett_nbap_RL_InformationItem_DM_Rprt = -1;
static gint ett_nbap_PUSCH_Info_DM_Rprt = -1;
static gint ett_nbap_RL_Set_DM_Rprt = -1;
static gint ett_nbap_RL_Set_InformationList_DM_Rprt = -1;
static gint ett_nbap_RL_Set_InformationItem_DM_Rprt = -1;
static gint ett_nbap_DedicatedMeasurementTerminationRequest = -1;
static gint ett_nbap_DedicatedMeasurementFailureIndication = -1;
static gint ett_nbap_RadioLinkFailureIndication = -1;
static gint ett_nbap_Reporting_Object_RL_FailureInd = -1;
static gint ett_nbap_RL_RL_FailureInd = -1;
static gint ett_nbap_RL_InformationList_RL_FailureInd = -1;
static gint ett_nbap_RL_InformationItem_RL_FailureInd = -1;
static gint ett_nbap_RL_Set_RL_FailureInd = -1;
static gint ett_nbap_RL_Set_InformationList_RL_FailureInd = -1;
static gint ett_nbap_RL_Set_InformationItem_RL_FailureInd = -1;
static gint ett_nbap_CCTrCH_RL_FailureInd = -1;
static gint ett_nbap_CCTrCH_InformationList_RL_FailureInd = -1;
static gint ett_nbap_CCTrCH_InformationItem_RL_FailureInd = -1;
static gint ett_nbap_RadioLinkPreemptionRequiredIndication = -1;
static gint ett_nbap_RL_InformationList_RL_PreemptRequiredInd = -1;
static gint ett_nbap_RL_InformationItem_RL_PreemptRequiredInd = -1;
static gint ett_nbap_RadioLinkRestoreIndication = -1;
static gint ett_nbap_Reporting_Object_RL_RestoreInd = -1;
static gint ett_nbap_RL_RL_RestoreInd = -1;
static gint ett_nbap_RL_InformationList_RL_RestoreInd = -1;
static gint ett_nbap_RL_InformationItem_RL_RestoreInd = -1;
static gint ett_nbap_RL_Set_RL_RestoreInd = -1;
static gint ett_nbap_RL_Set_InformationList_RL_RestoreInd = -1;
static gint ett_nbap_RL_Set_InformationItem_RL_RestoreInd = -1;
static gint ett_nbap_CCTrCH_RL_RestoreInd = -1;
static gint ett_nbap_CCTrCH_InformationList_RL_RestoreInd = -1;
static gint ett_nbap_CCTrCH_InformationItem_RL_RestoreInd = -1;
static gint ett_nbap_CompressedModeCommand = -1;
static gint ett_nbap_ErrorIndication = -1;
static gint ett_nbap_PrivateMessage = -1;
static gint ett_nbap_PhysicalSharedChannelReconfigurationRequestFDD = -1;
static gint ett_nbap_PhysicalSharedChannelReconfigurationRequestTDD = -1;
static gint ett_nbap_PDSCHSets_AddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCHSets_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationAddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationAddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCHSets_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PDSCHSets_DeleteItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_AddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationAddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationAddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst = -1;
static gint ett_nbap_UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst = -1;
static gint ett_nbap_PUSCHSets_DeleteItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst = -1;
static gint ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_Information_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SICH_Information_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SICH_Information_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationModifyItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SICH_InformationModify_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_HS_SICH_InformationModify_LCR_PSCH_ReconfRqst = -1;
static gint ett_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst = -1;
static gint ett_nbap_Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst = -1;
static gint ett_nbap_PhysicalSharedChannelReconfigurationResponse = -1;
static gint ett_nbap_PhysicalSharedChannelReconfigurationFailure = -1;
static gint ett_nbap_CauseLevel_PSCH_ReconfFailure = -1;
static gint ett_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_GeneralCauseList_PSCH_ReconfFailure = -1;
static gint ett_nbap_SetSpecificCauseList_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD = -1;
static gint ett_nbap_ResetRequest = -1;
static gint ett_nbap_ResetIndicator = -1;
static gint ett_nbap_CommunicationContextList_Reset = -1;
static gint ett_nbap_CommunicationContextInfoList_Reset = -1;
static gint ett_nbap_CommunicationContextInfoItem_Reset = -1;
static gint ett_nbap_CommunicationContextType_Reset = -1;
static gint ett_nbap_CommunicationControlPortList_Reset = -1;
static gint ett_nbap_CommunicationControlPortInfoList_Reset = -1;
static gint ett_nbap_CommunicationControlPortInfoItem_Reset = -1;
static gint ett_nbap_ResetResponse = -1;
static gint ett_nbap_InformationExchangeInitiationRequest = -1;
static gint ett_nbap_InformationExchangeObjectType_InfEx_Rqst = -1;
static gint ett_nbap_Cell_InfEx_Rqst = -1;
static gint ett_nbap_InformationExchangeInitiationResponse = -1;
static gint ett_nbap_InformationExchangeObjectType_InfEx_Rsp = -1;
static gint ett_nbap_Cell_InfEx_Rsp = -1;
static gint ett_nbap_InformationExchangeInitiationFailure = -1;
static gint ett_nbap_InformationReport = -1;
static gint ett_nbap_InformationExchangeObjectType_InfEx_Rprt = -1;
static gint ett_nbap_Cell_Inf_Rprt = -1;
static gint ett_nbap_InformationExchangeTerminationRequest = -1;
static gint ett_nbap_InformationExchangeFailureIndication = -1;
static gint ett_nbap_CellSynchronisationInitiationRequestTDD = -1;
static gint ett_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD = -1;
static gint ett_nbap_TimeslotInfo_CellSyncInitiationRqstTDD = -1;
static gint ett_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD = -1;
static gint ett_nbap_CellSynchronisationInitiationResponseTDD = -1;
static gint ett_nbap_CellSynchronisationInitiationFailureTDD = -1;
static gint ett_nbap_CellSynchronisationReconfigurationRequestTDD = -1;
static gint ett_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSyncBurstInfoItem_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD = -1;
static gint ett_nbap_CellSynchronisationReconfigurationResponseTDD = -1;
static gint ett_nbap_CellSynchronisationReconfigurationFailureTDD = -1;
static gint ett_nbap_CellSynchronisationAdjustmentRequestTDD = -1;
static gint ett_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD = -1;
static gint ett_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD = -1;
static gint ett_nbap_CellSynchronisationAdjustmentResponseTDD = -1;
static gint ett_nbap_CellSynchronisationAdjustmentFailureTDD = -1;
static gint ett_nbap_CauseLevel_SyncAdjustmntFailureTDD = -1;
static gint ett_nbap_GeneralCauseList_SyncAdjustmntFailureTDD = -1;
static gint ett_nbap_CellSpecificCauseList_SyncAdjustmntFailureTDD = -1;
static gint ett_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD = -1;
static gint ett_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD = -1;
static gint ett_nbap_CellSynchronisationTerminationRequestTDD = -1;
static gint ett_nbap_CellSynchronisationFailureIndicationTDD = -1;
static gint ett_nbap_CellSynchronisationReportTDD = -1;
static gint ett_nbap_CellSyncInfo_CellSyncReprtTDD = -1;
static gint ett_nbap_CellSyncInfoItemIE_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncReportType_CellSyncReprtTDD = -1;
static gint ett_nbap_IntStdPhCellSyncInfo_CellSyncReprtTDD = -1;
static gint ett_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD = -1;
static gint ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReprtTDD = -1;
static gint ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD = -1;
static gint ett_nbap_CellSyncBurstInfo_CellSyncReprtTDD = -1;
static gint ett_nbap_CellSyncBurstAvailable_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncDLCodeIdItem_CellSyncReprtTDD = -1;
static gint ett_nbap_SyncDLCodeIdAvailable_CellSyncReprtTDD = -1;
static gint ett_nbap_BearerRearrangementIndication = -1;
static gint ett_nbap_DCH_RearrangeList_Bearer_RearrangeInd = -1;
static gint ett_nbap_DCH_RearrangeItem_Bearer_RearrangeInd = -1;
static gint ett_nbap_DSCH_RearrangeList_Bearer_RearrangeInd = -1;
static gint ett_nbap_DSCH_RearrangeItem_Bearer_RearrangeInd = -1;
static gint ett_nbap_USCH_RearrangeList_Bearer_RearrangeInd = -1;
static gint ett_nbap_USCH_RearrangeItem_Bearer_RearrangeInd = -1;
static gint ett_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd = -1;
static gint ett_nbap_HSDSCH_RearrangeItem_Bearer_RearrangeInd = -1;
static gint ett_nbap_RadioLinkActivationCommandFDD = -1;
static gint ett_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD = -1;
static gint ett_nbap_DelayedActivationInformation_RL_ActivationCmdFDD = -1;
static gint ett_nbap_RadioLinkActivationCommandTDD = -1;
static gint ett_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD = -1;
static gint ett_nbap_DelayedActivationInformation_RL_ActivationCmdTDD = -1;
static gint ett_nbap_RadioLinkParameterUpdateIndicationFDD = -1;
static gint ett_nbap_RadioLinkParameterUpdateIndicationTDD = -1;
static gint ett_nbap_MBMSNotificationUpdateCommand = -1;
static gint ett_nbap_Active_Pattern_Sequence_Information = -1;
static gint ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List = -1;
static gint ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item = -1;
static gint ett_nbap_AllocationRetentionPriority = -1;
static gint ett_nbap_Angle_Of_Arrival_Value_LCR = -1;
static gint ett_nbap_Best_Cell_Portions_Value = -1;
static gint ett_nbap_Best_Cell_Portions_Item = -1;
static gint ett_nbap_BroadcastCommonTransportBearerIndication = -1;
static gint ett_nbap_Cause = -1;
static gint ett_nbap_CellSyncBurstTiming = -1;
static gint ett_nbap_CellSyncBurstTimingLCR = -1;
static gint ett_nbap_CommonChannelsCapacityConsumptionLaw = -1;
static gint ett_nbap_CommonChannelsCapacityConsumptionLaw_item = -1;
static gint ett_nbap_CommonMeasurementAccuracy = -1;
static gint ett_nbap_CommonMeasurementValue = -1;
static gint ett_nbap_CommonMeasurementValueInformation = -1;
static gint ett_nbap_CommonMeasurementAvailable = -1;
static gint ett_nbap_Common_PhysicalChannel_Status_Information = -1;
static gint ett_nbap_CommonTransportChannel_InformationResponse = -1;
static gint ett_nbap_Common_TransportChannel_Status_Information = -1;
static gint ett_nbap_CriticalityDiagnostics = -1;
static gint ett_nbap_CriticalityDiagnostics_IE_List = -1;
static gint ett_nbap_CriticalityDiagnostics_IE_List_item = -1;
static gint ett_nbap_DCH_FDD_Information = -1;
static gint ett_nbap_DCH_FDD_InformationItem = -1;
static gint ett_nbap_DCH_Specific_FDD_InformationList = -1;
static gint ett_nbap_DCH_Specific_FDD_Item = -1;
static gint ett_nbap_DCH_InformationResponse = -1;
static gint ett_nbap_DCH_InformationResponseItem = -1;
static gint ett_nbap_DCH_TDD_Information = -1;
static gint ett_nbap_DCH_TDD_InformationItem = -1;
static gint ett_nbap_DCH_Specific_TDD_InformationList = -1;
static gint ett_nbap_DCH_Specific_TDD_Item = -1;
static gint ett_nbap_FDD_DCHs_to_Modify = -1;
static gint ett_nbap_FDD_DCHs_to_ModifyItem = -1;
static gint ett_nbap_DCH_ModifySpecificInformation_FDD = -1;
static gint ett_nbap_DCH_ModifySpecificItem_FDD = -1;
static gint ett_nbap_TDD_DCHs_to_Modify = -1;
static gint ett_nbap_DCH_ModifyItem_TDD = -1;
static gint ett_nbap_DCH_ModifySpecificInformation_TDD = -1;
static gint ett_nbap_DCH_ModifySpecificItem_TDD = -1;
static gint ett_nbap_DedicatedChannelsCapacityConsumptionLaw = -1;
static gint ett_nbap_DedicatedChannelsCapacityConsumptionLaw_item = -1;
static gint ett_nbap_DedicatedMeasurementValue = -1;
static gint ett_nbap_DedicatedMeasurementValueInformation = -1;
static gint ett_nbap_DedicatedMeasurementAvailable = -1;
static gint ett_nbap_DelayedActivation = -1;
static gint ett_nbap_DelayedActivationUpdate = -1;
static gint ett_nbap_Activate_Info = -1;
static gint ett_nbap_Deactivate_Info = -1;
static gint ett_nbap_Execution_Type = -1;
static gint ett_nbap_DGPSCorrections = -1;
static gint ett_nbap_DGPSThresholds = -1;
static gint ett_nbap_DL_Timeslot_Information = -1;
static gint ett_nbap_DL_Timeslot_InformationItem = -1;
static gint ett_nbap_DL_TimeslotLCR_Information = -1;
static gint ett_nbap_DL_TimeslotLCR_InformationItem = -1;
static gint ett_nbap_DL_PowerBalancing_Information = -1;
static gint ett_nbap_DL_ReferencePowerInformationList = -1;
static gint ett_nbap_DL_ReferencePowerInformationItem = -1;
static gint ett_nbap_DL_TimeslotISCPInfo = -1;
static gint ett_nbap_DL_TimeslotISCPInfoItem = -1;
static gint ett_nbap_DL_TimeslotISCPInfoLCR = -1;
static gint ett_nbap_DL_TimeslotISCPInfoItemLCR = -1;
static gint ett_nbap_DSCH_InformationResponse = -1;
static gint ett_nbap_DSCH_InformationResponseItem = -1;
static gint ett_nbap_DSCH_TDD_Information = -1;
static gint ett_nbap_DSCH_TDD_InformationItem = -1;
static gint ett_nbap_FDD_DL_CodeInformation = -1;
static gint ett_nbap_FDD_DL_CodeInformationItem = -1;
static gint ett_nbap_GPS_Almanac = -1;
static gint ett_nbap_GPS_Ionospheric_Model = -1;
static gint ett_nbap_GPS_Information = -1;
static gint ett_nbap_GPS_RealTime_Integrity = -1;
static gint ett_nbap_GPSBadSat_Info_RealTime_Integrity = -1;
static gint ett_nbap_GPS_NavigationModel_and_TimeRecovery = -1;
static gint ett_nbap_GPS_NavandRecovery_Item = -1;
static gint ett_nbap_GPS_RX_POS = -1;
static gint ett_nbap_GPS_UTC_Model = -1;
static gint ett_nbap_HARQ_MemoryPartitioning = -1;
static gint ett_nbap_HARQ_MemoryPartitioning_Implicit = -1;
static gint ett_nbap_HARQ_MemoryPartitioning_Explicit = -1;
static gint ett_nbap_HARQ_MemoryPartitioningList = -1;
static gint ett_nbap_HARQ_MemoryPartitioningItem = -1;
static gint ett_nbap_HS_DSCHProvidedBitRate = -1;
static gint ett_nbap_HS_DSCHProvidedBitRate_Item = -1;
static gint ett_nbap_HS_DSCHRequiredPower = -1;
static gint ett_nbap_HS_DSCHRequiredPower_Item = -1;
static gint ett_nbap_HS_DSCHRequiredPowerPerUEInformation = -1;
static gint ett_nbap_HS_DSCHRequiredPowerPerUEInformation_Item = -1;
static gint ett_nbap_HSDSCH_FDD_Information = -1;
static gint ett_nbap_HSDSCH_TDD_Information = -1;
static gint ett_nbap_HSDSCH_Information_to_Modify = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem_to_Modify = -1;
static gint ett_nbap_HSDSCH_Information_to_Modify_Unsynchronised = -1;
static gint ett_nbap_HSDSCH_FDD_Information_Response = -1;
static gint ett_nbap_HSDSCH_TDD_Information_Response = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp_Item = -1;
static gint ett_nbap_HSDSCH_MACdFlows_Information = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InfoList = -1;
static gint ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem = -1;
static gint ett_nbap_HSDSCH_MACdFlows_to_Delete = -1;
static gint ett_nbap_HSDSCH_MACdFlows_to_Delete_Item = -1;
static gint ett_nbap_HSDSCH_Initial_Capacity_Allocation = -1;
static gint ett_nbap_HSDSCH_Initial_Capacity_AllocationItem = -1;
static gint ett_nbap_HSSCCH_Specific_InformationRespListFDD = -1;
static gint ett_nbap_HSSCCH_Codes = -1;
static gint ett_nbap_HSSCCH_Specific_InformationRespListTDD = -1;
static gint ett_nbap_HSSCCH_Specific_InformationRespItemTDD = -1;
static gint ett_nbap_HSSCCH_Specific_InformationRespListTDDLCR = -1;
static gint ett_nbap_HSSCCH_Specific_InformationRespItemTDDLCR = -1;
static gint ett_nbap_HSSICH_Info = -1;
static gint ett_nbap_HSSICH_InfoLCR = -1;
static gint ett_nbap_HS_SICH_Reception_Quality_Value = -1;
static gint ett_nbap_HS_PDSCH_FDD_Code_Information = -1;
static gint ett_nbap_HS_SCCH_FDD_Code_Information = -1;
static gint ett_nbap_HS_SCCH_FDD_Code_List = -1;
static gint ett_nbap_HSDSCH_FDD_Update_Information = -1;
static gint ett_nbap_HSDSCH_TDD_Update_Information = -1;
static gint ett_nbap_InformationReportCharacteristics = -1;
static gint ett_nbap_InformationReportCharacteristicsType_ReportPeriodicity = -1;
static gint ett_nbap_InformationReportCharacteristicsType_OnModification = -1;
static gint ett_nbap_InformationThresholds = -1;
static gint ett_nbap_InformationType = -1;
static gint ett_nbap_IPDL_FDD_Parameters = -1;
static gint ett_nbap_IPDL_TDD_Parameters = -1;
static gint ett_nbap_IPDL_TDD_Parameters_LCR = -1;
static gint ett_nbap_BurstModeParams = -1;
static gint ett_nbap_LCRTDD_Uplink_Physical_Channel_Capability = -1;
static gint ett_nbap_MACdPDU_Size_Indexlist = -1;
static gint ett_nbap_MACdPDU_Size_IndexItem = -1;
static gint ett_nbap_MACdPDU_Size_Indexlist_to_Modify = -1;
static gint ett_nbap_MACdPDU_Size_IndexItem_to_Modify = -1;
static gint ett_nbap_MessageStructure = -1;
static gint ett_nbap_MessageStructure_item = -1;
static gint ett_nbap_MidambleShiftAndBurstType = -1;
static gint ett_nbap_Type1 = -1;
static gint ett_nbap_MidambleAllocationMode1 = -1;
static gint ett_nbap_Type2 = -1;
static gint ett_nbap_MidambleAllocationMode2 = -1;
static gint ett_nbap_Type3 = -1;
static gint ett_nbap_MidambleAllocationMode3 = -1;
static gint ett_nbap_MidambleShiftLCR = -1;
static gint ett_nbap_ModifyPriorityQueue = -1;
static gint ett_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR = -1;
static gint ett_nbap_MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR = -1;
static gint ett_nbap_NeighbouringCellMeasurementInformation = -1;
static gint ett_nbap_NeighbouringCellMeasurementInformation_item = -1;
static gint ett_nbap_NeighbouringFDDCellMeasurementInformation = -1;
static gint ett_nbap_NeighbouringTDDCellMeasurementInformation = -1;
static gint ett_nbap_NeighbouringTDDCellMeasurementInformationLCR = -1;
static gint ett_nbap_NI_Information = -1;
static gint ett_nbap_PreambleSignatures = -1;
static gint ett_nbap_PriorityQueue_InfoList = -1;
static gint ett_nbap_PriorityQueue_InfoItem = -1;
static gint ett_nbap_PriorityQueue_InfoList_to_Modify = -1;
static gint ett_nbap_PriorityQueue_InfoItem_to_Add = -1;
static gint ett_nbap_PriorityQueue_InfoItem_to_Modify = -1;
static gint ett_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised = -1;
static gint ett_nbap_PriorityQueue_InfoItem_to_Modify_Unsynchronised = -1;
static gint ett_nbap_RACH_SubChannelNumbers = -1;
static gint ett_nbap_RL_Specific_DCH_Info = -1;
static gint ett_nbap_RL_Specific_DCH_Info_Item = -1;
static gint ett_nbap_ReportCharacteristics = -1;
static gint ett_nbap_ReportCharacteristicsType_EventA = -1;
static gint ett_nbap_ReportCharacteristicsType_EventB = -1;
static gint ett_nbap_ReportCharacteristicsType_EventC = -1;
static gint ett_nbap_ReportCharacteristicsType_EventD = -1;
static gint ett_nbap_ReportCharacteristicsType_EventE = -1;
static gint ett_nbap_ReportCharacteristicsType_EventF = -1;
static gint ett_nbap_ReportCharacteristicsType_OnModification = -1;
static gint ett_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold = -1;
static gint ett_nbap_ReportCharacteristicsType_MeasurementThreshold = -1;
static gint ett_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime = -1;
static gint ett_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime = -1;
static gint ett_nbap_ReportCharacteristicsType_ReportPeriodicity = -1;
static gint ett_nbap_RequestedDataValueInformation = -1;
static gint ett_nbap_InformationAvailable = -1;
static gint ett_nbap_RequestedDataValue = -1;
static gint ett_nbap_SAT_Info_Almanac = -1;
static gint ett_nbap_SAT_Info_Almanac_Item = -1;
static gint ett_nbap_SAT_Info_Almanac_ExtList = -1;
static gint ett_nbap_SAT_Info_Almanac_ExtItem = -1;
static gint ett_nbap_SAT_Info_DGPSCorrections = -1;
static gint ett_nbap_SAT_Info_DGPSCorrections_Item = -1;
static gint ett_nbap_SATInfo_RealTime_Integrity = -1;
static gint ett_nbap_SAT_Info_RealTime_Integrity_Item = -1;
static gint ett_nbap_Secondary_CPICH_Information_Change = -1;
static gint ett_nbap_SFNSFNMeasurementThresholdInformation = -1;
static gint ett_nbap_SFNSFNMeasurementValueInformation = -1;
static gint ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation = -1;
static gint ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item = -1;
static gint ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation = -1;
static gint ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item = -1;
static gint ett_nbap_SFNSFNTimeStampInformation = -1;
static gint ett_nbap_SFNSFNTimeStamp_TDD = -1;
static gint ett_nbap_SFNSFNValue = -1;
static gint ett_nbap_SynchronisationReportCharacteristics = -1;
static gint ett_nbap_SynchronisationReportCharactThreExc = -1;
static gint ett_nbap_SynchronisationReportCharactThreInfoItem = -1;
static gint ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem = -1;
static gint ett_nbap_SynchronisationReportCharactCellSyncBurstInfoItem = -1;
static gint ett_nbap_SyncDLCodeIdThreInfoLCR = -1;
static gint ett_nbap_SyncDLCodeIdThreInfoList = -1;
static gint ett_nbap_SyncDLCodeInfoListLCR = -1;
static gint ett_nbap_SyncDLCodeInfoItemLCR = -1;
static gint ett_nbap_TDD_ChannelisationCodeLCR = -1;
static gint ett_nbap_TDD_DL_Code_Information = -1;
static gint ett_nbap_TDD_DL_Code_InformationItem = -1;
static gint ett_nbap_TDD_DL_Code_LCR_Information = -1;
static gint ett_nbap_TDD_DL_Code_LCR_InformationItem = -1;
static gint ett_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR = -1;
static gint ett_nbap_TDD_DPCHOffset = -1;
static gint ett_nbap_TransportFormatCombination_Beta = -1;
static gint ett_nbap_T_signalledGainFactors = -1;
static gint ett_nbap_T_gainFactor = -1;
static gint ett_nbap_T_fdd = -1;
static gint ett_nbap_TDD_UL_Code_Information = -1;
static gint ett_nbap_TDD_UL_Code_InformationItem = -1;
static gint ett_nbap_TDD_UL_Code_LCR_Information = -1;
static gint ett_nbap_TDD_UL_Code_LCR_InformationItem = -1;
static gint ett_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR = -1;
static gint ett_nbap_TFCI_SignallingMode = -1;
static gint ett_nbap_TimingAdjustmentValue = -1;
static gint ett_nbap_TimingAdjustmentValueLCR = -1;
static gint ett_nbap_TnlQos = -1;
static gint ett_nbap_Transmission_Gap_Pattern_Sequence_Information = -1;
static gint ett_nbap_Transmission_Gap_Pattern_Sequence_Information_item = -1;
static gint ett_nbap_TFCS = -1;
static gint ett_nbap_T_tFCSvalues = -1;
static gint ett_nbap_TFCS_TFCSList = -1;
static gint ett_nbap_TFCS_TFCSList_item = -1;
static gint ett_nbap_TFCS_CTFC = -1;
static gint ett_nbap_TransportFormatSet = -1;
static gint ett_nbap_TransportFormatSet_DynamicPartList = -1;
static gint ett_nbap_TransportFormatSet_DynamicPartList_item = -1;
static gint ett_nbap_TDD_TransportFormatSet_ModeDP = -1;
static gint ett_nbap_TransmissionTimeIntervalInformation = -1;
static gint ett_nbap_TransmissionTimeIntervalInformation_item = -1;
static gint ett_nbap_TransportFormatSet_Semi_staticPart = -1;
static gint ett_nbap_TransportFormatSet_ModeDP = -1;
static gint ett_nbap_TransportFormatSet_ModeSSP = -1;
static gint ett_nbap_TUTRANGPS = -1;
static gint ett_nbap_TUTRANGPSMeasurementThresholdInformation = -1;
static gint ett_nbap_TUTRANGPSMeasurementValueInformation = -1;
static gint ett_nbap_UC_Id = -1;
static gint ett_nbap_UE_Capability_Information = -1;
static gint ett_nbap_UL_Timeslot_Information = -1;
static gint ett_nbap_UL_Timeslot_InformationItem = -1;
static gint ett_nbap_UL_TimeslotLCR_Information = -1;
static gint ett_nbap_UL_TimeslotLCR_InformationItem = -1;
static gint ett_nbap_UL_ScramblingCode = -1;
static gint ett_nbap_UL_Synchronisation_Parameters_LCR = -1;
static gint ett_nbap_UL_TimeSlot_ISCP_Info = -1;
static gint ett_nbap_UL_TimeSlot_ISCP_InfoItem = -1;
static gint ett_nbap_UL_TimeSlot_ISCP_LCR_Info = -1;
static gint ett_nbap_UL_TimeSlot_ISCP_LCR_InfoItem = -1;
static gint ett_nbap_USCH_Information = -1;
static gint ett_nbap_USCH_InformationItem = -1;
static gint ett_nbap_USCH_InformationResponse = -1;
static gint ett_nbap_USCH_InformationResponseItem = -1;
static gint ett_nbap_PrivateIE_ID = -1;
static gint ett_nbap_ProcedureID = -1;
static gint ett_nbap_TransactionID = -1;
static gint ett_nbap_ProtocolIE_Container = -1;
static gint ett_nbap_ProtocolIE_Field = -1;
static gint ett_nbap_ProtocolExtensionContainer = -1;
static gint ett_nbap_ProtocolExtensionField = -1;
static gint ett_nbap_PrivateIE_Container = -1;
static gint ett_nbap_PrivateIE_Field = -1;

/*--- End of included file: packet-nbap-ett.c ---*/
#line 63 "packet-nbap-template.c"

/* Global variables */
static guint32 ProcedureCode;
static guint32 ProtocolIE_ID;
static guint32 ddMode;
static const gchar *ProcedureID;

/* Dissector tables */
static dissector_table_t nbap_ies_dissector_table;
static dissector_table_t nbap_extension_dissector_table;
static dissector_table_t nbap_proc_imsg_dissector_table;
static dissector_table_t nbap_proc_sout_dissector_table;
static dissector_table_t nbap_proc_uout_dissector_table;

static int dissect_ProtocolIEFieldValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);
static int dissect_ProtocolExtensionFieldExtensionValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);
static int dissect_InitiatingMessageValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);
static int dissect_SuccessfulOutcomeValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);
static int dissect_UnsuccessfulOutcomeValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);


/*--- Included file: packet-nbap-fn.c ---*/
#line 1 "packet-nbap-fn.c"

static const value_string nbap_ProcedureCode_vals[] = {
  { NBAP_ID_AUDIT, "id-audit" },
  { NBAP_ID_AUDITREQUIRED, "id-auditRequired" },
  { NBAP_ID_BLOCKRESOURCE, "id-blockResource" },
  { NBAP_ID_CELLDELETION, "id-cellDeletion" },
  { NBAP_ID_CELLRECONFIGURATION, "id-cellReconfiguration" },
  { NBAP_ID_CELLSETUP, "id-cellSetup" },
  { NBAP_ID_CELLSYNCHRONISATIONINITIATION, "id-cellSynchronisationInitiation" },
  { NBAP_ID_CELLSYNCHRONISATIONRECONFIGURATION, "id-cellSynchronisationReconfiguration" },
  { NBAP_ID_CELLSYNCHRONISATIONREPORTING, "id-cellSynchronisationReporting" },
  { NBAP_ID_CELLSYNCHRONISATIONTERMINATION, "id-cellSynchronisationTermination" },
  { NBAP_ID_CELLSYNCHRONISATIONFAILURE, "id-cellSynchronisationFailure" },
  { NBAP_ID_COMMONMEASUREMENTFAILURE, "id-commonMeasurementFailure" },
  { NBAP_ID_COMMONMEASUREMENTINITIATION, "id-commonMeasurementInitiation" },
  { NBAP_ID_COMMONMEASUREMENTREPORT, "id-commonMeasurementReport" },
  { NBAP_ID_COMMONMEASUREMENTTERMINATION, "id-commonMeasurementTermination" },
  { NBAP_ID_COMMONTRANSPORTCHANNELDELETE, "id-commonTransportChannelDelete" },
  { NBAP_ID_COMMONTRANSPORTCHANNELRECONFIGURE, "id-commonTransportChannelReconfigure" },
  { NBAP_ID_COMMONTRANSPORTCHANNELSETUP, "id-commonTransportChannelSetup" },
  { NBAP_ID_COMPRESSEDMODECOMMAND, "id-compressedModeCommand" },
  { NBAP_ID_DEDICATEDMEASUREMENTFAILURE, "id-dedicatedMeasurementFailure" },
  { NBAP_ID_DEDICATEDMEASUREMENTINITIATION, "id-dedicatedMeasurementInitiation" },
  { NBAP_ID_DEDICATEDMEASUREMENTREPORT, "id-dedicatedMeasurementReport" },
  { NBAP_ID_DEDICATEDMEASUREMENTTERMINATION, "id-dedicatedMeasurementTermination" },
  { NBAP_ID_DOWNLINKPOWERCONTROL, "id-downlinkPowerControl" },
  { NBAP_ID_DOWNLINKPOWERTIMESLOTCONTROL, "id-downlinkPowerTimeslotControl" },
  { NBAP_ID_ERRORINDICATIONFORCOMMON, "id-errorIndicationForCommon" },
  { NBAP_ID_ERRORINDICATIONFORDEDICATED, "id-errorIndicationForDedicated" },
  { NBAP_ID_INFORMATIONEXCHANGEFAILURE, "id-informationExchangeFailure" },
  { NBAP_ID_INFORMATIONEXCHANGEINITIATION, "id-informationExchangeInitiation" },
  { NBAP_ID_INFORMATIONEXCHANGETERMINATION, "id-informationExchangeTermination" },
  { NBAP_ID_INFORMATIONREPORTING, "id-informationReporting" },
  { NBAP_ID_BEARERREARRANGEMENT, "id-BearerRearrangement" },
  { NBAP_ID_PHYSICALSHAREDCHANNELRECONFIGURATION, "id-physicalSharedChannelReconfiguration" },
  { NBAP_ID_PRIVATEMESSAGEFORCOMMON, "id-privateMessageForCommon" },
  { NBAP_ID_PRIVATEMESSAGEFORDEDICATED, "id-privateMessageForDedicated" },
  { NBAP_ID_RADIOLINKADDITION, "id-radioLinkAddition" },
  { NBAP_ID_RADIOLINKDELETION, "id-radioLinkDeletion" },
  { NBAP_ID_RADIOLINKFAILURE, "id-radioLinkFailure" },
  { NBAP_ID_RADIOLINKPREEMPTION, "id-radioLinkPreemption" },
  { NBAP_ID_RADIOLINKRESTORATION, "id-radioLinkRestoration" },
  { NBAP_ID_RADIOLINKSETUP, "id-radioLinkSetup" },
  { NBAP_ID_RESET, "id-reset" },
  { NBAP_ID_RESOURCESTATUSINDICATION, "id-resourceStatusIndication" },
  { NBAP_ID_CELLSYNCHRONISATIONADJUSTMENT, "id-cellSynchronisationAdjustment" },
  { NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONCANCELLATION, "id-synchronisedRadioLinkReconfigurationCancellation" },
  { NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONCOMMIT, "id-synchronisedRadioLinkReconfigurationCommit" },
  { NBAP_ID_SYNCHRONISEDRADIOLINKRECONFIGURATIONPREPARATION, "id-synchronisedRadioLinkReconfigurationPreparation" },
  { NBAP_ID_SYSTEMINFORMATIONUPDATE, "id-systemInformationUpdate" },
  { NBAP_ID_UNBLOCKRESOURCE, "id-unblockResource" },
  { NBAP_ID_UNSYNCHRONISEDRADIOLINKRECONFIGURATION, "id-unSynchronisedRadioLinkReconfiguration" },
  { NBAP_ID_RADIOLINKACTIVATION, "id-radioLinkActivation" },
  { NBAP_ID_RADIOLINKPARAMETERUPDATE, "id-radioLinkParameterUpdate" },
  { NBAP_ID_MBMSNOTIFICATIONUPDATE, "id-mBMSNotificationUpdate" },
  { 0, NULL }
};


static int
dissect_nbap_ProcedureCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, &ProcedureCode, FALSE);

#line 74 "nbap.cnf"
	if (check_col(actx->pinfo->cinfo, COL_INFO))
       col_add_fstr(actx->pinfo->cinfo, COL_INFO, "%s ",
                   val_to_str(ProcedureCode, nbap_ProcedureCode_vals,
                              "unknown message"));

  return offset;
}


static const value_string nbap_DdMode_vals[] = {
  { tdd, "tdd" },
  { fdd, "fdd" },
  { common, "common" },
  { 0, NULL }
};


static int
dissect_nbap_DdMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, &ddMode, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t ProcedureID_sequence[] = {
  { &hf_nbap_procedureCode  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProcedureCode },
  { &hf_nbap_ddMode         , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DdMode },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ProcedureID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
#line 82 "nbap.cnf"
  ProcedureCode = 0xFFFF;
  ddMode = 0xFFFF;
  ProcedureID = NULL;

  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ProcedureID, ProcedureID_sequence);

#line 88 "nbap.cnf"
  ProcedureID = ep_strdup_printf("%s/%s", 
                                 val_to_str(ProcedureCode, VALS(nbap_ProcedureCode_vals), "unknown(%u)"),
                                 val_to_str(ddMode, VALS(nbap_DdMode_vals), "unknown(%u)"));      

  return offset;
}


static const value_string nbap_Criticality_vals[] = {
  {   0, "reject" },
  {   1, "ignore" },
  {   2, "notify" },
  { 0, NULL }
};


static int
dissect_nbap_Criticality(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_MessageDiscriminator_vals[] = {
  {   0, "common" },
  {   1, "dedicated" },
  { 0, NULL }
};


static int
dissect_nbap_MessageDiscriminator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_INTEGER_0_127(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_32767(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 32767U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TransactionID_vals[] = {
  {   0, "shortTransActionId" },
  {   1, "longTransActionId" },
  { 0, NULL }
};

static const per_choice_t TransactionID_choice[] = {
  {   0, &hf_nbap_shortTransActionId, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_127 },
  {   1, &hf_nbap_longTransActionId, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_32767 },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TransactionID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TransactionID, TransactionID_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_InitiatingMessage_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type_pdu_new(tvb, offset, actx, tree, hf_index, dissect_InitiatingMessageValue);

  return offset;
}


static const per_sequence_t InitiatingMessage_sequence[] = {
  { &hf_nbap_procedureID    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProcedureID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_messageDiscriminator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MessageDiscriminator },
  { &hf_nbap_transactionID  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransactionID },
  { &hf_nbap_value          , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_InitiatingMessage_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InitiatingMessage(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InitiatingMessage, InitiatingMessage_sequence);

  return offset;
}



static int
dissect_nbap_SuccessfulOutcome_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type_pdu_new(tvb, offset, actx, tree, hf_index, dissect_SuccessfulOutcomeValue);

  return offset;
}


static const per_sequence_t SuccessfulOutcome_sequence[] = {
  { &hf_nbap_procedureID    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProcedureID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_messageDiscriminator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MessageDiscriminator },
  { &hf_nbap_transactionID  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransactionID },
  { &hf_nbap_value_01       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SuccessfulOutcome_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SuccessfulOutcome(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SuccessfulOutcome, SuccessfulOutcome_sequence);

  return offset;
}



static int
dissect_nbap_UnsuccessfulOutcome_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type_pdu_new(tvb, offset, actx, tree, hf_index, dissect_UnsuccessfulOutcomeValue);

  return offset;
}


static const per_sequence_t UnsuccessfulOutcome_sequence[] = {
  { &hf_nbap_procedureID    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProcedureID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_messageDiscriminator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MessageDiscriminator },
  { &hf_nbap_transactionID  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransactionID },
  { &hf_nbap_value_02       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UnsuccessfulOutcome_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UnsuccessfulOutcome(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UnsuccessfulOutcome, UnsuccessfulOutcome_sequence);

  return offset;
}



static int
dissect_nbap_Outcome_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const per_sequence_t Outcome_sequence[] = {
  { &hf_nbap_procedureID    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProcedureID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_messageDiscriminator, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MessageDiscriminator },
  { &hf_nbap_transactionID  , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransactionID },
  { &hf_nbap_value_03       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Outcome_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Outcome(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Outcome, Outcome_sequence);

  return offset;
}


static const value_string nbap_NBAP_PDU_vals[] = {
  {   0, "initiatingMessage" },
  {   1, "succesfulOutcome" },
  {   2, "unsuccesfulOutcome" },
  {   3, "outcome" },
  { 0, NULL }
};

static const per_choice_t NBAP_PDU_choice[] = {
  {   0, &hf_nbap_initiatingMessage, ASN1_EXTENSION_ROOT    , dissect_nbap_InitiatingMessage },
  {   1, &hf_nbap_succesfulOutcome, ASN1_EXTENSION_ROOT    , dissect_nbap_SuccessfulOutcome },
  {   2, &hf_nbap_unsuccesfulOutcome, ASN1_EXTENSION_ROOT    , dissect_nbap_UnsuccessfulOutcome },
  {   3, &hf_nbap_outcome        , ASN1_EXTENSION_ROOT    , dissect_nbap_Outcome },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_NBAP_PDU(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_NBAP_PDU, NBAP_PDU_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_ProtocolIE_ID_vals[] = {
  { id_AICH_Information, "id-AICH-Information" },
  { id_AICH_InformationItem_ResourceStatusInd, "id-AICH-InformationItem-ResourceStatusInd" },
  { id_BCH_Information, "id-BCH-Information" },
  { id_BCH_InformationItem_ResourceStatusInd, "id-BCH-InformationItem-ResourceStatusInd" },
  { id_BCCH_ModificationTime, "id-BCCH-ModificationTime" },
  { id_BlockingPriorityIndicator, "id-BlockingPriorityIndicator" },
  { id_Cause, "id-Cause" },
  { id_CCP_InformationItem_AuditRsp, "id-CCP-InformationItem-AuditRsp" },
  { id_CCP_InformationList_AuditRsp, "id-CCP-InformationList-AuditRsp" },
  { id_CCP_InformationItem_ResourceStatusInd, "id-CCP-InformationItem-ResourceStatusInd" },
  { id_Cell_InformationItem_AuditRsp, "id-Cell-InformationItem-AuditRsp" },
  { id_Cell_InformationItem_ResourceStatusInd, "id-Cell-InformationItem-ResourceStatusInd" },
  { id_Cell_InformationList_AuditRsp, "id-Cell-InformationList-AuditRsp" },
  { id_CellParameterID, "id-CellParameterID" },
  { id_CFN, "id-CFN" },
  { id_C_ID, "id-C-ID" },
  { id_CommonMeasurementAccuracy, "id-CommonMeasurementAccuracy" },
  { id_CommonMeasurementObjectType_CM_Rprt, "id-CommonMeasurementObjectType-CM-Rprt" },
  { id_CommonMeasurementObjectType_CM_Rqst, "id-CommonMeasurementObjectType-CM-Rqst" },
  { id_CommonMeasurementObjectType_CM_Rsp, "id-CommonMeasurementObjectType-CM-Rsp" },
  { id_CommonMeasurementType, "id-CommonMeasurementType" },
  { id_CommonPhysicalChannelID, "id-CommonPhysicalChannelID" },
  { id_CommonPhysicalChannelType_CTCH_SetupRqstFDD, "id-CommonPhysicalChannelType-CTCH-SetupRqstFDD" },
  { id_CommonPhysicalChannelType_CTCH_SetupRqstTDD, "id-CommonPhysicalChannelType-CTCH-SetupRqstTDD" },
  { id_CommunicationControlPortID, "id-CommunicationControlPortID" },
  { id_ConfigurationGenerationID, "id-ConfigurationGenerationID" },
  { id_CRNC_CommunicationContextID, "id-CRNC-CommunicationContextID" },
  { id_CriticalityDiagnostics, "id-CriticalityDiagnostics" },
  { id_DCHs_to_Add_FDD, "id-DCHs-to-Add-FDD" },
  { id_DCH_AddList_RL_ReconfPrepTDD, "id-DCH-AddList-RL-ReconfPrepTDD" },
  { id_DCHs_to_Add_TDD, "id-DCHs-to-Add-TDD" },
  { id_DCH_DeleteList_RL_ReconfPrepFDD, "id-DCH-DeleteList-RL-ReconfPrepFDD" },
  { id_DCH_DeleteList_RL_ReconfPrepTDD, "id-DCH-DeleteList-RL-ReconfPrepTDD" },
  { id_DCH_DeleteList_RL_ReconfRqstFDD, "id-DCH-DeleteList-RL-ReconfRqstFDD" },
  { id_DCH_DeleteList_RL_ReconfRqstTDD, "id-DCH-DeleteList-RL-ReconfRqstTDD" },
  { id_DCH_FDD_Information, "id-DCH-FDD-Information" },
  { id_DCH_TDD_Information, "id-DCH-TDD-Information" },
  { id_DCH_InformationResponse, "id-DCH-InformationResponse" },
  { id_FDD_DCHs_to_Modify, "id-FDD-DCHs-to-Modify" },
  { id_TDD_DCHs_to_Modify, "id-TDD-DCHs-to-Modify" },
  { id_DCH_ModifyList_RL_ReconfRqstTDD, "id-DCH-ModifyList-RL-ReconfRqstTDD" },
  { id_DCH_RearrangeList_Bearer_RearrangeInd, "id-DCH-RearrangeList-Bearer-RearrangeInd" },
  { id_DedicatedMeasurementObjectType_DM_Rprt, "id-DedicatedMeasurementObjectType-DM-Rprt" },
  { id_DedicatedMeasurementObjectType_DM_Rqst, "id-DedicatedMeasurementObjectType-DM-Rqst" },
  { id_DedicatedMeasurementObjectType_DM_Rsp, "id-DedicatedMeasurementObjectType-DM-Rsp" },
  { id_DedicatedMeasurementType, "id-DedicatedMeasurementType" },
  { id_DL_CCTrCH_InformationItem_RL_SetupRqstTDD, "id-DL-CCTrCH-InformationItem-RL-SetupRqstTDD" },
  { id_DL_CCTrCH_InformationList_RL_AdditionRqstTDD, "id-DL-CCTrCH-InformationList-RL-AdditionRqstTDD" },
  { id_DL_CCTrCH_InformationList_RL_SetupRqstTDD, "id-DL-CCTrCH-InformationList-RL-SetupRqstTDD" },
  { id_DL_DPCH_InformationItem_RL_AdditionRqstTDD, "id-DL-DPCH-InformationItem-RL-AdditionRqstTDD" },
  { id_DL_DPCH_InformationList_RL_SetupRqstTDD, "id-DL-DPCH-InformationList-RL-SetupRqstTDD" },
  { id_DL_DPCH_Information_RL_ReconfPrepFDD, "id-DL-DPCH-Information-RL-ReconfPrepFDD" },
  { id_DL_DPCH_Information_RL_ReconfRqstFDD, "id-DL-DPCH-Information-RL-ReconfRqstFDD" },
  { id_DL_DPCH_Information_RL_SetupRqstFDD, "id-DL-DPCH-Information-RL-SetupRqstFDD" },
  { id_DL_DPCH_TimingAdjustment, "id-DL-DPCH-TimingAdjustment" },
  { id_DL_ReferencePowerInformationItem_DL_PC_Rqst, "id-DL-ReferencePowerInformationItem-DL-PC-Rqst" },
  { id_DLReferencePower, "id-DLReferencePower" },
  { id_DLReferencePowerList_DL_PC_Rqst, "id-DLReferencePowerList-DL-PC-Rqst" },
  { id_Unused_ProtocolIE_ID_87, "id-Unused-ProtocolIE-ID-87" },
  { id_Unused_ProtocolIE_ID_89, "id-Unused-ProtocolIE-ID-89" },
  { id_Unused_ProtocolIE_ID_91, "id-Unused-ProtocolIE-ID-91" },
  { id_Unused_ProtocolIE_ID_93, "id-Unused-ProtocolIE-ID-93" },
  { id_DSCHs_to_Add_TDD, "id-DSCHs-to-Add-TDD" },
  { id_DSCH_Information_DeleteList_RL_ReconfPrepTDD, "id-DSCH-Information-DeleteList-RL-ReconfPrepTDD" },
  { id_DSCH_Information_ModifyList_RL_ReconfPrepTDD, "id-DSCH-Information-ModifyList-RL-ReconfPrepTDD" },
  { id_DSCH_InformationResponse, "id-DSCH-InformationResponse" },
  { id_Unused_ProtocolIE_ID_106, "id-Unused-ProtocolIE-ID-106" },
  { id_DSCH_TDD_Information, "id-DSCH-TDD-Information" },
  { id_Unused_ProtocolIE_ID_108, "id-Unused-ProtocolIE-ID-108" },
  { id_Unused_ProtocolIE_ID_112, "id-Unused-ProtocolIE-ID-112" },
  { id_DSCH_RearrangeList_Bearer_RearrangeInd, "id-DSCH-RearrangeList-Bearer-RearrangeInd" },
  { id_End_Of_Audit_Sequence_Indicator, "id-End-Of-Audit-Sequence-Indicator" },
  { id_FACH_Information, "id-FACH-Information" },
  { id_FACH_InformationItem_ResourceStatusInd, "id-FACH-InformationItem-ResourceStatusInd" },
  { id_FACH_ParametersList_CTCH_ReconfRqstTDD, "id-FACH-ParametersList-CTCH-ReconfRqstTDD" },
  { id_FACH_ParametersListIE_CTCH_SetupRqstFDD, "id-FACH-ParametersListIE-CTCH-SetupRqstFDD" },
  { id_FACH_ParametersListIE_CTCH_SetupRqstTDD, "id-FACH-ParametersListIE-CTCH-SetupRqstTDD" },
  { id_IndicationType_ResourceStatusInd, "id-IndicationType-ResourceStatusInd" },
  { id_Local_Cell_ID, "id-Local-Cell-ID" },
  { id_Local_Cell_Group_InformationItem_AuditRsp, "id-Local-Cell-Group-InformationItem-AuditRsp" },
  { id_Local_Cell_Group_InformationItem_ResourceStatusInd, "id-Local-Cell-Group-InformationItem-ResourceStatusInd" },
  { id_Local_Cell_Group_InformationItem2_ResourceStatusInd, "id-Local-Cell-Group-InformationItem2-ResourceStatusInd" },
  { id_Local_Cell_Group_InformationList_AuditRsp, "id-Local-Cell-Group-InformationList-AuditRsp" },
  { id_Local_Cell_InformationItem_AuditRsp, "id-Local-Cell-InformationItem-AuditRsp" },
  { id_Local_Cell_InformationItem_ResourceStatusInd, "id-Local-Cell-InformationItem-ResourceStatusInd" },
  { id_Local_Cell_InformationItem2_ResourceStatusInd, "id-Local-Cell-InformationItem2-ResourceStatusInd" },
  { id_Local_Cell_InformationList_AuditRsp, "id-Local-Cell-InformationList-AuditRsp" },
  { id_AdjustmentPeriod, "id-AdjustmentPeriod" },
  { id_MaxAdjustmentStep, "id-MaxAdjustmentStep" },
  { id_MaximumTransmissionPower, "id-MaximumTransmissionPower" },
  { id_MeasurementFilterCoefficient, "id-MeasurementFilterCoefficient" },
  { id_MeasurementID, "id-MeasurementID" },
  { id_MessageStructure, "id-MessageStructure" },
  { id_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst, "id-MIB-SB-SIB-InformationList-SystemInfoUpdateRqst" },
  { id_NodeB_CommunicationContextID, "id-NodeB-CommunicationContextID" },
  { id_NeighbouringCellMeasurementInformation, "id-NeighbouringCellMeasurementInformation" },
  { id_P_CCPCH_Information, "id-P-CCPCH-Information" },
  { id_P_CCPCH_InformationItem_ResourceStatusInd, "id-P-CCPCH-InformationItem-ResourceStatusInd" },
  { id_P_CPICH_Information, "id-P-CPICH-Information" },
  { id_P_CPICH_InformationItem_ResourceStatusInd, "id-P-CPICH-InformationItem-ResourceStatusInd" },
  { id_P_SCH_Information, "id-P-SCH-Information" },
  { id_PCCPCH_Information_Cell_ReconfRqstTDD, "id-PCCPCH-Information-Cell-ReconfRqstTDD" },
  { id_PCCPCH_Information_Cell_SetupRqstTDD, "id-PCCPCH-Information-Cell-SetupRqstTDD" },
  { id_PCH_Parameters_CTCH_ReconfRqstTDD, "id-PCH-Parameters-CTCH-ReconfRqstTDD" },
  { id_PCH_ParametersItem_CTCH_SetupRqstFDD, "id-PCH-ParametersItem-CTCH-SetupRqstFDD" },
  { id_PCH_ParametersItem_CTCH_SetupRqstTDD, "id-PCH-ParametersItem-CTCH-SetupRqstTDD" },
  { id_PCH_Information, "id-PCH-Information" },
  { id_PDSCH_Information_AddListIE_PSCH_ReconfRqst, "id-PDSCH-Information-AddListIE-PSCH-ReconfRqst" },
  { id_PDSCH_Information_ModifyListIE_PSCH_ReconfRqst, "id-PDSCH-Information-ModifyListIE-PSCH-ReconfRqst" },
  { id_PDSCHSets_AddList_PSCH_ReconfRqst, "id-PDSCHSets-AddList-PSCH-ReconfRqst" },
  { id_PDSCHSets_DeleteList_PSCH_ReconfRqst, "id-PDSCHSets-DeleteList-PSCH-ReconfRqst" },
  { id_PDSCHSets_ModifyList_PSCH_ReconfRqst, "id-PDSCHSets-ModifyList-PSCH-ReconfRqst" },
  { id_PICH_Information, "id-PICH-Information" },
  { id_PICH_Parameters_CTCH_ReconfRqstTDD, "id-PICH-Parameters-CTCH-ReconfRqstTDD" },
  { id_PowerAdjustmentType, "id-PowerAdjustmentType" },
  { id_PRACH_Information, "id-PRACH-Information" },
  { id_PrimaryCCPCH_Information_Cell_ReconfRqstFDD, "id-PrimaryCCPCH-Information-Cell-ReconfRqstFDD" },
  { id_PrimaryCCPCH_Information_Cell_SetupRqstFDD, "id-PrimaryCCPCH-Information-Cell-SetupRqstFDD" },
  { id_PrimaryCPICH_Information_Cell_ReconfRqstFDD, "id-PrimaryCPICH-Information-Cell-ReconfRqstFDD" },
  { id_PrimaryCPICH_Information_Cell_SetupRqstFDD, "id-PrimaryCPICH-Information-Cell-SetupRqstFDD" },
  { id_PrimarySCH_Information_Cell_ReconfRqstFDD, "id-PrimarySCH-Information-Cell-ReconfRqstFDD" },
  { id_PrimarySCH_Information_Cell_SetupRqstFDD, "id-PrimarySCH-Information-Cell-SetupRqstFDD" },
  { id_PrimaryScramblingCode, "id-PrimaryScramblingCode" },
  { id_SCH_Information_Cell_ReconfRqstTDD, "id-SCH-Information-Cell-ReconfRqstTDD" },
  { id_SCH_Information_Cell_SetupRqstTDD, "id-SCH-Information-Cell-SetupRqstTDD" },
  { id_PUSCH_Information_AddListIE_PSCH_ReconfRqst, "id-PUSCH-Information-AddListIE-PSCH-ReconfRqst" },
  { id_PUSCH_Information_ModifyListIE_PSCH_ReconfRqst, "id-PUSCH-Information-ModifyListIE-PSCH-ReconfRqst" },
  { id_PUSCHSets_AddList_PSCH_ReconfRqst, "id-PUSCHSets-AddList-PSCH-ReconfRqst" },
  { id_PUSCHSets_DeleteList_PSCH_ReconfRqst, "id-PUSCHSets-DeleteList-PSCH-ReconfRqst" },
  { id_PUSCHSets_ModifyList_PSCH_ReconfRqst, "id-PUSCHSets-ModifyList-PSCH-ReconfRqst" },
  { id_RACH_Information, "id-RACH-Information" },
  { id_RACH_ParametersItem_CTCH_SetupRqstFDD, "id-RACH-ParametersItem-CTCH-SetupRqstFDD" },
  { id_RACH_ParameterItem_CTCH_SetupRqstTDD, "id-RACH-ParameterItem-CTCH-SetupRqstTDD" },
  { id_ReportCharacteristics, "id-ReportCharacteristics" },
  { id_Reporting_Object_RL_FailureInd, "id-Reporting-Object-RL-FailureInd" },
  { id_Reporting_Object_RL_RestoreInd, "id-Reporting-Object-RL-RestoreInd" },
  { id_RL_InformationItem_DM_Rprt, "id-RL-InformationItem-DM-Rprt" },
  { id_RL_InformationItem_DM_Rqst, "id-RL-InformationItem-DM-Rqst" },
  { id_RL_InformationItem_DM_Rsp, "id-RL-InformationItem-DM-Rsp" },
  { id_RL_InformationItem_RL_AdditionRqstFDD, "id-RL-InformationItem-RL-AdditionRqstFDD" },
  { id_RL_informationItem_RL_DeletionRqst, "id-RL-informationItem-RL-DeletionRqst" },
  { id_RL_InformationItem_RL_FailureInd, "id-RL-InformationItem-RL-FailureInd" },
  { id_RL_InformationItem_RL_PreemptRequiredInd, "id-RL-InformationItem-RL-PreemptRequiredInd" },
  { id_RL_InformationItem_RL_ReconfPrepFDD, "id-RL-InformationItem-RL-ReconfPrepFDD" },
  { id_RL_InformationItem_RL_ReconfRqstFDD, "id-RL-InformationItem-RL-ReconfRqstFDD" },
  { id_RL_InformationItem_RL_RestoreInd, "id-RL-InformationItem-RL-RestoreInd" },
  { id_RL_InformationItem_RL_SetupRqstFDD, "id-RL-InformationItem-RL-SetupRqstFDD" },
  { id_RL_InformationList_RL_AdditionRqstFDD, "id-RL-InformationList-RL-AdditionRqstFDD" },
  { id_RL_informationList_RL_DeletionRqst, "id-RL-informationList-RL-DeletionRqst" },
  { id_RL_InformationList_RL_PreemptRequiredInd, "id-RL-InformationList-RL-PreemptRequiredInd" },
  { id_RL_InformationList_RL_ReconfPrepFDD, "id-RL-InformationList-RL-ReconfPrepFDD" },
  { id_RL_InformationList_RL_ReconfRqstFDD, "id-RL-InformationList-RL-ReconfRqstFDD" },
  { id_RL_InformationList_RL_SetupRqstFDD, "id-RL-InformationList-RL-SetupRqstFDD" },
  { id_RL_InformationResponseItem_RL_AdditionRspFDD, "id-RL-InformationResponseItem-RL-AdditionRspFDD" },
  { id_RL_InformationResponseItem_RL_ReconfReady, "id-RL-InformationResponseItem-RL-ReconfReady" },
  { id_RL_InformationResponseItem_RL_ReconfRsp, "id-RL-InformationResponseItem-RL-ReconfRsp" },
  { id_RL_InformationResponseItem_RL_SetupRspFDD, "id-RL-InformationResponseItem-RL-SetupRspFDD" },
  { id_RL_InformationResponseList_RL_AdditionRspFDD, "id-RL-InformationResponseList-RL-AdditionRspFDD" },
  { id_RL_InformationResponseList_RL_ReconfReady, "id-RL-InformationResponseList-RL-ReconfReady" },
  { id_RL_InformationResponseList_RL_ReconfRsp, "id-RL-InformationResponseList-RL-ReconfRsp" },
  { id_RL_InformationResponseList_RL_SetupRspFDD, "id-RL-InformationResponseList-RL-SetupRspFDD" },
  { id_RL_InformationResponse_RL_AdditionRspTDD, "id-RL-InformationResponse-RL-AdditionRspTDD" },
  { id_RL_InformationResponse_RL_SetupRspTDD, "id-RL-InformationResponse-RL-SetupRspTDD" },
  { id_RL_Information_RL_AdditionRqstTDD, "id-RL-Information-RL-AdditionRqstTDD" },
  { id_RL_Information_RL_ReconfRqstTDD, "id-RL-Information-RL-ReconfRqstTDD" },
  { id_RL_Information_RL_ReconfPrepTDD, "id-RL-Information-RL-ReconfPrepTDD" },
  { id_RL_Information_RL_SetupRqstTDD, "id-RL-Information-RL-SetupRqstTDD" },
  { id_RL_ReconfigurationFailureItem_RL_ReconfFailure, "id-RL-ReconfigurationFailureItem-RL-ReconfFailure" },
  { id_RL_Set_InformationItem_DM_Rprt, "id-RL-Set-InformationItem-DM-Rprt" },
  { id_RL_Set_InformationItem_DM_Rsp, "id-RL-Set-InformationItem-DM-Rsp" },
  { id_RL_Set_InformationItem_RL_FailureInd, "id-RL-Set-InformationItem-RL-FailureInd" },
  { id_RL_Set_InformationItem_RL_RestoreInd, "id-RL-Set-InformationItem-RL-RestoreInd" },
  { id_S_CCPCH_Information, "id-S-CCPCH-Information" },
  { id_S_CPICH_Information, "id-S-CPICH-Information" },
  { id_SCH_Information, "id-SCH-Information" },
  { id_S_SCH_Information, "id-S-SCH-Information" },
  { id_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD, "id-Secondary-CCPCHListIE-CTCH-ReconfRqstTDD" },
  { id_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD, "id-Secondary-CCPCH-parameterListIE-CTCH-SetupRqstTDD" },
  { id_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD, "id-Secondary-CCPCH-Parameters-CTCH-ReconfRqstTDD" },
  { id_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD, "id-SecondaryCPICH-InformationItem-Cell-ReconfRqstFDD" },
  { id_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD, "id-SecondaryCPICH-InformationItem-Cell-SetupRqstFDD" },
  { id_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD, "id-SecondaryCPICH-InformationList-Cell-ReconfRqstFDD" },
  { id_SecondaryCPICH_InformationList_Cell_SetupRqstFDD, "id-SecondaryCPICH-InformationList-Cell-SetupRqstFDD" },
  { id_SecondarySCH_Information_Cell_ReconfRqstFDD, "id-SecondarySCH-Information-Cell-ReconfRqstFDD" },
  { id_SecondarySCH_Information_Cell_SetupRqstFDD, "id-SecondarySCH-Information-Cell-SetupRqstFDD" },
  { id_SegmentInformationListIE_SystemInfoUpdate, "id-SegmentInformationListIE-SystemInfoUpdate" },
  { id_SFN, "id-SFN" },
  { id_SignallingBearerRequestIndicator, "id-SignallingBearerRequestIndicator" },
  { id_ShutdownTimer, "id-ShutdownTimer" },
  { id_Start_Of_Audit_Sequence_Indicator, "id-Start-Of-Audit-Sequence-Indicator" },
  { id_Successful_RL_InformationRespItem_RL_AdditionFailureFDD, "id-Successful-RL-InformationRespItem-RL-AdditionFailureFDD" },
  { id_Successful_RL_InformationRespItem_RL_SetupFailureFDD, "id-Successful-RL-InformationRespItem-RL-SetupFailureFDD" },
  { id_SyncCase, "id-SyncCase" },
  { id_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH, "id-SyncCaseIndicatorItem-Cell-SetupRqstTDD-PSCH" },
  { id_T_Cell, "id-T-Cell" },
  { id_TargetCommunicationControlPortID, "id-TargetCommunicationControlPortID" },
  { id_TimeSlotConfigurationList_Cell_ReconfRqstTDD, "id-TimeSlotConfigurationList-Cell-ReconfRqstTDD" },
  { id_TimeSlotConfigurationList_Cell_SetupRqstTDD, "id-TimeSlotConfigurationList-Cell-SetupRqstTDD" },
  { id_TransmissionDiversityApplied, "id-TransmissionDiversityApplied" },
  { id_TypeOfError, "id-TypeOfError" },
  { id_UARFCNforNt, "id-UARFCNforNt" },
  { id_UARFCNforNd, "id-UARFCNforNd" },
  { id_UARFCNforNu, "id-UARFCNforNu" },
  { id_UL_CCTrCH_InformationItem_RL_SetupRqstTDD, "id-UL-CCTrCH-InformationItem-RL-SetupRqstTDD" },
  { id_UL_CCTrCH_InformationList_RL_AdditionRqstTDD, "id-UL-CCTrCH-InformationList-RL-AdditionRqstTDD" },
  { id_UL_CCTrCH_InformationList_RL_SetupRqstTDD, "id-UL-CCTrCH-InformationList-RL-SetupRqstTDD" },
  { id_UL_DPCH_InformationItem_RL_AdditionRqstTDD, "id-UL-DPCH-InformationItem-RL-AdditionRqstTDD" },
  { id_UL_DPCH_InformationList_RL_SetupRqstTDD, "id-UL-DPCH-InformationList-RL-SetupRqstTDD" },
  { id_UL_DPCH_Information_RL_ReconfPrepFDD, "id-UL-DPCH-Information-RL-ReconfPrepFDD" },
  { id_UL_DPCH_Information_RL_ReconfRqstFDD, "id-UL-DPCH-Information-RL-ReconfRqstFDD" },
  { id_UL_DPCH_Information_RL_SetupRqstFDD, "id-UL-DPCH-Information-RL-SetupRqstFDD" },
  { id_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD, "id-Unsuccessful-RL-InformationRespItem-RL-AdditionFailureFDD" },
  { id_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD, "id-Unsuccessful-RL-InformationRespItem-RL-SetupFailureFDD" },
  { id_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD, "id-Unsuccessful-RL-InformationResp-RL-AdditionFailureTDD" },
  { id_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD, "id-Unsuccessful-RL-InformationResp-RL-SetupFailureTDD" },
  { id_USCH_Information_Add, "id-USCH-Information-Add" },
  { id_USCH_Information_DeleteList_RL_ReconfPrepTDD, "id-USCH-Information-DeleteList-RL-ReconfPrepTDD" },
  { id_USCH_Information_ModifyList_RL_ReconfPrepTDD, "id-USCH-Information-ModifyList-RL-ReconfPrepTDD" },
  { id_USCH_InformationResponse, "id-USCH-InformationResponse" },
  { id_USCH_Information, "id-USCH-Information" },
  { id_USCH_RearrangeList_Bearer_RearrangeInd, "id-USCH-RearrangeList-Bearer-RearrangeInd" },
  { id_Active_Pattern_Sequence_Information, "id-Active-Pattern-Sequence-Information" },
  { id_AICH_ParametersListIE_CTCH_ReconfRqstFDD, "id-AICH-ParametersListIE-CTCH-ReconfRqstFDD" },
  { id_AdjustmentRatio, "id-AdjustmentRatio" },
  { id_AP_AICH_Information, "id-AP-AICH-Information" },
  { id_Not_Used_322, "id-Not-Used-322" },
  { id_FACH_ParametersListIE_CTCH_ReconfRqstFDD, "id-FACH-ParametersListIE-CTCH-ReconfRqstFDD" },
  { id_CauseLevel_PSCH_ReconfFailure, "id-CauseLevel-PSCH-ReconfFailure" },
  { id_CauseLevel_RL_AdditionFailureFDD, "id-CauseLevel-RL-AdditionFailureFDD" },
  { id_CauseLevel_RL_AdditionFailureTDD, "id-CauseLevel-RL-AdditionFailureTDD" },
  { id_CauseLevel_RL_ReconfFailure, "id-CauseLevel-RL-ReconfFailure" },
  { id_CauseLevel_RL_SetupFailureFDD, "id-CauseLevel-RL-SetupFailureFDD" },
  { id_CauseLevel_RL_SetupFailureTDD, "id-CauseLevel-RL-SetupFailureTDD" },
  { id_CDCA_ICH_Information, "id-CDCA-ICH-Information" },
  { id_Not_Used_332, "id-Not-Used-332" },
  { id_Closed_Loop_Timing_Adjustment_Mode, "id-Closed-Loop-Timing-Adjustment-Mode" },
  { id_CommonPhysicalChannelType_CTCH_ReconfRqstFDD, "id-CommonPhysicalChannelType-CTCH-ReconfRqstFDD" },
  { id_Compressed_Mode_Deactivation_Flag, "id-Compressed-Mode-Deactivation-Flag" },
  { id_CPCH_Information, "id-CPCH-Information" },
  { id_Not_Used_342, "id-Not-Used-342" },
  { id_Not_Used_343, "id-Not-Used-343" },
  { id_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, "id-DL-CCTrCH-InformationAddList-RL-ReconfPrepTDD" },
  { id_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, "id-DL-CCTrCH-InformationDeleteItem-RL-ReconfRqstTDD" },
  { id_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, "id-DL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD" },
  { id_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, "id-DL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD" },
  { id_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, "id-DL-CCTrCH-InformationModifyItem-RL-ReconfRqstTDD" },
  { id_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, "id-DL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD" },
  { id_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, "id-DL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD" },
  { id_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, "id-DL-DPCH-InformationAddListIE-RL-ReconfPrepTDD" },
  { id_DL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD, "id-DL-DPCH-InformationModify-AddListIE-RL-ReconfPrepTDD" },
  { id_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, "id-DL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD" },
  { id_DL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD, "id-DL-DPCH-InformationModify-ModifyListIE-RL-ReconfPrepTDD" },
  { id_DL_TPC_Pattern01Count, "id-DL-TPC-Pattern01Count" },
  { id_DPC_Mode, "id-DPC-Mode" },
  { id_DPCHConstant, "id-DPCHConstant" },
  { id_Unused_ProtocolIE_ID_94, "id-Unused-ProtocolIE-ID-94" },
  { id_Unused_ProtocolIE_ID_110, "id-Unused-ProtocolIE-ID-110" },
  { id_Unused_ProtocolIE_ID_111, "id-Unused-ProtocolIE-ID-111" },
  { id_FACH_ParametersList_CTCH_SetupRsp, "id-FACH-ParametersList-CTCH-SetupRsp" },
  { id_Limited_power_increase_information_Cell_SetupRqstFDD, "id-Limited-power-increase-information-Cell-SetupRqstFDD" },
  { id_PCH_Parameters_CTCH_SetupRsp, "id-PCH-Parameters-CTCH-SetupRsp" },
  { id_PCH_ParametersItem_CTCH_ReconfRqstFDD, "id-PCH-ParametersItem-CTCH-ReconfRqstFDD" },
  { id_PCPCH_Information, "id-PCPCH-Information" },
  { id_PICH_ParametersItem_CTCH_ReconfRqstFDD, "id-PICH-ParametersItem-CTCH-ReconfRqstFDD" },
  { id_PRACHConstant, "id-PRACHConstant" },
  { id_PRACH_ParametersListIE_CTCH_ReconfRqstFDD, "id-PRACH-ParametersListIE-CTCH-ReconfRqstFDD" },
  { id_PUSCHConstant, "id-PUSCHConstant" },
  { id_RACH_Parameters_CTCH_SetupRsp, "id-RACH-Parameters-CTCH-SetupRsp" },
  { id_Unused_ProtocolIE_ID_443, "id-Unused-ProtocolIE-ID-443" },
  { id_Synchronisation_Configuration_Cell_ReconfRqst, "id-Synchronisation-Configuration-Cell-ReconfRqst" },
  { id_Synchronisation_Configuration_Cell_SetupRqst, "id-Synchronisation-Configuration-Cell-SetupRqst" },
  { id_Transmission_Gap_Pattern_Sequence_Information, "id-Transmission-Gap-Pattern-Sequence-Information" },
  { id_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, "id-UL-CCTrCH-InformationAddList-RL-ReconfPrepTDD" },
  { id_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, "id-UL-CCTrCH-InformationDeleteItem-RL-ReconfRqstTDD" },
  { id_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, "id-UL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD" },
  { id_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, "id-UL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD" },
  { id_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, "id-UL-CCTrCH-InformationModifyItem-RL-ReconfRqstTDD" },
  { id_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, "id-UL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD" },
  { id_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, "id-UL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD" },
  { id_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, "id-UL-DPCH-InformationAddListIE-RL-ReconfPrepTDD" },
  { id_UL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD, "id-UL-DPCH-InformationModify-AddListIE-RL-ReconfPrepTDD" },
  { id_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, "id-UL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD" },
  { id_UL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD, "id-UL-DPCH-InformationModify-ModifyListIE-RL-ReconfPrepTDD" },
  { id_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD, "id-Unsuccessful-PDSCHSetItem-PSCH-ReconfFailureTDD" },
  { id_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD, "id-Unsuccessful-PUSCHSetItem-PSCH-ReconfFailureTDD" },
  { id_CommunicationContextInfoItem_Reset, "id-CommunicationContextInfoItem-Reset" },
  { id_CommunicationControlPortInfoItem_Reset, "id-CommunicationControlPortInfoItem-Reset" },
  { id_ResetIndicator, "id-ResetIndicator" },
  { id_Unused_ProtocolIE_ID_417, "id-Unused-ProtocolIE-ID-417" },
  { id_Unused_ProtocolIE_ID_418, "id-Unused-ProtocolIE-ID-418" },
  { id_Unused_ProtocolIE_ID_419, "id-Unused-ProtocolIE-ID-419" },
  { id_Unused_ProtocolIE_ID_287, "id-Unused-ProtocolIE-ID-287" },
  { id_TimingAdvanceApplied, "id-TimingAdvanceApplied" },
  { id_CFNReportingIndicator, "id-CFNReportingIndicator" },
  { id_SFNReportingIndicator, "id-SFNReportingIndicator" },
  { id_InnerLoopDLPCStatus, "id-InnerLoopDLPCStatus" },
  { id_TimeslotISCPInfo, "id-TimeslotISCPInfo" },
  { id_PICH_ParametersItem_CTCH_SetupRqstTDD, "id-PICH-ParametersItem-CTCH-SetupRqstTDD" },
  { id_PRACH_ParametersItem_CTCH_SetupRqstTDD, "id-PRACH-ParametersItem-CTCH-SetupRqstTDD" },
  { id_CCTrCH_InformationItem_RL_FailureInd, "id-CCTrCH-InformationItem-RL-FailureInd" },
  { id_CCTrCH_InformationItem_RL_RestoreInd, "id-CCTrCH-InformationItem-RL-RestoreInd" },
  { id_CauseLevel_SyncAdjustmntFailureTDD, "id-CauseLevel-SyncAdjustmntFailureTDD" },
  { id_CellAdjustmentInfo_SyncAdjustmntRqstTDD, "id-CellAdjustmentInfo-SyncAdjustmntRqstTDD" },
  { id_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD, "id-CellAdjustmentInfoItem-SyncAdjustmentRqstTDD" },
  { id_CellSyncBurstInfoList_CellSyncReconfRqstTDD, "id-CellSyncBurstInfoList-CellSyncReconfRqstTDD" },
  { id_CellSyncBurstTransInit_CellSyncInitiationRqstTDD, "id-CellSyncBurstTransInit-CellSyncInitiationRqstTDD" },
  { id_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD, "id-CellSyncBurstMeasureInit-CellSyncInitiationRqstTDD" },
  { id_CellSyncBurstTransReconfiguration_CellSyncReconfRqstTDD, "id-CellSyncBurstTransReconfiguration-CellSyncReconfRqstTDD" },
  { id_CellSyncBurstMeasReconfiguration_CellSyncReconfRqstTDD, "id-CellSyncBurstMeasReconfiguration-CellSyncReconfRqstTDD" },
  { id_CellSyncBurstTransInfoList_CellSyncReconfRqstTDD, "id-CellSyncBurstTransInfoList-CellSyncReconfRqstTDD" },
  { id_CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD, "id-CellSyncBurstMeasInfoList-CellSyncReconfRqstTDD" },
  { id_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD, "id-CellSyncBurstTransReconfInfo-CellSyncReconfRqstTDD" },
  { id_CellSyncInfo_CellSyncReprtTDD, "id-CellSyncInfo-CellSyncReprtTDD" },
  { id_CSBTransmissionID, "id-CSBTransmissionID" },
  { id_CSBMeasurementID, "id-CSBMeasurementID" },
  { id_IntStdPhCellSyncInfoItem_CellSyncReprtTDD, "id-IntStdPhCellSyncInfoItem-CellSyncReprtTDD" },
  { id_NCyclesPerSFNperiod, "id-NCyclesPerSFNperiod" },
  { id_NRepetitionsPerCyclePeriod, "id-NRepetitionsPerCyclePeriod" },
  { id_SyncFrameNumber, "id-SyncFrameNumber" },
  { id_SynchronisationReportType, "id-SynchronisationReportType" },
  { id_SynchronisationReportCharacteristics, "id-SynchronisationReportCharacteristics" },
  { id_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD, "id-Unsuccessful-cell-InformationRespItem-SyncAdjustmntFailureTDD" },
  { id_LateEntranceCellSyncInfoItem_CellSyncReprtTDD, "id-LateEntranceCellSyncInfoItem-CellSyncReprtTDD" },
  { id_ReferenceClockAvailability, "id-ReferenceClockAvailability" },
  { id_ReferenceSFNoffset, "id-ReferenceSFNoffset" },
  { id_InformationExchangeID, "id-InformationExchangeID" },
  { id_InformationExchangeObjectType_InfEx_Rqst, "id-InformationExchangeObjectType-InfEx-Rqst" },
  { id_InformationType, "id-InformationType" },
  { id_InformationReportCharacteristics, "id-InformationReportCharacteristics" },
  { id_InformationExchangeObjectType_InfEx_Rsp, "id-InformationExchangeObjectType-InfEx-Rsp" },
  { id_InformationExchangeObjectType_InfEx_Rprt, "id-InformationExchangeObjectType-InfEx-Rprt" },
  { id_IPDLParameter_Information_Cell_ReconfRqstFDD, "id-IPDLParameter-Information-Cell-ReconfRqstFDD" },
  { id_IPDLParameter_Information_Cell_SetupRqstFDD, "id-IPDLParameter-Information-Cell-SetupRqstFDD" },
  { id_IPDLParameter_Information_Cell_ReconfRqstTDD, "id-IPDLParameter-Information-Cell-ReconfRqstTDD" },
  { id_IPDLParameter_Information_Cell_SetupRqstTDD, "id-IPDLParameter-Information-Cell-SetupRqstTDD" },
  { id_DL_DPCH_LCR_Information_RL_SetupRqstTDD, "id-DL-DPCH-LCR-Information-RL-SetupRqstTDD" },
  { id_DwPCH_LCR_Information, "id-DwPCH-LCR-Information" },
  { id_DwPCH_LCR_InformationList_AuditRsp, "id-DwPCH-LCR-InformationList-AuditRsp" },
  { id_DwPCH_LCR_Information_Cell_SetupRqstTDD, "id-DwPCH-LCR-Information-Cell-SetupRqstTDD" },
  { id_DwPCH_LCR_Information_Cell_ReconfRqstTDD, "id-DwPCH-LCR-Information-Cell-ReconfRqstTDD" },
  { id_DwPCH_LCR_Information_ResourceStatusInd, "id-DwPCH-LCR-Information-ResourceStatusInd" },
  { id_maxFACH_Power_LCR_CTCH_SetupRqstTDD, "id-maxFACH-Power-LCR-CTCH-SetupRqstTDD" },
  { id_maxFACH_Power_LCR_CTCH_ReconfRqstTDD, "id-maxFACH-Power-LCR-CTCH-ReconfRqstTDD" },
  { id_FPACH_LCR_Information, "id-FPACH-LCR-Information" },
  { id_FPACH_LCR_Information_AuditRsp, "id-FPACH-LCR-Information-AuditRsp" },
  { id_FPACH_LCR_InformationList_AuditRsp, "id-FPACH-LCR-InformationList-AuditRsp" },
  { id_FPACH_LCR_InformationList_ResourceStatusInd, "id-FPACH-LCR-InformationList-ResourceStatusInd" },
  { id_FPACH_LCR_Parameters_CTCH_SetupRqstTDD, "id-FPACH-LCR-Parameters-CTCH-SetupRqstTDD" },
  { id_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD, "id-FPACH-LCR-Parameters-CTCH-ReconfRqstTDD" },
  { id_PCCPCH_LCR_Information_Cell_SetupRqstTDD, "id-PCCPCH-LCR-Information-Cell-SetupRqstTDD" },
  { id_PCH_Power_LCR_CTCH_SetupRqstTDD, "id-PCH-Power-LCR-CTCH-SetupRqstTDD" },
  { id_PCH_Power_LCR_CTCH_ReconfRqstTDD, "id-PCH-Power-LCR-CTCH-ReconfRqstTDD" },
  { id_PICH_LCR_Parameters_CTCH_SetupRqstTDD, "id-PICH-LCR-Parameters-CTCH-SetupRqstTDD" },
  { id_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD, "id-PRACH-LCR-ParametersList-CTCH-SetupRqstTDD" },
  { id_RL_InformationResponse_LCR_RL_SetupRspTDD, "id-RL-InformationResponse-LCR-RL-SetupRspTDD" },
  { id_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD, "id-Secondary-CCPCH-LCR-parameterList-CTCH-SetupRqstTDD" },
  { id_TimeSlot, "id-TimeSlot" },
  { id_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD, "id-TimeSlotConfigurationList-LCR-Cell-ReconfRqstTDD" },
  { id_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD, "id-TimeSlotConfigurationList-LCR-Cell-SetupRqstTDD" },
  { id_TimeslotISCP_LCR_InfoList_RL_SetupRqstTDD, "id-TimeslotISCP-LCR-InfoList-RL-SetupRqstTDD" },
  { id_TimeSlotLCR_CM_Rqst, "id-TimeSlotLCR-CM-Rqst" },
  { id_UL_DPCH_LCR_Information_RL_SetupRqstTDD, "id-UL-DPCH-LCR-Information-RL-SetupRqstTDD" },
  { id_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, "id-DL-DPCH-InformationItem-LCR-RL-AdditionRqstTDD" },
  { id_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, "id-UL-DPCH-InformationItem-LCR-RL-AdditionRqstTDD" },
  { id_TimeslotISCP_InformationList_LCR_RL_AdditionRqstTDD, "id-TimeslotISCP-InformationList-LCR-RL-AdditionRqstTDD" },
  { id_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD, "id-DL-DPCH-LCR-InformationAddList-RL-ReconfPrepTDD" },
  { id_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD, "id-DL-DPCH-LCR-InformationModify-AddList-RL-ReconfPrepTDD" },
  { id_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD, "id-DL-Timeslot-LCR-InformationModify-ModifyList-RL-ReconfPrepTDD" },
  { id_TimeslotISCPInfoList_LCR_DL_PC_RqstTDD, "id-TimeslotISCPInfoList-LCR-DL-PC-RqstTDD" },
  { id_UL_DPCH_LCR_InformationAddListIE_RL_ReconfPrepTDD, "id-UL-DPCH-LCR-InformationAddListIE-RL-ReconfPrepTDD" },
  { id_UL_DPCH_LCR_InformationModify_AddList, "id-UL-DPCH-LCR-InformationModify-AddList" },
  { id_UL_TimeslotLCR_Information_RL_ReconfPrepTDD, "id-UL-TimeslotLCR-Information-RL-ReconfPrepTDD" },
  { id_UL_SIRTarget, "id-UL-SIRTarget" },
  { id_PDSCH_AddInformation_LCR_PSCH_ReconfRqst, "id-PDSCH-AddInformation-LCR-PSCH-ReconfRqst" },
  { id_PDSCH_AddInformation_LCR_AddListIE_PSCH_ReconfRqst, "id-PDSCH-AddInformation-LCR-AddListIE-PSCH-ReconfRqst" },
  { id_Unused_ProtocolIE_ID_26, "id-Unused-ProtocolIE-ID-26" },
  { id_Unused_ProtocolIE_ID_27, "id-Unused-ProtocolIE-ID-27" },
  { id_PDSCH_ModifyInformation_LCR_PSCH_ReconfRqst, "id-PDSCH-ModifyInformation-LCR-PSCH-ReconfRqst" },
  { id_PDSCH_ModifyInformation_LCR_ModifyListIE_PSCH_ReconfRqst, "id-PDSCH-ModifyInformation-LCR-ModifyListIE-PSCH-ReconfRqst" },
  { id_PUSCH_AddInformation_LCR_PSCH_ReconfRqst, "id-PUSCH-AddInformation-LCR-PSCH-ReconfRqst" },
  { id_PUSCH_AddInformation_LCR_AddListIE_PSCH_ReconfRqst, "id-PUSCH-AddInformation-LCR-AddListIE-PSCH-ReconfRqst" },
  { id_PUSCH_ModifyInformation_LCR_PSCH_ReconfRqst, "id-PUSCH-ModifyInformation-LCR-PSCH-ReconfRqst" },
  { id_PUSCH_ModifyInformation_LCR_ModifyListIE_PSCH_ReconfRqst, "id-PUSCH-ModifyInformation-LCR-ModifyListIE-PSCH-ReconfRqst" },
  { id_timeslotInfo_CellSyncInitiationRqstTDD, "id-timeslotInfo-CellSyncInitiationRqstTDD" },
  { id_SyncReportType_CellSyncReprtTDD, "id-SyncReportType-CellSyncReprtTDD" },
  { id_Power_Local_Cell_Group_InformationItem_AuditRsp, "id-Power-Local-Cell-Group-InformationItem-AuditRsp" },
  { id_Power_Local_Cell_Group_InformationItem_ResourceStatusInd, "id-Power-Local-Cell-Group-InformationItem-ResourceStatusInd" },
  { id_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd, "id-Power-Local-Cell-Group-InformationItem2-ResourceStatusInd" },
  { id_Power_Local_Cell_Group_InformationList_AuditRsp, "id-Power-Local-Cell-Group-InformationList-AuditRsp" },
  { id_Power_Local_Cell_Group_InformationList_ResourceStatusInd, "id-Power-Local-Cell-Group-InformationList-ResourceStatusInd" },
  { id_Power_Local_Cell_Group_InformationList2_ResourceStatusInd, "id-Power-Local-Cell-Group-InformationList2-ResourceStatusInd" },
  { id_Power_Local_Cell_Group_ID, "id-Power-Local-Cell-Group-ID" },
  { id_PUSCH_Info_DM_Rqst, "id-PUSCH-Info-DM-Rqst" },
  { id_PUSCH_Info_DM_Rsp, "id-PUSCH-Info-DM-Rsp" },
  { id_PUSCH_Info_DM_Rprt, "id-PUSCH-Info-DM-Rprt" },
  { id_InitDL_Power, "id-InitDL-Power" },
  { id_cellSyncBurstRepetitionPeriod, "id-cellSyncBurstRepetitionPeriod" },
  { id_ReportCharacteristicsType_OnModification, "id-ReportCharacteristicsType-OnModification" },
  { id_SFNSFNMeasurementValueInformation, "id-SFNSFNMeasurementValueInformation" },
  { id_SFNSFNMeasurementThresholdInformation, "id-SFNSFNMeasurementThresholdInformation" },
  { id_TUTRANGPSMeasurementValueInformation, "id-TUTRANGPSMeasurementValueInformation" },
  { id_TUTRANGPSMeasurementThresholdInformation, "id-TUTRANGPSMeasurementThresholdInformation" },
  { id_Rx_Timing_Deviation_Value_LCR, "id-Rx-Timing-Deviation-Value-LCR" },
  { id_RL_InformationResponse_LCR_RL_AdditionRspTDD, "id-RL-InformationResponse-LCR-RL-AdditionRspTDD" },
  { id_DL_PowerBalancing_Information, "id-DL-PowerBalancing-Information" },
  { id_DL_PowerBalancing_ActivationIndicator, "id-DL-PowerBalancing-ActivationIndicator" },
  { id_DL_PowerBalancing_UpdatedIndicator, "id-DL-PowerBalancing-UpdatedIndicator" },
  { id_CCTrCH_Initial_DL_Power_RL_SetupRqstTDD, "id-CCTrCH-Initial-DL-Power-RL-SetupRqstTDD" },
  { id_CCTrCH_Initial_DL_Power_RL_AdditionRqstTDD, "id-CCTrCH-Initial-DL-Power-RL-AdditionRqstTDD" },
  { id_CCTrCH_Initial_DL_Power_RL_ReconfPrepTDD, "id-CCTrCH-Initial-DL-Power-RL-ReconfPrepTDD" },
  { id_IPDLParameter_Information_LCR_Cell_SetupRqstTDD, "id-IPDLParameter-Information-LCR-Cell-SetupRqstTDD" },
  { id_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD, "id-IPDLParameter-Information-LCR-Cell-ReconfRqstTDD" },
  { id_HS_PDSCH_HS_SCCH_MaxPower_PSCH_ReconfRqst, "id-HS-PDSCH-HS-SCCH-MaxPower-PSCH-ReconfRqst" },
  { id_HS_PDSCH_HS_SCCH_ScramblingCode_PSCH_ReconfRqst, "id-HS-PDSCH-HS-SCCH-ScramblingCode-PSCH-ReconfRqst" },
  { id_HS_PDSCH_FDD_Code_Information_PSCH_ReconfRqst, "id-HS-PDSCH-FDD-Code-Information-PSCH-ReconfRqst" },
  { id_HS_SCCH_FDD_Code_Information_PSCH_ReconfRqst, "id-HS-SCCH-FDD-Code-Information-PSCH-ReconfRqst" },
  { id_HS_PDSCH_TDD_Information_PSCH_ReconfRqst, "id-HS-PDSCH-TDD-Information-PSCH-ReconfRqst" },
  { id_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, "id-Add-To-HS-SCCH-Resource-Pool-PSCH-ReconfRqst" },
  { id_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, "id-Modify-HS-SCCH-Resource-Pool-PSCH-ReconfRqst" },
  { id_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, "id-Delete-From-HS-SCCH-Resource-Pool-PSCH-ReconfRqst" },
  { id_bindingID, "id-bindingID" },
  { id_RL_Specific_DCH_Info, "id-RL-Specific-DCH-Info" },
  { id_transportlayeraddress, "id-transportlayeraddress" },
  { id_DelayedActivation, "id-DelayedActivation" },
  { id_DelayedActivationList_RL_ActivationCmdFDD, "id-DelayedActivationList-RL-ActivationCmdFDD" },
  { id_DelayedActivationInformation_RL_ActivationCmdFDD, "id-DelayedActivationInformation-RL-ActivationCmdFDD" },
  { id_DelayedActivationList_RL_ActivationCmdTDD, "id-DelayedActivationList-RL-ActivationCmdTDD" },
  { id_DelayedActivationInformation_RL_ActivationCmdTDD, "id-DelayedActivationInformation-RL-ActivationCmdTDD" },
  { id_neighbouringTDDCellMeasurementInformationLCR, "id-neighbouringTDDCellMeasurementInformationLCR" },
  { id_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD, "id-SYNCDlCodeId-TransInitLCR-CellSyncInitiationRqstTDD" },
  { id_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD, "id-SYNCDlCodeId-MeasureInitLCR-CellSyncInitiationRqstTDD" },
  { id_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD, "id-SYNCDlCodeIdTransReconfInfoLCR-CellSyncReconfRqstTDD" },
  { id_SYNCDlCodeIdMeasReconfigurationLCR_CellSyncReconfRqstTDD, "id-SYNCDlCodeIdMeasReconfigurationLCR-CellSyncReconfRqstTDD" },
  { id_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD, "id-SYNCDlCodeIdMeasInfoList-CellSyncReconfRqstTDD" },
  { id_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD, "id-SyncDLCodeIdsMeasInfoList-CellSyncReprtTDD" },
  { id_SyncDLCodeIdThreInfoLCR, "id-SyncDLCodeIdThreInfoLCR" },
  { id_NSubCyclesPerCyclePeriod_CellSyncReconfRqstTDD, "id-NSubCyclesPerCyclePeriod-CellSyncReconfRqstTDD" },
  { id_DwPCH_Power, "id-DwPCH-Power" },
  { id_AccumulatedClockupdate_CellSyncReprtTDD, "id-AccumulatedClockupdate-CellSyncReprtTDD" },
  { id_Angle_Of_Arrival_Value_LCR, "id-Angle-Of-Arrival-Value-LCR" },
  { id_HSDSCH_FDD_Information, "id-HSDSCH-FDD-Information" },
  { id_HSDSCH_FDD_Information_Response, "id-HSDSCH-FDD-Information-Response" },
  { id_HSDSCH_Information_to_Modify, "id-HSDSCH-Information-to-Modify" },
  { id_HSDSCH_RNTI, "id-HSDSCH-RNTI" },
  { id_HSDSCH_TDD_Information, "id-HSDSCH-TDD-Information" },
  { id_HSDSCH_TDD_Information_Response, "id-HSDSCH-TDD-Information-Response" },
  { id_HSPDSCH_RL_ID, "id-HSPDSCH-RL-ID" },
  { id_PrimCCPCH_RSCP_DL_PC_RqstTDD, "id-PrimCCPCH-RSCP-DL-PC-RqstTDD" },
  { id_Unused_ProtocolIE_ID_64, "id-Unused-ProtocolIE-ID-64" },
  { id_PDSCH_RL_ID, "id-PDSCH-RL-ID" },
  { id_HSDSCH_RearrangeList_Bearer_RearrangeInd, "id-HSDSCH-RearrangeList-Bearer-RearrangeInd" },
  { id_UL_Synchronisation_Parameters_LCR, "id-UL-Synchronisation-Parameters-LCR" },
  { id_HSDSCH_FDD_Update_Information, "id-HSDSCH-FDD-Update-Information" },
  { id_HSDSCH_TDD_Update_Information, "id-HSDSCH-TDD-Update-Information" },
  { id_DL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD, "id-DL-DPCH-TimeSlotFormat-LCR-ModifyItem-RL-ReconfPrepTDD" },
  { id_UL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD, "id-UL-DPCH-TimeSlotFormat-LCR-ModifyItem-RL-ReconfPrepTDD" },
  { id_TDD_TPC_UplinkStepSize_LCR_RL_SetupRqstTDD, "id-TDD-TPC-UplinkStepSize-LCR-RL-SetupRqstTDD" },
  { id_TDD_TPC_UplinkStepSize_LCR_RL_AdditionRqstTDD, "id-TDD-TPC-UplinkStepSize-LCR-RL-AdditionRqstTDD" },
  { id_TDD_TPC_DownlinkStepSize_RL_AdditionRqstTDD, "id-TDD-TPC-DownlinkStepSize-RL-AdditionRqstTDD" },
  { id_TDD_TPC_UplinkStepSize_InformationAdd_LCR_RL_ReconfPrepTDD, "id-TDD-TPC-UplinkStepSize-InformationAdd-LCR-RL-ReconfPrepTDD" },
  { id_TDD_TPC_UplinkStepSize_InformationModify_LCR_RL_ReconfPrepTDD, "id-TDD-TPC-UplinkStepSize-InformationModify-LCR-RL-ReconfPrepTDD" },
  { id_TDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD, "id-TDD-TPC-DownlinkStepSize-InformationModify-RL-ReconfPrepTDD" },
  { id_TDD_TPC_DownlinkStepSize_InformationAdd_RL_ReconfPrepTDD, "id-TDD-TPC-DownlinkStepSize-InformationAdd-RL-ReconfPrepTDD" },
  { id_CCTrCH_Maximum_DL_Power_RL_SetupRqstTDD, "id-CCTrCH-Maximum-DL-Power-RL-SetupRqstTDD" },
  { id_CCTrCH_Minimum_DL_Power_RL_SetupRqstTDD, "id-CCTrCH-Minimum-DL-Power-RL-SetupRqstTDD" },
  { id_CCTrCH_Maximum_DL_Power_RL_AdditionRqstTDD, "id-CCTrCH-Maximum-DL-Power-RL-AdditionRqstTDD" },
  { id_CCTrCH_Minimum_DL_Power_RL_AdditionRqstTDD, "id-CCTrCH-Minimum-DL-Power-RL-AdditionRqstTDD" },
  { id_CCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD, "id-CCTrCH-Maximum-DL-Power-InformationAdd-RL-ReconfPrepTDD" },
  { id_CCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD, "id-CCTrCH-Minimum-DL-Power-InformationAdd-RL-ReconfPrepTDD" },
  { id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD, "id-CCTrCH-Maximum-DL-Power-InformationModify-RL-ReconfPrepTDD" },
  { id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD, "id-CCTrCH-Minimum-DL-Power-InformationModify-RL-ReconfPrepTDD" },
  { id_Maximum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD, "id-Maximum-DL-Power-Modify-LCR-InformationModify-RL-ReconfPrepTDD" },
  { id_Minimum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD, "id-Minimum-DL-Power-Modify-LCR-InformationModify-RL-ReconfPrepTDD" },
  { id_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD, "id-DL-DPCH-LCR-InformationModify-ModifyList-RL-ReconfRqstTDD" },
  { id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD, "id-CCTrCH-Maximum-DL-Power-InformationModify-RL-ReconfRqstTDD" },
  { id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD, "id-CCTrCH-Minimum-DL-Power-InformationModify-RL-ReconfRqstTDD" },
  { id_Initial_DL_Power_TimeslotLCR_InformationItem, "id-Initial-DL-Power-TimeslotLCR-InformationItem" },
  { id_Maximum_DL_Power_TimeslotLCR_InformationItem, "id-Maximum-DL-Power-TimeslotLCR-InformationItem" },
  { id_Minimum_DL_Power_TimeslotLCR_InformationItem, "id-Minimum-DL-Power-TimeslotLCR-InformationItem" },
  { id_HS_DSCHProvidedBitRateValueInformation, "id-HS-DSCHProvidedBitRateValueInformation" },
  { id_HS_DSCHRequiredPowerValueInformation, "id-HS-DSCHRequiredPowerValueInformation" },
  { id_HS_DSCHRequiredPowerValue, "id-HS-DSCHRequiredPowerValue" },
  { id_TransmittedCarrierPowerOfAllCodesNotUsedForHS_PDSCHOrHS_SCCHTransmission, "id-TransmittedCarrierPowerOfAllCodesNotUsedForHS-PDSCHOrHS-SCCHTransmission" },
  { id_HS_SICH_Reception_Quality, "id-HS-SICH-Reception-Quality" },
  { id_HS_SICH_Reception_Quality_Measurement_Value, "id-HS-SICH-Reception-Quality-Measurement-Value" },
  { id_HSSICH_Info_DM_Rprt, "id-HSSICH-Info-DM-Rprt" },
  { id_HSSICH_Info_DM_Rqst, "id-HSSICH-Info-DM-Rqst" },
  { id_HSSICH_Info_DM_Rsp, "id-HSSICH-Info-DM-Rsp" },
  { id_Best_Cell_Portions_Value, "id-Best-Cell-Portions-Value" },
  { id_Primary_CPICH_Usage_for_Channel_Estimation, "id-Primary-CPICH-Usage-for-Channel-Estimation" },
  { id_Secondary_CPICH_Information_Change, "id-Secondary-CPICH-Information-Change" },
  { id_NumberOfReportedCellPortions, "id-NumberOfReportedCellPortions" },
  { id_TimeslotISCP_LCR_InfoList_RL_ReconfPrepTDD, "id-TimeslotISCP-LCR-InfoList-RL-ReconfPrepTDD" },
  { id_Unidirectional_DCH_Indicator, "id-Unidirectional-DCH-Indicator" },
  { id_TimingAdjustmentValueLCR, "id-TimingAdjustmentValueLCR" },
  { id_multipleRL_dl_DPCH_InformationList, "id-multipleRL-dl-DPCH-InformationList" },
  { id_multipleRL_dl_DPCH_InformationModifyList, "id-multipleRL-dl-DPCH-InformationModifyList" },
  { id_multipleRL_ul_DPCH_InformationList, "id-multipleRL-ul-DPCH-InformationList" },
  { id_multipleRL_ul_DPCH_InformationModifyList, "id-multipleRL-ul-DPCH-InformationModifyList" },
  { id_RL_ID, "id-RL-ID" },
  { id_SAT_Info_Almanac_ExtItem, "id-SAT-Info-Almanac-ExtItem" },
  { id_HSDPA_Capability, "id-HSDPA-Capability" },
  { id_HSDSCH_Resources_Information_AuditRsp, "id-HSDSCH-Resources-Information-AuditRsp" },
  { id_HSDSCH_Resources_Information_ResourceStatusInd, "id-HSDSCH-Resources-Information-ResourceStatusInd" },
  { id_HSDSCH_MACdFlows_to_Add, "id-HSDSCH-MACdFlows-to-Add" },
  { id_HSDSCH_MACdFlows_to_Delete, "id-HSDSCH-MACdFlows-to-Delete" },
  { id_HSDSCH_Information_to_Modify_Unsynchronised, "id-HSDSCH-Information-to-Modify-Unsynchronised" },
  { id_TnlQos, "id-TnlQos" },
  { id_PrimaryCCPCH_RSCP_Delta, "id-PrimaryCCPCH-RSCP-Delta" },
  { id_Tstd_indicator, "id-Tstd-indicator" },
  { id_multiple_RL_Information_RL_ReconfPrepTDD, "id-multiple-RL-Information-RL-ReconfPrepTDD" },
  { id_multiple_RL_Information_RL_ReconfRqstTDD, "id-multiple-RL-Information-RL-ReconfRqstTDD" },
  { id_UpPTSInterferenceValue, "id-UpPTSInterferenceValue" },
  { id_Additional_S_CCPCH_LCR_Parameters_CTCH_ReconfRqstTDD, "id-Additional-S-CCPCH-LCR-Parameters-CTCH-ReconfRqstTDD" },
  { id_Additional_S_CCPCH_LCR_Parameters_CTCH_SetupRqstTDD, "id-Additional-S-CCPCH-LCR-Parameters-CTCH-SetupRqstTDD" },
  { id_MICH_CFN, "id-MICH-CFN" },
  { id_MICH_Information_AuditRsp, "id-MICH-Information-AuditRsp" },
  { id_MICH_Information_ResourceStatusInd, "id-MICH-Information-ResourceStatusInd" },
  { id_MICH_Parameters_CTCH_ReconfRqstTDD, "id-MICH-Parameters-CTCH-ReconfRqstTDD" },
  { id_MICH_Parameters_CTCH_SetupRqstTDD, "id-MICH-Parameters-CTCH-SetupRqstTDD" },
  { id_Modification_Period, "id-Modification-Period" },
  { id_NI_Information_NotifUpdateCmd, "id-NI-Information-NotifUpdateCmd" },
  { id_S_CCPCH_LCR_InformationListExt_AuditRsp, "id-S-CCPCH-LCR-InformationListExt-AuditRsp" },
  { id_S_CCPCH_LCR_InformationListExt_ResourceStatusInd, "id-S-CCPCH-LCR-InformationListExt-ResourceStatusInd" },
  { id_multipleRL_dl_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, "id-multipleRL-dl-CCTrCH-InformationModifyList-RL-ReconfRqstTDD" },
  { id_HSSICH_SIRTarget, "id-HSSICH-SIRTarget" },
  { id_multiple_HSSICHMeasurementValueList_TDD_DM_Rsp, "id-multiple-HSSICHMeasurementValueList-TDD-DM-Rsp" },
  { id_HSSICH_TPC_StepSize, "id-HSSICH-TPC-StepSize" },
  { id_BroadcastReference, "id-BroadcastReference" },
  { id_BroadcastCommonTransportBearerIndication, "id-BroadcastCommonTransportBearerIndication" },
  { id_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp, "id-Cell-Frequency-List-Information-LCR-MulFreq-AuditRsp" },
  { id_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp, "id-Cell-Frequency-List-InformationItem-LCR-MulFreq-AuditRsp" },
  { id_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD, "id-Cell-Frequency-List-LCR-MulFreq-Cell-SetupRqstTDD" },
  { id_URAFCN_Adjustment, "id-URAFCN-Adjustment" },
  { id_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd, "id-Cell-Frequency-List-Information-LCR-MulFreq-ResourceStatusInd" },
  { id_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd, "id-Cell-Frequency-List-InformationItem-LCR-MulFreq-ResourceStatusInd" },
  { id_UPPCHPositionLCR, "id-UPPCHPositionLCR" },
  { id_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD, "id-UPPCH-LCR-Parameters-CTCH-ReconfRqstTDD" },
  { id_UPPCH_LCR_InformationList_AuditRsp, "id-UPPCH-LCR-InformationList-AuditRsp" },
  { id_UPPCH_LCR_InformationItem_AuditRsp, "id-UPPCH-LCR-InformationItem-AuditRsp" },
  { id_UPPCH_LCR_InformationList_ResourceStatusInd, "id-UPPCH-LCR-InformationList-ResourceStatusInd" },
  { id_UPPCH_LCR_InformationItem_ResourceStatusInd, "id-UPPCH-LCR-InformationItem-ResourceStatusInd" },
  { id_multipleFreq_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, "id-multipleFreq-dL-HS-PDSCH-Timeslot-Information-LCR-PSCH-ReconfRqst" },
  { id_number_Of_Supported_Carriers, "id-number-Of-Supported-Carriers" },
  { id_multipleFreq_HSPDSCH_InformationList_ResponseTDDLCR, "id-multipleFreq-HSPDSCH-InformationList-ResponseTDDLCR" },
  { id_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD, "id-Unsuccessful-UARFCNItem-PSCH-ReconfFailureTDD" },
  { id_multipleFreq_HS_DSCH_Resources_InformationList_AuditRsp, "id-multipleFreq-HS-DSCH-Resources-InformationList-AuditRsp" },
  { id_multipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd, "id-multipleFreq-HS-DSCH-Resources-InformationList-ResourceStatusInd" },
  { id_UARFCNSpecificCauseList, "id-UARFCNSpecificCauseList" },
  { id_tSN_Length, "id-tSN-Length" },
  { id_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst, "id-MultipleFreq-DL-HS-PDSCH-Timeslot-Information-LCRItem-PSCH-ReconfRqst" },
  { id_LCRTDD_uplink_Physical_Channel_Capability, "id-LCRTDD-uplink-Physical-Channel-Capability" },
  { id_PowerControlGAP, "id-PowerControlGAP" },
  { id_multicarrier_number, "id-multicarrier-number" },
  { id_Additional_failed_HS_SICH, "id-Additional-failed-HS-SICH" },
  { id_Additional_missed_HS_SICH, "id-Additional-missed-HS-SICH" },
  { id_Additional_total_HS_SICH, "id-Additional-total-HS-SICH" },
  { id_Additional_HS_SICH_Reception_Quality_Measurement_Value, "id-Additional-HS-SICH-Reception-Quality-Measurement-Value" },
  { id_Utn_Timeslot, "id-Utn-Timeslot" },
  { 0, NULL }
};


static int
dissect_nbap_ProtocolIE_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxProtocolIEs, &ProtocolIE_ID, FALSE);

#line 63 "nbap.cnf"
  if (tree) {
    proto_item_append_text(proto_item_get_parent_nth(actx->created_item, 2), ": %s", val_to_str(ProtocolIE_ID, VALS(nbap_ProtocolIE_ID_vals), "unknown (%d)"));
  }

  return offset;
}



static int
dissect_nbap_ProtocolIE_Field_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type_pdu_new(tvb, offset, actx, tree, hf_index, dissect_ProtocolIEFieldValue);

  return offset;
}


static const per_sequence_t ProtocolIE_Field_sequence[] = {
  { &hf_nbap_id             , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_ID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_value_04       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Field_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ProtocolIE_Field(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ProtocolIE_Field, ProtocolIE_Field_sequence);

  return offset;
}


static const per_sequence_t ProtocolIE_Container_sequence_of[1] = {
  { &hf_nbap_ProtocolIE_Container_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Field },
};

static int
dissect_nbap_ProtocolIE_Container(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_ProtocolIE_Container, ProtocolIE_Container_sequence_of,
                                                  0, maxProtocolIEs);

  return offset;
}



static int
dissect_nbap_T_extensionValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type_pdu_new(tvb, offset, actx, tree, hf_index, dissect_ProtocolExtensionFieldExtensionValue);

  return offset;
}


static const per_sequence_t ProtocolExtensionField_sequence[] = {
  { &hf_nbap_id             , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_ID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_extensionValue , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_T_extensionValue },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ProtocolExtensionField(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ProtocolExtensionField, ProtocolExtensionField_sequence);

  return offset;
}


static const per_sequence_t ProtocolExtensionContainer_sequence_of[1] = {
  { &hf_nbap_ProtocolExtensionContainer_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolExtensionField },
};

static int
dissect_nbap_ProtocolExtensionContainer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_ProtocolExtensionContainer, ProtocolExtensionContainer_sequence_of,
                                                  1, maxProtocolExtensions);

  return offset;
}


static const per_sequence_t CommonTransportChannelSetupRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelSetupRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelSetupRequestFDD, CommonTransportChannelSetupRequestFDD_sequence);

  return offset;
}



static int
dissect_nbap_CommonPhysicalChannelID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_FDD_S_CCPCH_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 149U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_DL_ScramblingCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_FDD_DL_ChannelisationCodeNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_15(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_63(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_255(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_4095(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_65535(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_maxCTFC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxCTFC, NULL, FALSE);

  return offset;
}


static const value_string nbap_TFCS_CTFC_vals[] = {
  {   0, "ctfc2bit" },
  {   1, "ctfc4bit" },
  {   2, "ctfc6bit" },
  {   3, "ctfc8bit" },
  {   4, "ctfc12bit" },
  {   5, "ctfc16bit" },
  {   6, "ctfcmaxbit" },
  { 0, NULL }
};

static const per_choice_t TFCS_CTFC_choice[] = {
  {   0, &hf_nbap_ctfc2bit       , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_3 },
  {   1, &hf_nbap_ctfc4bit       , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_15 },
  {   2, &hf_nbap_ctfc6bit       , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_63 },
  {   3, &hf_nbap_ctfc8bit       , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_255 },
  {   4, &hf_nbap_ctfc12bit      , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_4095 },
  {   5, &hf_nbap_ctfc16bit      , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_65535 },
  {   6, &hf_nbap_ctfcmaxbit     , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_maxCTFC },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TFCS_CTFC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TFCS_CTFC, TFCS_CTFC_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_BetaCD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_fdd_sequence[] = {
  { &hf_nbap_betaC          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BetaCD },
  { &hf_nbap_betaD          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BetaCD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_T_fdd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_T_fdd, T_fdd_sequence);

  return offset;
}


static const value_string nbap_T_gainFactor_vals[] = {
  {   0, "fdd" },
  {   1, "tdd" },
  { 0, NULL }
};

static const per_choice_t T_gainFactor_choice[] = {
  {   0, &hf_nbap_fdd            , ASN1_EXTENSION_ROOT    , dissect_nbap_T_fdd },
  {   1, &hf_nbap_tdd            , ASN1_EXTENSION_ROOT    , dissect_nbap_BetaCD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_T_gainFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_T_gainFactor, T_gainFactor_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_RefTFCNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}


static const per_sequence_t T_signalledGainFactors_sequence[] = {
  { &hf_nbap_gainFactor     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_gainFactor },
  { &hf_nbap_refTFCNumber   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RefTFCNumber },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_T_signalledGainFactors(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_T_signalledGainFactors, T_signalledGainFactors_sequence);

  return offset;
}


static const value_string nbap_TransportFormatCombination_Beta_vals[] = {
  {   0, "signalledGainFactors" },
  {   1, "computedGainFactors" },
  { 0, NULL }
};

static const per_choice_t TransportFormatCombination_Beta_choice[] = {
  {   0, &hf_nbap_signalledGainFactors, ASN1_EXTENSION_ROOT    , dissect_nbap_T_signalledGainFactors },
  {   1, &hf_nbap_computedGainFactors, ASN1_EXTENSION_ROOT    , dissect_nbap_RefTFCNumber },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TransportFormatCombination_Beta(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TransportFormatCombination_Beta, TransportFormatCombination_Beta_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t TFCS_TFCSList_item_sequence[] = {
  { &hf_nbap_cTFC           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS_CTFC },
  { &hf_nbap_tFC_Beta       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatCombination_Beta },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TFCS_TFCSList_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TFCS_TFCSList_item, TFCS_TFCSList_item_sequence);

  return offset;
}


static const per_sequence_t TFCS_TFCSList_sequence_of[1] = {
  { &hf_nbap_TFCS_TFCSList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS_TFCSList_item },
};

static int
dissect_nbap_TFCS_TFCSList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TFCS_TFCSList, TFCS_TFCSList_sequence_of,
                                                  1, maxNrOfTFCs);

  return offset;
}



static int
dissect_nbap_NULL(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_T_tFCSvalues_vals[] = {
  {   0, "always-Used-no-Split-in-TFCI" },
  {   1, "not-Used-split-in-TFCI" },
  { 0, NULL }
};

static const per_choice_t T_tFCSvalues_choice[] = {
  {   0, &hf_nbap_always_Used_no_Split_in_TFCI, ASN1_EXTENSION_ROOT    , dissect_nbap_TFCS_TFCSList },
  {   1, &hf_nbap_not_Used_split_in_TFCI, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_T_tFCSvalues(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_T_tFCSvalues, T_tFCSvalues_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t TFCS_sequence[] = {
  { &hf_nbap_tFCSvalues     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_tFCSvalues },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TFCS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TFCS, TFCS_sequence);

  return offset;
}



static int
dissect_nbap_SecondaryCCPCH_SlotFormat(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 17U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TFCI_Presence_vals[] = {
  {   0, "present" },
  {   1, "not-present" },
  { 0, NULL }
};


static int
dissect_nbap_TFCI_Presence(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_MultiplexingPosition_vals[] = {
  {   0, "fixed" },
  {   1, "flexible" },
  { 0, NULL }
};


static int
dissect_nbap_MultiplexingPosition(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_PowerOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 24U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PowerOffsetInformation_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_pO1_ForTFCI_Bits, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffset },
  { &hf_nbap_pO3_ForPilotBits, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PowerOffsetInformation_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PowerOffsetInformation_CTCH_SetupRqstFDD, PowerOffsetInformation_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const value_string nbap_STTD_Indicator_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_STTD_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_ProtocolIE_Single_Container(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Field(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_FACH_ParametersList_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PCH_Parameters_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_fdd_S_CCPCH_Offset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_S_CCPCH_Offset },
  { &hf_nbap_dl_ScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_ScramblingCode },
  { &hf_nbap_fdd_DL_ChannelisationCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_ChannelisationCodeNumber },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_secondary_CCPCH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SecondaryCCPCH_SlotFormat },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_multiplexingPosition, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MultiplexingPosition },
  { &hf_nbap_powerOffsetInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffsetInformation_CTCH_SetupRqstFDD },
  { &hf_nbap_sTTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_STTD_Indicator },
  { &hf_nbap_fACH_Parameters, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FACH_ParametersList_CTCH_SetupRqstFDD },
  { &hf_nbap_pCH_Parameters , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCH_Parameters_CTCH_SetupRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCH_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCH_CTCH_SetupRqstFDD, Secondary_CCPCH_CTCH_SetupRqstFDD_sequence);

  return offset;
}



static int
dissect_nbap_ScramblingCodeNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PreambleSignatures(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL);

  return offset;
}


static const value_string nbap_RACH_SlotFormat_vals[] = {
  {   0, "v0" },
  {   1, "v1" },
  {   2, "v2" },
  {   3, "v3" },
  { 0, NULL }
};


static int
dissect_nbap_RACH_SlotFormat(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_rACHSlotFormat , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_SlotFormat },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD, AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_sequence_of[1] = {
  { &hf_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD },
};

static int
dissect_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD, AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_sequence_of,
                                                  1, maxNrOfSlotFormatsPRACH);

  return offset;
}



static int
dissect_nbap_RACH_SubChannelNumbers(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     12, 12, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_PunctureLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PreambleThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 72U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_RACH_Parameters_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_AICH_TransmissionTiming_vals[] = {
  {   0, "v0" },
  {   1, "v1" },
  { 0, NULL }
};


static int
dissect_nbap_AICH_TransmissionTiming(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_AICH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -22, 5U, NULL, FALSE);

  return offset;
}


static const per_sequence_t AICH_Parameters_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_aICH_TransmissionTiming, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AICH_TransmissionTiming },
  { &hf_nbap_fdd_dl_ChannelisationCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_ChannelisationCodeNumber },
  { &hf_nbap_aICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AICH_Power },
  { &hf_nbap_sTTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_STTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AICH_Parameters_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AICH_Parameters_CTCH_SetupRqstFDD, AICH_Parameters_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PRACH_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_scramblingCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ScramblingCodeNumber },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_preambleSignatures, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PreambleSignatures },
  { &hf_nbap_allowedSlotFormatInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD },
  { &hf_nbap_rACH_SubChannelNumbers, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_SubChannelNumbers },
  { &hf_nbap_ul_punctureLimit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_preambleThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PreambleThreshold },
  { &hf_nbap_rACH_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_Parameters_CTCH_SetupRqstFDD },
  { &hf_nbap_aICH_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AICH_Parameters_CTCH_SetupRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACH_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACH_CTCH_SetupRqstFDD, PRACH_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const value_string nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD_vals[] = {
  {   0, "secondary-CCPCH-parameters" },
  {   1, "pRACH-parameters" },
  {   2, "notUsed-pCPCHes-parameters" },
  { 0, NULL }
};

static const per_choice_t CommonPhysicalChannelType_CTCH_SetupRqstFDD_choice[] = {
  {   0, &hf_nbap_secondary_CCPCH_parameters, ASN1_EXTENSION_ROOT    , dissect_nbap_Secondary_CCPCH_CTCH_SetupRqstFDD },
  {   1, &hf_nbap_pRACH_parameters, ASN1_EXTENSION_ROOT    , dissect_nbap_PRACH_CTCH_SetupRqstFDD },
  {   2, &hf_nbap_notUsed_pCPCHes_parameters, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD, CommonPhysicalChannelType_CTCH_SetupRqstFDD_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_CommonTransportChannelID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TransportFormatSet_NrOfTransportBlocks(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 512U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TransportFormatSet_TransportBlockSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 5000U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TransportFormatSet_TransmissionTimeIntervalDynamic_vals[] = {
  {   0, "msec-10" },
  {   1, "msec-20" },
  {   2, "msec-40" },
  {   3, "msec-80" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_TransmissionTimeIntervalDynamic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t TransmissionTimeIntervalInformation_item_sequence[] = {
  { &hf_nbap_transmissionTimeInterval, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_TransmissionTimeIntervalDynamic },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TransmissionTimeIntervalInformation_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TransmissionTimeIntervalInformation_item, TransmissionTimeIntervalInformation_item_sequence);

  return offset;
}


static const per_sequence_t TransmissionTimeIntervalInformation_sequence_of[1] = {
  { &hf_nbap_TransmissionTimeIntervalInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransmissionTimeIntervalInformation_item },
};

static int
dissect_nbap_TransmissionTimeIntervalInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TransmissionTimeIntervalInformation, TransmissionTimeIntervalInformation_sequence_of,
                                                  1, maxTTI_count);

  return offset;
}


static const per_sequence_t TDD_TransportFormatSet_ModeDP_sequence[] = {
  { &hf_nbap_transmissionTimeIntervalInformation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransmissionTimeIntervalInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_TransportFormatSet_ModeDP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_TransportFormatSet_ModeDP, TDD_TransportFormatSet_ModeDP_sequence);

  return offset;
}


static const value_string nbap_TransportFormatSet_ModeDP_vals[] = {
  {   0, "tdd" },
  {   1, "notApplicable" },
  { 0, NULL }
};

static const per_choice_t TransportFormatSet_ModeDP_choice[] = {
  {   0, &hf_nbap_tdd_01         , ASN1_EXTENSION_ROOT    , dissect_nbap_TDD_TransportFormatSet_ModeDP },
  {   1, &hf_nbap_notApplicable  , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TransportFormatSet_ModeDP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TransportFormatSet_ModeDP, TransportFormatSet_ModeDP_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t TransportFormatSet_DynamicPartList_item_sequence[] = {
  { &hf_nbap_nrOfTransportBlocks, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_NrOfTransportBlocks },
  { &hf_nbap_transportBlockSize, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet_TransportBlockSize },
  { &hf_nbap_mode           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_ModeDP },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TransportFormatSet_DynamicPartList_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TransportFormatSet_DynamicPartList_item, TransportFormatSet_DynamicPartList_item_sequence);

  return offset;
}


static const per_sequence_t TransportFormatSet_DynamicPartList_sequence_of[1] = {
  { &hf_nbap_TransportFormatSet_DynamicPartList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_DynamicPartList_item },
};

static int
dissect_nbap_TransportFormatSet_DynamicPartList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TransportFormatSet_DynamicPartList, TransportFormatSet_DynamicPartList_sequence_of,
                                                  1, maxNrOfTFs);

  return offset;
}


static const value_string nbap_TransportFormatSet_TransmissionTimeIntervalSemiStatic_vals[] = {
  {   0, "msec-10" },
  {   1, "msec-20" },
  {   2, "msec-40" },
  {   3, "msec-80" },
  {   4, "dynamic" },
  {   5, "msec-5" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_TransmissionTimeIntervalSemiStatic(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 1, NULL);

  return offset;
}


static const value_string nbap_TransportFormatSet_ChannelCodingType_vals[] = {
  {   0, "no-codingTDD" },
  {   1, "convolutional-coding" },
  {   2, "turbo-coding" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_ChannelCodingType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TransportFormatSet_CodingRate_vals[] = {
  {   0, "half" },
  {   1, "third" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_CodingRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_TransportFormatSet_RateMatchingAttribute(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxRateMatching, NULL, FALSE);

  return offset;
}


static const value_string nbap_TransportFormatSet_CRC_Size_vals[] = {
  {   0, "v0" },
  {   1, "v8" },
  {   2, "v12" },
  {   3, "v16" },
  {   4, "v24" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_CRC_Size(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TransportFormatSet_SecondInterleavingMode_vals[] = {
  {   0, "frame-related" },
  {   1, "timeSlot-related" },
  { 0, NULL }
};


static int
dissect_nbap_TransportFormatSet_SecondInterleavingMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TransportFormatSet_ModeSSP_vals[] = {
  {   0, "tdd" },
  {   1, "notApplicable" },
  { 0, NULL }
};

static const per_choice_t TransportFormatSet_ModeSSP_choice[] = {
  {   0, &hf_nbap_tdd_02         , ASN1_EXTENSION_ROOT    , dissect_nbap_TransportFormatSet_SecondInterleavingMode },
  {   1, &hf_nbap_notApplicable  , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TransportFormatSet_ModeSSP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TransportFormatSet_ModeSSP, TransportFormatSet_ModeSSP_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t TransportFormatSet_Semi_staticPart_sequence[] = {
  { &hf_nbap_transmissionTimeInterval_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_TransmissionTimeIntervalSemiStatic },
  { &hf_nbap_channelCoding  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_ChannelCodingType },
  { &hf_nbap_codingRate     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet_CodingRate },
  { &hf_nbap_rateMatchingAttribute, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_RateMatchingAttribute },
  { &hf_nbap_cRC_Size       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_CRC_Size },
  { &hf_nbap_mode_01        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_ModeSSP },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TransportFormatSet_Semi_staticPart(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TransportFormatSet_Semi_staticPart, TransportFormatSet_Semi_staticPart_sequence);

  return offset;
}


static const per_sequence_t TransportFormatSet_sequence[] = {
  { &hf_nbap_dynamicParts   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_DynamicPartList },
  { &hf_nbap_semi_staticPart, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet_Semi_staticPart },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TransportFormatSet(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TransportFormatSet, TransportFormatSet_sequence);

  return offset;
}



static int
dissect_nbap_ToAWS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1279U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_ToAWE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 2559U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_DL_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -350, 150U, NULL, FALSE);

  return offset;
}


static const per_sequence_t FACH_ParametersItem_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_maxFACH_Power  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FACH_ParametersItem_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FACH_ParametersItem_CTCH_SetupRqstFDD, FACH_ParametersItem_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t FACH_ParametersListIE_CTCH_SetupRqstFDD_sequence_of[1] = {
  { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FACH_ParametersItem_CTCH_SetupRqstFDD },
};

static int
dissect_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD, FACH_ParametersListIE_CTCH_SetupRqstFDD_sequence_of,
                                                  1, maxNrOfFACHs);

  return offset;
}



static int
dissect_nbap_PICH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -10, 5U, NULL, FALSE);

  return offset;
}


static const value_string nbap_PICH_Mode_vals[] = {
  {   0, "v18" },
  {   1, "v36" },
  {   2, "v72" },
  {   3, "v144" },
  { 0, NULL }
};


static int
dissect_nbap_PICH_Mode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t PICH_Parameters_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_fdd_dl_ChannelisationCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_ChannelisationCodeNumber },
  { &hf_nbap_pICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Power },
  { &hf_nbap_pICH_Mode      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Mode },
  { &hf_nbap_sTTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_STTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PICH_Parameters_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PICH_Parameters_CTCH_SetupRqstFDD, PICH_Parameters_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PCH_ParametersItem_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_pCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_pICH_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Parameters_CTCH_SetupRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD, PCH_ParametersItem_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t RACH_ParametersItem_CTCH_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD, RACH_ParametersItem_CTCH_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelSetupRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelSetupRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelSetupRequestTDD, CommonTransportChannelSetupRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_CCTrCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TFCI_Coding_vals[] = {
  {   0, "v4" },
  {   1, "v8" },
  {   2, "v16" },
  {   3, "v32" },
  { 0, NULL }
};


static int
dissect_nbap_TFCI_Coding(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_Secondary_CCPCH_parameterList_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_FACH_ParametersList_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PCH_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_sCCPCH_CCTrCH_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_secondaryCCPCH_parameterList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCH_parameterList_CTCH_SetupRqstTDD },
  { &hf_nbap_fACH_ParametersList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FACH_ParametersList_CTCH_SetupRqstTDD },
  { &hf_nbap_pCH_Parameters_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCH_Parameters_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCH_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCH_CTCH_SetupRqstTDD, Secondary_CCPCH_CTCH_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_PRACH_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PRACH_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_pRACH_Parameters_CTCH_SetupRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PRACH_Parameters_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACH_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACH_CTCH_SetupRqstTDD, PRACH_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD_vals[] = {
  {   0, "secondary-CCPCH-parameters" },
  {   1, "pRACH-parameters" },
  { 0, NULL }
};

static const per_choice_t CommonPhysicalChannelType_CTCH_SetupRqstTDD_choice[] = {
  {   0, &hf_nbap_secondary_CCPCH_parameters_01, ASN1_EXTENSION_ROOT    , dissect_nbap_Secondary_CCPCH_CTCH_SetupRqstTDD },
  {   1, &hf_nbap_pRACH_parameters_01, ASN1_EXTENSION_ROOT    , dissect_nbap_PRACH_CTCH_SetupRqstTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD, CommonPhysicalChannelType_CTCH_SetupRqstTDD_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_TimeSlotLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 6U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_CellParameterID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, TRUE);

  return offset;
}


static const per_sequence_t UTN_TimeslotItem_sequence[] = {
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_uTN_Time_Slot_Parameter_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellParameterID },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UTN_TimeslotItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UTN_TimeslotItem, UTN_TimeslotItem_sequence);

  return offset;
}


static const per_sequence_t UTN_Timeslot_sequence_of[1] = {
  { &hf_nbap_UTN_Timeslot_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UTN_TimeslotItem },
};

static int
dissect_nbap_UTN_Timeslot(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UTN_Timeslot, UTN_Timeslot_sequence_of,
                                                  1, 7);

  return offset;
}


static const value_string nbap_TDD_ChannelisationCode_vals[] = {
  {   0, "chCode1div1" },
  {   1, "chCode2div1" },
  {   2, "chCode2div2" },
  {   3, "chCode4div1" },
  {   4, "chCode4div2" },
  {   5, "chCode4div3" },
  {   6, "chCode4div4" },
  {   7, "chCode8div1" },
  {   8, "chCode8div2" },
  {   9, "chCode8div3" },
  {  10, "chCode8div4" },
  {  11, "chCode8div5" },
  {  12, "chCode8div6" },
  {  13, "chCode8div7" },
  {  14, "chCode8div8" },
  {  15, "chCode16div1" },
  {  16, "chCode16div2" },
  {  17, "chCode16div3" },
  {  18, "chCode16div4" },
  {  19, "chCode16div5" },
  {  20, "chCode16div6" },
  {  21, "chCode16div7" },
  {  22, "chCode16div8" },
  {  23, "chCode16div9" },
  {  24, "chCode16div10" },
  {  25, "chCode16div11" },
  {  26, "chCode16div12" },
  {  27, "chCode16div13" },
  {  28, "chCode16div14" },
  {  29, "chCode16div15" },
  {  30, "chCode16div16" },
  { 0, NULL }
};


static int
dissect_nbap_TDD_ChannelisationCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     31, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_TimeSlot(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 14U, NULL, FALSE);

  return offset;
}


static const value_string nbap_MidambleConfigurationBurstType1And3_vals[] = {
  {   0, "v4" },
  {   1, "v8" },
  {   2, "v16" },
  { 0, NULL }
};


static int
dissect_nbap_MidambleConfigurationBurstType1And3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MidambleShiftLong(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const value_string nbap_MidambleAllocationMode1_vals[] = {
  {   0, "defaultMidamble" },
  {   1, "commonMidamble" },
  {   2, "ueSpecificMidamble" },
  { 0, NULL }
};

static const per_choice_t MidambleAllocationMode1_choice[] = {
  {   0, &hf_nbap_defaultMidamble, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   1, &hf_nbap_commonMidamble , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   2, &hf_nbap_ueSpecificMidamble, ASN1_EXTENSION_ROOT    , dissect_nbap_MidambleShiftLong },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_MidambleAllocationMode1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_MidambleAllocationMode1, MidambleAllocationMode1_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Type1_sequence[] = {
  { &hf_nbap_midambleConfigurationBurstType1And3, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleConfigurationBurstType1And3 },
  { &hf_nbap_midambleAllocationMode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleAllocationMode1 },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Type1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Type1, Type1_sequence);

  return offset;
}


static const value_string nbap_MidambleConfigurationBurstType2_vals[] = {
  {   0, "v3" },
  {   1, "v6" },
  { 0, NULL }
};


static int
dissect_nbap_MidambleConfigurationBurstType2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MidambleShiftShort(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 5U, NULL, FALSE);

  return offset;
}


static const value_string nbap_MidambleAllocationMode2_vals[] = {
  {   0, "defaultMidamble" },
  {   1, "commonMidamble" },
  {   2, "ueSpecificMidamble" },
  { 0, NULL }
};

static const per_choice_t MidambleAllocationMode2_choice[] = {
  {   0, &hf_nbap_defaultMidamble, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   1, &hf_nbap_commonMidamble , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   2, &hf_nbap_ueSpecificMidamble_01, ASN1_EXTENSION_ROOT    , dissect_nbap_MidambleShiftShort },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_MidambleAllocationMode2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_MidambleAllocationMode2, MidambleAllocationMode2_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Type2_sequence[] = {
  { &hf_nbap_midambleConfigurationBurstType2, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleConfigurationBurstType2 },
  { &hf_nbap_midambleAllocationMode_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleAllocationMode2 },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Type2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Type2, Type2_sequence);

  return offset;
}


static const value_string nbap_MidambleAllocationMode3_vals[] = {
  {   0, "defaultMidamble" },
  {   1, "ueSpecificMidamble" },
  { 0, NULL }
};

static const per_choice_t MidambleAllocationMode3_choice[] = {
  {   0, &hf_nbap_defaultMidamble, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   1, &hf_nbap_ueSpecificMidamble, ASN1_EXTENSION_ROOT    , dissect_nbap_MidambleShiftLong },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_MidambleAllocationMode3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_MidambleAllocationMode3, MidambleAllocationMode3_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Type3_sequence[] = {
  { &hf_nbap_midambleConfigurationBurstType1And3, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleConfigurationBurstType1And3 },
  { &hf_nbap_midambleAllocationMode_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleAllocationMode3 },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Type3(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Type3, Type3_sequence);

  return offset;
}


static const value_string nbap_MidambleShiftAndBurstType_vals[] = {
  {   0, "type1" },
  {   1, "type2" },
  {   2, "type3" },
  { 0, NULL }
};

static const per_choice_t MidambleShiftAndBurstType_choice[] = {
  {   0, &hf_nbap_type1          , ASN1_EXTENSION_ROOT    , dissect_nbap_Type1 },
  {   1, &hf_nbap_type2          , ASN1_EXTENSION_ROOT    , dissect_nbap_Type2 },
  {   2, &hf_nbap_type3          , ASN1_EXTENSION_ROOT    , dissect_nbap_Type3 },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_MidambleShiftAndBurstType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_MidambleShiftAndBurstType, MidambleShiftAndBurstType_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_TDD_PhysicalChannelOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}


static const value_string nbap_RepetitionPeriod_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v64" },
  { 0, NULL }
};


static int
dissect_nbap_RepetitionPeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_RepetitionLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 63U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_timeslot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftandBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_s_CCPCH_Power  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD, Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD },
};

static int
dissect_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD, Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfSCCPCHs);

  return offset;
}


static const per_sequence_t FACH_ParametersItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_fACH_CCTrCH_ID , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FACH_ParametersItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FACH_ParametersItem_CTCH_SetupRqstTDD, FACH_ParametersItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t FACH_ParametersListIE_CTCH_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FACH_ParametersItem_CTCH_SetupRqstTDD },
};

static int
dissect_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD, FACH_ParametersListIE_CTCH_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfFACHs);

  return offset;
}



static int
dissect_nbap_PICH_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PCH_ParametersItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_pCH_CCTrCH_ID  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_pICH_Parameters_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Parameters_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD, PCH_ParametersItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_PagingIndicatorLength_vals[] = {
  {   0, "v2" },
  {   1, "v4" },
  {   2, "v8" },
  { 0, NULL }
};


static int
dissect_nbap_PagingIndicatorLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t PICH_ParametersItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleshiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_pagingIndicatorLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PagingIndicatorLength },
  { &hf_nbap_pICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD, PICH_ParametersItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_Modulation_vals[] = {
  {   0, "qPSK" },
  {   1, "eightPSK" },
  { 0, NULL }
};


static int
dissect_nbap_Modulation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t TDD_ChannelisationCodeLCR_sequence[] = {
  { &hf_nbap_tDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_modulation     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Modulation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_ChannelisationCodeLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_ChannelisationCodeLCR, TDD_ChannelisationCodeLCR_sequence);

  return offset;
}


static const value_string nbap_MidambleAllocationMode_vals[] = {
  {   0, "defaultMidamble" },
  {   1, "commonMidamble" },
  {   2, "uESpecificMidamble" },
  { 0, NULL }
};


static int
dissect_nbap_MidambleAllocationMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_MidambleConfigurationLCR_vals[] = {
  {   0, "v2" },
  {   1, "v4" },
  {   2, "v6" },
  {   3, "v8" },
  {   4, "v10" },
  {   5, "v12" },
  {   6, "v14" },
  {   7, "v16" },
  { 0, NULL }
};


static int
dissect_nbap_MidambleConfigurationLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t MidambleShiftLCR_sequence[] = {
  { &hf_nbap_midambleAllocationMode_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleAllocationMode },
  { &hf_nbap_midambleShift  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLong },
  { &hf_nbap_midambleConfigurationLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleConfigurationLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MidambleShiftLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MidambleShiftLCR, MidambleShiftLCR_sequence);

  return offset;
}


static const per_sequence_t PICH_LCR_Parameters_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_pagingIndicatorLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PagingIndicatorLength },
  { &hf_nbap_pICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Power },
  { &hf_nbap_second_TDD_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD, PICH_LCR_Parameters_CTCH_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_QPSK_DL_DPCH_TimeSlotFormatTDD_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 24U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_EightPSK_DL_DPCH_TimeSlotFormatTDD_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 24U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_vals[] = {
  {   0, "qPSK" },
  {   1, "eightPSK" },
  { 0, NULL }
};

static const per_choice_t TDD_DL_DPCH_TimeSlotFormat_LCR_choice[] = {
  {   0, &hf_nbap_qPSK           , ASN1_EXTENSION_ROOT    , dissect_nbap_QPSK_DL_DPCH_TimeSlotFormatTDD_LCR },
  {   1, &hf_nbap_eightPSK       , ASN1_EXTENSION_ROOT    , dissect_nbap_EightPSK_DL_DPCH_TimeSlotFormatTDD_LCR },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR, TDD_DL_DPCH_TimeSlotFormat_LCR_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_s_CCPCH_Power  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_s_CCPCH_TimeSlotFormat_LCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD, Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD },
};

static int
dissect_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD, Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfSCCPCHLCRs);

  return offset;
}


static const value_string nbap_NotificationIndicatorLength_vals[] = {
  {   0, "v2" },
  {   1, "v4" },
  {   2, "v8" },
  { 0, NULL }
};


static int
dissect_nbap_NotificationIndicatorLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t MICH_HCR_Parameters_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleshiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MICH_HCR_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MICH_HCR_Parameters_CTCH_SetupRqstTDD, MICH_HCR_Parameters_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_TSTD_Indicator_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_TSTD_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t MICH_LCR_Parameters_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_second_TDD_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MICH_LCR_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MICH_LCR_Parameters_CTCH_SetupRqstTDD, MICH_LCR_Parameters_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD_vals[] = {
  {   0, "hCR-TDD" },
  {   1, "lCR-TDD" },
  { 0, NULL }
};

static const per_choice_t MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD_choice[] = {
  {   0, &hf_nbap_hCR_TDD        , ASN1_EXTENSION_ROOT    , dissect_nbap_MICH_HCR_Parameters_CTCH_SetupRqstTDD },
  {   1, &hf_nbap_lCR_TDD        , ASN1_EXTENSION_ROOT    , dissect_nbap_MICH_LCR_Parameters_CTCH_SetupRqstTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD, MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MICH_Parameters_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_notificationIndicatorLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_NotificationIndicatorLength },
  { &hf_nbap_mICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PICH_Power },
  { &hf_nbap_mICH_TDDOption_Specific_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MICH_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MICH_Parameters_CTCH_SetupRqstTDD, MICH_Parameters_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD },
};

static int
dissect_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD, Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfSCCPCHsLCRinExt);

  return offset;
}


static const value_string nbap_MaxPRACH_MidambleShifts_vals[] = {
  {   0, "shift4" },
  {   1, "shift8" },
  { 0, NULL }
};


static int
dissect_nbap_MaxPRACH_MidambleShifts(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_PRACH_Midamble_vals[] = {
  {   0, "inverted" },
  {   1, "direct" },
  { 0, NULL }
};


static int
dissect_nbap_PRACH_Midamble(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_RACH_Parameter_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PRACH_ParametersItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_timeslot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_maxPRACH_MidambleShifts, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MaxPRACH_MidambleShifts },
  { &hf_nbap_pRACH_Midamble , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PRACH_Midamble },
  { &hf_nbap_rACH           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_Parameter_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD, PRACH_ParametersItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t RACH_ParameterItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_uL_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD, RACH_ParameterItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_rACH           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_Parameter_CTCH_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD, PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD },
};

static int
dissect_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD, PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfPRACHLCRs);

  return offset;
}



static int
dissect_nbap_FPACH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -150, 400U, NULL, TRUE);

  return offset;
}


static const per_sequence_t FPACH_LCR_Parameters_CTCH_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_fPACH_Power    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FPACH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD, FPACH_LCR_Parameters_CTCH_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelSetupResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelSetupResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelSetupResponse, CommonTransportChannelSetupResponse_sequence);

  return offset;
}



static int
dissect_nbap_BindingID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_octet_string(tvb, offset, actx, tree, hf_index,
                                       1, 4, TRUE, NULL);

  return offset;
}



static int
dissect_nbap_TransportLayerAddress(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, 160, TRUE, NULL);

  return offset;
}


static const per_sequence_t CommonTransportChannel_InformationResponse_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannel_InformationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannel_InformationResponse, CommonTransportChannel_InformationResponse_sequence);

  return offset;
}


static const per_sequence_t FACH_CommonTransportChannel_InformationResponse_sequence_of[1] = {
  { &hf_nbap_FACH_CommonTransportChannel_InformationResponse_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannel_InformationResponse },
};

static int
dissect_nbap_FACH_CommonTransportChannel_InformationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_CommonTransportChannel_InformationResponse, FACH_CommonTransportChannel_InformationResponse_sequence_of,
                                                  1, maxNrOfFACHs);

  return offset;
}


static const per_sequence_t CommonTransportChannelSetupFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelSetupFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelSetupFailure, CommonTransportChannelSetupFailure_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelReconfigurationRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelReconfigurationRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelReconfigurationRequestFDD, CommonTransportChannelReconfigurationRequestFDD_sequence);

  return offset;
}



static int
dissect_nbap_FACH_ParametersList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PCH_Parameters_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PICH_Parameters_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Secondary_CCPCHList_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_fACH_ParametersList_CTCH_ReconfRqstFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FACH_ParametersList_CTCH_ReconfRqstFDD },
  { &hf_nbap_pCH_Parameters_CTCH_ReconfRqstFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCH_Parameters_CTCH_ReconfRqstFDD },
  { &hf_nbap_pICH_Parameters_CTCH_ReconfRqstFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Parameters_CTCH_ReconfRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCHList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCHList_CTCH_ReconfRqstFDD, Secondary_CCPCHList_CTCH_ReconfRqstFDD_sequence);

  return offset;
}



static int
dissect_nbap_PRACH_ParametersList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_AICH_ParametersList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PRACHList_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_pRACH_ParametersList_CTCH_ReconfRqstFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PRACH_ParametersList_CTCH_ReconfRqstFDD },
  { &hf_nbap_aICH_ParametersList_CTCH_ReconfRqstFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AICH_ParametersList_CTCH_ReconfRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACHList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACHList_CTCH_ReconfRqstFDD, PRACHList_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const value_string nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_vals[] = {
  {   0, "secondary-CCPCH-parameters" },
  {   1, "pRACH-parameters" },
  {   2, "notUsed-cPCH-parameters" },
  { 0, NULL }
};

static const per_choice_t CommonPhysicalChannelType_CTCH_ReconfRqstFDD_choice[] = {
  {   0, &hf_nbap_secondary_CCPCH_parameters_02, ASN1_EXTENSION_ROOT    , dissect_nbap_Secondary_CCPCHList_CTCH_ReconfRqstFDD },
  {   1, &hf_nbap_pRACH_parameters_02, ASN1_EXTENSION_ROOT    , dissect_nbap_PRACHList_CTCH_ReconfRqstFDD },
  {   2, &hf_nbap_notUsed_cPCH_parameters, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD, CommonPhysicalChannelType_CTCH_ReconfRqstFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t FACH_ParametersItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_maxFACH_Power  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FACH_ParametersItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstFDD, FACH_ParametersItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t FACH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FACH_ParametersItem_CTCH_ReconfRqstFDD },
};

static int
dissect_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD, FACH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of,
                                                  1, maxFACHCell);

  return offset;
}


static const per_sequence_t PCH_ParametersItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_pCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD, PCH_ParametersItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PICH_ParametersItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_pICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD, PICH_ParametersItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_rACH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RACH_SlotFormat },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD, AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD },
};

static int
dissect_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD, AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_sequence_of,
                                                  1, maxNrOfSlotFormatsPRACH);

  return offset;
}


static const per_sequence_t PRACH_ParametersItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_preambleSignatures, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PreambleSignatures },
  { &hf_nbap_allowedSlotFormatInformation_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD },
  { &hf_nbap_rACH_SubChannelNumbers, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RACH_SubChannelNumbers },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PRACH_ParametersItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PRACH_ParametersItem_CTCH_ReconfRqstFDD, PRACH_ParametersItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PRACH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PRACH_ParametersItem_CTCH_ReconfRqstFDD },
};

static int
dissect_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD, PRACH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t AICH_ParametersItem_CTCH_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_aICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AICH_ParametersItem_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AICH_ParametersItem_CTCH_ReconfRqstFDD, AICH_ParametersItem_CTCH_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t AICH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_AICH_ParametersItem_CTCH_ReconfRqstFDD },
};

static int
dissect_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD, AICH_ParametersListIE_CTCH_ReconfRqstFDD_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t CommonTransportChannelReconfigurationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelReconfigurationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelReconfigurationRequestTDD, CommonTransportChannelReconfigurationRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_Secondary_CCPCHList_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_secondaryCCPCHList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Secondary_CCPCHList_CTCH_ReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD, Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCHItem_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_sCCPCH_Power   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD, Secondary_CCPCHItem_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD },
};

static int
dissect_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD, Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfSCCPCHs);

  return offset;
}


static const per_sequence_t PICH_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_pICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PICH_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PICH_Parameters_CTCH_ReconfRqstTDD, PICH_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t FACH_ParametersItem_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FACH_ParametersItem_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstTDD, FACH_ParametersItem_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t FACH_ParametersList_CTCH_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FACH_ParametersItem_CTCH_ReconfRqstTDD },
};

static int
dissect_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD, FACH_ParametersList_CTCH_ReconfRqstTDD_sequence_of,
                                                  0, maxNrOfFACHs);

  return offset;
}


static const per_sequence_t PCH_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCH_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCH_Parameters_CTCH_ReconfRqstTDD, PCH_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_fPACHPower     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FPACH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD, FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t MICH_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_mICH_Power     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MICH_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MICH_Parameters_CTCH_ReconfRqstTDD, MICH_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD },
};

static int
dissect_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD, Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfSCCPCHsLCRinExt);

  return offset;
}



static int
dissect_nbap_UPPCHPositionLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_UARFCN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16383U, NULL, TRUE);

  return offset;
}


static const per_sequence_t UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_uPPCHPositionLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UPPCHPositionLCR },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UARFCN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD, UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelReconfigurationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelReconfigurationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelReconfigurationResponse, CommonTransportChannelReconfigurationResponse_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelReconfigurationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelReconfigurationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelReconfigurationFailure, CommonTransportChannelReconfigurationFailure_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelDeletionRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelDeletionRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelDeletionRequest, CommonTransportChannelDeletionRequest_sequence);

  return offset;
}


static const per_sequence_t CommonTransportChannelDeletionResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonTransportChannelDeletionResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonTransportChannelDeletionResponse, CommonTransportChannelDeletionResponse_sequence);

  return offset;
}


static const per_sequence_t BlockResourceRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BlockResourceRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BlockResourceRequest, BlockResourceRequest_sequence);

  return offset;
}


static const per_sequence_t BlockResourceResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BlockResourceResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BlockResourceResponse, BlockResourceResponse_sequence);

  return offset;
}


static const per_sequence_t BlockResourceFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BlockResourceFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BlockResourceFailure, BlockResourceFailure_sequence);

  return offset;
}


static const per_sequence_t UnblockResourceIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UnblockResourceIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UnblockResourceIndication, UnblockResourceIndication_sequence);

  return offset;
}


static const per_sequence_t AuditRequiredIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AuditRequiredIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AuditRequiredIndication, AuditRequiredIndication_sequence);

  return offset;
}


static const per_sequence_t AuditRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AuditRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AuditRequest, AuditRequest_sequence);

  return offset;
}


static const per_sequence_t AuditResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AuditResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AuditResponse, AuditResponse_sequence);

  return offset;
}


static const per_sequence_t Cell_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_Cell_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Cell_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_InformationList_AuditRsp, Cell_InformationList_AuditRsp_sequence_of,
                                                  1, maxCellinNodeB);

  return offset;
}



static int
dissect_nbap_C_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_ConfigurationGenerationID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const value_string nbap_ResourceOperationalState_vals[] = {
  {   0, "enabled" },
  {   1, "disabled" },
  { 0, NULL }
};


static int
dissect_nbap_ResourceOperationalState(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_AvailabilityStatus_vals[] = {
  {   0, "empty" },
  {   1, "in-test" },
  {   2, "failed" },
  {   3, "power-off" },
  {   4, "off-line" },
  {   5, "off-duty" },
  {   6, "dependency" },
  {   7, "degraded" },
  {   8, "not-installed" },
  {   9, "log-full" },
  { 0, NULL }
};


static int
dissect_nbap_AvailabilityStatus(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     10, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_Local_Cell_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 268435455U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_P_SCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_S_SCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_P_CPICH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t S_CPICH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_S_CPICH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CPICH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CPICH_InformationList_AuditRsp, S_CPICH_InformationList_AuditRsp_sequence_of,
                                                  1, maxSCPICHCell);

  return offset;
}



static int
dissect_nbap_P_CCPCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_BCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t S_CCPCH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_S_CCPCH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CCPCH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CCPCH_InformationList_AuditRsp, S_CCPCH_InformationList_AuditRsp_sequence_of,
                                                  1, maxSCCPCHCell);

  return offset;
}



static int
dissect_nbap_PCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PICH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t FACH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_FACH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_FACH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_InformationList_AuditRsp, FACH_InformationList_AuditRsp_sequence_of,
                                                  1, maxFACHCell);

  return offset;
}


static const per_sequence_t PRACH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_PRACH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_PRACH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PRACH_InformationList_AuditRsp, PRACH_InformationList_AuditRsp_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t RACH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_RACH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RACH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RACH_InformationList_AuditRsp, RACH_InformationList_AuditRsp_sequence_of,
                                                  1, maxRACHCell);

  return offset;
}


static const per_sequence_t AICH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_AICH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_AICH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AICH_InformationList_AuditRsp, AICH_InformationList_AuditRsp_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t PCPCH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_PCPCH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_PCPCH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PCPCH_InformationList_AuditRsp, PCPCH_InformationList_AuditRsp_sequence_of,
                                                  1, maxPCPCHCell);

  return offset;
}


static const per_sequence_t CPCH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_CPCH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CPCH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CPCH_InformationList_AuditRsp, CPCH_InformationList_AuditRsp_sequence_of,
                                                  1, maxCPCHCell);

  return offset;
}


static const per_sequence_t AP_AICH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_AP_AICH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_AP_AICH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AP_AICH_InformationList_AuditRsp, AP_AICH_InformationList_AuditRsp_sequence_of,
                                                  1, maxCPCHCell);

  return offset;
}


static const per_sequence_t CDCA_ICH_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_CDCA_ICH_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CDCA_ICH_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CDCA_ICH_InformationList_AuditRsp, CDCA_ICH_InformationList_AuditRsp_sequence_of,
                                                  1, maxCPCHCell);

  return offset;
}



static int
dissect_nbap_SCH_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Cell_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_configurationGenerationID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ConfigurationGenerationID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_local_Cell_ID  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_primary_SCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_SCH_Information_AuditRsp },
  { &hf_nbap_secondary_SCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_SCH_Information_AuditRsp },
  { &hf_nbap_primary_CPICH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_CPICH_Information_AuditRsp },
  { &hf_nbap_secondary_CPICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_CPICH_InformationList_AuditRsp },
  { &hf_nbap_primary_CCPCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_CCPCH_Information_AuditRsp },
  { &hf_nbap_bCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BCH_Information_AuditRsp },
  { &hf_nbap_secondary_CCPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_CCPCH_InformationList_AuditRsp },
  { &hf_nbap_pCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCH_Information_AuditRsp },
  { &hf_nbap_pICH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Information_AuditRsp },
  { &hf_nbap_fACH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FACH_InformationList_AuditRsp },
  { &hf_nbap_pRACH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PRACH_InformationList_AuditRsp },
  { &hf_nbap_rACH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RACH_InformationList_AuditRsp },
  { &hf_nbap_aICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AICH_InformationList_AuditRsp },
  { &hf_nbap_pCPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCPCH_InformationList_AuditRsp },
  { &hf_nbap_cPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CPCH_InformationList_AuditRsp },
  { &hf_nbap_aP_AICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AP_AICH_InformationList_AuditRsp },
  { &hf_nbap_cDCA_ICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CDCA_ICH_InformationList_AuditRsp },
  { &hf_nbap_sCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SCH_Information_AuditRsp },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_InformationItem_AuditRsp, Cell_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t CCP_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_CCP_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CCP_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCP_InformationList_AuditRsp, CCP_InformationList_AuditRsp_sequence_of,
                                                  1, maxCCPinNodeB);

  return offset;
}



static int
dissect_nbap_CommunicationControlPortID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CCP_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_communicationControlPortID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationControlPortID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCP_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCP_InformationItem_AuditRsp, CCP_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t FPACH_LCR_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_FPACH_LCR_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_FPACH_LCR_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FPACH_LCR_InformationList_AuditRsp, FPACH_LCR_InformationList_AuditRsp_sequence_of,
                                                  1, maxFPACHCell);

  return offset;
}


static const per_sequence_t HS_DSCH_Resources_Information_AuditRsp_sequence[] = {
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_DSCH_Resources_Information_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_DSCH_Resources_Information_AuditRsp, HS_DSCH_Resources_Information_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_sequence_of[1] = {
  { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp, Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_sequence_of,
                                                  1, maxFrequencyinCell);

  return offset;
}


static const per_sequence_t Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp, Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t UPPCH_LCR_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_UPPCH_LCR_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UPPCH_LCR_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UPPCH_LCR_InformationList_AuditRsp, UPPCH_LCR_InformationList_AuditRsp_sequence_of,
                                                  1, maxFrequencyinCell);

  return offset;
}


static const per_sequence_t UPPCH_LCR_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UARFCN },
  { &hf_nbap_uPPCHPositionLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UPPCHPositionLCR },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UPPCH_LCR_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UPPCH_LCR_InformationItem_AuditRsp, UPPCH_LCR_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp, MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_sequence_of,
                                                  1, maxFrequencyinCell_1);

  return offset;
}


static const per_sequence_t S_CCPCH_LCR_InformationListExt_AuditRsp_sequence_of[1] = {
  { &hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp, S_CCPCH_LCR_InformationListExt_AuditRsp_sequence_of,
                                                  1, maxSCCPCHCellinExtLCR);

  return offset;
}


static const per_sequence_t Local_Cell_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_Local_Cell_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_InformationList_AuditRsp, Local_Cell_InformationList_AuditRsp_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}



static int
dissect_nbap_DL_or_Global_CapacityCredit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_UL_CapacityCredit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CommonChannelsCapacityConsumptionLaw_item_sequence[] = {
  { &hf_nbap_dl_Cost        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_ul_Cost        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonChannelsCapacityConsumptionLaw_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonChannelsCapacityConsumptionLaw_item, CommonChannelsCapacityConsumptionLaw_item_sequence);

  return offset;
}


static const per_sequence_t CommonChannelsCapacityConsumptionLaw_sequence_of[1] = {
  { &hf_nbap_CommonChannelsCapacityConsumptionLaw_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CommonChannelsCapacityConsumptionLaw_item },
};

static int
dissect_nbap_CommonChannelsCapacityConsumptionLaw(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CommonChannelsCapacityConsumptionLaw, CommonChannelsCapacityConsumptionLaw_sequence_of,
                                                  1, maxNrOfSF);

  return offset;
}


static const per_sequence_t DedicatedChannelsCapacityConsumptionLaw_item_sequence[] = {
  { &hf_nbap_dl_Cost_1      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_dl_Cost_2      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_ul_Cost_1      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_ul_Cost_2      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_65535 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedChannelsCapacityConsumptionLaw_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedChannelsCapacityConsumptionLaw_item, DedicatedChannelsCapacityConsumptionLaw_item_sequence);

  return offset;
}


static const per_sequence_t DedicatedChannelsCapacityConsumptionLaw_sequence_of[1] = {
  { &hf_nbap_DedicatedChannelsCapacityConsumptionLaw_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedChannelsCapacityConsumptionLaw_item },
};

static int
dissect_nbap_DedicatedChannelsCapacityConsumptionLaw(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DedicatedChannelsCapacityConsumptionLaw, DedicatedChannelsCapacityConsumptionLaw_sequence_of,
                                                  1, maxNrOfSF);

  return offset;
}



static int
dissect_nbap_MaximumDL_PowerCapability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 500U, NULL, FALSE);

  return offset;
}


static const value_string nbap_MinSpreadingFactor_vals[] = {
  {   0, "v4" },
  {   1, "v8" },
  {   2, "v16" },
  {   3, "v32" },
  {   4, "v64" },
  {   5, "v128" },
  {   6, "v256" },
  {   7, "v512" },
  { 0, NULL }
};


static int
dissect_nbap_MinSpreadingFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MinimumDL_PowerCapability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 800U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Local_Cell_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_local_Cell_ID  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_maximumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_minSpreadingFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinSpreadingFactor },
  { &hf_nbap_minimumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinimumDL_PowerCapability },
  { &hf_nbap_local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Local_Cell_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_InformationItem_AuditRsp, Local_Cell_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_Local_Cell_Group_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_Group_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_Group_InformationList_AuditRsp, Local_Cell_Group_InformationList_AuditRsp_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_Group_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_Group_InformationItem_AuditRsp, Local_Cell_Group_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationList_AuditRsp_sequence_of[1] = {
  { &hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationList_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Power_Local_Cell_Group_InformationList_AuditRsp, Power_Local_Cell_Group_InformationList_AuditRsp_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationItem_AuditRsp_sequence[] = {
  { &hf_nbap_power_Local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_maximumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp, Power_Local_Cell_Group_InformationItem_AuditRsp_sequence);

  return offset;
}


static const per_sequence_t AuditFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AuditFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AuditFailure, AuditFailure_sequence);

  return offset;
}


static const per_sequence_t CommonMeasurementInitiationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementInitiationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementInitiationRequest, CommonMeasurementInitiationRequest_sequence);

  return offset;
}


static const per_sequence_t Cell_CM_Rqst_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlot },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_CM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_CM_Rqst, Cell_CM_Rqst_sequence);

  return offset;
}


static const per_sequence_t RACH_CM_Rqst_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RACH_CM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RACH_CM_Rqst, RACH_CM_Rqst_sequence);

  return offset;
}


static const value_string nbap_CommonMeasurementObjectType_CM_Rqst_vals[] = {
  {   0, "cell" },
  {   1, "rACH" },
  {   2, "notUsed-cPCH" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementObjectType_CM_Rqst_choice[] = {
  {   0, &hf_nbap_cell           , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_CM_Rqst },
  {   1, &hf_nbap_rACH_01        , ASN1_EXTENSION_ROOT    , dissect_nbap_RACH_CM_Rqst },
  {   2, &hf_nbap_notUsed_cPCH   , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementObjectType_CM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementObjectType_CM_Rqst, CommonMeasurementObjectType_CM_Rqst_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CommonMeasurementInitiationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementInitiationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementInitiationResponse, CommonMeasurementInitiationResponse_sequence);

  return offset;
}



static int
dissect_nbap_Transmitted_Carrier_Power_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Received_total_wide_band_power_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 621U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Acknowledged_PRACH_preambles_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 240U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_UL_TimeslotISCP_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Extension_CommonMeasurementValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_CommonMeasurementValue_vals[] = {
  {   0, "transmitted-carrier-power" },
  {   1, "received-total-wide-band-power" },
  {   2, "acknowledged-prach-preambles" },
  {   3, "uL-TimeslotISCP" },
  {   4, "notUsed-1-acknowledged-PCPCH-access-preambles" },
  {   5, "notUsed-2-detected-PCPCH-access-preambles" },
  {   6, "extension-CommonMeasurementValue" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementValue_choice[] = {
  {   0, &hf_nbap_transmitted_carrier_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Carrier_Power_Value },
  {   1, &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Received_total_wide_band_power_Value },
  {   2, &hf_nbap_acknowledged_prach_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_Acknowledged_PRACH_preambles_Value },
  {   3, &hf_nbap_uL_TimeslotISCP, ASN1_EXTENSION_ROOT    , dissect_nbap_UL_TimeslotISCP_Value },
  {   4, &hf_nbap_notUsed_1_acknowledged_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   5, &hf_nbap_notUsed_2_detected_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   6, &hf_nbap_extension_CommonMeasurementValue, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_CommonMeasurementValue },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementValue, CommonMeasurementValue_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Cell_CM_Rsp_sequence[] = {
  { &hf_nbap_commonMeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonMeasurementValue },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_CM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_CM_Rsp, Cell_CM_Rsp_sequence);

  return offset;
}


static const per_sequence_t RACH_CM_Rsp_sequence[] = {
  { &hf_nbap_commonMeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonMeasurementValue },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RACH_CM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RACH_CM_Rsp, RACH_CM_Rsp_sequence);

  return offset;
}


static const value_string nbap_CommonMeasurementObjectType_CM_Rsp_vals[] = {
  {   0, "cell" },
  {   1, "rACH" },
  {   2, "notUsed-cPCH" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementObjectType_CM_Rsp_choice[] = {
  {   0, &hf_nbap_cell_01        , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_CM_Rsp },
  {   1, &hf_nbap_rACH_02        , ASN1_EXTENSION_ROOT    , dissect_nbap_RACH_CM_Rsp },
  {   2, &hf_nbap_notUsed_cPCH   , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementObjectType_CM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementObjectType_CM_Rsp, CommonMeasurementObjectType_CM_Rsp_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CommonMeasurementInitiationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementInitiationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementInitiationFailure, CommonMeasurementInitiationFailure_sequence);

  return offset;
}


static const per_sequence_t CommonMeasurementReport_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementReport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementReport, CommonMeasurementReport_sequence);

  return offset;
}


static const per_sequence_t CommonMeasurementAvailable_sequence[] = {
  { &hf_nbap_commonmeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonMeasurementValue },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementAvailable, CommonMeasurementAvailable_sequence);

  return offset;
}



static int
dissect_nbap_CommonMeasurementnotAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_CommonMeasurementValueInformation_vals[] = {
  {   0, "measurementAvailable" },
  {   1, "measurementnotAvailable" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementValueInformation_choice[] = {
  {   0, &hf_nbap_measurementAvailable, ASN1_NO_EXTENSIONS     , dissect_nbap_CommonMeasurementAvailable },
  {   1, &hf_nbap_measurementnotAvailable, ASN1_NO_EXTENSIONS     , dissect_nbap_CommonMeasurementnotAvailable },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementValueInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementValueInformation, CommonMeasurementValueInformation_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Cell_CM_Rprt_sequence[] = {
  { &hf_nbap_commonMeasurementValueInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonMeasurementValueInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_CM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_CM_Rprt, Cell_CM_Rprt_sequence);

  return offset;
}


static const per_sequence_t RACH_CM_Rprt_sequence[] = {
  { &hf_nbap_commonMeasurementValueInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonMeasurementValueInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RACH_CM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RACH_CM_Rprt, RACH_CM_Rprt_sequence);

  return offset;
}


static const value_string nbap_CommonMeasurementObjectType_CM_Rprt_vals[] = {
  {   0, "cell" },
  {   1, "rACH" },
  {   2, "notUsed-cPCH" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementObjectType_CM_Rprt_choice[] = {
  {   0, &hf_nbap_cell_02        , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_CM_Rprt },
  {   1, &hf_nbap_rACH_03        , ASN1_EXTENSION_ROOT    , dissect_nbap_RACH_CM_Rprt },
  {   2, &hf_nbap_notUsed_cPCH   , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementObjectType_CM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementObjectType_CM_Rprt, CommonMeasurementObjectType_CM_Rprt_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CommonMeasurementTerminationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementTerminationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementTerminationRequest, CommonMeasurementTerminationRequest_sequence);

  return offset;
}


static const per_sequence_t CommonMeasurementFailureIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementFailureIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommonMeasurementFailureIndication, CommonMeasurementFailureIndication_sequence);

  return offset;
}


static const per_sequence_t CellSetupRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSetupRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSetupRequestFDD, CellSetupRequestFDD_sequence);

  return offset;
}



static int
dissect_nbap_N_INSYNC_IND(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_N_OUTSYNC_IND(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_T_RLFAILURE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Synchronisation_Configuration_Cell_SetupRqst_sequence[] = {
  { &hf_nbap_n_INSYNC_IND   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_N_INSYNC_IND },
  { &hf_nbap_n_OUTSYNC_IND  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_N_OUTSYNC_IND },
  { &hf_nbap_t_RLFAILURE    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_RLFAILURE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Synchronisation_Configuration_Cell_SetupRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Synchronisation_Configuration_Cell_SetupRqst, Synchronisation_Configuration_Cell_SetupRqst_sequence);

  return offset;
}


static const per_sequence_t PrimarySCH_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_primarySCH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimarySCH_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimarySCH_Information_Cell_SetupRqstFDD, PrimarySCH_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t SecondarySCH_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_secondarySCH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SecondarySCH_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SecondarySCH_Information_Cell_SetupRqstFDD, SecondarySCH_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}



static int
dissect_nbap_PrimaryCPICH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -100, 500U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TransmitDiversityIndicator_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_TransmitDiversityIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PrimaryCPICH_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_primaryCPICH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PrimaryCPICH_Power },
  { &hf_nbap_transmitDiversityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransmitDiversityIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD, PrimaryCPICH_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t SecondaryCPICH_InformationList_Cell_SetupRqstFDD_sequence_of[1] = {
  { &hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD, SecondaryCPICH_InformationList_Cell_SetupRqstFDD_sequence_of,
                                                  1, maxSCPICHCell);

  return offset;
}


static const per_sequence_t SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_dl_ScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_ScramblingCode },
  { &hf_nbap_fDD_DL_ChannelisationCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_ChannelisationCodeNumber },
  { &hf_nbap_secondaryCPICH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_transmitDiversityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransmitDiversityIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD, SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t BCH_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_bCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BCH_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BCH_Information_Cell_SetupRqstFDD, BCH_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PrimaryCCPCH_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_bCH_information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BCH_Information_Cell_SetupRqstFDD },
  { &hf_nbap_sTTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_STTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD, PrimaryCCPCH_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}



static int
dissect_nbap_PowerRaiseLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 10U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_DLPowerAveragingWindowSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 60U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Limited_power_increase_information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_powerRaiseLimit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerRaiseLimit },
  { &hf_nbap_dLPowerAveragingWindowSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DLPowerAveragingWindowSize },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Limited_power_increase_information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Limited_power_increase_information_Cell_SetupRqstFDD, Limited_power_increase_information_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const value_string nbap_T_iP_SpacingFDD_vals[] = {
  {   0, "sp5" },
  {   1, "sp7" },
  {   2, "sp10" },
  {   3, "sp15" },
  {   4, "sp20" },
  {   5, "sp30" },
  {   6, "sp40" },
  {   7, "sp50" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_SpacingFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_T_iP_Length_vals[] = {
  {   0, "len5" },
  {   1, "len10" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_Length(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_INTEGER_10_25(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            10U, 25U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_1_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, NULL, FALSE);

  return offset;
}


static const per_sequence_t BurstModeParams_sequence[] = {
  { &hf_nbap_burstStart     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_15 },
  { &hf_nbap_burstLength    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_10_25 },
  { &hf_nbap_burstFreq      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_1_16 },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BurstModeParams(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BurstModeParams, BurstModeParams_sequence);

  return offset;
}



static int
dissect_nbap_INTEGER_0_9(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 9U, NULL, FALSE);

  return offset;
}


static const per_sequence_t IPDL_FDD_Parameters_sequence[] = {
  { &hf_nbap_iP_SpacingFDD  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_SpacingFDD },
  { &hf_nbap_iP_Length      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_Length },
  { &hf_nbap_seed           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_63 },
  { &hf_nbap_burstModeParams, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BurstModeParams },
  { &hf_nbap_iP_Offset      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_9 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDL_FDD_Parameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDL_FDD_Parameters, IPDL_FDD_Parameters_sequence);

  return offset;
}


static const value_string nbap_IPDL_Indicator_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_IPDL_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_Cell_SetupRqstFDD_sequence[] = {
  { &hf_nbap_iPDL_FDD_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_FDD_Parameters },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_Cell_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_Cell_SetupRqstFDD, IPDLParameter_Information_Cell_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t CellSetupRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSetupRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSetupRequestTDD, CellSetupRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_SyncCaseIndicator_Cell_SetupRqstTDD_PSCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t SCH_Information_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_syncCaseIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncCaseIndicator_Cell_SetupRqstTDD_PSCH },
  { &hf_nbap_sCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SCH_Information_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SCH_Information_Cell_SetupRqstTDD, SCH_Information_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Case1_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Case1_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Case1_Cell_SetupRqstTDD, Case1_Cell_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_SCH_TimeSlot(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 6U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Case2_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_sCH_TimeSlot   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SCH_TimeSlot },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Case2_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Case2_Cell_SetupRqstTDD, Case2_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_vals[] = {
  {   0, "case1" },
  {   1, "case2" },
  { 0, NULL }
};

static const per_choice_t SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_choice[] = {
  {   0, &hf_nbap_case1          , ASN1_EXTENSION_ROOT    , dissect_nbap_Case1_Cell_SetupRqstTDD },
  {   1, &hf_nbap_case2          , ASN1_EXTENSION_ROOT    , dissect_nbap_Case2_Cell_SetupRqstTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH, SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_PCCPCH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -150, 400U, NULL, TRUE);

  return offset;
}


static const value_string nbap_SCTD_Indicator_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_SCTD_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t PCCPCH_Information_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_pCCPCH_Power   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PCCPCH_Power },
  { &hf_nbap_sCTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SCTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCCPCH_Information_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCCPCH_Information_Cell_SetupRqstTDD, PCCPCH_Information_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_TimeSlotStatus_vals[] = {
  {   0, "active" },
  {   1, "not-active" },
  { 0, NULL }
};


static int
dissect_nbap_TimeSlotStatus(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TimeSlotDirection_vals[] = {
  {   0, "ul" },
  {   1, "dl" },
  { 0, NULL }
};


static int
dissect_nbap_TimeSlotDirection(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationItem_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_timeSlotStatus , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotStatus },
  { &hf_nbap_timeSlotDirection, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotDirection },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TimeSlotConfigurationItem_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TimeSlotConfigurationItem_Cell_SetupRqstTDD, TimeSlotConfigurationItem_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationList_Cell_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationItem_Cell_SetupRqstTDD },
};

static int
dissect_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD, TimeSlotConfigurationList_Cell_SetupRqstTDD_sequence_of,
                                                  1, 15);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_timeSlotStatus , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotStatus },
  { &hf_nbap_timeSlotDirection, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotDirection },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD, TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD },
};

static int
dissect_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD, TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_sequence_of,
                                                  1, 7);

  return offset;
}


static const per_sequence_t PCCPCH_LCR_Information_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_pCCPCH_Power   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PCCPCH_Power },
  { &hf_nbap_sCTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SCTD_Indicator },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD, PCCPCH_LCR_Information_Cell_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_DwPCH_Power(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -150, 400U, NULL, TRUE);

  return offset;
}


static const per_sequence_t DwPCH_LCR_Information_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_tSTD_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_dwPCH_Power    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DwPCH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD, DwPCH_LCR_Information_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_T_iP_SpacingTDD_vals[] = {
  {   0, "sp30" },
  {   1, "sp40" },
  {   2, "sp50" },
  {   3, "sp70" },
  {   4, "sp100" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_SpacingTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_INTEGER_0_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 14U, NULL, FALSE);

  return offset;
}


static const value_string nbap_T_iP_PCCPCH_vals[] = {
  {   0, "switchOff-1-Frame" },
  {   1, "switchOff-2-Frames" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_PCCPCH(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IPDL_TDD_Parameters_sequence[] = {
  { &hf_nbap_iP_SpacingTDD  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_SpacingTDD },
  { &hf_nbap_iP_Start       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_4095 },
  { &hf_nbap_iP_Slot        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_14 },
  { &hf_nbap_iP_PCCPCH      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_PCCPCH },
  { &hf_nbap_burstModeParams, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BurstModeParams },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDL_TDD_Parameters(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDL_TDD_Parameters, IPDL_TDD_Parameters_sequence);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_iPDL_TDD_Parameters, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_TDD_Parameters },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_Cell_SetupRqstTDD, IPDLParameter_Information_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_T_iP_SpacingTDD_01_vals[] = {
  {   0, "sp30" },
  {   1, "sp40" },
  {   2, "sp50" },
  {   3, "sp70" },
  {   4, "sp100" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_SpacingTDD_01(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_T_iP_Sub_vals[] = {
  {   0, "first" },
  {   1, "second" },
  {   2, "both" },
  { 0, NULL }
};


static int
dissect_nbap_T_iP_Sub(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t IPDL_TDD_Parameters_LCR_sequence[] = {
  { &hf_nbap_iP_SpacingTDD_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_SpacingTDD_01 },
  { &hf_nbap_iP_Start       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_4095 },
  { &hf_nbap_iP_Sub         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_iP_Sub },
  { &hf_nbap_burstModeParams, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BurstModeParams },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDL_TDD_Parameters_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDL_TDD_Parameters_LCR, IPDL_TDD_Parameters_LCR_sequence);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_LCR_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_iPDL_TDD_Parameters_LCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_TDD_Parameters_LCR },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD, IPDLParameter_Information_LCR_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_timeSlotConfigurationList_LCR_Cell_SetupRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD, Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD },
};

static int
dissect_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD, Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_sequence_of,
                                                  1, maxFrequencyinCell_1);

  return offset;
}


static const per_sequence_t CellSetupResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSetupResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSetupResponse, CellSetupResponse_sequence);

  return offset;
}


static const per_sequence_t CellSetupFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSetupFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSetupFailure, CellSetupFailure_sequence);

  return offset;
}


static const per_sequence_t CellReconfigurationRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellReconfigurationRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellReconfigurationRequestFDD, CellReconfigurationRequestFDD_sequence);

  return offset;
}


static const per_sequence_t Synchronisation_Configuration_Cell_ReconfRqst_sequence[] = {
  { &hf_nbap_n_INSYNC_IND   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_N_INSYNC_IND },
  { &hf_nbap_n_OUTSYNC_IND  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_N_OUTSYNC_IND },
  { &hf_nbap_t_RLFAILURE    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_RLFAILURE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Synchronisation_Configuration_Cell_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Synchronisation_Configuration_Cell_ReconfRqst, Synchronisation_Configuration_Cell_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PrimarySCH_Information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_primarySCH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD, PrimarySCH_Information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t SecondarySCH_Information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_secondarySCH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD, SecondarySCH_Information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PrimaryCPICH_Information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_primaryCPICH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PrimaryCPICH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD, PrimaryCPICH_Information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD, SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_sequence_of,
                                                  1, maxSCPICHCell);

  return offset;
}


static const per_sequence_t SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_secondaryCPICH_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD, SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t BCH_information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_bCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BCH_information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BCH_information_Cell_ReconfRqstFDD, BCH_information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t PrimaryCCPCH_Information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_bCH_information_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BCH_information_Cell_ReconfRqstFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD, PrimaryCCPCH_Information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_Cell_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_iPDL_FDD_Parameters, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IPDL_FDD_Parameters },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD, IPDLParameter_Information_Cell_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t CellReconfigurationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellReconfigurationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellReconfigurationRequestTDD, CellReconfigurationRequestTDD_sequence);

  return offset;
}


static const per_sequence_t SCH_Information_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_sCH_Power      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SCH_Information_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SCH_Information_Cell_ReconfRqstTDD, SCH_Information_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t PCCPCH_Information_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_pCCPCH_Power   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PCCPCH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PCCPCH_Information_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PCCPCH_Information_Cell_ReconfRqstTDD, PCCPCH_Information_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationItem_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_timeSlotStatus , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotStatus },
  { &hf_nbap_timeSlotDirection, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotDirection },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TimeSlotConfigurationItem_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TimeSlotConfigurationItem_Cell_ReconfRqstTDD, TimeSlotConfigurationItem_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationList_Cell_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationItem_Cell_ReconfRqstTDD },
};

static int
dissect_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD, TimeSlotConfigurationList_Cell_ReconfRqstTDD_sequence_of,
                                                  1, 15);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_timeSlotStatus , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotStatus },
  { &hf_nbap_timeSlotDirection, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotDirection },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD, TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD },
};

static int
dissect_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD, TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_sequence_of,
                                                  1, 7);

  return offset;
}


static const per_sequence_t DwPCH_LCR_Information_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_commonPhysicalChannelId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_dwPCH_Power    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DwPCH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD, DwPCH_LCR_Information_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_iPDL_TDD_Parameters, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IPDL_TDD_Parameters },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD, IPDLParameter_Information_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_iPDL_TDD_Parameters_LCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IPDL_TDD_Parameters_LCR },
  { &hf_nbap_iPDL_Indicator , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IPDL_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD, IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_timeSlotConfigurationList_LCR_Cell_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD, Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_timeSlotConfigurationList_LCR_Cell_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD, Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD },
};

static int
dissect_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD, Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_sequence_of,
                                                  1, maxFrequencyinCell_1);

  return offset;
}


static const per_sequence_t Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD, Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD_sequence);

  return offset;
}


static const value_string nbap_URAFCN_Adjustment_vals[] = {
  {   0, "cell-Frequency-Add-LCR-MulFreq-Cell-ReconfRqstTDD" },
  {   1, "cell-Frequency-ModifyList-LCR-MulFreq-Cell-ReconfRqstTDD" },
  {   2, "cell-Frequency-Delete-LCR-MulFreq-Cell-ReconfRqstTDD" },
  { 0, NULL }
};

static const per_choice_t URAFCN_Adjustment_choice[] = {
  {   0, &hf_nbap_cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD },
  {   1, &hf_nbap_cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD },
  {   2, &hf_nbap_cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_URAFCN_Adjustment(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_URAFCN_Adjustment, URAFCN_Adjustment_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CellReconfigurationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellReconfigurationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellReconfigurationResponse, CellReconfigurationResponse_sequence);

  return offset;
}


static const per_sequence_t CellReconfigurationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellReconfigurationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellReconfigurationFailure, CellReconfigurationFailure_sequence);

  return offset;
}


static const per_sequence_t CellDeletionRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellDeletionRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellDeletionRequest, CellDeletionRequest_sequence);

  return offset;
}


static const per_sequence_t CellDeletionResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellDeletionResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellDeletionResponse, CellDeletionResponse_sequence);

  return offset;
}


static const per_sequence_t ResourceStatusIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ResourceStatusIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ResourceStatusIndication, ResourceStatusIndication_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Local_Cell_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_InformationList_ResourceStatusInd, Local_Cell_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Local_Cell_Group_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_Group_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_Group_InformationList_ResourceStatusInd, Local_Cell_Group_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t No_Failure_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_Cell_InformationList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_InformationList_ResourceStatusInd },
  { &hf_nbap_local_Cell_Group_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Local_Cell_Group_InformationList_ResourceStatusInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_No_Failure_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_No_Failure_ResourceStatusInd, No_Failure_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_InformationList2_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Local_Cell_InformationList2_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_InformationList2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_InformationList2_ResourceStatusInd, Local_Cell_InformationList2_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationList2_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd, Local_Cell_Group_InformationList2_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t CCP_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_CCP_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CCP_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCP_InformationList_ResourceStatusInd, CCP_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxCCPinNodeB);

  return offset;
}


static const per_sequence_t Cell_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Cell_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Cell_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_InformationList_ResourceStatusInd, Cell_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxCellinNodeB);

  return offset;
}


static const per_sequence_t ServiceImpacting_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_Cell_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Local_Cell_InformationList2_ResourceStatusInd },
  { &hf_nbap_local_Cell_Group_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd },
  { &hf_nbap_cCP_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCP_InformationList_ResourceStatusInd },
  { &hf_nbap_cell_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Cell_InformationList_ResourceStatusInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ServiceImpacting_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ServiceImpacting_ResourceStatusInd, ServiceImpacting_ResourceStatusInd_sequence);

  return offset;
}


static const value_string nbap_IndicationType_ResourceStatusInd_vals[] = {
  {   0, "no-Failure" },
  {   1, "serviceImpacting" },
  { 0, NULL }
};

static const per_choice_t IndicationType_ResourceStatusInd_choice[] = {
  {   0, &hf_nbap_no_Failure     , ASN1_EXTENSION_ROOT    , dissect_nbap_No_Failure_ResourceStatusInd },
  {   1, &hf_nbap_serviceImpacting, ASN1_EXTENSION_ROOT    , dissect_nbap_ServiceImpacting_ResourceStatusInd },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_IndicationType_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_IndicationType_ResourceStatusInd, IndicationType_ResourceStatusInd_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_AddorDeleteIndicator_vals[] = {
  {   0, "add" },
  {   1, "delete" },
  { 0, NULL }
};


static int
dissect_nbap_AddorDeleteIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t Local_Cell_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_CellID   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_addorDeleteIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AddorDeleteIndicator },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_maximumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_minSpreadingFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinSpreadingFactor },
  { &hf_nbap_minimumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinimumDL_PowerCapability },
  { &hf_nbap_local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Local_Cell_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_InformationItem_ResourceStatusInd, Local_Cell_InformationItem_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd, Local_Cell_Group_InformationItem_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd, Power_Local_Cell_Group_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_power_Local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_maximumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd, Power_Local_Cell_Group_InformationItem_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_InformationItem2_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_Cell_ID  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_maximum_DL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_minSpreadingFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinSpreadingFactor },
  { &hf_nbap_minimumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinimumDL_PowerCapability },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_InformationItem2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_InformationItem2_ResourceStatusInd, Local_Cell_InformationItem2_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Local_Cell_Group_InformationItem2_ResourceStatusInd_sequence[] = {
  { &hf_nbap_local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_dl_or_global_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_or_Global_CapacityCredit },
  { &hf_nbap_ul_capacityCredit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_CapacityCredit },
  { &hf_nbap_commonChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CommonChannelsCapacityConsumptionLaw },
  { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DedicatedChannelsCapacityConsumptionLaw },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd, Local_Cell_Group_InformationItem2_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationList2_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd, Power_Local_Cell_Group_InformationList2_ResourceStatusInd_sequence_of,
                                                  1, maxLocalCellinNodeB);

  return offset;
}


static const per_sequence_t Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_sequence[] = {
  { &hf_nbap_power_Local_Cell_Group_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Local_Cell_ID },
  { &hf_nbap_maximumDL_PowerCapability, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MaximumDL_PowerCapability },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd, Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t CCP_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_communicationControlPortID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationControlPortID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCP_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCP_InformationItem_ResourceStatusInd, CCP_InformationItem_ResourceStatusInd_sequence);

  return offset;
}



static int
dissect_nbap_P_SCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_S_SCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_P_CPICH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t S_CPICH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_S_CPICH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CPICH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CPICH_InformationList_ResourceStatusInd, S_CPICH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxSCPICHCell);

  return offset;
}



static int
dissect_nbap_P_CCPCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_BCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t S_CCPCH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_S_CCPCH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CCPCH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CCPCH_InformationList_ResourceStatusInd, S_CCPCH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxSCCPCHCell);

  return offset;
}



static int
dissect_nbap_PCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_PICH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t FACH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_FACH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_FACH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FACH_InformationList_ResourceStatusInd, FACH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxFACHCell);

  return offset;
}


static const per_sequence_t PRACH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_PRACH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_PRACH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PRACH_InformationList_ResourceStatusInd, PRACH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t RACH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_RACH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RACH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RACH_InformationList_ResourceStatusInd, RACH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}


static const per_sequence_t AICH_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_AICH_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_AICH_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_AICH_InformationList_ResourceStatusInd, AICH_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxPRACHCell);

  return offset;
}



static int
dissect_nbap_SCH_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t Cell_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AvailabilityStatus },
  { &hf_nbap_primary_SCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_SCH_Information_ResourceStatusInd },
  { &hf_nbap_secondary_SCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_SCH_Information_ResourceStatusInd },
  { &hf_nbap_primary_CPICH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_CPICH_Information_ResourceStatusInd },
  { &hf_nbap_secondary_CPICH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_CPICH_InformationList_ResourceStatusInd },
  { &hf_nbap_primary_CCPCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_P_CCPCH_Information_ResourceStatusInd },
  { &hf_nbap_bCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BCH_Information_ResourceStatusInd },
  { &hf_nbap_secondary_CCPCH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_S_CCPCH_InformationList_ResourceStatusInd },
  { &hf_nbap_pCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PCH_Information_ResourceStatusInd },
  { &hf_nbap_pICH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PICH_Information_ResourceStatusInd },
  { &hf_nbap_fACH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FACH_InformationList_ResourceStatusInd },
  { &hf_nbap_pRACH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PRACH_InformationList_ResourceStatusInd },
  { &hf_nbap_rACH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RACH_InformationList_ResourceStatusInd },
  { &hf_nbap_aICH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AICH_InformationList_ResourceStatusInd },
  { &hf_nbap_notUsed_1_pCPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_notUsed_2_cPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_notUsed_3_aP_AICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_notUsed_4_cDCA_ICH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_sCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SCH_Information_ResourceStatusInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_InformationItem_ResourceStatusInd, Cell_InformationItem_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t FPACH_LCR_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_FPACH_LCR_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FPACH_LCR_InformationList_ResourceStatusInd, FPACH_LCR_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxFPACHCell);

  return offset;
}



static int
dissect_nbap_DwPCH_LCR_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t HS_DSCH_Resources_Information_ResourceStatusInd_sequence[] = {
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_DSCH_Resources_Information_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_DSCH_Resources_Information_ResourceStatusInd, HS_DSCH_Resources_Information_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd, Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_sequence_of,
                                                  1, maxFrequencyinCell);

  return offset;
}


static const value_string nbap_CauseRadioNetwork_vals[] = {
  {   0, "unknown-C-ID" },
  {   1, "cell-not-available" },
  {   2, "power-level-not-supported" },
  {   3, "dl-radio-resources-not-available" },
  {   4, "ul-radio-resources-not-available" },
  {   5, "rl-already-ActivatedOrAllocated" },
  {   6, "nodeB-Resources-unavailable" },
  {   7, "measurement-not-supported-for-the-object" },
  {   8, "combining-resources-not-available" },
  {   9, "requested-configuration-not-supported" },
  {  10, "synchronisation-failure" },
  {  11, "priority-transport-channel-established" },
  {  12, "sIB-Origination-in-Node-B-not-Supported" },
  {  13, "requested-tx-diversity-mode-not-supported" },
  {  14, "unspecified" },
  {  15, "bCCH-scheduling-error" },
  {  16, "measurement-temporarily-not-available" },
  {  17, "invalid-CM-settings" },
  {  18, "reconfiguration-CFN-not-elapsed" },
  {  19, "number-of-DL-codes-not-supported" },
  {  20, "s-cipch-not-supported" },
  {  21, "combining-not-supported" },
  {  22, "ul-sf-not-supported" },
  {  23, "dl-SF-not-supported" },
  {  24, "common-transport-channel-type-not-supported" },
  {  25, "dedicated-transport-channel-type-not-supported" },
  {  26, "downlink-shared-channel-type-not-supported" },
  {  27, "uplink-shared-channel-type-not-supported" },
  {  28, "cm-not-supported" },
  {  29, "tx-diversity-no-longer-supported" },
  {  30, "unknown-Local-Cell-ID" },
  {  31, "number-of-UL-codes-not-supported" },
  {  32, "information-temporarily-not-available" },
  {  33, "information-provision-not-supported-for-the-object" },
  {  34, "cell-synchronisation-not-supported" },
  {  35, "cell-synchronisation-adjustment-not-supported" },
  {  36, "dpc-mode-change-not-supported" },
  {  37, "iPDL-already-activated" },
  {  38, "iPDL-not-supported" },
  {  39, "iPDL-parameters-not-available" },
  {  40, "frequency-acquisition-not-supported" },
  {  41, "power-balancing-status-not-compatible" },
  {  42, "requested-typeofbearer-re-arrangement-not-supported" },
  {  43, "signalling-Bearer-Re-arrangement-not-supported" },
  {  44, "bearer-Re-arrangement-needed" },
  {  45, "delayed-activation-not-supported" },
  {  46, "rl-timing-adjustment-not-supported" },
  { 0, NULL }
};


static int
dissect_nbap_CauseRadioNetwork(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     31, NULL, TRUE, 16, NULL);

  return offset;
}


static const value_string nbap_CauseTransport_vals[] = {
  {   0, "transport-resource-unavailable" },
  {   1, "unspecified" },
  { 0, NULL }
};


static int
dissect_nbap_CauseTransport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_CauseProtocol_vals[] = {
  {   0, "transfer-syntax-error" },
  {   1, "abstract-syntax-error-reject" },
  {   2, "abstract-syntax-error-ignore-and-notify" },
  {   3, "message-not-compatible-with-receiver-state" },
  {   4, "semantic-error" },
  {   5, "unspecified" },
  {   6, "abstract-syntax-error-falsely-constructed-message" },
  { 0, NULL }
};


static int
dissect_nbap_CauseProtocol(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_CauseMisc_vals[] = {
  {   0, "control-processing-overload" },
  {   1, "hardware-failure" },
  {   2, "oam-intervention" },
  {   3, "not-enough-user-plane-processing-resources" },
  {   4, "unspecified" },
  { 0, NULL }
};


static int
dissect_nbap_CauseMisc(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_Cause_vals[] = {
  {   0, "radioNetwork" },
  {   1, "transport" },
  {   2, "protocol" },
  {   3, "misc" },
  { 0, NULL }
};

static const per_choice_t Cause_choice[] = {
  {   0, &hf_nbap_radioNetwork   , ASN1_EXTENSION_ROOT    , dissect_nbap_CauseRadioNetwork },
  {   1, &hf_nbap_transport      , ASN1_EXTENSION_ROOT    , dissect_nbap_CauseTransport },
  {   2, &hf_nbap_protocol       , ASN1_EXTENSION_ROOT    , dissect_nbap_CauseProtocol },
  {   3, &hf_nbap_misc           , ASN1_EXTENSION_ROOT    , dissect_nbap_CauseMisc },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_Cause(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_Cause, Cause_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd, Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t UPPCH_LCR_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UPPCH_LCR_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UPPCH_LCR_InformationList_ResourceStatusInd, UPPCH_LCR_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxFrequencyinCell);

  return offset;
}


static const per_sequence_t UPPCH_LCR_InformationItem_ResourceStatusInd_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UARFCN },
  { &hf_nbap_uPPCHPositionLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UPPCHPositionLCR },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd, UPPCH_LCR_InformationItem_ResourceStatusInd_sequence);

  return offset;
}


static const per_sequence_t MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd, MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_sequence_of,
                                                  1, maxFrequencyinCell_1);

  return offset;
}


static const per_sequence_t S_CCPCH_LCR_InformationListExt_ResourceStatusInd_sequence_of[1] = {
  { &hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd, S_CCPCH_LCR_InformationListExt_ResourceStatusInd_sequence_of,
                                                  1, maxSCCPCHCellinExtLCR);

  return offset;
}


static const per_sequence_t SystemInformationUpdateRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SystemInformationUpdateRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SystemInformationUpdateRequest, SystemInformationUpdateRequest_sequence);

  return offset;
}


static const value_string nbap_IB_Type_vals[] = {
  {   0, "mIB" },
  {   1, "sB1" },
  {   2, "sB2" },
  {   3, "sIB1" },
  {   4, "sIB2" },
  {   5, "sIB3" },
  {   6, "sIB4" },
  {   7, "sIB5" },
  {   8, "sIB6" },
  {   9, "sIB7" },
  {  10, "sIB8" },
  {  11, "sIB9" },
  {  12, "sIB10" },
  {  13, "sIB11" },
  {  14, "sIB12" },
  {  15, "sIB13" },
  {  16, "sIB13dot1" },
  {  17, "sIB13dot2" },
  {  18, "sIB13dot3" },
  {  19, "sIB13dot4" },
  {  20, "sIB14" },
  {  21, "sIB15" },
  {  22, "sIB15dot1" },
  {  23, "sIB15dot2" },
  {  24, "sIB15dot3" },
  {  25, "sIB16" },
  {  26, "sIB17" },
  {  27, "sIB15dot4" },
  {  28, "sIB18" },
  {  29, "sIB15dot5" },
  { 0, NULL }
};


static int
dissect_nbap_IB_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     26, NULL, TRUE, 4, NULL);

  return offset;
}



static int
dissect_nbap_IB_OC_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, NULL, FALSE);

  return offset;
}


static const value_string nbap_SIB_Originator_vals[] = {
  {   0, "nodeB" },
  {   1, "cRNC" },
  { 0, NULL }
};


static int
dissect_nbap_SIB_Originator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_IB_SG_REP_vals[] = {
  {   0, "rep4" },
  {   1, "rep8" },
  {   2, "rep16" },
  {   3, "rep32" },
  {   4, "rep64" },
  {   5, "rep128" },
  {   6, "rep256" },
  {   7, "rep512" },
  {   8, "rep1024" },
  {   9, "rep2048" },
  {  10, "rep4096" },
  { 0, NULL }
};


static int
dissect_nbap_IB_SG_REP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     11, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_SegmentInformationList_SystemInfoUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t No_Deletion_SystemInfoUpdate_sequence[] = {
  { &hf_nbap_sIB_Originator , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SIB_Originator },
  { &hf_nbap_iB_SG_REP      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IB_SG_REP },
  { &hf_nbap_segmentInformationList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SegmentInformationList_SystemInfoUpdate },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_No_Deletion_SystemInfoUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_No_Deletion_SystemInfoUpdate, No_Deletion_SystemInfoUpdate_sequence);

  return offset;
}


static const value_string nbap_DeletionIndicator_SystemInfoUpdate_vals[] = {
  {   0, "no-Deletion" },
  {   1, "yes-Deletion" },
  { 0, NULL }
};

static const per_choice_t DeletionIndicator_SystemInfoUpdate_choice[] = {
  {   0, &hf_nbap_no_Deletion    , ASN1_NO_EXTENSIONS     , dissect_nbap_No_Deletion_SystemInfoUpdate },
  {   1, &hf_nbap_yes_Deletion   , ASN1_NO_EXTENSIONS     , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DeletionIndicator_SystemInfoUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DeletionIndicator_SystemInfoUpdate, DeletionIndicator_SystemInfoUpdate_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst_sequence[] = {
  { &hf_nbap_iB_Type        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IB_Type },
  { &hf_nbap_iB_OC_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_IB_OC_ID },
  { &hf_nbap_deletionIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DeletionIndicator_SystemInfoUpdate },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst, MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst_sequence);

  return offset;
}


static const per_sequence_t MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_sequence_of[1] = {
  { &hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst },
};

static int
dissect_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst, MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_sequence_of,
                                                  1, maxIB);

  return offset;
}



static int
dissect_nbap_IB_SG_POS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4094U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Segment_Type_vals[] = {
  {   0, "first-segment" },
  {   1, "first-segment-short" },
  {   2, "subsequent-segment" },
  {   3, "last-segment" },
  {   4, "last-segment-short" },
  {   5, "complete-SIB" },
  {   6, "complete-SIB-short" },
  { 0, NULL }
};


static int
dissect_nbap_Segment_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_IB_SG_DATA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     NO_BOUND, NO_BOUND, FALSE, NULL);

  return offset;
}


static const per_sequence_t SegmentInformationItem_SystemInfoUpdate_sequence[] = {
  { &hf_nbap_iB_SG_POS      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IB_SG_POS },
  { &hf_nbap_segment_Type   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Segment_Type },
  { &hf_nbap_iB_SG_DATA     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_IB_SG_DATA },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SegmentInformationItem_SystemInfoUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SegmentInformationItem_SystemInfoUpdate, SegmentInformationItem_SystemInfoUpdate_sequence);

  return offset;
}


static const per_sequence_t SegmentInformationListIE_SystemInfoUpdate_sequence_of[1] = {
  { &hf_nbap_SegmentInformationListIE_SystemInfoUpdate_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SegmentInformationItem_SystemInfoUpdate },
};

static int
dissect_nbap_SegmentInformationListIE_SystemInfoUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SegmentInformationListIE_SystemInfoUpdate, SegmentInformationListIE_SystemInfoUpdate_sequence_of,
                                                  1, maxIBSEG);

  return offset;
}


static const per_sequence_t SystemInformationUpdateResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SystemInformationUpdateResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SystemInformationUpdateResponse, SystemInformationUpdateResponse_sequence);

  return offset;
}


static const per_sequence_t SystemInformationUpdateFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SystemInformationUpdateFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SystemInformationUpdateFailure, SystemInformationUpdateFailure_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupRequestFDD, RadioLinkSetupRequestFDD_sequence);

  return offset;
}



static int
dissect_nbap_UL_ScramblingCodeNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16777215U, NULL, FALSE);

  return offset;
}


static const value_string nbap_UL_ScramblingCodeLength_vals[] = {
  {   0, "short" },
  {   1, "long" },
  { 0, NULL }
};


static int
dissect_nbap_UL_ScramblingCodeLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_ScramblingCode_sequence[] = {
  { &hf_nbap_uL_ScramblingCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_ScramblingCodeNumber },
  { &hf_nbap_uL_ScramblingCodeLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_ScramblingCodeLength },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_ScramblingCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_ScramblingCode, UL_ScramblingCode_sequence);

  return offset;
}


static const value_string nbap_MinUL_ChannelisationCodeLength_vals[] = {
  {   0, "v4" },
  {   1, "v8" },
  {   2, "v16" },
  {   3, "v32" },
  {   4, "v64" },
  {   5, "v128" },
  {   6, "v256" },
  { 0, NULL }
};


static int
dissect_nbap_MinUL_ChannelisationCodeLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MaxNrOfUL_DPDCHs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_UL_DPCCH_SlotFormat(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 5U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_UL_SIR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -82, 173U, NULL, FALSE);

  return offset;
}


static const value_string nbap_DiversityMode_vals[] = {
  {   0, "none" },
  {   1, "sTTD" },
  {   2, "closed-loop-mode1" },
  {   3, "not-used-closed-loop-mode2" },
  { 0, NULL }
};


static int
dissect_nbap_DiversityMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t UL_DPCH_Information_RL_SetupRqstFDD_sequence[] = {
  { &hf_nbap_ul_ScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_ScramblingCode },
  { &hf_nbap_minUL_ChannelisationCodeLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MinUL_ChannelisationCodeLength },
  { &hf_nbap_maxNrOfUL_DPDCHs, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaxNrOfUL_DPDCHs },
  { &hf_nbap_ul_PunctureLimit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_ul_DPCCH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_DPCCH_SlotFormat },
  { &hf_nbap_ul_SIR_Target  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_SIR },
  { &hf_nbap_diversityMode  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityMode },
  { &hf_nbap_not_Used_sSDT_CellID_Length, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_s_FieldLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_Information_RL_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_Information_RL_SetupRqstFDD, UL_DPCH_Information_RL_SetupRqstFDD_sequence);

  return offset;
}



static int
dissect_nbap_DL_DPCH_SlotFormat(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TFCI_SignallingMode_TFCI_SignallingOption_vals[] = {
  {   0, "normal" },
  {   1, "not-Used-split" },
  { 0, NULL }
};


static int
dissect_nbap_TFCI_SignallingMode_TFCI_SignallingOption(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t TFCI_SignallingMode_sequence[] = {
  { &hf_nbap_tFCI_SignallingOption, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_SignallingMode_TFCI_SignallingOption },
  { &hf_nbap_not_Used_splitType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_lengthOfTFCI2, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TFCI_SignallingMode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TFCI_SignallingMode, TFCI_SignallingMode_sequence);

  return offset;
}


static const per_sequence_t PowerOffsetInformation_RL_SetupRqstFDD_sequence[] = {
  { &hf_nbap_pO1_ForTFCI_Bits, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffset },
  { &hf_nbap_pO2_ForTPC_Bits, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffset },
  { &hf_nbap_pO3_ForPilotBits, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PowerOffsetInformation_RL_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PowerOffsetInformation_RL_SetupRqstFDD, PowerOffsetInformation_RL_SetupRqstFDD_sequence);

  return offset;
}


static const value_string nbap_FDD_TPC_DownlinkStepSize_vals[] = {
  {   0, "step-size0-5" },
  {   1, "step-size1" },
  {   2, "step-size1-5" },
  {   3, "step-size2" },
  { 0, NULL }
};


static int
dissect_nbap_FDD_TPC_DownlinkStepSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_LimitedPowerIncrease_vals[] = {
  {   0, "used" },
  {   1, "not-used" },
  { 0, NULL }
};


static int
dissect_nbap_LimitedPowerIncrease(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_InnerLoopDLPCStatus_vals[] = {
  {   0, "active" },
  {   1, "inactive" },
  { 0, NULL }
};


static int
dissect_nbap_InnerLoopDLPCStatus(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_DPCH_Information_RL_SetupRqstFDD_sequence[] = {
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_dl_DPCH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_DPCH_SlotFormat },
  { &hf_nbap_tFCI_SignallingMode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_SignallingMode },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_multiplexingPosition, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MultiplexingPosition },
  { &hf_nbap_not_Used_pDSCH_RL_ID, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_pDSCH_CodeMapping, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_powerOffsetInformation_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerOffsetInformation_RL_SetupRqstFDD },
  { &hf_nbap_fdd_TPC_DownlinkStepSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_TPC_DownlinkStepSize },
  { &hf_nbap_limitedPowerIncrease, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_LimitedPowerIncrease },
  { &hf_nbap_innerLoopDLPCStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_InnerLoopDLPCStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_Information_RL_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_Information_RL_SetupRqstFDD, DL_DPCH_Information_RL_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_SetupRqstFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_SetupRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_SetupRqstFDD, RL_InformationList_RL_SetupRqstFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}



static int
dissect_nbap_RL_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const value_string nbap_FirstRLS_Indicator_vals[] = {
  {   0, "first-RLS" },
  {   1, "not-first-RLS" },
  { 0, NULL }
};


static int
dissect_nbap_FirstRLS_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_FrameOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_ChipOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 38399U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PropagationDelay(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const value_string nbap_DiversityControlField_vals[] = {
  {   0, "may" },
  {   1, "must" },
  {   2, "must-not" },
  { 0, NULL }
};


static int
dissect_nbap_DiversityControlField(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TransmissionGapPatternSequenceCodeInformation_vals[] = {
  {   0, "code-change" },
  {   1, "nocode-change" },
  { 0, NULL }
};


static int
dissect_nbap_TransmissionGapPatternSequenceCodeInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t FDD_DL_CodeInformationItem_sequence[] = {
  { &hf_nbap_dl_ScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_ScramblingCode },
  { &hf_nbap_fdd_DL_ChannelisationCodeNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_ChannelisationCodeNumber },
  { &hf_nbap_transmissionGapPatternSequenceCodeInformation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransmissionGapPatternSequenceCodeInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FDD_DL_CodeInformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FDD_DL_CodeInformationItem, FDD_DL_CodeInformationItem_sequence);

  return offset;
}


static const per_sequence_t FDD_DL_CodeInformation_sequence_of[1] = {
  { &hf_nbap_FDD_DL_CodeInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_CodeInformationItem },
};

static int
dissect_nbap_FDD_DL_CodeInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FDD_DL_CodeInformation, FDD_DL_CodeInformation_sequence_of,
                                                  1, maxNrOfCodes);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_SetupRqstFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_firstRLS_indicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FirstRLS_Indicator },
  { &hf_nbap_frameOffset    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameOffset },
  { &hf_nbap_chipOffset     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ChipOffset },
  { &hf_nbap_propagationDelay, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PropagationDelay },
  { &hf_nbap_diversityControlField, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiversityControlField },
  { &hf_nbap_dl_CodeInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_CodeInformation },
  { &hf_nbap_initialDL_transmissionPower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_maximumDL_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_minimumDL_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_not_Used_sSDT_Cell_Identity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_transmitDiversityIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransmitDiversityIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_SetupRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_SetupRqstFDD, RL_InformationItem_RL_SetupRqstFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupRequestTDD, RadioLinkSetupRequestTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationList_RL_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD, UL_CCTrCH_InformationList_RL_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}



static int
dissect_nbap_UL_DPCH_Information_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationItem_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_uL_DPCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_Information_RL_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD, UL_CCTrCH_InformationItem_RL_SetupRqstTDD_sequence);

  return offset;
}


static const value_string nbap_TDD_DPCHOffset_vals[] = {
  {   0, "initialOffset" },
  {   1, "noinitialOffset" },
  { 0, NULL }
};

static const per_choice_t TDD_DPCHOffset_choice[] = {
  {   0, &hf_nbap_initialOffset  , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_255 },
  {   1, &hf_nbap_noinitialOffset, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_63 },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TDD_DPCHOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TDD_DPCHOffset, TDD_DPCHOffset_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_DPCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 239U, NULL, FALSE);

  return offset;
}


static const per_sequence_t TDD_UL_Code_InformationItem_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_UL_Code_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_UL_Code_InformationItem, TDD_UL_Code_InformationItem_sequence);

  return offset;
}


static const per_sequence_t TDD_UL_Code_Information_sequence_of[1] = {
  { &hf_nbap_TDD_UL_Code_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_UL_Code_InformationItem },
};

static int
dissect_nbap_TDD_UL_Code_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TDD_UL_Code_Information, TDD_UL_Code_Information_sequence_of,
                                                  1, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationItem_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_UL_Code_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_InformationItem, UL_Timeslot_InformationItem_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_Information_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationItem },
};

static int
dissect_nbap_UL_Timeslot_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_Information, UL_Timeslot_Information_sequence_of,
                                                  1, maxNrOfULTSs);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationItem_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD, UL_DPCH_InformationItem_RL_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_QPSK_UL_DPCH_TimeSlotFormatTDD_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 69U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_EightPSK_UL_DPCH_TimeSlotFormatTDD_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 24U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_vals[] = {
  {   0, "qPSK" },
  {   1, "eightPSK" },
  { 0, NULL }
};

static const per_choice_t TDD_UL_DPCH_TimeSlotFormat_LCR_choice[] = {
  {   0, &hf_nbap_qPSK_01        , ASN1_EXTENSION_ROOT    , dissect_nbap_QPSK_UL_DPCH_TimeSlotFormatTDD_LCR },
  {   1, &hf_nbap_eightPSK_01    , ASN1_EXTENSION_ROOT    , dissect_nbap_EightPSK_UL_DPCH_TimeSlotFormatTDD_LCR },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR, TDD_UL_DPCH_TimeSlotFormat_LCR_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t TDD_UL_Code_LCR_InformationItem_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_tdd_UL_DPCH_TimeSlotFormat_LCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_UL_Code_LCR_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_UL_Code_LCR_InformationItem, TDD_UL_Code_LCR_InformationItem_sequence);

  return offset;
}


static const per_sequence_t TDD_UL_Code_LCR_Information_sequence_of[1] = {
  { &hf_nbap_TDD_UL_Code_LCR_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_UL_Code_LCR_InformationItem },
};

static int
dissect_nbap_TDD_UL_Code_LCR_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TDD_UL_Code_LCR_Information, TDD_UL_Code_LCR_Information_sequence_of,
                                                  1, maxNrOfDPCHLCRs);

  return offset;
}


static const per_sequence_t UL_TimeslotLCR_InformationItem_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_UL_Code_LCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_TimeslotLCR_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_TimeslotLCR_InformationItem, UL_TimeslotLCR_InformationItem_sequence);

  return offset;
}


static const per_sequence_t UL_TimeslotLCR_Information_sequence_of[1] = {
  { &hf_nbap_UL_TimeslotLCR_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotLCR_InformationItem },
};

static int
dissect_nbap_UL_TimeslotLCR_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_TimeslotLCR_Information, UL_TimeslotLCR_Information_sequence_of,
                                                  1, maxNrOfULTSLCRs);

  return offset;
}


static const per_sequence_t UL_DPCH_LCR_Information_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_TimeslotLCR_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD, UL_DPCH_LCR_Information_RL_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationList_RL_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD, DL_CCTrCH_InformationList_RL_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const value_string nbap_TDD_TPC_DownlinkStepSize_vals[] = {
  {   0, "step-size1" },
  {   1, "step-size2" },
  {   2, "step-size3" },
  { 0, NULL }
};


static int
dissect_nbap_TDD_TPC_DownlinkStepSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t CCTrCH_TPCItem_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_TPCItem_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_TPCItem_RL_SetupRqstTDD, CCTrCH_TPCItem_RL_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_TPCList_RL_SetupRqstTDD_sequence_of[1] = {
  { &hf_nbap_CCTrCH_TPCList_RL_SetupRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_TPCItem_RL_SetupRqstTDD },
};

static int
dissect_nbap_CCTrCH_TPCList_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCTrCH_TPCList_RL_SetupRqstTDD, CCTrCH_TPCList_RL_SetupRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}



static int
dissect_nbap_DL_DPCH_Information_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationItem_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_tdd_TPC_DownlinkStepSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_TPC_DownlinkStepSize },
  { &hf_nbap_cCTrCH_TPCList , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_TPCList_RL_SetupRqstTDD },
  { &hf_nbap_dL_DPCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_Information_RL_SetupRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD, DL_CCTrCH_InformationItem_RL_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TDD_DL_Code_InformationItem_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_DL_Code_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_DL_Code_InformationItem, TDD_DL_Code_InformationItem_sequence);

  return offset;
}


static const per_sequence_t TDD_DL_Code_Information_sequence_of[1] = {
  { &hf_nbap_TDD_DL_Code_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_Code_InformationItem },
};

static int
dissect_nbap_TDD_DL_Code_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TDD_DL_Code_Information, TDD_DL_Code_Information_sequence_of,
                                                  1, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationItem_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_Code_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_InformationItem, DL_Timeslot_InformationItem_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_Information_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationItem },
};

static int
dissect_nbap_DL_Timeslot_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_Information, DL_Timeslot_Information_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationItem_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD, DL_DPCH_InformationItem_RL_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TDD_DL_Code_LCR_InformationItem_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_tdd_DL_DPCH_TimeSlotFormat_LCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TDD_DL_Code_LCR_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TDD_DL_Code_LCR_InformationItem, TDD_DL_Code_LCR_InformationItem_sequence);

  return offset;
}


static const per_sequence_t TDD_DL_Code_LCR_Information_sequence_of[1] = {
  { &hf_nbap_TDD_DL_Code_LCR_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_Code_LCR_InformationItem },
};

static int
dissect_nbap_TDD_DL_Code_LCR_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TDD_DL_Code_LCR_Information, TDD_DL_Code_LCR_Information_sequence_of,
                                                  1, maxNrOfDPCHLCRs);

  return offset;
}


static const per_sequence_t DL_TimeslotLCR_InformationItem_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_LCR_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DL_Code_LCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_TimeslotLCR_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_TimeslotLCR_InformationItem, DL_TimeslotLCR_InformationItem_sequence);

  return offset;
}


static const per_sequence_t DL_TimeslotLCR_Information_sequence_of[1] = {
  { &hf_nbap_DL_TimeslotLCR_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotLCR_InformationItem },
};

static int
dissect_nbap_DL_TimeslotLCR_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_TimeslotLCR_Information, DL_TimeslotLCR_Information_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t DL_DPCH_LCR_Information_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_TimeslotLCR_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotLCR_Information },
  { &hf_nbap_tstdIndicator  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TSTD_Indicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD, DL_DPCH_LCR_Information_RL_SetupRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_SpecialBurstScheduling(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_DL_TimeslotISCP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 91U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DL_TimeslotISCPInfoItem_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_dL_TimeslotISCP, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotISCP },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_TimeslotISCPInfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_TimeslotISCPInfoItem, DL_TimeslotISCPInfoItem_sequence);

  return offset;
}


static const per_sequence_t DL_TimeslotISCPInfo_sequence_of[1] = {
  { &hf_nbap_DL_TimeslotISCPInfo_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotISCPInfoItem },
};

static int
dissect_nbap_DL_TimeslotISCPInfo(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_TimeslotISCPInfo, DL_TimeslotISCPInfo_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t RL_Information_RL_SetupRqstTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_frameOffset    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameOffset },
  { &hf_nbap_specialBurstScheduling, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SpecialBurstScheduling },
  { &hf_nbap_initialDL_transmissionPower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_maximumDL_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_minimumDL_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_dL_TimeSlotISCPInfo, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_TimeslotISCPInfo },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Information_RL_SetupRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Information_RL_SetupRqstTDD, RL_Information_RL_SetupRqstTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupResponseFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupResponseFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupResponseFDD, RadioLinkSetupResponseFDD_sequence);

  return offset;
}


static const per_sequence_t RL_InformationResponseList_RL_SetupRspFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationResponseList_RL_SetupRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationResponseList_RL_SetupRspFDD, RL_InformationResponseList_RL_SetupRspFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}



static int
dissect_nbap_RL_Set_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Combining_RL_SetupRspFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Combining_RL_SetupRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Combining_RL_SetupRspFDD, Combining_RL_SetupRspFDD_sequence);

  return offset;
}



static int
dissect_nbap_DCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DCH_InformationResponseItem_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_InformationResponseItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_InformationResponseItem, DCH_InformationResponseItem_sequence);

  return offset;
}


static const per_sequence_t DCH_InformationResponse_sequence_of[1] = {
  { &hf_nbap_DCH_InformationResponse_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponseItem },
};

static int
dissect_nbap_DCH_InformationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_InformationResponse, DCH_InformationResponse_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t NonCombiningOrFirstRL_RL_SetupRspFDD_sequence[] = {
  { &hf_nbap_dCH_InformationResponse, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponse },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_NonCombiningOrFirstRL_RL_SetupRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_NonCombiningOrFirstRL_RL_SetupRspFDD, NonCombiningOrFirstRL_RL_SetupRspFDD_sequence);

  return offset;
}


static const value_string nbap_DiversityIndication_RL_SetupRspFDD_vals[] = {
  {   0, "combining" },
  {   1, "nonCombiningOrFirstRL" },
  { 0, NULL }
};

static const per_choice_t DiversityIndication_RL_SetupRspFDD_choice[] = {
  {   0, &hf_nbap_combining      , ASN1_NO_EXTENSIONS     , dissect_nbap_Combining_RL_SetupRspFDD },
  {   1, &hf_nbap_nonCombiningOrFirstRL, ASN1_NO_EXTENSIONS     , dissect_nbap_NonCombiningOrFirstRL_RL_SetupRspFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DiversityIndication_RL_SetupRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DiversityIndication_RL_SetupRspFDD, DiversityIndication_RL_SetupRspFDD_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_SSDT_SupportIndicator_vals[] = {
  {   0, "not-Used-sSDT-Supported" },
  {   1, "sSDT-not-supported" },
  { 0, NULL }
};


static int
dissect_nbap_SSDT_SupportIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t RL_InformationResponseItem_RL_SetupRspFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Received_total_wide_band_power_Value },
  { &hf_nbap_diversityIndication, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityIndication_RL_SetupRspFDD },
  { &hf_nbap_not_Used_dSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_sSDT_SupportIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SSDT_SupportIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponseItem_RL_SetupRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponseItem_RL_SetupRspFDD, RL_InformationResponseItem_RL_SetupRspFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupResponseTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupResponseTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupResponseTDD, RadioLinkSetupResponseTDD_sequence);

  return offset;
}


static const per_sequence_t UL_TimeSlot_ISCP_InfoItem_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_iSCP           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotISCP_Value },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_TimeSlot_ISCP_InfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_TimeSlot_ISCP_InfoItem, UL_TimeSlot_ISCP_InfoItem_sequence);

  return offset;
}


static const per_sequence_t UL_TimeSlot_ISCP_Info_sequence_of[1] = {
  { &hf_nbap_UL_TimeSlot_ISCP_Info_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_InfoItem },
};

static int
dissect_nbap_UL_TimeSlot_ISCP_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_TimeSlot_ISCP_Info, UL_TimeSlot_ISCP_Info_sequence_of,
                                                  1, maxNrOfULTSs);

  return offset;
}


static const value_string nbap_UL_PhysCH_SF_Variation_vals[] = {
  {   0, "sf-variation-supported" },
  {   1, "sf-variation-not-supported" },
  { 0, NULL }
};


static int
dissect_nbap_UL_PhysCH_SF_Variation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_DCH_InformationResponseList_RL_SetupRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_DSCH_InformationResponseList_RL_SetupRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_USCH_InformationResponseList_RL_SetupRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RL_InformationResponse_RL_SetupRspTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_uL_TimeSlot_ISCP_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_Info },
  { &hf_nbap_ul_PhysCH_SF_Variation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_PhysCH_SF_Variation },
  { &hf_nbap_dCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_dSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DSCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_uSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_USCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponse_RL_SetupRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponse_RL_SetupRspTDD, RL_InformationResponse_RL_SetupRspTDD_sequence);

  return offset;
}


static const per_sequence_t UL_TimeSlot_ISCP_LCR_InfoItem_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_iSCP           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotISCP_Value },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_TimeSlot_ISCP_LCR_InfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_TimeSlot_ISCP_LCR_InfoItem, UL_TimeSlot_ISCP_LCR_InfoItem_sequence);

  return offset;
}


static const per_sequence_t UL_TimeSlot_ISCP_LCR_Info_sequence_of[1] = {
  { &hf_nbap_UL_TimeSlot_ISCP_LCR_Info_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_LCR_InfoItem },
};

static int
dissect_nbap_UL_TimeSlot_ISCP_LCR_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_TimeSlot_ISCP_LCR_Info, UL_TimeSlot_ISCP_LCR_Info_sequence_of,
                                                  1, maxNrOfULTSLCRs);

  return offset;
}


static const per_sequence_t RL_InformationResponse_LCR_RL_SetupRspTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_uL_TimeSlot_ISCP_LCR_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_LCR_Info },
  { &hf_nbap_ul_PhysCH_SF_Variation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_PhysCH_SF_Variation },
  { &hf_nbap_dCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_dSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DSCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_uSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_USCH_InformationResponseList_RL_SetupRspTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD, RL_InformationResponse_LCR_RL_SetupRspTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupFailureFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupFailureFDD, RadioLinkSetupFailureFDD_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_RL_SetupFailureFDD, GeneralCauseList_RL_SetupFailureFDD_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_sequence_of[1] = {
  { &hf_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD, Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t Successful_RL_InformationRespList_RL_SetupFailureFDD_sequence_of[1] = {
  { &hf_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD, Successful_RL_InformationRespList_RL_SetupFailureFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RLSpecificCauseList_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_unsuccessful_RL_InformationRespList_RL_SetupFailureFDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD },
  { &hf_nbap_successful_RL_InformationRespList_RL_SetupFailureFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RLSpecificCauseList_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RLSpecificCauseList_RL_SetupFailureFDD, RLSpecificCauseList_RL_SetupFailureFDD_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_RL_SetupFailureFDD_vals[] = {
  {   0, "generalCause" },
  {   1, "rLSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_RL_SetupFailureFDD_choice[] = {
  {   0, &hf_nbap_generalCause   , ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_RL_SetupFailureFDD },
  {   1, &hf_nbap_rLSpecificCause, ASN1_EXTENSION_ROOT    , dissect_nbap_RLSpecificCauseList_RL_SetupFailureFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_RL_SetupFailureFDD, CauseLevel_RL_SetupFailureFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD, Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_sequence);

  return offset;
}


static const per_sequence_t Combining_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Combining_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Combining_RL_SetupFailureFDD, Combining_RL_SetupFailureFDD_sequence);

  return offset;
}


static const per_sequence_t NonCombiningOrFirstRL_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_dCH_InformationResponse, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponse },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_NonCombiningOrFirstRL_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_NonCombiningOrFirstRL_RL_SetupFailureFDD, NonCombiningOrFirstRL_RL_SetupFailureFDD_sequence);

  return offset;
}


static const value_string nbap_DiversityIndication_RL_SetupFailureFDD_vals[] = {
  {   0, "combining" },
  {   1, "nonCombiningOrFirstRL" },
  { 0, NULL }
};

static const per_choice_t DiversityIndication_RL_SetupFailureFDD_choice[] = {
  {   0, &hf_nbap_combining_01   , ASN1_NO_EXTENSIONS     , dissect_nbap_Combining_RL_SetupFailureFDD },
  {   1, &hf_nbap_nonCombiningOrFirstRL_01, ASN1_NO_EXTENSIONS     , dissect_nbap_NonCombiningOrFirstRL_RL_SetupFailureFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DiversityIndication_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DiversityIndication_RL_SetupFailureFDD, DiversityIndication_RL_SetupFailureFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Successful_RL_InformationRespItem_RL_SetupFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Received_total_wide_band_power_Value },
  { &hf_nbap_diversityIndication_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityIndication_RL_SetupFailureFDD },
  { &hf_nbap_not_Used_dSCH_InformationResponseList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_tFCI2_BearerInformationResponse, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_sSDT_SupportIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SSDT_SupportIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD, Successful_RL_InformationRespItem_RL_SetupFailureFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkSetupFailureTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkSetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkSetupFailureTDD, RadioLinkSetupFailureTDD_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_RL_SetupFailureTDD_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_RL_SetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_RL_SetupFailureTDD, GeneralCauseList_RL_SetupFailureTDD_sequence);

  return offset;
}



static int
dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RLSpecificCauseList_RL_SetupFailureTDD_sequence[] = {
  { &hf_nbap_unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RLSpecificCauseList_RL_SetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RLSpecificCauseList_RL_SetupFailureTDD, RLSpecificCauseList_RL_SetupFailureTDD_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_RL_SetupFailureTDD_vals[] = {
  {   0, "generalCause" },
  {   1, "rLSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_RL_SetupFailureTDD_choice[] = {
  {   0, &hf_nbap_generalCause_01, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_RL_SetupFailureTDD },
  {   1, &hf_nbap_rLSpecificCause_01, ASN1_EXTENSION_ROOT    , dissect_nbap_RLSpecificCauseList_RL_SetupFailureTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_RL_SetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_RL_SetupFailureTDD, CauseLevel_RL_SetupFailureTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD, Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionRequestFDD, RadioLinkAdditionRequestFDD_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_AdditionRqstFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_AdditionRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_AdditionRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_AdditionRqstFDD, RL_InformationList_RL_AdditionRqstFDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_AdditionRqstFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_frameOffset    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameOffset },
  { &hf_nbap_chipOffset     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ChipOffset },
  { &hf_nbap_diversityControlField, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityControlField },
  { &hf_nbap_dl_CodeInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DL_CodeInformation },
  { &hf_nbap_initialDL_TransmissionPower, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_maximumDL_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minimumDL_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_not_Used_sSDT_CellIdentity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_transmitDiversityIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransmitDiversityIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_AdditionRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_AdditionRqstFDD, RL_InformationItem_RL_AdditionRqstFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionRequestTDD, RadioLinkAdditionRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_UL_DPCH_InformationList_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationItem_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_uL_DPCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationList_RL_AdditionRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationItem_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationItem_RL_AdditionRqstTDD, UL_CCTrCH_InformationItem_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationList_RL_AdditionRqstTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_CCTrCH_InformationItem_RL_AdditionRqstTDD },
};

static int
dissect_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD, UL_CCTrCH_InformationList_RL_AdditionRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationItem_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD, UL_DPCH_InformationItem_RL_AdditionRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_DL_DPCH_InformationList_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationItem_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_dL_DPCH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationList_RL_AdditionRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationItem_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationItem_RL_AdditionRqstTDD, DL_CCTrCH_InformationItem_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationList_RL_AdditionRqstTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_CCTrCH_InformationItem_RL_AdditionRqstTDD },
};

static int
dissect_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD, DL_CCTrCH_InformationList_RL_AdditionRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationItem_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD, DL_DPCH_InformationItem_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t RL_Information_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_frameOffset    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameOffset },
  { &hf_nbap_diversityControlField, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityControlField },
  { &hf_nbap_initial_DL_Transmission_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_maximumDL_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minimumDL_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_dL_TimeSlotISCPInfo, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_TimeslotISCPInfo },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Information_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Information_RL_AdditionRqstTDD, RL_Information_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_TimeslotLCR_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_TimeslotLCR_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionResponseFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionResponseFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionResponseFDD, RadioLinkAdditionResponseFDD_sequence);

  return offset;
}


static const per_sequence_t RL_InformationResponseList_RL_AdditionRspFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationResponseList_RL_AdditionRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationResponseList_RL_AdditionRspFDD, RL_InformationResponseList_RL_AdditionRspFDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t Combining_RL_AdditionRspFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Combining_RL_AdditionRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Combining_RL_AdditionRspFDD, Combining_RL_AdditionRspFDD_sequence);

  return offset;
}


static const per_sequence_t Non_Combining_RL_AdditionRspFDD_sequence[] = {
  { &hf_nbap_dCH_InformationResponse, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponse },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Non_Combining_RL_AdditionRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Non_Combining_RL_AdditionRspFDD, Non_Combining_RL_AdditionRspFDD_sequence);

  return offset;
}


static const value_string nbap_DiversityIndication_RL_AdditionRspFDD_vals[] = {
  {   0, "combining" },
  {   1, "non-combining" },
  { 0, NULL }
};

static const per_choice_t DiversityIndication_RL_AdditionRspFDD_choice[] = {
  {   0, &hf_nbap_combining_02   , ASN1_NO_EXTENSIONS     , dissect_nbap_Combining_RL_AdditionRspFDD },
  {   1, &hf_nbap_non_combining  , ASN1_NO_EXTENSIONS     , dissect_nbap_Non_Combining_RL_AdditionRspFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DiversityIndication_RL_AdditionRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DiversityIndication_RL_AdditionRspFDD, DiversityIndication_RL_AdditionRspFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_InformationResponseItem_RL_AdditionRspFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Received_total_wide_band_power_Value },
  { &hf_nbap_diversityIndication_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityIndication_RL_AdditionRspFDD },
  { &hf_nbap_sSDT_SupportIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SSDT_SupportIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponseItem_RL_AdditionRspFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponseItem_RL_AdditionRspFDD, RL_InformationResponseItem_RL_AdditionRspFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionResponseTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionResponseTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionResponseTDD, RadioLinkAdditionResponseTDD_sequence);

  return offset;
}


static const per_sequence_t Combining_RL_AdditionRspTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Combining_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Combining_RL_AdditionRspTDD, Combining_RL_AdditionRspTDD_sequence);

  return offset;
}


static const per_sequence_t Non_Combining_RL_AdditionRspTDD_sequence[] = {
  { &hf_nbap_dCH_InformationResponse, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponse },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Non_Combining_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Non_Combining_RL_AdditionRspTDD, Non_Combining_RL_AdditionRspTDD_sequence);

  return offset;
}


static const value_string nbap_DiversityIndication_RL_AdditionRspTDD_vals[] = {
  {   0, "combining" },
  {   1, "non-Combining" },
  { 0, NULL }
};

static const per_choice_t DiversityIndication_RL_AdditionRspTDD_choice[] = {
  {   0, &hf_nbap_combining_03   , ASN1_NO_EXTENSIONS     , dissect_nbap_Combining_RL_AdditionRspTDD },
  {   1, &hf_nbap_non_Combining  , ASN1_NO_EXTENSIONS     , dissect_nbap_Non_Combining_RL_AdditionRspTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DiversityIndication_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DiversityIndication_RL_AdditionRspTDD, DiversityIndication_RL_AdditionRspTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DCH_Information_RL_AdditionRspTDD_sequence[] = {
  { &hf_nbap_diversityIndication_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityIndication_RL_AdditionRspTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_Information_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_Information_RL_AdditionRspTDD, DCH_Information_RL_AdditionRspTDD_sequence);

  return offset;
}



static int
dissect_nbap_DSCH_InformationResponseList_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_USCH_InformationResponseList_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RL_InformationResponse_RL_AdditionRspTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_uL_TimeSlot_ISCP_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_Info },
  { &hf_nbap_ul_PhysCH_SF_Variation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_PhysCH_SF_Variation },
  { &hf_nbap_dCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_Information_RL_AdditionRspTDD },
  { &hf_nbap_dSCH_InformationResponseList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DSCH_InformationResponseList_RL_AdditionRspTDD },
  { &hf_nbap_uSCH_InformationResponseList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_USCH_InformationResponseList_RL_AdditionRspTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponse_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponse_RL_AdditionRspTDD, RL_InformationResponse_RL_AdditionRspTDD_sequence);

  return offset;
}


static const per_sequence_t RL_InformationResponse_LCR_RL_AdditionRspTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_uL_TimeSlot_ISCP_InfoLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeSlot_ISCP_LCR_Info },
  { &hf_nbap_ul_PhysCH_SF_Variation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_PhysCH_SF_Variation },
  { &hf_nbap_dCH_Information, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_Information_RL_AdditionRspTDD },
  { &hf_nbap_dSCH_InformationResponseList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DSCH_InformationResponseList_RL_AdditionRspTDD },
  { &hf_nbap_uSCH_InformationResponseList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_USCH_InformationResponseList_RL_AdditionRspTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD, RL_InformationResponse_LCR_RL_AdditionRspTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionFailureFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionFailureFDD, RadioLinkAdditionFailureFDD_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_RL_AdditionFailureFDD, GeneralCauseList_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_sequence_of[1] = {
  { &hf_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD, Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t Successful_RL_InformationRespList_RL_AdditionFailureFDD_sequence_of[1] = {
  { &hf_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD, Successful_RL_InformationRespList_RL_AdditionFailureFDD_sequence_of,
                                                  1, maxNrOfRLs_2);

  return offset;
}


static const per_sequence_t RLSpecificCauseList_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD },
  { &hf_nbap_successful_RL_InformationRespList_RL_AdditionFailureFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RLSpecificCauseList_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RLSpecificCauseList_RL_AdditionFailureFDD, RLSpecificCauseList_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_RL_AdditionFailureFDD_vals[] = {
  {   0, "generalCause" },
  {   1, "rLSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_RL_AdditionFailureFDD_choice[] = {
  {   0, &hf_nbap_generalCause_02, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_RL_AdditionFailureFDD },
  {   1, &hf_nbap_rLSpecificCause_02, ASN1_EXTENSION_ROOT    , dissect_nbap_RLSpecificCauseList_RL_AdditionFailureFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_RL_AdditionFailureFDD, CauseLevel_RL_AdditionFailureFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD, Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const per_sequence_t Combining_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Combining_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Combining_RL_AdditionFailureFDD, Combining_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const per_sequence_t Non_Combining_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_dCH_InformationResponse, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_InformationResponse },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Non_Combining_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Non_Combining_RL_AdditionFailureFDD, Non_Combining_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const value_string nbap_DiversityIndication_RL_AdditionFailureFDD_vals[] = {
  {   0, "combining" },
  {   1, "non-Combining" },
  { 0, NULL }
};

static const per_choice_t DiversityIndication_RL_AdditionFailureFDD_choice[] = {
  {   0, &hf_nbap_combining_04   , ASN1_NO_EXTENSIONS     , dissect_nbap_Combining_RL_AdditionFailureFDD },
  {   1, &hf_nbap_non_Combining_01, ASN1_NO_EXTENSIONS     , dissect_nbap_Non_Combining_RL_AdditionFailureFDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DiversityIndication_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DiversityIndication_RL_AdditionFailureFDD, DiversityIndication_RL_AdditionFailureFDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Successful_RL_InformationRespItem_RL_AdditionFailureFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Received_total_wide_band_power_Value },
  { &hf_nbap_diversityIndication_04, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DiversityIndication_RL_AdditionFailureFDD },
  { &hf_nbap_sSDT_SupportIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SSDT_SupportIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD, Successful_RL_InformationRespItem_RL_AdditionFailureFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkAdditionFailureTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkAdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkAdditionFailureTDD, RadioLinkAdditionFailureTDD_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_RL_AdditionFailureTDD_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_RL_AdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_RL_AdditionFailureTDD, GeneralCauseList_RL_AdditionFailureTDD_sequence);

  return offset;
}



static int
dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RLSpecificCauseList_RL_AdditionFailureTDD_sequence[] = {
  { &hf_nbap_unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RLSpecificCauseList_RL_AdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RLSpecificCauseList_RL_AdditionFailureTDD, RLSpecificCauseList_RL_AdditionFailureTDD_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_RL_AdditionFailureTDD_vals[] = {
  {   0, "generalCause" },
  {   1, "rLSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_RL_AdditionFailureTDD_choice[] = {
  {   0, &hf_nbap_generalCause_03, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_RL_AdditionFailureTDD },
  {   1, &hf_nbap_rLSpecificCause_03, ASN1_EXTENSION_ROOT    , dissect_nbap_RLSpecificCauseList_RL_AdditionFailureTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_RL_AdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_RL_AdditionFailureTDD, CauseLevel_RL_AdditionFailureTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD, Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationPrepareFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationPrepareFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationPrepareFDD, RadioLinkReconfigurationPrepareFDD_sequence);

  return offset;
}


static const per_sequence_t UL_DPCH_Information_RL_ReconfPrepFDD_sequence[] = {
  { &hf_nbap_ul_ScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_ScramblingCode },
  { &hf_nbap_ul_SIR_Target  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_SIR },
  { &hf_nbap_minUL_ChannelisationCodeLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MinUL_ChannelisationCodeLength },
  { &hf_nbap_maxNrOfUL_DPDCHs, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaxNrOfUL_DPDCHs },
  { &hf_nbap_ul_PunctureLimit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PunctureLimit },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_ul_DPCCH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCCH_SlotFormat },
  { &hf_nbap_diversityMode  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiversityMode },
  { &hf_nbap_not_Used_sSDT_CellIDLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_s_FieldLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_Information_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_Information_RL_ReconfPrepFDD, UL_DPCH_Information_RL_ReconfPrepFDD_sequence);

  return offset;
}


static const per_sequence_t DL_DPCH_Information_RL_ReconfPrepFDD_sequence[] = {
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_dl_DPCH_SlotFormat, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_SlotFormat },
  { &hf_nbap_tFCI_SignallingMode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_SignallingMode },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_multiplexingPosition, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MultiplexingPosition },
  { &hf_nbap_not_Used_pDSCH_CodeMapping, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_pDSCH_RL_ID, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_limitedPowerIncrease, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_LimitedPowerIncrease },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_Information_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_Information_RL_ReconfPrepFDD, DL_DPCH_Information_RL_ReconfPrepFDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteItem_RL_ReconfPrepFDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_DeleteItem_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_DeleteItem_RL_ReconfPrepFDD, DCH_DeleteItem_RL_ReconfPrepFDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteList_RL_ReconfPrepFDD_sequence_of[1] = {
  { &hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_DeleteItem_RL_ReconfPrepFDD },
};

static int
dissect_nbap_DCH_DeleteList_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_DeleteList_RL_ReconfPrepFDD, DCH_DeleteList_RL_ReconfPrepFDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_ReconfPrepFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_ReconfPrepFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_ReconfPrepFDD, RL_InformationList_RL_ReconfPrepFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_ReconfPrepFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dl_CodeInformation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FDD_DL_CodeInformation },
  { &hf_nbap_maxDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_not_Used_sSDT_Indication, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_not_Used_sSDT_Cell_Identity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_transmitDiversityIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransmitDiversityIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_ReconfPrepFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_ReconfPrepFDD, RL_InformationItem_RL_ReconfPrepFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationPrepareTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationPrepareTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationPrepareTDD, RadioLinkReconfigurationPrepareTDD_sequence);

  return offset;
}



static int
dissect_nbap_UL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_ul_DPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD, UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_InformationLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD, UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const value_string nbap_TDD_TPC_UplinkStepSize_LCR_vals[] = {
  {   0, "step-size1" },
  {   1, "step-size2" },
  {   2, "step-size3" },
  { 0, NULL }
};


static int
dissect_nbap_TDD_TPC_UplinkStepSize_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_ul_DPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationListLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_sir_target  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_SIR },
  { &hf_nbap_tDD_TPC_UplinkStepSize_LCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_TPC_UplinkStepSize_LCR },
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD },
};

static int
dissect_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD, MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD, UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}



static int
dissect_nbap_UL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_UL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_UL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PunctureLimit },
  { &hf_nbap_ul_DPCH_InformationAddList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationModifyList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationDeleteList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD, UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_InformationLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD, UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_ul_DPCH_InformationAddList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationModifyList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationDeleteList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_DPCH_InformationAddListLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_ul_sir_target  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_SIR },
  { &hf_nbap_tDD_TPC_UplinkStepSize_LCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_TPC_UplinkStepSize_LCR },
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD, MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD },
};

static int
dissect_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD, MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD, UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD, UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD, UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD, UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD, UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfULTSs);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_uL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD, UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR, UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_sequence_of[1] = {
  { &hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR },
};

static int
dissect_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR, UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_sequence_of,
                                                  1, maxNrOfDPCHLCRs);

  return offset;
}


static const per_sequence_t UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD, UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD, UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfULTSLCRs);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD, UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD, UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t CCTrCH_TPCAddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_TPCAddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_TPCAddItem_RL_ReconfPrepTDD, CCTrCH_TPCAddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_TPCAddList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_TPCAddItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD, CCTrCH_TPCAddList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}



static int
dissect_nbap_DL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PunctureLimit },
  { &hf_nbap_cCTrCH_TPCList_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD, DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_InformationLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD, DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dl_DPCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationListLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD },
  { &hf_nbap_cCTrCH_Initial_DL_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_tDD_TPC_DownlinkStepSize, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_TPC_DownlinkStepSize },
  { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD },
};

static int
dissect_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD, MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD, DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_TPCModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_TPCModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_TPCModifyItem_RL_ReconfPrepTDD, CCTrCH_TPCModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_TPCModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_TPCModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD, CCTrCH_TPCModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}



static int
dissect_nbap_DL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_DL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_DL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_tFCI_Coding    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Coding },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PunctureLimit },
  { &hf_nbap_cCTrCH_TPCList_02, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationAddList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationModifyList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationDeleteList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD, DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_InformationLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotLCR_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD, DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dl_DPCH_InformationAddList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationModifyList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationDeleteList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD },
  { &hf_nbap_dl_DPCH_InformationAddListLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD },
  { &hf_nbap_tDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_TPC_DownlinkStepSize },
  { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD, MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD },
};

static int
dissect_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD, MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD, DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD, DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD, DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  0, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD, DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD, DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_DPCHOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_DPCHOffset },
  { &hf_nbap_dL_Timeslot_InformationAddModify_ModifyList_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD, DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD, DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD, DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDPCHLCRs);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD, DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD, DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DPCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD, DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDPCHs);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD, DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DCH_DeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_DeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_DeleteItem_RL_ReconfPrepTDD, DCH_DeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_DeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DCH_DeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_DeleteList_RL_ReconfPrepTDD, DCH_DeleteList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}



static int
dissect_nbap_DSCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PriorityLevel(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Pre_emptionCapability_vals[] = {
  {   0, "shall-not-trigger-pre-emption" },
  {   1, "may-trigger-pre-emption" },
  { 0, NULL }
};


static int
dissect_nbap_Pre_emptionCapability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_Pre_emptionVulnerability_vals[] = {
  {   0, "not-pre-emptable" },
  {   1, "pre-emptable" },
  { 0, NULL }
};


static int
dissect_nbap_Pre_emptionVulnerability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t AllocationRetentionPriority_sequence[] = {
  { &hf_nbap_priorityLevel  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityLevel },
  { &hf_nbap_pre_emptionCapability, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Pre_emptionCapability },
  { &hf_nbap_pre_emptionVulnerability, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Pre_emptionVulnerability },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_AllocationRetentionPriority(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_AllocationRetentionPriority, AllocationRetentionPriority_sequence);

  return offset;
}



static int
dissect_nbap_FrameHandlingPriority(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TransportBearerRequestIndicator_vals[] = {
  {   0, "bearerRequested" },
  {   1, "bearerNotRequested" },
  { 0, NULL }
};


static int
dissect_nbap_TransportBearerRequestIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t DSCH_Information_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_ID },
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_ID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_transportBearerRequestIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportBearerRequestIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DSCH_Information_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DSCH_Information_ModifyItem_RL_ReconfPrepTDD, DSCH_Information_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DSCH_Information_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_Information_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD, DSCH_Information_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDSCHs);

  return offset;
}


static const per_sequence_t DSCH_Information_DeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_dSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DSCH_Information_DeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DSCH_Information_DeleteItem_RL_ReconfPrepTDD, DSCH_Information_DeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t DSCH_Information_DeleteList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_Information_DeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD, DSCH_Information_DeleteList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfDSCHs);

  return offset;
}



static int
dissect_nbap_USCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t USCH_Information_ModifyItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_uSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_ID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_ID },
  { &hf_nbap_transportBearerRequestIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportBearerRequestIndicator },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_USCH_Information_ModifyItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_USCH_Information_ModifyItem_RL_ReconfPrepTDD, USCH_Information_ModifyItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t USCH_Information_ModifyList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_Information_ModifyItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD, USCH_Information_ModifyList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfUSCHs);

  return offset;
}


static const per_sequence_t USCH_Information_DeleteItem_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_uSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_USCH_Information_DeleteItem_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_USCH_Information_DeleteItem_RL_ReconfPrepTDD, USCH_Information_DeleteItem_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t USCH_Information_DeleteList_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_Information_DeleteItem_RL_ReconfPrepTDD },
};

static int
dissect_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD, USCH_Information_DeleteList_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfUSCHs);

  return offset;
}


static const per_sequence_t RL_Information_RL_ReconfPrepTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_maxDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Information_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Information_RL_ReconfPrepTDD, RL_Information_RL_ReconfPrepTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_Information_RL_ReconfPrepTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Information_RL_ReconfPrepTDD },
};

static int
dissect_nbap_MultipleRL_Information_RL_ReconfPrepTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_Information_RL_ReconfPrepTDD, MultipleRL_Information_RL_ReconfPrepTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationReady_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationReady, RadioLinkReconfigurationReady_sequence);

  return offset;
}


static const per_sequence_t RL_InformationResponseList_RL_ReconfReady_sequence_of[1] = {
  { &hf_nbap_RL_InformationResponseList_RL_ReconfReady_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationResponseList_RL_ReconfReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationResponseList_RL_ReconfReady, RL_InformationResponseList_RL_ReconfReady_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}



static int
dissect_nbap_DCH_InformationResponseList_RL_ReconfReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_DSCH_InformationResponseList_RL_ReconfReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_USCH_InformationResponseList_RL_ReconfReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RL_InformationResponseItem_RL_ReconfReady_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dCH_InformationResponseList_RL_ReconfReady, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_InformationResponseList_RL_ReconfReady },
  { &hf_nbap_dSCH_InformationResponseList_RL_ReconfReady, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DSCH_InformationResponseList_RL_ReconfReady },
  { &hf_nbap_uSCH_InformationResponseList_RL_ReconfReady, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_USCH_InformationResponseList_RL_ReconfReady },
  { &hf_nbap_not_Used_tFCI2_BearerInformationResponse, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_NULL },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponseItem_RL_ReconfReady(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponseItem_RL_ReconfReady, RL_InformationResponseItem_RL_ReconfReady_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationFailure, RadioLinkReconfigurationFailure_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_RL_ReconfFailure_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_RL_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_RL_ReconfFailure, GeneralCauseList_RL_ReconfFailure_sequence);

  return offset;
}


static const per_sequence_t RL_ReconfigurationFailureList_RL_ReconfFailure_sequence_of[1] = {
  { &hf_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure, RL_ReconfigurationFailureList_RL_ReconfFailure_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RLSpecificCauseList_RL_ReconfFailure_sequence[] = {
  { &hf_nbap_rL_ReconfigurationFailureList_RL_ReconfFailure, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RLSpecificCauseList_RL_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RLSpecificCauseList_RL_ReconfFailure, RLSpecificCauseList_RL_ReconfFailure_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_RL_ReconfFailure_vals[] = {
  {   0, "generalCause" },
  {   1, "rLSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_RL_ReconfFailure_choice[] = {
  {   0, &hf_nbap_generalCause_04, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_RL_ReconfFailure },
  {   1, &hf_nbap_rLSpecificCause_04, ASN1_EXTENSION_ROOT    , dissect_nbap_RLSpecificCauseList_RL_ReconfFailure },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_RL_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_RL_ReconfFailure, CauseLevel_RL_ReconfFailure_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_ReconfigurationFailureItem_RL_ReconfFailure_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure, RL_ReconfigurationFailureItem_RL_ReconfFailure_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationCommit_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationCommit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationCommit, RadioLinkReconfigurationCommit_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationCancel_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationCancel(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationCancel, RadioLinkReconfigurationCancel_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationRequestFDD, RadioLinkReconfigurationRequestFDD_sequence);

  return offset;
}


static const per_sequence_t UL_DPCH_Information_RL_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_ul_TFCS        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_DPCH_Information_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_DPCH_Information_RL_ReconfRqstFDD, UL_DPCH_Information_RL_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t DL_DPCH_Information_RL_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_dl_TFCS        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_tFCI_SignallingMode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_SignallingMode },
  { &hf_nbap_limitedPowerIncrease, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_LimitedPowerIncrease },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_Information_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_Information_RL_ReconfRqstFDD, DL_DPCH_Information_RL_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteItem_RL_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_DeleteItem_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_DeleteItem_RL_ReconfRqstFDD, DCH_DeleteItem_RL_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteList_RL_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_DeleteItem_RL_ReconfRqstFDD },
};

static int
dissect_nbap_DCH_DeleteList_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_DeleteList_RL_ReconfRqstFDD, DCH_DeleteList_RL_ReconfRqstFDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_ReconfRqstFDD_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_ReconfRqstFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_ReconfRqstFDD, RL_InformationList_RL_ReconfRqstFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_ReconfRqstFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_maxDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_dl_CodeInformation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FDD_DL_CodeInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_ReconfRqstFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_ReconfRqstFDD, RL_InformationItem_RL_ReconfRqstFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationRequestTDD, RadioLinkReconfigurationRequestTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PunctureLimit },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_tFCS           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCS },
  { &hf_nbap_punctureLimit  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PunctureLimit },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_maxPowerLCR    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minPowerLCR    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD, DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD },
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD, DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_dL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD, DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_dl_DPCH_LCR_InformationModifyList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD },
  { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RL_ID },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD, MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD },
};

static int
dissect_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteItem_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_DeleteItem_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_DeleteItem_RL_ReconfRqstTDD, DCH_DeleteItem_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t DCH_DeleteList_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_DeleteItem_RL_ReconfRqstTDD },
};

static int
dissect_nbap_DCH_DeleteList_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_DeleteList_RL_ReconfRqstTDD, DCH_DeleteList_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t RL_Information_RL_ReconfRqstTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_maxDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_minDL_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Information_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Information_RL_ReconfRqstTDD, RL_Information_RL_ReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t Multiple_RL_Information_RL_ReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Information_RL_ReconfRqstTDD },
};

static int
dissect_nbap_Multiple_RL_Information_RL_ReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Multiple_RL_Information_RL_ReconfRqstTDD, Multiple_RL_Information_RL_ReconfRqstTDD_sequence_of,
                                                  1, maxNrOfRLs_1);

  return offset;
}


static const per_sequence_t RadioLinkReconfigurationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkReconfigurationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkReconfigurationResponse, RadioLinkReconfigurationResponse_sequence);

  return offset;
}


static const per_sequence_t RL_InformationResponseList_RL_ReconfRsp_sequence_of[1] = {
  { &hf_nbap_RL_InformationResponseList_RL_ReconfRsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationResponseList_RL_ReconfRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationResponseList_RL_ReconfRsp, RL_InformationResponseList_RL_ReconfRsp_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}



static int
dissect_nbap_DCH_InformationResponseList_RL_ReconfRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t RL_InformationResponseItem_RL_ReconfRsp_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dCH_InformationResponseList_RL_ReconfRsp, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DCH_InformationResponseList_RL_ReconfRsp },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationResponseItem_RL_ReconfRsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationResponseItem_RL_ReconfRsp, RL_InformationResponseItem_RL_ReconfRsp_sequence);

  return offset;
}


static const per_sequence_t RadioLinkDeletionRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkDeletionRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkDeletionRequest, RadioLinkDeletionRequest_sequence);

  return offset;
}


static const per_sequence_t RL_informationList_RL_DeletionRqst_sequence_of[1] = {
  { &hf_nbap_RL_informationList_RL_DeletionRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_informationList_RL_DeletionRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_informationList_RL_DeletionRqst, RL_informationList_RL_DeletionRqst_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_informationItem_RL_DeletionRqst_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_informationItem_RL_DeletionRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_informationItem_RL_DeletionRqst, RL_informationItem_RL_DeletionRqst_sequence);

  return offset;
}


static const per_sequence_t RadioLinkDeletionResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkDeletionResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkDeletionResponse, RadioLinkDeletionResponse_sequence);

  return offset;
}


static const per_sequence_t DL_PowerControlRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_PowerControlRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_PowerControlRequest, DL_PowerControlRequest_sequence);

  return offset;
}


static const per_sequence_t DL_ReferencePowerInformationList_DL_PC_Rqst_sequence_of[1] = {
  { &hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst, DL_ReferencePowerInformationList_DL_PC_Rqst_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t DL_ReferencePowerInformationItem_DL_PC_Rqst_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dl_ReferencePower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst, DL_ReferencePowerInformationItem_DL_PC_Rqst_sequence);

  return offset;
}


static const per_sequence_t DL_PowerTimeslotControlRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_PowerTimeslotControlRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_PowerTimeslotControlRequest, DL_PowerTimeslotControlRequest_sequence);

  return offset;
}


static const per_sequence_t DedicatedMeasurementInitiationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementInitiationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementInitiationRequest, DedicatedMeasurementInitiationRequest_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_DM_Rqst_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_DM_Rqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_DM_Rqst, RL_InformationList_DM_Rqst_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_DM_Rqst_sequence[] = {
  { &hf_nbap_rL_InformationList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_InformationList_DM_Rqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_DM_Rqst, RL_DM_Rqst_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationItem_DM_Rqst_sequence[] = {
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_InformationItem_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_InformationItem_DM_Rqst, RL_Set_InformationItem_DM_Rqst_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationList_DM_Rqst_sequence_of[1] = {
  { &hf_nbap_RL_Set_InformationList_DM_Rqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationItem_DM_Rqst },
};

static int
dissect_nbap_RL_Set_InformationList_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Set_InformationList_DM_Rqst, RL_Set_InformationList_DM_Rqst_sequence_of,
                                                  1, maxNrOfRLSets);

  return offset;
}


static const per_sequence_t RL_Set_DM_Rqst_sequence[] = {
  { &hf_nbap_rL_Set_InformationList_DM_Rqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationList_DM_Rqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_DM_Rqst, RL_Set_DM_Rqst_sequence);

  return offset;
}



static int
dissect_nbap_AllRL_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_AllRL_Set_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_DedicatedMeasurementObjectType_DM_Rqst_vals[] = {
  {   0, "rL" },
  {   1, "rLS" },
  {   2, "all-RL" },
  {   3, "all-RLS" },
  { 0, NULL }
};

static const per_choice_t DedicatedMeasurementObjectType_DM_Rqst_choice[] = {
  {   0, &hf_nbap_rL             , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_DM_Rqst },
  {   1, &hf_nbap_rLS            , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_DM_Rqst },
  {   2, &hf_nbap_all_RL         , ASN1_EXTENSION_ROOT    , dissect_nbap_AllRL_DM_Rqst },
  {   3, &hf_nbap_all_RLS        , ASN1_EXTENSION_ROOT    , dissect_nbap_AllRL_Set_DM_Rqst },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementObjectType_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DedicatedMeasurementObjectType_DM_Rqst, DedicatedMeasurementObjectType_DM_Rqst_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_InformationItem_DM_Rqst_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DPCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_DM_Rqst, RL_InformationItem_DM_Rqst_sequence);

  return offset;
}



static int
dissect_nbap_PUSCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t PUSCH_Info_DM_Rqst_sequence_of[1] = {
  { &hf_nbap_PUSCH_Info_DM_Rqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
};

static int
dissect_nbap_PUSCH_Info_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCH_Info_DM_Rqst, PUSCH_Info_DM_Rqst_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}



static int
dissect_nbap_HS_SICH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HSSICH_Info_DM_Rqst_sequence_of[1] = {
  { &hf_nbap_HSSICH_Info_DM_Rqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
};

static int
dissect_nbap_HSSICH_Info_DM_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSSICH_Info_DM_Rqst, HSSICH_Info_DM_Rqst_sequence_of,
                                                  1, maxNrOfHSSICHs);

  return offset;
}


static const per_sequence_t DedicatedMeasurementInitiationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementInitiationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementInitiationResponse, DedicatedMeasurementInitiationResponse_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_DM_Rsp_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_DM_Rsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_DM_Rsp, RL_InformationList_DM_Rsp_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_DM_Rsp_sequence[] = {
  { &hf_nbap_rL_InformationList_DM_Rsp, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_InformationList_DM_Rsp },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_DM_Rsp, RL_DM_Rsp_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationList_DM_Rsp_sequence_of[1] = {
  { &hf_nbap_RL_Set_InformationList_DM_Rsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_Set_InformationList_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Set_InformationList_DM_Rsp, RL_Set_InformationList_DM_Rsp_sequence_of,
                                                  1, maxNrOfRLSets);

  return offset;
}


static const per_sequence_t RL_Set_DM_Rsp_sequence[] = {
  { &hf_nbap_rL_Set_InformationList_DM_Rsp, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationList_DM_Rsp },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_DM_Rsp, RL_Set_DM_Rsp_sequence);

  return offset;
}


static const value_string nbap_DedicatedMeasurementObjectType_DM_Rsp_vals[] = {
  {   0, "rL" },
  {   1, "rLS" },
  {   2, "all-RL" },
  {   3, "all-RLS" },
  { 0, NULL }
};

static const per_choice_t DedicatedMeasurementObjectType_DM_Rsp_choice[] = {
  {   0, &hf_nbap_rL_01          , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_DM_Rsp },
  {   1, &hf_nbap_rLS_01         , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_DM_Rsp },
  {   2, &hf_nbap_all_RL_01      , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_DM_Rsp },
  {   3, &hf_nbap_all_RLS_01     , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_DM_Rsp },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementObjectType_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DedicatedMeasurementObjectType_DM_Rsp, DedicatedMeasurementObjectType_DM_Rsp_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_SIR_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SIR_Error_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 125U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Transmitted_Code_Power_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_RSCP_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Rx_Timing_Deviation_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8191U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Round_Trip_Time_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 32767U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Extension_DedicatedMeasurementValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_DedicatedMeasurementValue_vals[] = {
  {   0, "sIR-Value" },
  {   1, "sIR-ErrorValue" },
  {   2, "transmittedCodePowerValue" },
  {   3, "rSCP" },
  {   4, "rxTimingDeviationValue" },
  {   5, "roundTripTime" },
  {   6, "extension-DedicatedMeasurementValue" },
  { 0, NULL }
};

static const per_choice_t DedicatedMeasurementValue_choice[] = {
  {   0, &hf_nbap_sIR_Value      , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Value },
  {   1, &hf_nbap_sIR_ErrorValue , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Error_Value },
  {   2, &hf_nbap_transmittedCodePowerValue, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Code_Power_Value },
  {   3, &hf_nbap_rSCP           , ASN1_EXTENSION_ROOT    , dissect_nbap_RSCP_Value },
  {   4, &hf_nbap_rxTimingDeviationValue, ASN1_EXTENSION_ROOT    , dissect_nbap_Rx_Timing_Deviation_Value },
  {   5, &hf_nbap_roundTripTime  , ASN1_EXTENSION_ROOT    , dissect_nbap_Round_Trip_Time_Value },
  {   6, &hf_nbap_extension_DedicatedMeasurementValue, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_DedicatedMeasurementValue },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DedicatedMeasurementValue, DedicatedMeasurementValue_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_CFN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t RL_InformationItem_DM_Rsp_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DPCH_ID },
  { &hf_nbap_dedicatedMeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValue },
  { &hf_nbap_cFN            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CFN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_DM_Rsp, RL_InformationItem_DM_Rsp_sequence);

  return offset;
}


static const per_sequence_t PUSCH_Info_DM_Rsp_sequence_of[1] = {
  { &hf_nbap_PUSCH_Info_DM_Rsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
};

static int
dissect_nbap_PUSCH_Info_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCH_Info_DM_Rsp, PUSCH_Info_DM_Rsp_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t RL_Set_InformationItem_DM_Rsp_sequence[] = {
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_dedicatedMeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValue },
  { &hf_nbap_cFN            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CFN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_InformationItem_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_InformationItem_DM_Rsp, RL_Set_InformationItem_DM_Rsp_sequence);

  return offset;
}


static const per_sequence_t Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_dedicatedMeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValue },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp, Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp_sequence);

  return offset;
}


static const per_sequence_t Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_sequence_of[1] = {
  { &hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp },
};

static int
dissect_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp, Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_sequence_of,
                                                  1, maxNrOfHSSICHs_1);

  return offset;
}


static const per_sequence_t DedicatedMeasurementInitiationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementInitiationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementInitiationFailure, DedicatedMeasurementInitiationFailure_sequence);

  return offset;
}


static const per_sequence_t DedicatedMeasurementReport_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementReport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementReport, DedicatedMeasurementReport_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_DM_Rprt_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_DM_Rprt_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_DM_Rprt, RL_InformationList_DM_Rprt_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_DM_Rprt_sequence[] = {
  { &hf_nbap_rL_InformationList_DM_Rprt, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_InformationList_DM_Rprt },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_DM_Rprt, RL_DM_Rprt_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationList_DM_Rprt_sequence_of[1] = {
  { &hf_nbap_RL_Set_InformationList_DM_Rprt_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_Set_InformationList_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Set_InformationList_DM_Rprt, RL_Set_InformationList_DM_Rprt_sequence_of,
                                                  1, maxNrOfRLSets);

  return offset;
}


static const per_sequence_t RL_Set_DM_Rprt_sequence[] = {
  { &hf_nbap_rL_Set_InformationList_DM_Rprt, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationList_DM_Rprt },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_DM_Rprt, RL_Set_DM_Rprt_sequence);

  return offset;
}


static const value_string nbap_DedicatedMeasurementObjectType_DM_Rprt_vals[] = {
  {   0, "rL" },
  {   1, "rLS" },
  {   2, "all-RL" },
  {   3, "all-RLS" },
  { 0, NULL }
};

static const per_choice_t DedicatedMeasurementObjectType_DM_Rprt_choice[] = {
  {   0, &hf_nbap_rL_02          , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_DM_Rprt },
  {   1, &hf_nbap_rLS_02         , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_DM_Rprt },
  {   2, &hf_nbap_all_RL_02      , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_DM_Rprt },
  {   3, &hf_nbap_all_RLS_02     , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_DM_Rprt },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementObjectType_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DedicatedMeasurementObjectType_DM_Rprt, DedicatedMeasurementObjectType_DM_Rprt_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DedicatedMeasurementAvailable_sequence[] = {
  { &hf_nbap_dedicatedmeasurementValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValue },
  { &hf_nbap_cFN            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CFN },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementAvailable, DedicatedMeasurementAvailable_sequence);

  return offset;
}



static int
dissect_nbap_DedicatedMeasurementnotAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_DedicatedMeasurementValueInformation_vals[] = {
  {   0, "measurementAvailable" },
  {   1, "measurementnotAvailable" },
  { 0, NULL }
};

static const per_choice_t DedicatedMeasurementValueInformation_choice[] = {
  {   0, &hf_nbap_measurementAvailable_01, ASN1_NO_EXTENSIONS     , dissect_nbap_DedicatedMeasurementAvailable },
  {   1, &hf_nbap_measurementnotAvailable_01, ASN1_NO_EXTENSIONS     , dissect_nbap_DedicatedMeasurementnotAvailable },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementValueInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DedicatedMeasurementValueInformation, DedicatedMeasurementValueInformation_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_InformationItem_DM_Rprt_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dPCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DPCH_ID },
  { &hf_nbap_dedicatedMeasurementValueInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValueInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_DM_Rprt, RL_InformationItem_DM_Rprt_sequence);

  return offset;
}


static const per_sequence_t PUSCH_Info_DM_Rprt_sequence_of[1] = {
  { &hf_nbap_PUSCH_Info_DM_Rprt_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
};

static int
dissect_nbap_PUSCH_Info_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCH_Info_DM_Rprt, PUSCH_Info_DM_Rprt_sequence_of,
                                                  0, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t RL_Set_InformationItem_DM_Rprt_sequence[] = {
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_dedicatedMeasurementValueInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DedicatedMeasurementValueInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_InformationItem_DM_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_InformationItem_DM_Rprt, RL_Set_InformationItem_DM_Rprt_sequence);

  return offset;
}


static const per_sequence_t DedicatedMeasurementTerminationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementTerminationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementTerminationRequest, DedicatedMeasurementTerminationRequest_sequence);

  return offset;
}


static const per_sequence_t DedicatedMeasurementFailureIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DedicatedMeasurementFailureIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DedicatedMeasurementFailureIndication, DedicatedMeasurementFailureIndication_sequence);

  return offset;
}


static const per_sequence_t RadioLinkFailureIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkFailureIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkFailureIndication, RadioLinkFailureIndication_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_FailureInd_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_FailureInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_FailureInd, RL_InformationList_RL_FailureInd_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_RL_FailureInd_sequence[] = {
  { &hf_nbap_rL_InformationList_RL_FailureInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_InformationList_RL_FailureInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_RL_FailureInd, RL_RL_FailureInd_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationList_RL_FailureInd_sequence_of[1] = {
  { &hf_nbap_RL_Set_InformationList_RL_FailureInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_Set_InformationList_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Set_InformationList_RL_FailureInd, RL_Set_InformationList_RL_FailureInd_sequence_of,
                                                  1, maxNrOfRLSets);

  return offset;
}


static const per_sequence_t RL_Set_RL_FailureInd_sequence[] = {
  { &hf_nbap_rL_Set_InformationList_RL_FailureInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationList_RL_FailureInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_RL_FailureInd, RL_Set_RL_FailureInd_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_InformationList_RL_FailureInd_sequence_of[1] = {
  { &hf_nbap_CCTrCH_InformationList_RL_FailureInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CCTrCH_InformationList_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCTrCH_InformationList_RL_FailureInd, CCTrCH_InformationList_RL_FailureInd_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t CCTrCH_RL_FailureInd_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cCTrCH_InformationList_RL_FailureInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_InformationList_RL_FailureInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_RL_FailureInd, CCTrCH_RL_FailureInd_sequence);

  return offset;
}


static const value_string nbap_Reporting_Object_RL_FailureInd_vals[] = {
  {   0, "rL" },
  {   1, "rL-Set" },
  {   2, "cCTrCH" },
  { 0, NULL }
};

static const per_choice_t Reporting_Object_RL_FailureInd_choice[] = {
  {   0, &hf_nbap_rL_03          , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_RL_FailureInd },
  {   1, &hf_nbap_rL_Set         , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_RL_FailureInd },
  {   2, &hf_nbap_cCTrCH         , ASN1_NOT_EXTENSION_ROOT, dissect_nbap_CCTrCH_RL_FailureInd },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_Reporting_Object_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_Reporting_Object_RL_FailureInd, Reporting_Object_RL_FailureInd_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_FailureInd_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_FailureInd, RL_InformationItem_RL_FailureInd_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationItem_RL_FailureInd_sequence[] = {
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_InformationItem_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_InformationItem_RL_FailureInd, RL_Set_InformationItem_RL_FailureInd_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_InformationItem_RL_FailureInd_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_InformationItem_RL_FailureInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_InformationItem_RL_FailureInd, CCTrCH_InformationItem_RL_FailureInd_sequence);

  return offset;
}


static const per_sequence_t RadioLinkPreemptionRequiredIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkPreemptionRequiredIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkPreemptionRequiredIndication, RadioLinkPreemptionRequiredIndication_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_PreemptRequiredInd_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_PreemptRequiredInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_PreemptRequiredInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_PreemptRequiredInd, RL_InformationList_RL_PreemptRequiredInd_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_PreemptRequiredInd_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_PreemptRequiredInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_PreemptRequiredInd, RL_InformationItem_RL_PreemptRequiredInd_sequence);

  return offset;
}


static const per_sequence_t RadioLinkRestoreIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkRestoreIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkRestoreIndication, RadioLinkRestoreIndication_sequence);

  return offset;
}


static const per_sequence_t RL_InformationList_RL_RestoreInd_sequence_of[1] = {
  { &hf_nbap_RL_InformationList_RL_RestoreInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_InformationList_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_InformationList_RL_RestoreInd, RL_InformationList_RL_RestoreInd_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t RL_RL_RestoreInd_sequence[] = {
  { &hf_nbap_rL_InformationList_RL_RestoreInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_InformationList_RL_RestoreInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_RL_RestoreInd, RL_RL_RestoreInd_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationList_RL_RestoreInd_sequence_of[1] = {
  { &hf_nbap_RL_Set_InformationList_RL_RestoreInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_RL_Set_InformationList_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Set_InformationList_RL_RestoreInd, RL_Set_InformationList_RL_RestoreInd_sequence_of,
                                                  1, maxNrOfRLSets);

  return offset;
}


static const per_sequence_t RL_Set_RL_RestoreInd_sequence[] = {
  { &hf_nbap_rL_Set_InformationList_RL_RestoreInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_InformationList_RL_RestoreInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_RL_RestoreInd, RL_Set_RL_RestoreInd_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_InformationList_RL_RestoreInd_sequence_of[1] = {
  { &hf_nbap_CCTrCH_InformationList_RL_RestoreInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CCTrCH_InformationList_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CCTrCH_InformationList_RL_RestoreInd, CCTrCH_InformationList_RL_RestoreInd_sequence_of,
                                                  1, maxNrOfCCTrCHs);

  return offset;
}


static const per_sequence_t CCTrCH_RL_RestoreInd_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_cCTrCH_InformationList_RL_RestoreInd, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_InformationList_RL_RestoreInd },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_RL_RestoreInd, CCTrCH_RL_RestoreInd_sequence);

  return offset;
}


static const value_string nbap_Reporting_Object_RL_RestoreInd_vals[] = {
  {   0, "rL" },
  {   1, "rL-Set" },
  {   2, "cCTrCH" },
  { 0, NULL }
};

static const per_choice_t Reporting_Object_RL_RestoreInd_choice[] = {
  {   0, &hf_nbap_rL_04          , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_RL_RestoreInd },
  {   1, &hf_nbap_rL_Set_01      , ASN1_EXTENSION_ROOT    , dissect_nbap_RL_Set_RL_RestoreInd },
  {   2, &hf_nbap_cCTrCH_01      , ASN1_NOT_EXTENSION_ROOT, dissect_nbap_CCTrCH_RL_RestoreInd },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_Reporting_Object_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_Reporting_Object_RL_RestoreInd, Reporting_Object_RL_RestoreInd_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t RL_InformationItem_RL_RestoreInd_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_InformationItem_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_InformationItem_RL_RestoreInd, RL_InformationItem_RL_RestoreInd_sequence);

  return offset;
}


static const per_sequence_t RL_Set_InformationItem_RL_RestoreInd_sequence[] = {
  { &hf_nbap_rL_Set_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Set_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Set_InformationItem_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Set_InformationItem_RL_RestoreInd, RL_Set_InformationItem_RL_RestoreInd_sequence);

  return offset;
}


static const per_sequence_t CCTrCH_InformationItem_RL_RestoreInd_sequence[] = {
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CCTrCH_InformationItem_RL_RestoreInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CCTrCH_InformationItem_RL_RestoreInd, CCTrCH_InformationItem_RL_RestoreInd_sequence);

  return offset;
}


static const per_sequence_t CompressedModeCommand_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CompressedModeCommand(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CompressedModeCommand, CompressedModeCommand_sequence);

  return offset;
}


static const per_sequence_t ErrorIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ErrorIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ErrorIndication, ErrorIndication_sequence);

  return offset;
}



static int
dissect_nbap_INTEGER_0_maxPrivateIEs(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxPrivateIEs, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_OBJECT_IDENTIFIER(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_object_identifier(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const value_string nbap_PrivateIE_ID_vals[] = {
  {   0, "local" },
  {   1, "global" },
  { 0, NULL }
};

static const per_choice_t PrivateIE_ID_choice[] = {
  {   0, &hf_nbap_local          , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_maxPrivateIEs },
  {   1, &hf_nbap_global         , ASN1_NO_EXTENSIONS     , dissect_nbap_OBJECT_IDENTIFIER },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_PrivateIE_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_PrivateIE_ID, PrivateIE_ID_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_PrivateIE_Field_value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_open_type(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const per_sequence_t PrivateIE_Field_sequence[] = {
  { &hf_nbap_id_01          , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PrivateIE_ID },
  { &hf_nbap_criticality    , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_value_05       , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PrivateIE_Field_value },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrivateIE_Field(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrivateIE_Field, PrivateIE_Field_sequence);

  return offset;
}


static const per_sequence_t PrivateIE_Container_sequence_of[1] = {
  { &hf_nbap_PrivateIE_Container_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PrivateIE_Field },
};

static int
dissect_nbap_PrivateIE_Container(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PrivateIE_Container, PrivateIE_Container_sequence_of,
                                                  1, maxPrivateIEs);

  return offset;
}


static const per_sequence_t PrivateMessage_sequence[] = {
  { &hf_nbap_privateIEs     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PrivateIE_Container },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PrivateMessage(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PrivateMessage, PrivateMessage_sequence);

  return offset;
}


static const per_sequence_t PhysicalSharedChannelReconfigurationRequestFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PhysicalSharedChannelReconfigurationRequestFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PhysicalSharedChannelReconfigurationRequestFDD, PhysicalSharedChannelReconfigurationRequestFDD_sequence);

  return offset;
}


static const per_sequence_t PhysicalSharedChannelReconfigurationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PhysicalSharedChannelReconfigurationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PhysicalSharedChannelReconfigurationRequestTDD, PhysicalSharedChannelReconfigurationRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_PDSCHSet_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PDSCH_Information_AddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PDSCHSets_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSet_ID },
  { &hf_nbap_pDSCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PDSCH_Information_AddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCHSets_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCHSets_AddItem_PSCH_ReconfRqst, PDSCHSets_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PDSCHSets_AddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSets_AddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PDSCHSets_AddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PDSCHSets_AddList_PSCH_ReconfRqst, PDSCHSets_AddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHSets);

  return offset;
}



static int
dissect_nbap_PDSCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DL_Code_InformationAddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_InformationAddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_InformationAddItem_PSCH_ReconfRqst, DL_Code_InformationAddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationAddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationAddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst, DL_Code_InformationAddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationAddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_InformationAddList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_InformationAddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_InformationAddItem_PSCH_ReconfRqst, DL_Timeslot_InformationAddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationAddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationAddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst, DL_Timeslot_InformationAddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t PDSCH_Information_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_dL_Timeslot_InformationAddList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst, PDSCH_Information_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst, DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst, DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_InformationAddList_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst, DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst, DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_dL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst, PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}



static int
dissect_nbap_PDSCH_Information_ModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PDSCHSets_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSet_ID },
  { &hf_nbap_pDSCH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCH_Information_ModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCHSets_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCHSets_ModifyItem_PSCH_ReconfRqst, PDSCHSets_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PDSCHSets_ModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSets_ModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst, PDSCHSets_ModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHSets);

  return offset;
}


static const per_sequence_t DL_Code_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_InformationModifyItem_PSCH_ReconfRqst, DL_Code_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst, DL_Code_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst, DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst, DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t PDSCH_Information_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_dL_Timeslot_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst, PDSCH_Information_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst, DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst, DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHs);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_dL_Code_LCR_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst, DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst, DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_dL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst, PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PDSCHSets_DeleteItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pDSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSet_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PDSCHSets_DeleteItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PDSCHSets_DeleteItem_PSCH_ReconfRqst, PDSCHSets_DeleteItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PDSCHSets_DeleteList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSets_DeleteItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst, PDSCHSets_DeleteList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPDSCHSets);

  return offset;
}



static int
dissect_nbap_PUSCHSet_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PUSCH_Information_AddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PUSCHSets_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSet_ID },
  { &hf_nbap_pUSCH_InformationList, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PUSCH_Information_AddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCHSets_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCHSets_AddItem_PSCH_ReconfRqst, PUSCHSets_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PUSCHSets_AddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSets_AddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PUSCHSets_AddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCHSets_AddList_PSCH_ReconfRqst, PUSCHSets_AddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHSets);

  return offset;
}


static const per_sequence_t UL_Code_InformationAddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_InformationAddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_InformationAddItem_PSCH_ReconfRqst, UL_Code_InformationAddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationAddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationAddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst, UL_Code_InformationAddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationAddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationAddList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_InformationAddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_InformationAddItem_PSCH_ReconfRqst, UL_Timeslot_InformationAddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationAddList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationAddItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst, UL_Timeslot_InformationAddList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfULTSs);

  return offset;
}


static const per_sequence_t PUSCH_Information_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_uL_Timeslot_InformationAddList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst, PUSCH_Information_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst, UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst, UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationAddList_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst, UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst, UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfULTSLCRs);

  return offset;
}


static const per_sequence_t PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_uL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst, PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_sequence);

  return offset;
}



static int
dissect_nbap_PUSCH_Information_ModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t PUSCHSets_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSet_ID },
  { &hf_nbap_pUSCH_InformationList_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_Information_ModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCHSets_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCHSets_ModifyItem_PSCH_ReconfRqst, PUSCHSets_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PUSCHSets_ModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSets_ModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst, PUSCHSets_ModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHSets);

  return offset;
}


static const per_sequence_t UL_Code_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_InformationModifyItem_PSCH_ReconfRqst, UL_Code_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst, UL_Code_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst, UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst, UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfULTSs);

  return offset;
}


static const per_sequence_t PUSCH_Information_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_uL_Timeslot_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst, PUSCH_Information_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCH_ID       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCH_ID },
  { &hf_nbap_tdd_ChannelisationCodeLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCodeLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst, UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst, UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHs);

  return offset;
}


static const per_sequence_t UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tFCI_Presence  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TFCI_Presence },
  { &hf_nbap_uL_Code_LCR_InformationModifyList_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst, UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst, UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfULTSLCRs);

  return offset;
}


static const per_sequence_t PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_repetitionPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionPeriod },
  { &hf_nbap_repetitionLength, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionLength },
  { &hf_nbap_tdd_PhysicalChannelOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_PhysicalChannelOffset },
  { &hf_nbap_uL_Timeslot_InformationModifyList_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst, PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PUSCHSets_DeleteItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_pUSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSet_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PUSCHSets_DeleteItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PUSCHSets_DeleteItem_PSCH_ReconfRqst, PUSCHSets_DeleteItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t PUSCHSets_DeleteList_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSets_DeleteItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst, PUSCHSets_DeleteList_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfPUSCHSets);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
};

static int
dissect_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst, DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSPDSCHs);

  return offset;
}



static int
dissect_nbap_MaximumTransmissionPower(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 500U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_dl_HS_PDSCH_Codelist_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst },
  { &hf_nbap_maxHSDSCH_HSSCCH_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaximumTransmissionPower },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst, DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst, DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSs);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
};

static int
dissect_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst, DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSPDSCHs);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftAndBurstType_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_dl_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst },
  { &hf_nbap_maxHSDSCH_HSSCCH_Power, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaximumTransmissionPower },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst, DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}


static const per_sequence_t HS_PDSCH_TDD_Information_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_dL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst },
  { &hf_nbap_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst, HS_PDSCH_TDD_Information_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxFrequencyinCell_1);

  return offset;
}


static const per_sequence_t MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst, MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_sequence);

  return offset;
}



static int
dissect_nbap_HS_SCCH_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HS_SICH_Information_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SICH_Information_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SICH_Information_PSCH_ReconfRqst, HS_SICH_Information_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_ID     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_ID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hS_SCCH_MaxPower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_hS_SICH_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_Information_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SCCH_InformationItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SCCH_InformationItem_PSCH_ReconfRqst, HS_SCCH_InformationItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_Information_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_HS_SCCH_Information_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_InformationItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_HS_SCCH_Information_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_SCCH_Information_PSCH_ReconfRqst, HS_SCCH_Information_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const per_sequence_t HS_SICH_Information_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SICH_Information_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SICH_Information_LCR_PSCH_ReconfRqst, HS_SICH_Information_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_ID     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_ID },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_first_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_second_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hS_SCCH_MaxPower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_hS_SICH_Information_LCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_Information_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst, HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_Information_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst, HS_SCCH_Information_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const per_sequence_t Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_Information_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SCCH_Information_PSCH_ReconfRqst },
  { &hf_nbap_hS_SCCH_Information_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SICH_InformationModify_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SICH_InformationModify_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SICH_InformationModify_PSCH_ReconfRqst, HS_SICH_InformationModify_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationModifyItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_ID     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_ID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hS_SCCH_MaxPower, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_hS_SICH_Information_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SICH_InformationModify_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SCCH_InformationModifyItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SCCH_InformationModifyItem_PSCH_ReconfRqst, HS_SCCH_InformationModifyItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationModify_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_InformationModifyItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst, HS_SCCH_InformationModify_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const per_sequence_t HS_SICH_InformationModify_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tdd_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SICH_InformationModify_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SICH_InformationModify_LCR_PSCH_ReconfRqst, HS_SICH_InformationModify_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_ID     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_ID },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_first_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_second_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hS_SCCH_MaxPower, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_hS_SICH_Information_LCR_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SICH_InformationModify_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst, HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst },
};

static int
dissect_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst, HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const per_sequence_t Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_InformationModify_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst },
  { &hf_nbap_hS_SCCH_InformationModify_LCR_PSCH_ReconfRqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst_sequence[] = {
  { &hf_nbap_hS_SCCH_ID     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst, Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst_sequence);

  return offset;
}


static const per_sequence_t Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence_of[1] = {
  { &hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst },
};

static int
dissect_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const per_sequence_t PhysicalSharedChannelReconfigurationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PhysicalSharedChannelReconfigurationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PhysicalSharedChannelReconfigurationResponse, PhysicalSharedChannelReconfigurationResponse_sequence);

  return offset;
}


static const per_sequence_t PhysicalSharedChannelReconfigurationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PhysicalSharedChannelReconfigurationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PhysicalSharedChannelReconfigurationFailure, PhysicalSharedChannelReconfigurationFailure_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_PSCH_ReconfFailure_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_PSCH_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_PSCH_ReconfFailure, GeneralCauseList_PSCH_ReconfFailure_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_sequence_of[1] = {
  { &hf_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD, Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_sequence_of,
                                                  0, maxNrOfPDSCHSets);

  return offset;
}


static const per_sequence_t Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_sequence_of[1] = {
  { &hf_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD, Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_sequence_of,
                                                  0, maxNrOfPUSCHSets);

  return offset;
}


static const per_sequence_t SetSpecificCauseList_PSCH_ReconfFailureTDD_sequence[] = {
  { &hf_nbap_unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD },
  { &hf_nbap_unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SetSpecificCauseList_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SetSpecificCauseList_PSCH_ReconfFailureTDD, SetSpecificCauseList_PSCH_ReconfFailureTDD_sequence);

  return offset;
}



static int
dissect_nbap_Extension_CauseLevel_PSCH_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_CauseLevel_PSCH_ReconfFailure_vals[] = {
  {   0, "generalCause" },
  {   1, "setSpecificCause" },
  {   2, "extension-CauseLevel-PSCH-ReconfFailure" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_PSCH_ReconfFailure_choice[] = {
  {   0, &hf_nbap_generalCause_05, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_PSCH_ReconfFailure },
  {   1, &hf_nbap_setSpecificCause, ASN1_EXTENSION_ROOT    , dissect_nbap_SetSpecificCauseList_PSCH_ReconfFailureTDD },
  {   2, &hf_nbap_extension_CauseLevel_PSCH_ReconfFailure, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_CauseLevel_PSCH_ReconfFailure },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_PSCH_ReconfFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_PSCH_ReconfFailure, CauseLevel_PSCH_ReconfFailure_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_sequence_of[1] = {
  { &hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD, UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_sequence_of,
                                                  0, maxFrequencyinCell);

  return offset;
}


static const per_sequence_t Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_sequence[] = {
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD, Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_sequence[] = {
  { &hf_nbap_pDSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PDSCHSet_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD, Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_sequence[] = {
  { &hf_nbap_pUSCHSet_ID    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PUSCHSet_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD, Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_sequence);

  return offset;
}


static const per_sequence_t ResetRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ResetRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ResetRequest, ResetRequest_sequence);

  return offset;
}


static const per_sequence_t CommunicationContextInfoList_Reset_sequence_of[1] = {
  { &hf_nbap_CommunicationContextInfoList_Reset_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CommunicationContextInfoList_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CommunicationContextInfoList_Reset, CommunicationContextInfoList_Reset_sequence_of,
                                                  1, maxCommunicationContext);

  return offset;
}


static const per_sequence_t CommunicationContextList_Reset_sequence[] = {
  { &hf_nbap_communicationContextInfoList_Reset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationContextInfoList_Reset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommunicationContextList_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommunicationContextList_Reset, CommunicationContextList_Reset_sequence);

  return offset;
}


static const per_sequence_t CommunicationControlPortInfoList_Reset_sequence_of[1] = {
  { &hf_nbap_CommunicationControlPortInfoList_Reset_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CommunicationControlPortInfoList_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CommunicationControlPortInfoList_Reset, CommunicationControlPortInfoList_Reset_sequence_of,
                                                  1, maxCCPinNodeB);

  return offset;
}


static const per_sequence_t CommunicationControlPortList_Reset_sequence[] = {
  { &hf_nbap_communicationControlPortInfoList_Reset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationControlPortInfoList_Reset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommunicationControlPortList_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommunicationControlPortList_Reset, CommunicationControlPortList_Reset_sequence);

  return offset;
}


static const value_string nbap_ResetIndicator_vals[] = {
  {   0, "communicationContext" },
  {   1, "communicationControlPort" },
  {   2, "nodeB" },
  { 0, NULL }
};

static const per_choice_t ResetIndicator_choice[] = {
  {   0, &hf_nbap_communicationContext, ASN1_EXTENSION_ROOT    , dissect_nbap_CommunicationContextList_Reset },
  {   1, &hf_nbap_communicationControlPort, ASN1_EXTENSION_ROOT    , dissect_nbap_CommunicationControlPortList_Reset },
  {   2, &hf_nbap_nodeB          , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ResetIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ResetIndicator, ResetIndicator_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_CRNC_CommunicationContextID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_NodeB_CommunicationContextID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, FALSE);

  return offset;
}


static const value_string nbap_CommunicationContextType_Reset_vals[] = {
  {   0, "cRNC-CommunicationContextID" },
  {   1, "nodeB-CommunicationContextID" },
  { 0, NULL }
};

static const per_choice_t CommunicationContextType_Reset_choice[] = {
  {   0, &hf_nbap_cRNC_CommunicationContextID, ASN1_EXTENSION_ROOT    , dissect_nbap_CRNC_CommunicationContextID },
  {   1, &hf_nbap_nodeB_CommunicationContextID, ASN1_EXTENSION_ROOT    , dissect_nbap_NodeB_CommunicationContextID },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommunicationContextType_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommunicationContextType_Reset, CommunicationContextType_Reset_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CommunicationContextInfoItem_Reset_sequence[] = {
  { &hf_nbap_communicationContextType_Reset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationContextType_Reset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommunicationContextInfoItem_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommunicationContextInfoItem_Reset, CommunicationContextInfoItem_Reset_sequence);

  return offset;
}


static const per_sequence_t CommunicationControlPortInfoItem_Reset_sequence[] = {
  { &hf_nbap_communicationControlPortID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommunicationControlPortID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CommunicationControlPortInfoItem_Reset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CommunicationControlPortInfoItem_Reset, CommunicationControlPortInfoItem_Reset_sequence);

  return offset;
}


static const per_sequence_t ResetResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ResetResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ResetResponse, ResetResponse_sequence);

  return offset;
}


static const per_sequence_t InformationExchangeInitiationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationExchangeInitiationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationExchangeInitiationRequest, InformationExchangeInitiationRequest_sequence);

  return offset;
}


static const per_sequence_t Cell_InfEx_Rqst_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_InfEx_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_InfEx_Rqst, Cell_InfEx_Rqst_sequence);

  return offset;
}


static const value_string nbap_InformationExchangeObjectType_InfEx_Rqst_vals[] = {
  {   0, "cell" },
  { 0, NULL }
};

static const per_choice_t InformationExchangeObjectType_InfEx_Rqst_choice[] = {
  {   0, &hf_nbap_cell_03        , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_InfEx_Rqst },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationExchangeObjectType_InfEx_Rqst(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationExchangeObjectType_InfEx_Rqst, InformationExchangeObjectType_InfEx_Rqst_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InformationExchangeInitiationResponse_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationExchangeInitiationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationExchangeInitiationResponse, InformationExchangeInitiationResponse_sequence);

  return offset;
}



static int
dissect_nbap_GPSTOW(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 604799U, NULL, FALSE);

  return offset;
}


static const value_string nbap_GPS_Status_Health_vals[] = {
  {   0, "udre-scale-1dot0" },
  {   1, "udre-scale-0dot75" },
  {   2, "udre-scale-0dot5" },
  {   3, "udre-scale-0dot3" },
  {   4, "udre-scale-0dot1" },
  {   5, "no-data" },
  {   6, "invalid-data" },
  { 0, NULL }
};


static int
dissect_nbap_GPS_Status_Health(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_SAT_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 63U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_8(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, NULL);

  return offset;
}


static const value_string nbap_UDRE_vals[] = {
  {   0, "udre-minusequal-one-m" },
  {   1, "udre-betweenoneandfour-m" },
  {   2, "udre-betweenfourandeight-m" },
  {   3, "udre-greaterequaleight-m" },
  { 0, NULL }
};


static int
dissect_nbap_UDRE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_PRC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -2047, 2047U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Range_Correction_Rate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -127, 127U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SAT_Info_DGPSCorrections_Item_sequence[] = {
  { &hf_nbap_sat_id         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_ID },
  { &hf_nbap_iode_dgps      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_udre           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UDRE },
  { &hf_nbap_prc            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PRC },
  { &hf_nbap_range_correction_rate, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Range_Correction_Rate },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SAT_Info_DGPSCorrections_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SAT_Info_DGPSCorrections_Item, SAT_Info_DGPSCorrections_Item_sequence);

  return offset;
}


static const per_sequence_t SAT_Info_DGPSCorrections_sequence_of[1] = {
  { &hf_nbap_SAT_Info_DGPSCorrections_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_DGPSCorrections_Item },
};

static int
dissect_nbap_SAT_Info_DGPSCorrections(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SAT_Info_DGPSCorrections, SAT_Info_DGPSCorrections_sequence_of,
                                                  1, maxNoSat);

  return offset;
}


static const per_sequence_t DGPSCorrections_sequence[] = {
  { &hf_nbap_gpstow         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_GPSTOW },
  { &hf_nbap_status_health  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_GPS_Status_Health },
  { &hf_nbap_satelliteinfo  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_DGPSCorrections },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DGPSCorrections(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DGPSCorrections, DGPSCorrections_sequence);

  return offset;
}



static int
dissect_nbap_INTEGER_0_1048575(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_14(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     14, 14, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_2(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     2, 2, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_22(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     22, 22, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_10(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     10, 10, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_4(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     4, 4, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     6, 6, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     1, 1, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_87(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     87, 87, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_16(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     16, 16, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_32(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     32, 32, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_5(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     5, 5, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_24(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     24, 24, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_20(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     20, 20, FALSE, NULL);

  return offset;
}


static const per_sequence_t GPS_NavandRecovery_Item_sequence[] = {
  { &hf_nbap_tx_tow_nav     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_1048575 },
  { &hf_nbap_sat_id_nav     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_ID },
  { &hf_nbap_tlm_message_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_14 },
  { &hf_nbap_tlm_revd_c_nav , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_2 },
  { &hf_nbap_ho_word_nav    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_22 },
  { &hf_nbap_w_n_nav        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_10 },
  { &hf_nbap_ca_or_p_on_l2_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_2 },
  { &hf_nbap_user_range_accuracy_index_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_4 },
  { &hf_nbap_sv_health_nav  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_6 },
  { &hf_nbap_iodc_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_10 },
  { &hf_nbap_l2_p_dataflag_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_1 },
  { &hf_nbap_sf1_reserved_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_87 },
  { &hf_nbap_t_gd_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_t_oc_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_a_f_2_nav      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_a_f_1_nav      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_a_f_zero_nav   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_22 },
  { &hf_nbap_c_rs_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_delta_n_nav    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_m_zero_nav     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_c_uc_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_gps_e_nav      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_c_us_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_a_sqrt_nav     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_t_oe_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_fit_interval_flag_nav, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_1 },
  { &hf_nbap_aodo_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_5 },
  { &hf_nbap_c_ic_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_omega_zero_nav , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_c_is_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_i_zero_nav     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_c_rc_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_gps_omega_nav  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_omegadot_nav   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_idot_nav       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_14 },
  { &hf_nbap_spare_zero_fill, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_20 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPS_NavandRecovery_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPS_NavandRecovery_Item, GPS_NavandRecovery_Item_sequence);

  return offset;
}


static const per_sequence_t GPS_NavigationModel_and_TimeRecovery_sequence_of[1] = {
  { &hf_nbap_GPS_NavigationModel_and_TimeRecovery_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_GPS_NavandRecovery_Item },
};

static int
dissect_nbap_GPS_NavigationModel_and_TimeRecovery(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_GPS_NavigationModel_and_TimeRecovery, GPS_NavigationModel_and_TimeRecovery_sequence_of,
                                                  1, maxNoSat);

  return offset;
}


static const per_sequence_t GPS_Ionospheric_Model_sequence[] = {
  { &hf_nbap_alpha_zero_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_alpha_one_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_alpha_two_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_alpha_three_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_beta_zero_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_beta_one_ionos , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_beta_two_ionos , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_beta_three_ionos, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPS_Ionospheric_Model(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPS_Ionospheric_Model, GPS_Ionospheric_Model_sequence);

  return offset;
}


static const per_sequence_t GPS_UTC_Model_sequence[] = {
  { &hf_nbap_a_one_utc      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_a_zero_utc     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_32 },
  { &hf_nbap_t_ot_utc       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_delta_t_ls_utc , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_w_n_t_utc      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_w_n_lsf_utc    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_dn_utc         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_delta_t_lsf_utc, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPS_UTC_Model(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPS_UTC_Model, GPS_UTC_Model_sequence);

  return offset;
}



static int
dissect_nbap_DATA_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 3U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_11(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     11, 11, FALSE, NULL);

  return offset;
}


static const per_sequence_t SAT_Info_Almanac_Item_sequence[] = {
  { &hf_nbap_data_id        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DATA_ID },
  { &hf_nbap_sat_id         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_ID },
  { &hf_nbap_gps_e_alm      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_gps_toa_alm    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_gps_delta_I_alm, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_omegadot_alm   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_svhealth_alm   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_gps_a_sqrt_alm , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_omegazero_alm  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_m_zero_alm     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_gps_omega_alm  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_gps_af_zero_alm, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_11 },
  { &hf_nbap_gps_af_one_alm , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_11 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SAT_Info_Almanac_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SAT_Info_Almanac_Item, SAT_Info_Almanac_Item_sequence);

  return offset;
}


static const per_sequence_t SAT_Info_Almanac_sequence_of[1] = {
  { &hf_nbap_SAT_Info_Almanac_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_Almanac_Item },
};

static int
dissect_nbap_SAT_Info_Almanac(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SAT_Info_Almanac, SAT_Info_Almanac_sequence_of,
                                                  1, maxNoSat);

  return offset;
}



static int
dissect_nbap_BIT_STRING_SIZE_364(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     364, 364, FALSE, NULL);

  return offset;
}


static const per_sequence_t GPS_Almanac_sequence[] = {
  { &hf_nbap_wna_alm        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_sat_info_almanac, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_Almanac },
  { &hf_nbap_sVGlobalHealth_alm, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BIT_STRING_SIZE_364 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPS_Almanac(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPS_Almanac, GPS_Almanac_sequence);

  return offset;
}


static const per_sequence_t SAT_Info_RealTime_Integrity_Item_sequence[] = {
  { &hf_nbap_bad_sat_id     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_ID },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SAT_Info_RealTime_Integrity_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SAT_Info_RealTime_Integrity_Item, SAT_Info_RealTime_Integrity_Item_sequence);

  return offset;
}


static const per_sequence_t SATInfo_RealTime_Integrity_sequence_of[1] = {
  { &hf_nbap_SATInfo_RealTime_Integrity_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_RealTime_Integrity_Item },
};

static int
dissect_nbap_SATInfo_RealTime_Integrity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SATInfo_RealTime_Integrity, SATInfo_RealTime_Integrity_sequence_of,
                                                  1, maxNoSat);

  return offset;
}


static const per_sequence_t GPSBadSat_Info_RealTime_Integrity_sequence[] = {
  { &hf_nbap_sat_info       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SATInfo_RealTime_Integrity },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPSBadSat_Info_RealTime_Integrity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPSBadSat_Info_RealTime_Integrity, GPSBadSat_Info_RealTime_Integrity_sequence);

  return offset;
}


static const value_string nbap_GPS_RealTime_Integrity_vals[] = {
  {   0, "bad-satellites" },
  {   1, "no-bad-satellites" },
  { 0, NULL }
};

static const per_choice_t GPS_RealTime_Integrity_choice[] = {
  {   0, &hf_nbap_bad_satellites , ASN1_NO_EXTENSIONS     , dissect_nbap_GPSBadSat_Info_RealTime_Integrity },
  {   1, &hf_nbap_no_bad_satellites, ASN1_NO_EXTENSIONS     , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_GPS_RealTime_Integrity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_GPS_RealTime_Integrity, GPS_RealTime_Integrity_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_T_latitudeSign_vals[] = {
  {   0, "north" },
  {   1, "south" },
  { 0, NULL }
};


static int
dissect_nbap_T_latitudeSign(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_INTEGER_0_8388607(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8388607U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_M8388608_8388607(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -8388608, 8388607U, NULL, FALSE);

  return offset;
}


static const value_string nbap_T_directionOfAltitude_vals[] = {
  {   0, "height" },
  {   1, "depth" },
  { 0, NULL }
};


static int
dissect_nbap_T_directionOfAltitude(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t GPS_RX_POS_sequence[] = {
  { &hf_nbap_latitudeSign   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_latitudeSign },
  { &hf_nbap_latitude       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_8388607 },
  { &hf_nbap_longitude      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_M8388608_8388607 },
  { &hf_nbap_directionOfAltitude, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_directionOfAltitude },
  { &hf_nbap_altitude       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_32767 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GPS_RX_POS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GPS_RX_POS, GPS_RX_POS_sequence);

  return offset;
}


static const per_sequence_t RequestedDataValue_sequence[] = {
  { &hf_nbap_dgps_corrections, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DGPSCorrections },
  { &hf_nbap_gps_navandrecovery, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_NavigationModel_and_TimeRecovery },
  { &hf_nbap_gps_ionos_model, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_Ionospheric_Model },
  { &hf_nbap_gps_utc_model  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_UTC_Model },
  { &hf_nbap_gps_almanac    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_Almanac },
  { &hf_nbap_gps_rt_integrity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_RealTime_Integrity },
  { &hf_nbap_gpsrxpos       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_RX_POS },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RequestedDataValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RequestedDataValue, RequestedDataValue_sequence);

  return offset;
}


static const per_sequence_t Cell_InfEx_Rsp_sequence[] = {
  { &hf_nbap_requestedDataValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RequestedDataValue },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_InfEx_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_InfEx_Rsp, Cell_InfEx_Rsp_sequence);

  return offset;
}


static const value_string nbap_InformationExchangeObjectType_InfEx_Rsp_vals[] = {
  {   0, "cell" },
  { 0, NULL }
};

static const per_choice_t InformationExchangeObjectType_InfEx_Rsp_choice[] = {
  {   0, &hf_nbap_cell_04        , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_InfEx_Rsp },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationExchangeObjectType_InfEx_Rsp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationExchangeObjectType_InfEx_Rsp, InformationExchangeObjectType_InfEx_Rsp_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InformationExchangeInitiationFailure_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationExchangeInitiationFailure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationExchangeInitiationFailure, InformationExchangeInitiationFailure_sequence);

  return offset;
}


static const per_sequence_t InformationReport_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationReport(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationReport, InformationReport_sequence);

  return offset;
}


static const per_sequence_t InformationAvailable_sequence[] = {
  { &hf_nbap_requesteddataValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RequestedDataValue },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationAvailable, InformationAvailable_sequence);

  return offset;
}



static int
dissect_nbap_InformationnotAvailable(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_null(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_RequestedDataValueInformation_vals[] = {
  {   0, "informationAvailable" },
  {   1, "informationnotAvailable" },
  { 0, NULL }
};

static const per_choice_t RequestedDataValueInformation_choice[] = {
  {   0, &hf_nbap_informationAvailable, ASN1_NO_EXTENSIONS     , dissect_nbap_InformationAvailable },
  {   1, &hf_nbap_informationnotAvailable, ASN1_NO_EXTENSIONS     , dissect_nbap_InformationnotAvailable },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_RequestedDataValueInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_RequestedDataValueInformation, RequestedDataValueInformation_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Cell_Inf_Rprt_sequence[] = {
  { &hf_nbap_requestedDataValueInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RequestedDataValueInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Cell_Inf_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Cell_Inf_Rprt, Cell_Inf_Rprt_sequence);

  return offset;
}


static const value_string nbap_InformationExchangeObjectType_InfEx_Rprt_vals[] = {
  {   0, "cell" },
  { 0, NULL }
};

static const per_choice_t InformationExchangeObjectType_InfEx_Rprt_choice[] = {
  {   0, &hf_nbap_cell_05        , ASN1_EXTENSION_ROOT    , dissect_nbap_Cell_Inf_Rprt },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationExchangeObjectType_InfEx_Rprt(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationExchangeObjectType_InfEx_Rprt, InformationExchangeObjectType_InfEx_Rprt_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InformationExchangeTerminationRequest_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationExchangeTerminationRequest(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationExchangeTerminationRequest, InformationExchangeTerminationRequest_sequence);

  return offset;
}


static const per_sequence_t InformationExchangeFailureIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationExchangeFailureIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationExchangeFailureIndication, InformationExchangeFailureIndication_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationInitiationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationInitiationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationInitiationRequestTDD, CellSynchronisationInitiationRequestTDD_sequence);

  return offset;
}



static int
dissect_nbap_CSBTransmissionID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SFN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_CellSyncBurstCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_CellSyncBurstCodeShift(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 7U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellSyncBurstTransInit_CellSyncInitiationRqstTDD_sequence[] = {
  { &hf_nbap_cSBTransmissionID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBTransmissionID },
  { &hf_nbap_sfn            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFN },
  { &hf_nbap_cellSyncBurstCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCode },
  { &hf_nbap_cellSyncBurstCodeShift, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCodeShift },
  { &hf_nbap_initialDLTransPower, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD, CellSyncBurstTransInit_CellSyncInitiationRqstTDD_sequence);

  return offset;
}


static const per_sequence_t TimeslotInfo_CellSyncInitiationRqstTDD_sequence_of[1] = {
  { &hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
};

static int
dissect_nbap_TimeslotInfo_CellSyncInitiationRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TimeslotInfo_CellSyncInitiationRqstTDD, TimeslotInfo_CellSyncInitiationRqstTDD_sequence_of,
                                                  1, 15);

  return offset;
}



static int
dissect_nbap_CSBMeasurementID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const value_string nbap_SynchronisationReportType_vals[] = {
  {   0, "initialPhase" },
  {   1, "steadyStatePhase" },
  {   2, "lateEntrantCell" },
  {   3, "frequencyAcquisition" },
  { 0, NULL }
};


static int
dissect_nbap_SynchronisationReportType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_SynchronisationReportCharacteristicsType_vals[] = {
  {   0, "frameRelated" },
  {   1, "sFNperiodRelated" },
  {   2, "cycleLengthRelated" },
  {   3, "thresholdExceeding" },
  {   4, "frequencyAcquisitionCompleted" },
  { 0, NULL }
};


static int
dissect_nbap_SynchronisationReportCharacteristicsType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_SyncFrameNumber(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 10U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_1048575_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_255_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, TRUE);

  return offset;
}


static const value_string nbap_CellSyncBurstTiming_vals[] = {
  {   0, "initialPhase" },
  {   1, "steadyStatePhase" },
  { 0, NULL }
};

static const per_choice_t CellSyncBurstTiming_choice[] = {
  {   0, &hf_nbap_initialPhase_0_1048575, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_1048575_ },
  {   1, &hf_nbap_steadyStatePhase, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_255_ },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstTiming(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CellSyncBurstTiming, CellSyncBurstTiming_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_CellSyncBurstTimingThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 254U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SynchronisationReportCharactCellSyncBurstInfoItem_sequence[] = {
  { &hf_nbap_cellSyncBurstCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCode },
  { &hf_nbap_cellSyncBurstCodeShift, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCodeShift },
  { &hf_nbap_cellSyncBurstTiming, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstTiming },
  { &hf_nbap_cellSyncBurstTimingThreshold, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstTimingThreshold },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SynchronisationReportCharactCellSyncBurstInfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SynchronisationReportCharactCellSyncBurstInfoItem, SynchronisationReportCharactCellSyncBurstInfoItem_sequence);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem_sequence_of[1] = {
  { &hf_nbap_cellSyncBurstInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportCharactCellSyncBurstInfoItem },
};

static int
dissect_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem, SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem_sequence_of,
                                                  1, maxNrOfReceptsPerSyncFrame);

  return offset;
}


static const per_sequence_t SynchronisationReportCharactThreInfoItem_sequence[] = {
  { &hf_nbap_syncFrameNumber, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_cellSyncBurstInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SynchronisationReportCharactThreInfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SynchronisationReportCharactThreInfoItem, SynchronisationReportCharactThreInfoItem_sequence);

  return offset;
}


static const per_sequence_t SynchronisationReportCharactThreExc_sequence_of[1] = {
  { &hf_nbap_SynchronisationReportCharactThreExc_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportCharactThreInfoItem },
};

static int
dissect_nbap_SynchronisationReportCharactThreExc(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SynchronisationReportCharactThreExc, SynchronisationReportCharactThreExc_sequence_of,
                                                  1, maxNrOfCellSyncBursts);

  return offset;
}


static const per_sequence_t SynchronisationReportCharacteristics_sequence[] = {
  { &hf_nbap_synchronisationReportCharacteristicsType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportCharacteristicsType },
  { &hf_nbap_synchronisationReportCharactThreExc, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SynchronisationReportCharactThreExc },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SynchronisationReportCharacteristics(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SynchronisationReportCharacteristics, SynchronisationReportCharacteristics_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_sequence[] = {
  { &hf_nbap_cSBMeasurementID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBMeasurementID },
  { &hf_nbap_cellSyncBurstCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCode },
  { &hf_nbap_cellSyncBurstCodeShift, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCodeShift },
  { &hf_nbap_synchronisationReportType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportType },
  { &hf_nbap_sfn            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFN },
  { &hf_nbap_synchronisationReportCharacteristics, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportCharacteristics },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD, CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_sequence);

  return offset;
}



static int
dissect_nbap_SYNCDlCodeId(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 32U, NULL, TRUE);

  return offset;
}


static const per_sequence_t SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_sequence[] = {
  { &hf_nbap_cSBTransmissionID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBTransmissionID },
  { &hf_nbap_sfn            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFN },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_sYNCDlCodeId   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeId },
  { &hf_nbap_dwPCH_Power    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DwPCH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD, SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_sequence);

  return offset;
}


static const per_sequence_t SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_sequence[] = {
  { &hf_nbap_cSBMeasurementID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBMeasurementID },
  { &hf_nbap_sfn            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFN },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_sYNCDlCodeId   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeId },
  { &hf_nbap_synchronisationReportType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportType },
  { &hf_nbap_synchronisationReportCharacteristics, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SynchronisationReportCharacteristics },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD, SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationInitiationResponseTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationInitiationResponseTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationInitiationResponseTDD, CellSynchronisationInitiationResponseTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationInitiationFailureTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationInitiationFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationInitiationFailureTDD, CellSynchronisationInitiationFailureTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationReconfigurationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationReconfigurationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationReconfigurationRequestTDD, CellSynchronisationReconfigurationRequestTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_cSBTransmissionID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBTransmissionID },
  { &hf_nbap_syncFrameNumberToTransmit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_cellSyncBurstCode, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstCode },
  { &hf_nbap_cellSyncBurstCodeShift, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstCodeShift },
  { &hf_nbap_dlTransPower   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD, CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD, CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCellSyncBursts);

  return offset;
}



static int
dissect_nbap_CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_SynchronisationReportTypeIE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_SynchronisationReportCharacteristicsIE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_cellSyncBurstMeasInfoList_CellSyncReconfRqstTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD },
  { &hf_nbap_synchronisationReportType_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SynchronisationReportTypeIE },
  { &hf_nbap_synchronisationReportCharacteristics_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SynchronisationReportCharacteristicsIE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD, CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstInfoItem_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_cSBMeasurementID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBMeasurementID },
  { &hf_nbap_cellSyncBurstCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCode },
  { &hf_nbap_cellSyncBurstCodeShift, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstCodeShift },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstInfoItem_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstInfoItem_CellSyncReconfRqstTDD, CellSyncBurstInfoItem_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstInfoList_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstInfoItem_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD, CellSyncBurstInfoList_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfReceptsPerSyncFrame);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_syncFrameNrToReceive, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_syncBurstInfo  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD, CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD, CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfCellSyncBursts);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_cSBTransmissionID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBTransmissionID },
  { &hf_nbap_syncFrameNumberforTransmit, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_sYNCDlCodeId   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SYNCDlCodeId },
  { &hf_nbap_dwPCH_Power    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DwPCH_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD, SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD, SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfSyncFramesLCR);

  return offset;
}



static int
dissect_nbap_INTEGER_0_524287_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 524287U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_127_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TimingAdjustmentValueLCR_vals[] = {
  {   0, "initialPhase" },
  {   1, "steadyStatePhase" },
  { 0, NULL }
};

static const per_choice_t TimingAdjustmentValueLCR_choice[] = {
  {   0, &hf_nbap_initialPhase   , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_524287_ },
  {   1, &hf_nbap_steadyStatePhase_01, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_127_ },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TimingAdjustmentValueLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TimingAdjustmentValueLCR, TimingAdjustmentValueLCR_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_cSBMeasurementID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CSBMeasurementID },
  { &hf_nbap_sYNCDlCodeId   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeId },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_propagationDelayCompensation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimingAdjustmentValueLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD, SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD, SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfReceptionsperSyncFrameLCR);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_syncFrameNrToReceive, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_sYNCDlCodeIdInfoLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD, SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_sequence_of[1] = {
  { &hf_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD },
};

static int
dissect_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD, SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_sequence_of,
                                                  1, maxNrOfSyncDLCodesLCR);

  return offset;
}


static const per_sequence_t SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_sequence[] = {
  { &hf_nbap_sYNCDlCodeIdMeasInfoList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD },
  { &hf_nbap_synchronisationReportType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SynchronisationReportType },
  { &hf_nbap_synchronisationReportCharacteristics, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SynchronisationReportCharacteristics },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD, SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationReconfigurationResponseTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationReconfigurationResponseTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationReconfigurationResponseTDD, CellSynchronisationReconfigurationResponseTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationReconfigurationFailureTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationReconfigurationFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationReconfigurationFailureTDD, CellSynchronisationReconfigurationFailureTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationAdjustmentRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationAdjustmentRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationAdjustmentRequestTDD, CellSynchronisationAdjustmentRequestTDD_sequence);

  return offset;
}


static const per_sequence_t CellAdjustmentInfo_SyncAdjustmentRqstTDD_sequence_of[1] = {
  { &hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD, CellAdjustmentInfo_SyncAdjustmentRqstTDD_sequence_of,
                                                  1, maxCellinNodeB);

  return offset;
}



static int
dissect_nbap_FrameAdjustmentValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TimingAdjustmentValue_vals[] = {
  {   0, "initialPhase" },
  {   1, "steadyStatePhase" },
  { 0, NULL }
};

static const per_choice_t TimingAdjustmentValue_choice[] = {
  {   0, &hf_nbap_initialPhase_01, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_1048575_ },
  {   1, &hf_nbap_steadyStatePhase, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_255_ },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TimingAdjustmentValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TimingAdjustmentValue, TimingAdjustmentValue_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_frameAdjustmentValue, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FrameAdjustmentValue },
  { &hf_nbap_timingAdjustmentValue, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimingAdjustmentValue },
  { &hf_nbap_dLTransPower   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_sfn            , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD, CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationAdjustmentResponseTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationAdjustmentResponseTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationAdjustmentResponseTDD, CellSynchronisationAdjustmentResponseTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationAdjustmentFailureTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationAdjustmentFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationAdjustmentFailureTDD, CellSynchronisationAdjustmentFailureTDD_sequence);

  return offset;
}


static const per_sequence_t GeneralCauseList_SyncAdjustmntFailureTDD_sequence[] = {
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_GeneralCauseList_SyncAdjustmntFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_GeneralCauseList_SyncAdjustmntFailureTDD, GeneralCauseList_SyncAdjustmntFailureTDD_sequence);

  return offset;
}


static const per_sequence_t Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_sequence_of[1] = {
  { &hf_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD, Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_sequence_of,
                                                  1, maxCellinNodeB);

  return offset;
}


static const per_sequence_t CellSpecificCauseList_SyncAdjustmntFailureTDD_sequence[] = {
  { &hf_nbap_unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSpecificCauseList_SyncAdjustmntFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSpecificCauseList_SyncAdjustmntFailureTDD, CellSpecificCauseList_SyncAdjustmntFailureTDD_sequence);

  return offset;
}


static const value_string nbap_CauseLevel_SyncAdjustmntFailureTDD_vals[] = {
  {   0, "generalCause" },
  {   1, "cellSpecificCause" },
  { 0, NULL }
};

static const per_choice_t CauseLevel_SyncAdjustmntFailureTDD_choice[] = {
  {   0, &hf_nbap_generalCause_06, ASN1_EXTENSION_ROOT    , dissect_nbap_GeneralCauseList_SyncAdjustmntFailureTDD },
  {   1, &hf_nbap_cellSpecificCause, ASN1_EXTENSION_ROOT    , dissect_nbap_CellSpecificCauseList_SyncAdjustmntFailureTDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CauseLevel_SyncAdjustmntFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CauseLevel_SyncAdjustmntFailureTDD, CauseLevel_SyncAdjustmntFailureTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_sequence[] = {
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_cause          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Cause },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD, Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationTerminationRequestTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationTerminationRequestTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationTerminationRequestTDD, CellSynchronisationTerminationRequestTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationFailureIndicationTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationFailureIndicationTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationFailureIndicationTDD, CellSynchronisationFailureIndicationTDD_sequence);

  return offset;
}


static const per_sequence_t CellSynchronisationReportTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSynchronisationReportTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSynchronisationReportTDD, CellSynchronisationReportTDD_sequence);

  return offset;
}



static int
dissect_nbap_C_ID_IE_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}



static int
dissect_nbap_SyncReportTypeIE_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const per_sequence_t CellSyncInfoItemIE_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_c_ID_CellSyncReprtTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID_IE_CellSyncReprtTDD },
  { &hf_nbap_syncReportType_CellSyncReprtTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SyncReportTypeIE_CellSyncReprtTDD },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncInfoItemIE_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncInfoItemIE_CellSyncReprtTDD, CellSyncInfoItemIE_CellSyncReprtTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncInfo_CellSyncReprtTDD_sequence_of[1] = {
  { &hf_nbap_CellSyncInfo_CellSyncReprtTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncInfoItemIE_CellSyncReprtTDD },
};

static int
dissect_nbap_CellSyncInfo_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellSyncInfo_CellSyncReprtTDD, CellSyncInfo_CellSyncReprtTDD_sequence_of,
                                                  1, maxCellinNodeB);

  return offset;
}



static int
dissect_nbap_CellSyncBurstSIR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 31U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CellSyncBurstAvailable_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_cellSyncBurstTiming, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstTiming },
  { &hf_nbap_cellSyncBurstSIR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstSIR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstAvailable_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstAvailable_CellSyncReprtTDD, CellSyncBurstAvailable_CellSyncReprtTDD_sequence);

  return offset;
}


static const value_string nbap_CellSyncBurstInfo_CellSyncReprtTDD_vals[] = {
  {   0, "cellSyncBurstAvailable" },
  {   1, "cellSyncBurstNotAvailable" },
  { 0, NULL }
};

static const per_choice_t CellSyncBurstInfo_CellSyncReprtTDD_choice[] = {
  {   0, &hf_nbap_cellSyncBurstAvailable, ASN1_EXTENSION_ROOT    , dissect_nbap_CellSyncBurstAvailable_CellSyncReprtTDD },
  {   1, &hf_nbap_cellSyncBurstNotAvailable, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstInfo_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CellSyncBurstInfo_CellSyncReprtTDD, CellSyncBurstInfo_CellSyncReprtTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD_sequence_of[1] = {
  { &hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstInfo_CellSyncReprtTDD },
};

static int
dissect_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD, SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD_sequence_of,
                                                  1, maxNrOfReceptsPerSyncFrame);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasInfoItem_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_sFN            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFN },
  { &hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstMeasInfoItem_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReprtTDD, CellSyncBurstMeasInfoItem_CellSyncReprtTDD_sequence);

  return offset;
}


static const per_sequence_t CellSyncBurstMeasInfoList_CellSyncReprtTDD_sequence_of[1] = {
  { &hf_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstMeasInfoItem_CellSyncReprtTDD },
};

static int
dissect_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD, CellSyncBurstMeasInfoList_CellSyncReprtTDD_sequence_of,
                                                  0, maxNrOfCellSyncBursts);

  return offset;
}


static const per_sequence_t IntStdPhCellSyncInfo_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_cellSyncBurstMeasuredInfo, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_IntStdPhCellSyncInfo_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_IntStdPhCellSyncInfo_CellSyncReprtTDD, IntStdPhCellSyncInfo_CellSyncReprtTDD_sequence);

  return offset;
}


static const value_string nbap_SyncReportType_CellSyncReprtTDD_vals[] = {
  {   0, "intStdPhSyncInfo-CellSyncReprtTDD" },
  {   1, "lateEntrantCell" },
  {   2, "frequencyAcquisition" },
  { 0, NULL }
};

static const per_choice_t SyncReportType_CellSyncReprtTDD_choice[] = {
  {   0, &hf_nbap_intStdPhSyncInfo_CellSyncReprtTDD, ASN1_EXTENSION_ROOT    , dissect_nbap_IntStdPhCellSyncInfo_CellSyncReprtTDD },
  {   1, &hf_nbap_lateEntrantCell, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   2, &hf_nbap_frequencyAcquisition, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_SyncReportType_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_SyncReportType_CellSyncReprtTDD, SyncReportType_CellSyncReprtTDD_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_CellSyncBurstTimingLCR_vals[] = {
  {   0, "initialPhase" },
  {   1, "steadyStatePhase" },
  { 0, NULL }
};

static const per_choice_t CellSyncBurstTimingLCR_choice[] = {
  {   0, &hf_nbap_initialPhase   , ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_524287_ },
  {   1, &hf_nbap_steadyStatePhase_01, ASN1_NO_EXTENSIONS     , dissect_nbap_INTEGER_0_127_ },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CellSyncBurstTimingLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CellSyncBurstTimingLCR, CellSyncBurstTimingLCR_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SyncDLCodeIdAvailable_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_syncDLCodeIdTiming, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstTimingLCR },
  { &hf_nbap_syncDLCodeIdSIR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellSyncBurstSIR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SyncDLCodeIdAvailable_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SyncDLCodeIdAvailable_CellSyncReprtTDD, SyncDLCodeIdAvailable_CellSyncReprtTDD_sequence);

  return offset;
}


static const value_string nbap_SyncDLCodeIdItem_CellSyncReprtTDD_vals[] = {
  {   0, "syncDLCodeIdAvailable" },
  {   1, "syncDLCodeIDNotAvailable" },
  { 0, NULL }
};

static const per_choice_t SyncDLCodeIdItem_CellSyncReprtTDD_choice[] = {
  {   0, &hf_nbap_syncDLCodeIdAvailable, ASN1_EXTENSION_ROOT    , dissect_nbap_SyncDLCodeIdAvailable_CellSyncReprtTDD },
  {   1, &hf_nbap_syncDLCodeIDNotAvailable, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_SyncDLCodeIdItem_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_SyncDLCodeIdItem_CellSyncReprtTDD, SyncDLCodeIdItem_CellSyncReprtTDD_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t SyncDLCodeIdInfo_CellSyncReprtTDD_sequence_of[1] = {
  { &hf_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeIdItem_CellSyncReprtTDD },
};

static int
dissect_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD, SyncDLCodeIdInfo_CellSyncReprtTDD_sequence_of,
                                                  1, maxNrOfReceptionsperSyncFrameLCR);

  return offset;
}


static const per_sequence_t SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD_sequence[] = {
  { &hf_nbap_sFN            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFN },
  { &hf_nbap_syncDLCodeIdInfo_CellSyncReprtTDD, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD, SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD_sequence);

  return offset;
}


static const per_sequence_t SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_sequence_of[1] = {
  { &hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD },
};

static int
dissect_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD, SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_sequence_of,
                                                  0, maxNrOfSyncFramesLCR);

  return offset;
}


static const per_sequence_t BearerRearrangementIndication_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BearerRearrangementIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BearerRearrangementIndication, BearerRearrangementIndication_sequence);

  return offset;
}


static const per_sequence_t DCH_RearrangeItem_Bearer_RearrangeInd_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_RearrangeItem_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_RearrangeItem_Bearer_RearrangeInd, DCH_RearrangeItem_Bearer_RearrangeInd_sequence);

  return offset;
}


static const per_sequence_t DCH_RearrangeList_Bearer_RearrangeInd_sequence_of[1] = {
  { &hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_RearrangeItem_Bearer_RearrangeInd },
};

static int
dissect_nbap_DCH_RearrangeList_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_RearrangeList_Bearer_RearrangeInd, DCH_RearrangeList_Bearer_RearrangeInd_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DSCH_RearrangeItem_Bearer_RearrangeInd_sequence[] = {
  { &hf_nbap_dSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DSCH_RearrangeItem_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DSCH_RearrangeItem_Bearer_RearrangeInd, DSCH_RearrangeItem_Bearer_RearrangeInd_sequence);

  return offset;
}


static const per_sequence_t DSCH_RearrangeList_Bearer_RearrangeInd_sequence_of[1] = {
  { &hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_RearrangeItem_Bearer_RearrangeInd },
};

static int
dissect_nbap_DSCH_RearrangeList_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DSCH_RearrangeList_Bearer_RearrangeInd, DSCH_RearrangeList_Bearer_RearrangeInd_sequence_of,
                                                  1, maxNrOfDSCHs);

  return offset;
}


static const per_sequence_t USCH_RearrangeItem_Bearer_RearrangeInd_sequence[] = {
  { &hf_nbap_uSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_USCH_RearrangeItem_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_USCH_RearrangeItem_Bearer_RearrangeInd, USCH_RearrangeItem_Bearer_RearrangeInd_sequence);

  return offset;
}


static const per_sequence_t USCH_RearrangeList_Bearer_RearrangeInd_sequence_of[1] = {
  { &hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_RearrangeItem_Bearer_RearrangeInd },
};

static int
dissect_nbap_USCH_RearrangeList_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_USCH_RearrangeList_Bearer_RearrangeInd, USCH_RearrangeList_Bearer_RearrangeInd_sequence_of,
                                                  1, maxNrOfUSCHs);

  return offset;
}



static int
dissect_nbap_HSDSCH_MACdFlow_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxNrOfMACdFlows_1, NULL, FALSE);

  return offset;
}


static const per_sequence_t HSDSCH_RearrangeItem_Bearer_RearrangeInd_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_RearrangeItem_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_RearrangeItem_Bearer_RearrangeInd, HSDSCH_RearrangeItem_Bearer_RearrangeInd_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_RearrangeList_Bearer_RearrangeInd_sequence_of[1] = {
  { &hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_RearrangeItem_Bearer_RearrangeInd },
};

static int
dissect_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd, HSDSCH_RearrangeList_Bearer_RearrangeInd_sequence_of,
                                                  1, maxNrOfMACdFlows);

  return offset;
}


static const per_sequence_t RadioLinkActivationCommandFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkActivationCommandFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkActivationCommandFDD, RadioLinkActivationCommandFDD_sequence);

  return offset;
}


static const per_sequence_t DelayedActivationInformationList_RL_ActivationCmdFDD_sequence_of[1] = {
  { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD, DelayedActivationInformationList_RL_ActivationCmdFDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const value_string nbap_Execution_Type_vals[] = {
  {   0, "synchronised" },
  {   1, "unsynchronised" },
  { 0, NULL }
};

static const per_choice_t Execution_Type_choice[] = {
  {   0, &hf_nbap_synchronised   , ASN1_NO_EXTENSIONS     , dissect_nbap_CFN },
  {   1, &hf_nbap_unsynchronised , ASN1_NO_EXTENSIONS     , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_Execution_Type(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_Execution_Type, Execution_Type_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t Activate_Info_sequence[] = {
  { &hf_nbap_activation_type, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Execution_Type },
  { &hf_nbap_initial_dl_tx_power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_firstRLS_Indicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FirstRLS_Indicator },
  { &hf_nbap_propagation_delay, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PropagationDelay },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Activate_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Activate_Info, Activate_Info_sequence);

  return offset;
}


static const per_sequence_t Deactivate_Info_sequence[] = {
  { &hf_nbap_deactivation_type, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Execution_Type },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Deactivate_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Deactivate_Info, Deactivate_Info_sequence);

  return offset;
}


static const value_string nbap_DelayedActivationUpdate_vals[] = {
  {   0, "activate" },
  {   1, "deactivate" },
  { 0, NULL }
};

static const per_choice_t DelayedActivationUpdate_choice[] = {
  {   0, &hf_nbap_activate       , ASN1_NO_EXTENSIONS     , dissect_nbap_Activate_Info },
  {   1, &hf_nbap_deactivate     , ASN1_NO_EXTENSIONS     , dissect_nbap_Deactivate_Info },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DelayedActivationUpdate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DelayedActivationUpdate, DelayedActivationUpdate_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t DelayedActivationInformation_RL_ActivationCmdFDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_delayed_activation_update, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DelayedActivationUpdate },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DelayedActivationInformation_RL_ActivationCmdFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DelayedActivationInformation_RL_ActivationCmdFDD, DelayedActivationInformation_RL_ActivationCmdFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkActivationCommandTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkActivationCommandTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkActivationCommandTDD, RadioLinkActivationCommandTDD_sequence);

  return offset;
}


static const per_sequence_t DelayedActivationInformationList_RL_ActivationCmdTDD_sequence_of[1] = {
  { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Single_Container },
};

static int
dissect_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD, DelayedActivationInformationList_RL_ActivationCmdTDD_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}


static const per_sequence_t DelayedActivationInformation_RL_ActivationCmdTDD_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_delayed_activation_update, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DelayedActivationUpdate },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DelayedActivationInformation_RL_ActivationCmdTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DelayedActivationInformation_RL_ActivationCmdTDD, DelayedActivationInformation_RL_ActivationCmdTDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkParameterUpdateIndicationFDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkParameterUpdateIndicationFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkParameterUpdateIndicationFDD, RadioLinkParameterUpdateIndicationFDD_sequence);

  return offset;
}


static const per_sequence_t RadioLinkParameterUpdateIndicationTDD_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RadioLinkParameterUpdateIndicationTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RadioLinkParameterUpdateIndicationTDD, RadioLinkParameterUpdateIndicationTDD_sequence);

  return offset;
}


static const per_sequence_t MBMSNotificationUpdateCommand_sequence[] = {
  { &hf_nbap_protocolIEs    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_Container },
  { &hf_nbap_protocolExtensions, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MBMSNotificationUpdateCommand(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MBMSNotificationUpdateCommand, MBMSNotificationUpdateCommand_sequence);

  return offset;
}



static int
dissect_nbap_AckNack_RepetitionFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 4U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_Ack_Power_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_TGPSID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxTGPS, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TGPRC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}


static const per_sequence_t Transmission_Gap_Pattern_Sequence_Status_List_item_sequence[] = {
  { &hf_nbap_tGPSID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TGPSID },
  { &hf_nbap_tGPRC          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TGPRC },
  { &hf_nbap_tGCFN          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CFN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item, Transmission_Gap_Pattern_Sequence_Status_List_item_sequence);

  return offset;
}


static const per_sequence_t Transmission_Gap_Pattern_Sequence_Status_List_sequence_of[1] = {
  { &hf_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item },
};

static int
dissect_nbap_Transmission_Gap_Pattern_Sequence_Status_List(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List, Transmission_Gap_Pattern_Sequence_Status_List_sequence_of,
                                                  0, maxTGPS);

  return offset;
}


static const per_sequence_t Active_Pattern_Sequence_Information_sequence[] = {
  { &hf_nbap_cMConfigurationChangeCFN, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CFN },
  { &hf_nbap_transmission_Gap_Pattern_Sequence_Status, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Transmission_Gap_Pattern_Sequence_Status_List },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Active_Pattern_Sequence_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Active_Pattern_Sequence_Information, Active_Pattern_Sequence_Information_sequence);

  return offset;
}



static int
dissect_nbap_AOA_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 719U, NULL, FALSE);

  return offset;
}


static const value_string nbap_AOA_LCR_Accuracy_Class_vals[] = {
  {   0, "a" },
  {   1, "b" },
  {   2, "c" },
  {   3, "d" },
  {   4, "e" },
  {   5, "f" },
  {   6, "g" },
  {   7, "h" },
  { 0, NULL }
};


static int
dissect_nbap_AOA_LCR_Accuracy_Class(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     8, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t Angle_Of_Arrival_Value_LCR_sequence[] = {
  { &hf_nbap_aOA_LCR        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AOA_LCR },
  { &hf_nbap_aOA_LCR_Accuracy_Class, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AOA_LCR_Accuracy_Class },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Angle_Of_Arrival_Value_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Angle_Of_Arrival_Value_LCR, Angle_Of_Arrival_Value_LCR_sequence);

  return offset;
}



static int
dissect_nbap_BCCH_ModificationTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_CellPortionID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxNrOfCellPortionsPerCell_1, NULL, TRUE);

  return offset;
}


static const per_sequence_t Best_Cell_Portions_Item_sequence[] = {
  { &hf_nbap_cellPortionID  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellPortionID },
  { &hf_nbap_sIRValue       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SIR_Value },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Best_Cell_Portions_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Best_Cell_Portions_Item, Best_Cell_Portions_Item_sequence);

  return offset;
}


static const per_sequence_t Best_Cell_Portions_Value_sequence_of[1] = {
  { &hf_nbap_Best_Cell_Portions_Value_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Best_Cell_Portions_Item },
};

static int
dissect_nbap_Best_Cell_Portions_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Best_Cell_Portions_Value, Best_Cell_Portions_Value_sequence_of,
                                                  1, maxNrOfCellPortionsPerCell);

  return offset;
}


static const value_string nbap_BlockingPriorityIndicator_vals[] = {
  {   0, "high" },
  {   1, "normal" },
  {   2, "low" },
  { 0, NULL }
};


static int
dissect_nbap_BlockingPriorityIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t BroadcastCommonTransportBearerIndication_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_cid            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_BroadcastCommonTransportBearerIndication(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_BroadcastCommonTransportBearerIndication, BroadcastCommonTransportBearerIndication_sequence);

  return offset;
}



static int
dissect_nbap_BroadcastReference(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     24, 24, FALSE, NULL);

  return offset;
}



static int
dissect_nbap_CellSyncBurstRepetitionPeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Closedlooptimingadjustmentmode_vals[] = {
  {   0, "adj-1-slot" },
  {   1, "adj-2-slot" },
  { 0, NULL }
};


static int
dissect_nbap_Closedlooptimingadjustmentmode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_TUTRANGPSAccuracyClass_vals[] = {
  {   0, "accuracy-class-A" },
  {   1, "accuracy-class-B" },
  {   2, "accuracy-class-C" },
  { 0, NULL }
};


static int
dissect_nbap_TUTRANGPSAccuracyClass(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_CommonMeasurementAccuracy_vals[] = {
  {   0, "tUTRANGPSMeasurementAccuracyClass" },
  { 0, NULL }
};

static const per_choice_t CommonMeasurementAccuracy_choice[] = {
  {   0, &hf_nbap_tUTRANGPSMeasurementAccuracyClass, ASN1_EXTENSION_ROOT    , dissect_nbap_TUTRANGPSAccuracyClass },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_CommonMeasurementAccuracy(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_CommonMeasurementAccuracy, CommonMeasurementAccuracy_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_CommonMeasurementType_vals[] = {
  {   0, "received-total-wide-band-power" },
  {   1, "transmitted-carrier-power" },
  {   2, "acknowledged-prach-preambles" },
  {   3, "ul-timeslot-iscp" },
  {   4, "notUsed-1-acknowledged-PCPCH-access-preambles" },
  {   5, "notUsed-2-detected-PCPCH-access-preambles" },
  {   6, "uTRAN-GPS-Timing-of-Cell-Frames-for-UE-Positioning" },
  {   7, "sFN-SFN-Observed-Time-Difference" },
  {   8, "upPTS-Interference" },
  {   9, "transmittedCarrierPowerOfAllCodesNotUsedForHS-PDSCHOrHS-SCCHTransmission" },
  {  10, "hS-DSCH-Required-Power" },
  {  11, "hS-DSCH-Provided-Bit-Rate" },
  { 0, NULL }
};


static int
dissect_nbap_CommonMeasurementType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 6, NULL);

  return offset;
}


static const per_sequence_t Common_PhysicalChannel_Status_Information_sequence[] = {
  { &hf_nbap_commonPhysicalChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonPhysicalChannelID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Common_PhysicalChannel_Status_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Common_PhysicalChannel_Status_Information, Common_PhysicalChannel_Status_Information_sequence);

  return offset;
}


static const per_sequence_t Common_TransportChannel_Status_Information_sequence[] = {
  { &hf_nbap_commonTransportChannelID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CommonTransportChannelID },
  { &hf_nbap_resourceOperationalState, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ResourceOperationalState },
  { &hf_nbap_availabilityStatus, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AvailabilityStatus },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Common_TransportChannel_Status_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Common_TransportChannel_Status_Information, Common_TransportChannel_Status_Information_sequence);

  return offset;
}


static const value_string nbap_Compressed_Mode_Deactivation_Flag_vals[] = {
  {   0, "deactivate" },
  {   1, "maintain-Active" },
  { 0, NULL }
};


static int
dissect_nbap_Compressed_Mode_Deactivation_Flag(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_ConstantValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -10, 10U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_ControlGAP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 255U, NULL, FALSE);

  return offset;
}


static const value_string nbap_CQI_Feedback_Cycle_vals[] = {
  {   0, "v0" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v10" },
  {   5, "v20" },
  {   6, "v40" },
  {   7, "v80" },
  {   8, "v160" },
  { 0, NULL }
};


static int
dissect_nbap_CQI_Feedback_Cycle(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     9, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_CQI_Power_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_CQI_RepetitionFactor(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 4U, NULL, TRUE);

  return offset;
}


static const value_string nbap_TriggeringMessage_vals[] = {
  {   0, "initiating-message" },
  {   1, "successful-outcome" },
  {   2, "unsuccessfull-outcome" },
  {   3, "outcome" },
  { 0, NULL }
};


static int
dissect_nbap_TriggeringMessage(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_RepetitionNumber0(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t CriticalityDiagnostics_IE_List_item_sequence[] = {
  { &hf_nbap_iECriticality  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Criticality },
  { &hf_nbap_iE_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_ID },
  { &hf_nbap_repetitionNumber, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionNumber0 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CriticalityDiagnostics_IE_List_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CriticalityDiagnostics_IE_List_item, CriticalityDiagnostics_IE_List_item_sequence);

  return offset;
}


static const per_sequence_t CriticalityDiagnostics_IE_List_sequence_of[1] = {
  { &hf_nbap_CriticalityDiagnostics_IE_List_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_CriticalityDiagnostics_IE_List_item },
};

static int
dissect_nbap_CriticalityDiagnostics_IE_List(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_CriticalityDiagnostics_IE_List, CriticalityDiagnostics_IE_List_sequence_of,
                                                  1, maxNrOfErrors);

  return offset;
}


static const per_sequence_t CriticalityDiagnostics_sequence[] = {
  { &hf_nbap_procedureID    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProcedureID },
  { &hf_nbap_triggeringMessage, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TriggeringMessage },
  { &hf_nbap_procedureCriticality, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Criticality },
  { &hf_nbap_transactionID  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransactionID },
  { &hf_nbap_iEsCriticalityDiagnostics, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CriticalityDiagnostics_IE_List },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_CriticalityDiagnostics(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_CriticalityDiagnostics, CriticalityDiagnostics_sequence);

  return offset;
}


static const value_string nbap_PayloadCRC_PresenceIndicator_vals[] = {
  {   0, "cRC-Included" },
  {   1, "cRC-NotIncluded" },
  { 0, NULL }
};


static int
dissect_nbap_PayloadCRC_PresenceIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_UL_FP_Mode_vals[] = {
  {   0, "normal" },
  {   1, "silent" },
  { 0, NULL }
};


static int
dissect_nbap_UL_FP_Mode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_QE_Selector_vals[] = {
  {   0, "selected" },
  {   1, "non-selected" },
  { 0, NULL }
};


static int
dissect_nbap_QE_Selector(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DCH_Specific_FDD_Item_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_ul_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_qE_Selector    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_QE_Selector },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_Specific_FDD_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_Specific_FDD_Item, DCH_Specific_FDD_Item_sequence);

  return offset;
}


static const per_sequence_t DCH_Specific_FDD_InformationList_sequence_of[1] = {
  { &hf_nbap_DCH_Specific_FDD_InformationList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_Specific_FDD_Item },
};

static int
dissect_nbap_DCH_Specific_FDD_InformationList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_Specific_FDD_InformationList, DCH_Specific_FDD_InformationList_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_FDD_InformationItem_sequence[] = {
  { &hf_nbap_payloadCRC_PresenceIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PayloadCRC_PresenceIndicator },
  { &hf_nbap_ul_FP_Mode     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_FP_Mode },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_dCH_SpecificInformationList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_Specific_FDD_InformationList },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_FDD_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_FDD_InformationItem, DCH_FDD_InformationItem_sequence);

  return offset;
}


static const per_sequence_t DCH_FDD_Information_sequence_of[1] = {
  { &hf_nbap_DCH_FDD_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_FDD_InformationItem },
};

static int
dissect_nbap_DCH_FDD_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_FDD_Information, DCH_FDD_Information_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_Specific_TDD_Item_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_ul_CCTrCH_ID   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_dl_CCTrCH_ID   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_ul_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_qE_Selector    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_QE_Selector },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_Specific_TDD_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_Specific_TDD_Item, DCH_Specific_TDD_Item_sequence);

  return offset;
}


static const per_sequence_t DCH_Specific_TDD_InformationList_sequence_of[1] = {
  { &hf_nbap_DCH_Specific_TDD_InformationList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_Specific_TDD_Item },
};

static int
dissect_nbap_DCH_Specific_TDD_InformationList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_Specific_TDD_InformationList, DCH_Specific_TDD_InformationList_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_TDD_InformationItem_sequence[] = {
  { &hf_nbap_payloadCRC_PresenceIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PayloadCRC_PresenceIndicator },
  { &hf_nbap_ul_FP_Mode     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_FP_Mode },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_dCH_SpecificInformationList_01, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_Specific_TDD_InformationList },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_TDD_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_TDD_InformationItem, DCH_TDD_InformationItem_sequence);

  return offset;
}


static const per_sequence_t DCH_TDD_Information_sequence_of[1] = {
  { &hf_nbap_DCH_TDD_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_TDD_InformationItem },
};

static int
dissect_nbap_DCH_TDD_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_TDD_Information, DCH_TDD_Information_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_ModifySpecificItem_FDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_ul_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_ModifySpecificItem_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_ModifySpecificItem_FDD, DCH_ModifySpecificItem_FDD_sequence);

  return offset;
}


static const per_sequence_t DCH_ModifySpecificInformation_FDD_sequence_of[1] = {
  { &hf_nbap_DCH_ModifySpecificInformation_FDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ModifySpecificItem_FDD },
};

static int
dissect_nbap_DCH_ModifySpecificInformation_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_ModifySpecificInformation_FDD, DCH_ModifySpecificInformation_FDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t FDD_DCHs_to_ModifyItem_sequence[] = {
  { &hf_nbap_ul_FP_Mode     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_FP_Mode },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_transportBearerRequestIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportBearerRequestIndicator },
  { &hf_nbap_dCH_SpecificInformationList_02, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ModifySpecificInformation_FDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_FDD_DCHs_to_ModifyItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_FDD_DCHs_to_ModifyItem, FDD_DCHs_to_ModifyItem_sequence);

  return offset;
}


static const per_sequence_t FDD_DCHs_to_Modify_sequence_of[1] = {
  { &hf_nbap_FDD_DCHs_to_Modify_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_FDD_DCHs_to_ModifyItem },
};

static int
dissect_nbap_FDD_DCHs_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_FDD_DCHs_to_Modify, FDD_DCHs_to_Modify_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_ModifySpecificItem_TDD_sequence[] = {
  { &hf_nbap_dCH_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_ul_CCTrCH_ID   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_ID },
  { &hf_nbap_dl_CCTrCH_ID   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CCTrCH_ID },
  { &hf_nbap_ul_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_dl_TransportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_ModifySpecificItem_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_ModifySpecificItem_TDD, DCH_ModifySpecificItem_TDD_sequence);

  return offset;
}


static const per_sequence_t DCH_ModifySpecificInformation_TDD_sequence_of[1] = {
  { &hf_nbap_DCH_ModifySpecificInformation_TDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ModifySpecificItem_TDD },
};

static int
dissect_nbap_DCH_ModifySpecificInformation_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DCH_ModifySpecificInformation_TDD, DCH_ModifySpecificInformation_TDD_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const per_sequence_t DCH_ModifyItem_TDD_sequence[] = {
  { &hf_nbap_ul_FP_Mode     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_UL_FP_Mode },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ToAWE },
  { &hf_nbap_transportBearerRequestIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportBearerRequestIndicator },
  { &hf_nbap_dCH_SpecificInformationList_03, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ModifySpecificInformation_TDD },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DCH_ModifyItem_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DCH_ModifyItem_TDD, DCH_ModifyItem_TDD_sequence);

  return offset;
}


static const per_sequence_t TDD_DCHs_to_Modify_sequence_of[1] = {
  { &hf_nbap_TDD_DCHs_to_Modify_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ModifyItem_TDD },
};

static int
dissect_nbap_TDD_DCHs_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_TDD_DCHs_to_Modify, TDD_DCHs_to_Modify_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const value_string nbap_DedicatedMeasurementType_vals[] = {
  {   0, "sir" },
  {   1, "sir-error" },
  {   2, "transmitted-code-power" },
  {   3, "rscp" },
  {   4, "rx-timing-deviation" },
  {   5, "round-trip-time" },
  {   6, "rx-timing-deviation-LCR" },
  {   7, "angle-Of-Arrival-LCR" },
  {   8, "hs-sich-quality" },
  {   9, "best-Cell-Portions" },
  { 0, NULL }
};


static int
dissect_nbap_DedicatedMeasurementType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 4, NULL);

  return offset;
}


static const value_string nbap_DelayedActivation_vals[] = {
  {   0, "cfn" },
  {   1, "separate-indication" },
  { 0, NULL }
};

static const per_choice_t DelayedActivation_choice[] = {
  {   0, &hf_nbap_cfn            , ASN1_NO_EXTENSIONS     , dissect_nbap_CFN },
  {   1, &hf_nbap_separate_indication, ASN1_NO_EXTENSIONS     , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_DelayedActivation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_DelayedActivation, DelayedActivation_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_DeltaSIR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 30U, NULL, FALSE);

  return offset;
}


static const value_string nbap_PRCDeviation_vals[] = {
  {   0, "one" },
  {   1, "two" },
  {   2, "five" },
  {   3, "ten" },
  { 0, NULL }
};


static int
dissect_nbap_PRCDeviation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t DGPSThresholds_sequence[] = {
  { &hf_nbap_prcdeviation   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PRCDeviation },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DGPSThresholds(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DGPSThresholds, DGPSThresholds_sequence);

  return offset;
}


static const value_string nbap_DiscardTimer_vals[] = {
  {   0, "v20" },
  {   1, "v40" },
  {   2, "v60" },
  {   3, "v80" },
  {   4, "v100" },
  {   5, "v120" },
  {   6, "v140" },
  {   7, "v160" },
  {   8, "v180" },
  {   9, "v200" },
  {  10, "v250" },
  {  11, "v300" },
  {  12, "v400" },
  {  13, "v500" },
  {  14, "v750" },
  {  15, "v1000" },
  {  16, "v1250" },
  {  17, "v1500" },
  {  18, "v1750" },
  {  19, "v2000" },
  {  20, "v2500" },
  {  21, "v3000" },
  {  22, "v3500" },
  {  23, "v4000" },
  {  24, "v4500" },
  {  25, "v5000" },
  {  26, "v7500" },
  { 0, NULL }
};


static int
dissect_nbap_DiscardTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     27, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_DL_DPCH_TimingAdjustment_vals[] = {
  {   0, "timing-advance" },
  {   1, "timing-delay" },
  { 0, NULL }
};


static int
dissect_nbap_DL_DPCH_TimingAdjustment(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_DL_FrameType_vals[] = {
  {   0, "typeA" },
  {   1, "typeB" },
  { 0, NULL }
};


static int
dissect_nbap_DL_FrameType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_PowerAdjustmentType_vals[] = {
  {   0, "none" },
  {   1, "common" },
  {   2, "individual" },
  { 0, NULL }
};


static int
dissect_nbap_PowerAdjustmentType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_ReferencePowerInformationItem_sequence[] = {
  { &hf_nbap_rL_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RL_ID },
  { &hf_nbap_dl_Reference_Power, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_Power },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_ReferencePowerInformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_ReferencePowerInformationItem, DL_ReferencePowerInformationItem_sequence);

  return offset;
}


static const per_sequence_t DL_ReferencePowerInformationList_sequence_of[1] = {
  { &hf_nbap_DL_ReferencePowerInformationList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_ReferencePowerInformationItem },
};

static int
dissect_nbap_DL_ReferencePowerInformationList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_ReferencePowerInformationList, DL_ReferencePowerInformationList_sequence_of,
                                                  1, maxNrOfRLs);

  return offset;
}



static int
dissect_nbap_MaxAdjustmentStep(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 10U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_AdjustmentPeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_ScaledAdjustmentRatio(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}


static const per_sequence_t DL_PowerBalancing_Information_sequence[] = {
  { &hf_nbap_powerAdjustmentType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PowerAdjustmentType },
  { &hf_nbap_dLReferencePower, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_Power },
  { &hf_nbap_dLReferencePowerList_DL_PC_Rqst, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DL_ReferencePowerInformationList },
  { &hf_nbap_maxAdjustmentStep, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MaxAdjustmentStep },
  { &hf_nbap_adjustmentPeriod, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AdjustmentPeriod },
  { &hf_nbap_adjustmentRatio, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ScaledAdjustmentRatio },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_PowerBalancing_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_PowerBalancing_Information, DL_PowerBalancing_Information_sequence);

  return offset;
}


static const value_string nbap_DL_PowerBalancing_ActivationIndicator_vals[] = {
  {   0, "dL-PowerBalancing-Activated" },
  { 0, NULL }
};


static int
dissect_nbap_DL_PowerBalancing_ActivationIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_DL_PowerBalancing_UpdatedIndicator_vals[] = {
  {   0, "dL-PowerBalancing-Updated" },
  { 0, NULL }
};


static int
dissect_nbap_DL_PowerBalancing_UpdatedIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t DL_TimeslotISCPInfoItemLCR_sequence[] = {
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_dL_TimeslotISCP, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotISCP },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DL_TimeslotISCPInfoItemLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DL_TimeslotISCPInfoItemLCR, DL_TimeslotISCPInfoItemLCR_sequence);

  return offset;
}


static const per_sequence_t DL_TimeslotISCPInfoLCR_sequence_of[1] = {
  { &hf_nbap_DL_TimeslotISCPInfoLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DL_TimeslotISCPInfoItemLCR },
};

static int
dissect_nbap_DL_TimeslotISCPInfoLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DL_TimeslotISCPInfoLCR, DL_TimeslotISCPInfoLCR_sequence_of,
                                                  1, maxNrOfDLTSLCRs);

  return offset;
}



static int
dissect_nbap_DL_TPC_Pattern01Count(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 30U, NULL, TRUE);

  return offset;
}


static const value_string nbap_Downlink_Compressed_Mode_Method_vals[] = {
  {   0, "not-Used-puncturing" },
  {   1, "sFdiv2" },
  {   2, "higher-layer-scheduling" },
  { 0, NULL }
};


static int
dissect_nbap_Downlink_Compressed_Mode_Method(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_DPC_Mode_vals[] = {
  {   0, "mode0" },
  {   1, "mode1" },
  { 0, NULL }
};


static int
dissect_nbap_DPC_Mode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t DSCH_InformationResponseItem_sequence[] = {
  { &hf_nbap_dSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_ID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DSCH_InformationResponseItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DSCH_InformationResponseItem, DSCH_InformationResponseItem_sequence);

  return offset;
}


static const per_sequence_t DSCH_InformationResponse_sequence_of[1] = {
  { &hf_nbap_DSCH_InformationResponse_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_InformationResponseItem },
};

static int
dissect_nbap_DSCH_InformationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DSCH_InformationResponse, DSCH_InformationResponse_sequence_of,
                                                  1, maxNrOfDSCHs);

  return offset;
}


static const per_sequence_t DSCH_TDD_InformationItem_sequence[] = {
  { &hf_nbap_dSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_ID },
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_frameHandlingPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_FrameHandlingPriority },
  { &hf_nbap_toAWS          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWS },
  { &hf_nbap_toAWE          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ToAWE },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_DSCH_TDD_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_DSCH_TDD_InformationItem, DSCH_TDD_InformationItem_sequence);

  return offset;
}


static const per_sequence_t DSCH_TDD_Information_sequence_of[1] = {
  { &hf_nbap_DSCH_TDD_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_DSCH_TDD_InformationItem },
};

static int
dissect_nbap_DSCH_TDD_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_DSCH_TDD_Information, DSCH_TDD_Information_sequence_of,
                                                  1, maxNrOfDSCHs);

  return offset;
}



static int
dissect_nbap_DsField(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, NULL);

  return offset;
}


static const value_string nbap_End_Of_Audit_Sequence_Indicator_vals[] = {
  {   0, "end-of-audit-sequence" },
  {   1, "not-end-of-audit-sequence" },
  { 0, NULL }
};


static int
dissect_nbap_End_Of_Audit_Sequence_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_FNReportingIndicator_vals[] = {
  {   0, "fN-reporting-required" },
  {   1, "fN-reporting-not-required" },
  { 0, NULL }
};


static int
dissect_nbap_FNReportingIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_GapLength(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 14U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_GapDuration(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 144U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_GenericTrafficCategory(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_bit_string(tvb, offset, actx, tree, hf_index,
                                     8, 8, FALSE, NULL);

  return offset;
}


static const value_string nbap_GPS_Information_Item_vals[] = {
  {   0, "gps-navigation-model-and-time-recovery" },
  {   1, "gps-ionospheric-model" },
  {   2, "gps-utc-model" },
  {   3, "gps-almanac" },
  {   4, "gps-rt-integrity" },
  { 0, NULL }
};


static int
dissect_nbap_GPS_Information_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     5, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t GPS_Information_sequence_of[1] = {
  { &hf_nbap_GPS_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_GPS_Information_Item },
};

static int
dissect_nbap_GPS_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_GPS_Information, GPS_Information_sequence_of,
                                                  0, maxNoGPSItems);

  return offset;
}



static int
dissect_nbap_INTEGER_1_8_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 8U, NULL, TRUE);

  return offset;
}


static const per_sequence_t HARQ_MemoryPartitioning_Implicit_sequence[] = {
  { &hf_nbap_number_of_Processes, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_1_8_ },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HARQ_MemoryPartitioning_Implicit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HARQ_MemoryPartitioning_Implicit, HARQ_MemoryPartitioning_Implicit_sequence);

  return offset;
}


static const value_string nbap_T_process_Memory_Size_vals[] = {
  {   0, "hms800" },
  {   1, "hms1600" },
  {   2, "hms2400" },
  {   3, "hms3200" },
  {   4, "hms4000" },
  {   5, "hms4800" },
  {   6, "hms5600" },
  {   7, "hms6400" },
  {   8, "hms7200" },
  {   9, "hms8000" },
  {  10, "hms8800" },
  {  11, "hms9600" },
  {  12, "hms10400" },
  {  13, "hms11200" },
  {  14, "hms12000" },
  {  15, "hms12800" },
  {  16, "hms13600" },
  {  17, "hms14400" },
  {  18, "hms15200" },
  {  19, "hms16000" },
  {  20, "hms17600" },
  {  21, "hms19200" },
  {  22, "hms20800" },
  {  23, "hms22400" },
  {  24, "hms24000" },
  {  25, "hms25600" },
  {  26, "hms27200" },
  {  27, "hms28800" },
  {  28, "hms30400" },
  {  29, "hms32000" },
  {  30, "hms36000" },
  {  31, "hms40000" },
  {  32, "hms44000" },
  {  33, "hms48000" },
  {  34, "hms52000" },
  {  35, "hms56000" },
  {  36, "hms60000" },
  {  37, "hms64000" },
  {  38, "hms68000" },
  {  39, "hms72000" },
  {  40, "hms76000" },
  {  41, "hms80000" },
  {  42, "hms88000" },
  {  43, "hms96000" },
  {  44, "hms104000" },
  {  45, "hms112000" },
  {  46, "hms120000" },
  {  47, "hms128000" },
  {  48, "hms136000" },
  {  49, "hms144000" },
  {  50, "hms152000" },
  {  51, "hms160000" },
  {  52, "hms176000" },
  {  53, "hms192000" },
  {  54, "hms208000" },
  {  55, "hms224000" },
  {  56, "hms240000" },
  {  57, "hms256000" },
  {  58, "hms272000" },
  {  59, "hms288000" },
  {  60, "hms304000" },
  { 0, NULL }
};


static int
dissect_nbap_T_process_Memory_Size(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     61, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t HARQ_MemoryPartitioningItem_sequence[] = {
  { &hf_nbap_process_Memory_Size, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_process_Memory_Size },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HARQ_MemoryPartitioningItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HARQ_MemoryPartitioningItem, HARQ_MemoryPartitioningItem_sequence);

  return offset;
}


static const per_sequence_t HARQ_MemoryPartitioningList_sequence_of[1] = {
  { &hf_nbap_HARQ_MemoryPartitioningList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HARQ_MemoryPartitioningItem },
};

static int
dissect_nbap_HARQ_MemoryPartitioningList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HARQ_MemoryPartitioningList, HARQ_MemoryPartitioningList_sequence_of,
                                                  1, maxNrOfHARQProcesses);

  return offset;
}


static const per_sequence_t HARQ_MemoryPartitioning_Explicit_sequence[] = {
  { &hf_nbap_hARQ_MemoryPartitioningList, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HARQ_MemoryPartitioningList },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HARQ_MemoryPartitioning_Explicit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HARQ_MemoryPartitioning_Explicit, HARQ_MemoryPartitioning_Explicit_sequence);

  return offset;
}


static const value_string nbap_HARQ_MemoryPartitioning_vals[] = {
  {   0, "implicit" },
  {   1, "explicit" },
  { 0, NULL }
};

static const per_choice_t HARQ_MemoryPartitioning_choice[] = {
  {   0, &hf_nbap_implicit       , ASN1_EXTENSION_ROOT    , dissect_nbap_HARQ_MemoryPartitioning_Implicit },
  {   1, &hf_nbap_explicit       , ASN1_EXTENSION_ROOT    , dissect_nbap_HARQ_MemoryPartitioning_Explicit },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_HARQ_MemoryPartitioning(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_HARQ_MemoryPartitioning, HARQ_MemoryPartitioning_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_HSDPA_Capability_vals[] = {
  {   0, "hsdpa-capable" },
  {   1, "hsdpa-non-capable" },
  { 0, NULL }
};


static int
dissect_nbap_HSDPA_Capability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_SchedulingPriorityIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 15U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HS_DSCHProvidedBitRateValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16777215U, NULL, TRUE);

  return offset;
}


static const per_sequence_t HS_DSCHProvidedBitRate_Item_sequence[] = {
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_hS_DSCHProvidedBitRateValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_DSCHProvidedBitRateValue },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_DSCHProvidedBitRate_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_DSCHProvidedBitRate_Item, HS_DSCHProvidedBitRate_Item_sequence);

  return offset;
}


static const per_sequence_t HS_DSCHProvidedBitRate_sequence_of[1] = {
  { &hf_nbap_HS_DSCHProvidedBitRate_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_DSCHProvidedBitRate_Item },
};

static int
dissect_nbap_HS_DSCHProvidedBitRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_DSCHProvidedBitRate, HS_DSCHProvidedBitRate_sequence_of,
                                                  1, maxNrOfPriorityClasses);

  return offset;
}



static int
dissect_nbap_HS_DSCHRequiredPowerValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1000U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HS_DSCHRequiredPowerPerUEWeight(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HS_DSCHRequiredPowerPerUEInformation_Item_sequence[] = {
  { &hf_nbap_cRNC_CommunicationContextID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CRNC_CommunicationContextID },
  { &hf_nbap_hS_DSCHRequiredPowerPerUEWeight, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_DSCHRequiredPowerPerUEWeight },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_DSCHRequiredPowerPerUEInformation_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_DSCHRequiredPowerPerUEInformation_Item, HS_DSCHRequiredPowerPerUEInformation_Item_sequence);

  return offset;
}


static const per_sequence_t HS_DSCHRequiredPowerPerUEInformation_sequence_of[1] = {
  { &hf_nbap_HS_DSCHRequiredPowerPerUEInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_DSCHRequiredPowerPerUEInformation_Item },
};

static int
dissect_nbap_HS_DSCHRequiredPowerPerUEInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_DSCHRequiredPowerPerUEInformation, HS_DSCHRequiredPowerPerUEInformation_sequence_of,
                                                  1, maxNrOfContextsOnUeList);

  return offset;
}


static const per_sequence_t HS_DSCHRequiredPower_Item_sequence[] = {
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_hS_DSCHRequiredPowerValue, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_DSCHRequiredPowerValue },
  { &hf_nbap_hS_DSCHRequiredPowerPerUEInformation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_DSCHRequiredPowerPerUEInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_DSCHRequiredPower_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_DSCHRequiredPower_Item, HS_DSCHRequiredPower_Item_sequence);

  return offset;
}


static const per_sequence_t HS_DSCHRequiredPower_sequence_of[1] = {
  { &hf_nbap_HS_DSCHRequiredPower_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_DSCHRequiredPower_Item },
};

static int
dissect_nbap_HS_DSCHRequiredPower(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_DSCHRequiredPower, HS_DSCHRequiredPower_sequence_of,
                                                  1, maxNrOfPriorityClasses);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InfoItem_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem, HSDSCH_MACdFlow_Specific_InfoItem_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InfoList_sequence_of[1] = {
  { &hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_Specific_InfoItem },
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_MACdFlow_Specific_InfoList, HSDSCH_MACdFlow_Specific_InfoList_sequence_of,
                                                  1, maxNrOfMACdFlows);

  return offset;
}



static int
dissect_nbap_PriorityQueue_Id(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxNrOfPriorityQueues_1, NULL, FALSE);

  return offset;
}


static const value_string nbap_T1_vals[] = {
  {   0, "v10" },
  {   1, "v20" },
  {   2, "v30" },
  {   3, "v40" },
  {   4, "v50" },
  {   5, "v60" },
  {   6, "v70" },
  {   7, "v80" },
  {   8, "v90" },
  {   9, "v100" },
  {  10, "v120" },
  {  11, "v140" },
  {  12, "v160" },
  {  13, "v200" },
  {  14, "v300" },
  {  15, "v400" },
  { 0, NULL }
};


static int
dissect_nbap_T1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     16, NULL, TRUE, 0, NULL);

  return offset;
}


static const value_string nbap_MAC_hsWindowSize_vals[] = {
  {   0, "v4" },
  {   1, "v6" },
  {   2, "v8" },
  {   3, "v12" },
  {   4, "v16" },
  {   5, "v24" },
  {   6, "v32" },
  { 0, NULL }
};


static int
dissect_nbap_MAC_hsWindowSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     7, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MAChsGuaranteedBitRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16777215U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_SID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxNrOfMACdPDUIndexes_1, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_MACdPDU_Size(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 5000U, NULL, TRUE);

  return offset;
}


static const per_sequence_t MACdPDU_Size_IndexItem_sequence[] = {
  { &hf_nbap_sID            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SID },
  { &hf_nbap_macdPDU_Size   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MACdPDU_Size_IndexItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MACdPDU_Size_IndexItem, MACdPDU_Size_IndexItem_sequence);

  return offset;
}


static const per_sequence_t MACdPDU_Size_Indexlist_sequence_of[1] = {
  { &hf_nbap_MACdPDU_Size_Indexlist_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size_IndexItem },
};

static int
dissect_nbap_MACdPDU_Size_Indexlist(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MACdPDU_Size_Indexlist, MACdPDU_Size_Indexlist_sequence_of,
                                                  1, maxNrOfMACdPDUIndexes);

  return offset;
}


static const value_string nbap_RLC_Mode_vals[] = {
  {   0, "rLC-AM" },
  {   1, "rLC-UM" },
  { 0, NULL }
};


static int
dissect_nbap_RLC_Mode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoItem_sequence[] = {
  { &hf_nbap_priorityQueueId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_Id },
  { &hf_nbap_associatedHSDSCH_MACdFlow, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_t1             , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T1 },
  { &hf_nbap_discardTimer   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiscardTimer },
  { &hf_nbap_mAC_hsWindowSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MAC_hsWindowSize },
  { &hf_nbap_mAChsGuaranteedBitRate, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAChsGuaranteedBitRate },
  { &hf_nbap_macdPDU_Size_Index, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size_Indexlist },
  { &hf_nbap_rLC_Mode       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RLC_Mode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PriorityQueue_InfoItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PriorityQueue_InfoItem, PriorityQueue_InfoItem_sequence);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoList_sequence_of[1] = {
  { &hf_nbap_PriorityQueue_InfoList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_InfoItem },
};

static int
dissect_nbap_PriorityQueue_InfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PriorityQueue_InfoList, PriorityQueue_InfoList_sequence_of,
                                                  1, maxNrOfPriorityQueues);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlows_Information_sequence[] = {
  { &hf_nbap_hSDSCH_MACdFlow_Specific_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_Specific_InfoList },
  { &hf_nbap_priorityQueue_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_InfoList },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_MACdFlows_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_MACdFlows_Information, HSDSCH_MACdFlows_Information_sequence);

  return offset;
}



static int
dissect_nbap_INTEGER_1_64_(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 64U, NULL, TRUE);

  return offset;
}


static const per_sequence_t UE_Capability_Information_sequence[] = {
  { &hf_nbap_hSDSCH_Physical_Layer_Category, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_1_64_ },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UE_Capability_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UE_Capability_Information, UE_Capability_Information_sequence);

  return offset;
}



static int
dissect_nbap_MAChsReorderingBufferSize_for_RLC_UM(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 300U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_Nack_Power_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 8U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_HSSCCH_PowerOffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Measurement_Power_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -12, 26U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HSDSCH_FDD_Information_sequence[] = {
  { &hf_nbap_hSDSCH_MACdFlows_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlows_Information },
  { &hf_nbap_ueCapability_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UE_Capability_Information },
  { &hf_nbap_mAChs_Reordering_Buffer_Size_for_RLC_UM, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MAChsReorderingBufferSize_for_RLC_UM },
  { &hf_nbap_cqiFeedback_CycleK, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CQI_Feedback_Cycle },
  { &hf_nbap_cqiRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_RepetitionFactor },
  { &hf_nbap_ackNackRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AckNack_RepetitionFactor },
  { &hf_nbap_cqiPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CQI_Power_Offset },
  { &hf_nbap_ackPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Ack_Power_Offset },
  { &hf_nbap_nackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Nack_Power_Offset },
  { &hf_nbap_hsscch_PowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_PowerOffset },
  { &hf_nbap_measurement_Power_Offset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Measurement_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_FDD_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_FDD_Information, HSDSCH_FDD_Information_sequence);

  return offset;
}



static int
dissect_nbap_TDD_AckNack_Power_Offset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -7, 8U, NULL, TRUE);

  return offset;
}


static const per_sequence_t HSDSCH_TDD_Information_sequence[] = {
  { &hf_nbap_hSDSCH_MACdFlows_Information, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlows_Information },
  { &hf_nbap_ueCapability_Info, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UE_Capability_Information },
  { &hf_nbap_mAChs_Reordering_Buffer_Size_for_RLC_UM, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MAChsReorderingBufferSize_for_RLC_UM },
  { &hf_nbap_tDD_AckNack_Power_Offset, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_AckNack_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_TDD_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_TDD_Information, HSDSCH_TDD_Information_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InfoItem_to_Modify_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_transportBearerRequestIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportBearerRequestIndicator },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InfoItem_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem_to_Modify, HSDSCH_MACdFlow_Specific_InfoItem_to_Modify_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InfoList_to_Modify_sequence_of[1] = {
  { &hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_Specific_InfoItem_to_Modify },
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify, HSDSCH_MACdFlow_Specific_InfoList_to_Modify_sequence_of,
                                                  1, maxNrOfMACdFlows);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoItem_to_Add_sequence[] = {
  { &hf_nbap_priorityQueueId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_Id },
  { &hf_nbap_associatedHSDSCH_MACdFlow, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_t1             , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T1 },
  { &hf_nbap_discardTimer   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiscardTimer },
  { &hf_nbap_mAC_hsWindowSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MAC_hsWindowSize },
  { &hf_nbap_mAChsGuaranteedBitRate, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAChsGuaranteedBitRate },
  { &hf_nbap_macdPDU_Size_Index, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size_Indexlist },
  { &hf_nbap_rLC_Mode       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RLC_Mode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PriorityQueue_InfoItem_to_Add(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PriorityQueue_InfoItem_to_Add, PriorityQueue_InfoItem_to_Add_sequence);

  return offset;
}


static const per_sequence_t MACdPDU_Size_IndexItem_to_Modify_sequence[] = {
  { &hf_nbap_sID            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SID },
  { &hf_nbap_macdPDU_Size   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MACdPDU_Size_IndexItem_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MACdPDU_Size_IndexItem_to_Modify, MACdPDU_Size_IndexItem_to_Modify_sequence);

  return offset;
}


static const per_sequence_t MACdPDU_Size_Indexlist_to_Modify_sequence_of[1] = {
  { &hf_nbap_MACdPDU_Size_Indexlist_to_Modify_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size_IndexItem_to_Modify },
};

static int
dissect_nbap_MACdPDU_Size_Indexlist_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MACdPDU_Size_Indexlist_to_Modify, MACdPDU_Size_Indexlist_to_Modify_sequence_of,
                                                  1, maxNrOfMACdPDUIndexes);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoItem_to_Modify_sequence[] = {
  { &hf_nbap_priorityQueueId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_Id },
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_t1             , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_T1 },
  { &hf_nbap_discardTimer   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiscardTimer },
  { &hf_nbap_mAC_hsWindowSize, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAC_hsWindowSize },
  { &hf_nbap_mAChsGuaranteedBitRate, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAChsGuaranteedBitRate },
  { &hf_nbap_macdPDU_Size_Index_to_Modify, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MACdPDU_Size_Indexlist_to_Modify },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PriorityQueue_InfoItem_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PriorityQueue_InfoItem_to_Modify, PriorityQueue_InfoItem_to_Modify_sequence);

  return offset;
}


static const value_string nbap_ModifyPriorityQueue_vals[] = {
  {   0, "addPriorityQueue" },
  {   1, "modifyPriorityQueue" },
  {   2, "deletePriorityQueue" },
  { 0, NULL }
};

static const per_choice_t ModifyPriorityQueue_choice[] = {
  {   0, &hf_nbap_addPriorityQueue, ASN1_EXTENSION_ROOT    , dissect_nbap_PriorityQueue_InfoItem_to_Add },
  {   1, &hf_nbap_modifyPriorityQueue, ASN1_EXTENSION_ROOT    , dissect_nbap_PriorityQueue_InfoItem_to_Modify },
  {   2, &hf_nbap_deletePriorityQueue, ASN1_EXTENSION_ROOT    , dissect_nbap_PriorityQueue_Id },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ModifyPriorityQueue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ModifyPriorityQueue, ModifyPriorityQueue_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoList_to_Modify_sequence_of[1] = {
  { &hf_nbap_PriorityQueue_InfoList_to_Modify_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_ModifyPriorityQueue },
};

static int
dissect_nbap_PriorityQueue_InfoList_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PriorityQueue_InfoList_to_Modify, PriorityQueue_InfoList_to_Modify_sequence_of,
                                                  1, maxNrOfPriorityQueues);

  return offset;
}


static const value_string nbap_HSSCCH_Code_Change_Grant_vals[] = {
  {   0, "changeGranted" },
  { 0, NULL }
};


static int
dissect_nbap_HSSCCH_Code_Change_Grant(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t HSDSCH_Information_to_Modify_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_Specific_Info_to_Modify, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify },
  { &hf_nbap_priorityQueueInfotoModify, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PriorityQueue_InfoList_to_Modify },
  { &hf_nbap_mAChs_Reordering_Buffer_Size_for_RLC_UM, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAChsReorderingBufferSize_for_RLC_UM },
  { &hf_nbap_cqiFeedback_CycleK, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_Feedback_Cycle },
  { &hf_nbap_cqiRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_RepetitionFactor },
  { &hf_nbap_ackNackRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AckNack_RepetitionFactor },
  { &hf_nbap_cqiPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_Power_Offset },
  { &hf_nbap_ackPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Ack_Power_Offset },
  { &hf_nbap_nackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Nack_Power_Offset },
  { &hf_nbap_hsscch_PowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_PowerOffset },
  { &hf_nbap_measurement_Power_Offset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Measurement_Power_Offset },
  { &hf_nbap_hSSCCHCodeChangeGrant, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_Code_Change_Grant },
  { &hf_nbap_tDDAckNackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_AckNack_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_Information_to_Modify(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_Information_to_Modify, HSDSCH_Information_to_Modify_sequence);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoItem_to_Modify_Unsynchronised_sequence[] = {
  { &hf_nbap_priorityQueueId, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_Id },
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_discardTimer   , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DiscardTimer },
  { &hf_nbap_mAChsGuaranteedBitRate, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MAChsGuaranteedBitRate },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_PriorityQueue_InfoItem_to_Modify_Unsynchronised(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_PriorityQueue_InfoItem_to_Modify_Unsynchronised, PriorityQueue_InfoItem_to_Modify_Unsynchronised_sequence);

  return offset;
}


static const per_sequence_t PriorityQueue_InfoList_to_Modify_Unsynchronised_sequence_of[1] = {
  { &hf_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_PriorityQueue_InfoItem_to_Modify_Unsynchronised },
};

static int
dissect_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised, PriorityQueue_InfoList_to_Modify_Unsynchronised_sequence_of,
                                                  1, maxNrOfPriorityQueues);

  return offset;
}


static const per_sequence_t HSDSCH_Information_to_Modify_Unsynchronised_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_Specific_Info_to_Modify, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify },
  { &hf_nbap_priorityQueueInfotoModifyUnsynchronised, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised },
  { &hf_nbap_cqiPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_Power_Offset },
  { &hf_nbap_ackPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Ack_Power_Offset },
  { &hf_nbap_nackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Nack_Power_Offset },
  { &hf_nbap_hsscch_PowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_PowerOffset },
  { &hf_nbap_tDDAckNackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_AckNack_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_Information_to_Modify_Unsynchronised(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_Information_to_Modify_Unsynchronised, HSDSCH_Information_to_Modify_Unsynchronised_sequence);

  return offset;
}



static int
dissect_nbap_HSDSCH_InitialWindowSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HSDSCH_Initial_Capacity_AllocationItem_sequence[] = {
  { &hf_nbap_schedulingPriorityIndicator, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SchedulingPriorityIndicator },
  { &hf_nbap_maximum_MACdPDU_Size, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MACdPDU_Size },
  { &hf_nbap_hSDSCH_InitialWindowSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_InitialWindowSize },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_Initial_Capacity_AllocationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_Initial_Capacity_AllocationItem, HSDSCH_Initial_Capacity_AllocationItem_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_Initial_Capacity_Allocation_sequence_of[1] = {
  { &hf_nbap_HSDSCH_Initial_Capacity_Allocation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_Initial_Capacity_AllocationItem },
};

static int
dissect_nbap_HSDSCH_Initial_Capacity_Allocation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_Initial_Capacity_Allocation, HSDSCH_Initial_Capacity_Allocation_sequence_of,
                                                  1, maxNrOfPriorityQueues);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InformationResp_Item_sequence[] = {
  { &hf_nbap_hsDSCHMacdFlow_Id, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_hSDSCH_Initial_Capacity_Allocation, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSDSCH_Initial_Capacity_Allocation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InformationResp_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp_Item, HSDSCH_MACdFlow_Specific_InformationResp_Item_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlow_Specific_InformationResp_sequence_of[1] = {
  { &hf_nbap_HSDSCH_MACdFlow_Specific_InformationResp_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_Specific_InformationResp_Item },
};

static int
dissect_nbap_HSDSCH_MACdFlow_Specific_InformationResp(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp, HSDSCH_MACdFlow_Specific_InformationResp_sequence_of,
                                                  1, maxNrOfMACdFlows);

  return offset;
}


static const per_sequence_t HSSCCH_Codes_sequence[] = {
  { &hf_nbap_codeNumber     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_127 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSSCCH_Codes(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSSCCH_Codes, HSSCCH_Codes_sequence);

  return offset;
}


static const per_sequence_t HSSCCH_Specific_InformationRespListFDD_sequence_of[1] = {
  { &hf_nbap_HSSCCH_Specific_InformationRespListFDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSSCCH_Codes },
};

static int
dissect_nbap_HSSCCH_Specific_InformationRespListFDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSSCCH_Specific_InformationRespListFDD, HSSCCH_Specific_InformationRespListFDD_sequence_of,
                                                  1, maxNrOfHSSCCHCodes);

  return offset;
}


static const per_sequence_t HSDSCH_FDD_Information_Response_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_Specific_InformationResp, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSDSCH_MACdFlow_Specific_InformationResp },
  { &hf_nbap_hsSCCH_Specific_Information_ResponseFDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_Specific_InformationRespListFDD },
  { &hf_nbap_hARQ_MemoryPartitioning, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HARQ_MemoryPartitioning },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_FDD_Information_Response(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_FDD_Information_Response, HSDSCH_FDD_Information_Response_sequence);

  return offset;
}


static const per_sequence_t HSSICH_Info_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeslot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSSICH_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSSICH_Info, HSSICH_Info_sequence);

  return offset;
}


static const per_sequence_t HSSCCH_Specific_InformationRespItemTDD_sequence[] = {
  { &hf_nbap_timeslot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_tDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hSSICH_Info    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSSICH_Info },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSSCCH_Specific_InformationRespItemTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSSCCH_Specific_InformationRespItemTDD, HSSCCH_Specific_InformationRespItemTDD_sequence);

  return offset;
}


static const per_sequence_t HSSCCH_Specific_InformationRespListTDD_sequence_of[1] = {
  { &hf_nbap_HSSCCH_Specific_InformationRespListTDD_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSSCCH_Specific_InformationRespItemTDD },
};

static int
dissect_nbap_HSSCCH_Specific_InformationRespListTDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSSCCH_Specific_InformationRespListTDD, HSSCCH_Specific_InformationRespListTDD_sequence_of,
                                                  1, maxNrOfHSSCCHCodes);

  return offset;
}


static const per_sequence_t HSSICH_InfoLCR_sequence[] = {
  { &hf_nbap_hsSICH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_ID },
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_tDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSSICH_InfoLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSSICH_InfoLCR, HSSICH_InfoLCR_sequence);

  return offset;
}


static const per_sequence_t HSSCCH_Specific_InformationRespItemTDDLCR_sequence[] = {
  { &hf_nbap_timeslotLCR    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_first_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_second_TDD_ChannelisationCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TDD_ChannelisationCode },
  { &hf_nbap_hSSICH_InfoLCR , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSSICH_InfoLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSSCCH_Specific_InformationRespItemTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSSCCH_Specific_InformationRespItemTDDLCR, HSSCCH_Specific_InformationRespItemTDDLCR_sequence);

  return offset;
}


static const per_sequence_t HSSCCH_Specific_InformationRespListTDDLCR_sequence_of[1] = {
  { &hf_nbap_HSSCCH_Specific_InformationRespListTDDLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSSCCH_Specific_InformationRespItemTDDLCR },
};

static int
dissect_nbap_HSSCCH_Specific_InformationRespListTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSSCCH_Specific_InformationRespListTDDLCR, HSSCCH_Specific_InformationRespListTDDLCR_sequence_of,
                                                  1, maxNrOfHSSCCHCodes);

  return offset;
}


static const per_sequence_t HSDSCH_TDD_Information_Response_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_Specific_InformationResp, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSDSCH_MACdFlow_Specific_InformationResp },
  { &hf_nbap_hsSCCH_Specific_Information_ResponseTDD, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_Specific_InformationRespListTDD },
  { &hf_nbap_hsSCCH_Specific_Information_ResponseTDDLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_Specific_InformationRespListTDDLCR },
  { &hf_nbap_hARQ_MemoryPartitioning, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HARQ_MemoryPartitioning },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_TDD_Information_Response(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_TDD_Information_Response, HSDSCH_TDD_Information_Response_sequence);

  return offset;
}



static int
dissect_nbap_Multicarrier_Number(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxHSDPAFrequency, NULL, FALSE);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlows_to_Delete_Item_sequence[] = {
  { &hf_nbap_hsDSCH_MACdFlow_ID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlow_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_MACdFlows_to_Delete_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_MACdFlows_to_Delete_Item, HSDSCH_MACdFlows_to_Delete_Item_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_MACdFlows_to_Delete_sequence_of[1] = {
  { &hf_nbap_HSDSCH_MACdFlows_to_Delete_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HSDSCH_MACdFlows_to_Delete_Item },
};

static int
dissect_nbap_HSDSCH_MACdFlows_to_Delete(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HSDSCH_MACdFlows_to_Delete, HSDSCH_MACdFlows_to_Delete_sequence_of,
                                                  1, maxNrOfMACdFlows);

  return offset;
}



static int
dissect_nbap_HS_SICH_failed(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 20U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HS_SICH_missed(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 20U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HS_SICH_total(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 20U, NULL, FALSE);

  return offset;
}


static const per_sequence_t HS_SICH_Reception_Quality_Value_sequence[] = {
  { &hf_nbap_failed_HS_SICH , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_failed },
  { &hf_nbap_missed_HS_SICH , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_missed },
  { &hf_nbap_total_HS_SICH  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SICH_total },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_SICH_Reception_Quality_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_SICH_Reception_Quality_Value, HS_SICH_Reception_Quality_Value_sequence);

  return offset;
}



static int
dissect_nbap_HS_SICH_Reception_Quality_Measurement_Value(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 20U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HSDSCH_RNTI(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_maxHS_PDSCHCodeNrComp_1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxHS_PDSCHCodeNrComp_1, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_HS_PDSCH_Start_code_number(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxHS_PDSCHCodeNrComp_1, NULL, FALSE);

  return offset;
}


static const per_sequence_t HS_PDSCH_FDD_Code_Information_sequence[] = {
  { &hf_nbap_number_of_HS_PDSCH_codes, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_maxHS_PDSCHCodeNrComp_1 },
  { &hf_nbap_hS_PDSCH_Start_code_number, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HS_PDSCH_Start_code_number },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HS_PDSCH_FDD_Code_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HS_PDSCH_FDD_Code_Information, HS_PDSCH_FDD_Code_Information_sequence);

  return offset;
}



static int
dissect_nbap_HS_SCCH_FDD_Code_Information_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, maxHS_SCCHCodeNrComp_1, NULL, FALSE);

  return offset;
}


static const per_sequence_t HS_SCCH_FDD_Code_List_sequence_of[1] = {
  { &hf_nbap_HS_SCCH_FDD_Code_List_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_HS_SCCH_FDD_Code_Information_Item },
};

static int
dissect_nbap_HS_SCCH_FDD_Code_List(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_HS_SCCH_FDD_Code_List, HS_SCCH_FDD_Code_List_sequence_of,
                                                  1, maxNrOfHSSCCHs);

  return offset;
}


static const value_string nbap_HS_SCCH_FDD_Code_Information_vals[] = {
  {   0, "replace" },
  {   1, "remove" },
  { 0, NULL }
};

static const per_choice_t HS_SCCH_FDD_Code_Information_choice[] = {
  {   0, &hf_nbap_replace        , ASN1_EXTENSION_ROOT    , dissect_nbap_HS_SCCH_FDD_Code_List },
  {   1, &hf_nbap_remove         , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_HS_SCCH_FDD_Code_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_HS_SCCH_FDD_Code_Information, HS_SCCH_FDD_Code_Information_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_HSSCCH_CodeChangeIndicator_vals[] = {
  {   0, "hsSCCHCodeChangeNeeded" },
  { 0, NULL }
};


static int
dissect_nbap_HSSCCH_CodeChangeIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const per_sequence_t HSDSCH_FDD_Update_Information_sequence[] = {
  { &hf_nbap_hsSCCHCodeChangeIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_CodeChangeIndicator },
  { &hf_nbap_cqiFeedback_CycleK, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_Feedback_Cycle },
  { &hf_nbap_cqiRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_RepetitionFactor },
  { &hf_nbap_ackNackRepetitionFactor, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_AckNack_RepetitionFactor },
  { &hf_nbap_cqiPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CQI_Power_Offset },
  { &hf_nbap_ackPowerOffset , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Ack_Power_Offset },
  { &hf_nbap_nackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Nack_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_FDD_Update_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_FDD_Update_Information, HSDSCH_FDD_Update_Information_sequence);

  return offset;
}


static const per_sequence_t HSDSCH_TDD_Update_Information_sequence[] = {
  { &hf_nbap_hsSCCHCodeChangeIndicator, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_CodeChangeIndicator },
  { &hf_nbap_tDDAckNackPowerOffset, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TDD_AckNack_Power_Offset },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_HSDSCH_TDD_Update_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_HSDSCH_TDD_Update_Information, HSDSCH_TDD_Update_Information_sequence);

  return offset;
}



static int
dissect_nbap_ReportPeriodicity_Scaledmin(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 60U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_ReportPeriodicity_Scaledhour(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 24U, NULL, TRUE);

  return offset;
}


static const value_string nbap_InformationReportCharacteristicsType_ReportPeriodicity_vals[] = {
  {   0, "min" },
  {   1, "hours" },
  { 0, NULL }
};

static const per_choice_t InformationReportCharacteristicsType_ReportPeriodicity_choice[] = {
  {   0, &hf_nbap_min            , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportPeriodicity_Scaledmin },
  {   1, &hf_nbap_hours          , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportPeriodicity_Scaledhour },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationReportCharacteristicsType_ReportPeriodicity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationReportCharacteristicsType_ReportPeriodicity, InformationReportCharacteristicsType_ReportPeriodicity_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_InformationThresholds_vals[] = {
  {   0, "dgps" },
  { 0, NULL }
};

static const per_choice_t InformationThresholds_choice[] = {
  {   0, &hf_nbap_dgps           , ASN1_EXTENSION_ROOT    , dissect_nbap_DGPSThresholds },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationThresholds(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationThresholds, InformationThresholds_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t InformationReportCharacteristicsType_OnModification_sequence[] = {
  { &hf_nbap_information_thresholds, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_InformationThresholds },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationReportCharacteristicsType_OnModification(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationReportCharacteristicsType_OnModification, InformationReportCharacteristicsType_OnModification_sequence);

  return offset;
}


static const value_string nbap_InformationReportCharacteristics_vals[] = {
  {   0, "onDemand" },
  {   1, "periodic" },
  {   2, "onModification" },
  { 0, NULL }
};

static const per_choice_t InformationReportCharacteristics_choice[] = {
  {   0, &hf_nbap_onDemand       , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   1, &hf_nbap_periodic       , ASN1_EXTENSION_ROOT    , dissect_nbap_InformationReportCharacteristicsType_ReportPeriodicity },
  {   2, &hf_nbap_onModification , ASN1_EXTENSION_ROOT    , dissect_nbap_InformationReportCharacteristicsType_OnModification },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_InformationReportCharacteristics(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_InformationReportCharacteristics, InformationReportCharacteristics_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_InformationExchangeID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Information_Type_Item_vals[] = {
  {   0, "gpsinformation" },
  {   1, "dgpscorrections" },
  {   2, "gpsrxpos" },
  { 0, NULL }
};


static int
dissect_nbap_Information_Type_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t InformationType_sequence[] = {
  { &hf_nbap_information_Type_Item, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_Information_Type_Item },
  { &hf_nbap_gPSInformation , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GPS_Information },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_InformationType(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_InformationType, InformationType_sequence);

  return offset;
}



static int
dissect_nbap_INTEGER_1_6(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6U, NULL, FALSE);

  return offset;
}


static const value_string nbap_T_maxPhysChPerTimeslot_vals[] = {
  {   0, "ts1" },
  {   1, "ts2" },
  {   2, "ts3" },
  {   3, "ts4" },
  { 0, NULL }
};


static int
dissect_nbap_T_maxPhysChPerTimeslot(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t LCRTDD_Uplink_Physical_Channel_Capability_sequence[] = {
  { &hf_nbap_maxTimeslotsPerSubFrame, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_1_6 },
  { &hf_nbap_maxPhysChPerTimeslot, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_maxPhysChPerTimeslot },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_LCRTDD_Uplink_Physical_Channel_Capability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_LCRTDD_Uplink_Physical_Channel_Capability, LCRTDD_Uplink_Physical_Channel_Capability_sequence);

  return offset;
}


static const value_string nbap_MeasurementFilterCoefficient_vals[] = {
  {   0, "k0" },
  {   1, "k1" },
  {   2, "k2" },
  {   3, "k3" },
  {   4, "k4" },
  {   5, "k5" },
  {   6, "k6" },
  {   7, "k7" },
  {   8, "k8" },
  {   9, "k9" },
  {  10, "k11" },
  {  11, "k13" },
  {  12, "k15" },
  {  13, "k17" },
  {  14, "k19" },
  { 0, NULL }
};


static int
dissect_nbap_MeasurementFilterCoefficient(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     15, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_MeasurementID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 1048575U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_RepetitionNumber1(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}


static const per_sequence_t MessageStructure_item_sequence[] = {
  { &hf_nbap_iE_ID          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ProtocolIE_ID },
  { &hf_nbap_repetitionNumber_01, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_RepetitionNumber1 },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MessageStructure_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MessageStructure_item, MessageStructure_item_sequence);

  return offset;
}


static const per_sequence_t MessageStructure_sequence_of[1] = {
  { &hf_nbap_MessageStructure_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MessageStructure_item },
};

static int
dissect_nbap_MessageStructure(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MessageStructure, MessageStructure_sequence_of,
                                                  1, maxNrOfLevels);

  return offset;
}



static int
dissect_nbap_MICH_CFN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Modification_Period_vals[] = {
  {   0, "v1280" },
  {   1, "v2560" },
  {   2, "v5120" },
  {   3, "v10240" },
  { 0, NULL }
};


static int
dissect_nbap_Modification_Period(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR_sequence[] = {
  { &hf_nbap_hsSCCH_Specific_Information_ResponseTDDLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HSSCCH_Specific_InformationRespListTDDLCR },
  { &hf_nbap_hARQ_MemoryPartitioning, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_HARQ_MemoryPartitioning },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR, MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR_sequence);

  return offset;
}


static const per_sequence_t MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_sequence_of[1] = {
  { &hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR },
};

static int
dissect_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR, MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_sequence_of,
                                                  1, maxHSDPAFrequency_1);

  return offset;
}


static const value_string nbap_NCyclesPerSFNperiod_vals[] = {
  {   0, "v1" },
  {   1, "v2" },
  {   2, "v4" },
  {   3, "v8" },
  {   4, "v16" },
  {   5, "v32" },
  {   6, "v64" },
  { 0, NULL }
};


static int
dissect_nbap_NCyclesPerSFNperiod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     4, NULL, TRUE, 3, NULL);

  return offset;
}



static int
dissect_nbap_NRepetitionsPerCyclePeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            2U, 10U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_RNC_ID(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4095U, NULL, FALSE);

  return offset;
}


static const per_sequence_t UC_Id_sequence[] = {
  { &hf_nbap_rNC_ID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_RNC_ID },
  { &hf_nbap_c_ID           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_C_ID },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UC_Id(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UC_Id, UC_Id_sequence);

  return offset;
}



static int
dissect_nbap_PrimaryScramblingCode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}


static const per_sequence_t NeighbouringFDDCellMeasurementInformation_sequence[] = {
  { &hf_nbap_uC_Id          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UC_Id },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_primaryScramblingCode, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_PrimaryScramblingCode },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_NeighbouringFDDCellMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_NeighbouringFDDCellMeasurementInformation, NeighbouringFDDCellMeasurementInformation_sequence);

  return offset;
}


static const per_sequence_t NeighbouringTDDCellMeasurementInformation_sequence[] = {
  { &hf_nbap_uC_Id          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UC_Id },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_cellParameterID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellParameterID },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlot },
  { &hf_nbap_midambleShiftAndBurstType, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftAndBurstType },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_NeighbouringTDDCellMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_NeighbouringTDDCellMeasurementInformation, NeighbouringTDDCellMeasurementInformation_sequence);

  return offset;
}



static int
dissect_nbap_Extension_neighbouringCellMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_NeighbouringCellMeasurementInformation_item_vals[] = {
  {   0, "neighbouringFDDCellMeasurementInformation" },
  {   1, "neighbouringTDDCellMeasurementInformation" },
  {   2, "extension-neighbouringCellMeasurementInformation" },
  { 0, NULL }
};

static const per_choice_t NeighbouringCellMeasurementInformation_item_choice[] = {
  {   0, &hf_nbap_neighbouringFDDCellMeasurementInformation, ASN1_EXTENSION_ROOT    , dissect_nbap_NeighbouringFDDCellMeasurementInformation },
  {   1, &hf_nbap_neighbouringTDDCellMeasurementInformation, ASN1_EXTENSION_ROOT    , dissect_nbap_NeighbouringTDDCellMeasurementInformation },
  {   2, &hf_nbap_extension_neighbouringCellMeasurementInformation, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_neighbouringCellMeasurementInformation },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_NeighbouringCellMeasurementInformation_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_NeighbouringCellMeasurementInformation_item, NeighbouringCellMeasurementInformation_item_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t NeighbouringCellMeasurementInformation_sequence_of[1] = {
  { &hf_nbap_NeighbouringCellMeasurementInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_NeighbouringCellMeasurementInformation_item },
};

static int
dissect_nbap_NeighbouringCellMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_NeighbouringCellMeasurementInformation, NeighbouringCellMeasurementInformation_sequence_of,
                                                  1, maxNrOfMeasNCell);

  return offset;
}


static const per_sequence_t NeighbouringTDDCellMeasurementInformationLCR_sequence[] = {
  { &hf_nbap_uC_Id          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UC_Id },
  { &hf_nbap_uARFCN         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UARFCN },
  { &hf_nbap_cellParameterID, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CellParameterID },
  { &hf_nbap_timeSlotLCR    , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TimeSlotLCR },
  { &hf_nbap_midambleShiftLCR, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_MidambleShiftLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_NeighbouringTDDCellMeasurementInformationLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_NeighbouringTDDCellMeasurementInformationLCR, NeighbouringTDDCellMeasurementInformationLCR_sequence);

  return offset;
}



static int
dissect_nbap_Notification_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 65535U, NULL, FALSE);

  return offset;
}


static const per_sequence_t NI_Information_sequence_of[1] = {
  { &hf_nbap_NI_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Notification_Indicator },
};

static int
dissect_nbap_NI_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_NI_Information, NI_Information_sequence_of,
                                                  1, maxNrOfNIs);

  return offset;
}



static int
dissect_nbap_NumberOfReportedCellPortions(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, maxNrOfCellPortionsPerCell, NULL, TRUE);

  return offset;
}


static const value_string nbap_Number_Of_Supported_Carriers_vals[] = {
  {   0, "one-one-carrier" },
  {   1, "one-three-carrier" },
  {   2, "three-three-carrier" },
  {   3, "one-six-carrier" },
  {   4, "three-six-carrier" },
  {   5, "six-six-carrier" },
  { 0, NULL }
};


static int
dissect_nbap_Number_Of_Supported_Carriers(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     6, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_NSubCyclesPerCyclePeriod(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 16U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_PredictedSFNSFNDeviationLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PredictedTUTRANGPSDeviationLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}


static const value_string nbap_Primary_CPICH_Usage_for_Channel_Estimation_vals[] = {
  {   0, "primary-CPICH-may-be-used" },
  {   1, "primary-CPICH-shall-not-be-used" },
  { 0, NULL }
};


static int
dissect_nbap_Primary_CPICH_Usage_for_Channel_Estimation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_PrimaryCCPCH_RSCP(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 91U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_PrimaryCCPCH_RSCP_Delta(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -5, -1, NULL, TRUE);

  return offset;
}


static const per_sequence_t RL_Specific_DCH_Info_Item_sequence[] = {
  { &hf_nbap_dCH_id         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DCH_ID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportlayeraddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_RL_Specific_DCH_Info_Item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_RL_Specific_DCH_Info_Item, RL_Specific_DCH_Info_Item_sequence);

  return offset;
}


static const per_sequence_t RL_Specific_DCH_Info_sequence_of[1] = {
  { &hf_nbap_RL_Specific_DCH_Info_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_RL_Specific_DCH_Info_Item },
};

static int
dissect_nbap_RL_Specific_DCH_Info(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_RL_Specific_DCH_Info, RL_Specific_DCH_Info_sequence_of,
                                                  1, maxNrOfDCHs);

  return offset;
}


static const value_string nbap_ReferenceClockAvailability_vals[] = {
  {   0, "available" },
  {   1, "notAvailable" },
  { 0, NULL }
};


static int
dissect_nbap_ReferenceClockAvailability(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_ReferenceSFNoffset(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_ReportPeriodicity_Scaledmsec(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6000U, NULL, TRUE);

  return offset;
}


static const value_string nbap_ReportCharacteristicsType_ReportPeriodicity_vals[] = {
  {   0, "msec" },
  {   1, "min" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristicsType_ReportPeriodicity_choice[] = {
  {   0, &hf_nbap_msec_02        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportPeriodicity_Scaledmsec },
  {   1, &hf_nbap_min            , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportPeriodicity_Scaledmin },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_ReportPeriodicity(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristicsType_ReportPeriodicity, ReportCharacteristicsType_ReportPeriodicity_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_Extension_ReportCharacteristicsType_MeasurementThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_ReportCharacteristicsType_MeasurementThreshold_vals[] = {
  {   0, "received-total-wide-band-power" },
  {   1, "transmitted-carrier-power" },
  {   2, "acknowledged-prach-preambles" },
  {   3, "uL-TimeslotISCP" },
  {   4, "sir" },
  {   5, "sir-error" },
  {   6, "transmitted-code-power" },
  {   7, "rscp" },
  {   8, "rx-timing-deviation" },
  {   9, "round-trip-time" },
  {  10, "notUsed-1-acknowledged-PCPCH-access-preambles" },
  {  11, "notUsed-2-detected-PCPCH-access-preambles" },
  {  12, "extension-ReportCharacteristicsType-MeasurementThreshold" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristicsType_MeasurementThreshold_choice[] = {
  {   0, &hf_nbap_received_total_wide_band_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Received_total_wide_band_power_Value },
  {   1, &hf_nbap_transmitted_carrier_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Carrier_Power_Value },
  {   2, &hf_nbap_acknowledged_prach_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_Acknowledged_PRACH_preambles_Value },
  {   3, &hf_nbap_uL_TimeslotISCP, ASN1_EXTENSION_ROOT    , dissect_nbap_UL_TimeslotISCP_Value },
  {   4, &hf_nbap_sir_01         , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Value },
  {   5, &hf_nbap_sir_error_01   , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Error_Value },
  {   6, &hf_nbap_transmitted_code_power_01, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Code_Power_Value },
  {   7, &hf_nbap_rscp_01        , ASN1_EXTENSION_ROOT    , dissect_nbap_RSCP_Value },
  {   8, &hf_nbap_rx_timing_deviation, ASN1_EXTENSION_ROOT    , dissect_nbap_Rx_Timing_Deviation_Value },
  {   9, &hf_nbap_round_trip_time_01, ASN1_EXTENSION_ROOT    , dissect_nbap_Round_Trip_Time_Value },
  {  10, &hf_nbap_notUsed_1_acknowledged_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {  11, &hf_nbap_notUsed_2_detected_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {  12, &hf_nbap_extension_ReportCharacteristicsType_MeasurementThreshold, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_ReportCharacteristicsType_MeasurementThreshold },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_MeasurementThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristicsType_MeasurementThreshold, ReportCharacteristicsType_MeasurementThreshold_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_MeasurementHysteresisTime_Scaledmsec(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6000U, NULL, TRUE);

  return offset;
}


static const value_string nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime_vals[] = {
  {   0, "msec" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristicsType_ScaledMeasurementHysteresisTime_choice[] = {
  {   0, &hf_nbap_msec_01        , ASN1_EXTENSION_ROOT    , dissect_nbap_MeasurementHysteresisTime_Scaledmsec },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime, ReportCharacteristicsType_ScaledMeasurementHysteresisTime_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventA_sequence[] = {
  { &hf_nbap_measurementThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementHysteresisTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventA(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventA, ReportCharacteristicsType_EventA_sequence);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventB_sequence[] = {
  { &hf_nbap_measurementThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementHysteresisTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventB(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventB, ReportCharacteristicsType_EventB_sequence);

  return offset;
}



static int
dissect_nbap_Received_total_wide_band_power_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 620U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_UL_TimeslotISCP_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 126U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SIR_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 62U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SIR_Error_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 124U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Transmitted_Code_Power_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 112U, NULL, TRUE);

  return offset;
}



static int
dissect_nbap_RSCP_Value_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 126U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Round_Trip_Time_IncrDecrThres(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 32766U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_Extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold_vals[] = {
  {   0, "received-total-wide-band-power" },
  {   1, "transmitted-carrier-power" },
  {   2, "acknowledged-prach-preambles" },
  {   3, "uL-TimeslotISCP" },
  {   4, "sir" },
  {   5, "sir-error" },
  {   6, "transmitted-code-power" },
  {   7, "rscp" },
  {   8, "round-trip-time" },
  {   9, "notUsed-1-acknowledged-PCPCH-access-preambles" },
  {  10, "notUsed-2-detected-PCPCH-access-preambles" },
  {  11, "extension-ReportCharacteristicsType-MeasurementIncreaseDecreaseThreshold" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold_choice[] = {
  {   0, &hf_nbap_received_total_wide_band_power_01, ASN1_EXTENSION_ROOT    , dissect_nbap_Received_total_wide_band_power_Value_IncrDecrThres },
  {   1, &hf_nbap_transmitted_carrier_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Carrier_Power_Value },
  {   2, &hf_nbap_acknowledged_prach_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_Acknowledged_PRACH_preambles_Value },
  {   3, &hf_nbap_uL_TimeslotISCP_01, ASN1_EXTENSION_ROOT    , dissect_nbap_UL_TimeslotISCP_Value_IncrDecrThres },
  {   4, &hf_nbap_sir            , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Value_IncrDecrThres },
  {   5, &hf_nbap_sir_error      , ASN1_EXTENSION_ROOT    , dissect_nbap_SIR_Error_Value_IncrDecrThres },
  {   6, &hf_nbap_transmitted_code_power, ASN1_EXTENSION_ROOT    , dissect_nbap_Transmitted_Code_Power_Value_IncrDecrThres },
  {   7, &hf_nbap_rscp           , ASN1_EXTENSION_ROOT    , dissect_nbap_RSCP_Value_IncrDecrThres },
  {   8, &hf_nbap_round_trip_time, ASN1_EXTENSION_ROOT    , dissect_nbap_Round_Trip_Time_IncrDecrThres },
  {   9, &hf_nbap_notUsed_1_acknowledged_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {  10, &hf_nbap_notUsed_2_detected_PCPCH_access_preambles, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {  11, &hf_nbap_extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold, ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_MeasurementChangeTime_Scaledmsec(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 6000U, NULL, TRUE);

  return offset;
}


static const value_string nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime_vals[] = {
  {   0, "msec" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristicsType_ScaledMeasurementChangeTime_choice[] = {
  {   0, &hf_nbap_msec           , ASN1_EXTENSION_ROOT    , dissect_nbap_MeasurementChangeTime_Scaledmsec },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime, ReportCharacteristicsType_ScaledMeasurementChangeTime_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventC_sequence[] = {
  { &hf_nbap_measurementIncreaseThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold },
  { &hf_nbap_measurementChangeTime, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventC(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventC, ReportCharacteristicsType_EventC_sequence);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventD_sequence[] = {
  { &hf_nbap_measurementDecreaseThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold },
  { &hf_nbap_measurementChangeTime, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventD, ReportCharacteristicsType_EventD_sequence);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventE_sequence[] = {
  { &hf_nbap_measurementThreshold1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementThreshold2, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementHysteresisTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime },
  { &hf_nbap_reportPeriodicity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ReportPeriodicity },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventE(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventE, ReportCharacteristicsType_EventE_sequence);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_EventF_sequence[] = {
  { &hf_nbap_measurementThreshold1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementThreshold2, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_measurementHysteresisTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime },
  { &hf_nbap_reportPeriodicity, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ReportCharacteristicsType_ReportPeriodicity },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_EventF(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_EventF, ReportCharacteristicsType_EventF_sequence);

  return offset;
}



static int
dissect_nbap_Extension_ReportCharacteristics(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_nbap_ProtocolIE_Single_Container(tvb, offset, actx, tree, hf_index);

  return offset;
}


static const value_string nbap_ReportCharacteristics_vals[] = {
  {   0, "onDemand" },
  {   1, "periodic" },
  {   2, "event-a" },
  {   3, "event-b" },
  {   4, "event-c" },
  {   5, "event-d" },
  {   6, "event-e" },
  {   7, "event-f" },
  {   8, "extension-ReportCharacteristics" },
  { 0, NULL }
};

static const per_choice_t ReportCharacteristics_choice[] = {
  {   0, &hf_nbap_onDemand       , ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  {   1, &hf_nbap_periodic_01    , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_ReportPeriodicity },
  {   2, &hf_nbap_event_a        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventA },
  {   3, &hf_nbap_event_b        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventB },
  {   4, &hf_nbap_event_c        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventC },
  {   5, &hf_nbap_event_d        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventD },
  {   6, &hf_nbap_event_e        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventE },
  {   7, &hf_nbap_event_f        , ASN1_EXTENSION_ROOT    , dissect_nbap_ReportCharacteristicsType_EventF },
  {   8, &hf_nbap_extension_ReportCharacteristics, ASN1_NOT_EXTENSION_ROOT, dissect_nbap_Extension_ReportCharacteristics },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristics(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_ReportCharacteristics, ReportCharacteristics_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t ReportCharacteristicsType_OnModification_sequence[] = {
  { &hf_nbap_measurementThreshold, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_ReportCharacteristicsType_MeasurementThreshold },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_ReportCharacteristicsType_OnModification(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_ReportCharacteristicsType_OnModification, ReportCharacteristicsType_OnModification_sequence);

  return offset;
}



static int
dissect_nbap_Rx_Timing_Deviation_Value_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 511U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SAT_Info_Almanac_ExtItem_sequence[] = {
  { &hf_nbap_data_id        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DATA_ID },
  { &hf_nbap_sat_id         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_ID },
  { &hf_nbap_gps_e_alm      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_gps_toa_alm    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_gps_delta_I_alm, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_omegadot_alm   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_16 },
  { &hf_nbap_svhealth_alm   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_8 },
  { &hf_nbap_gps_a_sqrt_alm , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_omegazero_alm  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_m_zero_alm     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_gps_omega_alm  , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_24 },
  { &hf_nbap_gps_af_zero_alm, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_11 },
  { &hf_nbap_gps_af_one_alm , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_BIT_STRING_SIZE_11 },
  { &hf_nbap_ie_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SAT_Info_Almanac_ExtItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SAT_Info_Almanac_ExtItem, SAT_Info_Almanac_ExtItem_sequence);

  return offset;
}


static const per_sequence_t SAT_Info_Almanac_ExtList_sequence_of[1] = {
  { &hf_nbap_SAT_Info_Almanac_ExtList_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SAT_Info_Almanac_ExtItem },
};

static int
dissect_nbap_SAT_Info_Almanac_ExtList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SAT_Info_Almanac_ExtList, SAT_Info_Almanac_ExtList_sequence_of,
                                                  1, maxNrOfSatAlmanac_maxNoSat);

  return offset;
}


static const value_string nbap_Secondary_CPICH_Information_Change_vals[] = {
  {   0, "new-secondary-CPICH" },
  {   1, "secondary-CPICH-shall-not-be-used" },
  { 0, NULL }
};

static const per_choice_t Secondary_CPICH_Information_Change_choice[] = {
  {   0, &hf_nbap_new_secondary_CPICH, ASN1_EXTENSION_ROOT    , dissect_nbap_CommonPhysicalChannelID },
  {   1, &hf_nbap_secondary_CPICH_shall_not_be_used, ASN1_EXTENSION_ROOT    , dissect_nbap_NULL },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_Secondary_CPICH_Information_Change(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_Secondary_CPICH_Information_Change, Secondary_CPICH_Information_Change_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_SFNSFN_FDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 614399U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SFNSFN_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 40961U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SFNSFNChangeLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SFNSFNDriftRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -100, 100U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_SFNSFNDriftRateQuality(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SFNSFNMeasurementThresholdInformation_sequence[] = {
  { &hf_nbap_sFNSFNChangeLimit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFNSFNChangeLimit },
  { &hf_nbap_predictedSFNSFNDeviationLimit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PredictedSFNSFNDeviationLimit },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SFNSFNMeasurementThresholdInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SFNSFNMeasurementThresholdInformation, SFNSFNMeasurementThresholdInformation_sequence);

  return offset;
}


static const value_string nbap_SFNSFNValue_vals[] = {
  {   0, "sFNSFN-FDD" },
  {   1, "sFNSFN-TDD" },
  { 0, NULL }
};

static const per_choice_t SFNSFNValue_choice[] = {
  {   0, &hf_nbap_sFNSFN_FDD     , ASN1_EXTENSION_ROOT    , dissect_nbap_SFNSFN_FDD },
  {   1, &hf_nbap_sFNSFN_TDD     , ASN1_EXTENSION_ROOT    , dissect_nbap_SFNSFN_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_SFNSFNValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_SFNSFNValue, SFNSFNValue_choice,
                                 NULL);

  return offset;
}



static int
dissect_nbap_SFNSFNQuality(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t SFNSFNTimeStamp_TDD_sequence[] = {
  { &hf_nbap_sFN            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFN },
  { &hf_nbap_timeSlot       , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TimeSlot },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SFNSFNTimeStamp_TDD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SFNSFNTimeStamp_TDD, SFNSFNTimeStamp_TDD_sequence);

  return offset;
}


static const value_string nbap_SFNSFNTimeStampInformation_vals[] = {
  {   0, "sFNSFNTimeStamp-FDD" },
  {   1, "sFNSFNTimeStamp-TDD" },
  { 0, NULL }
};

static const per_choice_t SFNSFNTimeStampInformation_choice[] = {
  {   0, &hf_nbap_sFNSFNTimeStamp_FDD, ASN1_EXTENSION_ROOT    , dissect_nbap_SFN },
  {   1, &hf_nbap_sFNSFNTimeStamp_TDD, ASN1_EXTENSION_ROOT    , dissect_nbap_SFNSFNTimeStamp_TDD },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_SFNSFNTimeStampInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_SFNSFNTimeStampInformation, SFNSFNTimeStampInformation_choice,
                                 NULL);

  return offset;
}


static const per_sequence_t T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item_sequence[] = {
  { &hf_nbap_uC_Id          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UC_Id },
  { &hf_nbap_sFNSFNValue    , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFNSFNValue },
  { &hf_nbap_sFNSFNQuality  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFNSFNQuality },
  { &hf_nbap_sFNSFNDriftRate, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFNSFNDriftRate },
  { &hf_nbap_sFNSFNDriftRateQuality, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_SFNSFNDriftRateQuality },
  { &hf_nbap_sFNSFNTimeStampInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SFNSFNTimeStampInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item, T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item_sequence);

  return offset;
}


static const per_sequence_t T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_sequence_of[1] = {
  { &hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item },
};

static int
dissect_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation, T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_sequence_of,
                                                  1, maxNrOfMeasNCell);

  return offset;
}


static const per_sequence_t T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item_sequence[] = {
  { &hf_nbap_uC_Id          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UC_Id },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item, T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item_sequence);

  return offset;
}


static const per_sequence_t T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_sequence_of[1] = {
  { &hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item },
};

static int
dissect_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation, T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_sequence_of,
                                                  0, maxNrOfMeasNCell_1);

  return offset;
}


static const per_sequence_t SFNSFNMeasurementValueInformation_sequence[] = {
  { &hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation },
  { &hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SFNSFNMeasurementValueInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SFNSFNMeasurementValueInformation, SFNSFNMeasurementValueInformation_sequence);

  return offset;
}



static int
dissect_nbap_ShutdownTimer(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 3600U, NULL, FALSE);

  return offset;
}


static const value_string nbap_SignallingBearerRequestIndicator_vals[] = {
  {   0, "bearerRequested" },
  { 0, NULL }
};


static int
dissect_nbap_SignallingBearerRequestIndicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     1, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_Start_Of_Audit_Sequence_Indicator_vals[] = {
  {   0, "start-of-audit-sequence" },
  {   1, "not-start-of-audit-sequence" },
  { 0, NULL }
};


static int
dissect_nbap_Start_Of_Audit_Sequence_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_SyncCase(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 2U, NULL, TRUE);

  return offset;
}


static const per_sequence_t SyncDLCodeInfoItemLCR_sequence[] = {
  { &hf_nbap_syncDLCodeId   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SYNCDlCodeId },
  { &hf_nbap_syncDLCodeIdArrivTime, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstTimingLCR },
  { &hf_nbap_syncDLCodeIdTimingThre, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_CellSyncBurstTimingThreshold },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SyncDLCodeInfoItemLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SyncDLCodeInfoItemLCR, SyncDLCodeInfoItemLCR_sequence);

  return offset;
}


static const per_sequence_t SyncDLCodeInfoListLCR_sequence_of[1] = {
  { &hf_nbap_SyncDLCodeInfoListLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeInfoItemLCR },
};

static int
dissect_nbap_SyncDLCodeInfoListLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SyncDLCodeInfoListLCR, SyncDLCodeInfoListLCR_sequence_of,
                                                  1, maxNrOfSyncDLCodesLCR);

  return offset;
}


static const per_sequence_t SyncDLCodeIdThreInfoList_sequence[] = {
  { &hf_nbap_syncFrameNoToReceive, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncFrameNumber },
  { &hf_nbap_syncDLCodeIdInfoLCR, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeInfoListLCR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_SyncDLCodeIdThreInfoList(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_SyncDLCodeIdThreInfoList, SyncDLCodeIdThreInfoList_sequence);

  return offset;
}


static const per_sequence_t SyncDLCodeIdThreInfoLCR_sequence_of[1] = {
  { &hf_nbap_SyncDLCodeIdThreInfoLCR_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_SyncDLCodeIdThreInfoList },
};

static int
dissect_nbap_SyncDLCodeIdThreInfoLCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_SyncDLCodeIdThreInfoLCR, SyncDLCodeIdThreInfoLCR_sequence_of,
                                                  0, maxNrOfSyncFramesLCR);

  return offset;
}


static const value_string nbap_T_Cell_vals[] = {
  {   0, "v0" },
  {   1, "v1" },
  {   2, "v2" },
  {   3, "v3" },
  {   4, "v4" },
  {   5, "v5" },
  {   6, "v6" },
  {   7, "v7" },
  {   8, "v8" },
  {   9, "v9" },
  { 0, NULL }
};


static int
dissect_nbap_T_Cell(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     10, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_TGD(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 269U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TGSN(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 14U, NULL, FALSE);

  return offset;
}


static const value_string nbap_TimingAdvanceApplied_vals[] = {
  {   0, "yes" },
  {   1, "no" },
  { 0, NULL }
};


static int
dissect_nbap_TimingAdvanceApplied(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_TnlQos_vals[] = {
  {   0, "dsField" },
  {   1, "genericTrafficCategory" },
  { 0, NULL }
};

static const per_choice_t TnlQos_choice[] = {
  {   0, &hf_nbap_dsField        , ASN1_EXTENSION_ROOT    , dissect_nbap_DsField },
  {   1, &hf_nbap_genericTrafficCategory, ASN1_EXTENSION_ROOT    , dissect_nbap_GenericTrafficCategory },
  { 0, NULL, 0, NULL }
};

static int
dissect_nbap_TnlQos(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_choice(tvb, offset, actx, tree, hf_index,
                                 ett_nbap_TnlQos, TnlQos_choice,
                                 NULL);

  return offset;
}


static const value_string nbap_UL_DL_mode_vals[] = {
  {   0, "ul-only" },
  {   1, "dl-only" },
  {   2, "both-ul-and-dl" },
  { 0, NULL }
};


static int
dissect_nbap_UL_DL_mode(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     3, NULL, FALSE, 0, NULL);

  return offset;
}


static const value_string nbap_Uplink_Compressed_Mode_Method_vals[] = {
  {   0, "sFdiv2" },
  {   1, "higher-layer-scheduling" },
  { 0, NULL }
};


static int
dissect_nbap_Uplink_Compressed_Mode_Method(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}


static const per_sequence_t Transmission_Gap_Pattern_Sequence_Information_item_sequence[] = {
  { &hf_nbap_tGPSID         , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TGPSID },
  { &hf_nbap_tGSN           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TGSN },
  { &hf_nbap_tGL1           , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_GapLength },
  { &hf_nbap_tGL2           , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GapLength },
  { &hf_nbap_tGD            , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TGD },
  { &hf_nbap_tGPL1          , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_GapDuration },
  { &hf_nbap_not_to_be_used_1, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_GapDuration },
  { &hf_nbap_uL_DL_mode     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_DL_mode },
  { &hf_nbap_downlink_Compressed_Mode_Method, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Downlink_Compressed_Mode_Method },
  { &hf_nbap_uplink_Compressed_Mode_Method, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_Uplink_Compressed_Mode_Method },
  { &hf_nbap_dL_FrameType   , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DL_FrameType },
  { &hf_nbap_delta_SIR1     , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DeltaSIR },
  { &hf_nbap_delta_SIR_after1, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_DeltaSIR },
  { &hf_nbap_delta_SIR2     , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DeltaSIR },
  { &hf_nbap_delta_SIR_after2, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_DeltaSIR },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_Transmission_Gap_Pattern_Sequence_Information_item(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_Transmission_Gap_Pattern_Sequence_Information_item, Transmission_Gap_Pattern_Sequence_Information_item_sequence);

  return offset;
}


static const per_sequence_t Transmission_Gap_Pattern_Sequence_Information_sequence_of[1] = {
  { &hf_nbap_Transmission_Gap_Pattern_Sequence_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_Transmission_Gap_Pattern_Sequence_Information_item },
};

static int
dissect_nbap_Transmission_Gap_Pattern_Sequence_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_Transmission_Gap_Pattern_Sequence_Information, Transmission_Gap_Pattern_Sequence_Information_sequence_of,
                                                  1, maxTGPS);

  return offset;
}



static int
dissect_nbap_TransmittedCarrierPowerOfAllCodesNotUsedForHS_PDSCHOrHS_SCCHTransmissionValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 100U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TransmissionDiversityApplied(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_boolean(tvb, offset, actx, tree, hf_index, NULL);

  return offset;
}


static const value_string nbap_TSN_Length_vals[] = {
  {   0, "tsn-6bits" },
  {   1, "tsn-9bits" },
  { 0, NULL }
};


static int
dissect_nbap_TSN_Length(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_INTEGER_0_16383(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 16383U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_INTEGER_0_4294967295(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 4294967295U, NULL, FALSE);

  return offset;
}


static const per_sequence_t TUTRANGPS_sequence[] = {
  { &hf_nbap_ms_part        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_16383 },
  { &hf_nbap_ls_part        , ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_INTEGER_0_4294967295 },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TUTRANGPS(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TUTRANGPS, TUTRANGPS_sequence);

  return offset;
}



static int
dissect_nbap_TUTRANGPSChangeLimit(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 256U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TUTRANGPSDriftRate(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            -50, 50U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_TUTRANGPSDriftRateQuality(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 50U, NULL, FALSE);

  return offset;
}


static const per_sequence_t TUTRANGPSMeasurementThresholdInformation_sequence[] = {
  { &hf_nbap_tUTRANGPSChangeLimit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TUTRANGPSChangeLimit },
  { &hf_nbap_predictedTUTRANGPSDeviationLimit, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_PredictedTUTRANGPSDeviationLimit },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TUTRANGPSMeasurementThresholdInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TUTRANGPSMeasurementThresholdInformation, TUTRANGPSMeasurementThresholdInformation_sequence);

  return offset;
}



static int
dissect_nbap_TUTRANGPSQuality(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 255U, NULL, FALSE);

  return offset;
}


static const per_sequence_t TUTRANGPSMeasurementValueInformation_sequence[] = {
  { &hf_nbap_tUTRANGPS      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TUTRANGPS },
  { &hf_nbap_tUTRANGPSQuality, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TUTRANGPSQuality },
  { &hf_nbap_tUTRANGPSDriftRate, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TUTRANGPSDriftRate },
  { &hf_nbap_tUTRANGPSDriftRateQuality, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TUTRANGPSDriftRateQuality },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_TUTRANGPSMeasurementValueInformation(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_TUTRANGPSMeasurementValueInformation, TUTRANGPSMeasurementValueInformation_sequence);

  return offset;
}


static const value_string nbap_TypeOfError_vals[] = {
  {   0, "not-understood" },
  {   1, "missing" },
  { 0, NULL }
};


static int
dissect_nbap_TypeOfError(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, TRUE, 0, NULL);

  return offset;
}



static int
dissect_nbap_UL_Synchronisation_StepSize(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 8U, NULL, FALSE);

  return offset;
}



static int
dissect_nbap_UL_Synchronisation_Frequency(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            1U, 8U, NULL, FALSE);

  return offset;
}


static const per_sequence_t UL_Synchronisation_Parameters_LCR_sequence[] = {
  { &hf_nbap_uL_Synchronisation_StepSize, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Synchronisation_StepSize },
  { &hf_nbap_uL_Synchronisation_Frequency, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_UL_Synchronisation_Frequency },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_UL_Synchronisation_Parameters_LCR(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_UL_Synchronisation_Parameters_LCR, UL_Synchronisation_Parameters_LCR_sequence);

  return offset;
}


static const value_string nbap_Unidirectional_DCH_Indicator_vals[] = {
  {   0, "downlink-DCH-only" },
  {   1, "uplink-DCH-only" },
  { 0, NULL }
};


static int
dissect_nbap_Unidirectional_DCH_Indicator(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_enumerated(tvb, offset, actx, tree, hf_index,
                                     2, NULL, FALSE, 0, NULL);

  return offset;
}



static int
dissect_nbap_UpPTSInterferenceValue(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_integer(tvb, offset, actx, tree, hf_index,
                                                            0U, 127U, NULL, TRUE);

  return offset;
}


static const per_sequence_t USCH_InformationItem_sequence[] = {
  { &hf_nbap_uSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_ID },
  { &hf_nbap_cCTrCH_ID      , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_CCTrCH_ID },
  { &hf_nbap_transportFormatSet, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_TransportFormatSet },
  { &hf_nbap_allocationRetentionPriority, ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_AllocationRetentionPriority },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_USCH_InformationItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_USCH_InformationItem, USCH_InformationItem_sequence);

  return offset;
}


static const per_sequence_t USCH_Information_sequence_of[1] = {
  { &hf_nbap_USCH_Information_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_InformationItem },
};

static int
dissect_nbap_USCH_Information(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_USCH_Information, USCH_Information_sequence_of,
                                                  1, maxNrOfUSCHs);

  return offset;
}


static const per_sequence_t USCH_InformationResponseItem_sequence[] = {
  { &hf_nbap_uSCH_ID        , ASN1_EXTENSION_ROOT    , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_ID },
  { &hf_nbap_bindingID      , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_BindingID },
  { &hf_nbap_transportLayerAddress, ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_TransportLayerAddress },
  { &hf_nbap_iE_Extensions  , ASN1_EXTENSION_ROOT    , ASN1_OPTIONAL    , dissect_nbap_ProtocolExtensionContainer },
  { NULL, 0, 0, NULL }
};

static int
dissect_nbap_USCH_InformationResponseItem(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_sequence(tvb, offset, actx, tree, hf_index,
                                   ett_nbap_USCH_InformationResponseItem, USCH_InformationResponseItem_sequence);

  return offset;
}


static const per_sequence_t USCH_InformationResponse_sequence_of[1] = {
  { &hf_nbap_USCH_InformationResponse_item, ASN1_NO_EXTENSIONS     , ASN1_NOT_OPTIONAL, dissect_nbap_USCH_InformationResponseItem },
};

static int
dissect_nbap_USCH_InformationResponse(tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_) {
  offset = dissect_per_constrained_sequence_of(tvb, offset, actx, tree, hf_index,
                                                  ett_nbap_USCH_InformationResponse, USCH_InformationResponse_sequence_of,
                                                  1, maxNrOfUSCHs);

  return offset;
}

/*--- PDUs ---*/

static void dissect_NBAP_PDU_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  dissect_nbap_NBAP_PDU(tvb, 0, &asn1_ctx, tree, hf_nbap_NBAP_PDU_PDU);
}
static int dissect_CommonTransportChannelSetupRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelSetupRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelSetupRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonPhysicalChannelType_CTCH_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FACH_ParametersListIE_CTCH_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCH_ParametersItem_CTCH_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RACH_ParametersItem_CTCH_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelSetupRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelSetupRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelSetupRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonPhysicalChannelType_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FACH_ParametersListIE_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCH_ParametersItem_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PICH_ParametersItem_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PICH_LCR_Parameters_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MICH_Parameters_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MICH_Parameters_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MICH_Parameters_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PRACH_ParametersItem_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RACH_ParameterItem_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FPACH_LCR_Parameters_CTCH_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelSetupResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelSetupResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelSetupResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FACH_CommonTransportChannel_InformationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FACH_CommonTransportChannel_InformationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_FACH_CommonTransportChannel_InformationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelSetupFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelSetupFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelSetupFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelReconfigurationRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelReconfigurationRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelReconfigurationRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCH_ParametersItem_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PICH_ParametersItem_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AICH_ParametersListIE_CTCH_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelReconfigurationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelReconfigurationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelReconfigurationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PICH_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PICH_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PICH_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FACH_ParametersList_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCH_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCH_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCH_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MICH_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MICH_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MICH_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelReconfigurationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelReconfigurationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelReconfigurationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelReconfigurationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelReconfigurationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelReconfigurationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelDeletionRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelDeletionRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelDeletionRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannelDeletionResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannelDeletionResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannelDeletionResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BlockResourceRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BlockResourceRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_BlockResourceRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BlockResourceResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BlockResourceResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_BlockResourceResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BlockResourceFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BlockResourceFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_BlockResourceFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UnblockResourceIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UnblockResourceIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_UnblockResourceIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AuditRequiredIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AuditRequiredIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_AuditRequiredIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AuditRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AuditRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_AuditRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AuditResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AuditResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_AuditResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CCP_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CCP_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_CCP_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CCP_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CCP_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_CCP_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FPACH_LCR_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FPACH_LCR_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_FPACH_LCR_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_DSCH_Resources_Information_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_DSCH_Resources_Information_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_DSCH_Resources_Information_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCH_LCR_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCH_LCR_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCH_LCR_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCH_LCR_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCH_LCR_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCH_LCR_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_S_CCPCH_LCR_InformationListExt_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_Group_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_Group_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_Group_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_Group_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_Group_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_Group_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationList_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationList_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationItem_AuditRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AuditFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AuditFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_AuditFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementInitiationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementInitiationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementInitiationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementObjectType_CM_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementObjectType_CM_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementObjectType_CM_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementInitiationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementInitiationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementInitiationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementObjectType_CM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementObjectType_CM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementObjectType_CM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementInitiationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementInitiationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementInitiationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementReport_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementReport(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementReport_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementObjectType_CM_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementObjectType_CM_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementObjectType_CM_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementTerminationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementTerminationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementTerminationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementFailureIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementFailureIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementFailureIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSetupRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSetupRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSetupRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Synchronisation_Configuration_Cell_SetupRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Synchronisation_Configuration_Cell_SetupRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_Synchronisation_Configuration_Cell_SetupRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimarySCH_Information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimarySCH_Information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimarySCH_Information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondarySCH_Information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondarySCH_Information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondarySCH_Information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCPICH_Information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCCPCH_Information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Limited_power_increase_information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Limited_power_increase_information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Limited_power_increase_information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_Cell_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_Cell_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_Cell_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSetupRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSetupRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSetupRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SCH_Information_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SCH_Information_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SCH_Information_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH(tvb, offset, &asn1_ctx, tree, hf_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCCPCH_Information_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCCPCH_Information_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCCPCH_Information_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlotConfigurationList_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCCPCH_LCR_Information_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DwPCH_LCR_Information_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_LCR_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSetupResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSetupResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSetupResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSetupFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSetupFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSetupFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellReconfigurationRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellReconfigurationRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellReconfigurationRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Synchronisation_Configuration_Cell_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Synchronisation_Configuration_Cell_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_Synchronisation_Configuration_Cell_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimarySCH_Information_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondarySCH_Information_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCPICH_Information_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCCPCH_Information_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_Cell_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellReconfigurationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellReconfigurationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellReconfigurationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SCH_Information_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SCH_Information_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SCH_Information_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PCCPCH_Information_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PCCPCH_Information_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PCCPCH_Information_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlotConfigurationList_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DwPCH_LCR_Information_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellReconfigurationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellReconfigurationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CellReconfigurationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellReconfigurationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellReconfigurationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CellReconfigurationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellDeletionRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellDeletionRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_CellDeletionRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellDeletionResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellDeletionResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CellDeletionResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ResourceStatusIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ResourceStatusIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_ResourceStatusIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_IndicationType_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_IndicationType_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_IndicationType_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationList_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_InformationItem2_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_InformationItem2_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_InformationItem2_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CCP_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CCP_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_CCP_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FPACH_LCR_InformationList_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FPACH_LCR_InformationList_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DwPCH_LCR_Information_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DwPCH_LCR_Information_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_DwPCH_LCR_Information_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_DSCH_Resources_Information_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_DSCH_Resources_Information_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_DSCH_Resources_Information_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCH_LCR_InformationList_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCH_LCR_InformationList_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCH_LCR_InformationItem_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd(tvb, offset, &asn1_ctx, tree, hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationUpdateRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SystemInformationUpdateRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_SystemInformationUpdateRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SegmentInformationListIE_SystemInfoUpdate_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SegmentInformationListIE_SystemInfoUpdate(tvb, offset, &asn1_ctx, tree, hf_nbap_SegmentInformationListIE_SystemInfoUpdate_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationUpdateResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SystemInformationUpdateResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_SystemInformationUpdateResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SystemInformationUpdateFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SystemInformationUpdateFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_SystemInformationUpdateFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_Information_RL_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_Information_RL_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_Information_RL_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_Information_RL_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_Information_RL_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_Information_RL_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationList_RL_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationList_RL_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationList_RL_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_SetupRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_SetupRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_SetupRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationItem_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationItem_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Information_RL_SetupRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Information_RL_SetupRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Information_RL_SetupRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupResponseFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupResponseFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupResponseFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseList_RL_SetupRspFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseList_RL_SetupRspFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseItem_RL_SetupRspFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseItem_RL_SetupRspFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseItem_RL_SetupRspFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupResponseTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupResponseTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupResponseTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponse_RL_SetupRspTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponse_RL_SetupRspTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponse_RL_SetupRspTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponse_LCR_RL_SetupRspTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_RL_SetupFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_RL_SetupFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_RL_SetupFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Successful_RL_InformationRespItem_RL_SetupFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkSetupFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkSetupFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkSetupFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_RL_SetupFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_RL_SetupFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_RL_SetupFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationList_RL_AdditionRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationList_RL_AdditionRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationList_RL_AdditionRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_AdditionRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_AdditionRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_AdditionRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Information_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Information_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Information_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionResponseFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionResponseFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionResponseFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseList_RL_AdditionRspFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseList_RL_AdditionRspFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseItem_RL_AdditionRspFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseItem_RL_AdditionRspFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseItem_RL_AdditionRspFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionResponseTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionResponseTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionResponseTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponse_RL_AdditionRspTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponse_RL_AdditionRspTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponse_RL_AdditionRspTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponse_LCR_RL_AdditionRspTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_RL_AdditionFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_RL_AdditionFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_RL_AdditionFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Successful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkAdditionFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkAdditionFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkAdditionFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_RL_AdditionFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_RL_AdditionFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_RL_AdditionFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationPrepareFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationPrepareFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationPrepareFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_Information_RL_ReconfPrepFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_Information_RL_ReconfPrepFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_Information_RL_ReconfPrepFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_Information_RL_ReconfPrepFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_Information_RL_ReconfPrepFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_Information_RL_ReconfPrepFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_DeleteList_RL_ReconfPrepFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_DeleteList_RL_ReconfPrepFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationList_RL_ReconfPrepFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationList_RL_ReconfPrepFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationList_RL_ReconfPrepFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_ReconfPrepFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_ReconfPrepFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_ReconfPrepFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationPrepareTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationPrepareTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationPrepareTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_DeleteList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_DeleteList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DSCH_Information_ModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DSCH_Information_DeleteList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_USCH_Information_ModifyList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_USCH_Information_DeleteList_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_Information_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_Information_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Information_RL_ReconfPrepTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Information_RL_ReconfPrepTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Information_RL_ReconfPrepTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationReady_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationReady(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationReady_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseList_RL_ReconfReady_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseList_RL_ReconfReady(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseList_RL_ReconfReady_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseItem_RL_ReconfReady_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseItem_RL_ReconfReady(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseItem_RL_ReconfReady_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_RL_ReconfFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_RL_ReconfFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_RL_ReconfFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_ReconfigurationFailureItem_RL_ReconfFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationCommit_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationCommit(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationCommit_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationCancel_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationCancel(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationCancel_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_DPCH_Information_RL_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_DPCH_Information_RL_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_DPCH_Information_RL_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_Information_RL_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_Information_RL_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_Information_RL_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_DeleteList_RL_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_DeleteList_RL_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationList_RL_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationList_RL_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationList_RL_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_ReconfRqstFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_ReconfRqstFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_ReconfRqstFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_DeleteList_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_DeleteList_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Multiple_RL_Information_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Multiple_RL_Information_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Information_RL_ReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Information_RL_ReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Information_RL_ReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkReconfigurationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkReconfigurationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkReconfigurationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseList_RL_ReconfRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseList_RL_ReconfRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseList_RL_ReconfRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationResponseItem_RL_ReconfRsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationResponseItem_RL_ReconfRsp(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationResponseItem_RL_ReconfRsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkDeletionRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkDeletionRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkDeletionRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_informationList_RL_DeletionRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_informationList_RL_DeletionRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_informationList_RL_DeletionRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_informationItem_RL_DeletionRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_informationItem_RL_DeletionRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_informationItem_RL_DeletionRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkDeletionResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkDeletionResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkDeletionResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_PowerControlRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_PowerControlRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_PowerControlRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_ReferencePowerInformationList_DL_PC_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_ReferencePowerInformationItem_DL_PC_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_PowerTimeslotControlRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_PowerTimeslotControlRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_PowerTimeslotControlRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementInitiationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementInitiationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementInitiationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementObjectType_DM_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementObjectType_DM_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementObjectType_DM_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_DM_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_DM_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_DM_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_Info_DM_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_Info_DM_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_Info_DM_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSSICH_Info_DM_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSSICH_Info_DM_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_HSSICH_Info_DM_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementInitiationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementInitiationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementInitiationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementObjectType_DM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementObjectType_DM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementObjectType_DM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_DM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_DM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_DM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_Info_DM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_Info_DM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_Info_DM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Set_InformationItem_DM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Set_InformationItem_DM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Set_InformationItem_DM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementInitiationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementInitiationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementInitiationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementReport_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementReport(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementReport_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementObjectType_DM_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementObjectType_DM_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementObjectType_DM_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_DM_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_DM_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_DM_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_Info_DM_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_Info_DM_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_Info_DM_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Set_InformationItem_DM_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Set_InformationItem_DM_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Set_InformationItem_DM_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementTerminationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementTerminationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementTerminationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementFailureIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementFailureIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementFailureIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkFailureIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkFailureIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkFailureIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Reporting_Object_RL_FailureInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Reporting_Object_RL_FailureInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Reporting_Object_RL_FailureInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_FailureInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_FailureInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_FailureInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Set_InformationItem_RL_FailureInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Set_InformationItem_RL_FailureInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Set_InformationItem_RL_FailureInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CCTrCH_InformationItem_RL_FailureInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CCTrCH_InformationItem_RL_FailureInd(tvb, offset, &asn1_ctx, tree, hf_nbap_CCTrCH_InformationItem_RL_FailureInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkPreemptionRequiredIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkPreemptionRequiredIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkPreemptionRequiredIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationList_RL_PreemptRequiredInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationList_RL_PreemptRequiredInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationList_RL_PreemptRequiredInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_PreemptRequiredInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_PreemptRequiredInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_PreemptRequiredInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkRestoreIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkRestoreIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkRestoreIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Reporting_Object_RL_RestoreInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Reporting_Object_RL_RestoreInd(tvb, offset, &asn1_ctx, tree, hf_nbap_Reporting_Object_RL_RestoreInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_InformationItem_RL_RestoreInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_InformationItem_RL_RestoreInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_InformationItem_RL_RestoreInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Set_InformationItem_RL_RestoreInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Set_InformationItem_RL_RestoreInd(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Set_InformationItem_RL_RestoreInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CCTrCH_InformationItem_RL_RestoreInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CCTrCH_InformationItem_RL_RestoreInd(tvb, offset, &asn1_ctx, tree, hf_nbap_CCTrCH_InformationItem_RL_RestoreInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CompressedModeCommand_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CompressedModeCommand(tvb, offset, &asn1_ctx, tree, hf_nbap_CompressedModeCommand_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ErrorIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ErrorIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_ErrorIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrivateMessage_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrivateMessage(tvb, offset, &asn1_ctx, tree, hf_nbap_PrivateMessage_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PhysicalSharedChannelReconfigurationRequestFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PhysicalSharedChannelReconfigurationRequestFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PhysicalSharedChannelReconfigurationRequestFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PhysicalSharedChannelReconfigurationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PhysicalSharedChannelReconfigurationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_PhysicalSharedChannelReconfigurationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCHSets_AddList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCHSets_AddList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCH_Information_AddItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCHSets_ModifyList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PDSCHSets_DeleteList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCHSets_AddList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCHSets_AddList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_Information_AddItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCHSets_ModifyList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PUSCHSets_DeleteList_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_PDSCH_TDD_Information_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst(tvb, offset, &asn1_ctx, tree, hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PhysicalSharedChannelReconfigurationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PhysicalSharedChannelReconfigurationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_PhysicalSharedChannelReconfigurationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PhysicalSharedChannelReconfigurationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PhysicalSharedChannelReconfigurationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_PhysicalSharedChannelReconfigurationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_PSCH_ReconfFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_PSCH_ReconfFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_PSCH_ReconfFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ResetRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ResetRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_ResetRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ResetIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ResetIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_ResetIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommunicationContextInfoItem_Reset_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommunicationContextInfoItem_Reset(tvb, offset, &asn1_ctx, tree, hf_nbap_CommunicationContextInfoItem_Reset_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommunicationControlPortInfoItem_Reset_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommunicationControlPortInfoItem_Reset(tvb, offset, &asn1_ctx, tree, hf_nbap_CommunicationControlPortInfoItem_Reset_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ResetResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ResetResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_ResetResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeInitiationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeInitiationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeInitiationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeObjectType_InfEx_Rqst_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeObjectType_InfEx_Rqst(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeObjectType_InfEx_Rqst_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeInitiationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeInitiationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeInitiationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeObjectType_InfEx_Rsp_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeObjectType_InfEx_Rsp(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeObjectType_InfEx_Rsp_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeInitiationFailure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeInitiationFailure(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeInitiationFailure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationReport_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationReport(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationReport_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeObjectType_InfEx_Rprt_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeObjectType_InfEx_Rprt(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeObjectType_InfEx_Rprt_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeTerminationRequest_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeTerminationRequest(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeTerminationRequest_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeFailureIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeFailureIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeFailureIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationInitiationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationInitiationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationInitiationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstTransInit_CellSyncInitiationRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeslotInfo_CellSyncInitiationRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeslotInfo_CellSyncInitiationRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationInitiationResponseTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationInitiationResponseTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationInitiationResponseTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationInitiationFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationInitiationFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationInitiationFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationReconfigurationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationReconfigurationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationReconfigurationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationReconfigurationResponseTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationReconfigurationResponseTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationReconfigurationResponseTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationReconfigurationFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationReconfigurationFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationReconfigurationFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationAdjustmentRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationAdjustmentRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationAdjustmentRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellAdjustmentInfo_SyncAdjustmentRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationAdjustmentResponseTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationAdjustmentResponseTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationAdjustmentResponseTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationAdjustmentFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationAdjustmentFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationAdjustmentFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CauseLevel_SyncAdjustmntFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CauseLevel_SyncAdjustmntFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CauseLevel_SyncAdjustmntFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationTerminationRequestTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationTerminationRequestTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationTerminationRequestTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationFailureIndicationTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationFailureIndicationTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationFailureIndicationTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSynchronisationReportTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSynchronisationReportTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSynchronisationReportTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncInfo_CellSyncReprtTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncInfo_CellSyncReprtTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncInfo_CellSyncReprtTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SyncReportType_CellSyncReprtTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SyncReportType_CellSyncReprtTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SyncReportType_CellSyncReprtTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BearerRearrangementIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BearerRearrangementIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_BearerRearrangementIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_RearrangeList_Bearer_RearrangeInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_RearrangeList_Bearer_RearrangeInd(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DSCH_RearrangeList_Bearer_RearrangeInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DSCH_RearrangeList_Bearer_RearrangeInd(tvb, offset, &asn1_ctx, tree, hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_USCH_RearrangeList_Bearer_RearrangeInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_USCH_RearrangeList_Bearer_RearrangeInd(tvb, offset, &asn1_ctx, tree, hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_RearrangeList_Bearer_RearrangeInd_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkActivationCommandFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkActivationCommandFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkActivationCommandFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DelayedActivationInformationList_RL_ActivationCmdFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DelayedActivationInformation_RL_ActivationCmdFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DelayedActivationInformation_RL_ActivationCmdFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DelayedActivationInformation_RL_ActivationCmdFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkActivationCommandTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkActivationCommandTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkActivationCommandTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DelayedActivationInformationList_RL_ActivationCmdTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DelayedActivationInformation_RL_ActivationCmdTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DelayedActivationInformation_RL_ActivationCmdTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_DelayedActivationInformation_RL_ActivationCmdTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkParameterUpdateIndicationFDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkParameterUpdateIndicationFDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkParameterUpdateIndicationFDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RadioLinkParameterUpdateIndicationTDD_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RadioLinkParameterUpdateIndicationTDD(tvb, offset, &asn1_ctx, tree, hf_nbap_RadioLinkParameterUpdateIndicationTDD_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MBMSNotificationUpdateCommand_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MBMSNotificationUpdateCommand(tvb, offset, &asn1_ctx, tree, hf_nbap_MBMSNotificationUpdateCommand_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Active_Pattern_Sequence_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Active_Pattern_Sequence_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_Active_Pattern_Sequence_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Angle_Of_Arrival_Value_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Angle_Of_Arrival_Value_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_Angle_Of_Arrival_Value_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BCCH_ModificationTime_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BCCH_ModificationTime(tvb, offset, &asn1_ctx, tree, hf_nbap_BCCH_ModificationTime_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Best_Cell_Portions_Value_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Best_Cell_Portions_Value(tvb, offset, &asn1_ctx, tree, hf_nbap_Best_Cell_Portions_Value_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BindingID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BindingID(tvb, offset, &asn1_ctx, tree, hf_nbap_BindingID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BlockingPriorityIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BlockingPriorityIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_BlockingPriorityIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BroadcastCommonTransportBearerIndication_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BroadcastCommonTransportBearerIndication(tvb, offset, &asn1_ctx, tree, hf_nbap_BroadcastCommonTransportBearerIndication_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_BroadcastReference_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_BroadcastReference(tvb, offset, &asn1_ctx, tree, hf_nbap_BroadcastReference_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Cause_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Cause(tvb, offset, &asn1_ctx, tree, hf_nbap_Cause_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellParameterID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellParameterID(tvb, offset, &asn1_ctx, tree, hf_nbap_CellParameterID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CellSyncBurstRepetitionPeriod_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CellSyncBurstRepetitionPeriod(tvb, offset, &asn1_ctx, tree, hf_nbap_CellSyncBurstRepetitionPeriod_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CFN_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CFN(tvb, offset, &asn1_ctx, tree, hf_nbap_CFN_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_C_ID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_C_ID(tvb, offset, &asn1_ctx, tree, hf_nbap_C_ID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Closedlooptimingadjustmentmode_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Closedlooptimingadjustmentmode(tvb, offset, &asn1_ctx, tree, hf_nbap_Closedlooptimingadjustmentmode_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementAccuracy_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementAccuracy(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementAccuracy_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonMeasurementType_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonMeasurementType(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonMeasurementType_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonPhysicalChannelID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonPhysicalChannelID(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonPhysicalChannelID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Common_PhysicalChannel_Status_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Common_PhysicalChannel_Status_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_Common_PhysicalChannel_Status_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommonTransportChannel_InformationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommonTransportChannel_InformationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_CommonTransportChannel_InformationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Common_TransportChannel_Status_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Common_TransportChannel_Status_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_Common_TransportChannel_Status_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CommunicationControlPortID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CommunicationControlPortID(tvb, offset, &asn1_ctx, tree, hf_nbap_CommunicationControlPortID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Compressed_Mode_Deactivation_Flag_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Compressed_Mode_Deactivation_Flag(tvb, offset, &asn1_ctx, tree, hf_nbap_Compressed_Mode_Deactivation_Flag_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ConfigurationGenerationID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ConfigurationGenerationID(tvb, offset, &asn1_ctx, tree, hf_nbap_ConfigurationGenerationID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ConstantValue_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ConstantValue(tvb, offset, &asn1_ctx, tree, hf_nbap_ConstantValue_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ControlGAP_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ControlGAP(tvb, offset, &asn1_ctx, tree, hf_nbap_ControlGAP_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CriticalityDiagnostics_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CriticalityDiagnostics(tvb, offset, &asn1_ctx, tree, hf_nbap_CriticalityDiagnostics_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CRNC_CommunicationContextID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CRNC_CommunicationContextID(tvb, offset, &asn1_ctx, tree, hf_nbap_CRNC_CommunicationContextID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CSBMeasurementID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CSBMeasurementID(tvb, offset, &asn1_ctx, tree, hf_nbap_CSBMeasurementID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_CSBTransmissionID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_CSBTransmissionID(tvb, offset, &asn1_ctx, tree, hf_nbap_CSBTransmissionID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_FDD_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_FDD_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_FDD_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_InformationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_InformationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_InformationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DCH_TDD_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DCH_TDD_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_DCH_TDD_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FDD_DCHs_to_Modify_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FDD_DCHs_to_Modify(tvb, offset, &asn1_ctx, tree, hf_nbap_FDD_DCHs_to_Modify_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TDD_DCHs_to_Modify_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TDD_DCHs_to_Modify(tvb, offset, &asn1_ctx, tree, hf_nbap_TDD_DCHs_to_Modify_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DedicatedMeasurementType_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DedicatedMeasurementType(tvb, offset, &asn1_ctx, tree, hf_nbap_DedicatedMeasurementType_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DelayedActivation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DelayedActivation(tvb, offset, &asn1_ctx, tree, hf_nbap_DelayedActivation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_DPCH_TimingAdjustment_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_DPCH_TimingAdjustment(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_DPCH_TimingAdjustment_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_Power_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_Power(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_Power_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_PowerBalancing_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_PowerBalancing_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_PowerBalancing_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_PowerBalancing_ActivationIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_PowerBalancing_ActivationIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_PowerBalancing_ActivationIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_PowerBalancing_UpdatedIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_PowerBalancing_UpdatedIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_PowerBalancing_UpdatedIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_ScramblingCode_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_ScramblingCode(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_ScramblingCode_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_TimeslotISCPInfo_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_TimeslotISCPInfo(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_TimeslotISCPInfo_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_TimeslotISCPInfoLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_TimeslotISCPInfoLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_TimeslotISCPInfoLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DL_TPC_Pattern01Count_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DL_TPC_Pattern01Count(tvb, offset, &asn1_ctx, tree, hf_nbap_DL_TPC_Pattern01Count_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DPC_Mode_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DPC_Mode(tvb, offset, &asn1_ctx, tree, hf_nbap_DPC_Mode_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DSCH_InformationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DSCH_InformationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_DSCH_InformationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DSCH_TDD_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DSCH_TDD_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_DSCH_TDD_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_DwPCH_Power_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_DwPCH_Power(tvb, offset, &asn1_ctx, tree, hf_nbap_DwPCH_Power_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_End_Of_Audit_Sequence_Indicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_End_Of_Audit_Sequence_Indicator(tvb, offset, &asn1_ctx, tree, hf_nbap_End_Of_Audit_Sequence_Indicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_FNReportingIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_FNReportingIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_FNReportingIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDPA_Capability_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDPA_Capability(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDPA_Capability_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_DSCHProvidedBitRate_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_DSCHProvidedBitRate(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_DSCHProvidedBitRate_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_DSCHRequiredPower_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_DSCHRequiredPower(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_DSCHRequiredPower_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_DSCHRequiredPowerValue_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_DSCHRequiredPowerValue(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_DSCHRequiredPowerValue_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_FDD_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_FDD_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_FDD_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_TDD_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_TDD_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_TDD_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_Information_to_Modify_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_Information_to_Modify(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_Information_to_Modify_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_Information_to_Modify_Unsynchronised_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_Information_to_Modify_Unsynchronised(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_Information_to_Modify_Unsynchronised_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_FDD_Information_Response_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_FDD_Information_Response(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_FDD_Information_Response_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_TDD_Information_Response_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_TDD_Information_Response(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_TDD_Information_Response_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Multicarrier_Number_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Multicarrier_Number(tvb, offset, &asn1_ctx, tree, hf_nbap_Multicarrier_Number_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_MACdFlows_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_MACdFlows_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_MACdFlows_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_MACdFlows_to_Delete_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_MACdFlows_to_Delete(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_MACdFlows_to_Delete_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_Reception_Quality_Value_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_Reception_Quality_Value(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_Reception_Quality_Value_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_failed_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_failed(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_failed_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_missed_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_missed(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_missed_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_total_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_total(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_total_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_Reception_Quality_Measurement_Value_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_Reception_Quality_Measurement_Value(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_Reception_Quality_Measurement_Value_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_RNTI_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_RNTI(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_RNTI_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_PDSCH_FDD_Code_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_PDSCH_FDD_Code_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_PDSCH_FDD_Code_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SICH_ID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SICH_ID(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SICH_ID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HS_SCCH_FDD_Code_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HS_SCCH_FDD_Code_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HS_SCCH_FDD_Code_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_FDD_Update_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_FDD_Update_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_FDD_Update_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_HSDSCH_TDD_Update_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_HSDSCH_TDD_Update_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_HSDSCH_TDD_Update_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationReportCharacteristics_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationReportCharacteristics(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationReportCharacteristics_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationExchangeID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationExchangeID(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationExchangeID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InformationType_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InformationType(tvb, offset, &asn1_ctx, tree, hf_nbap_InformationType_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_InnerLoopDLPCStatus_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_InnerLoopDLPCStatus(tvb, offset, &asn1_ctx, tree, hf_nbap_InnerLoopDLPCStatus_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Local_Cell_ID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Local_Cell_ID(tvb, offset, &asn1_ctx, tree, hf_nbap_Local_Cell_ID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_LCRTDD_Uplink_Physical_Channel_Capability_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_LCRTDD_Uplink_Physical_Channel_Capability(tvb, offset, &asn1_ctx, tree, hf_nbap_LCRTDD_Uplink_Physical_Channel_Capability_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MaximumTransmissionPower_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MaximumTransmissionPower(tvb, offset, &asn1_ctx, tree, hf_nbap_MaximumTransmissionPower_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MeasurementFilterCoefficient_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MeasurementFilterCoefficient(tvb, offset, &asn1_ctx, tree, hf_nbap_MeasurementFilterCoefficient_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MeasurementID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MeasurementID(tvb, offset, &asn1_ctx, tree, hf_nbap_MeasurementID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MessageStructure_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MessageStructure(tvb, offset, &asn1_ctx, tree, hf_nbap_MessageStructure_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MICH_CFN_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MICH_CFN(tvb, offset, &asn1_ctx, tree, hf_nbap_MICH_CFN_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Modification_Period_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Modification_Period(tvb, offset, &asn1_ctx, tree, hf_nbap_Modification_Period_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NCyclesPerSFNperiod_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NCyclesPerSFNperiod(tvb, offset, &asn1_ctx, tree, hf_nbap_NCyclesPerSFNperiod_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NRepetitionsPerCyclePeriod_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NRepetitionsPerCyclePeriod(tvb, offset, &asn1_ctx, tree, hf_nbap_NRepetitionsPerCyclePeriod_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NeighbouringCellMeasurementInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NeighbouringCellMeasurementInformation(tvb, offset, &asn1_ctx, tree, hf_nbap_NeighbouringCellMeasurementInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NeighbouringTDDCellMeasurementInformationLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NeighbouringTDDCellMeasurementInformationLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_NeighbouringTDDCellMeasurementInformationLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NI_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NI_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_NI_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NodeB_CommunicationContextID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NodeB_CommunicationContextID(tvb, offset, &asn1_ctx, tree, hf_nbap_NodeB_CommunicationContextID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NumberOfReportedCellPortions_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NumberOfReportedCellPortions(tvb, offset, &asn1_ctx, tree, hf_nbap_NumberOfReportedCellPortions_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Number_Of_Supported_Carriers_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Number_Of_Supported_Carriers(tvb, offset, &asn1_ctx, tree, hf_nbap_Number_Of_Supported_Carriers_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_NSubCyclesPerCyclePeriod_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_NSubCyclesPerCyclePeriod(tvb, offset, &asn1_ctx, tree, hf_nbap_NSubCyclesPerCyclePeriod_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PowerAdjustmentType_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PowerAdjustmentType(tvb, offset, &asn1_ctx, tree, hf_nbap_PowerAdjustmentType_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Primary_CPICH_Usage_for_Channel_Estimation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Primary_CPICH_Usage_for_Channel_Estimation(tvb, offset, &asn1_ctx, tree, hf_nbap_Primary_CPICH_Usage_for_Channel_Estimation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryScramblingCode_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryScramblingCode(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryScramblingCode_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCCPCH_RSCP_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCCPCH_RSCP(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCCPCH_RSCP_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_PrimaryCCPCH_RSCP_Delta_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_PrimaryCCPCH_RSCP_Delta(tvb, offset, &asn1_ctx, tree, hf_nbap_PrimaryCCPCH_RSCP_Delta_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Specific_DCH_Info_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Specific_DCH_Info(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Specific_DCH_Info_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ReferenceClockAvailability_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ReferenceClockAvailability(tvb, offset, &asn1_ctx, tree, hf_nbap_ReferenceClockAvailability_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ReferenceSFNoffset_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ReferenceSFNoffset(tvb, offset, &asn1_ctx, tree, hf_nbap_ReferenceSFNoffset_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ReportCharacteristics_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ReportCharacteristics(tvb, offset, &asn1_ctx, tree, hf_nbap_ReportCharacteristics_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ReportCharacteristicsType_OnModification_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ReportCharacteristicsType_OnModification(tvb, offset, &asn1_ctx, tree, hf_nbap_ReportCharacteristicsType_OnModification_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_ID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_ID(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_ID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_RL_Set_ID_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_RL_Set_ID(tvb, offset, &asn1_ctx, tree, hf_nbap_RL_Set_ID_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Received_total_wide_band_power_Value_IncrDecrThres_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Received_total_wide_band_power_Value_IncrDecrThres(tvb, offset, &asn1_ctx, tree, hf_nbap_Received_total_wide_band_power_Value_IncrDecrThres_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Rx_Timing_Deviation_Value_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Rx_Timing_Deviation_Value_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_Rx_Timing_Deviation_Value_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_AdjustmentPeriod_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_AdjustmentPeriod(tvb, offset, &asn1_ctx, tree, hf_nbap_AdjustmentPeriod_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SAT_Info_Almanac_ExtList_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SAT_Info_Almanac_ExtList(tvb, offset, &asn1_ctx, tree, hf_nbap_SAT_Info_Almanac_ExtList_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ScaledAdjustmentRatio_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ScaledAdjustmentRatio(tvb, offset, &asn1_ctx, tree, hf_nbap_ScaledAdjustmentRatio_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_MaxAdjustmentStep_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_MaxAdjustmentStep(tvb, offset, &asn1_ctx, tree, hf_nbap_MaxAdjustmentStep_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Secondary_CPICH_Information_Change_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Secondary_CPICH_Information_Change(tvb, offset, &asn1_ctx, tree, hf_nbap_Secondary_CPICH_Information_Change_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SFN_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SFN(tvb, offset, &asn1_ctx, tree, hf_nbap_SFN_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SFNSFNMeasurementThresholdInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SFNSFNMeasurementThresholdInformation(tvb, offset, &asn1_ctx, tree, hf_nbap_SFNSFNMeasurementThresholdInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SFNSFNMeasurementValueInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SFNSFNMeasurementValueInformation(tvb, offset, &asn1_ctx, tree, hf_nbap_SFNSFNMeasurementValueInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_ShutdownTimer_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_ShutdownTimer(tvb, offset, &asn1_ctx, tree, hf_nbap_ShutdownTimer_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SignallingBearerRequestIndicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SignallingBearerRequestIndicator(tvb, offset, &asn1_ctx, tree, hf_nbap_SignallingBearerRequestIndicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Start_Of_Audit_Sequence_Indicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Start_Of_Audit_Sequence_Indicator(tvb, offset, &asn1_ctx, tree, hf_nbap_Start_Of_Audit_Sequence_Indicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SyncCase_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SyncCase(tvb, offset, &asn1_ctx, tree, hf_nbap_SyncCase_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SynchronisationReportCharacteristics_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SynchronisationReportCharacteristics(tvb, offset, &asn1_ctx, tree, hf_nbap_SynchronisationReportCharacteristics_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SyncDLCodeIdThreInfoLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SyncDLCodeIdThreInfoLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_SyncDLCodeIdThreInfoLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_SynchronisationReportType_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_SynchronisationReportType(tvb, offset, &asn1_ctx, tree, hf_nbap_SynchronisationReportType_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_T_Cell_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_T_Cell(tvb, offset, &asn1_ctx, tree, hf_nbap_T_Cell_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TDD_TPC_DownlinkStepSize_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TDD_TPC_DownlinkStepSize(tvb, offset, &asn1_ctx, tree, hf_nbap_TDD_TPC_DownlinkStepSize_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TDD_TPC_UplinkStepSize_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TDD_TPC_UplinkStepSize_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_TDD_TPC_UplinkStepSize_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TFCI_Presence_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TFCI_Presence(tvb, offset, &asn1_ctx, tree, hf_nbap_TFCI_Presence_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlot_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlot(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlot_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimeSlotLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimeSlotLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_TimeSlotLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimingAdjustmentValue_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimingAdjustmentValue(tvb, offset, &asn1_ctx, tree, hf_nbap_TimingAdjustmentValue_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimingAdjustmentValueLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimingAdjustmentValueLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_TimingAdjustmentValueLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TimingAdvanceApplied_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TimingAdvanceApplied(tvb, offset, &asn1_ctx, tree, hf_nbap_TimingAdvanceApplied_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TnlQos_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TnlQos(tvb, offset, &asn1_ctx, tree, hf_nbap_TnlQos_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Transmission_Gap_Pattern_Sequence_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Transmission_Gap_Pattern_Sequence_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_Transmission_Gap_Pattern_Sequence_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Transmitted_Carrier_Power_Value_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Transmitted_Carrier_Power_Value(tvb, offset, &asn1_ctx, tree, hf_nbap_Transmitted_Carrier_Power_Value_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TransmissionDiversityApplied_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TransmissionDiversityApplied(tvb, offset, &asn1_ctx, tree, hf_nbap_TransmissionDiversityApplied_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TransportLayerAddress_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TransportLayerAddress(tvb, offset, &asn1_ctx, tree, hf_nbap_TransportLayerAddress_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TSTD_Indicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TSTD_Indicator(tvb, offset, &asn1_ctx, tree, hf_nbap_TSTD_Indicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TSN_Length_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TSN_Length(tvb, offset, &asn1_ctx, tree, hf_nbap_TSN_Length_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TUTRANGPSMeasurementThresholdInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TUTRANGPSMeasurementThresholdInformation(tvb, offset, &asn1_ctx, tree, hf_nbap_TUTRANGPSMeasurementThresholdInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TUTRANGPSMeasurementValueInformation_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TUTRANGPSMeasurementValueInformation(tvb, offset, &asn1_ctx, tree, hf_nbap_TUTRANGPSMeasurementValueInformation_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_TypeOfError_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_TypeOfError(tvb, offset, &asn1_ctx, tree, hf_nbap_TypeOfError_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UARFCN_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UARFCN(tvb, offset, &asn1_ctx, tree, hf_nbap_UARFCN_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UE_Capability_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UE_Capability_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_UE_Capability_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_SIR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_SIR(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_SIR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UL_Synchronisation_Parameters_LCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UL_Synchronisation_Parameters_LCR(tvb, offset, &asn1_ctx, tree, hf_nbap_UL_Synchronisation_Parameters_LCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UPPCHPositionLCR_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UPPCHPositionLCR(tvb, offset, &asn1_ctx, tree, hf_nbap_UPPCHPositionLCR_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_Unidirectional_DCH_Indicator_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_Unidirectional_DCH_Indicator(tvb, offset, &asn1_ctx, tree, hf_nbap_Unidirectional_DCH_Indicator_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_UpPTSInterferenceValue_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_UpPTSInterferenceValue(tvb, offset, &asn1_ctx, tree, hf_nbap_UpPTSInterferenceValue_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_USCH_Information_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_USCH_Information(tvb, offset, &asn1_ctx, tree, hf_nbap_USCH_Information_PDU);
  offset += 7; offset >>= 3;
  return offset;
}
static int dissect_USCH_InformationResponse_PDU(tvbuff_t *tvb _U_, packet_info *pinfo _U_, proto_tree *tree _U_) {
  int offset = 0;
  asn1_ctx_t asn1_ctx;
  asn1_ctx_init(&asn1_ctx, ASN1_ENC_PER, TRUE, pinfo);
  offset = dissect_nbap_USCH_InformationResponse(tvb, offset, &asn1_ctx, tree, hf_nbap_USCH_InformationResponse_PDU);
  offset += 7; offset >>= 3;
  return offset;
}


/*--- End of included file: packet-nbap-fn.c ---*/
#line 84 "packet-nbap-template.c"

static int dissect_ProtocolIEFieldValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  return (dissector_try_port(nbap_ies_dissector_table, ProtocolIE_ID, tvb, pinfo, tree)) ? tvb_length(tvb) : 0;
}

static int dissect_ProtocolExtensionFieldExtensionValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  return (dissector_try_port(nbap_extension_dissector_table, ProtocolIE_ID, tvb, pinfo, tree)) ? tvb_length(tvb) : 0;
}

static int dissect_InitiatingMessageValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  if (!ProcedureID) return 0;
  return (dissector_try_string(nbap_proc_imsg_dissector_table, ProcedureID, tvb, pinfo, tree)) ? tvb_length(tvb) : 0;
}

static int dissect_SuccessfulOutcomeValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  if (!ProcedureID) return 0;
  return (dissector_try_string(nbap_proc_sout_dissector_table, ProcedureID, tvb, pinfo, tree)) ? tvb_length(tvb) : 0;
}

static int dissect_UnsuccessfulOutcomeValue(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
  if (!ProcedureID) return 0;
  return (dissector_try_string(nbap_proc_uout_dissector_table, ProcedureID, tvb, pinfo, tree)) ? tvb_length(tvb) : 0;
}

static void
dissect_nbap(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{
	proto_item	*nbap_item = NULL;
	proto_tree	*nbap_tree = NULL;

	/* make entry in the Protocol column on summary display */
	if (check_col(pinfo->cinfo, COL_PROTOCOL))
		col_set_str(pinfo->cinfo, COL_PROTOCOL, "NBAP");

	/* create the nbap protocol tree */
	nbap_item = proto_tree_add_item(tree, proto_nbap, tvb, 0, -1, FALSE);
	nbap_tree = proto_item_add_subtree(nbap_item, ett_nbap);
	
	dissect_NBAP_PDU_PDU(tvb, pinfo, nbap_tree);
}

/*--- proto_register_nbap -------------------------------------------*/
void proto_register_nbap(void) {

  /* List of fields */

  static hf_register_info hf[] = {

/*--- Included file: packet-nbap-hfarr.c ---*/
#line 1 "packet-nbap-hfarr.c"
    { &hf_nbap_NBAP_PDU_PDU,
      { "NBAP-PDU", "nbap.NBAP_PDU",
        FT_UINT32, BASE_DEC, VALS(nbap_NBAP_PDU_vals), 0,
        "nbap.NBAP_PDU", HFILL }},
    { &hf_nbap_CommonTransportChannelSetupRequestFDD_PDU,
      { "CommonTransportChannelSetupRequestFDD", "nbap.CommonTransportChannelSetupRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelSetupRequestFDD", HFILL }},
    { &hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD_PDU,
      { "CommonPhysicalChannelType-CTCH-SetupRqstFDD", "nbap.CommonPhysicalChannelType_CTCH_SetupRqstFDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD_vals), 0,
        "nbap.CommonPhysicalChannelType_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_PDU,
      { "FACH-ParametersListIE-CTCH-SetupRqstFDD", "nbap.FACH_ParametersListIE_CTCH_SetupRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_ParametersListIE_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD_PDU,
      { "PCH-ParametersItem-CTCH-SetupRqstFDD", "nbap.PCH_ParametersItem_CTCH_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_ParametersItem_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD_PDU,
      { "RACH-ParametersItem-CTCH-SetupRqstFDD", "nbap.RACH_ParametersItem_CTCH_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_ParametersItem_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_CommonTransportChannelSetupRequestTDD_PDU,
      { "CommonTransportChannelSetupRequestTDD", "nbap.CommonTransportChannelSetupRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelSetupRequestTDD", HFILL }},
    { &hf_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD_PDU,
      { "CommonPhysicalChannelType-CTCH-SetupRqstTDD", "nbap.CommonPhysicalChannelType_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD_vals), 0,
        "nbap.CommonPhysicalChannelType_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_PDU,
      { "Secondary-CCPCH-parameterListIE-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_PDU,
      { "FACH-ParametersListIE-CTCH-SetupRqstTDD", "nbap.FACH_ParametersListIE_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_ParametersListIE_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD_PDU,
      { "PCH-ParametersItem-CTCH-SetupRqstTDD", "nbap.PCH_ParametersItem_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_ParametersItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD_PDU,
      { "PICH-ParametersItem-CTCH-SetupRqstTDD", "nbap.PICH_ParametersItem_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_ParametersItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD_PDU,
      { "PICH-LCR-Parameters-CTCH-SetupRqstTDD", "nbap.PICH_LCR_Parameters_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_LCR_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_PDU,
      { "Secondary-CCPCH-LCR-parameterList-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_MICH_Parameters_CTCH_SetupRqstTDD_PDU,
      { "MICH-Parameters-CTCH-SetupRqstTDD", "nbap.MICH_Parameters_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MICH_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_PDU,
      { "Secondary-CCPCH-LCR-parameterExtendedList-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD_PDU,
      { "PRACH-ParametersItem-CTCH-SetupRqstTDD", "nbap.PRACH_ParametersItem_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_ParametersItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD_PDU,
      { "RACH-ParameterItem-CTCH-SetupRqstTDD", "nbap.RACH_ParameterItem_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_ParameterItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_PDU,
      { "PRACH-LCR-ParametersList-CTCH-SetupRqstTDD", "nbap.PRACH_LCR_ParametersList_CTCH_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PRACH_LCR_ParametersList_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD_PDU,
      { "FPACH-LCR-Parameters-CTCH-SetupRqstTDD", "nbap.FPACH_LCR_Parameters_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FPACH_LCR_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_CommonTransportChannelSetupResponse_PDU,
      { "CommonTransportChannelSetupResponse", "nbap.CommonTransportChannelSetupResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelSetupResponse", HFILL }},
    { &hf_nbap_FACH_CommonTransportChannel_InformationResponse_PDU,
      { "FACH-CommonTransportChannel-InformationResponse", "nbap.FACH_CommonTransportChannel_InformationResponse",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_CommonTransportChannel_InformationResponse", HFILL }},
    { &hf_nbap_CommonTransportChannelSetupFailure_PDU,
      { "CommonTransportChannelSetupFailure", "nbap.CommonTransportChannelSetupFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelSetupFailure", HFILL }},
    { &hf_nbap_CommonTransportChannelReconfigurationRequestFDD_PDU,
      { "CommonTransportChannelReconfigurationRequestFDD", "nbap.CommonTransportChannelReconfigurationRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelReconfigurationRequestFDD", HFILL }},
    { &hf_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_PDU,
      { "CommonPhysicalChannelType-CTCH-ReconfRqstFDD", "nbap.CommonPhysicalChannelType_CTCH_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_vals), 0,
        "nbap.CommonPhysicalChannelType_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU,
      { "FACH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.FACH_ParametersListIE_CTCH_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_ParametersListIE_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD_PDU,
      { "PCH-ParametersItem-CTCH-ReconfRqstFDD", "nbap.PCH_ParametersItem_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_ParametersItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD_PDU,
      { "PICH-ParametersItem-CTCH-ReconfRqstFDD", "nbap.PICH_ParametersItem_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_ParametersItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU,
      { "PRACH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.PRACH_ParametersListIE_CTCH_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PRACH_ParametersListIE_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_PDU,
      { "AICH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.AICH_ParametersListIE_CTCH_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AICH_ParametersListIE_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_CommonTransportChannelReconfigurationRequestTDD_PDU,
      { "CommonTransportChannelReconfigurationRequestTDD", "nbap.CommonTransportChannelReconfigurationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelReconfigurationRequestTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "Secondary-CCPCH-Parameters-CTCH-ReconfRqstTDD", "nbap.Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_PDU,
      { "Secondary-CCPCHListIE-CTCH-ReconfRqstTDD", "nbap.Secondary_CCPCHListIE_CTCH_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Secondary_CCPCHListIE_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_PICH_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "PICH-Parameters-CTCH-ReconfRqstTDD", "nbap.PICH_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_PDU,
      { "FACH-ParametersList-CTCH-ReconfRqstTDD", "nbap.FACH_ParametersList_CTCH_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_ParametersList_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_PCH_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "PCH-Parameters-CTCH-ReconfRqstTDD", "nbap.PCH_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "FPACH-LCR-Parameters-CTCH-ReconfRqstTDD", "nbap.FPACH_LCR_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FPACH_LCR_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_MICH_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "MICH-Parameters-CTCH-ReconfRqstTDD", "nbap.MICH_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MICH_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_PDU,
      { "Secondary-CCPCH-LCR-parameterExtendedList-CTCH-ReconfRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU,
      { "UPPCH-LCR-Parameters-CTCH-ReconfRqstTDD", "nbap.UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_CommonTransportChannelReconfigurationResponse_PDU,
      { "CommonTransportChannelReconfigurationResponse", "nbap.CommonTransportChannelReconfigurationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelReconfigurationResponse", HFILL }},
    { &hf_nbap_CommonTransportChannelReconfigurationFailure_PDU,
      { "CommonTransportChannelReconfigurationFailure", "nbap.CommonTransportChannelReconfigurationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelReconfigurationFailure", HFILL }},
    { &hf_nbap_CommonTransportChannelDeletionRequest_PDU,
      { "CommonTransportChannelDeletionRequest", "nbap.CommonTransportChannelDeletionRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelDeletionRequest", HFILL }},
    { &hf_nbap_CommonTransportChannelDeletionResponse_PDU,
      { "CommonTransportChannelDeletionResponse", "nbap.CommonTransportChannelDeletionResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannelDeletionResponse", HFILL }},
    { &hf_nbap_BlockResourceRequest_PDU,
      { "BlockResourceRequest", "nbap.BlockResourceRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BlockResourceRequest", HFILL }},
    { &hf_nbap_BlockResourceResponse_PDU,
      { "BlockResourceResponse", "nbap.BlockResourceResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BlockResourceResponse", HFILL }},
    { &hf_nbap_BlockResourceFailure_PDU,
      { "BlockResourceFailure", "nbap.BlockResourceFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BlockResourceFailure", HFILL }},
    { &hf_nbap_UnblockResourceIndication_PDU,
      { "UnblockResourceIndication", "nbap.UnblockResourceIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UnblockResourceIndication", HFILL }},
    { &hf_nbap_AuditRequiredIndication_PDU,
      { "AuditRequiredIndication", "nbap.AuditRequiredIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AuditRequiredIndication", HFILL }},
    { &hf_nbap_AuditRequest_PDU,
      { "AuditRequest", "nbap.AuditRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AuditRequest", HFILL }},
    { &hf_nbap_AuditResponse_PDU,
      { "AuditResponse", "nbap.AuditResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AuditResponse", HFILL }},
    { &hf_nbap_Cell_InformationList_AuditRsp_PDU,
      { "Cell-InformationList-AuditRsp", "nbap.Cell_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_Cell_InformationItem_AuditRsp_PDU,
      { "Cell-InformationItem-AuditRsp", "nbap.Cell_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_CCP_InformationList_AuditRsp_PDU,
      { "CCP-InformationList-AuditRsp", "nbap.CCP_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCP_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_CCP_InformationItem_AuditRsp_PDU,
      { "CCP-InformationItem-AuditRsp", "nbap.CCP_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCP_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_FPACH_LCR_InformationList_AuditRsp_PDU,
      { "FPACH-LCR-InformationList-AuditRsp", "nbap.FPACH_LCR_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FPACH_LCR_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_HS_DSCH_Resources_Information_AuditRsp_PDU,
      { "HS-DSCH-Resources-Information-AuditRsp", "nbap.HS_DSCH_Resources_Information_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_DSCH_Resources_Information_AuditRsp", HFILL }},
    { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_PDU,
      { "Cell-Frequency-List-Information-LCR-MulFreq-AuditRsp", "nbap.Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp", HFILL }},
    { &hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_PDU,
      { "Cell-Frequency-List-InformationItem-LCR-MulFreq-AuditRsp", "nbap.Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationList_AuditRsp_PDU,
      { "UPPCH-LCR-InformationList-AuditRsp", "nbap.UPPCH_LCR_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UPPCH_LCR_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationItem_AuditRsp_PDU,
      { "UPPCH-LCR-InformationItem-AuditRsp", "nbap.UPPCH_LCR_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UPPCH_LCR_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_PDU,
      { "MultipleFreq-HS-DSCH-Resources-InformationList-AuditRsp", "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_PDU,
      { "S-CCPCH-LCR-InformationListExt-AuditRsp", "nbap.S_CCPCH_LCR_InformationListExt_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CCPCH_LCR_InformationListExt_AuditRsp", HFILL }},
    { &hf_nbap_Local_Cell_InformationList_AuditRsp_PDU,
      { "Local-Cell-InformationList-AuditRsp", "nbap.Local_Cell_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_Local_Cell_InformationItem_AuditRsp_PDU,
      { "Local-Cell-InformationItem-AuditRsp", "nbap.Local_Cell_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationList_AuditRsp_PDU,
      { "Local-Cell-Group-InformationList-AuditRsp", "nbap.Local_Cell_Group_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_Group_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationItem_AuditRsp_PDU,
      { "Local-Cell-Group-InformationItem-AuditRsp", "nbap.Local_Cell_Group_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_Group_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_PDU,
      { "Power-Local-Cell-Group-InformationList-AuditRsp", "nbap.Power_Local_Cell_Group_InformationList_AuditRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp_PDU,
      { "Power-Local-Cell-Group-InformationItem-AuditRsp", "nbap.Power_Local_Cell_Group_InformationItem_AuditRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationItem_AuditRsp", HFILL }},
    { &hf_nbap_AuditFailure_PDU,
      { "AuditFailure", "nbap.AuditFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AuditFailure", HFILL }},
    { &hf_nbap_CommonMeasurementInitiationRequest_PDU,
      { "CommonMeasurementInitiationRequest", "nbap.CommonMeasurementInitiationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementInitiationRequest", HFILL }},
    { &hf_nbap_CommonMeasurementObjectType_CM_Rqst_PDU,
      { "CommonMeasurementObjectType-CM-Rqst", "nbap.CommonMeasurementObjectType_CM_Rqst",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementObjectType_CM_Rqst_vals), 0,
        "nbap.CommonMeasurementObjectType_CM_Rqst", HFILL }},
    { &hf_nbap_CommonMeasurementInitiationResponse_PDU,
      { "CommonMeasurementInitiationResponse", "nbap.CommonMeasurementInitiationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementInitiationResponse", HFILL }},
    { &hf_nbap_CommonMeasurementObjectType_CM_Rsp_PDU,
      { "CommonMeasurementObjectType-CM-Rsp", "nbap.CommonMeasurementObjectType_CM_Rsp",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementObjectType_CM_Rsp_vals), 0,
        "nbap.CommonMeasurementObjectType_CM_Rsp", HFILL }},
    { &hf_nbap_CommonMeasurementInitiationFailure_PDU,
      { "CommonMeasurementInitiationFailure", "nbap.CommonMeasurementInitiationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementInitiationFailure", HFILL }},
    { &hf_nbap_CommonMeasurementReport_PDU,
      { "CommonMeasurementReport", "nbap.CommonMeasurementReport",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementReport", HFILL }},
    { &hf_nbap_CommonMeasurementObjectType_CM_Rprt_PDU,
      { "CommonMeasurementObjectType-CM-Rprt", "nbap.CommonMeasurementObjectType_CM_Rprt",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementObjectType_CM_Rprt_vals), 0,
        "nbap.CommonMeasurementObjectType_CM_Rprt", HFILL }},
    { &hf_nbap_CommonMeasurementTerminationRequest_PDU,
      { "CommonMeasurementTerminationRequest", "nbap.CommonMeasurementTerminationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementTerminationRequest", HFILL }},
    { &hf_nbap_CommonMeasurementFailureIndication_PDU,
      { "CommonMeasurementFailureIndication", "nbap.CommonMeasurementFailureIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementFailureIndication", HFILL }},
    { &hf_nbap_CellSetupRequestFDD_PDU,
      { "CellSetupRequestFDD", "nbap.CellSetupRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSetupRequestFDD", HFILL }},
    { &hf_nbap_Synchronisation_Configuration_Cell_SetupRqst_PDU,
      { "Synchronisation-Configuration-Cell-SetupRqst", "nbap.Synchronisation_Configuration_Cell_SetupRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Synchronisation_Configuration_Cell_SetupRqst", HFILL }},
    { &hf_nbap_PrimarySCH_Information_Cell_SetupRqstFDD_PDU,
      { "PrimarySCH-Information-Cell-SetupRqstFDD", "nbap.PrimarySCH_Information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimarySCH_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_SecondarySCH_Information_Cell_SetupRqstFDD_PDU,
      { "SecondarySCH-Information-Cell-SetupRqstFDD", "nbap.SecondarySCH_Information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SecondarySCH_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD_PDU,
      { "PrimaryCPICH-Information-Cell-SetupRqstFDD", "nbap.PrimaryCPICH_Information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimaryCPICH_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_PDU,
      { "SecondaryCPICH-InformationList-Cell-SetupRqstFDD", "nbap.SecondaryCPICH_InformationList_Cell_SetupRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SecondaryCPICH_InformationList_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_PDU,
      { "SecondaryCPICH-InformationItem-Cell-SetupRqstFDD", "nbap.SecondaryCPICH_InformationItem_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SecondaryCPICH_InformationItem_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD_PDU,
      { "PrimaryCCPCH-Information-Cell-SetupRqstFDD", "nbap.PrimaryCCPCH_Information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimaryCCPCH_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_Limited_power_increase_information_Cell_SetupRqstFDD_PDU,
      { "Limited-power-increase-information-Cell-SetupRqstFDD", "nbap.Limited_power_increase_information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Limited_power_increase_information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_Cell_SetupRqstFDD_PDU,
      { "IPDLParameter-Information-Cell-SetupRqstFDD", "nbap.IPDLParameter_Information_Cell_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_CellSetupRequestTDD_PDU,
      { "CellSetupRequestTDD", "nbap.CellSetupRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSetupRequestTDD", HFILL }},
    { &hf_nbap_SCH_Information_Cell_SetupRqstTDD_PDU,
      { "SCH-Information-Cell-SetupRqstTDD", "nbap.SCH_Information_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SCH_Information_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_PDU,
      { "SyncCaseIndicatorItem-Cell-SetupRqstTDD-PSCH", "nbap.SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH",
        FT_UINT32, BASE_DEC, VALS(nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_vals), 0,
        "nbap.SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH", HFILL }},
    { &hf_nbap_PCCPCH_Information_Cell_SetupRqstTDD_PDU,
      { "PCCPCH-Information-Cell-SetupRqstTDD", "nbap.PCCPCH_Information_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCCPCH_Information_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_PDU,
      { "TimeSlotConfigurationList-Cell-SetupRqstTDD", "nbap.TimeSlotConfigurationList_Cell_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_PDU,
      { "TimeSlotConfigurationList-LCR-Cell-SetupRqstTDD", "nbap.TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD_PDU,
      { "PCCPCH-LCR-Information-Cell-SetupRqstTDD", "nbap.PCCPCH_LCR_Information_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCCPCH_LCR_Information_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD_PDU,
      { "DwPCH-LCR-Information-Cell-SetupRqstTDD", "nbap.DwPCH_LCR_Information_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DwPCH_LCR_Information_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_Cell_SetupRqstTDD_PDU,
      { "IPDLParameter-Information-Cell-SetupRqstTDD", "nbap.IPDLParameter_Information_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD_PDU,
      { "IPDLParameter-Information-LCR-Cell-SetupRqstTDD", "nbap.IPDLParameter_Information_LCR_Cell_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_LCR_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_PDU,
      { "Cell-Frequency-List-LCR-MulFreq-Cell-SetupRqstTDD", "nbap.Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_CellSetupResponse_PDU,
      { "CellSetupResponse", "nbap.CellSetupResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSetupResponse", HFILL }},
    { &hf_nbap_CellSetupFailure_PDU,
      { "CellSetupFailure", "nbap.CellSetupFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSetupFailure", HFILL }},
    { &hf_nbap_CellReconfigurationRequestFDD_PDU,
      { "CellReconfigurationRequestFDD", "nbap.CellReconfigurationRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellReconfigurationRequestFDD", HFILL }},
    { &hf_nbap_Synchronisation_Configuration_Cell_ReconfRqst_PDU,
      { "Synchronisation-Configuration-Cell-ReconfRqst", "nbap.Synchronisation_Configuration_Cell_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Synchronisation_Configuration_Cell_ReconfRqst", HFILL }},
    { &hf_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD_PDU,
      { "PrimarySCH-Information-Cell-ReconfRqstFDD", "nbap.PrimarySCH_Information_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimarySCH_Information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD_PDU,
      { "SecondarySCH-Information-Cell-ReconfRqstFDD", "nbap.SecondarySCH_Information_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SecondarySCH_Information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD_PDU,
      { "PrimaryCPICH-Information-Cell-ReconfRqstFDD", "nbap.PrimaryCPICH_Information_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimaryCPICH_Information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_PDU,
      { "SecondaryCPICH-InformationList-Cell-ReconfRqstFDD", "nbap.SecondaryCPICH_InformationList_Cell_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SecondaryCPICH_InformationList_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_PDU,
      { "SecondaryCPICH-InformationItem-Cell-ReconfRqstFDD", "nbap.SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD_PDU,
      { "PrimaryCCPCH-Information-Cell-ReconfRqstFDD", "nbap.PrimaryCCPCH_Information_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrimaryCCPCH_Information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD_PDU,
      { "IPDLParameter-Information-Cell-ReconfRqstFDD", "nbap.IPDLParameter_Information_Cell_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_CellReconfigurationRequestTDD_PDU,
      { "CellReconfigurationRequestTDD", "nbap.CellReconfigurationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellReconfigurationRequestTDD", HFILL }},
    { &hf_nbap_SCH_Information_Cell_ReconfRqstTDD_PDU,
      { "SCH-Information-Cell-ReconfRqstTDD", "nbap.SCH_Information_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SCH_Information_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_PCCPCH_Information_Cell_ReconfRqstTDD_PDU,
      { "PCCPCH-Information-Cell-ReconfRqstTDD", "nbap.PCCPCH_Information_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCCPCH_Information_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_PDU,
      { "TimeSlotConfigurationList-Cell-ReconfRqstTDD", "nbap.TimeSlotConfigurationList_Cell_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_PDU,
      { "TimeSlotConfigurationList-LCR-Cell-ReconfRqstTDD", "nbap.TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD_PDU,
      { "DwPCH-LCR-Information-Cell-ReconfRqstTDD", "nbap.DwPCH_LCR_Information_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DwPCH_LCR_Information_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD_PDU,
      { "IPDLParameter-Information-Cell-ReconfRqstTDD", "nbap.IPDLParameter_Information_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_PDU,
      { "IPDLParameter-Information-LCR-Cell-ReconfRqstTDD", "nbap.IPDLParameter_Information_LCR_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDLParameter_Information_LCR_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_CellReconfigurationResponse_PDU,
      { "CellReconfigurationResponse", "nbap.CellReconfigurationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellReconfigurationResponse", HFILL }},
    { &hf_nbap_CellReconfigurationFailure_PDU,
      { "CellReconfigurationFailure", "nbap.CellReconfigurationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellReconfigurationFailure", HFILL }},
    { &hf_nbap_CellDeletionRequest_PDU,
      { "CellDeletionRequest", "nbap.CellDeletionRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellDeletionRequest", HFILL }},
    { &hf_nbap_CellDeletionResponse_PDU,
      { "CellDeletionResponse", "nbap.CellDeletionResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellDeletionResponse", HFILL }},
    { &hf_nbap_ResourceStatusIndication_PDU,
      { "ResourceStatusIndication", "nbap.ResourceStatusIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ResourceStatusIndication", HFILL }},
    { &hf_nbap_IndicationType_ResourceStatusInd_PDU,
      { "IndicationType-ResourceStatusInd", "nbap.IndicationType_ResourceStatusInd",
        FT_UINT32, BASE_DEC, VALS(nbap_IndicationType_ResourceStatusInd_vals), 0,
        "nbap.IndicationType_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_InformationItem_ResourceStatusInd_PDU,
      { "Local-Cell-InformationItem-ResourceStatusInd", "nbap.Local_Cell_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU,
      { "Local-Cell-Group-InformationItem-ResourceStatusInd", "nbap.Local_Cell_Group_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_Group_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_PDU,
      { "Power-Local-Cell-Group-InformationList-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationList_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU,
      { "Power-Local-Cell-Group-InformationItem-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_InformationItem2_ResourceStatusInd_PDU,
      { "Local-Cell-InformationItem2-ResourceStatusInd", "nbap.Local_Cell_InformationItem2_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_InformationItem2_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU,
      { "Local-Cell-Group-InformationItem2-ResourceStatusInd", "nbap.Local_Cell_Group_InformationItem2_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Local_Cell_Group_InformationItem2_ResourceStatusInd", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_PDU,
      { "Power-Local-Cell-Group-InformationList2-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationList2_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationList2_ResourceStatusInd", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU,
      { "Power-Local-Cell-Group-InformationItem2-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationItem2_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Power_Local_Cell_Group_InformationItem2_ResourceStatusInd", HFILL }},
    { &hf_nbap_CCP_InformationItem_ResourceStatusInd_PDU,
      { "CCP-InformationItem-ResourceStatusInd", "nbap.CCP_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCP_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_Cell_InformationItem_ResourceStatusInd_PDU,
      { "Cell-InformationItem-ResourceStatusInd", "nbap.Cell_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_PDU,
      { "FPACH-LCR-InformationList-ResourceStatusInd", "nbap.FPACH_LCR_InformationList_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FPACH_LCR_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_DwPCH_LCR_Information_ResourceStatusInd_PDU,
      { "DwPCH-LCR-Information-ResourceStatusInd", "nbap.DwPCH_LCR_Information_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DwPCH_LCR_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_HS_DSCH_Resources_Information_ResourceStatusInd_PDU,
      { "HS-DSCH-Resources-Information-ResourceStatusInd", "nbap.HS_DSCH_Resources_Information_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_DSCH_Resources_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_PDU,
      { "Cell-Frequency-List-Information-LCR-MulFreq-ResourceStatusInd", "nbap.Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd", HFILL }},
    { &hf_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_PDU,
      { "Cell-Frequency-List-InformationItem-LCR-MulFreq-ResourceStatusInd", "nbap.Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_PDU,
      { "UPPCH-LCR-InformationList-ResourceStatusInd", "nbap.UPPCH_LCR_InformationList_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UPPCH_LCR_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd_PDU,
      { "UPPCH-LCR-InformationItem-ResourceStatusInd", "nbap.UPPCH_LCR_InformationItem_ResourceStatusInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UPPCH_LCR_InformationItem_ResourceStatusInd", HFILL }},
    { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_PDU,
      { "MultipleFreq-HS-DSCH-Resources-InformationList-ResourceStatusInd", "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_PDU,
      { "S-CCPCH-LCR-InformationListExt-ResourceStatusInd", "nbap.S_CCPCH_LCR_InformationListExt_ResourceStatusInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CCPCH_LCR_InformationListExt_ResourceStatusInd", HFILL }},
    { &hf_nbap_SystemInformationUpdateRequest_PDU,
      { "SystemInformationUpdateRequest", "nbap.SystemInformationUpdateRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SystemInformationUpdateRequest", HFILL }},
    { &hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_PDU,
      { "MIB-SB-SIB-InformationList-SystemInfoUpdateRqst", "nbap.MIB_SB_SIB_InformationList_SystemInfoUpdateRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MIB_SB_SIB_InformationList_SystemInfoUpdateRqst", HFILL }},
    { &hf_nbap_SegmentInformationListIE_SystemInfoUpdate_PDU,
      { "SegmentInformationListIE-SystemInfoUpdate", "nbap.SegmentInformationListIE_SystemInfoUpdate",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SegmentInformationListIE_SystemInfoUpdate", HFILL }},
    { &hf_nbap_SystemInformationUpdateResponse_PDU,
      { "SystemInformationUpdateResponse", "nbap.SystemInformationUpdateResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SystemInformationUpdateResponse", HFILL }},
    { &hf_nbap_SystemInformationUpdateFailure_PDU,
      { "SystemInformationUpdateFailure", "nbap.SystemInformationUpdateFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SystemInformationUpdateFailure", HFILL }},
    { &hf_nbap_RadioLinkSetupRequestFDD_PDU,
      { "RadioLinkSetupRequestFDD", "nbap.RadioLinkSetupRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupRequestFDD", HFILL }},
    { &hf_nbap_UL_DPCH_Information_RL_SetupRqstFDD_PDU,
      { "UL-DPCH-Information-RL-SetupRqstFDD", "nbap.UL_DPCH_Information_RL_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_Information_RL_SetupRqstFDD", HFILL }},
    { &hf_nbap_DL_DPCH_Information_RL_SetupRqstFDD_PDU,
      { "DL-DPCH-Information-RL-SetupRqstFDD", "nbap.DL_DPCH_Information_RL_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_Information_RL_SetupRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_SetupRqstFDD_PDU,
      { "RL-InformationList-RL-SetupRqstFDD", "nbap.RL_InformationList_RL_SetupRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_SetupRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_SetupRqstFDD_PDU,
      { "RL-InformationItem-RL-SetupRqstFDD", "nbap.RL_InformationItem_RL_SetupRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_SetupRqstFDD", HFILL }},
    { &hf_nbap_RadioLinkSetupRequestTDD_PDU,
      { "RadioLinkSetupRequestTDD", "nbap.RadioLinkSetupRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupRequestTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU,
      { "UL-CCTrCH-InformationList-RL-SetupRqstTDD", "nbap.UL_CCTrCH_InformationList_RL_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationList_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU,
      { "UL-CCTrCH-InformationItem-RL-SetupRqstTDD", "nbap.UL_CCTrCH_InformationItem_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationItem_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD_PDU,
      { "UL-DPCH-InformationItem-RL-SetupRqstTDD", "nbap.UL_DPCH_InformationItem_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationItem_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU,
      { "UL-DPCH-LCR-Information-RL-SetupRqstTDD", "nbap.UL_DPCH_LCR_Information_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_LCR_Information_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU,
      { "DL-CCTrCH-InformationList-RL-SetupRqstTDD", "nbap.DL_CCTrCH_InformationList_RL_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationList_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU,
      { "DL-CCTrCH-InformationItem-RL-SetupRqstTDD", "nbap.DL_CCTrCH_InformationItem_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationItem_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD_PDU,
      { "DL-DPCH-InformationItem-RL-SetupRqstTDD", "nbap.DL_DPCH_InformationItem_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationItem_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU,
      { "DL-DPCH-LCR-Information-RL-SetupRqstTDD", "nbap.DL_DPCH_LCR_Information_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_Information_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_RL_Information_RL_SetupRqstTDD_PDU,
      { "RL-Information-RL-SetupRqstTDD", "nbap.RL_Information_RL_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_RadioLinkSetupResponseFDD_PDU,
      { "RadioLinkSetupResponseFDD", "nbap.RadioLinkSetupResponseFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupResponseFDD", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_PDU,
      { "RL-InformationResponseList-RL-SetupRspFDD", "nbap.RL_InformationResponseList_RL_SetupRspFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationResponseList_RL_SetupRspFDD", HFILL }},
    { &hf_nbap_RL_InformationResponseItem_RL_SetupRspFDD_PDU,
      { "RL-InformationResponseItem-RL-SetupRspFDD", "nbap.RL_InformationResponseItem_RL_SetupRspFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponseItem_RL_SetupRspFDD", HFILL }},
    { &hf_nbap_RadioLinkSetupResponseTDD_PDU,
      { "RadioLinkSetupResponseTDD", "nbap.RadioLinkSetupResponseTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupResponseTDD", HFILL }},
    { &hf_nbap_RL_InformationResponse_RL_SetupRspTDD_PDU,
      { "RL-InformationResponse-RL-SetupRspTDD", "nbap.RL_InformationResponse_RL_SetupRspTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponse_RL_SetupRspTDD", HFILL }},
    { &hf_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD_PDU,
      { "RL-InformationResponse-LCR-RL-SetupRspTDD", "nbap.RL_InformationResponse_LCR_RL_SetupRspTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponse_LCR_RL_SetupRspTDD", HFILL }},
    { &hf_nbap_RadioLinkSetupFailureFDD_PDU,
      { "RadioLinkSetupFailureFDD", "nbap.RadioLinkSetupFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupFailureFDD", HFILL }},
    { &hf_nbap_CauseLevel_RL_SetupFailureFDD_PDU,
      { "CauseLevel-RL-SetupFailureFDD", "nbap.CauseLevel_RL_SetupFailureFDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_RL_SetupFailureFDD_vals), 0,
        "nbap.CauseLevel_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_PDU,
      { "Unsuccessful-RL-InformationRespItem-RL-SetupFailureFDD", "nbap.Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD_PDU,
      { "Successful-RL-InformationRespItem-RL-SetupFailureFDD", "nbap.Successful_RL_InformationRespItem_RL_SetupFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Successful_RL_InformationRespItem_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_RadioLinkSetupFailureTDD_PDU,
      { "RadioLinkSetupFailureTDD", "nbap.RadioLinkSetupFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkSetupFailureTDD", HFILL }},
    { &hf_nbap_CauseLevel_RL_SetupFailureTDD_PDU,
      { "CauseLevel-RL-SetupFailureTDD", "nbap.CauseLevel_RL_SetupFailureTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_RL_SetupFailureTDD_vals), 0,
        "nbap.CauseLevel_RL_SetupFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_PDU,
      { "Unsuccessful-RL-InformationResp-RL-SetupFailureTDD", "nbap.Unsuccessful_RL_InformationResp_RL_SetupFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationResp_RL_SetupFailureTDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionRequestFDD_PDU,
      { "RadioLinkAdditionRequestFDD", "nbap.RadioLinkAdditionRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionRequestFDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_AdditionRqstFDD_PDU,
      { "RL-InformationList-RL-AdditionRqstFDD", "nbap.RL_InformationList_RL_AdditionRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_AdditionRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_AdditionRqstFDD_PDU,
      { "RL-InformationItem-RL-AdditionRqstFDD", "nbap.RL_InformationItem_RL_AdditionRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_AdditionRqstFDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionRequestTDD_PDU,
      { "RadioLinkAdditionRequestTDD", "nbap.RadioLinkAdditionRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionRequestTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU,
      { "UL-CCTrCH-InformationList-RL-AdditionRqstTDD", "nbap.UL_CCTrCH_InformationList_RL_AdditionRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationList_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU,
      { "UL-DPCH-InformationItem-RL-AdditionRqstTDD", "nbap.UL_DPCH_InformationItem_RL_AdditionRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationItem_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU,
      { "DL-CCTrCH-InformationList-RL-AdditionRqstTDD", "nbap.DL_CCTrCH_InformationList_RL_AdditionRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationList_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU,
      { "DL-DPCH-InformationItem-RL-AdditionRqstTDD", "nbap.DL_DPCH_InformationItem_RL_AdditionRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationItem_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_RL_Information_RL_AdditionRqstTDD_PDU,
      { "RL-Information-RL-AdditionRqstTDD", "nbap.RL_Information_RL_AdditionRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU,
      { "UL-DPCH-InformationItem-LCR-RL-AdditionRqstTDD", "nbap.UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU,
      { "DL-DPCH-InformationItem-LCR-RL-AdditionRqstTDD", "nbap.DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionResponseFDD_PDU,
      { "RadioLinkAdditionResponseFDD", "nbap.RadioLinkAdditionResponseFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionResponseFDD", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_PDU,
      { "RL-InformationResponseList-RL-AdditionRspFDD", "nbap.RL_InformationResponseList_RL_AdditionRspFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationResponseList_RL_AdditionRspFDD", HFILL }},
    { &hf_nbap_RL_InformationResponseItem_RL_AdditionRspFDD_PDU,
      { "RL-InformationResponseItem-RL-AdditionRspFDD", "nbap.RL_InformationResponseItem_RL_AdditionRspFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponseItem_RL_AdditionRspFDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionResponseTDD_PDU,
      { "RadioLinkAdditionResponseTDD", "nbap.RadioLinkAdditionResponseTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionResponseTDD", HFILL }},
    { &hf_nbap_RL_InformationResponse_RL_AdditionRspTDD_PDU,
      { "RL-InformationResponse-RL-AdditionRspTDD", "nbap.RL_InformationResponse_RL_AdditionRspTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponse_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD_PDU,
      { "RL-InformationResponse-LCR-RL-AdditionRspTDD", "nbap.RL_InformationResponse_LCR_RL_AdditionRspTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponse_LCR_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionFailureFDD_PDU,
      { "RadioLinkAdditionFailureFDD", "nbap.RadioLinkAdditionFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionFailureFDD", HFILL }},
    { &hf_nbap_CauseLevel_RL_AdditionFailureFDD_PDU,
      { "CauseLevel-RL-AdditionFailureFDD", "nbap.CauseLevel_RL_AdditionFailureFDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_RL_AdditionFailureFDD_vals), 0,
        "nbap.CauseLevel_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU,
      { "Unsuccessful-RL-InformationRespItem-RL-AdditionFailureFDD", "nbap.Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU,
      { "Successful-RL-InformationRespItem-RL-AdditionFailureFDD", "nbap.Successful_RL_InformationRespItem_RL_AdditionFailureFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Successful_RL_InformationRespItem_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_RadioLinkAdditionFailureTDD_PDU,
      { "RadioLinkAdditionFailureTDD", "nbap.RadioLinkAdditionFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkAdditionFailureTDD", HFILL }},
    { &hf_nbap_CauseLevel_RL_AdditionFailureTDD_PDU,
      { "CauseLevel-RL-AdditionFailureTDD", "nbap.CauseLevel_RL_AdditionFailureTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_RL_AdditionFailureTDD_vals), 0,
        "nbap.CauseLevel_RL_AdditionFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_PDU,
      { "Unsuccessful-RL-InformationResp-RL-AdditionFailureTDD", "nbap.Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationPrepareFDD_PDU,
      { "RadioLinkReconfigurationPrepareFDD", "nbap.RadioLinkReconfigurationPrepareFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationPrepareFDD", HFILL }},
    { &hf_nbap_UL_DPCH_Information_RL_ReconfPrepFDD_PDU,
      { "UL-DPCH-Information-RL-ReconfPrepFDD", "nbap.UL_DPCH_Information_RL_ReconfPrepFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_Information_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_DL_DPCH_Information_RL_ReconfPrepFDD_PDU,
      { "DL-DPCH-Information-RL-ReconfPrepFDD", "nbap.DL_DPCH_Information_RL_ReconfPrepFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_Information_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_PDU,
      { "DCH-DeleteList-RL-ReconfPrepFDD", "nbap.DCH_DeleteList_RL_ReconfPrepFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_DeleteList_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_ReconfPrepFDD_PDU,
      { "RL-InformationList-RL-ReconfPrepFDD", "nbap.RL_InformationList_RL_ReconfPrepFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_ReconfPrepFDD_PDU,
      { "RL-InformationItem-RL-ReconfPrepFDD", "nbap.RL_InformationItem_RL_ReconfPrepFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationPrepareTDD_PDU,
      { "RadioLinkReconfigurationPrepareTDD", "nbap.RadioLinkReconfigurationPrepareTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationPrepareTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "UL-CCTrCH-InformationAddList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "MultipleRL-UL-DPCH-InformationAddList-RL-ReconfPrepTDD", "nbap.MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-InformationAddItem-RL-ReconfPrepTDD", "nbap.UL_DPCH_InformationAddItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationAddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-LCR-InformationAddList-RL-ReconfPrepTDD", "nbap.UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU,
      { "UL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU,
      { "MultipleRL-UL-DPCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-InformationModify-AddItem-RL-ReconfPrepTDD", "nbap.UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-LCR-InformationModify-AddList-RL-ReconfPrepTDD", "nbap.UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-InformationModify-ModifyItem-RL-ReconfPrepTDD", "nbap.UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU,
      { "UL-TimeslotLCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU,
      { "UL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD", "nbap.UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU,
      { "UL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "DL-CCTrCH-InformationAddList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "MultipleRL-DL-DPCH-InformationAddList-RL-ReconfPrepTDD", "nbap.MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-InformationAddItem-RL-ReconfPrepTDD", "nbap.DL_DPCH_InformationAddItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationAddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-LCR-InformationAddList-RL-ReconfPrepTDD", "nbap.DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU,
      { "DL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU,
      { "MultipleRL-DL-DPCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-InformationModify-AddItem-RL-ReconfPrepTDD", "nbap.DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-LCR-InformationModify-AddList-RL-ReconfPrepTDD", "nbap.DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-InformationModify-ModifyItem-RL-ReconfPrepTDD", "nbap.DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU,
      { "DL-Timeslot-LCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU,
      { "DL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD", "nbap.DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU,
      { "DL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_PDU,
      { "DCH-DeleteList-RL-ReconfPrepTDD", "nbap.DCH_DeleteList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_DeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_PDU,
      { "DSCH-Information-ModifyList-RL-ReconfPrepTDD", "nbap.DSCH_Information_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_Information_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_PDU,
      { "DSCH-Information-DeleteList-RL-ReconfPrepTDD", "nbap.DSCH_Information_DeleteList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_Information_DeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_PDU,
      { "USCH-Information-ModifyList-RL-ReconfPrepTDD", "nbap.USCH_Information_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_Information_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_PDU,
      { "USCH-Information-DeleteList-RL-ReconfPrepTDD", "nbap.USCH_Information_DeleteList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_Information_DeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_PDU,
      { "MultipleRL-Information-RL-ReconfPrepTDD", "nbap.MultipleRL_Information_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_Information_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_RL_Information_RL_ReconfPrepTDD_PDU,
      { "RL-Information-RL-ReconfPrepTDD", "nbap.RL_Information_RL_ReconfPrepTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationReady_PDU,
      { "RadioLinkReconfigurationReady", "nbap.RadioLinkReconfigurationReady",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationReady", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_ReconfReady_PDU,
      { "RL-InformationResponseList-RL-ReconfReady", "nbap.RL_InformationResponseList_RL_ReconfReady",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationResponseList_RL_ReconfReady", HFILL }},
    { &hf_nbap_RL_InformationResponseItem_RL_ReconfReady_PDU,
      { "RL-InformationResponseItem-RL-ReconfReady", "nbap.RL_InformationResponseItem_RL_ReconfReady",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponseItem_RL_ReconfReady", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationFailure_PDU,
      { "RadioLinkReconfigurationFailure", "nbap.RadioLinkReconfigurationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationFailure", HFILL }},
    { &hf_nbap_CauseLevel_RL_ReconfFailure_PDU,
      { "CauseLevel-RL-ReconfFailure", "nbap.CauseLevel_RL_ReconfFailure",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_RL_ReconfFailure_vals), 0,
        "nbap.CauseLevel_RL_ReconfFailure", HFILL }},
    { &hf_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure_PDU,
      { "RL-ReconfigurationFailureItem-RL-ReconfFailure", "nbap.RL_ReconfigurationFailureItem_RL_ReconfFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_ReconfigurationFailureItem_RL_ReconfFailure", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationCommit_PDU,
      { "RadioLinkReconfigurationCommit", "nbap.RadioLinkReconfigurationCommit",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationCommit", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationCancel_PDU,
      { "RadioLinkReconfigurationCancel", "nbap.RadioLinkReconfigurationCancel",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationCancel", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationRequestFDD_PDU,
      { "RadioLinkReconfigurationRequestFDD", "nbap.RadioLinkReconfigurationRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationRequestFDD", HFILL }},
    { &hf_nbap_UL_DPCH_Information_RL_ReconfRqstFDD_PDU,
      { "UL-DPCH-Information-RL-ReconfRqstFDD", "nbap.UL_DPCH_Information_RL_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_Information_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_DL_DPCH_Information_RL_ReconfRqstFDD_PDU,
      { "DL-DPCH-Information-RL-ReconfRqstFDD", "nbap.DL_DPCH_Information_RL_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_Information_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_PDU,
      { "DCH-DeleteList-RL-ReconfRqstFDD", "nbap.DCH_DeleteList_RL_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_DeleteList_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_ReconfRqstFDD_PDU,
      { "RL-InformationList-RL-ReconfRqstFDD", "nbap.RL_InformationList_RL_ReconfRqstFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_ReconfRqstFDD_PDU,
      { "RL-InformationItem-RL-ReconfRqstFDD", "nbap.RL_InformationItem_RL_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationRequestTDD_PDU,
      { "RadioLinkReconfigurationRequestTDD", "nbap.RadioLinkReconfigurationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationRequestTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU,
      { "UL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU,
      { "UL-CCTrCH-InformationModifyItem-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU,
      { "UL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU,
      { "UL-CCTrCH-InformationDeleteItem-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU,
      { "DL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU,
      { "DL-CCTrCH-InformationModifyItem-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU,
      { "MultipleRL-DL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_PDU,
      { "DL-DPCH-LCR-InformationModify-ModifyList-RL-ReconfRqstTDD", "nbap.DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU,
      { "DL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU,
      { "DL-CCTrCH-InformationDeleteItem-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_PDU,
      { "DCH-DeleteList-RL-ReconfRqstTDD", "nbap.DCH_DeleteList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_DeleteList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_PDU,
      { "Multiple-RL-Information-RL-ReconfRqstTDD", "nbap.Multiple_RL_Information_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Multiple_RL_Information_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_RL_Information_RL_ReconfRqstTDD_PDU,
      { "RL-Information-RL-ReconfRqstTDD", "nbap.RL_Information_RL_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_RadioLinkReconfigurationResponse_PDU,
      { "RadioLinkReconfigurationResponse", "nbap.RadioLinkReconfigurationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkReconfigurationResponse", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_ReconfRsp_PDU,
      { "RL-InformationResponseList-RL-ReconfRsp", "nbap.RL_InformationResponseList_RL_ReconfRsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationResponseList_RL_ReconfRsp", HFILL }},
    { &hf_nbap_RL_InformationResponseItem_RL_ReconfRsp_PDU,
      { "RL-InformationResponseItem-RL-ReconfRsp", "nbap.RL_InformationResponseItem_RL_ReconfRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationResponseItem_RL_ReconfRsp", HFILL }},
    { &hf_nbap_RadioLinkDeletionRequest_PDU,
      { "RadioLinkDeletionRequest", "nbap.RadioLinkDeletionRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkDeletionRequest", HFILL }},
    { &hf_nbap_RL_informationList_RL_DeletionRqst_PDU,
      { "RL-informationList-RL-DeletionRqst", "nbap.RL_informationList_RL_DeletionRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_informationList_RL_DeletionRqst", HFILL }},
    { &hf_nbap_RL_informationItem_RL_DeletionRqst_PDU,
      { "RL-informationItem-RL-DeletionRqst", "nbap.RL_informationItem_RL_DeletionRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_informationItem_RL_DeletionRqst", HFILL }},
    { &hf_nbap_RadioLinkDeletionResponse_PDU,
      { "RadioLinkDeletionResponse", "nbap.RadioLinkDeletionResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkDeletionResponse", HFILL }},
    { &hf_nbap_DL_PowerControlRequest_PDU,
      { "DL-PowerControlRequest", "nbap.DL_PowerControlRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_PowerControlRequest", HFILL }},
    { &hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_PDU,
      { "DL-ReferencePowerInformationList-DL-PC-Rqst", "nbap.DL_ReferencePowerInformationList_DL_PC_Rqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_ReferencePowerInformationList_DL_PC_Rqst", HFILL }},
    { &hf_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst_PDU,
      { "DL-ReferencePowerInformationItem-DL-PC-Rqst", "nbap.DL_ReferencePowerInformationItem_DL_PC_Rqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_ReferencePowerInformationItem_DL_PC_Rqst", HFILL }},
    { &hf_nbap_DL_PowerTimeslotControlRequest_PDU,
      { "DL-PowerTimeslotControlRequest", "nbap.DL_PowerTimeslotControlRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_PowerTimeslotControlRequest", HFILL }},
    { &hf_nbap_DedicatedMeasurementInitiationRequest_PDU,
      { "DedicatedMeasurementInitiationRequest", "nbap.DedicatedMeasurementInitiationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementInitiationRequest", HFILL }},
    { &hf_nbap_DedicatedMeasurementObjectType_DM_Rqst_PDU,
      { "DedicatedMeasurementObjectType-DM-Rqst", "nbap.DedicatedMeasurementObjectType_DM_Rqst",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementObjectType_DM_Rqst_vals), 0,
        "nbap.DedicatedMeasurementObjectType_DM_Rqst", HFILL }},
    { &hf_nbap_RL_InformationItem_DM_Rqst_PDU,
      { "RL-InformationItem-DM-Rqst", "nbap.RL_InformationItem_DM_Rqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_DM_Rqst", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rqst_PDU,
      { "PUSCH-Info-DM-Rqst", "nbap.PUSCH_Info_DM_Rqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_Info_DM_Rqst", HFILL }},
    { &hf_nbap_HSSICH_Info_DM_Rqst_PDU,
      { "HSSICH-Info-DM-Rqst", "nbap.HSSICH_Info_DM_Rqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSSICH_Info_DM_Rqst", HFILL }},
    { &hf_nbap_DedicatedMeasurementInitiationResponse_PDU,
      { "DedicatedMeasurementInitiationResponse", "nbap.DedicatedMeasurementInitiationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementInitiationResponse", HFILL }},
    { &hf_nbap_DedicatedMeasurementObjectType_DM_Rsp_PDU,
      { "DedicatedMeasurementObjectType-DM-Rsp", "nbap.DedicatedMeasurementObjectType_DM_Rsp",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementObjectType_DM_Rsp_vals), 0,
        "nbap.DedicatedMeasurementObjectType_DM_Rsp", HFILL }},
    { &hf_nbap_RL_InformationItem_DM_Rsp_PDU,
      { "RL-InformationItem-DM-Rsp", "nbap.RL_InformationItem_DM_Rsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_DM_Rsp", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rsp_PDU,
      { "PUSCH-Info-DM-Rsp", "nbap.PUSCH_Info_DM_Rsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_Info_DM_Rsp", HFILL }},
    { &hf_nbap_RL_Set_InformationItem_DM_Rsp_PDU,
      { "RL-Set-InformationItem-DM-Rsp", "nbap.RL_Set_InformationItem_DM_Rsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_InformationItem_DM_Rsp", HFILL }},
    { &hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_PDU,
      { "Multiple-HSSICHMeasurementValueList-TDD-DM-Rsp", "nbap.Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp", HFILL }},
    { &hf_nbap_DedicatedMeasurementInitiationFailure_PDU,
      { "DedicatedMeasurementInitiationFailure", "nbap.DedicatedMeasurementInitiationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementInitiationFailure", HFILL }},
    { &hf_nbap_DedicatedMeasurementReport_PDU,
      { "DedicatedMeasurementReport", "nbap.DedicatedMeasurementReport",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementReport", HFILL }},
    { &hf_nbap_DedicatedMeasurementObjectType_DM_Rprt_PDU,
      { "DedicatedMeasurementObjectType-DM-Rprt", "nbap.DedicatedMeasurementObjectType_DM_Rprt",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementObjectType_DM_Rprt_vals), 0,
        "nbap.DedicatedMeasurementObjectType_DM_Rprt", HFILL }},
    { &hf_nbap_RL_InformationItem_DM_Rprt_PDU,
      { "RL-InformationItem-DM-Rprt", "nbap.RL_InformationItem_DM_Rprt",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_DM_Rprt", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rprt_PDU,
      { "PUSCH-Info-DM-Rprt", "nbap.PUSCH_Info_DM_Rprt",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_Info_DM_Rprt", HFILL }},
    { &hf_nbap_RL_Set_InformationItem_DM_Rprt_PDU,
      { "RL-Set-InformationItem-DM-Rprt", "nbap.RL_Set_InformationItem_DM_Rprt",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_InformationItem_DM_Rprt", HFILL }},
    { &hf_nbap_DedicatedMeasurementTerminationRequest_PDU,
      { "DedicatedMeasurementTerminationRequest", "nbap.DedicatedMeasurementTerminationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementTerminationRequest", HFILL }},
    { &hf_nbap_DedicatedMeasurementFailureIndication_PDU,
      { "DedicatedMeasurementFailureIndication", "nbap.DedicatedMeasurementFailureIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementFailureIndication", HFILL }},
    { &hf_nbap_RadioLinkFailureIndication_PDU,
      { "RadioLinkFailureIndication", "nbap.RadioLinkFailureIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkFailureIndication", HFILL }},
    { &hf_nbap_Reporting_Object_RL_FailureInd_PDU,
      { "Reporting-Object-RL-FailureInd", "nbap.Reporting_Object_RL_FailureInd",
        FT_UINT32, BASE_DEC, VALS(nbap_Reporting_Object_RL_FailureInd_vals), 0,
        "nbap.Reporting_Object_RL_FailureInd", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_FailureInd_PDU,
      { "RL-InformationItem-RL-FailureInd", "nbap.RL_InformationItem_RL_FailureInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_FailureInd", HFILL }},
    { &hf_nbap_RL_Set_InformationItem_RL_FailureInd_PDU,
      { "RL-Set-InformationItem-RL-FailureInd", "nbap.RL_Set_InformationItem_RL_FailureInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_InformationItem_RL_FailureInd", HFILL }},
    { &hf_nbap_CCTrCH_InformationItem_RL_FailureInd_PDU,
      { "CCTrCH-InformationItem-RL-FailureInd", "nbap.CCTrCH_InformationItem_RL_FailureInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_InformationItem_RL_FailureInd", HFILL }},
    { &hf_nbap_RadioLinkPreemptionRequiredIndication_PDU,
      { "RadioLinkPreemptionRequiredIndication", "nbap.RadioLinkPreemptionRequiredIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkPreemptionRequiredIndication", HFILL }},
    { &hf_nbap_RL_InformationList_RL_PreemptRequiredInd_PDU,
      { "RL-InformationList-RL-PreemptRequiredInd", "nbap.RL_InformationList_RL_PreemptRequiredInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_PreemptRequiredInd", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_PreemptRequiredInd_PDU,
      { "RL-InformationItem-RL-PreemptRequiredInd", "nbap.RL_InformationItem_RL_PreemptRequiredInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_PreemptRequiredInd", HFILL }},
    { &hf_nbap_RadioLinkRestoreIndication_PDU,
      { "RadioLinkRestoreIndication", "nbap.RadioLinkRestoreIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkRestoreIndication", HFILL }},
    { &hf_nbap_Reporting_Object_RL_RestoreInd_PDU,
      { "Reporting-Object-RL-RestoreInd", "nbap.Reporting_Object_RL_RestoreInd",
        FT_UINT32, BASE_DEC, VALS(nbap_Reporting_Object_RL_RestoreInd_vals), 0,
        "nbap.Reporting_Object_RL_RestoreInd", HFILL }},
    { &hf_nbap_RL_InformationItem_RL_RestoreInd_PDU,
      { "RL-InformationItem-RL-RestoreInd", "nbap.RL_InformationItem_RL_RestoreInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_InformationItem_RL_RestoreInd", HFILL }},
    { &hf_nbap_RL_Set_InformationItem_RL_RestoreInd_PDU,
      { "RL-Set-InformationItem-RL-RestoreInd", "nbap.RL_Set_InformationItem_RL_RestoreInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_InformationItem_RL_RestoreInd", HFILL }},
    { &hf_nbap_CCTrCH_InformationItem_RL_RestoreInd_PDU,
      { "CCTrCH-InformationItem-RL-RestoreInd", "nbap.CCTrCH_InformationItem_RL_RestoreInd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_InformationItem_RL_RestoreInd", HFILL }},
    { &hf_nbap_CompressedModeCommand_PDU,
      { "CompressedModeCommand", "nbap.CompressedModeCommand",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CompressedModeCommand", HFILL }},
    { &hf_nbap_ErrorIndication_PDU,
      { "ErrorIndication", "nbap.ErrorIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ErrorIndication", HFILL }},
    { &hf_nbap_PrivateMessage_PDU,
      { "PrivateMessage", "nbap.PrivateMessage",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrivateMessage", HFILL }},
    { &hf_nbap_PhysicalSharedChannelReconfigurationRequestFDD_PDU,
      { "PhysicalSharedChannelReconfigurationRequestFDD", "nbap.PhysicalSharedChannelReconfigurationRequestFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PhysicalSharedChannelReconfigurationRequestFDD", HFILL }},
    { &hf_nbap_PhysicalSharedChannelReconfigurationRequestTDD_PDU,
      { "PhysicalSharedChannelReconfigurationRequestTDD", "nbap.PhysicalSharedChannelReconfigurationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PhysicalSharedChannelReconfigurationRequestTDD", HFILL }},
    { &hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_PDU,
      { "PDSCHSets-AddList-PSCH-ReconfRqst", "nbap.PDSCHSets_AddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PDSCHSets_AddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst_PDU,
      { "PDSCH-Information-AddItem-PSCH-ReconfRqst", "nbap.PDSCH_Information_AddItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_Information_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU,
      { "PDSCH-AddInformation-LCR-AddItem-PSCH-ReconfRqst", "nbap.PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_PDU,
      { "PDSCHSets-ModifyList-PSCH-ReconfRqst", "nbap.PDSCHSets_ModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PDSCHSets_ModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU,
      { "PDSCH-Information-ModifyItem-PSCH-ReconfRqst", "nbap.PDSCH_Information_ModifyItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_Information_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU,
      { "PDSCH-ModifyInformation-LCR-ModifyItem-PSCH-ReconfRqst", "nbap.PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_PDU,
      { "PDSCHSets-DeleteList-PSCH-ReconfRqst", "nbap.PDSCHSets_DeleteList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PDSCHSets_DeleteList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_PDU,
      { "PUSCHSets-AddList-PSCH-ReconfRqst", "nbap.PUSCHSets_AddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCHSets_AddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst_PDU,
      { "PUSCH-Information-AddItem-PSCH-ReconfRqst", "nbap.PUSCH_Information_AddItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_Information_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU,
      { "PUSCH-AddInformation-LCR-AddItem-PSCH-ReconfRqst", "nbap.PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_PDU,
      { "PUSCHSets-ModifyList-PSCH-ReconfRqst", "nbap.PUSCHSets_ModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCHSets_ModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU,
      { "PUSCH-Information-ModifyItem-PSCH-ReconfRqst", "nbap.PUSCH_Information_ModifyItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_Information_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU,
      { "PUSCH-ModifyInformation-LCR-ModifyItem-PSCH-ReconfRqst", "nbap.PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_PDU,
      { "PUSCHSets-DeleteList-PSCH-ReconfRqst", "nbap.PUSCHSets_DeleteList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCHSets_DeleteList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst_PDU,
      { "HS-PDSCH-TDD-Information-PSCH-ReconfRqst", "nbap.HS_PDSCH_TDD_Information_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_PDSCH_TDD_Information_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_PDU,
      { "MultipleFreq-DL-HS-PDSCH-Timeslot-Information-LCR-PSCH-ReconfRqst", "nbap.MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_PDU,
      { "MultipleFreq-DL-HS-PDSCH-Timeslot-Information-LCRItem-PSCH-ReconfRqst", "nbap.MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU,
      { "Add-To-HS-SCCH-Resource-Pool-PSCH-ReconfRqst", "nbap.Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU,
      { "Modify-HS-SCCH-Resource-Pool-PSCH-ReconfRqst", "nbap.Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU,
      { "Delete-From-HS-SCCH-Resource-Pool-PSCH-ReconfRqst", "nbap.Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PhysicalSharedChannelReconfigurationResponse_PDU,
      { "PhysicalSharedChannelReconfigurationResponse", "nbap.PhysicalSharedChannelReconfigurationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PhysicalSharedChannelReconfigurationResponse", HFILL }},
    { &hf_nbap_PhysicalSharedChannelReconfigurationFailure_PDU,
      { "PhysicalSharedChannelReconfigurationFailure", "nbap.PhysicalSharedChannelReconfigurationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PhysicalSharedChannelReconfigurationFailure", HFILL }},
    { &hf_nbap_CauseLevel_PSCH_ReconfFailure_PDU,
      { "CauseLevel-PSCH-ReconfFailure", "nbap.CauseLevel_PSCH_ReconfFailure",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_PSCH_ReconfFailure_vals), 0,
        "nbap.CauseLevel_PSCH_ReconfFailure", HFILL }},
    { &hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_PDU,
      { "UARFCNSpecificCauseList-PSCH-ReconfFailureTDD", "nbap.UARFCNSpecificCauseList_PSCH_ReconfFailureTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UARFCNSpecificCauseList_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_PDU,
      { "Unsuccessful-UARFCNItem-PSCH-ReconfFailureTDD", "nbap.Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_PDU,
      { "Unsuccessful-PDSCHSetItem-PSCH-ReconfFailureTDD", "nbap.Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_PDU,
      { "Unsuccessful-PUSCHSetItem-PSCH-ReconfFailureTDD", "nbap.Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_ResetRequest_PDU,
      { "ResetRequest", "nbap.ResetRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ResetRequest", HFILL }},
    { &hf_nbap_ResetIndicator_PDU,
      { "ResetIndicator", "nbap.ResetIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_ResetIndicator_vals), 0,
        "nbap.ResetIndicator", HFILL }},
    { &hf_nbap_CommunicationContextInfoItem_Reset_PDU,
      { "CommunicationContextInfoItem-Reset", "nbap.CommunicationContextInfoItem_Reset",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommunicationContextInfoItem_Reset", HFILL }},
    { &hf_nbap_CommunicationControlPortInfoItem_Reset_PDU,
      { "CommunicationControlPortInfoItem-Reset", "nbap.CommunicationControlPortInfoItem_Reset",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommunicationControlPortInfoItem_Reset", HFILL }},
    { &hf_nbap_ResetResponse_PDU,
      { "ResetResponse", "nbap.ResetResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ResetResponse", HFILL }},
    { &hf_nbap_InformationExchangeInitiationRequest_PDU,
      { "InformationExchangeInitiationRequest", "nbap.InformationExchangeInitiationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationExchangeInitiationRequest", HFILL }},
    { &hf_nbap_InformationExchangeObjectType_InfEx_Rqst_PDU,
      { "InformationExchangeObjectType-InfEx-Rqst", "nbap.InformationExchangeObjectType_InfEx_Rqst",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationExchangeObjectType_InfEx_Rqst_vals), 0,
        "nbap.InformationExchangeObjectType_InfEx_Rqst", HFILL }},
    { &hf_nbap_InformationExchangeInitiationResponse_PDU,
      { "InformationExchangeInitiationResponse", "nbap.InformationExchangeInitiationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationExchangeInitiationResponse", HFILL }},
    { &hf_nbap_InformationExchangeObjectType_InfEx_Rsp_PDU,
      { "InformationExchangeObjectType-InfEx-Rsp", "nbap.InformationExchangeObjectType_InfEx_Rsp",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationExchangeObjectType_InfEx_Rsp_vals), 0,
        "nbap.InformationExchangeObjectType_InfEx_Rsp", HFILL }},
    { &hf_nbap_InformationExchangeInitiationFailure_PDU,
      { "InformationExchangeInitiationFailure", "nbap.InformationExchangeInitiationFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationExchangeInitiationFailure", HFILL }},
    { &hf_nbap_InformationReport_PDU,
      { "InformationReport", "nbap.InformationReport",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationReport", HFILL }},
    { &hf_nbap_InformationExchangeObjectType_InfEx_Rprt_PDU,
      { "InformationExchangeObjectType-InfEx-Rprt", "nbap.InformationExchangeObjectType_InfEx_Rprt",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationExchangeObjectType_InfEx_Rprt_vals), 0,
        "nbap.InformationExchangeObjectType_InfEx_Rprt", HFILL }},
    { &hf_nbap_InformationExchangeTerminationRequest_PDU,
      { "InformationExchangeTerminationRequest", "nbap.InformationExchangeTerminationRequest",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationExchangeTerminationRequest", HFILL }},
    { &hf_nbap_InformationExchangeFailureIndication_PDU,
      { "InformationExchangeFailureIndication", "nbap.InformationExchangeFailureIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationExchangeFailureIndication", HFILL }},
    { &hf_nbap_CellSynchronisationInitiationRequestTDD_PDU,
      { "CellSynchronisationInitiationRequestTDD", "nbap.CellSynchronisationInitiationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationInitiationRequestTDD", HFILL }},
    { &hf_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD_PDU,
      { "CellSyncBurstTransInit-CellSyncInitiationRqstTDD", "nbap.CellSyncBurstTransInit_CellSyncInitiationRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstTransInit_CellSyncInitiationRqstTDD", HFILL }},
    { &hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_PDU,
      { "TimeslotInfo-CellSyncInitiationRqstTDD", "nbap.TimeslotInfo_CellSyncInitiationRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeslotInfo_CellSyncInitiationRqstTDD", HFILL }},
    { &hf_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_PDU,
      { "CellSyncBurstMeasureInit-CellSyncInitiationRqstTDD", "nbap.CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_PDU,
      { "SYNCDlCodeId-TransInitLCR-CellSyncInitiationRqstTDD", "nbap.SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_PDU,
      { "SYNCDlCodeId-MeasureInitLCR-CellSyncInitiationRqstTDD", "nbap.SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD", HFILL }},
    { &hf_nbap_CellSynchronisationInitiationResponseTDD_PDU,
      { "CellSynchronisationInitiationResponseTDD", "nbap.CellSynchronisationInitiationResponseTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationInitiationResponseTDD", HFILL }},
    { &hf_nbap_CellSynchronisationInitiationFailureTDD_PDU,
      { "CellSynchronisationInitiationFailureTDD", "nbap.CellSynchronisationInitiationFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationInitiationFailureTDD", HFILL }},
    { &hf_nbap_CellSynchronisationReconfigurationRequestTDD_PDU,
      { "CellSynchronisationReconfigurationRequestTDD", "nbap.CellSynchronisationReconfigurationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationReconfigurationRequestTDD", HFILL }},
    { &hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_PDU,
      { "CellSyncBurstTransReconfInfo-CellSyncReconfRqstTDD", "nbap.CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_PDU,
      { "CellSyncBurstMeasInfo-CellSyncReconfRqstTDD", "nbap.CellSyncBurstMeasInfo_CellSyncReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstMeasInfo_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_PDU,
      { "CellSyncBurstMeasInfoListIE-CellSyncReconfRqstTDD", "nbap.CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_PDU,
      { "SYNCDlCodeIdTransReconfInfoLCR-CellSyncReconfRqstTDD", "nbap.SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_PDU,
      { "SYNCDlCodeIdMeasInfoLCR-CellSyncReconfRqstTDD", "nbap.SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_CellSynchronisationReconfigurationResponseTDD_PDU,
      { "CellSynchronisationReconfigurationResponseTDD", "nbap.CellSynchronisationReconfigurationResponseTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationReconfigurationResponseTDD", HFILL }},
    { &hf_nbap_CellSynchronisationReconfigurationFailureTDD_PDU,
      { "CellSynchronisationReconfigurationFailureTDD", "nbap.CellSynchronisationReconfigurationFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationReconfigurationFailureTDD", HFILL }},
    { &hf_nbap_CellSynchronisationAdjustmentRequestTDD_PDU,
      { "CellSynchronisationAdjustmentRequestTDD", "nbap.CellSynchronisationAdjustmentRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationAdjustmentRequestTDD", HFILL }},
    { &hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_PDU,
      { "CellAdjustmentInfo-SyncAdjustmentRqstTDD", "nbap.CellAdjustmentInfo_SyncAdjustmentRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellAdjustmentInfo_SyncAdjustmentRqstTDD", HFILL }},
    { &hf_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_PDU,
      { "CellAdjustmentInfoItem-SyncAdjustmentRqstTDD", "nbap.CellAdjustmentInfoItem_SyncAdjustmentRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellAdjustmentInfoItem_SyncAdjustmentRqstTDD", HFILL }},
    { &hf_nbap_CellSynchronisationAdjustmentResponseTDD_PDU,
      { "CellSynchronisationAdjustmentResponseTDD", "nbap.CellSynchronisationAdjustmentResponseTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationAdjustmentResponseTDD", HFILL }},
    { &hf_nbap_CellSynchronisationAdjustmentFailureTDD_PDU,
      { "CellSynchronisationAdjustmentFailureTDD", "nbap.CellSynchronisationAdjustmentFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationAdjustmentFailureTDD", HFILL }},
    { &hf_nbap_CauseLevel_SyncAdjustmntFailureTDD_PDU,
      { "CauseLevel-SyncAdjustmntFailureTDD", "nbap.CauseLevel_SyncAdjustmntFailureTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseLevel_SyncAdjustmntFailureTDD_vals), 0,
        "nbap.CauseLevel_SyncAdjustmntFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_PDU,
      { "Unsuccessful-cell-InformationRespItem-SyncAdjustmntFailureTDD", "nbap.Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD", HFILL }},
    { &hf_nbap_CellSynchronisationTerminationRequestTDD_PDU,
      { "CellSynchronisationTerminationRequestTDD", "nbap.CellSynchronisationTerminationRequestTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationTerminationRequestTDD", HFILL }},
    { &hf_nbap_CellSynchronisationFailureIndicationTDD_PDU,
      { "CellSynchronisationFailureIndicationTDD", "nbap.CellSynchronisationFailureIndicationTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationFailureIndicationTDD", HFILL }},
    { &hf_nbap_CellSynchronisationReportTDD_PDU,
      { "CellSynchronisationReportTDD", "nbap.CellSynchronisationReportTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSynchronisationReportTDD", HFILL }},
    { &hf_nbap_CellSyncInfo_CellSyncReprtTDD_PDU,
      { "CellSyncInfo-CellSyncReprtTDD", "nbap.CellSyncInfo_CellSyncReprtTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncInfo_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_SyncReportType_CellSyncReprtTDD_PDU,
      { "SyncReportType-CellSyncReprtTDD", "nbap.SyncReportType_CellSyncReprtTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_SyncReportType_CellSyncReprtTDD_vals), 0,
        "nbap.SyncReportType_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_PDU,
      { "SyncDLCodeIdsMeasInfoList-CellSyncReprtTDD", "nbap.SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_BearerRearrangementIndication_PDU,
      { "BearerRearrangementIndication", "nbap.BearerRearrangementIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BearerRearrangementIndication", HFILL }},
    { &hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_PDU,
      { "DCH-RearrangeList-Bearer-RearrangeInd", "nbap.DCH_RearrangeList_Bearer_RearrangeInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_RearrangeList_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_PDU,
      { "DSCH-RearrangeList-Bearer-RearrangeInd", "nbap.DSCH_RearrangeList_Bearer_RearrangeInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_RearrangeList_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_PDU,
      { "USCH-RearrangeList-Bearer-RearrangeInd", "nbap.USCH_RearrangeList_Bearer_RearrangeInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_RearrangeList_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_PDU,
      { "HSDSCH-RearrangeList-Bearer-RearrangeInd", "nbap.HSDSCH_RearrangeList_Bearer_RearrangeInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_RearrangeList_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_RadioLinkActivationCommandFDD_PDU,
      { "RadioLinkActivationCommandFDD", "nbap.RadioLinkActivationCommandFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkActivationCommandFDD", HFILL }},
    { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_PDU,
      { "DelayedActivationInformationList-RL-ActivationCmdFDD", "nbap.DelayedActivationInformationList_RL_ActivationCmdFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DelayedActivationInformationList_RL_ActivationCmdFDD", HFILL }},
    { &hf_nbap_DelayedActivationInformation_RL_ActivationCmdFDD_PDU,
      { "DelayedActivationInformation-RL-ActivationCmdFDD", "nbap.DelayedActivationInformation_RL_ActivationCmdFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DelayedActivationInformation_RL_ActivationCmdFDD", HFILL }},
    { &hf_nbap_RadioLinkActivationCommandTDD_PDU,
      { "RadioLinkActivationCommandTDD", "nbap.RadioLinkActivationCommandTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkActivationCommandTDD", HFILL }},
    { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_PDU,
      { "DelayedActivationInformationList-RL-ActivationCmdTDD", "nbap.DelayedActivationInformationList_RL_ActivationCmdTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DelayedActivationInformationList_RL_ActivationCmdTDD", HFILL }},
    { &hf_nbap_DelayedActivationInformation_RL_ActivationCmdTDD_PDU,
      { "DelayedActivationInformation-RL-ActivationCmdTDD", "nbap.DelayedActivationInformation_RL_ActivationCmdTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DelayedActivationInformation_RL_ActivationCmdTDD", HFILL }},
    { &hf_nbap_RadioLinkParameterUpdateIndicationFDD_PDU,
      { "RadioLinkParameterUpdateIndicationFDD", "nbap.RadioLinkParameterUpdateIndicationFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkParameterUpdateIndicationFDD", HFILL }},
    { &hf_nbap_RadioLinkParameterUpdateIndicationTDD_PDU,
      { "RadioLinkParameterUpdateIndicationTDD", "nbap.RadioLinkParameterUpdateIndicationTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RadioLinkParameterUpdateIndicationTDD", HFILL }},
    { &hf_nbap_MBMSNotificationUpdateCommand_PDU,
      { "MBMSNotificationUpdateCommand", "nbap.MBMSNotificationUpdateCommand",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MBMSNotificationUpdateCommand", HFILL }},
    { &hf_nbap_Active_Pattern_Sequence_Information_PDU,
      { "Active-Pattern-Sequence-Information", "nbap.Active_Pattern_Sequence_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Active_Pattern_Sequence_Information", HFILL }},
    { &hf_nbap_Angle_Of_Arrival_Value_LCR_PDU,
      { "Angle-Of-Arrival-Value-LCR", "nbap.Angle_Of_Arrival_Value_LCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Angle_Of_Arrival_Value_LCR", HFILL }},
    { &hf_nbap_BCCH_ModificationTime_PDU,
      { "BCCH-ModificationTime", "nbap.BCCH_ModificationTime",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.BCCH_ModificationTime", HFILL }},
    { &hf_nbap_Best_Cell_Portions_Value_PDU,
      { "Best-Cell-Portions-Value", "nbap.Best_Cell_Portions_Value",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Best_Cell_Portions_Value", HFILL }},
    { &hf_nbap_BindingID_PDU,
      { "BindingID", "nbap.BindingID",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BindingID", HFILL }},
    { &hf_nbap_BlockingPriorityIndicator_PDU,
      { "BlockingPriorityIndicator", "nbap.BlockingPriorityIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_BlockingPriorityIndicator_vals), 0,
        "nbap.BlockingPriorityIndicator", HFILL }},
    { &hf_nbap_BroadcastCommonTransportBearerIndication_PDU,
      { "BroadcastCommonTransportBearerIndication", "nbap.BroadcastCommonTransportBearerIndication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BroadcastCommonTransportBearerIndication", HFILL }},
    { &hf_nbap_BroadcastReference_PDU,
      { "BroadcastReference", "nbap.BroadcastReference",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BroadcastReference", HFILL }},
    { &hf_nbap_Cause_PDU,
      { "Cause", "nbap.Cause",
        FT_UINT32, BASE_DEC, VALS(nbap_Cause_vals), 0,
        "nbap.Cause", HFILL }},
    { &hf_nbap_CellParameterID_PDU,
      { "CellParameterID", "nbap.CellParameterID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellParameterID", HFILL }},
    { &hf_nbap_CellSyncBurstRepetitionPeriod_PDU,
      { "CellSyncBurstRepetitionPeriod", "nbap.CellSyncBurstRepetitionPeriod",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstRepetitionPeriod", HFILL }},
    { &hf_nbap_CFN_PDU,
      { "CFN", "nbap.CFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_C_ID_PDU,
      { "C-ID", "nbap.C_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.C_ID", HFILL }},
    { &hf_nbap_Closedlooptimingadjustmentmode_PDU,
      { "Closedlooptimingadjustmentmode", "nbap.Closedlooptimingadjustmentmode",
        FT_UINT32, BASE_DEC, VALS(nbap_Closedlooptimingadjustmentmode_vals), 0,
        "nbap.Closedlooptimingadjustmentmode", HFILL }},
    { &hf_nbap_CommonMeasurementAccuracy_PDU,
      { "CommonMeasurementAccuracy", "nbap.CommonMeasurementAccuracy",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementAccuracy_vals), 0,
        "nbap.CommonMeasurementAccuracy", HFILL }},
    { &hf_nbap_CommonMeasurementType_PDU,
      { "CommonMeasurementType", "nbap.CommonMeasurementType",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementType_vals), 0,
        "nbap.CommonMeasurementType", HFILL }},
    { &hf_nbap_CommonPhysicalChannelID_PDU,
      { "CommonPhysicalChannelID", "nbap.CommonPhysicalChannelID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonPhysicalChannelID", HFILL }},
    { &hf_nbap_Common_PhysicalChannel_Status_Information_PDU,
      { "Common-PhysicalChannel-Status-Information", "nbap.Common_PhysicalChannel_Status_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Common_PhysicalChannel_Status_Information", HFILL }},
    { &hf_nbap_CommonTransportChannel_InformationResponse_PDU,
      { "CommonTransportChannel-InformationResponse", "nbap.CommonTransportChannel_InformationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannel_InformationResponse", HFILL }},
    { &hf_nbap_Common_TransportChannel_Status_Information_PDU,
      { "Common-TransportChannel-Status-Information", "nbap.Common_TransportChannel_Status_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Common_TransportChannel_Status_Information", HFILL }},
    { &hf_nbap_CommunicationControlPortID_PDU,
      { "CommunicationControlPortID", "nbap.CommunicationControlPortID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommunicationControlPortID", HFILL }},
    { &hf_nbap_Compressed_Mode_Deactivation_Flag_PDU,
      { "Compressed-Mode-Deactivation-Flag", "nbap.Compressed_Mode_Deactivation_Flag",
        FT_UINT32, BASE_DEC, VALS(nbap_Compressed_Mode_Deactivation_Flag_vals), 0,
        "nbap.Compressed_Mode_Deactivation_Flag", HFILL }},
    { &hf_nbap_ConfigurationGenerationID_PDU,
      { "ConfigurationGenerationID", "nbap.ConfigurationGenerationID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ConfigurationGenerationID", HFILL }},
    { &hf_nbap_ConstantValue_PDU,
      { "ConstantValue", "nbap.ConstantValue",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.ConstantValue", HFILL }},
    { &hf_nbap_ControlGAP_PDU,
      { "ControlGAP", "nbap.ControlGAP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ControlGAP", HFILL }},
    { &hf_nbap_CriticalityDiagnostics_PDU,
      { "CriticalityDiagnostics", "nbap.CriticalityDiagnostics",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CriticalityDiagnostics", HFILL }},
    { &hf_nbap_CRNC_CommunicationContextID_PDU,
      { "CRNC-CommunicationContextID", "nbap.CRNC_CommunicationContextID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CRNC_CommunicationContextID", HFILL }},
    { &hf_nbap_CSBMeasurementID_PDU,
      { "CSBMeasurementID", "nbap.CSBMeasurementID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CSBMeasurementID", HFILL }},
    { &hf_nbap_CSBTransmissionID_PDU,
      { "CSBTransmissionID", "nbap.CSBTransmissionID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CSBTransmissionID", HFILL }},
    { &hf_nbap_DCH_FDD_Information_PDU,
      { "DCH-FDD-Information", "nbap.DCH_FDD_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_FDD_Information", HFILL }},
    { &hf_nbap_DCH_InformationResponse_PDU,
      { "DCH-InformationResponse", "nbap.DCH_InformationResponse",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_InformationResponse", HFILL }},
    { &hf_nbap_DCH_TDD_Information_PDU,
      { "DCH-TDD-Information", "nbap.DCH_TDD_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_TDD_Information", HFILL }},
    { &hf_nbap_FDD_DCHs_to_Modify_PDU,
      { "FDD-DCHs-to-Modify", "nbap.FDD_DCHs_to_Modify",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_DCHs_to_Modify", HFILL }},
    { &hf_nbap_TDD_DCHs_to_Modify_PDU,
      { "TDD-DCHs-to-Modify", "nbap.TDD_DCHs_to_Modify",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_DCHs_to_Modify", HFILL }},
    { &hf_nbap_DedicatedMeasurementType_PDU,
      { "DedicatedMeasurementType", "nbap.DedicatedMeasurementType",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementType_vals), 0,
        "nbap.DedicatedMeasurementType", HFILL }},
    { &hf_nbap_DelayedActivation_PDU,
      { "DelayedActivation", "nbap.DelayedActivation",
        FT_UINT32, BASE_DEC, VALS(nbap_DelayedActivation_vals), 0,
        "nbap.DelayedActivation", HFILL }},
    { &hf_nbap_DL_DPCH_TimingAdjustment_PDU,
      { "DL-DPCH-TimingAdjustment", "nbap.DL_DPCH_TimingAdjustment",
        FT_UINT32, BASE_DEC, VALS(nbap_DL_DPCH_TimingAdjustment_vals), 0,
        "nbap.DL_DPCH_TimingAdjustment", HFILL }},
    { &hf_nbap_DL_Power_PDU,
      { "DL-Power", "nbap.DL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_DL_PowerBalancing_Information_PDU,
      { "DL-PowerBalancing-Information", "nbap.DL_PowerBalancing_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_PowerBalancing_Information", HFILL }},
    { &hf_nbap_DL_PowerBalancing_ActivationIndicator_PDU,
      { "DL-PowerBalancing-ActivationIndicator", "nbap.DL_PowerBalancing_ActivationIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_DL_PowerBalancing_ActivationIndicator_vals), 0,
        "nbap.DL_PowerBalancing_ActivationIndicator", HFILL }},
    { &hf_nbap_DL_PowerBalancing_UpdatedIndicator_PDU,
      { "DL-PowerBalancing-UpdatedIndicator", "nbap.DL_PowerBalancing_UpdatedIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_DL_PowerBalancing_UpdatedIndicator_vals), 0,
        "nbap.DL_PowerBalancing_UpdatedIndicator", HFILL }},
    { &hf_nbap_DL_ScramblingCode_PDU,
      { "DL-ScramblingCode", "nbap.DL_ScramblingCode",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_ScramblingCode", HFILL }},
    { &hf_nbap_DL_TimeslotISCPInfo_PDU,
      { "DL-TimeslotISCPInfo", "nbap.DL_TimeslotISCPInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotISCPInfo", HFILL }},
    { &hf_nbap_DL_TimeslotISCPInfoLCR_PDU,
      { "DL-TimeslotISCPInfoLCR", "nbap.DL_TimeslotISCPInfoLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotISCPInfoLCR", HFILL }},
    { &hf_nbap_DL_TPC_Pattern01Count_PDU,
      { "DL-TPC-Pattern01Count", "nbap.DL_TPC_Pattern01Count",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TPC_Pattern01Count", HFILL }},
    { &hf_nbap_DPC_Mode_PDU,
      { "DPC-Mode", "nbap.DPC_Mode",
        FT_UINT32, BASE_DEC, VALS(nbap_DPC_Mode_vals), 0,
        "nbap.DPC_Mode", HFILL }},
    { &hf_nbap_DSCH_InformationResponse_PDU,
      { "DSCH-InformationResponse", "nbap.DSCH_InformationResponse",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_InformationResponse", HFILL }},
    { &hf_nbap_DSCH_TDD_Information_PDU,
      { "DSCH-TDD-Information", "nbap.DSCH_TDD_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_TDD_Information", HFILL }},
    { &hf_nbap_DwPCH_Power_PDU,
      { "DwPCH-Power", "nbap.DwPCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DwPCH_Power", HFILL }},
    { &hf_nbap_End_Of_Audit_Sequence_Indicator_PDU,
      { "End-Of-Audit-Sequence-Indicator", "nbap.End_Of_Audit_Sequence_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_End_Of_Audit_Sequence_Indicator_vals), 0,
        "nbap.End_Of_Audit_Sequence_Indicator", HFILL }},
    { &hf_nbap_FNReportingIndicator_PDU,
      { "FNReportingIndicator", "nbap.FNReportingIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_FNReportingIndicator_vals), 0,
        "nbap.FNReportingIndicator", HFILL }},
    { &hf_nbap_HSDPA_Capability_PDU,
      { "HSDPA-Capability", "nbap.HSDPA_Capability",
        FT_UINT32, BASE_DEC, VALS(nbap_HSDPA_Capability_vals), 0,
        "nbap.HSDPA_Capability", HFILL }},
    { &hf_nbap_HS_DSCHProvidedBitRate_PDU,
      { "HS-DSCHProvidedBitRate", "nbap.HS_DSCHProvidedBitRate",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHProvidedBitRate", HFILL }},
    { &hf_nbap_HS_DSCHRequiredPower_PDU,
      { "HS-DSCHRequiredPower", "nbap.HS_DSCHRequiredPower",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHRequiredPower", HFILL }},
    { &hf_nbap_HS_DSCHRequiredPowerValue_PDU,
      { "HS-DSCHRequiredPowerValue", "nbap.HS_DSCHRequiredPowerValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHRequiredPowerValue", HFILL }},
    { &hf_nbap_HSDSCH_FDD_Information_PDU,
      { "HSDSCH-FDD-Information", "nbap.HSDSCH_FDD_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_FDD_Information", HFILL }},
    { &hf_nbap_HSDSCH_TDD_Information_PDU,
      { "HSDSCH-TDD-Information", "nbap.HSDSCH_TDD_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_TDD_Information", HFILL }},
    { &hf_nbap_HSDSCH_Information_to_Modify_PDU,
      { "HSDSCH-Information-to-Modify", "nbap.HSDSCH_Information_to_Modify",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_Information_to_Modify", HFILL }},
    { &hf_nbap_HSDSCH_Information_to_Modify_Unsynchronised_PDU,
      { "HSDSCH-Information-to-Modify-Unsynchronised", "nbap.HSDSCH_Information_to_Modify_Unsynchronised",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_Information_to_Modify_Unsynchronised", HFILL }},
    { &hf_nbap_HSDSCH_FDD_Information_Response_PDU,
      { "HSDSCH-FDD-Information-Response", "nbap.HSDSCH_FDD_Information_Response",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_FDD_Information_Response", HFILL }},
    { &hf_nbap_HSDSCH_TDD_Information_Response_PDU,
      { "HSDSCH-TDD-Information-Response", "nbap.HSDSCH_TDD_Information_Response",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_TDD_Information_Response", HFILL }},
    { &hf_nbap_Multicarrier_Number_PDU,
      { "Multicarrier-Number", "nbap.Multicarrier_Number",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Multicarrier_Number", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlows_Information_PDU,
      { "HSDSCH-MACdFlows-Information", "nbap.HSDSCH_MACdFlows_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlows_Information", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlows_to_Delete_PDU,
      { "HSDSCH-MACdFlows-to-Delete", "nbap.HSDSCH_MACdFlows_to_Delete",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlows_to_Delete", HFILL }},
    { &hf_nbap_HS_SICH_Reception_Quality_Value_PDU,
      { "HS-SICH-Reception-Quality-Value", "nbap.HS_SICH_Reception_Quality_Value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SICH_Reception_Quality_Value", HFILL }},
    { &hf_nbap_HS_SICH_failed_PDU,
      { "HS-SICH-failed", "nbap.HS_SICH_failed",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_failed", HFILL }},
    { &hf_nbap_HS_SICH_missed_PDU,
      { "HS-SICH-missed", "nbap.HS_SICH_missed",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_missed", HFILL }},
    { &hf_nbap_HS_SICH_total_PDU,
      { "HS-SICH-total", "nbap.HS_SICH_total",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_total", HFILL }},
    { &hf_nbap_HS_SICH_Reception_Quality_Measurement_Value_PDU,
      { "HS-SICH-Reception-Quality-Measurement-Value", "nbap.HS_SICH_Reception_Quality_Measurement_Value",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_Reception_Quality_Measurement_Value", HFILL }},
    { &hf_nbap_HSDSCH_RNTI_PDU,
      { "HSDSCH-RNTI", "nbap.HSDSCH_RNTI",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_RNTI", HFILL }},
    { &hf_nbap_HS_PDSCH_FDD_Code_Information_PDU,
      { "HS-PDSCH-FDD-Code-Information", "nbap.HS_PDSCH_FDD_Code_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_PDSCH_FDD_Code_Information", HFILL }},
    { &hf_nbap_HS_SICH_ID_PDU,
      { "HS-SICH-ID", "nbap.HS_SICH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_ID", HFILL }},
    { &hf_nbap_HS_SCCH_FDD_Code_Information_PDU,
      { "HS-SCCH-FDD-Code-Information", "nbap.HS_SCCH_FDD_Code_Information",
        FT_UINT32, BASE_DEC, VALS(nbap_HS_SCCH_FDD_Code_Information_vals), 0,
        "nbap.HS_SCCH_FDD_Code_Information", HFILL }},
    { &hf_nbap_HSDSCH_FDD_Update_Information_PDU,
      { "HSDSCH-FDD-Update-Information", "nbap.HSDSCH_FDD_Update_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_FDD_Update_Information", HFILL }},
    { &hf_nbap_HSDSCH_TDD_Update_Information_PDU,
      { "HSDSCH-TDD-Update-Information", "nbap.HSDSCH_TDD_Update_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_TDD_Update_Information", HFILL }},
    { &hf_nbap_InformationReportCharacteristics_PDU,
      { "InformationReportCharacteristics", "nbap.InformationReportCharacteristics",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationReportCharacteristics_vals), 0,
        "nbap.InformationReportCharacteristics", HFILL }},
    { &hf_nbap_InformationExchangeID_PDU,
      { "InformationExchangeID", "nbap.InformationExchangeID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.InformationExchangeID", HFILL }},
    { &hf_nbap_InformationType_PDU,
      { "InformationType", "nbap.InformationType",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationType", HFILL }},
    { &hf_nbap_InnerLoopDLPCStatus_PDU,
      { "InnerLoopDLPCStatus", "nbap.InnerLoopDLPCStatus",
        FT_UINT32, BASE_DEC, VALS(nbap_InnerLoopDLPCStatus_vals), 0,
        "nbap.InnerLoopDLPCStatus", HFILL }},
    { &hf_nbap_Local_Cell_ID_PDU,
      { "Local-Cell-ID", "nbap.Local_Cell_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_ID", HFILL }},
    { &hf_nbap_LCRTDD_Uplink_Physical_Channel_Capability_PDU,
      { "LCRTDD-Uplink-Physical-Channel-Capability", "nbap.LCRTDD_Uplink_Physical_Channel_Capability",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.LCRTDD_Uplink_Physical_Channel_Capability", HFILL }},
    { &hf_nbap_MaximumTransmissionPower_PDU,
      { "MaximumTransmissionPower", "nbap.MaximumTransmissionPower",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaximumTransmissionPower", HFILL }},
    { &hf_nbap_MeasurementFilterCoefficient_PDU,
      { "MeasurementFilterCoefficient", "nbap.MeasurementFilterCoefficient",
        FT_UINT32, BASE_DEC, VALS(nbap_MeasurementFilterCoefficient_vals), 0,
        "nbap.MeasurementFilterCoefficient", HFILL }},
    { &hf_nbap_MeasurementID_PDU,
      { "MeasurementID", "nbap.MeasurementID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MeasurementID", HFILL }},
    { &hf_nbap_MessageStructure_PDU,
      { "MessageStructure", "nbap.MessageStructure",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MessageStructure", HFILL }},
    { &hf_nbap_MICH_CFN_PDU,
      { "MICH-CFN", "nbap.MICH_CFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MICH_CFN", HFILL }},
    { &hf_nbap_Modification_Period_PDU,
      { "Modification-Period", "nbap.Modification_Period",
        FT_UINT32, BASE_DEC, VALS(nbap_Modification_Period_vals), 0,
        "nbap.Modification_Period", HFILL }},
    { &hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_PDU,
      { "MultipleFreq-HSPDSCH-InformationList-ResponseTDDLCR", "nbap.MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR", HFILL }},
    { &hf_nbap_NCyclesPerSFNperiod_PDU,
      { "NCyclesPerSFNperiod", "nbap.NCyclesPerSFNperiod",
        FT_UINT32, BASE_DEC, VALS(nbap_NCyclesPerSFNperiod_vals), 0,
        "nbap.NCyclesPerSFNperiod", HFILL }},
    { &hf_nbap_NRepetitionsPerCyclePeriod_PDU,
      { "NRepetitionsPerCyclePeriod", "nbap.NRepetitionsPerCyclePeriod",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NRepetitionsPerCyclePeriod", HFILL }},
    { &hf_nbap_NeighbouringCellMeasurementInformation_PDU,
      { "NeighbouringCellMeasurementInformation", "nbap.NeighbouringCellMeasurementInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NeighbouringCellMeasurementInformation", HFILL }},
    { &hf_nbap_NeighbouringTDDCellMeasurementInformationLCR_PDU,
      { "NeighbouringTDDCellMeasurementInformationLCR", "nbap.NeighbouringTDDCellMeasurementInformationLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NeighbouringTDDCellMeasurementInformationLCR", HFILL }},
    { &hf_nbap_NI_Information_PDU,
      { "NI-Information", "nbap.NI_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NI_Information", HFILL }},
    { &hf_nbap_NodeB_CommunicationContextID_PDU,
      { "NodeB-CommunicationContextID", "nbap.NodeB_CommunicationContextID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NodeB_CommunicationContextID", HFILL }},
    { &hf_nbap_NumberOfReportedCellPortions_PDU,
      { "NumberOfReportedCellPortions", "nbap.NumberOfReportedCellPortions",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NumberOfReportedCellPortions", HFILL }},
    { &hf_nbap_Number_Of_Supported_Carriers_PDU,
      { "Number-Of-Supported-Carriers", "nbap.Number_Of_Supported_Carriers",
        FT_UINT32, BASE_DEC, VALS(nbap_Number_Of_Supported_Carriers_vals), 0,
        "nbap.Number_Of_Supported_Carriers", HFILL }},
    { &hf_nbap_NSubCyclesPerCyclePeriod_PDU,
      { "NSubCyclesPerCyclePeriod", "nbap.NSubCyclesPerCyclePeriod",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NSubCyclesPerCyclePeriod", HFILL }},
    { &hf_nbap_PowerAdjustmentType_PDU,
      { "PowerAdjustmentType", "nbap.PowerAdjustmentType",
        FT_UINT32, BASE_DEC, VALS(nbap_PowerAdjustmentType_vals), 0,
        "nbap.PowerAdjustmentType", HFILL }},
    { &hf_nbap_Primary_CPICH_Usage_for_Channel_Estimation_PDU,
      { "Primary-CPICH-Usage-for-Channel-Estimation", "nbap.Primary_CPICH_Usage_for_Channel_Estimation",
        FT_UINT32, BASE_DEC, VALS(nbap_Primary_CPICH_Usage_for_Channel_Estimation_vals), 0,
        "nbap.Primary_CPICH_Usage_for_Channel_Estimation", HFILL }},
    { &hf_nbap_PrimaryScramblingCode_PDU,
      { "PrimaryScramblingCode", "nbap.PrimaryScramblingCode",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PrimaryScramblingCode", HFILL }},
    { &hf_nbap_PrimaryCCPCH_RSCP_PDU,
      { "PrimaryCCPCH-RSCP", "nbap.PrimaryCCPCH_RSCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PrimaryCCPCH_RSCP", HFILL }},
    { &hf_nbap_PrimaryCCPCH_RSCP_Delta_PDU,
      { "PrimaryCCPCH-RSCP-Delta", "nbap.PrimaryCCPCH_RSCP_Delta",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PrimaryCCPCH_RSCP_Delta", HFILL }},
    { &hf_nbap_RL_Specific_DCH_Info_PDU,
      { "RL-Specific-DCH-Info", "nbap.RL_Specific_DCH_Info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Specific_DCH_Info", HFILL }},
    { &hf_nbap_ReferenceClockAvailability_PDU,
      { "ReferenceClockAvailability", "nbap.ReferenceClockAvailability",
        FT_UINT32, BASE_DEC, VALS(nbap_ReferenceClockAvailability_vals), 0,
        "nbap.ReferenceClockAvailability", HFILL }},
    { &hf_nbap_ReferenceSFNoffset_PDU,
      { "ReferenceSFNoffset", "nbap.ReferenceSFNoffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ReferenceSFNoffset", HFILL }},
    { &hf_nbap_ReportCharacteristics_PDU,
      { "ReportCharacteristics", "nbap.ReportCharacteristics",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristics_vals), 0,
        "nbap.ReportCharacteristics", HFILL }},
    { &hf_nbap_ReportCharacteristicsType_OnModification_PDU,
      { "ReportCharacteristicsType-OnModification", "nbap.ReportCharacteristicsType_OnModification",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_OnModification", HFILL }},
    { &hf_nbap_RL_ID_PDU,
      { "RL-ID", "nbap.RL_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_ID", HFILL }},
    { &hf_nbap_RL_Set_ID_PDU,
      { "RL-Set-ID", "nbap.RL_Set_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_ID", HFILL }},
    { &hf_nbap_Received_total_wide_band_power_Value_IncrDecrThres_PDU,
      { "Received-total-wide-band-power-Value-IncrDecrThres", "nbap.Received_total_wide_band_power_Value_IncrDecrThres",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Received_total_wide_band_power_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_Rx_Timing_Deviation_Value_LCR_PDU,
      { "Rx-Timing-Deviation-Value-LCR", "nbap.Rx_Timing_Deviation_Value_LCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Rx_Timing_Deviation_Value_LCR", HFILL }},
    { &hf_nbap_AdjustmentPeriod_PDU,
      { "AdjustmentPeriod", "nbap.AdjustmentPeriod",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AdjustmentPeriod", HFILL }},
    { &hf_nbap_SAT_Info_Almanac_ExtList_PDU,
      { "SAT-Info-Almanac-ExtList", "nbap.SAT_Info_Almanac_ExtList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_Info_Almanac_ExtList", HFILL }},
    { &hf_nbap_ScaledAdjustmentRatio_PDU,
      { "ScaledAdjustmentRatio", "nbap.ScaledAdjustmentRatio",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ScaledAdjustmentRatio", HFILL }},
    { &hf_nbap_MaxAdjustmentStep_PDU,
      { "MaxAdjustmentStep", "nbap.MaxAdjustmentStep",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaxAdjustmentStep", HFILL }},
    { &hf_nbap_Secondary_CPICH_Information_Change_PDU,
      { "Secondary-CPICH-Information-Change", "nbap.Secondary_CPICH_Information_Change",
        FT_UINT32, BASE_DEC, VALS(nbap_Secondary_CPICH_Information_Change_vals), 0,
        "nbap.Secondary_CPICH_Information_Change", HFILL }},
    { &hf_nbap_SFN_PDU,
      { "SFN", "nbap.SFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFN", HFILL }},
    { &hf_nbap_SFNSFNMeasurementThresholdInformation_PDU,
      { "SFNSFNMeasurementThresholdInformation", "nbap.SFNSFNMeasurementThresholdInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SFNSFNMeasurementThresholdInformation", HFILL }},
    { &hf_nbap_SFNSFNMeasurementValueInformation_PDU,
      { "SFNSFNMeasurementValueInformation", "nbap.SFNSFNMeasurementValueInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SFNSFNMeasurementValueInformation", HFILL }},
    { &hf_nbap_ShutdownTimer_PDU,
      { "ShutdownTimer", "nbap.ShutdownTimer",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ShutdownTimer", HFILL }},
    { &hf_nbap_SignallingBearerRequestIndicator_PDU,
      { "SignallingBearerRequestIndicator", "nbap.SignallingBearerRequestIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_SignallingBearerRequestIndicator_vals), 0,
        "nbap.SignallingBearerRequestIndicator", HFILL }},
    { &hf_nbap_Start_Of_Audit_Sequence_Indicator_PDU,
      { "Start-Of-Audit-Sequence-Indicator", "nbap.Start_Of_Audit_Sequence_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_Start_Of_Audit_Sequence_Indicator_vals), 0,
        "nbap.Start_Of_Audit_Sequence_Indicator", HFILL }},
    { &hf_nbap_SyncCase_PDU,
      { "SyncCase", "nbap.SyncCase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncCase", HFILL }},
    { &hf_nbap_SynchronisationReportCharacteristics_PDU,
      { "SynchronisationReportCharacteristics", "nbap.SynchronisationReportCharacteristics",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportCharacteristics", HFILL }},
    { &hf_nbap_SyncDLCodeIdThreInfoLCR_PDU,
      { "SyncDLCodeIdThreInfoLCR", "nbap.SyncDLCodeIdThreInfoLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncDLCodeIdThreInfoLCR", HFILL }},
    { &hf_nbap_SynchronisationReportType_PDU,
      { "SynchronisationReportType", "nbap.SynchronisationReportType",
        FT_UINT32, BASE_DEC, VALS(nbap_SynchronisationReportType_vals), 0,
        "nbap.SynchronisationReportType", HFILL }},
    { &hf_nbap_T_Cell_PDU,
      { "T-Cell", "nbap.T_Cell",
        FT_UINT32, BASE_DEC, VALS(nbap_T_Cell_vals), 0,
        "nbap.T_Cell", HFILL }},
    { &hf_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU,
      { "TDD-DL-DPCH-TimeSlotFormat-LCR", "nbap.TDD_DL_DPCH_TimeSlotFormat_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_vals), 0,
        "nbap.TDD_DL_DPCH_TimeSlotFormat_LCR", HFILL }},
    { &hf_nbap_TDD_TPC_DownlinkStepSize_PDU,
      { "TDD-TPC-DownlinkStepSize", "nbap.TDD_TPC_DownlinkStepSize",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_DownlinkStepSize_vals), 0,
        "nbap.TDD_TPC_DownlinkStepSize", HFILL }},
    { &hf_nbap_TDD_TPC_UplinkStepSize_LCR_PDU,
      { "TDD-TPC-UplinkStepSize-LCR", "nbap.TDD_TPC_UplinkStepSize_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_UplinkStepSize_LCR_vals), 0,
        "nbap.TDD_TPC_UplinkStepSize_LCR", HFILL }},
    { &hf_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU,
      { "TDD-UL-DPCH-TimeSlotFormat-LCR", "nbap.TDD_UL_DPCH_TimeSlotFormat_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_vals), 0,
        "nbap.TDD_UL_DPCH_TimeSlotFormat_LCR", HFILL }},
    { &hf_nbap_TFCI_Presence_PDU,
      { "TFCI-Presence", "nbap.TFCI_Presence",
        FT_UINT32, BASE_DEC, VALS(nbap_TFCI_Presence_vals), 0,
        "nbap.TFCI_Presence", HFILL }},
    { &hf_nbap_TimeSlot_PDU,
      { "TimeSlot", "nbap.TimeSlot",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlot", HFILL }},
    { &hf_nbap_TimeSlotLCR_PDU,
      { "TimeSlotLCR", "nbap.TimeSlotLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotLCR", HFILL }},
    { &hf_nbap_TimingAdjustmentValue_PDU,
      { "TimingAdjustmentValue", "nbap.TimingAdjustmentValue",
        FT_UINT32, BASE_DEC, VALS(nbap_TimingAdjustmentValue_vals), 0,
        "nbap.TimingAdjustmentValue", HFILL }},
    { &hf_nbap_TimingAdjustmentValueLCR_PDU,
      { "TimingAdjustmentValueLCR", "nbap.TimingAdjustmentValueLCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TimingAdjustmentValueLCR_vals), 0,
        "nbap.TimingAdjustmentValueLCR", HFILL }},
    { &hf_nbap_TimingAdvanceApplied_PDU,
      { "TimingAdvanceApplied", "nbap.TimingAdvanceApplied",
        FT_UINT32, BASE_DEC, VALS(nbap_TimingAdvanceApplied_vals), 0,
        "nbap.TimingAdvanceApplied", HFILL }},
    { &hf_nbap_TnlQos_PDU,
      { "TnlQos", "nbap.TnlQos",
        FT_UINT32, BASE_DEC, VALS(nbap_TnlQos_vals), 0,
        "nbap.TnlQos", HFILL }},
    { &hf_nbap_Transmission_Gap_Pattern_Sequence_Information_PDU,
      { "Transmission-Gap-Pattern-Sequence-Information", "nbap.Transmission_Gap_Pattern_Sequence_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmission_Gap_Pattern_Sequence_Information", HFILL }},
    { &hf_nbap_Transmitted_Carrier_Power_Value_PDU,
      { "Transmitted-Carrier-Power-Value", "nbap.Transmitted_Carrier_Power_Value",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmitted_Carrier_Power_Value", HFILL }},
    { &hf_nbap_TransmissionDiversityApplied_PDU,
      { "TransmissionDiversityApplied", "nbap.TransmissionDiversityApplied",
        FT_BOOLEAN, 8, NULL, 0,
        "nbap.TransmissionDiversityApplied", HFILL }},
    { &hf_nbap_TransportLayerAddress_PDU,
      { "TransportLayerAddress", "nbap.TransportLayerAddress",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.TransportLayerAddress", HFILL }},
    { &hf_nbap_TSTD_Indicator_PDU,
      { "TSTD-Indicator", "nbap.TSTD_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_TSTD_Indicator_vals), 0,
        "nbap.TSTD_Indicator", HFILL }},
    { &hf_nbap_TSN_Length_PDU,
      { "TSN-Length", "nbap.TSN_Length",
        FT_UINT32, BASE_DEC, VALS(nbap_TSN_Length_vals), 0,
        "nbap.TSN_Length", HFILL }},
    { &hf_nbap_TUTRANGPSMeasurementThresholdInformation_PDU,
      { "TUTRANGPSMeasurementThresholdInformation", "nbap.TUTRANGPSMeasurementThresholdInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TUTRANGPSMeasurementThresholdInformation", HFILL }},
    { &hf_nbap_TUTRANGPSMeasurementValueInformation_PDU,
      { "TUTRANGPSMeasurementValueInformation", "nbap.TUTRANGPSMeasurementValueInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TUTRANGPSMeasurementValueInformation", HFILL }},
    { &hf_nbap_TypeOfError_PDU,
      { "TypeOfError", "nbap.TypeOfError",
        FT_UINT32, BASE_DEC, VALS(nbap_TypeOfError_vals), 0,
        "nbap.TypeOfError", HFILL }},
    { &hf_nbap_UARFCN_PDU,
      { "UARFCN", "nbap.UARFCN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UARFCN", HFILL }},
    { &hf_nbap_UE_Capability_Information_PDU,
      { "UE-Capability-Information", "nbap.UE_Capability_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UE_Capability_Information", HFILL }},
    { &hf_nbap_UL_SIR_PDU,
      { "UL-SIR", "nbap.UL_SIR",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.UL_SIR", HFILL }},
    { &hf_nbap_UL_Synchronisation_Parameters_LCR_PDU,
      { "UL-Synchronisation-Parameters-LCR", "nbap.UL_Synchronisation_Parameters_LCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Synchronisation_Parameters_LCR", HFILL }},
    { &hf_nbap_UPPCHPositionLCR_PDU,
      { "UPPCHPositionLCR", "nbap.UPPCHPositionLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UPPCHPositionLCR", HFILL }},
    { &hf_nbap_Unidirectional_DCH_Indicator_PDU,
      { "Unidirectional-DCH-Indicator", "nbap.Unidirectional_DCH_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_Unidirectional_DCH_Indicator_vals), 0,
        "nbap.Unidirectional_DCH_Indicator", HFILL }},
    { &hf_nbap_UpPTSInterferenceValue_PDU,
      { "UpPTSInterferenceValue", "nbap.UpPTSInterferenceValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UpPTSInterferenceValue", HFILL }},
    { &hf_nbap_USCH_Information_PDU,
      { "USCH-Information", "nbap.USCH_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_Information", HFILL }},
    { &hf_nbap_USCH_InformationResponse_PDU,
      { "USCH-InformationResponse", "nbap.USCH_InformationResponse",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_InformationResponse", HFILL }},
    { &hf_nbap_initiatingMessage,
      { "initiatingMessage", "nbap.initiatingMessage",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InitiatingMessage", HFILL }},
    { &hf_nbap_succesfulOutcome,
      { "succesfulOutcome", "nbap.succesfulOutcome",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SuccessfulOutcome", HFILL }},
    { &hf_nbap_unsuccesfulOutcome,
      { "unsuccesfulOutcome", "nbap.unsuccesfulOutcome",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UnsuccessfulOutcome", HFILL }},
    { &hf_nbap_outcome,
      { "outcome", "nbap.outcome",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Outcome", HFILL }},
    { &hf_nbap_procedureID,
      { "procedureID", "nbap.procedureID",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProcedureID", HFILL }},
    { &hf_nbap_criticality,
      { "criticality", "nbap.criticality",
        FT_UINT32, BASE_DEC, VALS(nbap_Criticality_vals), 0,
        "nbap.Criticality", HFILL }},
    { &hf_nbap_messageDiscriminator,
      { "messageDiscriminator", "nbap.messageDiscriminator",
        FT_UINT32, BASE_DEC, VALS(nbap_MessageDiscriminator_vals), 0,
        "nbap.MessageDiscriminator", HFILL }},
    { &hf_nbap_transactionID,
      { "transactionID", "nbap.transactionID",
        FT_UINT32, BASE_DEC, VALS(nbap_TransactionID_vals), 0,
        "nbap.TransactionID", HFILL }},
    { &hf_nbap_value,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InitiatingMessage_value", HFILL }},
    { &hf_nbap_value_01,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SuccessfulOutcome_value", HFILL }},
    { &hf_nbap_value_02,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UnsuccessfulOutcome_value", HFILL }},
    { &hf_nbap_value_03,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Outcome_value", HFILL }},
    { &hf_nbap_protocolIEs,
      { "protocolIEs", "nbap.protocolIEs",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ProtocolIE_Container", HFILL }},
    { &hf_nbap_protocolExtensions,
      { "protocolExtensions", "nbap.protocolExtensions",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ProtocolExtensionContainer", HFILL }},
    { &hf_nbap_secondary_CCPCH_parameters,
      { "secondary-CCPCH-parameters", "nbap.secondary_CCPCH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_pRACH_parameters,
      { "pRACH-parameters", "nbap.pRACH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_notUsed_pCPCHes_parameters,
      { "notUsed-pCPCHes-parameters", "nbap.notUsed_pCPCHes_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_commonPhysicalChannelID,
      { "commonPhysicalChannelID", "nbap.commonPhysicalChannelID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonPhysicalChannelID", HFILL }},
    { &hf_nbap_fdd_S_CCPCH_Offset,
      { "fdd-S-CCPCH-Offset", "nbap.fdd_S_CCPCH_Offset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_S_CCPCH_Offset", HFILL }},
    { &hf_nbap_dl_ScramblingCode,
      { "dl-ScramblingCode", "nbap.dl_ScramblingCode",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_ScramblingCode", HFILL }},
    { &hf_nbap_fdd_DL_ChannelisationCodeNumber,
      { "fdd-DL-ChannelisationCodeNumber", "nbap.fdd_DL_ChannelisationCodeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_DL_ChannelisationCodeNumber", HFILL }},
    { &hf_nbap_tFCS,
      { "tFCS", "nbap.tFCS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TFCS", HFILL }},
    { &hf_nbap_secondary_CCPCH_SlotFormat,
      { "secondary-CCPCH-SlotFormat", "nbap.secondary_CCPCH_SlotFormat",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SecondaryCCPCH_SlotFormat", HFILL }},
    { &hf_nbap_tFCI_Presence,
      { "tFCI-Presence", "nbap.tFCI_Presence",
        FT_UINT32, BASE_DEC, VALS(nbap_TFCI_Presence_vals), 0,
        "nbap.TFCI_Presence", HFILL }},
    { &hf_nbap_multiplexingPosition,
      { "multiplexingPosition", "nbap.multiplexingPosition",
        FT_UINT32, BASE_DEC, VALS(nbap_MultiplexingPosition_vals), 0,
        "nbap.MultiplexingPosition", HFILL }},
    { &hf_nbap_powerOffsetInformation,
      { "powerOffsetInformation", "nbap.powerOffsetInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PowerOffsetInformation_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_sTTD_Indicator,
      { "sTTD-Indicator", "nbap.sTTD_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_STTD_Indicator_vals), 0,
        "nbap.STTD_Indicator", HFILL }},
    { &hf_nbap_fACH_Parameters,
      { "fACH-Parameters", "nbap.fACH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersList_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_pCH_Parameters,
      { "pCH-Parameters", "nbap.pCH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Parameters_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_iE_Extensions,
      { "iE-Extensions", "nbap.iE_Extensions",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ProtocolExtensionContainer", HFILL }},
    { &hf_nbap_pO1_ForTFCI_Bits,
      { "pO1-ForTFCI-Bits", "nbap.pO1_ForTFCI_Bits",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PowerOffset", HFILL }},
    { &hf_nbap_pO3_ForPilotBits,
      { "pO3-ForPilotBits", "nbap.pO3_ForPilotBits",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PowerOffset", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD_item,
      { "FACH-ParametersListIE-CTCH-SetupRqstFDD", "nbap.FACH_ParametersListIE_CTCH_SetupRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersItem_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_commonTransportChannelID,
      { "commonTransportChannelID", "nbap.commonTransportChannelID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonTransportChannelID", HFILL }},
    { &hf_nbap_transportFormatSet,
      { "transportFormatSet", "nbap.transportFormatSet",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet", HFILL }},
    { &hf_nbap_toAWS,
      { "toAWS", "nbap.toAWS",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ToAWS", HFILL }},
    { &hf_nbap_toAWE,
      { "toAWE", "nbap.toAWE",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ToAWE", HFILL }},
    { &hf_nbap_maxFACH_Power,
      { "maxFACH-Power", "nbap.maxFACH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_pCH_Power,
      { "pCH-Power", "nbap.pCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_pICH_Parameters,
      { "pICH-Parameters", "nbap.pICH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Parameters_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_fdd_dl_ChannelisationCodeNumber,
      { "fdd-dl-ChannelisationCodeNumber", "nbap.fdd_dl_ChannelisationCodeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_DL_ChannelisationCodeNumber", HFILL }},
    { &hf_nbap_pICH_Power,
      { "pICH-Power", "nbap.pICH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PICH_Power", HFILL }},
    { &hf_nbap_pICH_Mode,
      { "pICH-Mode", "nbap.pICH_Mode",
        FT_UINT32, BASE_DEC, VALS(nbap_PICH_Mode_vals), 0,
        "nbap.PICH_Mode", HFILL }},
    { &hf_nbap_scramblingCodeNumber,
      { "scramblingCodeNumber", "nbap.scramblingCodeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ScramblingCodeNumber", HFILL }},
    { &hf_nbap_preambleSignatures,
      { "preambleSignatures", "nbap.preambleSignatures",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.PreambleSignatures", HFILL }},
    { &hf_nbap_allowedSlotFormatInformation,
      { "allowedSlotFormatInformation", "nbap.allowedSlotFormatInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AllowedSlotFormatInformationList_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_rACH_SubChannelNumbers,
      { "rACH-SubChannelNumbers", "nbap.rACH_SubChannelNumbers",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.RACH_SubChannelNumbers", HFILL }},
    { &hf_nbap_ul_punctureLimit,
      { "ul-punctureLimit", "nbap.ul_punctureLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PunctureLimit", HFILL }},
    { &hf_nbap_preambleThreshold,
      { "preambleThreshold", "nbap.preambleThreshold",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PreambleThreshold", HFILL }},
    { &hf_nbap_rACH_Parameters,
      { "rACH-Parameters", "nbap.rACH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_Parameters_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_aICH_Parameters,
      { "aICH-Parameters", "nbap.aICH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AICH_Parameters_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_item,
      { "AllowedSlotFormatInformationList-CTCH-SetupRqstFDD", "nbap.AllowedSlotFormatInformationList_CTCH_SetupRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD", HFILL }},
    { &hf_nbap_rACHSlotFormat,
      { "rACHSlotFormat", "nbap.rACHSlotFormat",
        FT_UINT32, BASE_DEC, VALS(nbap_RACH_SlotFormat_vals), 0,
        "nbap.RACH_SlotFormat", HFILL }},
    { &hf_nbap_aICH_TransmissionTiming,
      { "aICH-TransmissionTiming", "nbap.aICH_TransmissionTiming",
        FT_UINT32, BASE_DEC, VALS(nbap_AICH_TransmissionTiming_vals), 0,
        "nbap.AICH_TransmissionTiming", HFILL }},
    { &hf_nbap_aICH_Power,
      { "aICH-Power", "nbap.aICH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.AICH_Power", HFILL }},
    { &hf_nbap_secondary_CCPCH_parameters_01,
      { "secondary-CCPCH-parameters", "nbap.secondary_CCPCH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_pRACH_parameters_01,
      { "pRACH-parameters", "nbap.pRACH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_sCCPCH_CCTrCH_ID,
      { "sCCPCH-CCTrCH-ID", "nbap.sCCPCH_CCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_tFCI_Coding,
      { "tFCI-Coding", "nbap.tFCI_Coding",
        FT_UINT32, BASE_DEC, VALS(nbap_TFCI_Coding_vals), 0,
        "nbap.TFCI_Coding", HFILL }},
    { &hf_nbap_punctureLimit,
      { "punctureLimit", "nbap.punctureLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PunctureLimit", HFILL }},
    { &hf_nbap_secondaryCCPCH_parameterList,
      { "secondaryCCPCH-parameterList", "nbap.secondaryCCPCH_parameterList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_parameterList_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_fACH_ParametersList,
      { "fACH-ParametersList", "nbap.fACH_ParametersList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersList_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_pCH_Parameters_01,
      { "pCH-Parameters", "nbap.pCH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_UTN_Timeslot_item,
      { "UTN-Timeslot", "nbap.UTN_Timeslot_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UTN_TimeslotItem", HFILL }},
    { &hf_nbap_timeslotLCR,
      { "timeslotLCR", "nbap.timeslotLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotLCR", HFILL }},
    { &hf_nbap_uTN_Time_Slot_Parameter_ID,
      { "uTN-Time-Slot-Parameter-ID", "nbap.uTN_Time_Slot_Parameter_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellParameterID", HFILL }},
    { &hf_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_item,
      { "Secondary-CCPCH-parameterListIE-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_tdd_ChannelisationCode,
      { "tdd-ChannelisationCode", "nbap.tdd_ChannelisationCode",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_timeslot,
      { "timeslot", "nbap.timeslot",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlot", HFILL }},
    { &hf_nbap_midambleShiftandBurstType,
      { "midambleShiftandBurstType", "nbap.midambleShiftandBurstType",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleShiftAndBurstType_vals), 0,
        "nbap.MidambleShiftAndBurstType", HFILL }},
    { &hf_nbap_tdd_PhysicalChannelOffset,
      { "tdd-PhysicalChannelOffset", "nbap.tdd_PhysicalChannelOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_PhysicalChannelOffset", HFILL }},
    { &hf_nbap_repetitionPeriod,
      { "repetitionPeriod", "nbap.repetitionPeriod",
        FT_UINT32, BASE_DEC, VALS(nbap_RepetitionPeriod_vals), 0,
        "nbap.RepetitionPeriod", HFILL }},
    { &hf_nbap_repetitionLength,
      { "repetitionLength", "nbap.repetitionLength",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RepetitionLength", HFILL }},
    { &hf_nbap_s_CCPCH_Power,
      { "s-CCPCH-Power", "nbap.s_CCPCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD_item,
      { "FACH-ParametersListIE-CTCH-SetupRqstTDD", "nbap.FACH_ParametersListIE_CTCH_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_fACH_CCTrCH_ID,
      { "fACH-CCTrCH-ID", "nbap.fACH_CCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_dl_TransportFormatSet,
      { "dl-TransportFormatSet", "nbap.dl_TransportFormatSet",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet", HFILL }},
    { &hf_nbap_pCH_CCTrCH_ID,
      { "pCH-CCTrCH-ID", "nbap.pCH_CCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_pICH_Parameters_01,
      { "pICH-Parameters", "nbap.pICH_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_timeSlot,
      { "timeSlot", "nbap.timeSlot",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlot", HFILL }},
    { &hf_nbap_midambleshiftAndBurstType,
      { "midambleshiftAndBurstType", "nbap.midambleshiftAndBurstType",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleShiftAndBurstType_vals), 0,
        "nbap.MidambleShiftAndBurstType", HFILL }},
    { &hf_nbap_pagingIndicatorLength,
      { "pagingIndicatorLength", "nbap.pagingIndicatorLength",
        FT_UINT32, BASE_DEC, VALS(nbap_PagingIndicatorLength_vals), 0,
        "nbap.PagingIndicatorLength", HFILL }},
    { &hf_nbap_tdd_ChannelisationCodeLCR,
      { "tdd-ChannelisationCodeLCR", "nbap.tdd_ChannelisationCodeLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_ChannelisationCodeLCR", HFILL }},
    { &hf_nbap_timeSlotLCR,
      { "timeSlotLCR", "nbap.timeSlotLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotLCR", HFILL }},
    { &hf_nbap_midambleShiftLCR,
      { "midambleShiftLCR", "nbap.midambleShiftLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MidambleShiftLCR", HFILL }},
    { &hf_nbap_second_TDD_ChannelisationCodeLCR,
      { "second-TDD-ChannelisationCodeLCR", "nbap.second_TDD_ChannelisationCodeLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_ChannelisationCodeLCR", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_item,
      { "Secondary-CCPCH-LCR-parameterList-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_s_CCPCH_TimeSlotFormat_LCR,
      { "s-CCPCH-TimeSlotFormat-LCR", "nbap.s_CCPCH_TimeSlotFormat_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_vals), 0,
        "nbap.TDD_DL_DPCH_TimeSlotFormat_LCR", HFILL }},
    { &hf_nbap_notificationIndicatorLength,
      { "notificationIndicatorLength", "nbap.notificationIndicatorLength",
        FT_UINT32, BASE_DEC, VALS(nbap_NotificationIndicatorLength_vals), 0,
        "nbap.NotificationIndicatorLength", HFILL }},
    { &hf_nbap_mICH_Power,
      { "mICH-Power", "nbap.mICH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PICH_Power", HFILL }},
    { &hf_nbap_mICH_TDDOption_Specific_Parameters,
      { "mICH-TDDOption-Specific-Parameters", "nbap.mICH_TDDOption_Specific_Parameters",
        FT_UINT32, BASE_DEC, VALS(nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD_vals), 0,
        "nbap.MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_hCR_TDD,
      { "hCR-TDD", "nbap.hCR_TDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MICH_HCR_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_lCR_TDD,
      { "lCR-TDD", "nbap.lCR_TDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MICH_LCR_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_tSTD_Indicator,
      { "tSTD-Indicator", "nbap.tSTD_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_TSTD_Indicator_vals), 0,
        "nbap.TSTD_Indicator", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_item,
      { "Secondary-CCPCH-LCR-parameterExtendedList-CTCH-SetupRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_pRACH_Parameters_CTCH_SetupRqstTDD,
      { "pRACH-Parameters-CTCH-SetupRqstTDD", "nbap.pRACH_Parameters_CTCH_SetupRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_Parameters_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_maxPRACH_MidambleShifts,
      { "maxPRACH-MidambleShifts", "nbap.maxPRACH_MidambleShifts",
        FT_UINT32, BASE_DEC, VALS(nbap_MaxPRACH_MidambleShifts_vals), 0,
        "nbap.MaxPRACH_MidambleShifts", HFILL }},
    { &hf_nbap_pRACH_Midamble,
      { "pRACH-Midamble", "nbap.pRACH_Midamble",
        FT_UINT32, BASE_DEC, VALS(nbap_PRACH_Midamble_vals), 0,
        "nbap.PRACH_Midamble", HFILL }},
    { &hf_nbap_rACH,
      { "rACH", "nbap.rACH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_Parameter_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_uL_TransportFormatSet,
      { "uL-TransportFormatSet", "nbap.uL_TransportFormatSet",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet", HFILL }},
    { &hf_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_item,
      { "PRACH-LCR-ParametersList-CTCH-SetupRqstTDD", "nbap.PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD", HFILL }},
    { &hf_nbap_fPACH_Power,
      { "fPACH-Power", "nbap.fPACH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.FPACH_Power", HFILL }},
    { &hf_nbap_FACH_CommonTransportChannel_InformationResponse_item,
      { "FACH-CommonTransportChannel-InformationResponse", "nbap.FACH_CommonTransportChannel_InformationResponse_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonTransportChannel_InformationResponse", HFILL }},
    { &hf_nbap_secondary_CCPCH_parameters_02,
      { "secondary-CCPCH-parameters", "nbap.secondary_CCPCH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCHList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_pRACH_parameters_02,
      { "pRACH-parameters", "nbap.pRACH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACHList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_notUsed_cPCH_parameters,
      { "notUsed-cPCH-parameters", "nbap.notUsed_cPCH_parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_fACH_ParametersList_CTCH_ReconfRqstFDD,
      { "fACH-ParametersList-CTCH-ReconfRqstFDD", "nbap.fACH_ParametersList_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_pCH_Parameters_CTCH_ReconfRqstFDD,
      { "pCH-Parameters-CTCH-ReconfRqstFDD", "nbap.pCH_Parameters_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Parameters_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_pICH_Parameters_CTCH_ReconfRqstFDD,
      { "pICH-Parameters-CTCH-ReconfRqstFDD", "nbap.pICH_Parameters_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Parameters_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD_item,
      { "FACH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.FACH_ParametersListIE_CTCH_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_pRACH_ParametersList_CTCH_ReconfRqstFDD,
      { "pRACH-ParametersList-CTCH-ReconfRqstFDD", "nbap.pRACH_ParametersList_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_ParametersList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_aICH_ParametersList_CTCH_ReconfRqstFDD,
      { "aICH-ParametersList-CTCH-ReconfRqstFDD", "nbap.aICH_ParametersList_CTCH_ReconfRqstFDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AICH_ParametersList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_item,
      { "PRACH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.PRACH_ParametersListIE_CTCH_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PRACH_ParametersItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_allowedSlotFormatInformation_01,
      { "allowedSlotFormatInformation", "nbap.allowedSlotFormatInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_item,
      { "AllowedSlotFormatInformationList-CTCH-ReconfRqstFDD", "nbap.AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_rACH_SlotFormat,
      { "rACH-SlotFormat", "nbap.rACH_SlotFormat",
        FT_UINT32, BASE_DEC, VALS(nbap_RACH_SlotFormat_vals), 0,
        "nbap.RACH_SlotFormat", HFILL }},
    { &hf_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD_item,
      { "AICH-ParametersListIE-CTCH-ReconfRqstFDD", "nbap.AICH_ParametersListIE_CTCH_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AICH_ParametersItem_CTCH_ReconfRqstFDD", HFILL }},
    { &hf_nbap_cCTrCH_ID,
      { "cCTrCH-ID", "nbap.cCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_secondaryCCPCHList,
      { "secondaryCCPCHList", "nbap.secondaryCCPCHList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCHList_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_item,
      { "Secondary-CCPCHListIE-CTCH-ReconfRqstTDD", "nbap.Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCHItem_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_sCCPCH_Power,
      { "sCCPCH-Power", "nbap.sCCPCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD_item,
      { "FACH-ParametersList-CTCH-ReconfRqstTDD", "nbap.FACH_ParametersList_CTCH_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FACH_ParametersItem_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_commonPhysicalChannelId,
      { "commonPhysicalChannelId", "nbap.commonPhysicalChannelId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonPhysicalChannelID", HFILL }},
    { &hf_nbap_fPACHPower,
      { "fPACHPower", "nbap.fPACHPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.FPACH_Power", HFILL }},
    { &hf_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_item,
      { "Secondary-CCPCH-LCR-parameterExtendedList-CTCH-ReconfRqstTDD", "nbap.Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Secondary_CCPCHItem_CTCH_ReconfRqstTDD", HFILL }},
    { &hf_nbap_uPPCHPositionLCR,
      { "uPPCHPositionLCR", "nbap.uPPCHPositionLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UPPCHPositionLCR", HFILL }},
    { &hf_nbap_uARFCN,
      { "uARFCN", "nbap.uARFCN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UARFCN", HFILL }},
    { &hf_nbap_Cell_InformationList_AuditRsp_item,
      { "Cell-InformationList-AuditRsp", "nbap.Cell_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_c_ID,
      { "c-ID", "nbap.c_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.C_ID", HFILL }},
    { &hf_nbap_configurationGenerationID,
      { "configurationGenerationID", "nbap.configurationGenerationID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ConfigurationGenerationID", HFILL }},
    { &hf_nbap_resourceOperationalState,
      { "resourceOperationalState", "nbap.resourceOperationalState",
        FT_UINT32, BASE_DEC, VALS(nbap_ResourceOperationalState_vals), 0,
        "nbap.ResourceOperationalState", HFILL }},
    { &hf_nbap_availabilityStatus,
      { "availabilityStatus", "nbap.availabilityStatus",
        FT_UINT32, BASE_DEC, VALS(nbap_AvailabilityStatus_vals), 0,
        "nbap.AvailabilityStatus", HFILL }},
    { &hf_nbap_local_Cell_ID,
      { "local-Cell-ID", "nbap.local_Cell_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_ID", HFILL }},
    { &hf_nbap_primary_SCH_Information,
      { "primary-SCH-Information", "nbap.primary_SCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_SCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_secondary_SCH_Information,
      { "secondary-SCH-Information", "nbap.secondary_SCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.S_SCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_primary_CPICH_Information,
      { "primary-CPICH-Information", "nbap.primary_CPICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_CPICH_Information_AuditRsp", HFILL }},
    { &hf_nbap_secondary_CPICH_InformationList,
      { "secondary-CPICH-InformationList", "nbap.secondary_CPICH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CPICH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_primary_CCPCH_Information,
      { "primary-CCPCH-Information", "nbap.primary_CCPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_CCPCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_bCH_Information,
      { "bCH-Information", "nbap.bCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_secondary_CCPCH_InformationList,
      { "secondary-CCPCH-InformationList", "nbap.secondary_CCPCH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CCPCH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_pCH_Information,
      { "pCH-Information", "nbap.pCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_pICH_Information,
      { "pICH-Information", "nbap.pICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Information_AuditRsp", HFILL }},
    { &hf_nbap_fACH_InformationList,
      { "fACH-InformationList", "nbap.fACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_pRACH_InformationList,
      { "pRACH-InformationList", "nbap.pRACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PRACH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_rACH_InformationList,
      { "rACH-InformationList", "nbap.rACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RACH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_aICH_InformationList,
      { "aICH-InformationList", "nbap.aICH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AICH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_pCPCH_InformationList,
      { "pCPCH-InformationList", "nbap.pCPCH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PCPCH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_cPCH_InformationList,
      { "cPCH-InformationList", "nbap.cPCH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CPCH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_aP_AICH_InformationList,
      { "aP-AICH-InformationList", "nbap.aP_AICH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AP_AICH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_cDCA_ICH_InformationList,
      { "cDCA-ICH-InformationList", "nbap.cDCA_ICH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CDCA_ICH_InformationList_AuditRsp", HFILL }},
    { &hf_nbap_sCH_Information,
      { "sCH-Information", "nbap.sCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SCH_Information_AuditRsp", HFILL }},
    { &hf_nbap_S_CPICH_InformationList_AuditRsp_item,
      { "S-CPICH-InformationList-AuditRsp", "nbap.S_CPICH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_S_CCPCH_InformationList_AuditRsp_item,
      { "S-CCPCH-InformationList-AuditRsp", "nbap.S_CCPCH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_FACH_InformationList_AuditRsp_item,
      { "FACH-InformationList-AuditRsp", "nbap.FACH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_PRACH_InformationList_AuditRsp_item,
      { "PRACH-InformationList-AuditRsp", "nbap.PRACH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_RACH_InformationList_AuditRsp_item,
      { "RACH-InformationList-AuditRsp", "nbap.RACH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_AICH_InformationList_AuditRsp_item,
      { "AICH-InformationList-AuditRsp", "nbap.AICH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_PCPCH_InformationList_AuditRsp_item,
      { "PCPCH-InformationList-AuditRsp", "nbap.PCPCH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_CPCH_InformationList_AuditRsp_item,
      { "CPCH-InformationList-AuditRsp", "nbap.CPCH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_AP_AICH_InformationList_AuditRsp_item,
      { "AP-AICH-InformationList-AuditRsp", "nbap.AP_AICH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_CDCA_ICH_InformationList_AuditRsp_item,
      { "CDCA-ICH-InformationList-AuditRsp", "nbap.CDCA_ICH_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_CCP_InformationList_AuditRsp_item,
      { "CCP-InformationList-AuditRsp", "nbap.CCP_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_communicationControlPortID,
      { "communicationControlPortID", "nbap.communicationControlPortID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommunicationControlPortID", HFILL }},
    { &hf_nbap_FPACH_LCR_InformationList_AuditRsp_item,
      { "FPACH-LCR-InformationList-AuditRsp", "nbap.FPACH_LCR_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_item,
      { "Cell-Frequency-List-Information-LCR-MulFreq-AuditRsp", "nbap.Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationList_AuditRsp_item,
      { "UPPCH-LCR-InformationList-AuditRsp", "nbap.UPPCH_LCR_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_item,
      { "MultipleFreq-HS-DSCH-Resources-InformationList-AuditRsp", "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp_item,
      { "S-CCPCH-LCR-InformationListExt-AuditRsp", "nbap.S_CCPCH_LCR_InformationListExt_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Local_Cell_InformationList_AuditRsp_item,
      { "Local-Cell-InformationList-AuditRsp", "nbap.Local_Cell_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dl_or_global_capacityCredit,
      { "dl-or-global-capacityCredit", "nbap.dl_or_global_capacityCredit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_or_Global_CapacityCredit", HFILL }},
    { &hf_nbap_ul_capacityCredit,
      { "ul-capacityCredit", "nbap.ul_capacityCredit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_CapacityCredit", HFILL }},
    { &hf_nbap_commonChannelsCapacityConsumptionLaw,
      { "commonChannelsCapacityConsumptionLaw", "nbap.commonChannelsCapacityConsumptionLaw",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonChannelsCapacityConsumptionLaw", HFILL }},
    { &hf_nbap_dedicatedChannelsCapacityConsumptionLaw,
      { "dedicatedChannelsCapacityConsumptionLaw", "nbap.dedicatedChannelsCapacityConsumptionLaw",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DedicatedChannelsCapacityConsumptionLaw", HFILL }},
    { &hf_nbap_maximumDL_PowerCapability,
      { "maximumDL-PowerCapability", "nbap.maximumDL_PowerCapability",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaximumDL_PowerCapability", HFILL }},
    { &hf_nbap_minSpreadingFactor,
      { "minSpreadingFactor", "nbap.minSpreadingFactor",
        FT_UINT32, BASE_DEC, VALS(nbap_MinSpreadingFactor_vals), 0,
        "nbap.MinSpreadingFactor", HFILL }},
    { &hf_nbap_minimumDL_PowerCapability,
      { "minimumDL-PowerCapability", "nbap.minimumDL_PowerCapability",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MinimumDL_PowerCapability", HFILL }},
    { &hf_nbap_local_Cell_Group_ID,
      { "local-Cell-Group-ID", "nbap.local_Cell_Group_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_ID", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationList_AuditRsp_item,
      { "Local-Cell-Group-InformationList-AuditRsp", "nbap.Local_Cell_Group_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList_AuditRsp_item,
      { "Power-Local-Cell-Group-InformationList-AuditRsp", "nbap.Power_Local_Cell_Group_InformationList_AuditRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_power_Local_Cell_Group_ID,
      { "power-Local-Cell-Group-ID", "nbap.power_Local_Cell_Group_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_ID", HFILL }},
    { &hf_nbap_cell,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_CM_Rqst", HFILL }},
    { &hf_nbap_rACH_01,
      { "rACH", "nbap.rACH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_CM_Rqst", HFILL }},
    { &hf_nbap_notUsed_cPCH,
      { "notUsed-cPCH", "nbap.notUsed_cPCH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_cell_01,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_CM_Rsp", HFILL }},
    { &hf_nbap_rACH_02,
      { "rACH", "nbap.rACH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_CM_Rsp", HFILL }},
    { &hf_nbap_commonMeasurementValue,
      { "commonMeasurementValue", "nbap.commonMeasurementValue",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementValue_vals), 0,
        "nbap.CommonMeasurementValue", HFILL }},
    { &hf_nbap_cell_02,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_CM_Rprt", HFILL }},
    { &hf_nbap_rACH_03,
      { "rACH", "nbap.rACH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RACH_CM_Rprt", HFILL }},
    { &hf_nbap_commonMeasurementValueInformation,
      { "commonMeasurementValueInformation", "nbap.commonMeasurementValueInformation",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementValueInformation_vals), 0,
        "nbap.CommonMeasurementValueInformation", HFILL }},
    { &hf_nbap_n_INSYNC_IND,
      { "n-INSYNC-IND", "nbap.n_INSYNC_IND",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.N_INSYNC_IND", HFILL }},
    { &hf_nbap_n_OUTSYNC_IND,
      { "n-OUTSYNC-IND", "nbap.n_OUTSYNC_IND",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.N_OUTSYNC_IND", HFILL }},
    { &hf_nbap_t_RLFAILURE,
      { "t-RLFAILURE", "nbap.t_RLFAILURE",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.T_RLFAILURE", HFILL }},
    { &hf_nbap_primarySCH_Power,
      { "primarySCH-Power", "nbap.primarySCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_secondarySCH_Power,
      { "secondarySCH-Power", "nbap.secondarySCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_primaryCPICH_Power,
      { "primaryCPICH-Power", "nbap.primaryCPICH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PrimaryCPICH_Power", HFILL }},
    { &hf_nbap_transmitDiversityIndicator,
      { "transmitDiversityIndicator", "nbap.transmitDiversityIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_TransmitDiversityIndicator_vals), 0,
        "nbap.TransmitDiversityIndicator", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_item,
      { "SecondaryCPICH-InformationList-Cell-SetupRqstFDD", "nbap.SecondaryCPICH_InformationList_Cell_SetupRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_fDD_DL_ChannelisationCodeNumber,
      { "fDD-DL-ChannelisationCodeNumber", "nbap.fDD_DL_ChannelisationCodeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_DL_ChannelisationCodeNumber", HFILL }},
    { &hf_nbap_secondaryCPICH_Power,
      { "secondaryCPICH-Power", "nbap.secondaryCPICH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_bCH_information,
      { "bCH-information", "nbap.bCH_information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BCH_Information_Cell_SetupRqstFDD", HFILL }},
    { &hf_nbap_bCH_Power,
      { "bCH-Power", "nbap.bCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_powerRaiseLimit,
      { "powerRaiseLimit", "nbap.powerRaiseLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PowerRaiseLimit", HFILL }},
    { &hf_nbap_dLPowerAveragingWindowSize,
      { "dLPowerAveragingWindowSize", "nbap.dLPowerAveragingWindowSize",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DLPowerAveragingWindowSize", HFILL }},
    { &hf_nbap_iPDL_FDD_Parameters,
      { "iPDL-FDD-Parameters", "nbap.iPDL_FDD_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDL_FDD_Parameters", HFILL }},
    { &hf_nbap_iPDL_Indicator,
      { "iPDL-Indicator", "nbap.iPDL_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_IPDL_Indicator_vals), 0,
        "nbap.IPDL_Indicator", HFILL }},
    { &hf_nbap_syncCaseIndicator,
      { "syncCaseIndicator", "nbap.syncCaseIndicator",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncCaseIndicator_Cell_SetupRqstTDD_PSCH", HFILL }},
    { &hf_nbap_sCH_Power,
      { "sCH-Power", "nbap.sCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_case1,
      { "case1", "nbap.case1",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Case1_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_case2,
      { "case2", "nbap.case2",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Case2_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_sCH_TimeSlot,
      { "sCH-TimeSlot", "nbap.sCH_TimeSlot",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SCH_TimeSlot", HFILL }},
    { &hf_nbap_pCCPCH_Power,
      { "pCCPCH-Power", "nbap.pCCPCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PCCPCH_Power", HFILL }},
    { &hf_nbap_sCTD_Indicator,
      { "sCTD-Indicator", "nbap.sCTD_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_SCTD_Indicator_vals), 0,
        "nbap.SCTD_Indicator", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD_item,
      { "TimeSlotConfigurationList-Cell-SetupRqstTDD", "nbap.TimeSlotConfigurationList_Cell_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TimeSlotConfigurationItem_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_timeSlotStatus,
      { "timeSlotStatus", "nbap.timeSlotStatus",
        FT_UINT32, BASE_DEC, VALS(nbap_TimeSlotStatus_vals), 0,
        "nbap.TimeSlotStatus", HFILL }},
    { &hf_nbap_timeSlotDirection,
      { "timeSlotDirection", "nbap.timeSlotDirection",
        FT_UINT32, BASE_DEC, VALS(nbap_TimeSlotDirection_vals), 0,
        "nbap.TimeSlotDirection", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_item,
      { "TimeSlotConfigurationList-LCR-Cell-SetupRqstTDD", "nbap.TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_dwPCH_Power,
      { "dwPCH-Power", "nbap.dwPCH_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DwPCH_Power", HFILL }},
    { &hf_nbap_iPDL_TDD_Parameters,
      { "iPDL-TDD-Parameters", "nbap.iPDL_TDD_Parameters",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDL_TDD_Parameters", HFILL }},
    { &hf_nbap_iPDL_TDD_Parameters_LCR,
      { "iPDL-TDD-Parameters-LCR", "nbap.iPDL_TDD_Parameters_LCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IPDL_TDD_Parameters_LCR", HFILL }},
    { &hf_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_item,
      { "Cell-Frequency-List-LCR-MulFreq-Cell-SetupRqstTDD", "nbap.Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_timeSlotConfigurationList_LCR_Cell_SetupRqstTDD,
      { "timeSlotConfigurationList-LCR-Cell-SetupRqstTDD", "nbap.timeSlotConfigurationList_LCR_Cell_SetupRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD", HFILL }},
    { &hf_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_item,
      { "SecondaryCPICH-InformationList-Cell-ReconfRqstFDD", "nbap.SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_bCH_information_01,
      { "bCH-information", "nbap.bCH_information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BCH_information_Cell_ReconfRqstFDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD_item,
      { "TimeSlotConfigurationList-Cell-ReconfRqstTDD", "nbap.TimeSlotConfigurationList_Cell_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TimeSlotConfigurationItem_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_item,
      { "TimeSlotConfigurationList-LCR-Cell-ReconfRqstTDD", "nbap.TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD,
      { "cell-Frequency-Add-LCR-MulFreq-Cell-ReconfRqstTDD", "nbap.cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD,
      { "cell-Frequency-ModifyList-LCR-MulFreq-Cell-ReconfRqstTDD", "nbap.cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD,
      { "cell-Frequency-Delete-LCR-MulFreq-Cell-ReconfRqstTDD", "nbap.cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_timeSlotConfigurationList_LCR_Cell_ReconfRqstTDD,
      { "timeSlotConfigurationList-LCR-Cell-ReconfRqstTDD", "nbap.timeSlotConfigurationList_LCR_Cell_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_item,
      { "Cell-Frequency-ModifyList-LCR-MulFreq-Cell-ReconfRqstTDD", "nbap.Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD", HFILL }},
    { &hf_nbap_no_Failure,
      { "no-Failure", "nbap.no_Failure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.No_Failure_ResourceStatusInd", HFILL }},
    { &hf_nbap_serviceImpacting,
      { "serviceImpacting", "nbap.serviceImpacting",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ServiceImpacting_ResourceStatusInd", HFILL }},
    { &hf_nbap_local_Cell_InformationList,
      { "local-Cell-InformationList", "nbap.local_Cell_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_local_Cell_Group_InformationList,
      { "local-Cell-Group-InformationList", "nbap.local_Cell_Group_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_Group_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_InformationList_ResourceStatusInd_item,
      { "Local-Cell-InformationList-ResourceStatusInd", "nbap.Local_Cell_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_local_CellID,
      { "local-CellID", "nbap.local_CellID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_ID", HFILL }},
    { &hf_nbap_addorDeleteIndicator,
      { "addorDeleteIndicator", "nbap.addorDeleteIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_AddorDeleteIndicator_vals), 0,
        "nbap.AddorDeleteIndicator", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationList_ResourceStatusInd_item,
      { "Local-Cell-Group-InformationList-ResourceStatusInd", "nbap.Local_Cell_Group_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd_item,
      { "Power-Local-Cell-Group-InformationList-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_local_Cell_InformationList_01,
      { "local-Cell-InformationList", "nbap.local_Cell_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_InformationList2_ResourceStatusInd", HFILL }},
    { &hf_nbap_local_Cell_Group_InformationList_01,
      { "local-Cell-Group-InformationList", "nbap.local_Cell_Group_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Local_Cell_Group_InformationList2_ResourceStatusInd", HFILL }},
    { &hf_nbap_cCP_InformationList,
      { "cCP-InformationList", "nbap.cCP_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCP_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_cell_InformationList,
      { "cell-InformationList", "nbap.cell_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Cell_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_Local_Cell_InformationList2_ResourceStatusInd_item,
      { "Local-Cell-InformationList2-ResourceStatusInd", "nbap.Local_Cell_InformationList2_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_maximum_DL_PowerCapability,
      { "maximum-DL-PowerCapability", "nbap.maximum_DL_PowerCapability",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaximumDL_PowerCapability", HFILL }},
    { &hf_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd_item,
      { "Local-Cell-Group-InformationList2-ResourceStatusInd", "nbap.Local_Cell_Group_InformationList2_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_item,
      { "Power-Local-Cell-Group-InformationList2-ResourceStatusInd", "nbap.Power_Local_Cell_Group_InformationList2_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_CCP_InformationList_ResourceStatusInd_item,
      { "CCP-InformationList-ResourceStatusInd", "nbap.CCP_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Cell_InformationList_ResourceStatusInd_item,
      { "Cell-InformationList-ResourceStatusInd", "nbap.Cell_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_primary_SCH_Information_01,
      { "primary-SCH-Information", "nbap.primary_SCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_SCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_secondary_SCH_Information_01,
      { "secondary-SCH-Information", "nbap.secondary_SCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.S_SCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_primary_CPICH_Information_01,
      { "primary-CPICH-Information", "nbap.primary_CPICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_CPICH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_secondary_CPICH_Information,
      { "secondary-CPICH-Information", "nbap.secondary_CPICH_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CPICH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_primary_CCPCH_Information_01,
      { "primary-CCPCH-Information", "nbap.primary_CCPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.P_CCPCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_bCH_Information_01,
      { "bCH-Information", "nbap.bCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_secondary_CCPCH_InformationList_01,
      { "secondary-CCPCH-InformationList", "nbap.secondary_CCPCH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.S_CCPCH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_pCH_Information_01,
      { "pCH-Information", "nbap.pCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_pICH_Information_01,
      { "pICH-Information", "nbap.pICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PICH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_fACH_InformationList_01,
      { "fACH-InformationList", "nbap.fACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FACH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_pRACH_InformationList_01,
      { "pRACH-InformationList", "nbap.pRACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PRACH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_rACH_InformationList_01,
      { "rACH-InformationList", "nbap.rACH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RACH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_aICH_InformationList_01,
      { "aICH-InformationList", "nbap.aICH_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AICH_InformationList_ResourceStatusInd", HFILL }},
    { &hf_nbap_notUsed_1_pCPCH_InformationList,
      { "notUsed-1-pCPCH-InformationList", "nbap.notUsed_1_pCPCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_notUsed_2_cPCH_InformationList,
      { "notUsed-2-cPCH-InformationList", "nbap.notUsed_2_cPCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_notUsed_3_aP_AICH_InformationList,
      { "notUsed-3-aP-AICH-InformationList", "nbap.notUsed_3_aP_AICH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_notUsed_4_cDCA_ICH_InformationList,
      { "notUsed-4-cDCA-ICH-InformationList", "nbap.notUsed_4_cDCA_ICH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_sCH_Information_01,
      { "sCH-Information", "nbap.sCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SCH_Information_ResourceStatusInd", HFILL }},
    { &hf_nbap_S_CPICH_InformationList_ResourceStatusInd_item,
      { "S-CPICH-InformationList-ResourceStatusInd", "nbap.S_CPICH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_S_CCPCH_InformationList_ResourceStatusInd_item,
      { "S-CCPCH-InformationList-ResourceStatusInd", "nbap.S_CCPCH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_FACH_InformationList_ResourceStatusInd_item,
      { "FACH-InformationList-ResourceStatusInd", "nbap.FACH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_PRACH_InformationList_ResourceStatusInd_item,
      { "PRACH-InformationList-ResourceStatusInd", "nbap.PRACH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_RACH_InformationList_ResourceStatusInd_item,
      { "RACH-InformationList-ResourceStatusInd", "nbap.RACH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_AICH_InformationList_ResourceStatusInd_item,
      { "AICH-InformationList-ResourceStatusInd", "nbap.AICH_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_FPACH_LCR_InformationList_ResourceStatusInd_item,
      { "FPACH-LCR-InformationList-ResourceStatusInd", "nbap.FPACH_LCR_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_item,
      { "Cell-Frequency-List-Information-LCR-MulFreq-ResourceStatusInd", "nbap.Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_cause,
      { "cause", "nbap.cause",
        FT_UINT32, BASE_DEC, VALS(nbap_Cause_vals), 0,
        "nbap.Cause", HFILL }},
    { &hf_nbap_UPPCH_LCR_InformationList_ResourceStatusInd_item,
      { "UPPCH-LCR-InformationList-ResourceStatusInd", "nbap.UPPCH_LCR_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_item,
      { "MultipleFreq-HS-DSCH-Resources-InformationList-ResourceStatusInd", "nbap.MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_item,
      { "S-CCPCH-LCR-InformationListExt-ResourceStatusInd", "nbap.S_CCPCH_LCR_InformationListExt_ResourceStatusInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_item,
      { "MIB-SB-SIB-InformationList-SystemInfoUpdateRqst", "nbap.MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst", HFILL }},
    { &hf_nbap_iB_Type,
      { "iB-Type", "nbap.iB_Type",
        FT_UINT32, BASE_DEC, VALS(nbap_IB_Type_vals), 0,
        "nbap.IB_Type", HFILL }},
    { &hf_nbap_iB_OC_ID,
      { "iB-OC-ID", "nbap.iB_OC_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.IB_OC_ID", HFILL }},
    { &hf_nbap_deletionIndicator,
      { "deletionIndicator", "nbap.deletionIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_DeletionIndicator_SystemInfoUpdate_vals), 0,
        "nbap.DeletionIndicator_SystemInfoUpdate", HFILL }},
    { &hf_nbap_no_Deletion,
      { "no-Deletion", "nbap.no_Deletion",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.No_Deletion_SystemInfoUpdate", HFILL }},
    { &hf_nbap_yes_Deletion,
      { "yes-Deletion", "nbap.yes_Deletion",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_sIB_Originator,
      { "sIB-Originator", "nbap.sIB_Originator",
        FT_UINT32, BASE_DEC, VALS(nbap_SIB_Originator_vals), 0,
        "nbap.SIB_Originator", HFILL }},
    { &hf_nbap_iB_SG_REP,
      { "iB-SG-REP", "nbap.iB_SG_REP",
        FT_UINT32, BASE_DEC, VALS(nbap_IB_SG_REP_vals), 0,
        "nbap.IB_SG_REP", HFILL }},
    { &hf_nbap_segmentInformationList,
      { "segmentInformationList", "nbap.segmentInformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SegmentInformationList_SystemInfoUpdate", HFILL }},
    { &hf_nbap_SegmentInformationListIE_SystemInfoUpdate_item,
      { "SegmentInformationListIE-SystemInfoUpdate", "nbap.SegmentInformationListIE_SystemInfoUpdate_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SegmentInformationItem_SystemInfoUpdate", HFILL }},
    { &hf_nbap_iB_SG_POS,
      { "iB-SG-POS", "nbap.iB_SG_POS",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.IB_SG_POS", HFILL }},
    { &hf_nbap_segment_Type,
      { "segment-Type", "nbap.segment_Type",
        FT_UINT32, BASE_DEC, VALS(nbap_Segment_Type_vals), 0,
        "nbap.Segment_Type", HFILL }},
    { &hf_nbap_iB_SG_DATA,
      { "iB-SG-DATA", "nbap.iB_SG_DATA",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.IB_SG_DATA", HFILL }},
    { &hf_nbap_ul_ScramblingCode,
      { "ul-ScramblingCode", "nbap.ul_ScramblingCode",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_ScramblingCode", HFILL }},
    { &hf_nbap_minUL_ChannelisationCodeLength,
      { "minUL-ChannelisationCodeLength", "nbap.minUL_ChannelisationCodeLength",
        FT_UINT32, BASE_DEC, VALS(nbap_MinUL_ChannelisationCodeLength_vals), 0,
        "nbap.MinUL_ChannelisationCodeLength", HFILL }},
    { &hf_nbap_maxNrOfUL_DPDCHs,
      { "maxNrOfUL-DPDCHs", "nbap.maxNrOfUL_DPDCHs",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaxNrOfUL_DPDCHs", HFILL }},
    { &hf_nbap_ul_PunctureLimit,
      { "ul-PunctureLimit", "nbap.ul_PunctureLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PunctureLimit", HFILL }},
    { &hf_nbap_ul_DPCCH_SlotFormat,
      { "ul-DPCCH-SlotFormat", "nbap.ul_DPCCH_SlotFormat",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_DPCCH_SlotFormat", HFILL }},
    { &hf_nbap_ul_SIR_Target,
      { "ul-SIR-Target", "nbap.ul_SIR_Target",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.UL_SIR", HFILL }},
    { &hf_nbap_diversityMode,
      { "diversityMode", "nbap.diversityMode",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityMode_vals), 0,
        "nbap.DiversityMode", HFILL }},
    { &hf_nbap_not_Used_sSDT_CellID_Length,
      { "not-Used-sSDT-CellID-Length", "nbap.not_Used_sSDT_CellID_Length",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_not_Used_s_FieldLength,
      { "not-Used-s-FieldLength", "nbap.not_Used_s_FieldLength",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_dl_DPCH_SlotFormat,
      { "dl-DPCH-SlotFormat", "nbap.dl_DPCH_SlotFormat",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_DPCH_SlotFormat", HFILL }},
    { &hf_nbap_tFCI_SignallingMode,
      { "tFCI-SignallingMode", "nbap.tFCI_SignallingMode",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TFCI_SignallingMode", HFILL }},
    { &hf_nbap_not_Used_pDSCH_RL_ID,
      { "not-Used-pDSCH-RL-ID", "nbap.not_Used_pDSCH_RL_ID",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_not_Used_pDSCH_CodeMapping,
      { "not-Used-pDSCH-CodeMapping", "nbap.not_Used_pDSCH_CodeMapping",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_powerOffsetInformation_01,
      { "powerOffsetInformation", "nbap.powerOffsetInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PowerOffsetInformation_RL_SetupRqstFDD", HFILL }},
    { &hf_nbap_fdd_TPC_DownlinkStepSize,
      { "fdd-TPC-DownlinkStepSize", "nbap.fdd_TPC_DownlinkStepSize",
        FT_UINT32, BASE_DEC, VALS(nbap_FDD_TPC_DownlinkStepSize_vals), 0,
        "nbap.FDD_TPC_DownlinkStepSize", HFILL }},
    { &hf_nbap_limitedPowerIncrease,
      { "limitedPowerIncrease", "nbap.limitedPowerIncrease",
        FT_UINT32, BASE_DEC, VALS(nbap_LimitedPowerIncrease_vals), 0,
        "nbap.LimitedPowerIncrease", HFILL }},
    { &hf_nbap_innerLoopDLPCStatus,
      { "innerLoopDLPCStatus", "nbap.innerLoopDLPCStatus",
        FT_UINT32, BASE_DEC, VALS(nbap_InnerLoopDLPCStatus_vals), 0,
        "nbap.InnerLoopDLPCStatus", HFILL }},
    { &hf_nbap_pO2_ForTPC_Bits,
      { "pO2-ForTPC-Bits", "nbap.pO2_ForTPC_Bits",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PowerOffset", HFILL }},
    { &hf_nbap_RL_InformationList_RL_SetupRqstFDD_item,
      { "RL-InformationList-RL-SetupRqstFDD", "nbap.RL_InformationList_RL_SetupRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_ID,
      { "rL-ID", "nbap.rL_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_ID", HFILL }},
    { &hf_nbap_firstRLS_indicator,
      { "firstRLS-indicator", "nbap.firstRLS_indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_FirstRLS_Indicator_vals), 0,
        "nbap.FirstRLS_Indicator", HFILL }},
    { &hf_nbap_frameOffset,
      { "frameOffset", "nbap.frameOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FrameOffset", HFILL }},
    { &hf_nbap_chipOffset,
      { "chipOffset", "nbap.chipOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ChipOffset", HFILL }},
    { &hf_nbap_propagationDelay,
      { "propagationDelay", "nbap.propagationDelay",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PropagationDelay", HFILL }},
    { &hf_nbap_diversityControlField,
      { "diversityControlField", "nbap.diversityControlField",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityControlField_vals), 0,
        "nbap.DiversityControlField", HFILL }},
    { &hf_nbap_dl_CodeInformation,
      { "dl-CodeInformation", "nbap.dl_CodeInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FDD_DL_CodeInformation", HFILL }},
    { &hf_nbap_initialDL_transmissionPower,
      { "initialDL-transmissionPower", "nbap.initialDL_transmissionPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_maximumDL_power,
      { "maximumDL-power", "nbap.maximumDL_power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_minimumDL_power,
      { "minimumDL-power", "nbap.minimumDL_power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_not_Used_sSDT_Cell_Identity,
      { "not-Used-sSDT-Cell-Identity", "nbap.not_Used_sSDT_Cell_Identity",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD_item,
      { "UL-CCTrCH-InformationList-RL-SetupRqstTDD", "nbap.UL_CCTrCH_InformationList_RL_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_uL_DPCH_Information,
      { "uL-DPCH-Information", "nbap.uL_DPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_Information_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_tdd_DPCHOffset,
      { "tdd-DPCHOffset", "nbap.tdd_DPCHOffset",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_DPCHOffset_vals), 0,
        "nbap.TDD_DPCHOffset", HFILL }},
    { &hf_nbap_uL_Timeslot_Information,
      { "uL-Timeslot-Information", "nbap.uL_Timeslot_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_Information", HFILL }},
    { &hf_nbap_uL_TimeslotLCR_Information,
      { "uL-TimeslotLCR-Information", "nbap.uL_TimeslotLCR_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotLCR_Information", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD_item,
      { "DL-CCTrCH-InformationList-RL-SetupRqstTDD", "nbap.DL_CCTrCH_InformationList_RL_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_tdd_TPC_DownlinkStepSize,
      { "tdd-TPC-DownlinkStepSize", "nbap.tdd_TPC_DownlinkStepSize",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_DownlinkStepSize_vals), 0,
        "nbap.TDD_TPC_DownlinkStepSize", HFILL }},
    { &hf_nbap_cCTrCH_TPCList,
      { "cCTrCH-TPCList", "nbap.cCTrCH_TPCList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_TPCList_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_dL_DPCH_Information,
      { "dL-DPCH-Information", "nbap.dL_DPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_Information_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_CCTrCH_TPCList_RL_SetupRqstTDD_item,
      { "CCTrCH-TPCList-RL-SetupRqstTDD", "nbap.CCTrCH_TPCList_RL_SetupRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_TPCItem_RL_SetupRqstTDD", HFILL }},
    { &hf_nbap_dL_Timeslot_Information,
      { "dL-Timeslot-Information", "nbap.dL_Timeslot_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_Information", HFILL }},
    { &hf_nbap_dL_TimeslotLCR_Information,
      { "dL-TimeslotLCR-Information", "nbap.dL_TimeslotLCR_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotLCR_Information", HFILL }},
    { &hf_nbap_tstdIndicator,
      { "tstdIndicator", "nbap.tstdIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_TSTD_Indicator_vals), 0,
        "nbap.TSTD_Indicator", HFILL }},
    { &hf_nbap_specialBurstScheduling,
      { "specialBurstScheduling", "nbap.specialBurstScheduling",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SpecialBurstScheduling", HFILL }},
    { &hf_nbap_dL_TimeSlotISCPInfo,
      { "dL-TimeSlotISCPInfo", "nbap.dL_TimeSlotISCPInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotISCPInfo", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_SetupRspFDD_item,
      { "RL-InformationResponseList-RL-SetupRspFDD", "nbap.RL_InformationResponseList_RL_SetupRspFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_Set_ID,
      { "rL-Set-ID", "nbap.rL_Set_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_ID", HFILL }},
    { &hf_nbap_received_total_wide_band_power,
      { "received-total-wide-band-power", "nbap.received_total_wide_band_power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Received_total_wide_band_power_Value", HFILL }},
    { &hf_nbap_diversityIndication,
      { "diversityIndication", "nbap.diversityIndication",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityIndication_RL_SetupRspFDD_vals), 0,
        "nbap.DiversityIndication_RL_SetupRspFDD", HFILL }},
    { &hf_nbap_not_Used_dSCH_InformationResponseList,
      { "not-Used-dSCH-InformationResponseList", "nbap.not_Used_dSCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_sSDT_SupportIndicator,
      { "sSDT-SupportIndicator", "nbap.sSDT_SupportIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_SSDT_SupportIndicator_vals), 0,
        "nbap.SSDT_SupportIndicator", HFILL }},
    { &hf_nbap_combining,
      { "combining", "nbap.combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Combining_RL_SetupRspFDD", HFILL }},
    { &hf_nbap_nonCombiningOrFirstRL,
      { "nonCombiningOrFirstRL", "nbap.nonCombiningOrFirstRL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NonCombiningOrFirstRL_RL_SetupRspFDD", HFILL }},
    { &hf_nbap_dCH_InformationResponse,
      { "dCH-InformationResponse", "nbap.dCH_InformationResponse",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_InformationResponse", HFILL }},
    { &hf_nbap_uL_TimeSlot_ISCP_Info,
      { "uL-TimeSlot-ISCP-Info", "nbap.uL_TimeSlot_ISCP_Info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeSlot_ISCP_Info", HFILL }},
    { &hf_nbap_ul_PhysCH_SF_Variation,
      { "ul-PhysCH-SF-Variation", "nbap.ul_PhysCH_SF_Variation",
        FT_UINT32, BASE_DEC, VALS(nbap_UL_PhysCH_SF_Variation_vals), 0,
        "nbap.UL_PhysCH_SF_Variation", HFILL }},
    { &hf_nbap_dCH_InformationResponseList,
      { "dCH-InformationResponseList", "nbap.dCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_InformationResponseList_RL_SetupRspTDD", HFILL }},
    { &hf_nbap_dSCH_InformationResponseList,
      { "dSCH-InformationResponseList", "nbap.dSCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_InformationResponseList_RL_SetupRspTDD", HFILL }},
    { &hf_nbap_uSCH_InformationResponseList,
      { "uSCH-InformationResponseList", "nbap.uSCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_InformationResponseList_RL_SetupRspTDD", HFILL }},
    { &hf_nbap_uL_TimeSlot_ISCP_LCR_Info,
      { "uL-TimeSlot-ISCP-LCR-Info", "nbap.uL_TimeSlot_ISCP_LCR_Info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeSlot_ISCP_LCR_Info", HFILL }},
    { &hf_nbap_generalCause,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_rLSpecificCause,
      { "rLSpecificCause", "nbap.rLSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RLSpecificCauseList_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_unsuccessful_RL_InformationRespList_RL_SetupFailureFDD,
      { "unsuccessful-RL-InformationRespList-RL-SetupFailureFDD", "nbap.unsuccessful_RL_InformationRespList_RL_SetupFailureFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_successful_RL_InformationRespList_RL_SetupFailureFDD,
      { "successful-RL-InformationRespList-RL-SetupFailureFDD", "nbap.successful_RL_InformationRespList_RL_SetupFailureFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Successful_RL_InformationRespList_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_item,
      { "Unsuccessful-RL-InformationRespList-RL-SetupFailureFDD", "nbap.Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD_item,
      { "Successful-RL-InformationRespList-RL-SetupFailureFDD", "nbap.Successful_RL_InformationRespList_RL_SetupFailureFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_diversityIndication_01,
      { "diversityIndication", "nbap.diversityIndication",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityIndication_RL_SetupFailureFDD_vals), 0,
        "nbap.DiversityIndication_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_not_Used_tFCI2_BearerInformationResponse,
      { "not-Used-tFCI2-BearerInformationResponse", "nbap.not_Used_tFCI2_BearerInformationResponse",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_combining_01,
      { "combining", "nbap.combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Combining_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_nonCombiningOrFirstRL_01,
      { "nonCombiningOrFirstRL", "nbap.nonCombiningOrFirstRL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NonCombiningOrFirstRL_RL_SetupFailureFDD", HFILL }},
    { &hf_nbap_generalCause_01,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_RL_SetupFailureTDD", HFILL }},
    { &hf_nbap_rLSpecificCause_01,
      { "rLSpecificCause", "nbap.rLSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RLSpecificCauseList_RL_SetupFailureTDD", HFILL }},
    { &hf_nbap_unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD,
      { "unsuccessful-RL-InformationRespItem-RL-SetupFailureTDD", "nbap.unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespItem_RL_SetupFailureTDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_AdditionRqstFDD_item,
      { "RL-InformationList-RL-AdditionRqstFDD", "nbap.RL_InformationList_RL_AdditionRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_initialDL_TransmissionPower,
      { "initialDL-TransmissionPower", "nbap.initialDL_TransmissionPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_maximumDL_Power,
      { "maximumDL-Power", "nbap.maximumDL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_minimumDL_Power,
      { "minimumDL-Power", "nbap.minimumDL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_not_Used_sSDT_CellIdentity,
      { "not-Used-sSDT-CellIdentity", "nbap.not_Used_sSDT_CellIdentity",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_item,
      { "UL-CCTrCH-InformationList-RL-AdditionRqstTDD", "nbap.UL_CCTrCH_InformationList_RL_AdditionRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationItem_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_uL_DPCH_Information_01,
      { "uL-DPCH-Information", "nbap.uL_DPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationList_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_item,
      { "DL-CCTrCH-InformationList-RL-AdditionRqstTDD", "nbap.DL_CCTrCH_InformationList_RL_AdditionRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationItem_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_dL_DPCH_Information_01,
      { "dL-DPCH-Information", "nbap.dL_DPCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationList_RL_AdditionRqstTDD", HFILL }},
    { &hf_nbap_initial_DL_Transmission_Power,
      { "initial-DL-Transmission-Power", "nbap.initial_DL_Transmission_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_AdditionRspFDD_item,
      { "RL-InformationResponseList-RL-AdditionRspFDD", "nbap.RL_InformationResponseList_RL_AdditionRspFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_diversityIndication_02,
      { "diversityIndication", "nbap.diversityIndication",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityIndication_RL_AdditionRspFDD_vals), 0,
        "nbap.DiversityIndication_RL_AdditionRspFDD", HFILL }},
    { &hf_nbap_combining_02,
      { "combining", "nbap.combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Combining_RL_AdditionRspFDD", HFILL }},
    { &hf_nbap_non_combining,
      { "non-combining", "nbap.non_combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Non_Combining_RL_AdditionRspFDD", HFILL }},
    { &hf_nbap_dCH_Information,
      { "dCH-Information", "nbap.dCH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_Information_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_dSCH_InformationResponseList_01,
      { "dSCH-InformationResponseList", "nbap.dSCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_InformationResponseList_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_uSCH_InformationResponseList_01,
      { "uSCH-InformationResponseList", "nbap.uSCH_InformationResponseList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_InformationResponseList_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_diversityIndication_03,
      { "diversityIndication", "nbap.diversityIndication",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityIndication_RL_AdditionRspTDD_vals), 0,
        "nbap.DiversityIndication_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_combining_03,
      { "combining", "nbap.combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Combining_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_non_Combining,
      { "non-Combining", "nbap.non_Combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Non_Combining_RL_AdditionRspTDD", HFILL }},
    { &hf_nbap_uL_TimeSlot_ISCP_InfoLCR,
      { "uL-TimeSlot-ISCP-InfoLCR", "nbap.uL_TimeSlot_ISCP_InfoLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeSlot_ISCP_LCR_Info", HFILL }},
    { &hf_nbap_generalCause_02,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_rLSpecificCause_02,
      { "rLSpecificCause", "nbap.rLSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RLSpecificCauseList_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD,
      { "unsuccessful-RL-InformationRespList-RL-AdditionFailureFDD", "nbap.unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_successful_RL_InformationRespList_RL_AdditionFailureFDD,
      { "successful-RL-InformationRespList-RL-AdditionFailureFDD", "nbap.successful_RL_InformationRespList_RL_AdditionFailureFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Successful_RL_InformationRespList_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_item,
      { "Unsuccessful-RL-InformationRespList-RL-AdditionFailureFDD", "nbap.Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD_item,
      { "Successful-RL-InformationRespList-RL-AdditionFailureFDD", "nbap.Successful_RL_InformationRespList_RL_AdditionFailureFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_diversityIndication_04,
      { "diversityIndication", "nbap.diversityIndication",
        FT_UINT32, BASE_DEC, VALS(nbap_DiversityIndication_RL_AdditionFailureFDD_vals), 0,
        "nbap.DiversityIndication_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_combining_04,
      { "combining", "nbap.combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Combining_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_non_Combining_01,
      { "non-Combining", "nbap.non_Combining",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Non_Combining_RL_AdditionFailureFDD", HFILL }},
    { &hf_nbap_generalCause_03,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_RL_AdditionFailureTDD", HFILL }},
    { &hf_nbap_rLSpecificCause_03,
      { "rLSpecificCause", "nbap.rLSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RLSpecificCauseList_RL_AdditionFailureTDD", HFILL }},
    { &hf_nbap_unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD,
      { "unsuccessful-RL-InformationRespItem-RL-AdditionFailureTDD", "nbap.unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Unsuccessful_RL_InformationRespItem_RL_AdditionFailureTDD", HFILL }},
    { &hf_nbap_not_Used_sSDT_CellIDLength,
      { "not-Used-sSDT-CellIDLength", "nbap.not_Used_sSDT_CellIDLength",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfPrepFDD_item,
      { "DCH-DeleteList-RL-ReconfPrepFDD", "nbap.DCH_DeleteList_RL_ReconfPrepFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_DeleteItem_RL_ReconfPrepFDD", HFILL }},
    { &hf_nbap_dCH_ID,
      { "dCH-ID", "nbap.dCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_ID", HFILL }},
    { &hf_nbap_RL_InformationList_RL_ReconfPrepFDD_item,
      { "RL-InformationList-RL-ReconfPrepFDD", "nbap.RL_InformationList_RL_ReconfPrepFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_maxDL_Power,
      { "maxDL-Power", "nbap.maxDL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_minDL_Power,
      { "minDL-Power", "nbap.minDL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_not_Used_sSDT_Indication,
      { "not-Used-sSDT-Indication", "nbap.not_Used_sSDT_Indication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item,
      { "UL-CCTrCH-InformationAddList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationList,
      { "ul-DPCH-InformationList", "nbap.ul_DPCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_item,
      { "MultipleRL-UL-DPCH-InformationAddList-RL-ReconfPrepTDD", "nbap.MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationListLCR,
      { "ul-DPCH-InformationListLCR", "nbap.ul_DPCH_InformationListLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_sir_target,
      { "ul-sir-target", "nbap.ul_sir_target",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.UL_SIR", HFILL }},
    { &hf_nbap_tDD_TPC_UplinkStepSize_LCR,
      { "tDD-TPC-UplinkStepSize-LCR", "nbap.tDD_TPC_UplinkStepSize_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_UplinkStepSize_LCR_vals), 0,
        "nbap.TDD_TPC_UplinkStepSize_LCR", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationLCR,
      { "uL-Timeslot-InformationLCR", "nbap.uL_Timeslot_InformationLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotLCR_Information", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item,
      { "UL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationAddList,
      { "ul-DPCH-InformationAddList", "nbap.ul_DPCH_InformationAddList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationModifyList,
      { "ul-DPCH-InformationModifyList", "nbap.ul_DPCH_InformationModifyList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationDeleteList,
      { "ul-DPCH-InformationDeleteList", "nbap.ul_DPCH_InformationDeleteList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item,
      { "MultipleRL-UL-DPCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_ul_DPCH_InformationAddListLCR,
      { "ul-DPCH-InformationAddListLCR", "nbap.ul_DPCH_InformationAddListLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD,
      { "uL-Timeslot-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.uL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "UL-Timeslot-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_midambleShiftAndBurstType,
      { "midambleShiftAndBurstType", "nbap.midambleShiftAndBurstType",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleShiftAndBurstType_vals), 0,
        "nbap.MidambleShiftAndBurstType", HFILL }},
    { &hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD,
      { "uL-Code-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "UL-Code-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dPCH_ID,
      { "dPCH-ID", "nbap.dPCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DPCH_ID", HFILL }},
    { &hf_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "UL-TimeslotLCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR,
      { "uL-Code-InformationModify-ModifyList-RL-ReconfPrepTDDLCR", "nbap.uL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR", HFILL }},
    { &hf_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_item,
      { "UL-Code-InformationModify-ModifyList-RL-ReconfPrepTDDLCR", "nbap.UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR", HFILL }},
    { &hf_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item,
      { "UL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD", "nbap.UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item,
      { "UL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD", "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item,
      { "DL-CCTrCH-InformationAddList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_cCTrCH_TPCList_01,
      { "cCTrCH-TPCList", "nbap.cCTrCH_TPCList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_TPCAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationList,
      { "dl-DPCH-InformationList", "nbap.dl_DPCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_item,
      { "MultipleRL-DL-DPCH-InformationAddList-RL-ReconfPrepTDD", "nbap.MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationListLCR,
      { "dl-DPCH-InformationListLCR", "nbap.dl_DPCH_InformationListLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_cCTrCH_Initial_DL_Power,
      { "cCTrCH-Initial-DL-Power", "nbap.cCTrCH_Initial_DL_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_tDD_TPC_DownlinkStepSize,
      { "tDD-TPC-DownlinkStepSize", "nbap.tDD_TPC_DownlinkStepSize",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_DownlinkStepSize_vals), 0,
        "nbap.TDD_TPC_DownlinkStepSize", HFILL }},
    { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD,
      { "cCTrCH-Maximum-DL-Power-InformationAdd-RL-ReconfPrepTDD", "nbap.cCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD,
      { "cCTrCH-Minimum-DL-Power-InformationAdd-RL-ReconfPrepTDD", "nbap.cCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD_item,
      { "CCTrCH-TPCAddList-RL-ReconfPrepTDD", "nbap.CCTrCH_TPCAddList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_TPCAddItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dL_Timeslot_InformationLCR,
      { "dL-Timeslot-InformationLCR", "nbap.dL_Timeslot_InformationLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotLCR_Information", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item,
      { "DL-CCTrCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_cCTrCH_TPCList_02,
      { "cCTrCH-TPCList", "nbap.cCTrCH_TPCList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_TPCModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationAddList,
      { "dl-DPCH-InformationAddList", "nbap.dl_DPCH_InformationAddList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationModifyList,
      { "dl-DPCH-InformationModifyList", "nbap.dl_DPCH_InformationModifyList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationDeleteList,
      { "dl-DPCH-InformationDeleteList", "nbap.dl_DPCH_InformationDeleteList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_DeleteList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item,
      { "MultipleRL-DL-DPCH-InformationModifyList-RL-ReconfPrepTDD", "nbap.MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dl_DPCH_InformationAddListLCR,
      { "dl-DPCH-InformationAddListLCR", "nbap.dl_DPCH_InformationAddListLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_tDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD,
      { "tDD-TPC-DownlinkStepSize-InformationModify-RL-ReconfPrepTDD", "nbap.tDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_TPC_DownlinkStepSize_vals), 0,
        "nbap.TDD_TPC_DownlinkStepSize", HFILL }},
    { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD,
      { "cCTrCH-Maximum-DL-Power-InformationModify-RL-ReconfPrepTDD", "nbap.cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD,
      { "cCTrCH-Minimum-DL-Power-InformationModify-RL-ReconfPrepTDD", "nbap.cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD_item,
      { "CCTrCH-TPCModifyList-RL-ReconfPrepTDD", "nbap.CCTrCH_TPCModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_TPCModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dL_Timeslot_InformationAddModify_ModifyList_RL_ReconfPrepTDD,
      { "dL-Timeslot-InformationAddModify-ModifyList-RL-ReconfPrepTDD", "nbap.dL_Timeslot_InformationAddModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "DL-Timeslot-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD,
      { "dL-Code-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.dL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "DL-Code-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "DL-Timeslot-LCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD,
      { "dL-Code-LCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.dL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item,
      { "DL-Code-LCR-InformationModify-ModifyList-RL-ReconfPrepTDD", "nbap.DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item,
      { "DL-DPCH-InformationModify-DeleteListIE-RL-ReconfPrepTDD", "nbap.DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item,
      { "DL-CCTrCH-InformationDeleteList-RL-ReconfPrepTDD", "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfPrepTDD_item,
      { "DCH-DeleteList-RL-ReconfPrepTDD", "nbap.DCH_DeleteList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_DeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD_item,
      { "DSCH-Information-ModifyList-RL-ReconfPrepTDD", "nbap.DSCH_Information_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_Information_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_dSCH_ID,
      { "dSCH-ID", "nbap.dSCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DSCH_ID", HFILL }},
    { &hf_nbap_allocationRetentionPriority,
      { "allocationRetentionPriority", "nbap.allocationRetentionPriority",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AllocationRetentionPriority", HFILL }},
    { &hf_nbap_frameHandlingPriority,
      { "frameHandlingPriority", "nbap.frameHandlingPriority",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FrameHandlingPriority", HFILL }},
    { &hf_nbap_transportBearerRequestIndicator,
      { "transportBearerRequestIndicator", "nbap.transportBearerRequestIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportBearerRequestIndicator_vals), 0,
        "nbap.TransportBearerRequestIndicator", HFILL }},
    { &hf_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD_item,
      { "DSCH-Information-DeleteList-RL-ReconfPrepTDD", "nbap.DSCH_Information_DeleteList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_Information_DeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD_item,
      { "USCH-Information-ModifyList-RL-ReconfPrepTDD", "nbap.USCH_Information_ModifyList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_Information_ModifyItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_uSCH_ID,
      { "uSCH-ID", "nbap.uSCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.USCH_ID", HFILL }},
    { &hf_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD_item,
      { "USCH-Information-DeleteList-RL-ReconfPrepTDD", "nbap.USCH_Information_DeleteList_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_Information_DeleteItem_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_MultipleRL_Information_RL_ReconfPrepTDD_item,
      { "MultipleRL-Information-RL-ReconfPrepTDD", "nbap.MultipleRL_Information_RL_ReconfPrepTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_ReconfPrepTDD", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_ReconfReady_item,
      { "RL-InformationResponseList-RL-ReconfReady", "nbap.RL_InformationResponseList_RL_ReconfReady_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dCH_InformationResponseList_RL_ReconfReady,
      { "dCH-InformationResponseList-RL-ReconfReady", "nbap.dCH_InformationResponseList_RL_ReconfReady",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_InformationResponseList_RL_ReconfReady", HFILL }},
    { &hf_nbap_dSCH_InformationResponseList_RL_ReconfReady,
      { "dSCH-InformationResponseList-RL-ReconfReady", "nbap.dSCH_InformationResponseList_RL_ReconfReady",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_InformationResponseList_RL_ReconfReady", HFILL }},
    { &hf_nbap_uSCH_InformationResponseList_RL_ReconfReady,
      { "uSCH-InformationResponseList-RL-ReconfReady", "nbap.uSCH_InformationResponseList_RL_ReconfReady",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_InformationResponseList_RL_ReconfReady", HFILL }},
    { &hf_nbap_generalCause_04,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_RL_ReconfFailure", HFILL }},
    { &hf_nbap_rLSpecificCause_04,
      { "rLSpecificCause", "nbap.rLSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RLSpecificCauseList_RL_ReconfFailure", HFILL }},
    { &hf_nbap_rL_ReconfigurationFailureList_RL_ReconfFailure,
      { "rL-ReconfigurationFailureList-RL-ReconfFailure", "nbap.rL_ReconfigurationFailureList_RL_ReconfFailure",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_ReconfigurationFailureList_RL_ReconfFailure", HFILL }},
    { &hf_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure_item,
      { "RL-ReconfigurationFailureList-RL-ReconfFailure", "nbap.RL_ReconfigurationFailureList_RL_ReconfFailure_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_ul_TFCS,
      { "ul-TFCS", "nbap.ul_TFCS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TFCS", HFILL }},
    { &hf_nbap_dl_TFCS,
      { "dl-TFCS", "nbap.dl_TFCS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TFCS", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfRqstFDD_item,
      { "DCH-DeleteList-RL-ReconfRqstFDD", "nbap.DCH_DeleteList_RL_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_DeleteItem_RL_ReconfRqstFDD", HFILL }},
    { &hf_nbap_RL_InformationList_RL_ReconfRqstFDD_item,
      { "RL-InformationList-RL-ReconfRqstFDD", "nbap.RL_InformationList_RL_ReconfRqstFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item,
      { "UL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item,
      { "UL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD", "nbap.UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item,
      { "DL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item,
      { "MultipleRL-DL-CCTrCH-InformationModifyList-RL-ReconfRqstTDD", "nbap.MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_dl_DPCH_LCR_InformationModifyList,
      { "dl-DPCH-LCR-InformationModifyList", "nbap.dl_DPCH_LCR_InformationModifyList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD,
      { "cCTrCH-Maximum-DL-Power-InformationModify-RL-ReconfRqstTDD", "nbap.cCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD,
      { "cCTrCH-Minimum-DL-Power-InformationModify-RL-ReconfRqstTDD", "nbap.cCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_dL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD,
      { "dL-Timeslot-LCR-InformationModify-ModifyList-RL-ReconfRqstTDD", "nbap.dL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_item,
      { "DL-Timeslot-LCR-InformationModify-ModifyList-RL-ReconfRqstTDD", "nbap.DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_maxPowerLCR,
      { "maxPowerLCR", "nbap.maxPowerLCR",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_minPowerLCR,
      { "minPowerLCR", "nbap.minPowerLCR",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item,
      { "DL-CCTrCH-InformationDeleteList-RL-ReconfRqstTDD", "nbap.DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_DCH_DeleteList_RL_ReconfRqstTDD_item,
      { "DCH-DeleteList-RL-ReconfRqstTDD", "nbap.DCH_DeleteList_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_DeleteItem_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_Multiple_RL_Information_RL_ReconfRqstTDD_item,
      { "Multiple-RL-Information-RL-ReconfRqstTDD", "nbap.Multiple_RL_Information_RL_ReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Information_RL_ReconfRqstTDD", HFILL }},
    { &hf_nbap_RL_InformationResponseList_RL_ReconfRsp_item,
      { "RL-InformationResponseList-RL-ReconfRsp", "nbap.RL_InformationResponseList_RL_ReconfRsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dCH_InformationResponseList_RL_ReconfRsp,
      { "dCH-InformationResponseList-RL-ReconfRsp", "nbap.dCH_InformationResponseList_RL_ReconfRsp",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_InformationResponseList_RL_ReconfRsp", HFILL }},
    { &hf_nbap_RL_informationList_RL_DeletionRqst_item,
      { "RL-informationList-RL-DeletionRqst", "nbap.RL_informationList_RL_DeletionRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst_item,
      { "DL-ReferencePowerInformationList-DL-PC-Rqst", "nbap.DL_ReferencePowerInformationList_DL_PC_Rqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dl_ReferencePower,
      { "dl-ReferencePower", "nbap.dl_ReferencePower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_rL,
      { "rL", "nbap.rL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_DM_Rqst", HFILL }},
    { &hf_nbap_rLS,
      { "rLS", "nbap.rLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_DM_Rqst", HFILL }},
    { &hf_nbap_all_RL,
      { "all-RL", "nbap.all_RL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AllRL_DM_Rqst", HFILL }},
    { &hf_nbap_all_RLS,
      { "all-RLS", "nbap.all_RLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.AllRL_Set_DM_Rqst", HFILL }},
    { &hf_nbap_rL_InformationList,
      { "rL-InformationList", "nbap.rL_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_DM_Rqst", HFILL }},
    { &hf_nbap_RL_InformationList_DM_Rqst_item,
      { "RL-InformationList-DM-Rqst", "nbap.RL_InformationList_DM_Rqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rqst_item,
      { "PUSCH-Info-DM-Rqst", "nbap.PUSCH_Info_DM_Rqst_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_ID", HFILL }},
    { &hf_nbap_HSSICH_Info_DM_Rqst_item,
      { "HSSICH-Info-DM-Rqst", "nbap.HSSICH_Info_DM_Rqst_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_ID", HFILL }},
    { &hf_nbap_rL_Set_InformationList_DM_Rqst,
      { "rL-Set-InformationList-DM-Rqst", "nbap.rL_Set_InformationList_DM_Rqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_InformationList_DM_Rqst", HFILL }},
    { &hf_nbap_RL_Set_InformationList_DM_Rqst_item,
      { "RL-Set-InformationList-DM-Rqst", "nbap.RL_Set_InformationList_DM_Rqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_InformationItem_DM_Rqst", HFILL }},
    { &hf_nbap_rL_01,
      { "rL", "nbap.rL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_DM_Rsp", HFILL }},
    { &hf_nbap_rLS_01,
      { "rLS", "nbap.rLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_DM_Rsp", HFILL }},
    { &hf_nbap_all_RL_01,
      { "all-RL", "nbap.all_RL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_DM_Rsp", HFILL }},
    { &hf_nbap_all_RLS_01,
      { "all-RLS", "nbap.all_RLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_DM_Rsp", HFILL }},
    { &hf_nbap_rL_InformationList_DM_Rsp,
      { "rL-InformationList-DM-Rsp", "nbap.rL_InformationList_DM_Rsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_DM_Rsp", HFILL }},
    { &hf_nbap_RL_InformationList_DM_Rsp_item,
      { "RL-InformationList-DM-Rsp", "nbap.RL_InformationList_DM_Rsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dedicatedMeasurementValue,
      { "dedicatedMeasurementValue", "nbap.dedicatedMeasurementValue",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementValue_vals), 0,
        "nbap.DedicatedMeasurementValue", HFILL }},
    { &hf_nbap_cFN,
      { "cFN", "nbap.cFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rsp_item,
      { "PUSCH-Info-DM-Rsp", "nbap.PUSCH_Info_DM_Rsp_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_ID", HFILL }},
    { &hf_nbap_rL_Set_InformationList_DM_Rsp,
      { "rL-Set-InformationList-DM-Rsp", "nbap.rL_Set_InformationList_DM_Rsp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_InformationList_DM_Rsp", HFILL }},
    { &hf_nbap_RL_Set_InformationList_DM_Rsp_item,
      { "RL-Set-InformationList-DM-Rsp", "nbap.RL_Set_InformationList_DM_Rsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_item,
      { "Multiple-HSSICHMeasurementValueList-TDD-DM-Rsp", "nbap.Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp", HFILL }},
    { &hf_nbap_hsSICH_ID,
      { "hsSICH-ID", "nbap.hsSICH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_ID", HFILL }},
    { &hf_nbap_rL_02,
      { "rL", "nbap.rL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_DM_Rprt", HFILL }},
    { &hf_nbap_rLS_02,
      { "rLS", "nbap.rLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_DM_Rprt", HFILL }},
    { &hf_nbap_all_RL_02,
      { "all-RL", "nbap.all_RL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_DM_Rprt", HFILL }},
    { &hf_nbap_all_RLS_02,
      { "all-RLS", "nbap.all_RLS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_DM_Rprt", HFILL }},
    { &hf_nbap_rL_InformationList_DM_Rprt,
      { "rL-InformationList-DM-Rprt", "nbap.rL_InformationList_DM_Rprt",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_DM_Rprt", HFILL }},
    { &hf_nbap_RL_InformationList_DM_Rprt_item,
      { "RL-InformationList-DM-Rprt", "nbap.RL_InformationList_DM_Rprt_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_dedicatedMeasurementValueInformation,
      { "dedicatedMeasurementValueInformation", "nbap.dedicatedMeasurementValueInformation",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementValueInformation_vals), 0,
        "nbap.DedicatedMeasurementValueInformation", HFILL }},
    { &hf_nbap_PUSCH_Info_DM_Rprt_item,
      { "PUSCH-Info-DM-Rprt", "nbap.PUSCH_Info_DM_Rprt_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_ID", HFILL }},
    { &hf_nbap_rL_Set_InformationList_DM_Rprt,
      { "rL-Set-InformationList-DM-Rprt", "nbap.rL_Set_InformationList_DM_Rprt",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_InformationList_DM_Rprt", HFILL }},
    { &hf_nbap_RL_Set_InformationList_DM_Rprt_item,
      { "RL-Set-InformationList-DM-Rprt", "nbap.RL_Set_InformationList_DM_Rprt_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_03,
      { "rL", "nbap.rL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_RL_FailureInd", HFILL }},
    { &hf_nbap_rL_Set,
      { "rL-Set", "nbap.rL_Set",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_RL_FailureInd", HFILL }},
    { &hf_nbap_cCTrCH,
      { "cCTrCH", "nbap.cCTrCH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_RL_FailureInd", HFILL }},
    { &hf_nbap_rL_InformationList_RL_FailureInd,
      { "rL-InformationList-RL-FailureInd", "nbap.rL_InformationList_RL_FailureInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_FailureInd", HFILL }},
    { &hf_nbap_RL_InformationList_RL_FailureInd_item,
      { "RL-InformationList-RL-FailureInd", "nbap.RL_InformationList_RL_FailureInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_Set_InformationList_RL_FailureInd,
      { "rL-Set-InformationList-RL-FailureInd", "nbap.rL_Set_InformationList_RL_FailureInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_InformationList_RL_FailureInd", HFILL }},
    { &hf_nbap_RL_Set_InformationList_RL_FailureInd_item,
      { "RL-Set-InformationList-RL-FailureInd", "nbap.RL_Set_InformationList_RL_FailureInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_cCTrCH_InformationList_RL_FailureInd,
      { "cCTrCH-InformationList-RL-FailureInd", "nbap.cCTrCH_InformationList_RL_FailureInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_InformationList_RL_FailureInd", HFILL }},
    { &hf_nbap_CCTrCH_InformationList_RL_FailureInd_item,
      { "CCTrCH-InformationList-RL-FailureInd", "nbap.CCTrCH_InformationList_RL_FailureInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_RL_InformationList_RL_PreemptRequiredInd_item,
      { "RL-InformationList-RL-PreemptRequiredInd", "nbap.RL_InformationList_RL_PreemptRequiredInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_04,
      { "rL", "nbap.rL",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_RL_RestoreInd", HFILL }},
    { &hf_nbap_rL_Set_01,
      { "rL-Set", "nbap.rL_Set",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Set_RL_RestoreInd", HFILL }},
    { &hf_nbap_cCTrCH_01,
      { "cCTrCH", "nbap.cCTrCH",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CCTrCH_RL_RestoreInd", HFILL }},
    { &hf_nbap_rL_InformationList_RL_RestoreInd,
      { "rL-InformationList-RL-RestoreInd", "nbap.rL_InformationList_RL_RestoreInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_InformationList_RL_RestoreInd", HFILL }},
    { &hf_nbap_RL_InformationList_RL_RestoreInd_item,
      { "RL-InformationList-RL-RestoreInd", "nbap.RL_InformationList_RL_RestoreInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_rL_Set_InformationList_RL_RestoreInd,
      { "rL-Set-InformationList-RL-RestoreInd", "nbap.rL_Set_InformationList_RL_RestoreInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RL_Set_InformationList_RL_RestoreInd", HFILL }},
    { &hf_nbap_RL_Set_InformationList_RL_RestoreInd_item,
      { "RL-Set-InformationList-RL-RestoreInd", "nbap.RL_Set_InformationList_RL_RestoreInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_cCTrCH_InformationList_RL_RestoreInd,
      { "cCTrCH-InformationList-RL-RestoreInd", "nbap.cCTrCH_InformationList_RL_RestoreInd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_InformationList_RL_RestoreInd", HFILL }},
    { &hf_nbap_CCTrCH_InformationList_RL_RestoreInd_item,
      { "CCTrCH-InformationList-RL-RestoreInd", "nbap.CCTrCH_InformationList_RL_RestoreInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_privateIEs,
      { "privateIEs", "nbap.privateIEs",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PrivateIE_Container", HFILL }},
    { &hf_nbap_PDSCHSets_AddList_PSCH_ReconfRqst_item,
      { "PDSCHSets-AddList-PSCH-ReconfRqst", "nbap.PDSCHSets_AddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCHSets_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pDSCHSet_ID,
      { "pDSCHSet-ID", "nbap.pDSCHSet_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PDSCHSet_ID", HFILL }},
    { &hf_nbap_pDSCH_InformationList,
      { "pDSCH-InformationList", "nbap.pDSCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_Information_AddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Timeslot_InformationAddList_PSCH_ReconfRqst,
      { "dL-Timeslot-InformationAddList-PSCH-ReconfRqst", "nbap.dL_Timeslot_InformationAddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_InformationAddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst_item,
      { "DL-Timeslot-InformationAddList-PSCH-ReconfRqst", "nbap.DL_Timeslot_InformationAddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_InformationAddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Code_InformationAddList_PSCH_ReconfRqst,
      { "dL-Code-InformationAddList-PSCH-ReconfRqst", "nbap.dL_Code_InformationAddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_InformationAddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst_item,
      { "DL-Code-InformationAddList-PSCH-ReconfRqst", "nbap.DL_Code_InformationAddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_InformationAddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pDSCH_ID,
      { "pDSCH-ID", "nbap.pDSCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PDSCH_ID", HFILL }},
    { &hf_nbap_dL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst,
      { "dL-Timeslot-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.dL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item,
      { "DL-Timeslot-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Code_InformationAddList_LCR_PSCH_ReconfRqst,
      { "dL-Code-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.dL_Code_InformationAddList_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_InformationAddList_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item,
      { "DL-Code-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.DL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst_item,
      { "PDSCHSets-ModifyList-PSCH-ReconfRqst", "nbap.PDSCHSets_ModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCHSets_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pDSCH_InformationList_01,
      { "pDSCH-InformationList", "nbap.pDSCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCH_Information_ModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Timeslot_InformationModifyList_PSCH_ReconfRqst,
      { "dL-Timeslot-InformationModifyList-PSCH-ReconfRqst", "nbap.dL_Timeslot_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item,
      { "DL-Timeslot-InformationModifyList-PSCH-ReconfRqst", "nbap.DL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Code_InformationModifyList_PSCH_ReconfRqst,
      { "dL-Code-InformationModifyList-PSCH-ReconfRqst", "nbap.dL_Code_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst_item,
      { "DL-Code-InformationModifyList-PSCH-ReconfRqst", "nbap.DL_Code_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst,
      { "dL-Timeslot-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.dL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item,
      { "DL-Timeslot-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_Code_LCR_InformationModifyList_PSCH_ReconfRqst,
      { "dL-Code-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.dL_Code_LCR_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item,
      { "DL-Code-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst_item,
      { "PDSCHSets-DeleteList-PSCH-ReconfRqst", "nbap.PDSCHSets_DeleteList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PDSCHSets_DeleteItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_AddList_PSCH_ReconfRqst_item,
      { "PUSCHSets-AddList-PSCH-ReconfRqst", "nbap.PUSCHSets_AddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCHSets_AddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pUSCHSet_ID,
      { "pUSCHSet-ID", "nbap.pUSCHSet_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCHSet_ID", HFILL }},
    { &hf_nbap_pUSCH_InformationList,
      { "pUSCH-InformationList", "nbap.pUSCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_Information_AddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationAddList_PSCH_ReconfRqst,
      { "uL-Timeslot-InformationAddList-PSCH-ReconfRqst", "nbap.uL_Timeslot_InformationAddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_InformationAddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst_item,
      { "UL-Timeslot-InformationAddList-PSCH-ReconfRqst", "nbap.UL_Timeslot_InformationAddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_InformationAddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Code_InformationAddList_PSCH_ReconfRqst,
      { "uL-Code-InformationAddList-PSCH-ReconfRqst", "nbap.uL_Code_InformationAddList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_InformationAddList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst_item,
      { "UL-Code-InformationAddList-PSCH-ReconfRqst", "nbap.UL_Code_InformationAddList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_InformationAddItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pUSCH_ID,
      { "pUSCH-ID", "nbap.pUSCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PUSCH_ID", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst,
      { "uL-Timeslot-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.uL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item,
      { "UL-Timeslot-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Code_InformationAddList_LCR_PSCH_ReconfRqst,
      { "uL-Code-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.uL_Code_InformationAddList_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_InformationAddList_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item,
      { "UL-Code-InformationAddList-LCR-PSCH-ReconfRqst", "nbap.UL_Code_InformationAddList_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst_item,
      { "PUSCHSets-ModifyList-PSCH-ReconfRqst", "nbap.PUSCHSets_ModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCHSets_ModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_pUSCH_InformationList_01,
      { "pUSCH-InformationList", "nbap.pUSCH_InformationList",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCH_Information_ModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationModifyList_PSCH_ReconfRqst,
      { "uL-Timeslot-InformationModifyList-PSCH-ReconfRqst", "nbap.uL_Timeslot_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item,
      { "UL-Timeslot-InformationModifyList-PSCH-ReconfRqst", "nbap.UL_Timeslot_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Code_InformationModifyList_PSCH_ReconfRqst,
      { "uL-Code-InformationModifyList-PSCH-ReconfRqst", "nbap.uL_Code_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst_item,
      { "UL-Code-InformationModifyList-PSCH-ReconfRqst", "nbap.UL_Code_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Timeslot_InformationModifyList_LCR_PSCH_ReconfRqst,
      { "uL-Timeslot-InformationModifyList-LCR-PSCH-ReconfRqst", "nbap.uL_Timeslot_InformationModifyList_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item,
      { "UL-Timeslot-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_uL_Code_LCR_InformationModifyList_PSCH_ReconfRqst,
      { "uL-Code-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.uL_Code_LCR_InformationModifyList_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item,
      { "UL-Code-LCR-InformationModifyList-PSCH-ReconfRqst", "nbap.UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst_item,
      { "PUSCHSets-DeleteList-PSCH-ReconfRqst", "nbap.PUSCHSets_DeleteList_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PUSCHSets_DeleteItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst,
      { "dL-HS-PDSCH-Timeslot-Information-PSCH-ReconfRqst", "nbap.dL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst,
      { "dL-HS-PDSCH-Timeslot-Information-LCR-PSCH-ReconfRqst", "nbap.dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item,
      { "MultipleFreq-DL-HS-PDSCH-Timeslot-Information-LCR-PSCH-ReconfRqst", "nbap.MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_item,
      { "DL-HS-PDSCH-Timeslot-Information-PSCH-ReconfRqst", "nbap.DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_dl_HS_PDSCH_Codelist_PSCH_ReconfRqst,
      { "dl-HS-PDSCH-Codelist-PSCH-ReconfRqst", "nbap.dl_HS_PDSCH_Codelist_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_HS_PDSCH_Codelist_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_maxHSDSCH_HSSCCH_Power,
      { "maxHSDSCH-HSSCCH-Power", "nbap.maxHSDSCH_HSSCCH_Power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaximumTransmissionPower", HFILL }},
    { &hf_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_item,
      { "DL-HS-PDSCH-Codelist-PSCH-ReconfRqst", "nbap.DL_HS_PDSCH_Codelist_PSCH_ReconfRqst_item",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item,
      { "DL-HS-PDSCH-Timeslot-Information-LCR-PSCH-ReconfRqst", "nbap.DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_midambleShiftAndBurstType_01,
      { "midambleShiftAndBurstType", "nbap.midambleShiftAndBurstType",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MidambleShiftLCR", HFILL }},
    { &hf_nbap_dl_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst,
      { "dl-HS-PDSCH-Codelist-LCR-PSCH-ReconfRqst", "nbap.dl_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_item,
      { "DL-HS-PDSCH-Codelist-LCR-PSCH-ReconfRqst", "nbap.DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst_item",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_hS_SCCH_Information_PSCH_ReconfRqst,
      { "hS-SCCH-Information-PSCH-ReconfRqst", "nbap.hS_SCCH_Information_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_Information_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SCCH_Information_LCR_PSCH_ReconfRqst,
      { "hS-SCCH-Information-LCR-PSCH-ReconfRqst", "nbap.hS_SCCH_Information_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_Information_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_HS_SCCH_Information_PSCH_ReconfRqst_item,
      { "HS-SCCH-Information-PSCH-ReconfRqst", "nbap.HS_SCCH_Information_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SCCH_InformationItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SCCH_ID,
      { "hS-SCCH-ID", "nbap.hS_SCCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_ID", HFILL }},
    { &hf_nbap_hS_SCCH_MaxPower,
      { "hS-SCCH-MaxPower", "nbap.hS_SCCH_MaxPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_hS_SICH_Information,
      { "hS-SICH-Information", "nbap.hS_SICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SICH_Information_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst_item,
      { "HS-SCCH-Information-LCR-PSCH-ReconfRqst", "nbap.HS_SCCH_Information_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_first_TDD_ChannelisationCode,
      { "first-TDD-ChannelisationCode", "nbap.first_TDD_ChannelisationCode",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_second_TDD_ChannelisationCode,
      { "second-TDD-ChannelisationCode", "nbap.second_TDD_ChannelisationCode",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_hS_SICH_Information_LCR,
      { "hS-SICH-Information-LCR", "nbap.hS_SICH_Information_LCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SICH_Information_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SCCH_InformationModify_PSCH_ReconfRqst,
      { "hS-SCCH-InformationModify-PSCH-ReconfRqst", "nbap.hS_SCCH_InformationModify_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_InformationModify_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SCCH_InformationModify_LCR_PSCH_ReconfRqst,
      { "hS-SCCH-InformationModify-LCR-PSCH-ReconfRqst", "nbap.hS_SCCH_InformationModify_LCR_PSCH_ReconfRqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst_item,
      { "HS-SCCH-InformationModify-PSCH-ReconfRqst", "nbap.HS_SCCH_InformationModify_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SCCH_InformationModifyItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SICH_Information_01,
      { "hS-SICH-Information", "nbap.hS_SICH_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SICH_InformationModify_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_item,
      { "HS-SCCH-InformationModify-LCR-PSCH-ReconfRqst", "nbap.HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_hS_SICH_Information_LCR_01,
      { "hS-SICH-Information-LCR", "nbap.hS_SICH_Information_LCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_SICH_InformationModify_LCR_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_item,
      { "Delete-From-HS-SCCH-Resource-Pool-PSCH-ReconfRqst", "nbap.Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst", HFILL }},
    { &hf_nbap_generalCause_05,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_PSCH_ReconfFailure", HFILL }},
    { &hf_nbap_setSpecificCause,
      { "setSpecificCause", "nbap.setSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SetSpecificCauseList_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_extension_CauseLevel_PSCH_ReconfFailure,
      { "extension-CauseLevel-PSCH-ReconfFailure", "nbap.extension_CauseLevel_PSCH_ReconfFailure",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_CauseLevel_PSCH_ReconfFailure", HFILL }},
    { &hf_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_item,
      { "UARFCNSpecificCauseList-PSCH-ReconfFailureTDD", "nbap.UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD,
      { "unsuccessful-PDSCHSetList-PSCH-ReconfFailureTDD", "nbap.unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD,
      { "unsuccessful-PUSCHSetList-PSCH-ReconfFailureTDD", "nbap.unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_item,
      { "Unsuccessful-PDSCHSetList-PSCH-ReconfFailureTDD", "nbap.Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_item,
      { "Unsuccessful-PUSCHSetList-PSCH-ReconfFailureTDD", "nbap.Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_communicationContext,
      { "communicationContext", "nbap.communicationContext",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommunicationContextList_Reset", HFILL }},
    { &hf_nbap_communicationControlPort,
      { "communicationControlPort", "nbap.communicationControlPort",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommunicationControlPortList_Reset", HFILL }},
    { &hf_nbap_nodeB,
      { "nodeB", "nbap.nodeB",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_communicationContextInfoList_Reset,
      { "communicationContextInfoList-Reset", "nbap.communicationContextInfoList_Reset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommunicationContextInfoList_Reset", HFILL }},
    { &hf_nbap_CommunicationContextInfoList_Reset_item,
      { "CommunicationContextInfoList-Reset", "nbap.CommunicationContextInfoList_Reset_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_communicationContextType_Reset,
      { "communicationContextType-Reset", "nbap.communicationContextType_Reset",
        FT_UINT32, BASE_DEC, VALS(nbap_CommunicationContextType_Reset_vals), 0,
        "nbap.CommunicationContextType_Reset", HFILL }},
    { &hf_nbap_cRNC_CommunicationContextID,
      { "cRNC-CommunicationContextID", "nbap.cRNC_CommunicationContextID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CRNC_CommunicationContextID", HFILL }},
    { &hf_nbap_nodeB_CommunicationContextID,
      { "nodeB-CommunicationContextID", "nbap.nodeB_CommunicationContextID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.NodeB_CommunicationContextID", HFILL }},
    { &hf_nbap_communicationControlPortInfoList_Reset,
      { "communicationControlPortInfoList-Reset", "nbap.communicationControlPortInfoList_Reset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommunicationControlPortInfoList_Reset", HFILL }},
    { &hf_nbap_CommunicationControlPortInfoList_Reset_item,
      { "CommunicationControlPortInfoList-Reset", "nbap.CommunicationControlPortInfoList_Reset_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_cell_03,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_InfEx_Rqst", HFILL }},
    { &hf_nbap_cell_04,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_InfEx_Rsp", HFILL }},
    { &hf_nbap_requestedDataValue,
      { "requestedDataValue", "nbap.requestedDataValue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RequestedDataValue", HFILL }},
    { &hf_nbap_cell_05,
      { "cell", "nbap.cell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Cell_Inf_Rprt", HFILL }},
    { &hf_nbap_requestedDataValueInformation,
      { "requestedDataValueInformation", "nbap.requestedDataValueInformation",
        FT_UINT32, BASE_DEC, VALS(nbap_RequestedDataValueInformation_vals), 0,
        "nbap.RequestedDataValueInformation", HFILL }},
    { &hf_nbap_cSBTransmissionID,
      { "cSBTransmissionID", "nbap.cSBTransmissionID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CSBTransmissionID", HFILL }},
    { &hf_nbap_sfn,
      { "sfn", "nbap.sfn",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFN", HFILL }},
    { &hf_nbap_cellSyncBurstCode,
      { "cellSyncBurstCode", "nbap.cellSyncBurstCode",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstCode", HFILL }},
    { &hf_nbap_cellSyncBurstCodeShift,
      { "cellSyncBurstCodeShift", "nbap.cellSyncBurstCodeShift",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstCodeShift", HFILL }},
    { &hf_nbap_initialDLTransPower,
      { "initialDLTransPower", "nbap.initialDLTransPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_TimeslotInfo_CellSyncInitiationRqstTDD_item,
      { "TimeslotInfo-CellSyncInitiationRqstTDD", "nbap.TimeslotInfo_CellSyncInitiationRqstTDD_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TimeSlot", HFILL }},
    { &hf_nbap_cSBMeasurementID,
      { "cSBMeasurementID", "nbap.cSBMeasurementID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CSBMeasurementID", HFILL }},
    { &hf_nbap_synchronisationReportType,
      { "synchronisationReportType", "nbap.synchronisationReportType",
        FT_UINT32, BASE_DEC, VALS(nbap_SynchronisationReportType_vals), 0,
        "nbap.SynchronisationReportType", HFILL }},
    { &hf_nbap_synchronisationReportCharacteristics,
      { "synchronisationReportCharacteristics", "nbap.synchronisationReportCharacteristics",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportCharacteristics", HFILL }},
    { &hf_nbap_sYNCDlCodeId,
      { "sYNCDlCodeId", "nbap.sYNCDlCodeId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SYNCDlCodeId", HFILL }},
    { &hf_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_item,
      { "CellSyncBurstTransReconfInfo-CellSyncReconfRqstTDD", "nbap.CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_syncFrameNumberToTransmit,
      { "syncFrameNumberToTransmit", "nbap.syncFrameNumberToTransmit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncFrameNumber", HFILL }},
    { &hf_nbap_dlTransPower,
      { "dlTransPower", "nbap.dlTransPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_cellSyncBurstMeasInfoList_CellSyncReconfRqstTDD,
      { "cellSyncBurstMeasInfoList-CellSyncReconfRqstTDD", "nbap.cellSyncBurstMeasInfoList_CellSyncReconfRqstTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_synchronisationReportType_01,
      { "synchronisationReportType", "nbap.synchronisationReportType",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportTypeIE", HFILL }},
    { &hf_nbap_synchronisationReportCharacteristics_01,
      { "synchronisationReportCharacteristics", "nbap.synchronisationReportCharacteristics",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportCharacteristicsIE", HFILL }},
    { &hf_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_item,
      { "CellSyncBurstMeasInfoListIE-CellSyncReconfRqstTDD", "nbap.CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_syncFrameNrToReceive,
      { "syncFrameNrToReceive", "nbap.syncFrameNrToReceive",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncFrameNumber", HFILL }},
    { &hf_nbap_syncBurstInfo,
      { "syncBurstInfo", "nbap.syncBurstInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstInfoList_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD_item,
      { "CellSyncBurstInfoList-CellSyncReconfRqstTDD", "nbap.CellSyncBurstInfoList_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstInfoItem_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_item,
      { "SYNCDlCodeIdTransReconfInfoLCR-CellSyncReconfRqstTDD", "nbap.SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_syncFrameNumberforTransmit,
      { "syncFrameNumberforTransmit", "nbap.syncFrameNumberforTransmit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncFrameNumber", HFILL }},
    { &hf_nbap_sYNCDlCodeIdMeasInfoList,
      { "sYNCDlCodeIdMeasInfoList", "nbap.sYNCDlCodeIdMeasInfoList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_item,
      { "SYNCDlCodeIdMeasInfoList-CellSyncReconfRqstTDD", "nbap.SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_sYNCDlCodeIdInfoLCR,
      { "sYNCDlCodeIdInfoLCR", "nbap.sYNCDlCodeIdInfoLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_item,
      { "SYNCDlCodeIdInfoListLCR-CellSyncReconfRqstTDD", "nbap.SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD", HFILL }},
    { &hf_nbap_propagationDelayCompensation,
      { "propagationDelayCompensation", "nbap.propagationDelayCompensation",
        FT_UINT32, BASE_DEC, VALS(nbap_TimingAdjustmentValueLCR_vals), 0,
        "nbap.TimingAdjustmentValueLCR", HFILL }},
    { &hf_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD_item,
      { "CellAdjustmentInfo-SyncAdjustmentRqstTDD", "nbap.CellAdjustmentInfo_SyncAdjustmentRqstTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_frameAdjustmentValue,
      { "frameAdjustmentValue", "nbap.frameAdjustmentValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.FrameAdjustmentValue", HFILL }},
    { &hf_nbap_timingAdjustmentValue,
      { "timingAdjustmentValue", "nbap.timingAdjustmentValue",
        FT_UINT32, BASE_DEC, VALS(nbap_TimingAdjustmentValue_vals), 0,
        "nbap.TimingAdjustmentValue", HFILL }},
    { &hf_nbap_dLTransPower,
      { "dLTransPower", "nbap.dLTransPower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_generalCause_06,
      { "generalCause", "nbap.generalCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GeneralCauseList_SyncAdjustmntFailureTDD", HFILL }},
    { &hf_nbap_cellSpecificCause,
      { "cellSpecificCause", "nbap.cellSpecificCause",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSpecificCauseList_SyncAdjustmntFailureTDD", HFILL }},
    { &hf_nbap_unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD,
      { "unsuccessful-cell-InformationRespList-SyncAdjustmntFailureTDD", "nbap.unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD", HFILL }},
    { &hf_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_item,
      { "Unsuccessful-cell-InformationRespList-SyncAdjustmntFailureTDD", "nbap.Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_CellSyncInfo_CellSyncReprtTDD_item,
      { "CellSyncInfo-CellSyncReprtTDD", "nbap.CellSyncInfo_CellSyncReprtTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncInfoItemIE_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_c_ID_CellSyncReprtTDD,
      { "c-ID-CellSyncReprtTDD", "nbap.c_ID_CellSyncReprtTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.C_ID_IE_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_syncReportType_CellSyncReprtTDD,
      { "syncReportType-CellSyncReprtTDD", "nbap.syncReportType_CellSyncReprtTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncReportTypeIE_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_intStdPhSyncInfo_CellSyncReprtTDD,
      { "intStdPhSyncInfo-CellSyncReprtTDD", "nbap.intStdPhSyncInfo_CellSyncReprtTDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.IntStdPhCellSyncInfo_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_lateEntrantCell,
      { "lateEntrantCell", "nbap.lateEntrantCell",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_frequencyAcquisition,
      { "frequencyAcquisition", "nbap.frequencyAcquisition",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_cellSyncBurstMeasuredInfo,
      { "cellSyncBurstMeasuredInfo", "nbap.cellSyncBurstMeasuredInfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstMeasInfoList_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD_item,
      { "CellSyncBurstMeasInfoList-CellSyncReprtTDD", "nbap.CellSyncBurstMeasInfoList_CellSyncReprtTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstMeasInfoItem_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_sFN,
      { "sFN", "nbap.sFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFN", HFILL }},
    { &hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD,
      { "cellSyncBurstInfo-CellSyncReprtTDD", "nbap.cellSyncBurstInfo_CellSyncReprtTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_cellSyncBurstInfo_CellSyncReprtTDD_item,
      { "cellSyncBurstInfo-CellSyncReprtTDD", "nbap.cellSyncBurstInfo_CellSyncReprtTDD_item",
        FT_UINT32, BASE_DEC, VALS(nbap_CellSyncBurstInfo_CellSyncReprtTDD_vals), 0,
        "nbap.CellSyncBurstInfo_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_cellSyncBurstAvailable,
      { "cellSyncBurstAvailable", "nbap.cellSyncBurstAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CellSyncBurstAvailable_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_cellSyncBurstNotAvailable,
      { "cellSyncBurstNotAvailable", "nbap.cellSyncBurstNotAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_cellSyncBurstTiming,
      { "cellSyncBurstTiming", "nbap.cellSyncBurstTiming",
        FT_UINT32, BASE_DEC, VALS(nbap_CellSyncBurstTiming_vals), 0,
        "nbap.CellSyncBurstTiming", HFILL }},
    { &hf_nbap_cellSyncBurstSIR,
      { "cellSyncBurstSIR", "nbap.cellSyncBurstSIR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstSIR", HFILL }},
    { &hf_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_item,
      { "SyncDLCodeIdsMeasInfoList-CellSyncReprtTDD", "nbap.SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_syncDLCodeIdInfo_CellSyncReprtTDD,
      { "syncDLCodeIdInfo-CellSyncReprtTDD", "nbap.syncDLCodeIdInfo_CellSyncReprtTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncDLCodeIdInfo_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD_item,
      { "SyncDLCodeIdInfo-CellSyncReprtTDD", "nbap.SyncDLCodeIdInfo_CellSyncReprtTDD_item",
        FT_UINT32, BASE_DEC, VALS(nbap_SyncDLCodeIdItem_CellSyncReprtTDD_vals), 0,
        "nbap.SyncDLCodeIdItem_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_syncDLCodeIdAvailable,
      { "syncDLCodeIdAvailable", "nbap.syncDLCodeIdAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncDLCodeIdAvailable_CellSyncReprtTDD", HFILL }},
    { &hf_nbap_syncDLCodeIDNotAvailable,
      { "syncDLCodeIDNotAvailable", "nbap.syncDLCodeIDNotAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_syncDLCodeIdTiming,
      { "syncDLCodeIdTiming", "nbap.syncDLCodeIdTiming",
        FT_UINT32, BASE_DEC, VALS(nbap_CellSyncBurstTimingLCR_vals), 0,
        "nbap.CellSyncBurstTimingLCR", HFILL }},
    { &hf_nbap_syncDLCodeIdSIR,
      { "syncDLCodeIdSIR", "nbap.syncDLCodeIdSIR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstSIR", HFILL }},
    { &hf_nbap_DCH_RearrangeList_Bearer_RearrangeInd_item,
      { "DCH-RearrangeList-Bearer-RearrangeInd", "nbap.DCH_RearrangeList_Bearer_RearrangeInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_RearrangeItem_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_DSCH_RearrangeList_Bearer_RearrangeInd_item,
      { "DSCH-RearrangeList-Bearer-RearrangeInd", "nbap.DSCH_RearrangeList_Bearer_RearrangeInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_RearrangeItem_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_USCH_RearrangeList_Bearer_RearrangeInd_item,
      { "USCH-RearrangeList-Bearer-RearrangeInd", "nbap.USCH_RearrangeList_Bearer_RearrangeInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_RearrangeItem_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd_item,
      { "HSDSCH-RearrangeList-Bearer-RearrangeInd", "nbap.HSDSCH_RearrangeList_Bearer_RearrangeInd_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_RearrangeItem_Bearer_RearrangeInd", HFILL }},
    { &hf_nbap_hsDSCH_MACdFlow_ID,
      { "hsDSCH-MACdFlow-ID", "nbap.hsDSCH_MACdFlow_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_ID", HFILL }},
    { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD_item,
      { "DelayedActivationInformationList-RL-ActivationCmdFDD", "nbap.DelayedActivationInformationList_RL_ActivationCmdFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_delayed_activation_update,
      { "delayed-activation-update", "nbap.delayed_activation_update",
        FT_UINT32, BASE_DEC, VALS(nbap_DelayedActivationUpdate_vals), 0,
        "nbap.DelayedActivationUpdate", HFILL }},
    { &hf_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD_item,
      { "DelayedActivationInformationList-RL-ActivationCmdTDD", "nbap.DelayedActivationInformationList_RL_ActivationCmdTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Single_Container", HFILL }},
    { &hf_nbap_cMConfigurationChangeCFN,
      { "cMConfigurationChangeCFN", "nbap.cMConfigurationChangeCFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_transmission_Gap_Pattern_Sequence_Status,
      { "transmission-Gap-Pattern-Sequence-Status", "nbap.transmission_Gap_Pattern_Sequence_Status",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmission_Gap_Pattern_Sequence_Status_List", HFILL }},
    { &hf_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item,
      { "Transmission-Gap-Pattern-Sequence-Status-List", "nbap.Transmission_Gap_Pattern_Sequence_Status_List_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Transmission_Gap_Pattern_Sequence_Status_List_item", HFILL }},
    { &hf_nbap_tGPSID,
      { "tGPSID", "nbap.tGPSID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TGPSID", HFILL }},
    { &hf_nbap_tGPRC,
      { "tGPRC", "nbap.tGPRC",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TGPRC", HFILL }},
    { &hf_nbap_tGCFN,
      { "tGCFN", "nbap.tGCFN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_priorityLevel,
      { "priorityLevel", "nbap.priorityLevel",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityLevel", HFILL }},
    { &hf_nbap_pre_emptionCapability,
      { "pre-emptionCapability", "nbap.pre_emptionCapability",
        FT_UINT32, BASE_DEC, VALS(nbap_Pre_emptionCapability_vals), 0,
        "nbap.Pre_emptionCapability", HFILL }},
    { &hf_nbap_pre_emptionVulnerability,
      { "pre-emptionVulnerability", "nbap.pre_emptionVulnerability",
        FT_UINT32, BASE_DEC, VALS(nbap_Pre_emptionVulnerability_vals), 0,
        "nbap.Pre_emptionVulnerability", HFILL }},
    { &hf_nbap_aOA_LCR,
      { "aOA-LCR", "nbap.aOA_LCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AOA_LCR", HFILL }},
    { &hf_nbap_aOA_LCR_Accuracy_Class,
      { "aOA-LCR-Accuracy-Class", "nbap.aOA_LCR_Accuracy_Class",
        FT_UINT32, BASE_DEC, VALS(nbap_AOA_LCR_Accuracy_Class_vals), 0,
        "nbap.AOA_LCR_Accuracy_Class", HFILL }},
    { &hf_nbap_Best_Cell_Portions_Value_item,
      { "Best-Cell-Portions-Value", "nbap.Best_Cell_Portions_Value_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Best_Cell_Portions_Item", HFILL }},
    { &hf_nbap_cellPortionID,
      { "cellPortionID", "nbap.cellPortionID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellPortionID", HFILL }},
    { &hf_nbap_sIRValue,
      { "sIRValue", "nbap.sIRValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Value", HFILL }},
    { &hf_nbap_cid,
      { "cid", "nbap.cid",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.C_ID", HFILL }},
    { &hf_nbap_radioNetwork,
      { "radioNetwork", "nbap.radioNetwork",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseRadioNetwork_vals), 0,
        "nbap.CauseRadioNetwork", HFILL }},
    { &hf_nbap_transport,
      { "transport", "nbap.transport",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseTransport_vals), 0,
        "nbap.CauseTransport", HFILL }},
    { &hf_nbap_protocol,
      { "protocol", "nbap.protocol",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseProtocol_vals), 0,
        "nbap.CauseProtocol", HFILL }},
    { &hf_nbap_misc,
      { "misc", "nbap.misc",
        FT_UINT32, BASE_DEC, VALS(nbap_CauseMisc_vals), 0,
        "nbap.CauseMisc", HFILL }},
    { &hf_nbap_initialPhase_0_1048575,
      { "initialPhase", "nbap.initialPhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_1048575_", HFILL }},
    { &hf_nbap_steadyStatePhase,
      { "steadyStatePhase", "nbap.steadyStatePhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_255_", HFILL }},
    { &hf_nbap_initialPhase,
      { "initialPhase", "nbap.initialPhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_524287_", HFILL }},
    { &hf_nbap_steadyStatePhase_01,
      { "steadyStatePhase", "nbap.steadyStatePhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_127_", HFILL }},
    { &hf_nbap_CommonChannelsCapacityConsumptionLaw_item,
      { "CommonChannelsCapacityConsumptionLaw", "nbap.CommonChannelsCapacityConsumptionLaw_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonChannelsCapacityConsumptionLaw_item", HFILL }},
    { &hf_nbap_dl_Cost,
      { "dl-Cost", "nbap.dl_Cost",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_ul_Cost,
      { "ul-Cost", "nbap.ul_Cost",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_tUTRANGPSMeasurementAccuracyClass,
      { "tUTRANGPSMeasurementAccuracyClass", "nbap.tUTRANGPSMeasurementAccuracyClass",
        FT_UINT32, BASE_DEC, VALS(nbap_TUTRANGPSAccuracyClass_vals), 0,
        "nbap.TUTRANGPSAccuracyClass", HFILL }},
    { &hf_nbap_transmitted_carrier_power,
      { "transmitted-carrier-power", "nbap.transmitted_carrier_power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmitted_Carrier_Power_Value", HFILL }},
    { &hf_nbap_acknowledged_prach_preambles,
      { "acknowledged-prach-preambles", "nbap.acknowledged_prach_preambles",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Acknowledged_PRACH_preambles_Value", HFILL }},
    { &hf_nbap_uL_TimeslotISCP,
      { "uL-TimeslotISCP", "nbap.uL_TimeslotISCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotISCP_Value", HFILL }},
    { &hf_nbap_notUsed_1_acknowledged_PCPCH_access_preambles,
      { "notUsed-1-acknowledged-PCPCH-access-preambles", "nbap.notUsed_1_acknowledged_PCPCH_access_preambles",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_notUsed_2_detected_PCPCH_access_preambles,
      { "notUsed-2-detected-PCPCH-access-preambles", "nbap.notUsed_2_detected_PCPCH_access_preambles",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_extension_CommonMeasurementValue,
      { "extension-CommonMeasurementValue", "nbap.extension_CommonMeasurementValue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_CommonMeasurementValue", HFILL }},
    { &hf_nbap_measurementAvailable,
      { "measurementAvailable", "nbap.measurementAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementAvailable", HFILL }},
    { &hf_nbap_measurementnotAvailable,
      { "measurementnotAvailable", "nbap.measurementnotAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CommonMeasurementnotAvailable", HFILL }},
    { &hf_nbap_commonmeasurementValue,
      { "commonmeasurementValue", "nbap.commonmeasurementValue",
        FT_UINT32, BASE_DEC, VALS(nbap_CommonMeasurementValue_vals), 0,
        "nbap.CommonMeasurementValue", HFILL }},
    { &hf_nbap_ie_Extensions,
      { "ie-Extensions", "nbap.ie_Extensions",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ProtocolExtensionContainer", HFILL }},
    { &hf_nbap_bindingID,
      { "bindingID", "nbap.bindingID",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BindingID", HFILL }},
    { &hf_nbap_transportLayerAddress,
      { "transportLayerAddress", "nbap.transportLayerAddress",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.TransportLayerAddress", HFILL }},
    { &hf_nbap_triggeringMessage,
      { "triggeringMessage", "nbap.triggeringMessage",
        FT_UINT32, BASE_DEC, VALS(nbap_TriggeringMessage_vals), 0,
        "nbap.TriggeringMessage", HFILL }},
    { &hf_nbap_procedureCriticality,
      { "procedureCriticality", "nbap.procedureCriticality",
        FT_UINT32, BASE_DEC, VALS(nbap_Criticality_vals), 0,
        "nbap.Criticality", HFILL }},
    { &hf_nbap_iEsCriticalityDiagnostics,
      { "iEsCriticalityDiagnostics", "nbap.iEsCriticalityDiagnostics",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CriticalityDiagnostics_IE_List", HFILL }},
    { &hf_nbap_CriticalityDiagnostics_IE_List_item,
      { "CriticalityDiagnostics-IE-List", "nbap.CriticalityDiagnostics_IE_List_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.CriticalityDiagnostics_IE_List_item", HFILL }},
    { &hf_nbap_iECriticality,
      { "iECriticality", "nbap.iECriticality",
        FT_UINT32, BASE_DEC, VALS(nbap_Criticality_vals), 0,
        "nbap.Criticality", HFILL }},
    { &hf_nbap_iE_ID,
      { "iE-ID", "nbap.iE_ID",
        FT_UINT32, BASE_DEC, VALS(nbap_ProtocolIE_ID_vals), 0,
        "nbap.ProtocolIE_ID", HFILL }},
    { &hf_nbap_repetitionNumber,
      { "repetitionNumber", "nbap.repetitionNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RepetitionNumber0", HFILL }},
    { &hf_nbap_DCH_FDD_Information_item,
      { "DCH-FDD-Information", "nbap.DCH_FDD_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_FDD_InformationItem", HFILL }},
    { &hf_nbap_payloadCRC_PresenceIndicator,
      { "payloadCRC-PresenceIndicator", "nbap.payloadCRC_PresenceIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_PayloadCRC_PresenceIndicator_vals), 0,
        "nbap.PayloadCRC_PresenceIndicator", HFILL }},
    { &hf_nbap_ul_FP_Mode,
      { "ul-FP-Mode", "nbap.ul_FP_Mode",
        FT_UINT32, BASE_DEC, VALS(nbap_UL_FP_Mode_vals), 0,
        "nbap.UL_FP_Mode", HFILL }},
    { &hf_nbap_dCH_SpecificInformationList,
      { "dCH-SpecificInformationList", "nbap.dCH_SpecificInformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_Specific_FDD_InformationList", HFILL }},
    { &hf_nbap_DCH_Specific_FDD_InformationList_item,
      { "DCH-Specific-FDD-InformationList", "nbap.DCH_Specific_FDD_InformationList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_Specific_FDD_Item", HFILL }},
    { &hf_nbap_ul_TransportFormatSet,
      { "ul-TransportFormatSet", "nbap.ul_TransportFormatSet",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet", HFILL }},
    { &hf_nbap_qE_Selector,
      { "qE-Selector", "nbap.qE_Selector",
        FT_UINT32, BASE_DEC, VALS(nbap_QE_Selector_vals), 0,
        "nbap.QE_Selector", HFILL }},
    { &hf_nbap_DCH_InformationResponse_item,
      { "DCH-InformationResponse", "nbap.DCH_InformationResponse_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_InformationResponseItem", HFILL }},
    { &hf_nbap_DCH_TDD_Information_item,
      { "DCH-TDD-Information", "nbap.DCH_TDD_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_TDD_InformationItem", HFILL }},
    { &hf_nbap_dCH_SpecificInformationList_01,
      { "dCH-SpecificInformationList", "nbap.dCH_SpecificInformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_Specific_TDD_InformationList", HFILL }},
    { &hf_nbap_DCH_Specific_TDD_InformationList_item,
      { "DCH-Specific-TDD-InformationList", "nbap.DCH_Specific_TDD_InformationList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_Specific_TDD_Item", HFILL }},
    { &hf_nbap_ul_CCTrCH_ID,
      { "ul-CCTrCH-ID", "nbap.ul_CCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_dl_CCTrCH_ID,
      { "dl-CCTrCH-ID", "nbap.dl_CCTrCH_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CCTrCH_ID", HFILL }},
    { &hf_nbap_FDD_DCHs_to_Modify_item,
      { "FDD-DCHs-to-Modify", "nbap.FDD_DCHs_to_Modify_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FDD_DCHs_to_ModifyItem", HFILL }},
    { &hf_nbap_dCH_SpecificInformationList_02,
      { "dCH-SpecificInformationList", "nbap.dCH_SpecificInformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_ModifySpecificInformation_FDD", HFILL }},
    { &hf_nbap_DCH_ModifySpecificInformation_FDD_item,
      { "DCH-ModifySpecificInformation-FDD", "nbap.DCH_ModifySpecificInformation_FDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_ModifySpecificItem_FDD", HFILL }},
    { &hf_nbap_TDD_DCHs_to_Modify_item,
      { "TDD-DCHs-to-Modify", "nbap.TDD_DCHs_to_Modify_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_ModifyItem_TDD", HFILL }},
    { &hf_nbap_dCH_SpecificInformationList_03,
      { "dCH-SpecificInformationList", "nbap.dCH_SpecificInformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_ModifySpecificInformation_TDD", HFILL }},
    { &hf_nbap_DCH_ModifySpecificInformation_TDD_item,
      { "DCH-ModifySpecificInformation-TDD", "nbap.DCH_ModifySpecificInformation_TDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DCH_ModifySpecificItem_TDD", HFILL }},
    { &hf_nbap_DedicatedChannelsCapacityConsumptionLaw_item,
      { "DedicatedChannelsCapacityConsumptionLaw", "nbap.DedicatedChannelsCapacityConsumptionLaw_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedChannelsCapacityConsumptionLaw_item", HFILL }},
    { &hf_nbap_dl_Cost_1,
      { "dl-Cost-1", "nbap.dl_Cost_1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_dl_Cost_2,
      { "dl-Cost-2", "nbap.dl_Cost_2",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_ul_Cost_1,
      { "ul-Cost-1", "nbap.ul_Cost_1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_ul_Cost_2,
      { "ul-Cost-2", "nbap.ul_Cost_2",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_sIR_Value,
      { "sIR-Value", "nbap.sIR_Value",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Value", HFILL }},
    { &hf_nbap_sIR_ErrorValue,
      { "sIR-ErrorValue", "nbap.sIR_ErrorValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Error_Value", HFILL }},
    { &hf_nbap_transmittedCodePowerValue,
      { "transmittedCodePowerValue", "nbap.transmittedCodePowerValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmitted_Code_Power_Value", HFILL }},
    { &hf_nbap_rSCP,
      { "rSCP", "nbap.rSCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RSCP_Value", HFILL }},
    { &hf_nbap_rxTimingDeviationValue,
      { "rxTimingDeviationValue", "nbap.rxTimingDeviationValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Rx_Timing_Deviation_Value", HFILL }},
    { &hf_nbap_roundTripTime,
      { "roundTripTime", "nbap.roundTripTime",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Round_Trip_Time_Value", HFILL }},
    { &hf_nbap_extension_DedicatedMeasurementValue,
      { "extension-DedicatedMeasurementValue", "nbap.extension_DedicatedMeasurementValue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_DedicatedMeasurementValue", HFILL }},
    { &hf_nbap_measurementAvailable_01,
      { "measurementAvailable", "nbap.measurementAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementAvailable", HFILL }},
    { &hf_nbap_measurementnotAvailable_01,
      { "measurementnotAvailable", "nbap.measurementnotAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DedicatedMeasurementnotAvailable", HFILL }},
    { &hf_nbap_dedicatedmeasurementValue,
      { "dedicatedmeasurementValue", "nbap.dedicatedmeasurementValue",
        FT_UINT32, BASE_DEC, VALS(nbap_DedicatedMeasurementValue_vals), 0,
        "nbap.DedicatedMeasurementValue", HFILL }},
    { &hf_nbap_cfn,
      { "cfn", "nbap.cfn",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_separate_indication,
      { "separate-indication", "nbap.separate_indication",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_activate,
      { "activate", "nbap.activate",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Activate_Info", HFILL }},
    { &hf_nbap_deactivate,
      { "deactivate", "nbap.deactivate",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Deactivate_Info", HFILL }},
    { &hf_nbap_activation_type,
      { "activation-type", "nbap.activation_type",
        FT_UINT32, BASE_DEC, VALS(nbap_Execution_Type_vals), 0,
        "nbap.Execution_Type", HFILL }},
    { &hf_nbap_initial_dl_tx_power,
      { "initial-dl-tx-power", "nbap.initial_dl_tx_power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_firstRLS_Indicator,
      { "firstRLS-Indicator", "nbap.firstRLS_Indicator",
        FT_UINT32, BASE_DEC, VALS(nbap_FirstRLS_Indicator_vals), 0,
        "nbap.FirstRLS_Indicator", HFILL }},
    { &hf_nbap_propagation_delay,
      { "propagation-delay", "nbap.propagation_delay",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PropagationDelay", HFILL }},
    { &hf_nbap_deactivation_type,
      { "deactivation-type", "nbap.deactivation_type",
        FT_UINT32, BASE_DEC, VALS(nbap_Execution_Type_vals), 0,
        "nbap.Execution_Type", HFILL }},
    { &hf_nbap_synchronised,
      { "synchronised", "nbap.synchronised",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CFN", HFILL }},
    { &hf_nbap_unsynchronised,
      { "unsynchronised", "nbap.unsynchronised",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_gpstow,
      { "gpstow", "nbap.gpstow",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GPSTOW", HFILL }},
    { &hf_nbap_status_health,
      { "status-health", "nbap.status_health",
        FT_UINT32, BASE_DEC, VALS(nbap_GPS_Status_Health_vals), 0,
        "nbap.GPS_Status_Health", HFILL }},
    { &hf_nbap_satelliteinfo,
      { "satelliteinfo", "nbap.satelliteinfo",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_Info_DGPSCorrections", HFILL }},
    { &hf_nbap_prcdeviation,
      { "prcdeviation", "nbap.prcdeviation",
        FT_UINT32, BASE_DEC, VALS(nbap_PRCDeviation_vals), 0,
        "nbap.PRCDeviation", HFILL }},
    { &hf_nbap_DL_Timeslot_Information_item,
      { "DL-Timeslot-Information", "nbap.DL_Timeslot_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_Timeslot_InformationItem", HFILL }},
    { &hf_nbap_dL_Code_Information,
      { "dL-Code-Information", "nbap.dL_Code_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_DL_Code_Information", HFILL }},
    { &hf_nbap_DL_TimeslotLCR_Information_item,
      { "DL-TimeslotLCR-Information", "nbap.DL_TimeslotLCR_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_TimeslotLCR_InformationItem", HFILL }},
    { &hf_nbap_dL_Code_LCR_Information,
      { "dL-Code-LCR-Information", "nbap.dL_Code_LCR_Information",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_DL_Code_LCR_Information", HFILL }},
    { &hf_nbap_powerAdjustmentType,
      { "powerAdjustmentType", "nbap.powerAdjustmentType",
        FT_UINT32, BASE_DEC, VALS(nbap_PowerAdjustmentType_vals), 0,
        "nbap.PowerAdjustmentType", HFILL }},
    { &hf_nbap_dLReferencePower,
      { "dLReferencePower", "nbap.dLReferencePower",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_dLReferencePowerList_DL_PC_Rqst,
      { "dLReferencePowerList-DL-PC-Rqst", "nbap.dLReferencePowerList_DL_PC_Rqst",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_ReferencePowerInformationList", HFILL }},
    { &hf_nbap_maxAdjustmentStep,
      { "maxAdjustmentStep", "nbap.maxAdjustmentStep",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MaxAdjustmentStep", HFILL }},
    { &hf_nbap_adjustmentPeriod,
      { "adjustmentPeriod", "nbap.adjustmentPeriod",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AdjustmentPeriod", HFILL }},
    { &hf_nbap_adjustmentRatio,
      { "adjustmentRatio", "nbap.adjustmentRatio",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ScaledAdjustmentRatio", HFILL }},
    { &hf_nbap_DL_ReferencePowerInformationList_item,
      { "DL-ReferencePowerInformationList", "nbap.DL_ReferencePowerInformationList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_ReferencePowerInformationItem", HFILL }},
    { &hf_nbap_dl_Reference_Power,
      { "dl-Reference-Power", "nbap.dl_Reference_Power",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.DL_Power", HFILL }},
    { &hf_nbap_DL_TimeslotISCPInfo_item,
      { "DL-TimeslotISCPInfo", "nbap.DL_TimeslotISCPInfo_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_TimeslotISCPInfoItem", HFILL }},
    { &hf_nbap_dL_TimeslotISCP,
      { "dL-TimeslotISCP", "nbap.dL_TimeslotISCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DL_TimeslotISCP", HFILL }},
    { &hf_nbap_DL_TimeslotISCPInfoLCR_item,
      { "DL-TimeslotISCPInfoLCR", "nbap.DL_TimeslotISCPInfoLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DL_TimeslotISCPInfoItemLCR", HFILL }},
    { &hf_nbap_DSCH_InformationResponse_item,
      { "DSCH-InformationResponse", "nbap.DSCH_InformationResponse_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_InformationResponseItem", HFILL }},
    { &hf_nbap_DSCH_TDD_Information_item,
      { "DSCH-TDD-Information", "nbap.DSCH_TDD_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DSCH_TDD_InformationItem", HFILL }},
    { &hf_nbap_FDD_DL_CodeInformation_item,
      { "FDD-DL-CodeInformation", "nbap.FDD_DL_CodeInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.FDD_DL_CodeInformationItem", HFILL }},
    { &hf_nbap_transmissionGapPatternSequenceCodeInformation,
      { "transmissionGapPatternSequenceCodeInformation", "nbap.transmissionGapPatternSequenceCodeInformation",
        FT_UINT32, BASE_DEC, VALS(nbap_TransmissionGapPatternSequenceCodeInformation_vals), 0,
        "nbap.TransmissionGapPatternSequenceCodeInformation", HFILL }},
    { &hf_nbap_wna_alm,
      { "wna-alm", "nbap.wna_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_sat_info_almanac,
      { "sat-info-almanac", "nbap.sat_info_almanac",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_Info_Almanac", HFILL }},
    { &hf_nbap_sVGlobalHealth_alm,
      { "sVGlobalHealth-alm", "nbap.sVGlobalHealth_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_364", HFILL }},
    { &hf_nbap_alpha_zero_ionos,
      { "alpha-zero-ionos", "nbap.alpha_zero_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_alpha_one_ionos,
      { "alpha-one-ionos", "nbap.alpha_one_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_alpha_two_ionos,
      { "alpha-two-ionos", "nbap.alpha_two_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_alpha_three_ionos,
      { "alpha-three-ionos", "nbap.alpha_three_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_beta_zero_ionos,
      { "beta-zero-ionos", "nbap.beta_zero_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_beta_one_ionos,
      { "beta-one-ionos", "nbap.beta_one_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_beta_two_ionos,
      { "beta-two-ionos", "nbap.beta_two_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_beta_three_ionos,
      { "beta-three-ionos", "nbap.beta_three_ionos",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_GPS_Information_item,
      { "GPS-Information", "nbap.GPS_Information_item",
        FT_UINT32, BASE_DEC, VALS(nbap_GPS_Information_Item_vals), 0,
        "nbap.GPS_Information_Item", HFILL }},
    { &hf_nbap_bad_satellites,
      { "bad-satellites", "nbap.bad_satellites",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPSBadSat_Info_RealTime_Integrity", HFILL }},
    { &hf_nbap_no_bad_satellites,
      { "no-bad-satellites", "nbap.no_bad_satellites",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_sat_info,
      { "sat-info", "nbap.sat_info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SATInfo_RealTime_Integrity", HFILL }},
    { &hf_nbap_GPS_NavigationModel_and_TimeRecovery_item,
      { "GPS-NavigationModel-and-TimeRecovery", "nbap.GPS_NavigationModel_and_TimeRecovery_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPS_NavandRecovery_Item", HFILL }},
    { &hf_nbap_tx_tow_nav,
      { "tx-tow-nav", "nbap.tx_tow_nav",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_1048575", HFILL }},
    { &hf_nbap_sat_id_nav,
      { "sat-id-nav", "nbap.sat_id_nav",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_ID", HFILL }},
    { &hf_nbap_tlm_message_nav,
      { "tlm-message-nav", "nbap.tlm_message_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_14", HFILL }},
    { &hf_nbap_tlm_revd_c_nav,
      { "tlm-revd-c-nav", "nbap.tlm_revd_c_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_2", HFILL }},
    { &hf_nbap_ho_word_nav,
      { "ho-word-nav", "nbap.ho_word_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_22", HFILL }},
    { &hf_nbap_w_n_nav,
      { "w-n-nav", "nbap.w_n_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_10", HFILL }},
    { &hf_nbap_ca_or_p_on_l2_nav,
      { "ca-or-p-on-l2-nav", "nbap.ca_or_p_on_l2_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_2", HFILL }},
    { &hf_nbap_user_range_accuracy_index_nav,
      { "user-range-accuracy-index-nav", "nbap.user_range_accuracy_index_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_4", HFILL }},
    { &hf_nbap_sv_health_nav,
      { "sv-health-nav", "nbap.sv_health_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_6", HFILL }},
    { &hf_nbap_iodc_nav,
      { "iodc-nav", "nbap.iodc_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_10", HFILL }},
    { &hf_nbap_l2_p_dataflag_nav,
      { "l2-p-dataflag-nav", "nbap.l2_p_dataflag_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_1", HFILL }},
    { &hf_nbap_sf1_reserved_nav,
      { "sf1-reserved-nav", "nbap.sf1_reserved_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_87", HFILL }},
    { &hf_nbap_t_gd_nav,
      { "t-gd-nav", "nbap.t_gd_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_t_oc_nav,
      { "t-oc-nav", "nbap.t_oc_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_a_f_2_nav,
      { "a-f-2-nav", "nbap.a_f_2_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_a_f_1_nav,
      { "a-f-1-nav", "nbap.a_f_1_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_a_f_zero_nav,
      { "a-f-zero-nav", "nbap.a_f_zero_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_22", HFILL }},
    { &hf_nbap_c_rs_nav,
      { "c-rs-nav", "nbap.c_rs_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_delta_n_nav,
      { "delta-n-nav", "nbap.delta_n_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_m_zero_nav,
      { "m-zero-nav", "nbap.m_zero_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_c_uc_nav,
      { "c-uc-nav", "nbap.c_uc_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_gps_e_nav,
      { "gps-e-nav", "nbap.gps_e_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_c_us_nav,
      { "c-us-nav", "nbap.c_us_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_a_sqrt_nav,
      { "a-sqrt-nav", "nbap.a_sqrt_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_t_oe_nav,
      { "t-oe-nav", "nbap.t_oe_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_fit_interval_flag_nav,
      { "fit-interval-flag-nav", "nbap.fit_interval_flag_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_1", HFILL }},
    { &hf_nbap_aodo_nav,
      { "aodo-nav", "nbap.aodo_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_5", HFILL }},
    { &hf_nbap_c_ic_nav,
      { "c-ic-nav", "nbap.c_ic_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_omega_zero_nav,
      { "omega-zero-nav", "nbap.omega_zero_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_c_is_nav,
      { "c-is-nav", "nbap.c_is_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_i_zero_nav,
      { "i-zero-nav", "nbap.i_zero_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_c_rc_nav,
      { "c-rc-nav", "nbap.c_rc_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_gps_omega_nav,
      { "gps-omega-nav", "nbap.gps_omega_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_omegadot_nav,
      { "omegadot-nav", "nbap.omegadot_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_idot_nav,
      { "idot-nav", "nbap.idot_nav",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_14", HFILL }},
    { &hf_nbap_spare_zero_fill,
      { "spare-zero-fill", "nbap.spare_zero_fill",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_20", HFILL }},
    { &hf_nbap_latitudeSign,
      { "latitudeSign", "nbap.latitudeSign",
        FT_UINT32, BASE_DEC, VALS(nbap_T_latitudeSign_vals), 0,
        "nbap.T_latitudeSign", HFILL }},
    { &hf_nbap_latitude,
      { "latitude", "nbap.latitude",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_8388607", HFILL }},
    { &hf_nbap_longitude,
      { "longitude", "nbap.longitude",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_M8388608_8388607", HFILL }},
    { &hf_nbap_directionOfAltitude,
      { "directionOfAltitude", "nbap.directionOfAltitude",
        FT_UINT32, BASE_DEC, VALS(nbap_T_directionOfAltitude_vals), 0,
        "nbap.T_directionOfAltitude", HFILL }},
    { &hf_nbap_altitude,
      { "altitude", "nbap.altitude",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_32767", HFILL }},
    { &hf_nbap_a_one_utc,
      { "a-one-utc", "nbap.a_one_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_a_zero_utc,
      { "a-zero-utc", "nbap.a_zero_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_32", HFILL }},
    { &hf_nbap_t_ot_utc,
      { "t-ot-utc", "nbap.t_ot_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_delta_t_ls_utc,
      { "delta-t-ls-utc", "nbap.delta_t_ls_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_w_n_t_utc,
      { "w-n-t-utc", "nbap.w_n_t_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_w_n_lsf_utc,
      { "w-n-lsf-utc", "nbap.w_n_lsf_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_dn_utc,
      { "dn-utc", "nbap.dn_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_delta_t_lsf_utc,
      { "delta-t-lsf-utc", "nbap.delta_t_lsf_utc",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_implicit,
      { "implicit", "nbap.implicit",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HARQ_MemoryPartitioning_Implicit", HFILL }},
    { &hf_nbap_explicit,
      { "explicit", "nbap.explicit",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HARQ_MemoryPartitioning_Explicit", HFILL }},
    { &hf_nbap_number_of_Processes,
      { "number-of-Processes", "nbap.number_of_Processes",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_1_8_", HFILL }},
    { &hf_nbap_hARQ_MemoryPartitioningList,
      { "hARQ-MemoryPartitioningList", "nbap.hARQ_MemoryPartitioningList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HARQ_MemoryPartitioningList", HFILL }},
    { &hf_nbap_HARQ_MemoryPartitioningList_item,
      { "HARQ-MemoryPartitioningList", "nbap.HARQ_MemoryPartitioningList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HARQ_MemoryPartitioningItem", HFILL }},
    { &hf_nbap_process_Memory_Size,
      { "process-Memory-Size", "nbap.process_Memory_Size",
        FT_UINT32, BASE_DEC, VALS(nbap_T_process_Memory_Size_vals), 0,
        "nbap.T_process_Memory_Size", HFILL }},
    { &hf_nbap_HS_DSCHProvidedBitRate_item,
      { "HS-DSCHProvidedBitRate", "nbap.HS_DSCHProvidedBitRate_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_DSCHProvidedBitRate_Item", HFILL }},
    { &hf_nbap_schedulingPriorityIndicator,
      { "schedulingPriorityIndicator", "nbap.schedulingPriorityIndicator",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SchedulingPriorityIndicator", HFILL }},
    { &hf_nbap_hS_DSCHProvidedBitRateValue,
      { "hS-DSCHProvidedBitRateValue", "nbap.hS_DSCHProvidedBitRateValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHProvidedBitRateValue", HFILL }},
    { &hf_nbap_HS_DSCHRequiredPower_item,
      { "HS-DSCHRequiredPower", "nbap.HS_DSCHRequiredPower_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_DSCHRequiredPower_Item", HFILL }},
    { &hf_nbap_hS_DSCHRequiredPowerValue,
      { "hS-DSCHRequiredPowerValue", "nbap.hS_DSCHRequiredPowerValue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHRequiredPowerValue", HFILL }},
    { &hf_nbap_hS_DSCHRequiredPowerPerUEInformation,
      { "hS-DSCHRequiredPowerPerUEInformation", "nbap.hS_DSCHRequiredPowerPerUEInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHRequiredPowerPerUEInformation", HFILL }},
    { &hf_nbap_HS_DSCHRequiredPowerPerUEInformation_item,
      { "HS-DSCHRequiredPowerPerUEInformation", "nbap.HS_DSCHRequiredPowerPerUEInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HS_DSCHRequiredPowerPerUEInformation_Item", HFILL }},
    { &hf_nbap_hS_DSCHRequiredPowerPerUEWeight,
      { "hS-DSCHRequiredPowerPerUEWeight", "nbap.hS_DSCHRequiredPowerPerUEWeight",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_DSCHRequiredPowerPerUEWeight", HFILL }},
    { &hf_nbap_hSDSCH_MACdFlows_Information,
      { "hSDSCH-MACdFlows-Information", "nbap.hSDSCH_MACdFlows_Information",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlows_Information", HFILL }},
    { &hf_nbap_ueCapability_Info,
      { "ueCapability-Info", "nbap.ueCapability_Info",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UE_Capability_Information", HFILL }},
    { &hf_nbap_mAChs_Reordering_Buffer_Size_for_RLC_UM,
      { "mAChs-Reordering-Buffer-Size-for-RLC-UM", "nbap.mAChs_Reordering_Buffer_Size_for_RLC_UM",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MAChsReorderingBufferSize_for_RLC_UM", HFILL }},
    { &hf_nbap_cqiFeedback_CycleK,
      { "cqiFeedback-CycleK", "nbap.cqiFeedback_CycleK",
        FT_UINT32, BASE_DEC, VALS(nbap_CQI_Feedback_Cycle_vals), 0,
        "nbap.CQI_Feedback_Cycle", HFILL }},
    { &hf_nbap_cqiRepetitionFactor,
      { "cqiRepetitionFactor", "nbap.cqiRepetitionFactor",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CQI_RepetitionFactor", HFILL }},
    { &hf_nbap_ackNackRepetitionFactor,
      { "ackNackRepetitionFactor", "nbap.ackNackRepetitionFactor",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.AckNack_RepetitionFactor", HFILL }},
    { &hf_nbap_cqiPowerOffset,
      { "cqiPowerOffset", "nbap.cqiPowerOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CQI_Power_Offset", HFILL }},
    { &hf_nbap_ackPowerOffset,
      { "ackPowerOffset", "nbap.ackPowerOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Ack_Power_Offset", HFILL }},
    { &hf_nbap_nackPowerOffset,
      { "nackPowerOffset", "nbap.nackPowerOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Nack_Power_Offset", HFILL }},
    { &hf_nbap_hsscch_PowerOffset,
      { "hsscch-PowerOffset", "nbap.hsscch_PowerOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSSCCH_PowerOffset", HFILL }},
    { &hf_nbap_measurement_Power_Offset,
      { "measurement-Power-Offset", "nbap.measurement_Power_Offset",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.Measurement_Power_Offset", HFILL }},
    { &hf_nbap_tDD_AckNack_Power_Offset,
      { "tDD-AckNack-Power-Offset", "nbap.tDD_AckNack_Power_Offset",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.TDD_AckNack_Power_Offset", HFILL }},
    { &hf_nbap_hsDSCH_MACdFlow_Specific_Info_to_Modify,
      { "hsDSCH-MACdFlow-Specific-Info-to-Modify", "nbap.hsDSCH_MACdFlow_Specific_Info_to_Modify",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InfoList_to_Modify", HFILL }},
    { &hf_nbap_priorityQueueInfotoModify,
      { "priorityQueueInfotoModify", "nbap.priorityQueueInfotoModify",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityQueue_InfoList_to_Modify", HFILL }},
    { &hf_nbap_hSSCCHCodeChangeGrant,
      { "hSSCCHCodeChangeGrant", "nbap.hSSCCHCodeChangeGrant",
        FT_UINT32, BASE_DEC, VALS(nbap_HSSCCH_Code_Change_Grant_vals), 0,
        "nbap.HSSCCH_Code_Change_Grant", HFILL }},
    { &hf_nbap_tDDAckNackPowerOffset,
      { "tDDAckNackPowerOffset", "nbap.tDDAckNackPowerOffset",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.TDD_AckNack_Power_Offset", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify_item,
      { "HSDSCH-MACdFlow-Specific-InfoList-to-Modify", "nbap.HSDSCH_MACdFlow_Specific_InfoList_to_Modify_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InfoItem_to_Modify", HFILL }},
    { &hf_nbap_priorityQueueInfotoModifyUnsynchronised,
      { "priorityQueueInfotoModifyUnsynchronised", "nbap.priorityQueueInfotoModifyUnsynchronised",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityQueue_InfoList_to_Modify_Unsynchronised", HFILL }},
    { &hf_nbap_hsDSCH_MACdFlow_Specific_InformationResp,
      { "hsDSCH-MACdFlow-Specific-InformationResp", "nbap.hsDSCH_MACdFlow_Specific_InformationResp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InformationResp", HFILL }},
    { &hf_nbap_hsSCCH_Specific_Information_ResponseFDD,
      { "hsSCCH-Specific-Information-ResponseFDD", "nbap.hsSCCH_Specific_Information_ResponseFDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSSCCH_Specific_InformationRespListFDD", HFILL }},
    { &hf_nbap_hARQ_MemoryPartitioning,
      { "hARQ-MemoryPartitioning", "nbap.hARQ_MemoryPartitioning",
        FT_UINT32, BASE_DEC, VALS(nbap_HARQ_MemoryPartitioning_vals), 0,
        "nbap.HARQ_MemoryPartitioning", HFILL }},
    { &hf_nbap_hsSCCH_Specific_Information_ResponseTDD,
      { "hsSCCH-Specific-Information-ResponseTDD", "nbap.hsSCCH_Specific_Information_ResponseTDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSSCCH_Specific_InformationRespListTDD", HFILL }},
    { &hf_nbap_hsSCCH_Specific_Information_ResponseTDDLCR,
      { "hsSCCH-Specific-Information-ResponseTDDLCR", "nbap.hsSCCH_Specific_Information_ResponseTDDLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSSCCH_Specific_InformationRespListTDDLCR", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlow_Specific_InformationResp_item,
      { "HSDSCH-MACdFlow-Specific-InformationResp", "nbap.HSDSCH_MACdFlow_Specific_InformationResp_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InformationResp_Item", HFILL }},
    { &hf_nbap_hsDSCHMacdFlow_Id,
      { "hsDSCHMacdFlow-Id", "nbap.hsDSCHMacdFlow_Id",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_ID", HFILL }},
    { &hf_nbap_hSDSCH_Initial_Capacity_Allocation,
      { "hSDSCH-Initial-Capacity-Allocation", "nbap.hSDSCH_Initial_Capacity_Allocation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_Initial_Capacity_Allocation", HFILL }},
    { &hf_nbap_hSDSCH_MACdFlow_Specific_Info,
      { "hSDSCH-MACdFlow-Specific-Info", "nbap.hSDSCH_MACdFlow_Specific_Info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InfoList", HFILL }},
    { &hf_nbap_priorityQueue_Info,
      { "priorityQueue-Info", "nbap.priorityQueue_Info",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityQueue_InfoList", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlow_Specific_InfoList_item,
      { "HSDSCH-MACdFlow-Specific-InfoList", "nbap.HSDSCH_MACdFlow_Specific_InfoList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlow_Specific_InfoItem", HFILL }},
    { &hf_nbap_HSDSCH_MACdFlows_to_Delete_item,
      { "HSDSCH-MACdFlows-to-Delete", "nbap.HSDSCH_MACdFlows_to_Delete_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_MACdFlows_to_Delete_Item", HFILL }},
    { &hf_nbap_HSDSCH_Initial_Capacity_Allocation_item,
      { "HSDSCH-Initial-Capacity-Allocation", "nbap.HSDSCH_Initial_Capacity_Allocation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSDSCH_Initial_Capacity_AllocationItem", HFILL }},
    { &hf_nbap_maximum_MACdPDU_Size,
      { "maximum-MACdPDU-Size", "nbap.maximum_MACdPDU_Size",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MACdPDU_Size", HFILL }},
    { &hf_nbap_hSDSCH_InitialWindowSize,
      { "hSDSCH-InitialWindowSize", "nbap.hSDSCH_InitialWindowSize",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_InitialWindowSize", HFILL }},
    { &hf_nbap_HSSCCH_Specific_InformationRespListFDD_item,
      { "HSSCCH-Specific-InformationRespListFDD", "nbap.HSSCCH_Specific_InformationRespListFDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSSCCH_Codes", HFILL }},
    { &hf_nbap_codeNumber,
      { "codeNumber", "nbap.codeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_127", HFILL }},
    { &hf_nbap_HSSCCH_Specific_InformationRespListTDD_item,
      { "HSSCCH-Specific-InformationRespListTDD", "nbap.HSSCCH_Specific_InformationRespListTDD_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSSCCH_Specific_InformationRespItemTDD", HFILL }},
    { &hf_nbap_tDD_ChannelisationCode,
      { "tDD-ChannelisationCode", "nbap.tDD_ChannelisationCode",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_ChannelisationCode_vals), 0,
        "nbap.TDD_ChannelisationCode", HFILL }},
    { &hf_nbap_hSSICH_Info,
      { "hSSICH-Info", "nbap.hSSICH_Info",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSSICH_Info", HFILL }},
    { &hf_nbap_HSSCCH_Specific_InformationRespListTDDLCR_item,
      { "HSSCCH-Specific-InformationRespListTDDLCR", "nbap.HSSCCH_Specific_InformationRespListTDDLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSSCCH_Specific_InformationRespItemTDDLCR", HFILL }},
    { &hf_nbap_hSSICH_InfoLCR,
      { "hSSICH-InfoLCR", "nbap.hSSICH_InfoLCR",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.HSSICH_InfoLCR", HFILL }},
    { &hf_nbap_failed_HS_SICH,
      { "failed-HS-SICH", "nbap.failed_HS_SICH",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_failed", HFILL }},
    { &hf_nbap_missed_HS_SICH,
      { "missed-HS-SICH", "nbap.missed_HS_SICH",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_missed", HFILL }},
    { &hf_nbap_total_HS_SICH,
      { "total-HS-SICH", "nbap.total_HS_SICH",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SICH_total", HFILL }},
    { &hf_nbap_number_of_HS_PDSCH_codes,
      { "number-of-HS-PDSCH-codes", "nbap.number_of_HS_PDSCH_codes",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_maxHS_PDSCHCodeNrComp_1", HFILL }},
    { &hf_nbap_hS_PDSCH_Start_code_number,
      { "hS-PDSCH-Start-code-number", "nbap.hS_PDSCH_Start_code_number",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_PDSCH_Start_code_number", HFILL }},
    { &hf_nbap_replace,
      { "replace", "nbap.replace",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_FDD_Code_List", HFILL }},
    { &hf_nbap_remove,
      { "remove", "nbap.remove",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_HS_SCCH_FDD_Code_List_item,
      { "HS-SCCH-FDD-Code-List", "nbap.HS_SCCH_FDD_Code_List_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HS_SCCH_FDD_Code_Information_Item", HFILL }},
    { &hf_nbap_hsSCCHCodeChangeIndicator,
      { "hsSCCHCodeChangeIndicator", "nbap.hsSCCHCodeChangeIndicator",
        FT_UINT32, BASE_DEC, VALS(nbap_HSSCCH_CodeChangeIndicator_vals), 0,
        "nbap.HSSCCH_CodeChangeIndicator", HFILL }},
    { &hf_nbap_onDemand,
      { "onDemand", "nbap.onDemand",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_periodic,
      { "periodic", "nbap.periodic",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationReportCharacteristicsType_ReportPeriodicity_vals), 0,
        "nbap.InformationReportCharacteristicsType_ReportPeriodicity", HFILL }},
    { &hf_nbap_onModification,
      { "onModification", "nbap.onModification",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationReportCharacteristicsType_OnModification", HFILL }},
    { &hf_nbap_min,
      { "min", "nbap.min",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ReportPeriodicity_Scaledmin", HFILL }},
    { &hf_nbap_hours,
      { "hours", "nbap.hours",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ReportPeriodicity_Scaledhour", HFILL }},
    { &hf_nbap_information_thresholds,
      { "information-thresholds", "nbap.information_thresholds",
        FT_UINT32, BASE_DEC, VALS(nbap_InformationThresholds_vals), 0,
        "nbap.InformationThresholds", HFILL }},
    { &hf_nbap_dgps,
      { "dgps", "nbap.dgps",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DGPSThresholds", HFILL }},
    { &hf_nbap_information_Type_Item,
      { "information-Type-Item", "nbap.information_Type_Item",
        FT_UINT32, BASE_DEC, VALS(nbap_Information_Type_Item_vals), 0,
        "nbap.Information_Type_Item", HFILL }},
    { &hf_nbap_gPSInformation,
      { "gPSInformation", "nbap.gPSInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GPS_Information", HFILL }},
    { &hf_nbap_iP_SpacingFDD,
      { "iP-SpacingFDD", "nbap.iP_SpacingFDD",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_SpacingFDD_vals), 0,
        "nbap.T_iP_SpacingFDD", HFILL }},
    { &hf_nbap_iP_Length,
      { "iP-Length", "nbap.iP_Length",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_Length_vals), 0,
        "nbap.T_iP_Length", HFILL }},
    { &hf_nbap_seed,
      { "seed", "nbap.seed",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_63", HFILL }},
    { &hf_nbap_burstModeParams,
      { "burstModeParams", "nbap.burstModeParams",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.BurstModeParams", HFILL }},
    { &hf_nbap_iP_Offset,
      { "iP-Offset", "nbap.iP_Offset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_9", HFILL }},
    { &hf_nbap_iP_SpacingTDD,
      { "iP-SpacingTDD", "nbap.iP_SpacingTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_SpacingTDD_vals), 0,
        "nbap.T_iP_SpacingTDD", HFILL }},
    { &hf_nbap_iP_Start,
      { "iP-Start", "nbap.iP_Start",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_4095", HFILL }},
    { &hf_nbap_iP_Slot,
      { "iP-Slot", "nbap.iP_Slot",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_14", HFILL }},
    { &hf_nbap_iP_PCCPCH,
      { "iP-PCCPCH", "nbap.iP_PCCPCH",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_PCCPCH_vals), 0,
        "nbap.T_iP_PCCPCH", HFILL }},
    { &hf_nbap_iP_SpacingTDD_01,
      { "iP-SpacingTDD", "nbap.iP_SpacingTDD",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_SpacingTDD_01_vals), 0,
        "nbap.T_iP_SpacingTDD_01", HFILL }},
    { &hf_nbap_iP_Sub,
      { "iP-Sub", "nbap.iP_Sub",
        FT_UINT32, BASE_DEC, VALS(nbap_T_iP_Sub_vals), 0,
        "nbap.T_iP_Sub", HFILL }},
    { &hf_nbap_burstStart,
      { "burstStart", "nbap.burstStart",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_15", HFILL }},
    { &hf_nbap_burstLength,
      { "burstLength", "nbap.burstLength",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_10_25", HFILL }},
    { &hf_nbap_burstFreq,
      { "burstFreq", "nbap.burstFreq",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_1_16", HFILL }},
    { &hf_nbap_maxTimeslotsPerSubFrame,
      { "maxTimeslotsPerSubFrame", "nbap.maxTimeslotsPerSubFrame",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_1_6", HFILL }},
    { &hf_nbap_maxPhysChPerTimeslot,
      { "maxPhysChPerTimeslot", "nbap.maxPhysChPerTimeslot",
        FT_UINT32, BASE_DEC, VALS(nbap_T_maxPhysChPerTimeslot_vals), 0,
        "nbap.T_maxPhysChPerTimeslot", HFILL }},
    { &hf_nbap_MACdPDU_Size_Indexlist_item,
      { "MACdPDU-Size-Indexlist", "nbap.MACdPDU_Size_Indexlist_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MACdPDU_Size_IndexItem", HFILL }},
    { &hf_nbap_sID,
      { "sID", "nbap.sID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SID", HFILL }},
    { &hf_nbap_macdPDU_Size,
      { "macdPDU-Size", "nbap.macdPDU_Size",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MACdPDU_Size", HFILL }},
    { &hf_nbap_MACdPDU_Size_Indexlist_to_Modify_item,
      { "MACdPDU-Size-Indexlist-to-Modify", "nbap.MACdPDU_Size_Indexlist_to_Modify_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MACdPDU_Size_IndexItem_to_Modify", HFILL }},
    { &hf_nbap_MessageStructure_item,
      { "MessageStructure", "nbap.MessageStructure_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MessageStructure_item", HFILL }},
    { &hf_nbap_repetitionNumber_01,
      { "repetitionNumber", "nbap.repetitionNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RepetitionNumber1", HFILL }},
    { &hf_nbap_type1,
      { "type1", "nbap.type1",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Type1", HFILL }},
    { &hf_nbap_midambleConfigurationBurstType1And3,
      { "midambleConfigurationBurstType1And3", "nbap.midambleConfigurationBurstType1And3",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleConfigurationBurstType1And3_vals), 0,
        "nbap.MidambleConfigurationBurstType1And3", HFILL }},
    { &hf_nbap_midambleAllocationMode,
      { "midambleAllocationMode", "nbap.midambleAllocationMode",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleAllocationMode1_vals), 0,
        "nbap.MidambleAllocationMode1", HFILL }},
    { &hf_nbap_defaultMidamble,
      { "defaultMidamble", "nbap.defaultMidamble",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_commonMidamble,
      { "commonMidamble", "nbap.commonMidamble",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_ueSpecificMidamble,
      { "ueSpecificMidamble", "nbap.ueSpecificMidamble",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MidambleShiftLong", HFILL }},
    { &hf_nbap_type2,
      { "type2", "nbap.type2",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Type2", HFILL }},
    { &hf_nbap_midambleConfigurationBurstType2,
      { "midambleConfigurationBurstType2", "nbap.midambleConfigurationBurstType2",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleConfigurationBurstType2_vals), 0,
        "nbap.MidambleConfigurationBurstType2", HFILL }},
    { &hf_nbap_midambleAllocationMode_01,
      { "midambleAllocationMode", "nbap.midambleAllocationMode",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleAllocationMode2_vals), 0,
        "nbap.MidambleAllocationMode2", HFILL }},
    { &hf_nbap_ueSpecificMidamble_01,
      { "ueSpecificMidamble", "nbap.ueSpecificMidamble",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MidambleShiftShort", HFILL }},
    { &hf_nbap_type3,
      { "type3", "nbap.type3",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Type3", HFILL }},
    { &hf_nbap_midambleAllocationMode_02,
      { "midambleAllocationMode", "nbap.midambleAllocationMode",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleAllocationMode3_vals), 0,
        "nbap.MidambleAllocationMode3", HFILL }},
    { &hf_nbap_midambleAllocationMode_03,
      { "midambleAllocationMode", "nbap.midambleAllocationMode",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleAllocationMode_vals), 0,
        "nbap.MidambleAllocationMode", HFILL }},
    { &hf_nbap_midambleShift,
      { "midambleShift", "nbap.midambleShift",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MidambleShiftLong", HFILL }},
    { &hf_nbap_midambleConfigurationLCR,
      { "midambleConfigurationLCR", "nbap.midambleConfigurationLCR",
        FT_UINT32, BASE_DEC, VALS(nbap_MidambleConfigurationLCR_vals), 0,
        "nbap.MidambleConfigurationLCR", HFILL }},
    { &hf_nbap_addPriorityQueue,
      { "addPriorityQueue", "nbap.addPriorityQueue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PriorityQueue_InfoItem_to_Add", HFILL }},
    { &hf_nbap_modifyPriorityQueue,
      { "modifyPriorityQueue", "nbap.modifyPriorityQueue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PriorityQueue_InfoItem_to_Modify", HFILL }},
    { &hf_nbap_deletePriorityQueue,
      { "deletePriorityQueue", "nbap.deletePriorityQueue",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityQueue_Id", HFILL }},
    { &hf_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_item,
      { "MultipleFreq-HSPDSCH-InformationList-ResponseTDDLCR", "nbap.MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR", HFILL }},
    { &hf_nbap_NeighbouringCellMeasurementInformation_item,
      { "NeighbouringCellMeasurementInformation", "nbap.NeighbouringCellMeasurementInformation_item",
        FT_UINT32, BASE_DEC, VALS(nbap_NeighbouringCellMeasurementInformation_item_vals), 0,
        "nbap.NeighbouringCellMeasurementInformation_item", HFILL }},
    { &hf_nbap_neighbouringFDDCellMeasurementInformation,
      { "neighbouringFDDCellMeasurementInformation", "nbap.neighbouringFDDCellMeasurementInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NeighbouringFDDCellMeasurementInformation", HFILL }},
    { &hf_nbap_neighbouringTDDCellMeasurementInformation,
      { "neighbouringTDDCellMeasurementInformation", "nbap.neighbouringTDDCellMeasurementInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NeighbouringTDDCellMeasurementInformation", HFILL }},
    { &hf_nbap_extension_neighbouringCellMeasurementInformation,
      { "extension-neighbouringCellMeasurementInformation", "nbap.extension_neighbouringCellMeasurementInformation",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_neighbouringCellMeasurementInformation", HFILL }},
    { &hf_nbap_uC_Id,
      { "uC-Id", "nbap.uC_Id",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UC_Id", HFILL }},
    { &hf_nbap_primaryScramblingCode,
      { "primaryScramblingCode", "nbap.primaryScramblingCode",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PrimaryScramblingCode", HFILL }},
    { &hf_nbap_cellParameterID,
      { "cellParameterID", "nbap.cellParameterID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellParameterID", HFILL }},
    { &hf_nbap_NI_Information_item,
      { "NI-Information", "nbap.NI_Information_item",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Notification_Indicator", HFILL }},
    { &hf_nbap_PriorityQueue_InfoList_item,
      { "PriorityQueue-InfoList", "nbap.PriorityQueue_InfoList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PriorityQueue_InfoItem", HFILL }},
    { &hf_nbap_priorityQueueId,
      { "priorityQueueId", "nbap.priorityQueueId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PriorityQueue_Id", HFILL }},
    { &hf_nbap_associatedHSDSCH_MACdFlow,
      { "associatedHSDSCH-MACdFlow", "nbap.associatedHSDSCH_MACdFlow",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.HSDSCH_MACdFlow_ID", HFILL }},
    { &hf_nbap_t1,
      { "t1", "nbap.t1",
        FT_UINT32, BASE_DEC, VALS(nbap_T1_vals), 0,
        "nbap.T1", HFILL }},
    { &hf_nbap_discardTimer,
      { "discardTimer", "nbap.discardTimer",
        FT_UINT32, BASE_DEC, VALS(nbap_DiscardTimer_vals), 0,
        "nbap.DiscardTimer", HFILL }},
    { &hf_nbap_mAC_hsWindowSize,
      { "mAC-hsWindowSize", "nbap.mAC_hsWindowSize",
        FT_UINT32, BASE_DEC, VALS(nbap_MAC_hsWindowSize_vals), 0,
        "nbap.MAC_hsWindowSize", HFILL }},
    { &hf_nbap_mAChsGuaranteedBitRate,
      { "mAChsGuaranteedBitRate", "nbap.mAChsGuaranteedBitRate",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MAChsGuaranteedBitRate", HFILL }},
    { &hf_nbap_macdPDU_Size_Index,
      { "macdPDU-Size-Index", "nbap.macdPDU_Size_Index",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MACdPDU_Size_Indexlist", HFILL }},
    { &hf_nbap_rLC_Mode,
      { "rLC-Mode", "nbap.rLC_Mode",
        FT_UINT32, BASE_DEC, VALS(nbap_RLC_Mode_vals), 0,
        "nbap.RLC_Mode", HFILL }},
    { &hf_nbap_PriorityQueue_InfoList_to_Modify_item,
      { "PriorityQueue-InfoList-to-Modify", "nbap.PriorityQueue_InfoList_to_Modify_item",
        FT_UINT32, BASE_DEC, VALS(nbap_ModifyPriorityQueue_vals), 0,
        "nbap.ModifyPriorityQueue", HFILL }},
    { &hf_nbap_macdPDU_Size_Index_to_Modify,
      { "macdPDU-Size-Index-to-Modify", "nbap.macdPDU_Size_Index_to_Modify",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MACdPDU_Size_Indexlist_to_Modify", HFILL }},
    { &hf_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised_item,
      { "PriorityQueue-InfoList-to-Modify-Unsynchronised", "nbap.PriorityQueue_InfoList_to_Modify_Unsynchronised_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PriorityQueue_InfoItem_to_Modify_Unsynchronised", HFILL }},
    { &hf_nbap_RL_Specific_DCH_Info_item,
      { "RL-Specific-DCH-Info", "nbap.RL_Specific_DCH_Info_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RL_Specific_DCH_Info_Item", HFILL }},
    { &hf_nbap_dCH_id,
      { "dCH-id", "nbap.dCH_id",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DCH_ID", HFILL }},
    { &hf_nbap_transportlayeraddress,
      { "transportlayeraddress", "nbap.transportlayeraddress",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.TransportLayerAddress", HFILL }},
    { &hf_nbap_periodic_01,
      { "periodic", "nbap.periodic",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_ReportPeriodicity_vals), 0,
        "nbap.ReportCharacteristicsType_ReportPeriodicity", HFILL }},
    { &hf_nbap_event_a,
      { "event-a", "nbap.event_a",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventA", HFILL }},
    { &hf_nbap_event_b,
      { "event-b", "nbap.event_b",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventB", HFILL }},
    { &hf_nbap_event_c,
      { "event-c", "nbap.event_c",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventC", HFILL }},
    { &hf_nbap_event_d,
      { "event-d", "nbap.event_d",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventD", HFILL }},
    { &hf_nbap_event_e,
      { "event-e", "nbap.event_e",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventE", HFILL }},
    { &hf_nbap_event_f,
      { "event-f", "nbap.event_f",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ReportCharacteristicsType_EventF", HFILL }},
    { &hf_nbap_extension_ReportCharacteristics,
      { "extension-ReportCharacteristics", "nbap.extension_ReportCharacteristics",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_ReportCharacteristics", HFILL }},
    { &hf_nbap_measurementThreshold,
      { "measurementThreshold", "nbap.measurementThreshold",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_MeasurementThreshold_vals), 0,
        "nbap.ReportCharacteristicsType_MeasurementThreshold", HFILL }},
    { &hf_nbap_measurementHysteresisTime,
      { "measurementHysteresisTime", "nbap.measurementHysteresisTime",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime_vals), 0,
        "nbap.ReportCharacteristicsType_ScaledMeasurementHysteresisTime", HFILL }},
    { &hf_nbap_measurementIncreaseThreshold,
      { "measurementIncreaseThreshold", "nbap.measurementIncreaseThreshold",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold_vals), 0,
        "nbap.ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold", HFILL }},
    { &hf_nbap_measurementChangeTime,
      { "measurementChangeTime", "nbap.measurementChangeTime",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime_vals), 0,
        "nbap.ReportCharacteristicsType_ScaledMeasurementChangeTime", HFILL }},
    { &hf_nbap_measurementDecreaseThreshold,
      { "measurementDecreaseThreshold", "nbap.measurementDecreaseThreshold",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold_vals), 0,
        "nbap.ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold", HFILL }},
    { &hf_nbap_measurementThreshold1,
      { "measurementThreshold1", "nbap.measurementThreshold1",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_MeasurementThreshold_vals), 0,
        "nbap.ReportCharacteristicsType_MeasurementThreshold", HFILL }},
    { &hf_nbap_measurementThreshold2,
      { "measurementThreshold2", "nbap.measurementThreshold2",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_MeasurementThreshold_vals), 0,
        "nbap.ReportCharacteristicsType_MeasurementThreshold", HFILL }},
    { &hf_nbap_reportPeriodicity,
      { "reportPeriodicity", "nbap.reportPeriodicity",
        FT_UINT32, BASE_DEC, VALS(nbap_ReportCharacteristicsType_ReportPeriodicity_vals), 0,
        "nbap.ReportCharacteristicsType_ReportPeriodicity", HFILL }},
    { &hf_nbap_received_total_wide_band_power_01,
      { "received-total-wide-band-power", "nbap.received_total_wide_band_power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Received_total_wide_band_power_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_uL_TimeslotISCP_01,
      { "uL-TimeslotISCP", "nbap.uL_TimeslotISCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotISCP_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_sir,
      { "sir", "nbap.sir",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_sir_error,
      { "sir-error", "nbap.sir_error",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Error_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_transmitted_code_power,
      { "transmitted-code-power", "nbap.transmitted_code_power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmitted_Code_Power_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_rscp,
      { "rscp", "nbap.rscp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RSCP_Value_IncrDecrThres", HFILL }},
    { &hf_nbap_round_trip_time,
      { "round-trip-time", "nbap.round_trip_time",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Round_Trip_Time_IncrDecrThres", HFILL }},
    { &hf_nbap_extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold,
      { "extension-ReportCharacteristicsType-MeasurementIncreaseDecreaseThreshold", "nbap.extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold", HFILL }},
    { &hf_nbap_sir_01,
      { "sir", "nbap.sir",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Value", HFILL }},
    { &hf_nbap_sir_error_01,
      { "sir-error", "nbap.sir_error",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SIR_Error_Value", HFILL }},
    { &hf_nbap_transmitted_code_power_01,
      { "transmitted-code-power", "nbap.transmitted_code_power",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Transmitted_Code_Power_Value", HFILL }},
    { &hf_nbap_rscp_01,
      { "rscp", "nbap.rscp",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RSCP_Value", HFILL }},
    { &hf_nbap_rx_timing_deviation,
      { "rx-timing-deviation", "nbap.rx_timing_deviation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Rx_Timing_Deviation_Value", HFILL }},
    { &hf_nbap_round_trip_time_01,
      { "round-trip-time", "nbap.round_trip_time",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.Round_Trip_Time_Value", HFILL }},
    { &hf_nbap_extension_ReportCharacteristicsType_MeasurementThreshold,
      { "extension-ReportCharacteristicsType-MeasurementThreshold", "nbap.extension_ReportCharacteristicsType_MeasurementThreshold",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Extension_ReportCharacteristicsType_MeasurementThreshold", HFILL }},
    { &hf_nbap_msec,
      { "msec", "nbap.msec",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MeasurementChangeTime_Scaledmsec", HFILL }},
    { &hf_nbap_msec_01,
      { "msec", "nbap.msec",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.MeasurementHysteresisTime_Scaledmsec", HFILL }},
    { &hf_nbap_msec_02,
      { "msec", "nbap.msec",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.ReportPeriodicity_Scaledmsec", HFILL }},
    { &hf_nbap_informationAvailable,
      { "informationAvailable", "nbap.informationAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationAvailable", HFILL }},
    { &hf_nbap_informationnotAvailable,
      { "informationnotAvailable", "nbap.informationnotAvailable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.InformationnotAvailable", HFILL }},
    { &hf_nbap_requesteddataValue,
      { "requesteddataValue", "nbap.requesteddataValue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.RequestedDataValue", HFILL }},
    { &hf_nbap_dgps_corrections,
      { "dgps-corrections", "nbap.dgps_corrections",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.DGPSCorrections", HFILL }},
    { &hf_nbap_gps_navandrecovery,
      { "gps-navandrecovery", "nbap.gps_navandrecovery",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GPS_NavigationModel_and_TimeRecovery", HFILL }},
    { &hf_nbap_gps_ionos_model,
      { "gps-ionos-model", "nbap.gps_ionos_model",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPS_Ionospheric_Model", HFILL }},
    { &hf_nbap_gps_utc_model,
      { "gps-utc-model", "nbap.gps_utc_model",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPS_UTC_Model", HFILL }},
    { &hf_nbap_gps_almanac,
      { "gps-almanac", "nbap.gps_almanac",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPS_Almanac", HFILL }},
    { &hf_nbap_gps_rt_integrity,
      { "gps-rt-integrity", "nbap.gps_rt_integrity",
        FT_UINT32, BASE_DEC, VALS(nbap_GPS_RealTime_Integrity_vals), 0,
        "nbap.GPS_RealTime_Integrity", HFILL }},
    { &hf_nbap_gpsrxpos,
      { "gpsrxpos", "nbap.gpsrxpos",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.GPS_RX_POS", HFILL }},
    { &hf_nbap_SAT_Info_Almanac_item,
      { "SAT-Info-Almanac", "nbap.SAT_Info_Almanac_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SAT_Info_Almanac_Item", HFILL }},
    { &hf_nbap_data_id,
      { "data-id", "nbap.data_id",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DATA_ID", HFILL }},
    { &hf_nbap_sat_id,
      { "sat-id", "nbap.sat_id",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_ID", HFILL }},
    { &hf_nbap_gps_e_alm,
      { "gps-e-alm", "nbap.gps_e_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_gps_toa_alm,
      { "gps-toa-alm", "nbap.gps_toa_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_gps_delta_I_alm,
      { "gps-delta-I-alm", "nbap.gps_delta_I_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_omegadot_alm,
      { "omegadot-alm", "nbap.omegadot_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_16", HFILL }},
    { &hf_nbap_svhealth_alm,
      { "svhealth-alm", "nbap.svhealth_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_gps_a_sqrt_alm,
      { "gps-a-sqrt-alm", "nbap.gps_a_sqrt_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_omegazero_alm,
      { "omegazero-alm", "nbap.omegazero_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_m_zero_alm,
      { "m-zero-alm", "nbap.m_zero_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_gps_omega_alm,
      { "gps-omega-alm", "nbap.gps_omega_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_24", HFILL }},
    { &hf_nbap_gps_af_zero_alm,
      { "gps-af-zero-alm", "nbap.gps_af_zero_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_11", HFILL }},
    { &hf_nbap_gps_af_one_alm,
      { "gps-af-one-alm", "nbap.gps_af_one_alm",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_11", HFILL }},
    { &hf_nbap_SAT_Info_Almanac_ExtList_item,
      { "SAT-Info-Almanac-ExtList", "nbap.SAT_Info_Almanac_ExtList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SAT_Info_Almanac_ExtItem", HFILL }},
    { &hf_nbap_SAT_Info_DGPSCorrections_item,
      { "SAT-Info-DGPSCorrections", "nbap.SAT_Info_DGPSCorrections_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SAT_Info_DGPSCorrections_Item", HFILL }},
    { &hf_nbap_iode_dgps,
      { "iode-dgps", "nbap.iode_dgps",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.BIT_STRING_SIZE_8", HFILL }},
    { &hf_nbap_udre,
      { "udre", "nbap.udre",
        FT_UINT32, BASE_DEC, VALS(nbap_UDRE_vals), 0,
        "nbap.UDRE", HFILL }},
    { &hf_nbap_prc,
      { "prc", "nbap.prc",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.PRC", HFILL }},
    { &hf_nbap_range_correction_rate,
      { "range-correction-rate", "nbap.range_correction_rate",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.Range_Correction_Rate", HFILL }},
    { &hf_nbap_SATInfo_RealTime_Integrity_item,
      { "SATInfo-RealTime-Integrity", "nbap.SATInfo_RealTime_Integrity_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SAT_Info_RealTime_Integrity_Item", HFILL }},
    { &hf_nbap_bad_sat_id,
      { "bad-sat-id", "nbap.bad_sat_id",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SAT_ID", HFILL }},
    { &hf_nbap_new_secondary_CPICH,
      { "new-secondary-CPICH", "nbap.new_secondary_CPICH",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CommonPhysicalChannelID", HFILL }},
    { &hf_nbap_secondary_CPICH_shall_not_be_used,
      { "secondary-CPICH-shall-not-be-used", "nbap.secondary_CPICH_shall_not_be_used",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_sFNSFNChangeLimit,
      { "sFNSFNChangeLimit", "nbap.sFNSFNChangeLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFNChangeLimit", HFILL }},
    { &hf_nbap_predictedSFNSFNDeviationLimit,
      { "predictedSFNSFNDeviationLimit", "nbap.predictedSFNSFNDeviationLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PredictedSFNSFNDeviationLimit", HFILL }},
    { &hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation,
      { "successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", "nbap.successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", HFILL }},
    { &hf_nbap_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item,
      { "successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", "nbap.successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item", HFILL }},
    { &hf_nbap_sFNSFNValue,
      { "sFNSFNValue", "nbap.sFNSFNValue",
        FT_UINT32, BASE_DEC, VALS(nbap_SFNSFNValue_vals), 0,
        "nbap.SFNSFNValue", HFILL }},
    { &hf_nbap_sFNSFNQuality,
      { "sFNSFNQuality", "nbap.sFNSFNQuality",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFNQuality", HFILL }},
    { &hf_nbap_sFNSFNDriftRate,
      { "sFNSFNDriftRate", "nbap.sFNSFNDriftRate",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFNDriftRate", HFILL }},
    { &hf_nbap_sFNSFNDriftRateQuality,
      { "sFNSFNDriftRateQuality", "nbap.sFNSFNDriftRateQuality",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFNDriftRateQuality", HFILL }},
    { &hf_nbap_sFNSFNTimeStampInformation,
      { "sFNSFNTimeStampInformation", "nbap.sFNSFNTimeStampInformation",
        FT_UINT32, BASE_DEC, VALS(nbap_SFNSFNTimeStampInformation_vals), 0,
        "nbap.SFNSFNTimeStampInformation", HFILL }},
    { &hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation,
      { "unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", "nbap.unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", HFILL }},
    { &hf_nbap_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item,
      { "unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation", "nbap.unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item", HFILL }},
    { &hf_nbap_sFNSFNTimeStamp_FDD,
      { "sFNSFNTimeStamp-FDD", "nbap.sFNSFNTimeStamp_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFN", HFILL }},
    { &hf_nbap_sFNSFNTimeStamp_TDD,
      { "sFNSFNTimeStamp-TDD", "nbap.sFNSFNTimeStamp_TDD",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SFNSFNTimeStamp_TDD", HFILL }},
    { &hf_nbap_sFNSFN_FDD,
      { "sFNSFN-FDD", "nbap.sFNSFN_FDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFN_FDD", HFILL }},
    { &hf_nbap_sFNSFN_TDD,
      { "sFNSFN-TDD", "nbap.sFNSFN_TDD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SFNSFN_TDD", HFILL }},
    { &hf_nbap_synchronisationReportCharacteristicsType,
      { "synchronisationReportCharacteristicsType", "nbap.synchronisationReportCharacteristicsType",
        FT_UINT32, BASE_DEC, VALS(nbap_SynchronisationReportCharacteristicsType_vals), 0,
        "nbap.SynchronisationReportCharacteristicsType", HFILL }},
    { &hf_nbap_synchronisationReportCharactThreExc,
      { "synchronisationReportCharactThreExc", "nbap.synchronisationReportCharactThreExc",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SynchronisationReportCharactThreExc", HFILL }},
    { &hf_nbap_SynchronisationReportCharactThreExc_item,
      { "SynchronisationReportCharactThreExc", "nbap.SynchronisationReportCharactThreExc_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportCharactThreInfoItem", HFILL }},
    { &hf_nbap_syncFrameNumber,
      { "syncFrameNumber", "nbap.syncFrameNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncFrameNumber", HFILL }},
    { &hf_nbap_cellSyncBurstInformation,
      { "cellSyncBurstInformation", "nbap.cellSyncBurstInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem", HFILL }},
    { &hf_nbap_cellSyncBurstInformation_item,
      { "cellSyncBurstInformation", "nbap.cellSyncBurstInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SynchronisationReportCharactCellSyncBurstInfoItem", HFILL }},
    { &hf_nbap_cellSyncBurstTimingThreshold,
      { "cellSyncBurstTimingThreshold", "nbap.cellSyncBurstTimingThreshold",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstTimingThreshold", HFILL }},
    { &hf_nbap_SyncDLCodeIdThreInfoLCR_item,
      { "SyncDLCodeIdThreInfoLCR", "nbap.SyncDLCodeIdThreInfoLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncDLCodeIdThreInfoList", HFILL }},
    { &hf_nbap_syncFrameNoToReceive,
      { "syncFrameNoToReceive", "nbap.syncFrameNoToReceive",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncFrameNumber", HFILL }},
    { &hf_nbap_syncDLCodeIdInfoLCR,
      { "syncDLCodeIdInfoLCR", "nbap.syncDLCodeIdInfoLCR",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SyncDLCodeInfoListLCR", HFILL }},
    { &hf_nbap_SyncDLCodeInfoListLCR_item,
      { "SyncDLCodeInfoListLCR", "nbap.SyncDLCodeInfoListLCR_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.SyncDLCodeInfoItemLCR", HFILL }},
    { &hf_nbap_syncDLCodeId,
      { "syncDLCodeId", "nbap.syncDLCodeId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.SYNCDlCodeId", HFILL }},
    { &hf_nbap_syncDLCodeIdArrivTime,
      { "syncDLCodeIdArrivTime", "nbap.syncDLCodeIdArrivTime",
        FT_UINT32, BASE_DEC, VALS(nbap_CellSyncBurstTimingLCR_vals), 0,
        "nbap.CellSyncBurstTimingLCR", HFILL }},
    { &hf_nbap_syncDLCodeIdTimingThre,
      { "syncDLCodeIdTimingThre", "nbap.syncDLCodeIdTimingThre",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.CellSyncBurstTimingThreshold", HFILL }},
    { &hf_nbap_modulation,
      { "modulation", "nbap.modulation",
        FT_UINT32, BASE_DEC, VALS(nbap_Modulation_vals), 0,
        "nbap.Modulation", HFILL }},
    { &hf_nbap_TDD_DL_Code_Information_item,
      { "TDD-DL-Code-Information", "nbap.TDD_DL_Code_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_DL_Code_InformationItem", HFILL }},
    { &hf_nbap_TDD_DL_Code_LCR_Information_item,
      { "TDD-DL-Code-LCR-Information", "nbap.TDD_DL_Code_LCR_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_DL_Code_LCR_InformationItem", HFILL }},
    { &hf_nbap_tdd_DL_DPCH_TimeSlotFormat_LCR,
      { "tdd-DL-DPCH-TimeSlotFormat-LCR", "nbap.tdd_DL_DPCH_TimeSlotFormat_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_DL_DPCH_TimeSlotFormat_LCR_vals), 0,
        "nbap.TDD_DL_DPCH_TimeSlotFormat_LCR", HFILL }},
    { &hf_nbap_qPSK,
      { "qPSK", "nbap.qPSK",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.QPSK_DL_DPCH_TimeSlotFormatTDD_LCR", HFILL }},
    { &hf_nbap_eightPSK,
      { "eightPSK", "nbap.eightPSK",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.EightPSK_DL_DPCH_TimeSlotFormatTDD_LCR", HFILL }},
    { &hf_nbap_initialOffset,
      { "initialOffset", "nbap.initialOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_255", HFILL }},
    { &hf_nbap_noinitialOffset,
      { "noinitialOffset", "nbap.noinitialOffset",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_63", HFILL }},
    { &hf_nbap_signalledGainFactors,
      { "signalledGainFactors", "nbap.signalledGainFactors",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.T_signalledGainFactors", HFILL }},
    { &hf_nbap_gainFactor,
      { "gainFactor", "nbap.gainFactor",
        FT_UINT32, BASE_DEC, VALS(nbap_T_gainFactor_vals), 0,
        "nbap.T_gainFactor", HFILL }},
    { &hf_nbap_fdd,
      { "fdd", "nbap.fdd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.T_fdd", HFILL }},
    { &hf_nbap_betaC,
      { "betaC", "nbap.betaC",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.BetaCD", HFILL }},
    { &hf_nbap_betaD,
      { "betaD", "nbap.betaD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.BetaCD", HFILL }},
    { &hf_nbap_tdd,
      { "tdd", "nbap.tdd",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.BetaCD", HFILL }},
    { &hf_nbap_refTFCNumber,
      { "refTFCNumber", "nbap.refTFCNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RefTFCNumber", HFILL }},
    { &hf_nbap_computedGainFactors,
      { "computedGainFactors", "nbap.computedGainFactors",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RefTFCNumber", HFILL }},
    { &hf_nbap_TDD_UL_Code_Information_item,
      { "TDD-UL-Code-Information", "nbap.TDD_UL_Code_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_UL_Code_InformationItem", HFILL }},
    { &hf_nbap_TDD_UL_Code_LCR_Information_item,
      { "TDD-UL-Code-LCR-Information", "nbap.TDD_UL_Code_LCR_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_UL_Code_LCR_InformationItem", HFILL }},
    { &hf_nbap_tdd_UL_DPCH_TimeSlotFormat_LCR,
      { "tdd-UL-DPCH-TimeSlotFormat-LCR", "nbap.tdd_UL_DPCH_TimeSlotFormat_LCR",
        FT_UINT32, BASE_DEC, VALS(nbap_TDD_UL_DPCH_TimeSlotFormat_LCR_vals), 0,
        "nbap.TDD_UL_DPCH_TimeSlotFormat_LCR", HFILL }},
    { &hf_nbap_qPSK_01,
      { "qPSK", "nbap.qPSK",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.QPSK_UL_DPCH_TimeSlotFormatTDD_LCR", HFILL }},
    { &hf_nbap_eightPSK_01,
      { "eightPSK", "nbap.eightPSK",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.EightPSK_UL_DPCH_TimeSlotFormatTDD_LCR", HFILL }},
    { &hf_nbap_tFCI_SignallingOption,
      { "tFCI-SignallingOption", "nbap.tFCI_SignallingOption",
        FT_UINT32, BASE_DEC, VALS(nbap_TFCI_SignallingMode_TFCI_SignallingOption_vals), 0,
        "nbap.TFCI_SignallingMode_TFCI_SignallingOption", HFILL }},
    { &hf_nbap_not_Used_splitType,
      { "not-Used-splitType", "nbap.not_Used_splitType",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_not_Used_lengthOfTFCI2,
      { "not-Used-lengthOfTFCI2", "nbap.not_Used_lengthOfTFCI2",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_initialPhase_01,
      { "initialPhase", "nbap.initialPhase",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_1048575_", HFILL }},
    { &hf_nbap_dsField,
      { "dsField", "nbap.dsField",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.DsField", HFILL }},
    { &hf_nbap_genericTrafficCategory,
      { "genericTrafficCategory", "nbap.genericTrafficCategory",
        FT_BYTES, BASE_HEX, NULL, 0,
        "nbap.GenericTrafficCategory", HFILL }},
    { &hf_nbap_Transmission_Gap_Pattern_Sequence_Information_item,
      { "Transmission-Gap-Pattern-Sequence-Information", "nbap.Transmission_Gap_Pattern_Sequence_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.Transmission_Gap_Pattern_Sequence_Information_item", HFILL }},
    { &hf_nbap_tGSN,
      { "tGSN", "nbap.tGSN",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TGSN", HFILL }},
    { &hf_nbap_tGL1,
      { "tGL1", "nbap.tGL1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GapLength", HFILL }},
    { &hf_nbap_tGL2,
      { "tGL2", "nbap.tGL2",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GapLength", HFILL }},
    { &hf_nbap_tGD,
      { "tGD", "nbap.tGD",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TGD", HFILL }},
    { &hf_nbap_tGPL1,
      { "tGPL1", "nbap.tGPL1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GapDuration", HFILL }},
    { &hf_nbap_not_to_be_used_1,
      { "not-to-be-used-1", "nbap.not_to_be_used_1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.GapDuration", HFILL }},
    { &hf_nbap_uL_DL_mode,
      { "uL-DL-mode", "nbap.uL_DL_mode",
        FT_UINT32, BASE_DEC, VALS(nbap_UL_DL_mode_vals), 0,
        "nbap.UL_DL_mode", HFILL }},
    { &hf_nbap_downlink_Compressed_Mode_Method,
      { "downlink-Compressed-Mode-Method", "nbap.downlink_Compressed_Mode_Method",
        FT_UINT32, BASE_DEC, VALS(nbap_Downlink_Compressed_Mode_Method_vals), 0,
        "nbap.Downlink_Compressed_Mode_Method", HFILL }},
    { &hf_nbap_uplink_Compressed_Mode_Method,
      { "uplink-Compressed-Mode-Method", "nbap.uplink_Compressed_Mode_Method",
        FT_UINT32, BASE_DEC, VALS(nbap_Uplink_Compressed_Mode_Method_vals), 0,
        "nbap.Uplink_Compressed_Mode_Method", HFILL }},
    { &hf_nbap_dL_FrameType,
      { "dL-FrameType", "nbap.dL_FrameType",
        FT_UINT32, BASE_DEC, VALS(nbap_DL_FrameType_vals), 0,
        "nbap.DL_FrameType", HFILL }},
    { &hf_nbap_delta_SIR1,
      { "delta-SIR1", "nbap.delta_SIR1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DeltaSIR", HFILL }},
    { &hf_nbap_delta_SIR_after1,
      { "delta-SIR-after1", "nbap.delta_SIR_after1",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DeltaSIR", HFILL }},
    { &hf_nbap_delta_SIR2,
      { "delta-SIR2", "nbap.delta_SIR2",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DeltaSIR", HFILL }},
    { &hf_nbap_delta_SIR_after2,
      { "delta-SIR-after2", "nbap.delta_SIR_after2",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.DeltaSIR", HFILL }},
    { &hf_nbap_tFCSvalues,
      { "tFCSvalues", "nbap.tFCSvalues",
        FT_UINT32, BASE_DEC, VALS(nbap_T_tFCSvalues_vals), 0,
        "nbap.T_tFCSvalues", HFILL }},
    { &hf_nbap_always_Used_no_Split_in_TFCI,
      { "always-Used-no-Split-in-TFCI", "nbap.always_Used_no_Split_in_TFCI",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TFCS_TFCSList", HFILL }},
    { &hf_nbap_not_Used_split_in_TFCI,
      { "not-Used-split-in-TFCI", "nbap.not_Used_split_in_TFCI",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_TFCS_TFCSList_item,
      { "TFCS-TFCSList", "nbap.TFCS_TFCSList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TFCS_TFCSList_item", HFILL }},
    { &hf_nbap_cTFC,
      { "cTFC", "nbap.cTFC",
        FT_UINT32, BASE_DEC, VALS(nbap_TFCS_CTFC_vals), 0,
        "nbap.TFCS_CTFC", HFILL }},
    { &hf_nbap_tFC_Beta,
      { "tFC-Beta", "nbap.tFC_Beta",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatCombination_Beta_vals), 0,
        "nbap.TransportFormatCombination_Beta", HFILL }},
    { &hf_nbap_ctfc2bit,
      { "ctfc2bit", "nbap.ctfc2bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_3", HFILL }},
    { &hf_nbap_ctfc4bit,
      { "ctfc4bit", "nbap.ctfc4bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_15", HFILL }},
    { &hf_nbap_ctfc6bit,
      { "ctfc6bit", "nbap.ctfc6bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_63", HFILL }},
    { &hf_nbap_ctfc8bit,
      { "ctfc8bit", "nbap.ctfc8bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_255", HFILL }},
    { &hf_nbap_ctfc12bit,
      { "ctfc12bit", "nbap.ctfc12bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_4095", HFILL }},
    { &hf_nbap_ctfc16bit,
      { "ctfc16bit", "nbap.ctfc16bit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_65535", HFILL }},
    { &hf_nbap_ctfcmaxbit,
      { "ctfcmaxbit", "nbap.ctfcmaxbit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_maxCTFC", HFILL }},
    { &hf_nbap_dynamicParts,
      { "dynamicParts", "nbap.dynamicParts",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TransportFormatSet_DynamicPartList", HFILL }},
    { &hf_nbap_semi_staticPart,
      { "semi-staticPart", "nbap.semi_staticPart",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet_Semi_staticPart", HFILL }},
    { &hf_nbap_TransportFormatSet_DynamicPartList_item,
      { "TransportFormatSet-DynamicPartList", "nbap.TransportFormatSet_DynamicPartList_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransportFormatSet_DynamicPartList_item", HFILL }},
    { &hf_nbap_nrOfTransportBlocks,
      { "nrOfTransportBlocks", "nbap.nrOfTransportBlocks",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TransportFormatSet_NrOfTransportBlocks", HFILL }},
    { &hf_nbap_transportBlockSize,
      { "transportBlockSize", "nbap.transportBlockSize",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TransportFormatSet_TransportBlockSize", HFILL }},
    { &hf_nbap_mode,
      { "mode", "nbap.mode",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_ModeDP_vals), 0,
        "nbap.TransportFormatSet_ModeDP", HFILL }},
    { &hf_nbap_transmissionTimeIntervalInformation,
      { "transmissionTimeIntervalInformation", "nbap.transmissionTimeIntervalInformation",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TransmissionTimeIntervalInformation", HFILL }},
    { &hf_nbap_TransmissionTimeIntervalInformation_item,
      { "TransmissionTimeIntervalInformation", "nbap.TransmissionTimeIntervalInformation_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TransmissionTimeIntervalInformation_item", HFILL }},
    { &hf_nbap_transmissionTimeInterval,
      { "transmissionTimeInterval", "nbap.transmissionTimeInterval",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_TransmissionTimeIntervalDynamic_vals), 0,
        "nbap.TransportFormatSet_TransmissionTimeIntervalDynamic", HFILL }},
    { &hf_nbap_transmissionTimeInterval_01,
      { "transmissionTimeInterval", "nbap.transmissionTimeInterval",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_TransmissionTimeIntervalSemiStatic_vals), 0,
        "nbap.TransportFormatSet_TransmissionTimeIntervalSemiStatic", HFILL }},
    { &hf_nbap_channelCoding,
      { "channelCoding", "nbap.channelCoding",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_ChannelCodingType_vals), 0,
        "nbap.TransportFormatSet_ChannelCodingType", HFILL }},
    { &hf_nbap_codingRate,
      { "codingRate", "nbap.codingRate",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_CodingRate_vals), 0,
        "nbap.TransportFormatSet_CodingRate", HFILL }},
    { &hf_nbap_rateMatchingAttribute,
      { "rateMatchingAttribute", "nbap.rateMatchingAttribute",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TransportFormatSet_RateMatchingAttribute", HFILL }},
    { &hf_nbap_cRC_Size,
      { "cRC-Size", "nbap.cRC_Size",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_CRC_Size_vals), 0,
        "nbap.TransportFormatSet_CRC_Size", HFILL }},
    { &hf_nbap_mode_01,
      { "mode", "nbap.mode",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_ModeSSP_vals), 0,
        "nbap.TransportFormatSet_ModeSSP", HFILL }},
    { &hf_nbap_tdd_01,
      { "tdd", "nbap.tdd",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TDD_TransportFormatSet_ModeDP", HFILL }},
    { &hf_nbap_notApplicable,
      { "notApplicable", "nbap.notApplicable",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.NULL", HFILL }},
    { &hf_nbap_tdd_02,
      { "tdd", "nbap.tdd",
        FT_UINT32, BASE_DEC, VALS(nbap_TransportFormatSet_SecondInterleavingMode_vals), 0,
        "nbap.TransportFormatSet_SecondInterleavingMode", HFILL }},
    { &hf_nbap_ms_part,
      { "ms-part", "nbap.ms_part",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_16383", HFILL }},
    { &hf_nbap_ls_part,
      { "ls-part", "nbap.ls_part",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_4294967295", HFILL }},
    { &hf_nbap_tUTRANGPSChangeLimit,
      { "tUTRANGPSChangeLimit", "nbap.tUTRANGPSChangeLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TUTRANGPSChangeLimit", HFILL }},
    { &hf_nbap_predictedTUTRANGPSDeviationLimit,
      { "predictedTUTRANGPSDeviationLimit", "nbap.predictedTUTRANGPSDeviationLimit",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.PredictedTUTRANGPSDeviationLimit", HFILL }},
    { &hf_nbap_tUTRANGPS,
      { "tUTRANGPS", "nbap.tUTRANGPS",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.TUTRANGPS", HFILL }},
    { &hf_nbap_tUTRANGPSQuality,
      { "tUTRANGPSQuality", "nbap.tUTRANGPSQuality",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TUTRANGPSQuality", HFILL }},
    { &hf_nbap_tUTRANGPSDriftRate,
      { "tUTRANGPSDriftRate", "nbap.tUTRANGPSDriftRate",
        FT_INT32, BASE_DEC, NULL, 0,
        "nbap.TUTRANGPSDriftRate", HFILL }},
    { &hf_nbap_tUTRANGPSDriftRateQuality,
      { "tUTRANGPSDriftRateQuality", "nbap.tUTRANGPSDriftRateQuality",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TUTRANGPSDriftRateQuality", HFILL }},
    { &hf_nbap_rNC_ID,
      { "rNC-ID", "nbap.rNC_ID",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.RNC_ID", HFILL }},
    { &hf_nbap_hSDSCH_Physical_Layer_Category,
      { "hSDSCH-Physical-Layer-Category", "nbap.hSDSCH_Physical_Layer_Category",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_1_64_", HFILL }},
    { &hf_nbap_UL_Timeslot_Information_item,
      { "UL-Timeslot-Information", "nbap.UL_Timeslot_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_Timeslot_InformationItem", HFILL }},
    { &hf_nbap_uL_Code_InformationList,
      { "uL-Code-InformationList", "nbap.uL_Code_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_UL_Code_Information", HFILL }},
    { &hf_nbap_UL_TimeslotLCR_Information_item,
      { "UL-TimeslotLCR-Information", "nbap.UL_TimeslotLCR_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_TimeslotLCR_InformationItem", HFILL }},
    { &hf_nbap_uL_Code_InformationList_01,
      { "uL-Code-InformationList", "nbap.uL_Code_InformationList",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.TDD_UL_Code_LCR_Information", HFILL }},
    { &hf_nbap_uL_ScramblingCodeNumber,
      { "uL-ScramblingCodeNumber", "nbap.uL_ScramblingCodeNumber",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_ScramblingCodeNumber", HFILL }},
    { &hf_nbap_uL_ScramblingCodeLength,
      { "uL-ScramblingCodeLength", "nbap.uL_ScramblingCodeLength",
        FT_UINT32, BASE_DEC, VALS(nbap_UL_ScramblingCodeLength_vals), 0,
        "nbap.UL_ScramblingCodeLength", HFILL }},
    { &hf_nbap_uL_Synchronisation_StepSize,
      { "uL-Synchronisation-StepSize", "nbap.uL_Synchronisation_StepSize",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Synchronisation_StepSize", HFILL }},
    { &hf_nbap_uL_Synchronisation_Frequency,
      { "uL-Synchronisation-Frequency", "nbap.uL_Synchronisation_Frequency",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_Synchronisation_Frequency", HFILL }},
    { &hf_nbap_UL_TimeSlot_ISCP_Info_item,
      { "UL-TimeSlot-ISCP-Info", "nbap.UL_TimeSlot_ISCP_Info_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_TimeSlot_ISCP_InfoItem", HFILL }},
    { &hf_nbap_iSCP,
      { "iSCP", "nbap.iSCP",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.UL_TimeslotISCP_Value", HFILL }},
    { &hf_nbap_UL_TimeSlot_ISCP_LCR_Info_item,
      { "UL-TimeSlot-ISCP-LCR-Info", "nbap.UL_TimeSlot_ISCP_LCR_Info_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.UL_TimeSlot_ISCP_LCR_InfoItem", HFILL }},
    { &hf_nbap_USCH_Information_item,
      { "USCH-Information", "nbap.USCH_Information_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_InformationItem", HFILL }},
    { &hf_nbap_USCH_InformationResponse_item,
      { "USCH-InformationResponse", "nbap.USCH_InformationResponse_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.USCH_InformationResponseItem", HFILL }},
    { &hf_nbap_local,
      { "local", "nbap.local",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_maxPrivateIEs", HFILL }},
    { &hf_nbap_global,
      { "global", "nbap.global",
        FT_OID, BASE_NONE, NULL, 0,
        "nbap.OBJECT_IDENTIFIER", HFILL }},
    { &hf_nbap_procedureCode,
      { "procedureCode", "nbap.procedureCode",
        FT_UINT32, BASE_DEC, VALS(nbap_ProcedureCode_vals), 0,
        "nbap.ProcedureCode", HFILL }},
    { &hf_nbap_ddMode,
      { "ddMode", "nbap.ddMode",
        FT_UINT32, BASE_DEC, VALS(nbap_DdMode_vals), 0,
        "nbap.DdMode", HFILL }},
    { &hf_nbap_shortTransActionId,
      { "shortTransActionId", "nbap.shortTransActionId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_127", HFILL }},
    { &hf_nbap_longTransActionId,
      { "longTransActionId", "nbap.longTransActionId",
        FT_UINT32, BASE_DEC, NULL, 0,
        "nbap.INTEGER_0_32767", HFILL }},
    { &hf_nbap_ProtocolIE_Container_item,
      { "ProtocolIE-Container", "nbap.ProtocolIE_Container_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Field", HFILL }},
    { &hf_nbap_id,
      { "id", "nbap.id",
        FT_UINT32, BASE_DEC, VALS(nbap_ProtocolIE_ID_vals), 0,
        "nbap.ProtocolIE_ID", HFILL }},
    { &hf_nbap_value_04,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolIE_Field_value", HFILL }},
    { &hf_nbap_ProtocolExtensionContainer_item,
      { "ProtocolExtensionContainer", "nbap.ProtocolExtensionContainer_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.ProtocolExtensionField", HFILL }},
    { &hf_nbap_extensionValue,
      { "extensionValue", "nbap.extensionValue",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.T_extensionValue", HFILL }},
    { &hf_nbap_PrivateIE_Container_item,
      { "PrivateIE-Container", "nbap.PrivateIE_Container_item",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrivateIE_Field", HFILL }},
    { &hf_nbap_id_01,
      { "id", "nbap.id",
        FT_UINT32, BASE_DEC, VALS(nbap_PrivateIE_ID_vals), 0,
        "nbap.PrivateIE_ID", HFILL }},
    { &hf_nbap_value_05,
      { "value", "nbap.value",
        FT_NONE, BASE_NONE, NULL, 0,
        "nbap.PrivateIE_Field_value", HFILL }},
    { &hf_nbap_PreambleSignatures_signature15,
      { "signature15", "nbap.signature15",
        FT_BOOLEAN, 8, NULL, 0x80,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature14,
      { "signature14", "nbap.signature14",
        FT_BOOLEAN, 8, NULL, 0x40,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature13,
      { "signature13", "nbap.signature13",
        FT_BOOLEAN, 8, NULL, 0x20,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature12,
      { "signature12", "nbap.signature12",
        FT_BOOLEAN, 8, NULL, 0x10,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature11,
      { "signature11", "nbap.signature11",
        FT_BOOLEAN, 8, NULL, 0x08,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature10,
      { "signature10", "nbap.signature10",
        FT_BOOLEAN, 8, NULL, 0x04,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature9,
      { "signature9", "nbap.signature9",
        FT_BOOLEAN, 8, NULL, 0x02,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature8,
      { "signature8", "nbap.signature8",
        FT_BOOLEAN, 8, NULL, 0x01,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature7,
      { "signature7", "nbap.signature7",
        FT_BOOLEAN, 8, NULL, 0x80,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature6,
      { "signature6", "nbap.signature6",
        FT_BOOLEAN, 8, NULL, 0x40,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature5,
      { "signature5", "nbap.signature5",
        FT_BOOLEAN, 8, NULL, 0x20,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature4,
      { "signature4", "nbap.signature4",
        FT_BOOLEAN, 8, NULL, 0x10,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature3,
      { "signature3", "nbap.signature3",
        FT_BOOLEAN, 8, NULL, 0x08,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature2,
      { "signature2", "nbap.signature2",
        FT_BOOLEAN, 8, NULL, 0x04,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature1,
      { "signature1", "nbap.signature1",
        FT_BOOLEAN, 8, NULL, 0x02,
        "", HFILL }},
    { &hf_nbap_PreambleSignatures_signature0,
      { "signature0", "nbap.signature0",
        FT_BOOLEAN, 8, NULL, 0x01,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh11,
      { "subCh11", "nbap.subCh11",
        FT_BOOLEAN, 8, NULL, 0x80,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh10,
      { "subCh10", "nbap.subCh10",
        FT_BOOLEAN, 8, NULL, 0x40,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh9,
      { "subCh9", "nbap.subCh9",
        FT_BOOLEAN, 8, NULL, 0x20,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh8,
      { "subCh8", "nbap.subCh8",
        FT_BOOLEAN, 8, NULL, 0x10,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh7,
      { "subCh7", "nbap.subCh7",
        FT_BOOLEAN, 8, NULL, 0x08,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh6,
      { "subCh6", "nbap.subCh6",
        FT_BOOLEAN, 8, NULL, 0x04,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh5,
      { "subCh5", "nbap.subCh5",
        FT_BOOLEAN, 8, NULL, 0x02,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh4,
      { "subCh4", "nbap.subCh4",
        FT_BOOLEAN, 8, NULL, 0x01,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh3,
      { "subCh3", "nbap.subCh3",
        FT_BOOLEAN, 8, NULL, 0x80,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh2,
      { "subCh2", "nbap.subCh2",
        FT_BOOLEAN, 8, NULL, 0x40,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh1,
      { "subCh1", "nbap.subCh1",
        FT_BOOLEAN, 8, NULL, 0x20,
        "", HFILL }},
    { &hf_nbap_RACH_SubChannelNumbers_subCh0,
      { "subCh0", "nbap.subCh0",
        FT_BOOLEAN, 8, NULL, 0x10,
        "", HFILL }},

/*--- End of included file: packet-nbap-hfarr.c ---*/
#line 137 "packet-nbap-template.c"
  };

  /* List of subtrees */
  static gint *ett[] = {
		  &ett_nbap,

/*--- Included file: packet-nbap-ettarr.c ---*/
#line 1 "packet-nbap-ettarr.c"
    &ett_nbap_NBAP_PDU,
    &ett_nbap_InitiatingMessage,
    &ett_nbap_SuccessfulOutcome,
    &ett_nbap_UnsuccessfulOutcome,
    &ett_nbap_Outcome,
    &ett_nbap_CommonTransportChannelSetupRequestFDD,
    &ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstFDD,
    &ett_nbap_Secondary_CCPCH_CTCH_SetupRqstFDD,
    &ett_nbap_PowerOffsetInformation_CTCH_SetupRqstFDD,
    &ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstFDD,
    &ett_nbap_FACH_ParametersItem_CTCH_SetupRqstFDD,
    &ett_nbap_PCH_ParametersItem_CTCH_SetupRqstFDD,
    &ett_nbap_PICH_Parameters_CTCH_SetupRqstFDD,
    &ett_nbap_PRACH_CTCH_SetupRqstFDD,
    &ett_nbap_AllowedSlotFormatInformationList_CTCH_SetupRqstFDD,
    &ett_nbap_AllowedSlotFormatInformationItem_CTCH_SetupRqstFDD,
    &ett_nbap_RACH_ParametersItem_CTCH_SetupRqstFDD,
    &ett_nbap_AICH_Parameters_CTCH_SetupRqstFDD,
    &ett_nbap_CommonTransportChannelSetupRequestTDD,
    &ett_nbap_CommonPhysicalChannelType_CTCH_SetupRqstTDD,
    &ett_nbap_Secondary_CCPCH_CTCH_SetupRqstTDD,
    &ett_nbap_UTN_Timeslot,
    &ett_nbap_UTN_TimeslotItem,
    &ett_nbap_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD,
    &ett_nbap_Secondary_CCPCH_parameterItem_CTCH_SetupRqstTDD,
    &ett_nbap_FACH_ParametersListIE_CTCH_SetupRqstTDD,
    &ett_nbap_FACH_ParametersItem_CTCH_SetupRqstTDD,
    &ett_nbap_PCH_ParametersItem_CTCH_SetupRqstTDD,
    &ett_nbap_PICH_ParametersItem_CTCH_SetupRqstTDD,
    &ett_nbap_PICH_LCR_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD,
    &ett_nbap_Secondary_CCPCH_LCR_parameterItem_CTCH_SetupRqstTDD,
    &ett_nbap_MICH_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_MICH_TDDOption_Specific_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_MICH_HCR_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_MICH_LCR_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD,
    &ett_nbap_PRACH_CTCH_SetupRqstTDD,
    &ett_nbap_PRACH_ParametersItem_CTCH_SetupRqstTDD,
    &ett_nbap_RACH_ParameterItem_CTCH_SetupRqstTDD,
    &ett_nbap_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD,
    &ett_nbap_PRACH_LCR_ParametersItem_CTCH_SetupRqstTDD,
    &ett_nbap_FPACH_LCR_Parameters_CTCH_SetupRqstTDD,
    &ett_nbap_CommonTransportChannelSetupResponse,
    &ett_nbap_FACH_CommonTransportChannel_InformationResponse,
    &ett_nbap_CommonTransportChannelSetupFailure,
    &ett_nbap_CommonTransportChannelReconfigurationRequestFDD,
    &ett_nbap_CommonPhysicalChannelType_CTCH_ReconfRqstFDD,
    &ett_nbap_Secondary_CCPCHList_CTCH_ReconfRqstFDD,
    &ett_nbap_FACH_ParametersListIE_CTCH_ReconfRqstFDD,
    &ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstFDD,
    &ett_nbap_PCH_ParametersItem_CTCH_ReconfRqstFDD,
    &ett_nbap_PICH_ParametersItem_CTCH_ReconfRqstFDD,
    &ett_nbap_PRACHList_CTCH_ReconfRqstFDD,
    &ett_nbap_PRACH_ParametersListIE_CTCH_ReconfRqstFDD,
    &ett_nbap_PRACH_ParametersItem_CTCH_ReconfRqstFDD,
    &ett_nbap_AllowedSlotFormatInformationList_CTCH_ReconfRqstFDD,
    &ett_nbap_AllowedSlotFormatInformationItem_CTCH_ReconfRqstFDD,
    &ett_nbap_AICH_ParametersListIE_CTCH_ReconfRqstFDD,
    &ett_nbap_AICH_ParametersItem_CTCH_ReconfRqstFDD,
    &ett_nbap_CommonTransportChannelReconfigurationRequestTDD,
    &ett_nbap_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD,
    &ett_nbap_Secondary_CCPCHItem_CTCH_ReconfRqstTDD,
    &ett_nbap_PICH_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_FACH_ParametersList_CTCH_ReconfRqstTDD,
    &ett_nbap_FACH_ParametersItem_CTCH_ReconfRqstTDD,
    &ett_nbap_PCH_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_MICH_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD,
    &ett_nbap_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD,
    &ett_nbap_CommonTransportChannelReconfigurationResponse,
    &ett_nbap_CommonTransportChannelReconfigurationFailure,
    &ett_nbap_CommonTransportChannelDeletionRequest,
    &ett_nbap_CommonTransportChannelDeletionResponse,
    &ett_nbap_BlockResourceRequest,
    &ett_nbap_BlockResourceResponse,
    &ett_nbap_BlockResourceFailure,
    &ett_nbap_UnblockResourceIndication,
    &ett_nbap_AuditRequiredIndication,
    &ett_nbap_AuditRequest,
    &ett_nbap_AuditResponse,
    &ett_nbap_Cell_InformationList_AuditRsp,
    &ett_nbap_Cell_InformationItem_AuditRsp,
    &ett_nbap_S_CPICH_InformationList_AuditRsp,
    &ett_nbap_S_CCPCH_InformationList_AuditRsp,
    &ett_nbap_FACH_InformationList_AuditRsp,
    &ett_nbap_PRACH_InformationList_AuditRsp,
    &ett_nbap_RACH_InformationList_AuditRsp,
    &ett_nbap_AICH_InformationList_AuditRsp,
    &ett_nbap_PCPCH_InformationList_AuditRsp,
    &ett_nbap_CPCH_InformationList_AuditRsp,
    &ett_nbap_AP_AICH_InformationList_AuditRsp,
    &ett_nbap_CDCA_ICH_InformationList_AuditRsp,
    &ett_nbap_CCP_InformationList_AuditRsp,
    &ett_nbap_CCP_InformationItem_AuditRsp,
    &ett_nbap_FPACH_LCR_InformationList_AuditRsp,
    &ett_nbap_HS_DSCH_Resources_Information_AuditRsp,
    &ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp,
    &ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp,
    &ett_nbap_UPPCH_LCR_InformationList_AuditRsp,
    &ett_nbap_UPPCH_LCR_InformationItem_AuditRsp,
    &ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp,
    &ett_nbap_S_CCPCH_LCR_InformationListExt_AuditRsp,
    &ett_nbap_Local_Cell_InformationList_AuditRsp,
    &ett_nbap_Local_Cell_InformationItem_AuditRsp,
    &ett_nbap_Local_Cell_Group_InformationList_AuditRsp,
    &ett_nbap_Local_Cell_Group_InformationItem_AuditRsp,
    &ett_nbap_Power_Local_Cell_Group_InformationList_AuditRsp,
    &ett_nbap_Power_Local_Cell_Group_InformationItem_AuditRsp,
    &ett_nbap_AuditFailure,
    &ett_nbap_CommonMeasurementInitiationRequest,
    &ett_nbap_CommonMeasurementObjectType_CM_Rqst,
    &ett_nbap_Cell_CM_Rqst,
    &ett_nbap_RACH_CM_Rqst,
    &ett_nbap_CommonMeasurementInitiationResponse,
    &ett_nbap_CommonMeasurementObjectType_CM_Rsp,
    &ett_nbap_Cell_CM_Rsp,
    &ett_nbap_RACH_CM_Rsp,
    &ett_nbap_CommonMeasurementInitiationFailure,
    &ett_nbap_CommonMeasurementReport,
    &ett_nbap_CommonMeasurementObjectType_CM_Rprt,
    &ett_nbap_Cell_CM_Rprt,
    &ett_nbap_RACH_CM_Rprt,
    &ett_nbap_CommonMeasurementTerminationRequest,
    &ett_nbap_CommonMeasurementFailureIndication,
    &ett_nbap_CellSetupRequestFDD,
    &ett_nbap_Synchronisation_Configuration_Cell_SetupRqst,
    &ett_nbap_PrimarySCH_Information_Cell_SetupRqstFDD,
    &ett_nbap_SecondarySCH_Information_Cell_SetupRqstFDD,
    &ett_nbap_PrimaryCPICH_Information_Cell_SetupRqstFDD,
    &ett_nbap_SecondaryCPICH_InformationList_Cell_SetupRqstFDD,
    &ett_nbap_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD,
    &ett_nbap_PrimaryCCPCH_Information_Cell_SetupRqstFDD,
    &ett_nbap_BCH_Information_Cell_SetupRqstFDD,
    &ett_nbap_Limited_power_increase_information_Cell_SetupRqstFDD,
    &ett_nbap_IPDLParameter_Information_Cell_SetupRqstFDD,
    &ett_nbap_CellSetupRequestTDD,
    &ett_nbap_SCH_Information_Cell_SetupRqstTDD,
    &ett_nbap_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH,
    &ett_nbap_Case1_Cell_SetupRqstTDD,
    &ett_nbap_Case2_Cell_SetupRqstTDD,
    &ett_nbap_PCCPCH_Information_Cell_SetupRqstTDD,
    &ett_nbap_TimeSlotConfigurationList_Cell_SetupRqstTDD,
    &ett_nbap_TimeSlotConfigurationItem_Cell_SetupRqstTDD,
    &ett_nbap_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD,
    &ett_nbap_TimeSlotConfigurationItem_LCR_Cell_SetupRqstTDD,
    &ett_nbap_PCCPCH_LCR_Information_Cell_SetupRqstTDD,
    &ett_nbap_DwPCH_LCR_Information_Cell_SetupRqstTDD,
    &ett_nbap_IPDLParameter_Information_Cell_SetupRqstTDD,
    &ett_nbap_IPDLParameter_Information_LCR_Cell_SetupRqstTDD,
    &ett_nbap_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD,
    &ett_nbap_Cell_Frequency_Item_LCR_MulFreq_Cell_SetupRqstTDD,
    &ett_nbap_CellSetupResponse,
    &ett_nbap_CellSetupFailure,
    &ett_nbap_CellReconfigurationRequestFDD,
    &ett_nbap_Synchronisation_Configuration_Cell_ReconfRqst,
    &ett_nbap_PrimarySCH_Information_Cell_ReconfRqstFDD,
    &ett_nbap_SecondarySCH_Information_Cell_ReconfRqstFDD,
    &ett_nbap_PrimaryCPICH_Information_Cell_ReconfRqstFDD,
    &ett_nbap_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD,
    &ett_nbap_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD,
    &ett_nbap_PrimaryCCPCH_Information_Cell_ReconfRqstFDD,
    &ett_nbap_BCH_information_Cell_ReconfRqstFDD,
    &ett_nbap_IPDLParameter_Information_Cell_ReconfRqstFDD,
    &ett_nbap_CellReconfigurationRequestTDD,
    &ett_nbap_SCH_Information_Cell_ReconfRqstTDD,
    &ett_nbap_PCCPCH_Information_Cell_ReconfRqstTDD,
    &ett_nbap_TimeSlotConfigurationList_Cell_ReconfRqstTDD,
    &ett_nbap_TimeSlotConfigurationItem_Cell_ReconfRqstTDD,
    &ett_nbap_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD,
    &ett_nbap_TimeSlotConfigurationItem_LCR_Cell_ReconfRqstTDD,
    &ett_nbap_DwPCH_LCR_Information_Cell_ReconfRqstTDD,
    &ett_nbap_IPDLParameter_Information_Cell_ReconfRqstTDD,
    &ett_nbap_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD,
    &ett_nbap_URAFCN_Adjustment,
    &ett_nbap_Cell_Frequency_Add_LCR_MulFreq_Cell_ReconfRqstTDD,
    &ett_nbap_Cell_Frequency_ModifyList_LCR_MulFreq_Cell_ReconfRqstTDD,
    &ett_nbap_Cell_Frequency_ModifyItem_LCR_MulFreq_Cell_ReconfRqstTDD,
    &ett_nbap_Cell_Frequency_Delete_LCR_MulFreq_Cell_ReconfRqstTDD,
    &ett_nbap_CellReconfigurationResponse,
    &ett_nbap_CellReconfigurationFailure,
    &ett_nbap_CellDeletionRequest,
    &ett_nbap_CellDeletionResponse,
    &ett_nbap_ResourceStatusIndication,
    &ett_nbap_IndicationType_ResourceStatusInd,
    &ett_nbap_No_Failure_ResourceStatusInd,
    &ett_nbap_Local_Cell_InformationList_ResourceStatusInd,
    &ett_nbap_Local_Cell_InformationItem_ResourceStatusInd,
    &ett_nbap_Local_Cell_Group_InformationList_ResourceStatusInd,
    &ett_nbap_Local_Cell_Group_InformationItem_ResourceStatusInd,
    &ett_nbap_Power_Local_Cell_Group_InformationList_ResourceStatusInd,
    &ett_nbap_Power_Local_Cell_Group_InformationItem_ResourceStatusInd,
    &ett_nbap_ServiceImpacting_ResourceStatusInd,
    &ett_nbap_Local_Cell_InformationList2_ResourceStatusInd,
    &ett_nbap_Local_Cell_InformationItem2_ResourceStatusInd,
    &ett_nbap_Local_Cell_Group_InformationList2_ResourceStatusInd,
    &ett_nbap_Local_Cell_Group_InformationItem2_ResourceStatusInd,
    &ett_nbap_Power_Local_Cell_Group_InformationList2_ResourceStatusInd,
    &ett_nbap_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd,
    &ett_nbap_CCP_InformationList_ResourceStatusInd,
    &ett_nbap_CCP_InformationItem_ResourceStatusInd,
    &ett_nbap_Cell_InformationList_ResourceStatusInd,
    &ett_nbap_Cell_InformationItem_ResourceStatusInd,
    &ett_nbap_S_CPICH_InformationList_ResourceStatusInd,
    &ett_nbap_S_CCPCH_InformationList_ResourceStatusInd,
    &ett_nbap_FACH_InformationList_ResourceStatusInd,
    &ett_nbap_PRACH_InformationList_ResourceStatusInd,
    &ett_nbap_RACH_InformationList_ResourceStatusInd,
    &ett_nbap_AICH_InformationList_ResourceStatusInd,
    &ett_nbap_FPACH_LCR_InformationList_ResourceStatusInd,
    &ett_nbap_HS_DSCH_Resources_Information_ResourceStatusInd,
    &ett_nbap_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd,
    &ett_nbap_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd,
    &ett_nbap_UPPCH_LCR_InformationList_ResourceStatusInd,
    &ett_nbap_UPPCH_LCR_InformationItem_ResourceStatusInd,
    &ett_nbap_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd,
    &ett_nbap_S_CCPCH_LCR_InformationListExt_ResourceStatusInd,
    &ett_nbap_SystemInformationUpdateRequest,
    &ett_nbap_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst,
    &ett_nbap_MIB_SB_SIB_InformationItem_SystemInfoUpdateRqst,
    &ett_nbap_DeletionIndicator_SystemInfoUpdate,
    &ett_nbap_No_Deletion_SystemInfoUpdate,
    &ett_nbap_SegmentInformationListIE_SystemInfoUpdate,
    &ett_nbap_SegmentInformationItem_SystemInfoUpdate,
    &ett_nbap_SystemInformationUpdateResponse,
    &ett_nbap_SystemInformationUpdateFailure,
    &ett_nbap_RadioLinkSetupRequestFDD,
    &ett_nbap_UL_DPCH_Information_RL_SetupRqstFDD,
    &ett_nbap_DL_DPCH_Information_RL_SetupRqstFDD,
    &ett_nbap_PowerOffsetInformation_RL_SetupRqstFDD,
    &ett_nbap_RL_InformationList_RL_SetupRqstFDD,
    &ett_nbap_RL_InformationItem_RL_SetupRqstFDD,
    &ett_nbap_RadioLinkSetupRequestTDD,
    &ett_nbap_UL_CCTrCH_InformationList_RL_SetupRqstTDD,
    &ett_nbap_UL_CCTrCH_InformationItem_RL_SetupRqstTDD,
    &ett_nbap_UL_DPCH_InformationItem_RL_SetupRqstTDD,
    &ett_nbap_UL_DPCH_LCR_Information_RL_SetupRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationList_RL_SetupRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationItem_RL_SetupRqstTDD,
    &ett_nbap_CCTrCH_TPCList_RL_SetupRqstTDD,
    &ett_nbap_CCTrCH_TPCItem_RL_SetupRqstTDD,
    &ett_nbap_DL_DPCH_InformationItem_RL_SetupRqstTDD,
    &ett_nbap_DL_DPCH_LCR_Information_RL_SetupRqstTDD,
    &ett_nbap_RL_Information_RL_SetupRqstTDD,
    &ett_nbap_RadioLinkSetupResponseFDD,
    &ett_nbap_RL_InformationResponseList_RL_SetupRspFDD,
    &ett_nbap_RL_InformationResponseItem_RL_SetupRspFDD,
    &ett_nbap_DiversityIndication_RL_SetupRspFDD,
    &ett_nbap_Combining_RL_SetupRspFDD,
    &ett_nbap_NonCombiningOrFirstRL_RL_SetupRspFDD,
    &ett_nbap_RadioLinkSetupResponseTDD,
    &ett_nbap_RL_InformationResponse_RL_SetupRspTDD,
    &ett_nbap_RL_InformationResponse_LCR_RL_SetupRspTDD,
    &ett_nbap_RadioLinkSetupFailureFDD,
    &ett_nbap_CauseLevel_RL_SetupFailureFDD,
    &ett_nbap_GeneralCauseList_RL_SetupFailureFDD,
    &ett_nbap_RLSpecificCauseList_RL_SetupFailureFDD,
    &ett_nbap_Unsuccessful_RL_InformationRespList_RL_SetupFailureFDD,
    &ett_nbap_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD,
    &ett_nbap_Successful_RL_InformationRespList_RL_SetupFailureFDD,
    &ett_nbap_Successful_RL_InformationRespItem_RL_SetupFailureFDD,
    &ett_nbap_DiversityIndication_RL_SetupFailureFDD,
    &ett_nbap_Combining_RL_SetupFailureFDD,
    &ett_nbap_NonCombiningOrFirstRL_RL_SetupFailureFDD,
    &ett_nbap_RadioLinkSetupFailureTDD,
    &ett_nbap_CauseLevel_RL_SetupFailureTDD,
    &ett_nbap_GeneralCauseList_RL_SetupFailureTDD,
    &ett_nbap_RLSpecificCauseList_RL_SetupFailureTDD,
    &ett_nbap_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD,
    &ett_nbap_RadioLinkAdditionRequestFDD,
    &ett_nbap_RL_InformationList_RL_AdditionRqstFDD,
    &ett_nbap_RL_InformationItem_RL_AdditionRqstFDD,
    &ett_nbap_RadioLinkAdditionRequestTDD,
    &ett_nbap_UL_CCTrCH_InformationList_RL_AdditionRqstTDD,
    &ett_nbap_UL_CCTrCH_InformationItem_RL_AdditionRqstTDD,
    &ett_nbap_UL_DPCH_InformationItem_RL_AdditionRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationList_RL_AdditionRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationItem_RL_AdditionRqstTDD,
    &ett_nbap_DL_DPCH_InformationItem_RL_AdditionRqstTDD,
    &ett_nbap_RL_Information_RL_AdditionRqstTDD,
    &ett_nbap_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD,
    &ett_nbap_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD,
    &ett_nbap_RadioLinkAdditionResponseFDD,
    &ett_nbap_RL_InformationResponseList_RL_AdditionRspFDD,
    &ett_nbap_RL_InformationResponseItem_RL_AdditionRspFDD,
    &ett_nbap_DiversityIndication_RL_AdditionRspFDD,
    &ett_nbap_Combining_RL_AdditionRspFDD,
    &ett_nbap_Non_Combining_RL_AdditionRspFDD,
    &ett_nbap_RadioLinkAdditionResponseTDD,
    &ett_nbap_RL_InformationResponse_RL_AdditionRspTDD,
    &ett_nbap_DCH_Information_RL_AdditionRspTDD,
    &ett_nbap_DiversityIndication_RL_AdditionRspTDD,
    &ett_nbap_Combining_RL_AdditionRspTDD,
    &ett_nbap_Non_Combining_RL_AdditionRspTDD,
    &ett_nbap_RL_InformationResponse_LCR_RL_AdditionRspTDD,
    &ett_nbap_RadioLinkAdditionFailureFDD,
    &ett_nbap_CauseLevel_RL_AdditionFailureFDD,
    &ett_nbap_GeneralCauseList_RL_AdditionFailureFDD,
    &ett_nbap_RLSpecificCauseList_RL_AdditionFailureFDD,
    &ett_nbap_Unsuccessful_RL_InformationRespList_RL_AdditionFailureFDD,
    &ett_nbap_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD,
    &ett_nbap_Successful_RL_InformationRespList_RL_AdditionFailureFDD,
    &ett_nbap_Successful_RL_InformationRespItem_RL_AdditionFailureFDD,
    &ett_nbap_DiversityIndication_RL_AdditionFailureFDD,
    &ett_nbap_Combining_RL_AdditionFailureFDD,
    &ett_nbap_Non_Combining_RL_AdditionFailureFDD,
    &ett_nbap_RadioLinkAdditionFailureTDD,
    &ett_nbap_CauseLevel_RL_AdditionFailureTDD,
    &ett_nbap_GeneralCauseList_RL_AdditionFailureTDD,
    &ett_nbap_RLSpecificCauseList_RL_AdditionFailureTDD,
    &ett_nbap_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD,
    &ett_nbap_RadioLinkReconfigurationPrepareFDD,
    &ett_nbap_UL_DPCH_Information_RL_ReconfPrepFDD,
    &ett_nbap_DL_DPCH_Information_RL_ReconfPrepFDD,
    &ett_nbap_DCH_DeleteList_RL_ReconfPrepFDD,
    &ett_nbap_DCH_DeleteItem_RL_ReconfPrepFDD,
    &ett_nbap_RL_InformationList_RL_ReconfPrepFDD,
    &ett_nbap_RL_InformationItem_RL_ReconfPrepFDD,
    &ett_nbap_RadioLinkReconfigurationPrepareTDD,
    &ett_nbap_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_UL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD,
    &ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_UL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_UL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_UL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_Code_InformationModify_ModifyList_RL_ReconfPrepTDDLCR,
    &ett_nbap_UL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDDLCR,
    &ett_nbap_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD,
    &ett_nbap_UL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD,
    &ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationAddItem_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD,
    &ett_nbap_CCTrCH_TPCAddList_RL_ReconfPrepTDD,
    &ett_nbap_CCTrCH_TPCAddItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_DL_DPCH_InformationModifyListIE_RL_ReconfPrepTDD,
    &ett_nbap_CCTrCH_TPCModifyList_RL_ReconfPrepTDD,
    &ett_nbap_CCTrCH_TPCModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_Timeslot_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DL_Timeslot_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_Code_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DL_Code_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_Code_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DL_Code_LCR_InformationModify_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD,
    &ett_nbap_DL_DPCH_InformationModify_DeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD,
    &ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_DCH_DeleteList_RL_ReconfPrepTDD,
    &ett_nbap_DCH_DeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_DSCH_Information_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_DSCH_Information_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_DSCH_Information_DeleteList_RL_ReconfPrepTDD,
    &ett_nbap_DSCH_Information_DeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_USCH_Information_ModifyList_RL_ReconfPrepTDD,
    &ett_nbap_USCH_Information_ModifyItem_RL_ReconfPrepTDD,
    &ett_nbap_USCH_Information_DeleteList_RL_ReconfPrepTDD,
    &ett_nbap_USCH_Information_DeleteItem_RL_ReconfPrepTDD,
    &ett_nbap_MultipleRL_Information_RL_ReconfPrepTDD,
    &ett_nbap_RL_Information_RL_ReconfPrepTDD,
    &ett_nbap_RadioLinkReconfigurationReady,
    &ett_nbap_RL_InformationResponseList_RL_ReconfReady,
    &ett_nbap_RL_InformationResponseItem_RL_ReconfReady,
    &ett_nbap_RadioLinkReconfigurationFailure,
    &ett_nbap_CauseLevel_RL_ReconfFailure,
    &ett_nbap_GeneralCauseList_RL_ReconfFailure,
    &ett_nbap_RLSpecificCauseList_RL_ReconfFailure,
    &ett_nbap_RL_ReconfigurationFailureList_RL_ReconfFailure,
    &ett_nbap_RL_ReconfigurationFailureItem_RL_ReconfFailure,
    &ett_nbap_RadioLinkReconfigurationCommit,
    &ett_nbap_RadioLinkReconfigurationCancel,
    &ett_nbap_RadioLinkReconfigurationRequestFDD,
    &ett_nbap_UL_DPCH_Information_RL_ReconfRqstFDD,
    &ett_nbap_DL_DPCH_Information_RL_ReconfRqstFDD,
    &ett_nbap_DCH_DeleteList_RL_ReconfRqstFDD,
    &ett_nbap_DCH_DeleteItem_RL_ReconfRqstFDD,
    &ett_nbap_RL_InformationList_RL_ReconfRqstFDD,
    &ett_nbap_RL_InformationItem_RL_ReconfRqstFDD,
    &ett_nbap_RadioLinkReconfigurationRequestTDD,
    &ett_nbap_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD,
    &ett_nbap_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD,
    &ett_nbap_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD,
    &ett_nbap_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD,
    &ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD,
    &ett_nbap_MultipleRL_DL_CCTrCH_InformationModifyListIE_RL_ReconfRqstTDD,
    &ett_nbap_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD,
    &ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD,
    &ett_nbap_DL_Timeslot_LCR_InformationModify_ModifyItem_RL_ReconfRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD,
    &ett_nbap_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD,
    &ett_nbap_DCH_DeleteList_RL_ReconfRqstTDD,
    &ett_nbap_DCH_DeleteItem_RL_ReconfRqstTDD,
    &ett_nbap_Multiple_RL_Information_RL_ReconfRqstTDD,
    &ett_nbap_RL_Information_RL_ReconfRqstTDD,
    &ett_nbap_RadioLinkReconfigurationResponse,
    &ett_nbap_RL_InformationResponseList_RL_ReconfRsp,
    &ett_nbap_RL_InformationResponseItem_RL_ReconfRsp,
    &ett_nbap_RadioLinkDeletionRequest,
    &ett_nbap_RL_informationList_RL_DeletionRqst,
    &ett_nbap_RL_informationItem_RL_DeletionRqst,
    &ett_nbap_RadioLinkDeletionResponse,
    &ett_nbap_DL_PowerControlRequest,
    &ett_nbap_DL_ReferencePowerInformationList_DL_PC_Rqst,
    &ett_nbap_DL_ReferencePowerInformationItem_DL_PC_Rqst,
    &ett_nbap_DL_PowerTimeslotControlRequest,
    &ett_nbap_DedicatedMeasurementInitiationRequest,
    &ett_nbap_DedicatedMeasurementObjectType_DM_Rqst,
    &ett_nbap_RL_DM_Rqst,
    &ett_nbap_RL_InformationList_DM_Rqst,
    &ett_nbap_RL_InformationItem_DM_Rqst,
    &ett_nbap_PUSCH_Info_DM_Rqst,
    &ett_nbap_HSSICH_Info_DM_Rqst,
    &ett_nbap_RL_Set_DM_Rqst,
    &ett_nbap_RL_Set_InformationList_DM_Rqst,
    &ett_nbap_RL_Set_InformationItem_DM_Rqst,
    &ett_nbap_DedicatedMeasurementInitiationResponse,
    &ett_nbap_DedicatedMeasurementObjectType_DM_Rsp,
    &ett_nbap_RL_DM_Rsp,
    &ett_nbap_RL_InformationList_DM_Rsp,
    &ett_nbap_RL_InformationItem_DM_Rsp,
    &ett_nbap_PUSCH_Info_DM_Rsp,
    &ett_nbap_RL_Set_DM_Rsp,
    &ett_nbap_RL_Set_InformationList_DM_Rsp,
    &ett_nbap_RL_Set_InformationItem_DM_Rsp,
    &ett_nbap_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp,
    &ett_nbap_Multiple_HSSICHMeasurementValueItem_TDD_DM_Rsp,
    &ett_nbap_DedicatedMeasurementInitiationFailure,
    &ett_nbap_DedicatedMeasurementReport,
    &ett_nbap_DedicatedMeasurementObjectType_DM_Rprt,
    &ett_nbap_RL_DM_Rprt,
    &ett_nbap_RL_InformationList_DM_Rprt,
    &ett_nbap_RL_InformationItem_DM_Rprt,
    &ett_nbap_PUSCH_Info_DM_Rprt,
    &ett_nbap_RL_Set_DM_Rprt,
    &ett_nbap_RL_Set_InformationList_DM_Rprt,
    &ett_nbap_RL_Set_InformationItem_DM_Rprt,
    &ett_nbap_DedicatedMeasurementTerminationRequest,
    &ett_nbap_DedicatedMeasurementFailureIndication,
    &ett_nbap_RadioLinkFailureIndication,
    &ett_nbap_Reporting_Object_RL_FailureInd,
    &ett_nbap_RL_RL_FailureInd,
    &ett_nbap_RL_InformationList_RL_FailureInd,
    &ett_nbap_RL_InformationItem_RL_FailureInd,
    &ett_nbap_RL_Set_RL_FailureInd,
    &ett_nbap_RL_Set_InformationList_RL_FailureInd,
    &ett_nbap_RL_Set_InformationItem_RL_FailureInd,
    &ett_nbap_CCTrCH_RL_FailureInd,
    &ett_nbap_CCTrCH_InformationList_RL_FailureInd,
    &ett_nbap_CCTrCH_InformationItem_RL_FailureInd,
    &ett_nbap_RadioLinkPreemptionRequiredIndication,
    &ett_nbap_RL_InformationList_RL_PreemptRequiredInd,
    &ett_nbap_RL_InformationItem_RL_PreemptRequiredInd,
    &ett_nbap_RadioLinkRestoreIndication,
    &ett_nbap_Reporting_Object_RL_RestoreInd,
    &ett_nbap_RL_RL_RestoreInd,
    &ett_nbap_RL_InformationList_RL_RestoreInd,
    &ett_nbap_RL_InformationItem_RL_RestoreInd,
    &ett_nbap_RL_Set_RL_RestoreInd,
    &ett_nbap_RL_Set_InformationList_RL_RestoreInd,
    &ett_nbap_RL_Set_InformationItem_RL_RestoreInd,
    &ett_nbap_CCTrCH_RL_RestoreInd,
    &ett_nbap_CCTrCH_InformationList_RL_RestoreInd,
    &ett_nbap_CCTrCH_InformationItem_RL_RestoreInd,
    &ett_nbap_CompressedModeCommand,
    &ett_nbap_ErrorIndication,
    &ett_nbap_PrivateMessage,
    &ett_nbap_PhysicalSharedChannelReconfigurationRequestFDD,
    &ett_nbap_PhysicalSharedChannelReconfigurationRequestTDD,
    &ett_nbap_PDSCHSets_AddList_PSCH_ReconfRqst,
    &ett_nbap_PDSCHSets_AddItem_PSCH_ReconfRqst,
    &ett_nbap_PDSCH_Information_AddItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationAddList_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationAddItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationAddList_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationAddItem_PSCH_ReconfRqst,
    &ett_nbap_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationAddList_LCR_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationAddItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_PDSCHSets_ModifyList_PSCH_ReconfRqst,
    &ett_nbap_PDSCHSets_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PDSCH_Information_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_DL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_LCR_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_DL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PDSCHSets_DeleteList_PSCH_ReconfRqst,
    &ett_nbap_PDSCHSets_DeleteItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_AddList_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_AddItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCH_Information_AddItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationAddList_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationAddItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationAddList_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationAddItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationAddList_LCR_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationAddItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationAddList_LCR_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationAddItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_ModifyList_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCH_Information_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_LCR_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_UL_Timeslot_LCR_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_LCR_InformationModifyList_PSCH_ReconfRqst,
    &ett_nbap_UL_Code_LCR_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_DeleteList_PSCH_ReconfRqst,
    &ett_nbap_PUSCHSets_DeleteItem_PSCH_ReconfRqst,
    &ett_nbap_HS_PDSCH_TDD_Information_PSCH_ReconfRqst,
    &ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst,
    &ett_nbap_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Timeslot_Information_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Codelist_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Timeslot_InformationItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_DL_HS_PDSCH_Codelist_LCR_PSCH_ReconfRqst,
    &ett_nbap_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_Information_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationItem_PSCH_ReconfRqst,
    &ett_nbap_HS_SICH_Information_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_Information_LCR_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_HS_SICH_Information_LCR_PSCH_ReconfRqst,
    &ett_nbap_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationModify_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationModifyItem_PSCH_ReconfRqst,
    &ett_nbap_HS_SICH_InformationModify_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationModify_LCR_PSCH_ReconfRqst,
    &ett_nbap_HS_SCCH_InformationModifyItem_LCR_PSCH_ReconfRqst,
    &ett_nbap_HS_SICH_InformationModify_LCR_PSCH_ReconfRqst,
    &ett_nbap_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst,
    &ett_nbap_Delete_From_HS_SCCH_Resource_PoolItem_PSCH_ReconfRqst,
    &ett_nbap_PhysicalSharedChannelReconfigurationResponse,
    &ett_nbap_PhysicalSharedChannelReconfigurationFailure,
    &ett_nbap_CauseLevel_PSCH_ReconfFailure,
    &ett_nbap_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD,
    &ett_nbap_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD,
    &ett_nbap_GeneralCauseList_PSCH_ReconfFailure,
    &ett_nbap_SetSpecificCauseList_PSCH_ReconfFailureTDD,
    &ett_nbap_Unsuccessful_PDSCHSetList_PSCH_ReconfFailureTDD,
    &ett_nbap_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD,
    &ett_nbap_Unsuccessful_PUSCHSetList_PSCH_ReconfFailureTDD,
    &ett_nbap_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD,
    &ett_nbap_ResetRequest,
    &ett_nbap_ResetIndicator,
    &ett_nbap_CommunicationContextList_Reset,
    &ett_nbap_CommunicationContextInfoList_Reset,
    &ett_nbap_CommunicationContextInfoItem_Reset,
    &ett_nbap_CommunicationContextType_Reset,
    &ett_nbap_CommunicationControlPortList_Reset,
    &ett_nbap_CommunicationControlPortInfoList_Reset,
    &ett_nbap_CommunicationControlPortInfoItem_Reset,
    &ett_nbap_ResetResponse,
    &ett_nbap_InformationExchangeInitiationRequest,
    &ett_nbap_InformationExchangeObjectType_InfEx_Rqst,
    &ett_nbap_Cell_InfEx_Rqst,
    &ett_nbap_InformationExchangeInitiationResponse,
    &ett_nbap_InformationExchangeObjectType_InfEx_Rsp,
    &ett_nbap_Cell_InfEx_Rsp,
    &ett_nbap_InformationExchangeInitiationFailure,
    &ett_nbap_InformationReport,
    &ett_nbap_InformationExchangeObjectType_InfEx_Rprt,
    &ett_nbap_Cell_Inf_Rprt,
    &ett_nbap_InformationExchangeTerminationRequest,
    &ett_nbap_InformationExchangeFailureIndication,
    &ett_nbap_CellSynchronisationInitiationRequestTDD,
    &ett_nbap_CellSyncBurstTransInit_CellSyncInitiationRqstTDD,
    &ett_nbap_TimeslotInfo_CellSyncInitiationRqstTDD,
    &ett_nbap_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD,
    &ett_nbap_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD,
    &ett_nbap_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD,
    &ett_nbap_CellSynchronisationInitiationResponseTDD,
    &ett_nbap_CellSynchronisationInitiationFailureTDD,
    &ett_nbap_CellSynchronisationReconfigurationRequestTDD,
    &ett_nbap_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstTransInfoItem_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstInfoList_CellSyncReconfRqstTDD,
    &ett_nbap_CellSyncBurstInfoItem_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdTransReconfItemLCR_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdMeasInfoList_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdMeasInfoItem_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdInfoListLCR_CellSyncReconfRqstTDD,
    &ett_nbap_SYNCDlCodeIdInfoItemLCR_CellSyncReconfRqstTDD,
    &ett_nbap_CellSynchronisationReconfigurationResponseTDD,
    &ett_nbap_CellSynchronisationReconfigurationFailureTDD,
    &ett_nbap_CellSynchronisationAdjustmentRequestTDD,
    &ett_nbap_CellAdjustmentInfo_SyncAdjustmentRqstTDD,
    &ett_nbap_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD,
    &ett_nbap_CellSynchronisationAdjustmentResponseTDD,
    &ett_nbap_CellSynchronisationAdjustmentFailureTDD,
    &ett_nbap_CauseLevel_SyncAdjustmntFailureTDD,
    &ett_nbap_GeneralCauseList_SyncAdjustmntFailureTDD,
    &ett_nbap_CellSpecificCauseList_SyncAdjustmntFailureTDD,
    &ett_nbap_Unsuccessful_cell_InformationRespList_SyncAdjustmntFailureTDD,
    &ett_nbap_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD,
    &ett_nbap_CellSynchronisationTerminationRequestTDD,
    &ett_nbap_CellSynchronisationFailureIndicationTDD,
    &ett_nbap_CellSynchronisationReportTDD,
    &ett_nbap_CellSyncInfo_CellSyncReprtTDD,
    &ett_nbap_CellSyncInfoItemIE_CellSyncReprtTDD,
    &ett_nbap_SyncReportType_CellSyncReprtTDD,
    &ett_nbap_IntStdPhCellSyncInfo_CellSyncReprtTDD,
    &ett_nbap_CellSyncBurstMeasInfoList_CellSyncReprtTDD,
    &ett_nbap_CellSyncBurstMeasInfoItem_CellSyncReprtTDD,
    &ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_CellSyncBurstInfo_CellSyncReprtTDD,
    &ett_nbap_CellSyncBurstInfo_CellSyncReprtTDD,
    &ett_nbap_CellSyncBurstAvailable_CellSyncReprtTDD,
    &ett_nbap_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD,
    &ett_nbap_SyncDLCodeIdsMeasInfoItem_CellSyncReprtTDD,
    &ett_nbap_SyncDLCodeIdInfo_CellSyncReprtTDD,
    &ett_nbap_SyncDLCodeIdItem_CellSyncReprtTDD,
    &ett_nbap_SyncDLCodeIdAvailable_CellSyncReprtTDD,
    &ett_nbap_BearerRearrangementIndication,
    &ett_nbap_DCH_RearrangeList_Bearer_RearrangeInd,
    &ett_nbap_DCH_RearrangeItem_Bearer_RearrangeInd,
    &ett_nbap_DSCH_RearrangeList_Bearer_RearrangeInd,
    &ett_nbap_DSCH_RearrangeItem_Bearer_RearrangeInd,
    &ett_nbap_USCH_RearrangeList_Bearer_RearrangeInd,
    &ett_nbap_USCH_RearrangeItem_Bearer_RearrangeInd,
    &ett_nbap_HSDSCH_RearrangeList_Bearer_RearrangeInd,
    &ett_nbap_HSDSCH_RearrangeItem_Bearer_RearrangeInd,
    &ett_nbap_RadioLinkActivationCommandFDD,
    &ett_nbap_DelayedActivationInformationList_RL_ActivationCmdFDD,
    &ett_nbap_DelayedActivationInformation_RL_ActivationCmdFDD,
    &ett_nbap_RadioLinkActivationCommandTDD,
    &ett_nbap_DelayedActivationInformationList_RL_ActivationCmdTDD,
    &ett_nbap_DelayedActivationInformation_RL_ActivationCmdTDD,
    &ett_nbap_RadioLinkParameterUpdateIndicationFDD,
    &ett_nbap_RadioLinkParameterUpdateIndicationTDD,
    &ett_nbap_MBMSNotificationUpdateCommand,
    &ett_nbap_Active_Pattern_Sequence_Information,
    &ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List,
    &ett_nbap_Transmission_Gap_Pattern_Sequence_Status_List_item,
    &ett_nbap_AllocationRetentionPriority,
    &ett_nbap_Angle_Of_Arrival_Value_LCR,
    &ett_nbap_Best_Cell_Portions_Value,
    &ett_nbap_Best_Cell_Portions_Item,
    &ett_nbap_BroadcastCommonTransportBearerIndication,
    &ett_nbap_Cause,
    &ett_nbap_CellSyncBurstTiming,
    &ett_nbap_CellSyncBurstTimingLCR,
    &ett_nbap_CommonChannelsCapacityConsumptionLaw,
    &ett_nbap_CommonChannelsCapacityConsumptionLaw_item,
    &ett_nbap_CommonMeasurementAccuracy,
    &ett_nbap_CommonMeasurementValue,
    &ett_nbap_CommonMeasurementValueInformation,
    &ett_nbap_CommonMeasurementAvailable,
    &ett_nbap_Common_PhysicalChannel_Status_Information,
    &ett_nbap_CommonTransportChannel_InformationResponse,
    &ett_nbap_Common_TransportChannel_Status_Information,
    &ett_nbap_CriticalityDiagnostics,
    &ett_nbap_CriticalityDiagnostics_IE_List,
    &ett_nbap_CriticalityDiagnostics_IE_List_item,
    &ett_nbap_DCH_FDD_Information,
    &ett_nbap_DCH_FDD_InformationItem,
    &ett_nbap_DCH_Specific_FDD_InformationList,
    &ett_nbap_DCH_Specific_FDD_Item,
    &ett_nbap_DCH_InformationResponse,
    &ett_nbap_DCH_InformationResponseItem,
    &ett_nbap_DCH_TDD_Information,
    &ett_nbap_DCH_TDD_InformationItem,
    &ett_nbap_DCH_Specific_TDD_InformationList,
    &ett_nbap_DCH_Specific_TDD_Item,
    &ett_nbap_FDD_DCHs_to_Modify,
    &ett_nbap_FDD_DCHs_to_ModifyItem,
    &ett_nbap_DCH_ModifySpecificInformation_FDD,
    &ett_nbap_DCH_ModifySpecificItem_FDD,
    &ett_nbap_TDD_DCHs_to_Modify,
    &ett_nbap_DCH_ModifyItem_TDD,
    &ett_nbap_DCH_ModifySpecificInformation_TDD,
    &ett_nbap_DCH_ModifySpecificItem_TDD,
    &ett_nbap_DedicatedChannelsCapacityConsumptionLaw,
    &ett_nbap_DedicatedChannelsCapacityConsumptionLaw_item,
    &ett_nbap_DedicatedMeasurementValue,
    &ett_nbap_DedicatedMeasurementValueInformation,
    &ett_nbap_DedicatedMeasurementAvailable,
    &ett_nbap_DelayedActivation,
    &ett_nbap_DelayedActivationUpdate,
    &ett_nbap_Activate_Info,
    &ett_nbap_Deactivate_Info,
    &ett_nbap_Execution_Type,
    &ett_nbap_DGPSCorrections,
    &ett_nbap_DGPSThresholds,
    &ett_nbap_DL_Timeslot_Information,
    &ett_nbap_DL_Timeslot_InformationItem,
    &ett_nbap_DL_TimeslotLCR_Information,
    &ett_nbap_DL_TimeslotLCR_InformationItem,
    &ett_nbap_DL_PowerBalancing_Information,
    &ett_nbap_DL_ReferencePowerInformationList,
    &ett_nbap_DL_ReferencePowerInformationItem,
    &ett_nbap_DL_TimeslotISCPInfo,
    &ett_nbap_DL_TimeslotISCPInfoItem,
    &ett_nbap_DL_TimeslotISCPInfoLCR,
    &ett_nbap_DL_TimeslotISCPInfoItemLCR,
    &ett_nbap_DSCH_InformationResponse,
    &ett_nbap_DSCH_InformationResponseItem,
    &ett_nbap_DSCH_TDD_Information,
    &ett_nbap_DSCH_TDD_InformationItem,
    &ett_nbap_FDD_DL_CodeInformation,
    &ett_nbap_FDD_DL_CodeInformationItem,
    &ett_nbap_GPS_Almanac,
    &ett_nbap_GPS_Ionospheric_Model,
    &ett_nbap_GPS_Information,
    &ett_nbap_GPS_RealTime_Integrity,
    &ett_nbap_GPSBadSat_Info_RealTime_Integrity,
    &ett_nbap_GPS_NavigationModel_and_TimeRecovery,
    &ett_nbap_GPS_NavandRecovery_Item,
    &ett_nbap_GPS_RX_POS,
    &ett_nbap_GPS_UTC_Model,
    &ett_nbap_HARQ_MemoryPartitioning,
    &ett_nbap_HARQ_MemoryPartitioning_Implicit,
    &ett_nbap_HARQ_MemoryPartitioning_Explicit,
    &ett_nbap_HARQ_MemoryPartitioningList,
    &ett_nbap_HARQ_MemoryPartitioningItem,
    &ett_nbap_HS_DSCHProvidedBitRate,
    &ett_nbap_HS_DSCHProvidedBitRate_Item,
    &ett_nbap_HS_DSCHRequiredPower,
    &ett_nbap_HS_DSCHRequiredPower_Item,
    &ett_nbap_HS_DSCHRequiredPowerPerUEInformation,
    &ett_nbap_HS_DSCHRequiredPowerPerUEInformation_Item,
    &ett_nbap_HSDSCH_FDD_Information,
    &ett_nbap_HSDSCH_TDD_Information,
    &ett_nbap_HSDSCH_Information_to_Modify,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InfoList_to_Modify,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem_to_Modify,
    &ett_nbap_HSDSCH_Information_to_Modify_Unsynchronised,
    &ett_nbap_HSDSCH_FDD_Information_Response,
    &ett_nbap_HSDSCH_TDD_Information_Response,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InformationResp_Item,
    &ett_nbap_HSDSCH_MACdFlows_Information,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InfoList,
    &ett_nbap_HSDSCH_MACdFlow_Specific_InfoItem,
    &ett_nbap_HSDSCH_MACdFlows_to_Delete,
    &ett_nbap_HSDSCH_MACdFlows_to_Delete_Item,
    &ett_nbap_HSDSCH_Initial_Capacity_Allocation,
    &ett_nbap_HSDSCH_Initial_Capacity_AllocationItem,
    &ett_nbap_HSSCCH_Specific_InformationRespListFDD,
    &ett_nbap_HSSCCH_Codes,
    &ett_nbap_HSSCCH_Specific_InformationRespListTDD,
    &ett_nbap_HSSCCH_Specific_InformationRespItemTDD,
    &ett_nbap_HSSCCH_Specific_InformationRespListTDDLCR,
    &ett_nbap_HSSCCH_Specific_InformationRespItemTDDLCR,
    &ett_nbap_HSSICH_Info,
    &ett_nbap_HSSICH_InfoLCR,
    &ett_nbap_HS_SICH_Reception_Quality_Value,
    &ett_nbap_HS_PDSCH_FDD_Code_Information,
    &ett_nbap_HS_SCCH_FDD_Code_Information,
    &ett_nbap_HS_SCCH_FDD_Code_List,
    &ett_nbap_HSDSCH_FDD_Update_Information,
    &ett_nbap_HSDSCH_TDD_Update_Information,
    &ett_nbap_InformationReportCharacteristics,
    &ett_nbap_InformationReportCharacteristicsType_ReportPeriodicity,
    &ett_nbap_InformationReportCharacteristicsType_OnModification,
    &ett_nbap_InformationThresholds,
    &ett_nbap_InformationType,
    &ett_nbap_IPDL_FDD_Parameters,
    &ett_nbap_IPDL_TDD_Parameters,
    &ett_nbap_IPDL_TDD_Parameters_LCR,
    &ett_nbap_BurstModeParams,
    &ett_nbap_LCRTDD_Uplink_Physical_Channel_Capability,
    &ett_nbap_MACdPDU_Size_Indexlist,
    &ett_nbap_MACdPDU_Size_IndexItem,
    &ett_nbap_MACdPDU_Size_Indexlist_to_Modify,
    &ett_nbap_MACdPDU_Size_IndexItem_to_Modify,
    &ett_nbap_MessageStructure,
    &ett_nbap_MessageStructure_item,
    &ett_nbap_MidambleShiftAndBurstType,
    &ett_nbap_Type1,
    &ett_nbap_MidambleAllocationMode1,
    &ett_nbap_Type2,
    &ett_nbap_MidambleAllocationMode2,
    &ett_nbap_Type3,
    &ett_nbap_MidambleAllocationMode3,
    &ett_nbap_MidambleShiftLCR,
    &ett_nbap_ModifyPriorityQueue,
    &ett_nbap_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR,
    &ett_nbap_MultipleFreq_HSPDSCH_InformationItem_ResponseTDDLCR,
    &ett_nbap_NeighbouringCellMeasurementInformation,
    &ett_nbap_NeighbouringCellMeasurementInformation_item,
    &ett_nbap_NeighbouringFDDCellMeasurementInformation,
    &ett_nbap_NeighbouringTDDCellMeasurementInformation,
    &ett_nbap_NeighbouringTDDCellMeasurementInformationLCR,
    &ett_nbap_NI_Information,
    &ett_nbap_PreambleSignatures,
    &ett_nbap_PriorityQueue_InfoList,
    &ett_nbap_PriorityQueue_InfoItem,
    &ett_nbap_PriorityQueue_InfoList_to_Modify,
    &ett_nbap_PriorityQueue_InfoItem_to_Add,
    &ett_nbap_PriorityQueue_InfoItem_to_Modify,
    &ett_nbap_PriorityQueue_InfoList_to_Modify_Unsynchronised,
    &ett_nbap_PriorityQueue_InfoItem_to_Modify_Unsynchronised,
    &ett_nbap_RACH_SubChannelNumbers,
    &ett_nbap_RL_Specific_DCH_Info,
    &ett_nbap_RL_Specific_DCH_Info_Item,
    &ett_nbap_ReportCharacteristics,
    &ett_nbap_ReportCharacteristicsType_EventA,
    &ett_nbap_ReportCharacteristicsType_EventB,
    &ett_nbap_ReportCharacteristicsType_EventC,
    &ett_nbap_ReportCharacteristicsType_EventD,
    &ett_nbap_ReportCharacteristicsType_EventE,
    &ett_nbap_ReportCharacteristicsType_EventF,
    &ett_nbap_ReportCharacteristicsType_OnModification,
    &ett_nbap_ReportCharacteristicsType_MeasurementIncreaseDecreaseThreshold,
    &ett_nbap_ReportCharacteristicsType_MeasurementThreshold,
    &ett_nbap_ReportCharacteristicsType_ScaledMeasurementChangeTime,
    &ett_nbap_ReportCharacteristicsType_ScaledMeasurementHysteresisTime,
    &ett_nbap_ReportCharacteristicsType_ReportPeriodicity,
    &ett_nbap_RequestedDataValueInformation,
    &ett_nbap_InformationAvailable,
    &ett_nbap_RequestedDataValue,
    &ett_nbap_SAT_Info_Almanac,
    &ett_nbap_SAT_Info_Almanac_Item,
    &ett_nbap_SAT_Info_Almanac_ExtList,
    &ett_nbap_SAT_Info_Almanac_ExtItem,
    &ett_nbap_SAT_Info_DGPSCorrections,
    &ett_nbap_SAT_Info_DGPSCorrections_Item,
    &ett_nbap_SATInfo_RealTime_Integrity,
    &ett_nbap_SAT_Info_RealTime_Integrity_Item,
    &ett_nbap_Secondary_CPICH_Information_Change,
    &ett_nbap_SFNSFNMeasurementThresholdInformation,
    &ett_nbap_SFNSFNMeasurementValueInformation,
    &ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation,
    &ett_nbap_T_successfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item,
    &ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation,
    &ett_nbap_T_unsuccessfullNeighbouringCellSFNSFNObservedTimeDifferenceMeasurementInformation_item,
    &ett_nbap_SFNSFNTimeStampInformation,
    &ett_nbap_SFNSFNTimeStamp_TDD,
    &ett_nbap_SFNSFNValue,
    &ett_nbap_SynchronisationReportCharacteristics,
    &ett_nbap_SynchronisationReportCharactThreExc,
    &ett_nbap_SynchronisationReportCharactThreInfoItem,
    &ett_nbap_SEQUENCE_SIZE_1_maxNrOfReceptsPerSyncFrame_OF_SynchronisationReportCharactCellSyncBurstInfoItem,
    &ett_nbap_SynchronisationReportCharactCellSyncBurstInfoItem,
    &ett_nbap_SyncDLCodeIdThreInfoLCR,
    &ett_nbap_SyncDLCodeIdThreInfoList,
    &ett_nbap_SyncDLCodeInfoListLCR,
    &ett_nbap_SyncDLCodeInfoItemLCR,
    &ett_nbap_TDD_ChannelisationCodeLCR,
    &ett_nbap_TDD_DL_Code_Information,
    &ett_nbap_TDD_DL_Code_InformationItem,
    &ett_nbap_TDD_DL_Code_LCR_Information,
    &ett_nbap_TDD_DL_Code_LCR_InformationItem,
    &ett_nbap_TDD_DL_DPCH_TimeSlotFormat_LCR,
    &ett_nbap_TDD_DPCHOffset,
    &ett_nbap_TransportFormatCombination_Beta,
    &ett_nbap_T_signalledGainFactors,
    &ett_nbap_T_gainFactor,
    &ett_nbap_T_fdd,
    &ett_nbap_TDD_UL_Code_Information,
    &ett_nbap_TDD_UL_Code_InformationItem,
    &ett_nbap_TDD_UL_Code_LCR_Information,
    &ett_nbap_TDD_UL_Code_LCR_InformationItem,
    &ett_nbap_TDD_UL_DPCH_TimeSlotFormat_LCR,
    &ett_nbap_TFCI_SignallingMode,
    &ett_nbap_TimingAdjustmentValue,
    &ett_nbap_TimingAdjustmentValueLCR,
    &ett_nbap_TnlQos,
    &ett_nbap_Transmission_Gap_Pattern_Sequence_Information,
    &ett_nbap_Transmission_Gap_Pattern_Sequence_Information_item,
    &ett_nbap_TFCS,
    &ett_nbap_T_tFCSvalues,
    &ett_nbap_TFCS_TFCSList,
    &ett_nbap_TFCS_TFCSList_item,
    &ett_nbap_TFCS_CTFC,
    &ett_nbap_TransportFormatSet,
    &ett_nbap_TransportFormatSet_DynamicPartList,
    &ett_nbap_TransportFormatSet_DynamicPartList_item,
    &ett_nbap_TDD_TransportFormatSet_ModeDP,
    &ett_nbap_TransmissionTimeIntervalInformation,
    &ett_nbap_TransmissionTimeIntervalInformation_item,
    &ett_nbap_TransportFormatSet_Semi_staticPart,
    &ett_nbap_TransportFormatSet_ModeDP,
    &ett_nbap_TransportFormatSet_ModeSSP,
    &ett_nbap_TUTRANGPS,
    &ett_nbap_TUTRANGPSMeasurementThresholdInformation,
    &ett_nbap_TUTRANGPSMeasurementValueInformation,
    &ett_nbap_UC_Id,
    &ett_nbap_UE_Capability_Information,
    &ett_nbap_UL_Timeslot_Information,
    &ett_nbap_UL_Timeslot_InformationItem,
    &ett_nbap_UL_TimeslotLCR_Information,
    &ett_nbap_UL_TimeslotLCR_InformationItem,
    &ett_nbap_UL_ScramblingCode,
    &ett_nbap_UL_Synchronisation_Parameters_LCR,
    &ett_nbap_UL_TimeSlot_ISCP_Info,
    &ett_nbap_UL_TimeSlot_ISCP_InfoItem,
    &ett_nbap_UL_TimeSlot_ISCP_LCR_Info,
    &ett_nbap_UL_TimeSlot_ISCP_LCR_InfoItem,
    &ett_nbap_USCH_Information,
    &ett_nbap_USCH_InformationItem,
    &ett_nbap_USCH_InformationResponse,
    &ett_nbap_USCH_InformationResponseItem,
    &ett_nbap_PrivateIE_ID,
    &ett_nbap_ProcedureID,
    &ett_nbap_TransactionID,
    &ett_nbap_ProtocolIE_Container,
    &ett_nbap_ProtocolIE_Field,
    &ett_nbap_ProtocolExtensionContainer,
    &ett_nbap_ProtocolExtensionField,
    &ett_nbap_PrivateIE_Container,
    &ett_nbap_PrivateIE_Field,

/*--- End of included file: packet-nbap-ettarr.c ---*/
#line 143 "packet-nbap-template.c"
  };


  /* Register protocol */
  proto_nbap = proto_register_protocol(PNAME, PSNAME, PFNAME);
  /* Register fields and subtrees */
  proto_register_field_array(proto_nbap, hf, array_length(hf));
  proto_register_subtree_array(ett, array_length(ett));
 
  /* Register dissector */
  register_dissector("nbap", dissect_nbap, proto_nbap);

  /* Register dissector tables */
  nbap_ies_dissector_table = register_dissector_table("nbap.ies", "NBAP-PROTOCOL-IES", FT_UINT32, BASE_DEC);
  nbap_extension_dissector_table = register_dissector_table("nbap.extension", "NBAP-PROTOCOL-EXTENSION", FT_UINT32, BASE_DEC);
  nbap_proc_imsg_dissector_table = register_dissector_table("nbap.proc.imsg", "NBAP-ELEMENTARY-PROCEDURE InitiatingMessage", FT_STRING, BASE_NONE);
  nbap_proc_sout_dissector_table = register_dissector_table("nbap.proc.sout", "NBAP-ELEMENTARY-PROCEDURE SuccessfulOutcome", FT_STRING, BASE_NONE);
  nbap_proc_uout_dissector_table = register_dissector_table("nbap.proc.uout", "NBAP-ELEMENTARY-PROCEDURE UnsuccessfulOutcome", FT_STRING, BASE_NONE);

}


/*--- proto_reg_handoff_nbap ---------------------------------------*/
void
proto_reg_handoff_nbap(void)
{
	dissector_handle_t nbap_handle;

	nbap_handle = find_dissector("nbap");
	/*dissector_add("sctp.ppi",  Add ppid here, nbap_handle); */
	dissector_add_handle("sctp.port", nbap_handle);  /* for "decode-as" */


/*--- Included file: packet-nbap-dis-tab.c ---*/
#line 1 "packet-nbap-dis-tab.c"
  dissector_add("nbap.ies", id_TUTRANGPSMeasurementValueInformation, new_create_dissector_handle(dissect_TUTRANGPSMeasurementValueInformation_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SFNSFNMeasurementValueInformation, new_create_dissector_handle(dissect_SFNSFNMeasurementValueInformation_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_DSCHRequiredPowerValueInformation, new_create_dissector_handle(dissect_HS_DSCHRequiredPower_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_DSCHProvidedBitRateValueInformation, new_create_dissector_handle(dissect_HS_DSCHProvidedBitRate_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UpPTSInterferenceValue, new_create_dissector_handle(dissect_UpPTSInterferenceValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Rx_Timing_Deviation_Value_LCR, new_create_dissector_handle(dissect_Rx_Timing_Deviation_Value_LCR_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Angle_Of_Arrival_Value_LCR, new_create_dissector_handle(dissect_Angle_Of_Arrival_Value_LCR_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_SICH_Reception_Quality, new_create_dissector_handle(dissect_HS_SICH_Reception_Quality_Value_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Best_Cell_Portions_Value, new_create_dissector_handle(dissect_Best_Cell_Portions_Value_PDU, proto_nbap));
  dissector_add("nbap.ies", id_neighbouringTDDCellMeasurementInformationLCR, new_create_dissector_handle(dissect_NeighbouringTDDCellMeasurementInformationLCR_PDU, proto_nbap));
  dissector_add("nbap.ies", id_ReportCharacteristicsType_OnModification, new_create_dissector_handle(dissect_ReportCharacteristicsType_OnModification_PDU, proto_nbap));
  dissector_add("nbap.ies", id-Transmitted-Carrier-Power-For-CellPortion, new_create_dissector_handle(dissect_Transmitted_Carrier_Power_Value_PDU, proto_nbap));
  dissector_add("nbap.ies", id-Received-total-wide-band-power-For-CellPortion, new_create_dissector_handle(dissect_Received_total_wide_band_power_Value_IncrDecrThres_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TUTRANGPSMeasurementThresholdInformation, new_create_dissector_handle(dissect_TUTRANGPSMeasurementThresholdInformation_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SFNSFNMeasurementThresholdInformation, new_create_dissector_handle(dissect_SFNSFNMeasurementThresholdInformation_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_SICH_Reception_Quality_Measurement_Value, new_create_dissector_handle(dissect_HS_SICH_Reception_Quality_Measurement_Value_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_DSCHRequiredPowerValue, new_create_dissector_handle(dissect_HS_DSCHRequiredPowerValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id-HS-DSCHRequiredPowerValue-For-Cell-Portion, new_create_dissector_handle(dissect_HS_DSCHRequiredPowerValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Additional_HS_SICH_Reception_Quality_Measurement_Value, new_create_dissector_handle(dissect_HS_SICH_Reception_Quality_Measurement_Value_PDU, proto_nbap));
  dissector_add("nbap.ies", id_C_ID, new_create_dissector_handle(dissect_C_ID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_ConfigurationGenerationID, new_create_dissector_handle(dissect_ConfigurationGenerationID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonPhysicalChannelType_CTCH_SetupRqstFDD, new_create_dissector_handle(dissect_CommonPhysicalChannelType_CTCH_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_ParametersListIE_CTCH_SetupRqstFDD, new_create_dissector_handle(dissect_FACH_ParametersListIE_CTCH_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_ParametersItem_CTCH_SetupRqstFDD, new_create_dissector_handle(dissect_PCH_ParametersItem_CTCH_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RACH_ParametersItem_CTCH_SetupRqstFDD, new_create_dissector_handle(dissect_RACH_ParametersItem_CTCH_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonPhysicalChannelType_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_CommonPhysicalChannelType_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCH_parameterListIE_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCH_LCR_parameterList_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_ParametersListIE_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_FACH_ParametersListIE_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_ParametersItem_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_PCH_ParametersItem_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PICH_ParametersItem_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_PICH_ParametersItem_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PICH_LCR_Parameters_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_PICH_LCR_Parameters_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PRACH_ParametersItem_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_PRACH_ParametersItem_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_PRACH_LCR_ParametersList_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RACH_ParameterItem_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_RACH_ParameterItem_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_ParametersList_CTCH_SetupRsp, new_create_dissector_handle(dissect_FACH_CommonTransportChannel_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_Parameters_CTCH_SetupRsp, new_create_dissector_handle(dissect_CommonTransportChannel_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RACH_Parameters_CTCH_SetupRsp, new_create_dissector_handle(dissect_CommonTransportChannel_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CriticalityDiagnostics, new_create_dissector_handle(dissect_CriticalityDiagnostics_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cause, new_create_dissector_handle(dissect_Cause_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonPhysicalChannelType_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_CommonPhysicalChannelType_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_ParametersListIE_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_FACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_ParametersItem_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_PCH_ParametersItem_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PICH_ParametersItem_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_PICH_ParametersItem_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PRACH_ParametersListIE_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_PRACH_ParametersListIE_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_AICH_ParametersListIE_CTCH_ReconfRqstFDD, new_create_dissector_handle(dissect_AICH_ParametersListIE_CTCH_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCH_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PICH_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_PICH_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_ParametersList_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_FACH_ParametersList_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_PCH_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCHListIE_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonPhysicalChannelID, new_create_dissector_handle(dissect_CommonPhysicalChannelID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_BlockingPriorityIndicator, new_create_dissector_handle(dissect_BlockingPriorityIndicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_ShutdownTimer, new_create_dissector_handle(dissect_ShutdownTimer_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Start_Of_Audit_Sequence_Indicator, new_create_dissector_handle(dissect_Start_Of_Audit_Sequence_Indicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_End_Of_Audit_Sequence_Indicator, new_create_dissector_handle(dissect_End_Of_Audit_Sequence_Indicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cell_InformationList_AuditRsp, new_create_dissector_handle(dissect_Cell_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CCP_InformationList_AuditRsp, new_create_dissector_handle(dissect_CCP_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_InformationList_AuditRsp, new_create_dissector_handle(dissect_Local_Cell_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_Group_InformationList_AuditRsp, new_create_dissector_handle(dissect_Local_Cell_Group_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cell_InformationItem_AuditRsp, new_create_dissector_handle(dissect_Cell_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_P_SCH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_S_SCH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_P_CPICH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_S_CPICH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_P_CCPCH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_BCH_Information, new_create_dissector_handle(dissect_Common_TransportChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_S_CCPCH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCH_Information, new_create_dissector_handle(dissect_Common_TransportChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PICH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FACH_Information, new_create_dissector_handle(dissect_Common_TransportChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PRACH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RACH_Information, new_create_dissector_handle(dissect_Common_TransportChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_AICH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SCH_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CCP_InformationItem_AuditRsp, new_create_dissector_handle(dissect_CCP_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FPACH_LCR_Information_AuditRsp, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_InformationItem_AuditRsp, new_create_dissector_handle(dissect_Local_Cell_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_Group_InformationItem_AuditRsp, new_create_dissector_handle(dissect_Local_Cell_Group_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Power_Local_Cell_Group_InformationItem_AuditRsp, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id-PLCCH-Information-AuditRsp, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id-E-RUCCH-Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MeasurementID, new_create_dissector_handle(dissect_MeasurementID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonMeasurementObjectType_CM_Rqst, new_create_dissector_handle(dissect_CommonMeasurementObjectType_CM_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonMeasurementType, new_create_dissector_handle(dissect_CommonMeasurementType_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MeasurementFilterCoefficient, new_create_dissector_handle(dissect_MeasurementFilterCoefficient_PDU, proto_nbap));
  dissector_add("nbap.ies", id_ReportCharacteristics, new_create_dissector_handle(dissect_ReportCharacteristics_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SFNReportingIndicator, new_create_dissector_handle(dissect_FNReportingIndicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SFN, new_create_dissector_handle(dissect_SFN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonMeasurementObjectType_CM_Rsp, new_create_dissector_handle(dissect_CommonMeasurementObjectType_CM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommonMeasurementObjectType_CM_Rprt, new_create_dissector_handle(dissect_CommonMeasurementObjectType_CM_Rprt_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_ID, new_create_dissector_handle(dissect_Local_Cell_ID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_T_Cell, new_create_dissector_handle(dissect_T_Cell_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UARFCNforNu, new_create_dissector_handle(dissect_UARFCN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UARFCNforNd, new_create_dissector_handle(dissect_UARFCN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MaximumTransmissionPower, new_create_dissector_handle(dissect_MaximumTransmissionPower_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Closed_Loop_Timing_Adjustment_Mode, new_create_dissector_handle(dissect_Closedlooptimingadjustmentmode_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimaryScramblingCode, new_create_dissector_handle(dissect_PrimaryScramblingCode_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Synchronisation_Configuration_Cell_SetupRqst, new_create_dissector_handle(dissect_Synchronisation_Configuration_Cell_SetupRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_TPC_Pattern01Count, new_create_dissector_handle(dissect_DL_TPC_Pattern01Count_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimarySCH_Information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_PrimarySCH_Information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondarySCH_Information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_SecondarySCH_Information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimaryCPICH_Information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_PrimaryCPICH_Information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondaryCPICH_InformationList_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_SecondaryCPICH_InformationList_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimaryCCPCH_Information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_PrimaryCCPCH_Information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Limited_power_increase_information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_Limited_power_increase_information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_SecondaryCPICH_InformationItem_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UARFCNforNt, new_create_dissector_handle(dissect_UARFCN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellParameterID, new_create_dissector_handle(dissect_CellParameterID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TransmissionDiversityApplied, new_create_dissector_handle(dissect_TransmissionDiversityApplied_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SyncCase, new_create_dissector_handle(dissect_SyncCase_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DPCHConstant, new_create_dissector_handle(dissect_ConstantValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCHConstant, new_create_dissector_handle(dissect_ConstantValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PRACHConstant, new_create_dissector_handle(dissect_ConstantValue_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TimingAdvanceApplied, new_create_dissector_handle(dissect_TimingAdvanceApplied_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SCH_Information_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_SCH_Information_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCCPCH_Information_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_PCCPCH_Information_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TimeSlotConfigurationList_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_TimeSlotConfigurationList_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH, new_create_dissector_handle(dissect_SyncCaseIndicatorItem_Cell_SetupRqstTDD_PSCH_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Synchronisation_Configuration_Cell_ReconfRqst, new_create_dissector_handle(dissect_Synchronisation_Configuration_Cell_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimarySCH_Information_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_PrimarySCH_Information_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondarySCH_Information_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_SecondarySCH_Information_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimaryCPICH_Information_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_PrimaryCPICH_Information_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_SecondaryCPICH_InformationList_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PrimaryCCPCH_Information_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_PrimaryCCPCH_Information_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_SecondaryCPICH_InformationItem_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SCH_Information_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_SCH_Information_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PCCPCH_Information_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_PCCPCH_Information_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TimeSlotConfigurationList_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_TimeSlotConfigurationList_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_IndicationType_ResourceStatusInd, new_create_dissector_handle(dissect_IndicationType_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_Local_Cell_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_Group_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Power_Local_Cell_Group_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_InformationItem2_ResourceStatusInd, new_create_dissector_handle(dissect_Local_Cell_InformationItem2_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Local_Cell_Group_InformationItem2_ResourceStatusInd, new_create_dissector_handle(dissect_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationItem2_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CCP_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_CCP_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cell_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_Cell_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FPACH_LCR_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DwPCH_LCR_Information, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id-PLCCH-Information-ResourceStatusInd, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_BCCH_ModificationTime, new_create_dissector_handle(dissect_BCCH_ModificationTime_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst, new_create_dissector_handle(dissect_MIB_SB_SIB_InformationList_SystemInfoUpdateRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SegmentInformationListIE_SystemInfoUpdate, new_create_dissector_handle(dissect_SegmentInformationListIE_SystemInfoUpdate_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CRNC_CommunicationContextID, new_create_dissector_handle(dissect_CRNC_CommunicationContextID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_Information_RL_SetupRqstFDD, new_create_dissector_handle(dissect_UL_DPCH_Information_RL_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_Information_RL_SetupRqstFDD, new_create_dissector_handle(dissect_DL_DPCH_Information_RL_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_FDD_Information, new_create_dissector_handle(dissect_DCH_FDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationList_RL_SetupRqstFDD, new_create_dissector_handle(dissect_RL_InformationList_RL_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Transmission_Gap_Pattern_Sequence_Information, new_create_dissector_handle(dissect_Transmission_Gap_Pattern_Sequence_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Active_Pattern_Sequence_Information, new_create_dissector_handle(dissect_Active_Pattern_Sequence_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_SetupRqstFDD, new_create_dissector_handle(dissect_RL_InformationItem_RL_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationList_RL_SetupRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationList_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationList_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_TDD_Information, new_create_dissector_handle(dissect_DCH_TDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCH_TDD_Information, new_create_dissector_handle(dissect_DSCH_TDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_Information, new_create_dissector_handle(dissect_USCH_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Information_RL_SetupRqstTDD, new_create_dissector_handle(dissect_RL_Information_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationItem_RL_SetupRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationList_RL_SetupRqstTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationItem_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationItem_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationItem_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationList_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationItem_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_NodeB_CommunicationContextID, new_create_dissector_handle(dissect_NodeB_CommunicationContextID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommunicationControlPortID, new_create_dissector_handle(dissect_CommunicationControlPortID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseList_RL_SetupRspFDD, new_create_dissector_handle(dissect_RL_InformationResponseList_RL_SetupRspFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseItem_RL_SetupRspFDD, new_create_dissector_handle(dissect_RL_InformationResponseItem_RL_SetupRspFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponse_RL_SetupRspTDD, new_create_dissector_handle(dissect_RL_InformationResponse_RL_SetupRspTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_InformationResponse, new_create_dissector_handle(dissect_DCH_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCH_InformationResponse, new_create_dissector_handle(dissect_DSCH_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_InformationResponse, new_create_dissector_handle(dissect_USCH_InformationResponse_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_RL_SetupFailureFDD, new_create_dissector_handle(dissect_CauseLevel_RL_SetupFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD, new_create_dissector_handle(dissect_Unsuccessful_RL_InformationRespItem_RL_SetupFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Successful_RL_InformationRespItem_RL_SetupFailureFDD, new_create_dissector_handle(dissect_Successful_RL_InformationRespItem_RL_SetupFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_RL_SetupFailureTDD, new_create_dissector_handle(dissect_CauseLevel_RL_SetupFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_RL_InformationResp_RL_SetupFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Compressed_Mode_Deactivation_Flag, new_create_dissector_handle(dissect_Compressed_Mode_Deactivation_Flag_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationList_RL_AdditionRqstFDD, new_create_dissector_handle(dissect_RL_InformationList_RL_AdditionRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_AdditionRqstFDD, new_create_dissector_handle(dissect_RL_InformationItem_RL_AdditionRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationList_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationList_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationList_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Information_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_RL_Information_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationItem_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationItem_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationItem_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseList_RL_AdditionRspFDD, new_create_dissector_handle(dissect_RL_InformationResponseList_RL_AdditionRspFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseItem_RL_AdditionRspFDD, new_create_dissector_handle(dissect_RL_InformationResponseItem_RL_AdditionRspFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponse_RL_AdditionRspTDD, new_create_dissector_handle(dissect_RL_InformationResponse_RL_AdditionRspTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_RL_AdditionFailureFDD, new_create_dissector_handle(dissect_CauseLevel_RL_AdditionFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD, new_create_dissector_handle(dissect_Unsuccessful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Successful_RL_InformationRespItem_RL_AdditionFailureFDD, new_create_dissector_handle(dissect_Successful_RL_InformationRespItem_RL_AdditionFailureFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_RL_AdditionFailureTDD, new_create_dissector_handle(dissect_CauseLevel_RL_AdditionFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_RL_InformationResp_RL_AdditionFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_Information_RL_ReconfPrepFDD, new_create_dissector_handle(dissect_UL_DPCH_Information_RL_ReconfPrepFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_Information_RL_ReconfPrepFDD, new_create_dissector_handle(dissect_DL_DPCH_Information_RL_ReconfPrepFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_FDD_DCHs_to_Modify, new_create_dissector_handle(dissect_FDD_DCHs_to_Modify_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCHs_to_Add_FDD, new_create_dissector_handle(dissect_DCH_FDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_DeleteList_RL_ReconfPrepFDD, new_create_dissector_handle(dissect_DCH_DeleteList_RL_ReconfPrepFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationList_RL_ReconfPrepFDD, new_create_dissector_handle(dissect_RL_InformationList_RL_ReconfPrepFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_ReconfPrepFDD, new_create_dissector_handle(dissect_RL_InformationItem_RL_ReconfPrepFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationDeleteList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TDD_DCHs_to_Modify, new_create_dissector_handle(dissect_TDD_DCHs_to_Modify_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCHs_to_Add_TDD, new_create_dissector_handle(dissect_DCH_TDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_DeleteList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DCH_DeleteList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCH_Information_ModifyList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DSCH_Information_ModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCHs_to_Add_TDD, new_create_dissector_handle(dissect_DSCH_TDD_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCH_Information_DeleteList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DSCH_Information_DeleteList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_Information_ModifyList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_USCH_Information_ModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_Information_Add, new_create_dissector_handle(dissect_USCH_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_Information_DeleteList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_USCH_Information_DeleteList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Information_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_RL_Information_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationAddListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationAddItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationModify_AddListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationModify_AddItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationModify_ModifyListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationModify_ModifyItem_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationModify_DeleteListIE_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseList_RL_ReconfReady, new_create_dissector_handle(dissect_RL_InformationResponseList_RL_ReconfReady_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseItem_RL_ReconfReady, new_create_dissector_handle(dissect_RL_InformationResponseItem_RL_ReconfReady_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_RL_ReconfFailure, new_create_dissector_handle(dissect_CauseLevel_RL_ReconfFailure_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_ReconfigurationFailureItem_RL_ReconfFailure, new_create_dissector_handle(dissect_RL_ReconfigurationFailureItem_RL_ReconfFailure_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CFN, new_create_dissector_handle(dissect_CFN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_DPCH_Information_RL_ReconfRqstFDD, new_create_dissector_handle(dissect_UL_DPCH_Information_RL_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_DPCH_Information_RL_ReconfRqstFDD, new_create_dissector_handle(dissect_DL_DPCH_Information_RL_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_DeleteList_RL_ReconfRqstFDD, new_create_dissector_handle(dissect_DCH_DeleteList_RL_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationList_RL_ReconfRqstFDD, new_create_dissector_handle(dissect_RL_InformationList_RL_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_ReconfRqstFDD, new_create_dissector_handle(dissect_RL_InformationItem_RL_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationDeleteList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_DeleteList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DCH_DeleteList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Information_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_RL_Information_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_UL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationModifyItem_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_CCTrCH_InformationDeleteItem_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseList_RL_ReconfRsp, new_create_dissector_handle(dissect_RL_InformationResponseList_RL_ReconfRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationResponseItem_RL_ReconfRsp, new_create_dissector_handle(dissect_RL_InformationResponseItem_RL_ReconfRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_informationList_RL_DeletionRqst, new_create_dissector_handle(dissect_RL_informationList_RL_DeletionRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_informationItem_RL_DeletionRqst, new_create_dissector_handle(dissect_RL_informationItem_RL_DeletionRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PowerAdjustmentType, new_create_dissector_handle(dissect_PowerAdjustmentType_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DLReferencePower, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InnerLoopDLPCStatus, new_create_dissector_handle(dissect_InnerLoopDLPCStatus_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DLReferencePowerList_DL_PC_Rqst, new_create_dissector_handle(dissect_DL_ReferencePowerInformationList_DL_PC_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MaxAdjustmentStep, new_create_dissector_handle(dissect_MaxAdjustmentStep_PDU, proto_nbap));
  dissector_add("nbap.ies", id_AdjustmentPeriod, new_create_dissector_handle(dissect_AdjustmentPeriod_PDU, proto_nbap));
  dissector_add("nbap.ies", id_AdjustmentRatio, new_create_dissector_handle(dissect_ScaledAdjustmentRatio_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DL_ReferencePowerInformationItem_DL_PC_Rqst, new_create_dissector_handle(dissect_DL_ReferencePowerInformationItem_DL_PC_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TimeslotISCPInfo, new_create_dissector_handle(dissect_DL_TimeslotISCPInfo_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DedicatedMeasurementObjectType_DM_Rqst, new_create_dissector_handle(dissect_DedicatedMeasurementObjectType_DM_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DedicatedMeasurementType, new_create_dissector_handle(dissect_DedicatedMeasurementType_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CFNReportingIndicator, new_create_dissector_handle(dissect_FNReportingIndicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_DM_Rqst, new_create_dissector_handle(dissect_RL_InformationItem_DM_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DedicatedMeasurementObjectType_DM_Rsp, new_create_dissector_handle(dissect_DedicatedMeasurementObjectType_DM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_DM_Rsp, new_create_dissector_handle(dissect_RL_InformationItem_DM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Set_InformationItem_DM_Rsp, new_create_dissector_handle(dissect_RL_Set_InformationItem_DM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DedicatedMeasurementObjectType_DM_Rprt, new_create_dissector_handle(dissect_DedicatedMeasurementObjectType_DM_Rprt_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_DM_Rprt, new_create_dissector_handle(dissect_RL_InformationItem_DM_Rprt_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Set_InformationItem_DM_Rprt, new_create_dissector_handle(dissect_RL_Set_InformationItem_DM_Rprt_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Reporting_Object_RL_FailureInd, new_create_dissector_handle(dissect_Reporting_Object_RL_FailureInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_FailureInd, new_create_dissector_handle(dissect_RL_InformationItem_RL_FailureInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Set_InformationItem_RL_FailureInd, new_create_dissector_handle(dissect_RL_Set_InformationItem_RL_FailureInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CCTrCH_InformationItem_RL_FailureInd, new_create_dissector_handle(dissect_CCTrCH_InformationItem_RL_FailureInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationList_RL_PreemptRequiredInd, new_create_dissector_handle(dissect_RL_InformationList_RL_PreemptRequiredInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_PreemptRequiredInd, new_create_dissector_handle(dissect_RL_InformationItem_RL_PreemptRequiredInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Reporting_Object_RL_RestoreInd, new_create_dissector_handle(dissect_Reporting_Object_RL_RestoreInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_InformationItem_RL_RestoreInd, new_create_dissector_handle(dissect_RL_InformationItem_RL_RestoreInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_RL_Set_InformationItem_RL_RestoreInd, new_create_dissector_handle(dissect_RL_Set_InformationItem_RL_RestoreInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CCTrCH_InformationItem_RL_RestoreInd, new_create_dissector_handle(dissect_CCTrCH_InformationItem_RL_RestoreInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id-HS-PDSCH-HS-SCCH-E-AGCH-E-RGCH-E-HICH-MaxPower-PSCH-ReconfRqst, new_create_dissector_handle(dissect_MaximumTransmissionPower_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_PDSCH_HS_SCCH_ScramblingCode_PSCH_ReconfRqst, new_create_dissector_handle(dissect_DL_ScramblingCode_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_PDSCH_FDD_Code_Information_PSCH_ReconfRqst, new_create_dissector_handle(dissect_HS_PDSCH_FDD_Code_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HS_SCCH_FDD_Code_Information_PSCH_ReconfRqst, new_create_dissector_handle(dissect_HS_SCCH_FDD_Code_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCHSets_AddList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCHSets_AddList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCHSets_ModifyList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCHSets_ModifyList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCHSets_DeleteList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCHSets_DeleteList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCHSets_AddList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCHSets_AddList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCHSets_ModifyList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCHSets_ModifyList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCHSets_DeleteList_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCHSets_DeleteList_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCH_Information_AddListIE_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCH_Information_AddItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCH_Information_ModifyListIE_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PDSCH_ModifyInformation_LCR_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCH_Information_AddListIE_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCH_Information_AddItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCH_Information_ModifyListIE_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCH_Information_ModifyItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_PUSCH_ModifyInformation_LCR_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCH_ModifyInformation_LCR_ModifyItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_PSCH_ReconfFailure, new_create_dissector_handle(dissect_CauseLevel_PSCH_ReconfFailure_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_PDSCHSetItem_PSCH_ReconfFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_PUSCHSetItem_PSCH_ReconfFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_ResetIndicator, new_create_dissector_handle(dissect_ResetIndicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommunicationContextInfoItem_Reset, new_create_dissector_handle(dissect_CommunicationContextInfoItem_Reset_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CommunicationControlPortInfoItem_Reset, new_create_dissector_handle(dissect_CommunicationControlPortInfoItem_Reset_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationExchangeID, new_create_dissector_handle(dissect_InformationExchangeID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationExchangeObjectType_InfEx_Rqst, new_create_dissector_handle(dissect_InformationExchangeObjectType_InfEx_Rqst_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationType, new_create_dissector_handle(dissect_InformationType_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationReportCharacteristics, new_create_dissector_handle(dissect_InformationReportCharacteristics_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationExchangeObjectType_InfEx_Rsp, new_create_dissector_handle(dissect_InformationExchangeObjectType_InfEx_Rsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_InformationExchangeObjectType_InfEx_Rprt, new_create_dissector_handle(dissect_InformationExchangeObjectType_InfEx_Rprt_PDU, proto_nbap));
  dissector_add("nbap.ies", id_cellSyncBurstRepetitionPeriod, new_create_dissector_handle(dissect_CellSyncBurstRepetitionPeriod_PDU, proto_nbap));
  dissector_add("nbap.ies", id_timeslotInfo_CellSyncInitiationRqstTDD, new_create_dissector_handle(dissect_TimeslotInfo_CellSyncInitiationRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncBurstTransInit_CellSyncInitiationRqstTDD, new_create_dissector_handle(dissect_CellSyncBurstTransInit_CellSyncInitiationRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD, new_create_dissector_handle(dissect_CellSyncBurstMeasureInit_CellSyncInitiationRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_TimeSlot, new_create_dissector_handle(dissect_TimeSlot_PDU, proto_nbap));
  dissector_add("nbap.ies", id_NCyclesPerSFNperiod, new_create_dissector_handle(dissect_NCyclesPerSFNperiod_PDU, proto_nbap));
  dissector_add("nbap.ies", id_NRepetitionsPerCyclePeriod, new_create_dissector_handle(dissect_NRepetitionsPerCyclePeriod_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_CellSyncBurstTransReconfInfo_CellSyncReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncBurstMeasReconfiguration_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_CellSyncBurstMeasInfo_CellSyncReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncBurstMeasInfoList_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_CellSyncBurstMeasInfoListIE_CellSyncReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SynchronisationReportType, new_create_dissector_handle(dissect_SynchronisationReportType_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SynchronisationReportCharacteristics, new_create_dissector_handle(dissect_SynchronisationReportCharacteristics_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellAdjustmentInfo_SyncAdjustmntRqstTDD, new_create_dissector_handle(dissect_CellAdjustmentInfo_SyncAdjustmentRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD, new_create_dissector_handle(dissect_CellAdjustmentInfoItem_SyncAdjustmentRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CauseLevel_SyncAdjustmntFailureTDD, new_create_dissector_handle(dissect_CauseLevel_SyncAdjustmntFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_cell_InformationRespItem_SyncAdjustmntFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CSBTransmissionID, new_create_dissector_handle(dissect_CSBTransmissionID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CSBMeasurementID, new_create_dissector_handle(dissect_CSBMeasurementID_PDU, proto_nbap));
  dissector_add("nbap.ies", id_CellSyncInfo_CellSyncReprtTDD, new_create_dissector_handle(dissect_CellSyncInfo_CellSyncReprtTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SyncReportType_CellSyncReprtTDD, new_create_dissector_handle(dissect_SyncReportType_CellSyncReprtTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_SignallingBearerRequestIndicator, new_create_dissector_handle(dissect_SignallingBearerRequestIndicator_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DCH_RearrangeList_Bearer_RearrangeInd, new_create_dissector_handle(dissect_DCH_RearrangeList_Bearer_RearrangeInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DSCH_RearrangeList_Bearer_RearrangeInd, new_create_dissector_handle(dissect_DSCH_RearrangeList_Bearer_RearrangeInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_USCH_RearrangeList_Bearer_RearrangeInd, new_create_dissector_handle(dissect_USCH_RearrangeList_Bearer_RearrangeInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HSDSCH_RearrangeList_Bearer_RearrangeInd, new_create_dissector_handle(dissect_HSDSCH_RearrangeList_Bearer_RearrangeInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DelayedActivationList_RL_ActivationCmdFDD, new_create_dissector_handle(dissect_DelayedActivationInformationList_RL_ActivationCmdFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DelayedActivationInformation_RL_ActivationCmdFDD, new_create_dissector_handle(dissect_DelayedActivationInformation_RL_ActivationCmdFDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DelayedActivationList_RL_ActivationCmdTDD, new_create_dissector_handle(dissect_DelayedActivationInformationList_RL_ActivationCmdTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_DelayedActivationInformation_RL_ActivationCmdTDD, new_create_dissector_handle(dissect_DelayedActivationInformation_RL_ActivationCmdTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HSDSCH_FDD_Update_Information, new_create_dissector_handle(dissect_HSDSCH_FDD_Update_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_HSDSCH_TDD_Update_Information, new_create_dissector_handle(dissect_HSDSCH_TDD_Update_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Modification_Period, new_create_dissector_handle(dissect_Modification_Period_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MICH_CFN, new_create_dissector_handle(dissect_MICH_CFN_PDU, proto_nbap));
  dissector_add("nbap.ies", id_NI_Information_NotifUpdateCmd, new_create_dissector_handle(dissect_NI_Information_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp, new_create_dissector_handle(dissect_Cell_Frequency_List_InformationItem_LCR_MulFreq_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd, new_create_dissector_handle(dissect_Cell_Frequency_List_InformationItem_LCR_MulFreq_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UPPCH_LCR_InformationItem_AuditRsp, new_create_dissector_handle(dissect_UPPCH_LCR_InformationItem_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UPPCH_LCR_InformationItem_ResourceStatusInd, new_create_dissector_handle(dissect_UPPCH_LCR_InformationItem_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.ies", id_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD, new_create_dissector_handle(dissect_Unsuccessful_UARFCNItem_PSCH_ReconfFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_UARFCNSpecificCauseList, new_create_dissector_handle(dissect_UARFCNSpecificCauseList_PSCH_ReconfFailureTDD_PDU, proto_nbap));
  dissector_add("nbap.ies", id_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst, new_create_dissector_handle(dissect_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCRItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_BroadcastCommonTransportBearerIndication, new_create_dissector_handle(dissect_BroadcastCommonTransportBearerIndication_PDU, proto_nbap));
  dissector_add("nbap.extension", id_MessageStructure, new_create_dissector_handle(dissect_MessageStructure_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TypeOfError, new_create_dissector_handle(dissect_TypeOfError_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TnlQos, new_create_dissector_handle(dissect_TnlQos_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Unidirectional_DCH_Indicator, new_create_dissector_handle(dissect_Unidirectional_DCH_Indicator_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Initial_DL_Power_TimeslotLCR_InformationItem, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Maximum_DL_Power_TimeslotLCR_InformationItem, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Minimum_DL_Power_TimeslotLCR_InformationItem, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_bindingID, new_create_dissector_handle(dissect_BindingID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_transportlayeraddress, new_create_dissector_handle(dissect_TransportLayerAddress_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SAT_Info_Almanac_ExtItem, new_create_dissector_handle(dissect_SAT_Info_Almanac_ExtList_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSSICH_SIRTarget, new_create_dissector_handle(dissect_UL_SIR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSSICH_TPC_StepSize, new_create_dissector_handle(dissect_TDD_TPC_UplinkStepSize_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id-ueCapability-Info, new_create_dissector_handle(dissect_UE_Capability_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Additional_failed_HS_SICH, new_create_dissector_handle(dissect_HS_SICH_failed_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Additional_missed_HS_SICH, new_create_dissector_handle(dissect_HS_SICH_missed_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Additional_total_HS_SICH, new_create_dissector_handle(dissect_HS_SICH_total_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SyncDLCodeIdThreInfoLCR, new_create_dissector_handle(dissect_SyncDLCodeIdThreInfoLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_LCRTDD_uplink_Physical_Channel_Capability, new_create_dissector_handle(dissect_LCRTDD_Uplink_Physical_Channel_Capability_PDU, proto_nbap));
  dissector_add("nbap.extension", id_BroadcastReference, new_create_dissector_handle(dissect_BroadcastReference_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Tstd_indicator, new_create_dissector_handle(dissect_TSTD_Indicator_PDU, proto_nbap));
  dissector_add("nbap.extension", id_MICH_Parameters_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_MICH_Parameters_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Additional_S_CCPCH_LCR_Parameters_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id-tFCI-Presence, new_create_dissector_handle(dissect_TFCI_Presence_PDU, proto_nbap));
  dissector_add("nbap.extension", id_maxFACH_Power_LCR_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PCH_Power_LCR_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_FPACH_LCR_Parameters_CTCH_SetupRqstTDD, new_create_dissector_handle(dissect_FPACH_LCR_Parameters_CTCH_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_FPACH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_MICH_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_MICH_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Additional_S_CCPCH_LCR_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_Secondary_CCPCH_LCR_parameterExtendedList_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_maxFACH_Power_LCR_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PCH_Power_LCR_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Power_Local_Cell_Group_InformationList_AuditRsp, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_FPACH_LCR_InformationList_AuditRsp, new_create_dissector_handle(dissect_FPACH_LCR_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DwPCH_LCR_InformationList_AuditRsp, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_Resources_Information_AuditRsp, new_create_dissector_handle(dissect_HS_DSCH_Resources_Information_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_MICH_Information_AuditRsp, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_S_CCPCH_LCR_InformationListExt_AuditRsp, new_create_dissector_handle(dissect_S_CCPCH_LCR_InformationListExt_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_ReferenceClockAvailability, new_create_dissector_handle(dissect_ReferenceClockAvailability_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Power_Local_Cell_Group_ID, new_create_dissector_handle(dissect_Local_Cell_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDPA_Capability, new_create_dissector_handle(dissect_HSDPA_Capability_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CommonMeasurementAccuracy, new_create_dissector_handle(dissect_CommonMeasurementAccuracy_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeSlotLCR_CM_Rqst, new_create_dissector_handle(dissect_TimeSlotLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_NeighbouringCellMeasurementInformation, new_create_dissector_handle(dissect_NeighbouringCellMeasurementInformation_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_Cell_SetupRqstFDD, new_create_dissector_handle(dissect_IPDLParameter_Information_Cell_SetupRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_TimeSlotConfigurationList_LCR_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PCCPCH_LCR_Information_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_PCCPCH_LCR_Information_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DwPCH_LCR_Information_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_DwPCH_LCR_Information_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_ReferenceSFNoffset, new_create_dissector_handle(dissect_ReferenceSFNoffset_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_IPDLParameter_Information_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_LCR_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_IPDLParameter_Information_LCR_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id-MBSFN-Cell-ParameterID-Cell-SetupRqstTDD, new_create_dissector_handle(dissect_CellParameterID_PDU, proto_nbap));
  dissector_add("nbap.extension", id-Time-Slot-Parameter-ID, new_create_dissector_handle(dissect_CellParameterID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_Cell_ReconfRqstFDD, new_create_dissector_handle(dissect_IPDLParameter_Information_Cell_ReconfRqstFDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_TimeSlotConfigurationList_LCR_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DwPCH_LCR_Information_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_DwPCH_LCR_Information_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_IPDLParameter_Information_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD, new_create_dissector_handle(dissect_IPDLParameter_Information_LCR_Cell_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id-MBSFN-Cell-ParameterID-Cell-ReconfRqstTDD, new_create_dissector_handle(dissect_CellParameterID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Power_Local_Cell_Group_InformationList_ResourceStatusInd, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationList_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Power_Local_Cell_Group_InformationList2_ResourceStatusInd, new_create_dissector_handle(dissect_Power_Local_Cell_Group_InformationList2_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_FPACH_LCR_InformationList_ResourceStatusInd, new_create_dissector_handle(dissect_FPACH_LCR_InformationList_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DwPCH_LCR_Information_ResourceStatusInd, new_create_dissector_handle(dissect_DwPCH_LCR_Information_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_Resources_Information_ResourceStatusInd, new_create_dissector_handle(dissect_HS_DSCH_Resources_Information_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_MICH_Information_ResourceStatusInd, new_create_dissector_handle(dissect_Common_PhysicalChannel_Status_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_S_CCPCH_LCR_InformationListExt_ResourceStatusInd, new_create_dissector_handle(dissect_S_CCPCH_LCR_InformationListExt_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_PowerBalancing_Information, new_create_dissector_handle(dissect_DL_PowerBalancing_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_FDD_Information, new_create_dissector_handle(dissect_HSDSCH_FDD_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_RNTI, new_create_dissector_handle(dissect_HSDSCH_RNTI_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSPDSCH_RL_ID, new_create_dissector_handle(dissect_RL_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id-Serving-Cell-Change-CFN, new_create_dissector_handle(dissect_CFN_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DPC_Mode, new_create_dissector_handle(dissect_DPC_Mode_PDU, proto_nbap));
  dissector_add("nbap.extension", id_RL_Specific_DCH_Info, new_create_dissector_handle(dissect_RL_Specific_DCH_Info_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DelayedActivation, new_create_dissector_handle(dissect_DelayedActivation_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Primary_CPICH_Usage_for_Channel_Estimation, new_create_dissector_handle(dissect_Primary_CPICH_Usage_for_Channel_Estimation_PDU, proto_nbap));
  dissector_add("nbap.extension", id-Secondary-CPICH-Information, new_create_dissector_handle(dissect_CommonPhysicalChannelID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_TDD_Information, new_create_dissector_handle(dissect_HSDSCH_TDD_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PDSCH_RL_ID, new_create_dissector_handle(dissect_RL_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id-E-DCH-Serving-RL-ID, new_create_dissector_handle(dissect_RL_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_DPCH_LCR_Information_RL_SetupRqstTDD, new_create_dissector_handle(dissect_UL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_SIRTarget, new_create_dissector_handle(dissect_UL_SIR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_UplinkStepSize_LCR_RL_SetupRqstTDD, new_create_dissector_handle(dissect_TDD_TPC_UplinkStepSize_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_LCR_Information_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_DPCH_LCR_Information_RL_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Initial_DL_Power_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Maximum_DL_Power_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Minimum_DL_Power_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeslotISCP_LCR_InfoList_RL_SetupRqstTDD, new_create_dissector_handle(dissect_DL_TimeslotISCPInfoLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_Synchronisation_Parameters_LCR, new_create_dissector_handle(dissect_UL_Synchronisation_Parameters_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_FDD_Information_Response, new_create_dissector_handle(dissect_HSDSCH_FDD_Information_Response_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_PowerBalancing_ActivationIndicator, new_create_dissector_handle(dissect_DL_PowerBalancing_ActivationIndicator_PDU, proto_nbap));
  dissector_add("nbap.extension", id-E-DCH-RL-Set-ID, new_create_dissector_handle(dissect_RL_Set_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id-Initial-DL-DPCH-TimingAdjustment, new_create_dissector_handle(dissect_DL_DPCH_TimingAdjustment_PDU, proto_nbap));
  dissector_add("nbap.extension", id_RL_InformationResponse_LCR_RL_SetupRspTDD, new_create_dissector_handle(dissect_RL_InformationResponse_LCR_RL_SetupRspTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_TDD_Information_Response, new_create_dissector_handle(dissect_HSDSCH_TDD_Information_Response_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DLReferencePower, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_UL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_UplinkStepSize_LCR_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_TDD_TPC_UplinkStepSize_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_DPCH_InformationItem_LCR_RL_AdditionRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Initial_DL_Power_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_DownlinkStepSize_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_TDD_TPC_DownlinkStepSize_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Maximum_DL_Power_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Minimum_DL_Power_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeslotISCP_InformationList_LCR_RL_AdditionRqstTDD, new_create_dissector_handle(dissect_DL_TimeslotISCPInfoLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_RL_InformationResponse_LCR_RL_AdditionRspTDD, new_create_dissector_handle(dissect_RL_InformationResponse_LCR_RL_AdditionRspTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SignallingBearerRequestIndicator, new_create_dissector_handle(dissect_SignallingBearerRequestIndicator_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_Information_to_Modify, new_create_dissector_handle(dissect_HSDSCH_Information_to_Modify_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_MACdFlows_to_Add, new_create_dissector_handle(dissect_HSDSCH_MACdFlows_Information_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_MACdFlows_to_Delete, new_create_dissector_handle(dissect_HSDSCH_MACdFlows_to_Delete_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_TimingAdjustment, new_create_dissector_handle(dissect_DL_DPCH_TimingAdjustment_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Secondary_CPICH_Information_Change, new_create_dissector_handle(dissect_Secondary_CPICH_Information_Change_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multiple_RL_Information_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_MultipleRL_Information_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_DPCH_LCR_InformationAddListIE_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_UplinkStepSize_InformationAdd_LCR_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_TPC_UplinkStepSize_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_RL_ID, new_create_dissector_handle(dissect_RL_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleRL_ul_DPCH_InformationList, new_create_dissector_handle(dissect_MultipleRL_UL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_DPCH_LCR_InformationModify_AddList, new_create_dissector_handle(dissect_UL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_UplinkStepSize_InformationModify_LCR_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_TPC_UplinkStepSize_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleRL_ul_DPCH_InformationModifyList, new_create_dissector_handle(dissect_MultipleRL_UL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_TimeslotLCR_Information_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_UL_TimeslotLCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_LCR_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Initial_DL_Power_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_DownlinkStepSize_InformationAdd_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_TPC_DownlinkStepSize_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Maximum_DL_Power_InformationAdd_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Minimum_DL_Power_InformationAdd_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleRL_dl_DPCH_InformationList, new_create_dissector_handle(dissect_MultipleRL_DL_DPCH_InformationAddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_DPCH_LCR_InformationModify_AddList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TDD_TPC_DownlinkStepSize_InformationModify_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_TPC_DownlinkStepSize_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleRL_dl_DPCH_InformationModifyList, new_create_dissector_handle(dissect_MultipleRL_DL_DPCH_InformationModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Timeslot_LCR_InformationModify_ModifyList_RL_ReconfPrepTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Maximum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Minimum_DL_Power_Modify_LCR_InformationModify_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_TimeSlotFormat_LCR_ModifyItem_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_InitDL_Power, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeslotISCP_LCR_InfoList_RL_ReconfPrepTDD, new_create_dissector_handle(dissect_DL_TimeslotISCPInfoLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TargetCommunicationControlPortID, new_create_dissector_handle(dissect_CommunicationControlPortID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_PowerBalancing_UpdatedIndicator, new_create_dissector_handle(dissect_DL_PowerBalancing_UpdatedIndicator_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSDSCH_Information_to_Modify_Unsynchronised, new_create_dissector_handle(dissect_HSDSCH_Information_to_Modify_Unsynchronised_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multiple_RL_Information_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_Multiple_RL_Information_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_DPCH_LCR_InformationModify_ModifyList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Maximum_DL_Power_InformationModify_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_CCTrCH_Minimum_DL_Power_InformationModify_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_DL_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleRL_dl_CCTrCH_InformationModifyList_RL_ReconfRqstTDD, new_create_dissector_handle(dissect_MultipleRL_DL_CCTrCH_InformationModifyList_RL_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimeslotISCPInfoList_LCR_DL_PC_RqstTDD, new_create_dissector_handle(dissect_DL_TimeslotISCPInfoLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PrimCCPCH_RSCP_DL_PC_RqstTDD, new_create_dissector_handle(dissect_PrimaryCCPCH_RSCP_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PrimaryCCPCH_RSCP_Delta, new_create_dissector_handle(dissect_PrimaryCCPCH_RSCP_Delta_PDU, proto_nbap));
  dissector_add("nbap.extension", id_NumberOfReportedCellPortions, new_create_dissector_handle(dissect_NumberOfReportedCellPortions_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PUSCH_Info_DM_Rqst, new_create_dissector_handle(dissect_PUSCH_Info_DM_Rqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSSICH_Info_DM_Rqst, new_create_dissector_handle(dissect_HSSICH_Info_DM_Rqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PUSCH_Info_DM_Rsp, new_create_dissector_handle(dissect_PUSCH_Info_DM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSSICH_Info_DM_Rsp, new_create_dissector_handle(dissect_HS_SICH_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multiple_HSSICHMeasurementValueList_TDD_DM_Rsp, new_create_dissector_handle(dissect_Multiple_HSSICHMeasurementValueList_TDD_DM_Rsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PUSCH_Info_DM_Rprt, new_create_dissector_handle(dissect_PUSCH_Info_DM_Rprt_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HSSICH_Info_DM_Rprt, new_create_dissector_handle(dissect_HS_SICH_ID_PDU, proto_nbap));
  dissector_add("nbap.extension", id-E-AGCH-And-E-RGCH-E-HICH-FDD-Scrambling-Code, new_create_dissector_handle(dissect_DL_ScramblingCode_PDU, proto_nbap));
  dissector_add("nbap.extension", id_HS_PDSCH_TDD_Information_PSCH_ReconfRqst, new_create_dissector_handle(dissect_HS_PDSCH_TDD_Information_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, new_create_dissector_handle(dissect_Add_To_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, new_create_dissector_handle(dissect_Modify_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst, new_create_dissector_handle(dissect_Delete_From_HS_SCCH_Resource_Pool_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_ConfigurationGenerationID, new_create_dissector_handle(dissect_ConfigurationGenerationID_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PDSCH_AddInformation_LCR_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PDSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id-PDSCH-Timeslot-Format-PSCH-ReconfRqst-LCR, new_create_dissector_handle(dissect_TDD_DL_DPCH_TimeSlotFormat_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PUSCH_AddInformation_LCR_PSCH_ReconfRqst, new_create_dissector_handle(dissect_PUSCH_AddInformation_LCR_AddItem_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id-PUSCH-Timeslot-Format-PSCH-ReconfRqst-LCR, new_create_dissector_handle(dissect_TDD_UL_DPCH_TimeSlotFormat_LCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD, new_create_dissector_handle(dissect_SYNCDlCodeId_TransInitLCR_CellSyncInitiationRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD, new_create_dissector_handle(dissect_SYNCDlCodeId_MeasureInitLCR_CellSyncInitiationRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_NSubCyclesPerCyclePeriod_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_NSubCyclesPerCyclePeriod_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_SYNCDlCodeIdTransReconfInfoLCR_CellSyncReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SYNCDlCodeIdMeasReconfigurationLCR_CellSyncReconfRqstTDD, new_create_dissector_handle(dissect_SYNCDlCodeIdMeasInfoLCR_CellSyncReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_DwPCH_Power, new_create_dissector_handle(dissect_DwPCH_Power_PDU, proto_nbap));
  dissector_add("nbap.extension", id_TimingAdjustmentValueLCR, new_create_dissector_handle(dissect_TimingAdjustmentValueLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_AccumulatedClockupdate_CellSyncReprtTDD, new_create_dissector_handle(dissect_TimingAdjustmentValue_PDU, proto_nbap));
  dissector_add("nbap.extension", id_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD, new_create_dissector_handle(dissect_SyncDLCodeIdsMeasInfoList_CellSyncReprtTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp, new_create_dissector_handle(dissect_Cell_Frequency_List_Information_LCR_MulFreq_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD, new_create_dissector_handle(dissect_Cell_Frequency_List_LCR_MulFreq_Cell_SetupRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd, new_create_dissector_handle(dissect_Cell_Frequency_List_Information_LCR_MulFreq_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UPPCHPositionLCR, new_create_dissector_handle(dissect_UPPCHPositionLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD, new_create_dissector_handle(dissect_UPPCH_LCR_Parameters_CTCH_ReconfRqstTDD_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UPPCH_LCR_InformationList_AuditRsp, new_create_dissector_handle(dissect_UPPCH_LCR_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_UPPCH_LCR_InformationList_ResourceStatusInd, new_create_dissector_handle(dissect_UPPCH_LCR_InformationList_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleFreq_dL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst, new_create_dissector_handle(dissect_MultipleFreq_DL_HS_PDSCH_Timeslot_Information_LCR_PSCH_ReconfRqst_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleFreq_HS_DSCH_Resources_InformationList_AuditRsp, new_create_dissector_handle(dissect_MultipleFreq_HS_DSCH_Resources_InformationList_AuditRsp_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd, new_create_dissector_handle(dissect_MultipleFreq_HS_DSCH_Resources_InformationList_ResourceStatusInd_PDU, proto_nbap));
  dissector_add("nbap.extension", id_PowerControlGAP, new_create_dissector_handle(dissect_ControlGAP_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multicarrier_number, new_create_dissector_handle(dissect_Multicarrier_Number_PDU, proto_nbap));
  dissector_add("nbap.extension", id_number_Of_Supported_Carriers, new_create_dissector_handle(dissect_Number_Of_Supported_Carriers_PDU, proto_nbap));
  dissector_add("nbap.extension", id_multipleFreq_HSPDSCH_InformationList_ResponseTDDLCR, new_create_dissector_handle(dissect_MultipleFreq_HSPDSCH_InformationList_ResponseTDDLCR_PDU, proto_nbap));
  dissector_add("nbap.extension", id_tSN_Length, new_create_dissector_handle(dissect_TSN_Length_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSetup/fdd", new_create_dissector_handle(dissect_CellSetupRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellSetup/fdd", new_create_dissector_handle(dissect_CellSetupResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellSetup/fdd", new_create_dissector_handle(dissect_CellSetupFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSetup/tdd", new_create_dissector_handle(dissect_CellSetupRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellSetup/tdd", new_create_dissector_handle(dissect_CellSetupResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellSetup/tdd", new_create_dissector_handle(dissect_CellSetupFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellReconfiguration/fdd", new_create_dissector_handle(dissect_CellReconfigurationRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellReconfiguration/fdd", new_create_dissector_handle(dissect_CellReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellReconfiguration/fdd", new_create_dissector_handle(dissect_CellReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellReconfiguration/tdd", new_create_dissector_handle(dissect_CellReconfigurationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellReconfiguration/tdd", new_create_dissector_handle(dissect_CellReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellReconfiguration/tdd", new_create_dissector_handle(dissect_CellReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellDeletion/common", new_create_dissector_handle(dissect_CellDeletionRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellDeletion/common", new_create_dissector_handle(dissect_CellDeletionResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonTransportChannelSetup/fdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonTransportChannelSetup/fdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-commonTransportChannelSetup/fdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonTransportChannelSetup/tdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonTransportChannelSetup/tdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-commonTransportChannelSetup/tdd", new_create_dissector_handle(dissect_CommonTransportChannelSetupFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonTransportChannelReconfigure/fdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonTransportChannelReconfigure/fdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-commonTransportChannelReconfigure/fdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonTransportChannelReconfigure/tdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonTransportChannelReconfigure/tdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-commonTransportChannelReconfigure/tdd", new_create_dissector_handle(dissect_CommonTransportChannelReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonTransportChannelDelete/common", new_create_dissector_handle(dissect_CommonTransportChannelDeletionRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonTransportChannelDelete/common", new_create_dissector_handle(dissect_CommonTransportChannelDeletionResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-audit/common", new_create_dissector_handle(dissect_AuditRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-audit/common", new_create_dissector_handle(dissect_AuditResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-audit/common", new_create_dissector_handle(dissect_AuditFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-blockResource/common", new_create_dissector_handle(dissect_BlockResourceRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-blockResource/common", new_create_dissector_handle(dissect_BlockResourceResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-blockResource/common", new_create_dissector_handle(dissect_BlockResourceFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkSetup/fdd", new_create_dissector_handle(dissect_RadioLinkSetupRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-radioLinkSetup/fdd", new_create_dissector_handle(dissect_RadioLinkSetupResponseFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-radioLinkSetup/fdd", new_create_dissector_handle(dissect_RadioLinkSetupFailureFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkSetup/tdd", new_create_dissector_handle(dissect_RadioLinkSetupRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-radioLinkSetup/tdd", new_create_dissector_handle(dissect_RadioLinkSetupResponseTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-radioLinkSetup/tdd", new_create_dissector_handle(dissect_RadioLinkSetupFailureTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-systemInformationUpdate/common", new_create_dissector_handle(dissect_SystemInformationUpdateRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-systemInformationUpdate/common", new_create_dissector_handle(dissect_SystemInformationUpdateResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-systemInformationUpdate/common", new_create_dissector_handle(dissect_SystemInformationUpdateFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-reset/common", new_create_dissector_handle(dissect_ResetRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-reset/common", new_create_dissector_handle(dissect_ResetResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonMeasurementInitiation/common", new_create_dissector_handle(dissect_CommonMeasurementInitiationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-commonMeasurementInitiation/common", new_create_dissector_handle(dissect_CommonMeasurementInitiationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-commonMeasurementInitiation/common", new_create_dissector_handle(dissect_CommonMeasurementInitiationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkAddition/fdd", new_create_dissector_handle(dissect_RadioLinkAdditionRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-radioLinkAddition/fdd", new_create_dissector_handle(dissect_RadioLinkAdditionResponseFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-radioLinkAddition/fdd", new_create_dissector_handle(dissect_RadioLinkAdditionFailureFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkAddition/tdd", new_create_dissector_handle(dissect_RadioLinkAdditionRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-radioLinkAddition/tdd", new_create_dissector_handle(dissect_RadioLinkAdditionResponseTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-radioLinkAddition/tdd", new_create_dissector_handle(dissect_RadioLinkAdditionFailureTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkDeletion/common", new_create_dissector_handle(dissect_RadioLinkDeletionRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-radioLinkDeletion/common", new_create_dissector_handle(dissect_RadioLinkDeletionResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-synchronisedRadioLinkReconfigurationPreparation/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationPrepareFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-synchronisedRadioLinkReconfigurationPreparation/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationReady_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-synchronisedRadioLinkReconfigurationPreparation/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-synchronisedRadioLinkReconfigurationPreparation/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationPrepareTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-synchronisedRadioLinkReconfigurationPreparation/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationReady_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-synchronisedRadioLinkReconfigurationPreparation/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-unSynchronisedRadioLinkReconfiguration/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-unSynchronisedRadioLinkReconfiguration/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-unSynchronisedRadioLinkReconfiguration/fdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-unSynchronisedRadioLinkReconfiguration/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-unSynchronisedRadioLinkReconfiguration/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-unSynchronisedRadioLinkReconfiguration/tdd", new_create_dissector_handle(dissect_RadioLinkReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-dedicatedMeasurementInitiation/common", new_create_dissector_handle(dissect_DedicatedMeasurementInitiationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-dedicatedMeasurementInitiation/common", new_create_dissector_handle(dissect_DedicatedMeasurementInitiationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-dedicatedMeasurementInitiation/common", new_create_dissector_handle(dissect_DedicatedMeasurementInitiationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-physicalSharedChannelReconfiguration/fdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationRequestFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-physicalSharedChannelReconfiguration/fdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-physicalSharedChannelReconfiguration/fdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-physicalSharedChannelReconfiguration/tdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-physicalSharedChannelReconfiguration/tdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-physicalSharedChannelReconfiguration/tdd", new_create_dissector_handle(dissect_PhysicalSharedChannelReconfigurationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-informationExchangeInitiation/common", new_create_dissector_handle(dissect_InformationExchangeInitiationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-informationExchangeInitiation/common", new_create_dissector_handle(dissect_InformationExchangeInitiationResponse_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-informationExchangeInitiation/common", new_create_dissector_handle(dissect_InformationExchangeInitiationFailure_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationInitiation/tdd", new_create_dissector_handle(dissect_CellSynchronisationInitiationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellSynchronisationInitiation/tdd", new_create_dissector_handle(dissect_CellSynchronisationInitiationResponseTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellSynchronisationInitiation/tdd", new_create_dissector_handle(dissect_CellSynchronisationInitiationFailureTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationReconfiguration/tdd", new_create_dissector_handle(dissect_CellSynchronisationReconfigurationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellSynchronisationReconfiguration/tdd", new_create_dissector_handle(dissect_CellSynchronisationReconfigurationResponseTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellSynchronisationReconfiguration/tdd", new_create_dissector_handle(dissect_CellSynchronisationReconfigurationFailureTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationAdjustment/tdd", new_create_dissector_handle(dissect_CellSynchronisationAdjustmentRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.sout", "id-cellSynchronisationAdjustment/tdd", new_create_dissector_handle(dissect_CellSynchronisationAdjustmentResponseTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.uout", "id-cellSynchronisationAdjustment/tdd", new_create_dissector_handle(dissect_CellSynchronisationAdjustmentFailureTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-resourceStatusIndication/common", new_create_dissector_handle(dissect_ResourceStatusIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-auditRequired/common", new_create_dissector_handle(dissect_AuditRequiredIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonMeasurementReport/common", new_create_dissector_handle(dissect_CommonMeasurementReport_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonMeasurementTermination/common", new_create_dissector_handle(dissect_CommonMeasurementTerminationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-commonMeasurementFailure/common", new_create_dissector_handle(dissect_CommonMeasurementFailureIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-synchronisedRadioLinkReconfigurationCommit/common", new_create_dissector_handle(dissect_RadioLinkReconfigurationCommit_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-synchronisedRadioLinkReconfigurationCancellation/common", new_create_dissector_handle(dissect_RadioLinkReconfigurationCancel_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkFailure/common", new_create_dissector_handle(dissect_RadioLinkFailureIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkPreemption/common", new_create_dissector_handle(dissect_RadioLinkPreemptionRequiredIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkRestoration/common", new_create_dissector_handle(dissect_RadioLinkRestoreIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-dedicatedMeasurementReport/common", new_create_dissector_handle(dissect_DedicatedMeasurementReport_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-dedicatedMeasurementTermination/common", new_create_dissector_handle(dissect_DedicatedMeasurementTerminationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-dedicatedMeasurementFailure/common", new_create_dissector_handle(dissect_DedicatedMeasurementFailureIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-downlinkPowerControl/fdd", new_create_dissector_handle(dissect_DL_PowerControlRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-downlinkPowerTimeslotControl/tdd", new_create_dissector_handle(dissect_DL_PowerTimeslotControlRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-compressedModeCommand/fdd", new_create_dissector_handle(dissect_CompressedModeCommand_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-unblockResource/common", new_create_dissector_handle(dissect_UnblockResourceIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-errorIndicationForDedicated/common", new_create_dissector_handle(dissect_ErrorIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-errorIndicationForCommon/common", new_create_dissector_handle(dissect_ErrorIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationReporting/tdd", new_create_dissector_handle(dissect_CellSynchronisationReportTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationTermination/tdd", new_create_dissector_handle(dissect_CellSynchronisationTerminationRequestTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-cellSynchronisationFailure/tdd", new_create_dissector_handle(dissect_CellSynchronisationFailureIndicationTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-privateMessageForDedicated/common", new_create_dissector_handle(dissect_PrivateMessage_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-privateMessageForCommon/common", new_create_dissector_handle(dissect_PrivateMessage_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-informationReporting/common", new_create_dissector_handle(dissect_InformationReport_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-informationExchangeTermination/common", new_create_dissector_handle(dissect_InformationExchangeTerminationRequest_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-informationExchangeFailure/common", new_create_dissector_handle(dissect_InformationExchangeFailureIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-BearerRearrangement/common", new_create_dissector_handle(dissect_BearerRearrangementIndication_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkActivation/fdd", new_create_dissector_handle(dissect_RadioLinkActivationCommandFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkActivation/tdd", new_create_dissector_handle(dissect_RadioLinkActivationCommandTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkParameterUpdate/fdd", new_create_dissector_handle(dissect_RadioLinkParameterUpdateIndicationFDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-radioLinkParameterUpdate/tdd", new_create_dissector_handle(dissect_RadioLinkParameterUpdateIndicationTDD_PDU, proto_nbap));
  dissector_add_string("nbap.proc.imsg", "id-mBMSNotificationUpdate/common", new_create_dissector_handle(dissect_MBMSNotificationUpdateCommand_PDU, proto_nbap));


/*--- End of included file: packet-nbap-dis-tab.c ---*/
#line 176 "packet-nbap-template.c"
}


